<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------


include 'includes/pnAPI.php';
pnInit();

include 'includes/legacy.php';

global $pnconfig, $module;
$dbtype = $pnconfig['dbtype'];

// Browser check
$client = $GLOBALS['client'];
if( (($client->browser_is("ie5.5+")) && ($client->property('platform') == "win")) || ($client->browser_is("mz1.3+")) ) {
        $ie_ok = 1;
} else {
        $ie_ok = 0;
}

//
// include of RTE-class, start buffer
//
//if ((pnModGetVar('RteMulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {
if ((pnModGetVar('rtemulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {

                //include_once( "modules/RteMulti/pnRTEHTML.php" );
                ob_start();
}

$useNewAdmin = pnConfigGetVar('use_new_admin');
if($useNewAdmin){
        if(!$module){
      $module = 'NS-Admin';
      $op     = 'main';
     }
}

if ( function_exists('ini_get') ) {
      $onoff = ini_get('register_globals');
 } else {
      $onoff = get_cfg_var('register_globals');
 }
 if ($onoff != 1) {
      @extract($HTTP_SERVER_VARS, EXTR_SKIP);
      @extract($HTTP_COOKIE_VARS, EXTR_SKIP);
      @extract($HTTP_POST_FILES, EXTR_SKIP);
      @extract($HTTP_POST_VARS, EXTR_SKIP);
      @extract($HTTP_GET_VARS, EXTR_SKIP);
      @extract($HTTP_ENV_VARS, EXTR_SKIP);
      @extract($HTTP_SESSION_VARS, EXTR_SKIP);
 }


include 'modules/NS-Admin/pnfunctions.php';
//   include 'modules/NS-Admin/tools.php';

$currentlangfile = 'language/'.pnVarPrepForOS(pnUserGetLang()).'/admin.php';
$defaultlangfile = 'language/'.pnVarPrepForOS(pnConfigGetVar('language')).'/admin.php';
if (file_exists($currentlangfile)) {
        include $currentlangfile;
} elseif (file_exists($defaultlangfile)) {
        include $defaultlangfile;
}

// $module / $op control
   if (!isset($op) or $op=='adminMain')
   {
      $module = 'NS-Admin';
      $op     = 'main';
   }
   elseif (!isset($module))
      $module = 'NS-Past_Nuke';
// to be put somewhere else !!! review ?
   if (($module=='Past_Nuke') and ($op=='deleteNotice'))
   {
      deleteNotice($id, $table, $op_back);
      exit;
   }
// to be put somewhere else !!! end

// prepare the menu
admin_menu('admin.html');
// Thanks to Landseer nice idea 
if (file_exists('install.php') || file_exists('install')) {
    echo "<br />\n
          <fieldset>\n
          <br /><div style=\"text-align: center; font-weight: bold; font-size: 14px; color: red;\">".pnVarPrepForDisplay(_INSTALLWARNING)."</div><br />\n
          <br /><div style=\"text-align: center;\"><a href=\"admin.php\">".pnVarPrepForDisplay(_CONTINUE)."</a></div>\n
          </fieldset>";
}
   if (file_exists($file='modules/' . pnVarPrepForOS($module) . '/admin.php'))
   {
      $ModName = $module;
      include $file;

      modules_get_language();
      modules_get_manual();

      if (substr($module,0,3)=='NS-') {
         $function = substr($module,3).'_admin_';
      }
      else {
         $function = $module.'_admin_';
      }

      $function_op = $function.$op;
      $function_main = $function.'main';
      $var = array_merge((array)$GLOBALS['HTTP_GET_VARS'], (array)$GLOBALS['HTTP_POST_VARS']);
      
      // HTTP_GET_VARS and HTTP_POST_VARS are not global for some reason
      // fix for PHP5 - need to clean code of globals and other crap - Shawn
      $var = array_merge((array)$var, (array)$_GET, (array)$_POST);
      
      if (function_exists($function_op)) {
                $function_op($var);
      }
      elseif (function_exists($function_main)) {
        $function_main($var);
      }
      else {
         die("error : admin_execute($file,$function_op)");
      }

   }
   else
      die("Fatal error :<br>module = $module<br>op = $op<br>");
//
//
// read out the buffer and call the RteMulti-functions for manipulation
//

//if ((pnModGetVar('RteMulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {
if ((pnModGetVar('rtemulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {

   $return=ob_get_contents();
   ob_end_clean();

   $output = new pnHTML();

//    if (!pnModAPILoad('rtemulti', 'user')) {
    if (!pnModAPILoad('RteMulti', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TextHTML($return);
    $output->SetInputMode(_PNH_PARSEINPUT);


//    if ((pnModGetVar('RteMulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {
    if ((pnModGetVar('rtemulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {

                  $output->ManipulatePage();
    }
    $output->PrintPage();
}
//
// End of buffering (that's all !!) 25.09.2002 WindMeUp
//

if (function_exists('session_write_close')) {
    session_write_close();
} else {
    // Hack for old versions of PHP with bad session save
    $sessvars = '';
    foreach ($GLOBALS as $k => $v) {
        if ((preg_match('/^PNSV/', $k)) &&
            (isset($v))) {
            $sessvars .= "$k|" . serialize($v);
        }
    }
    pnSessionWrite(session_id(), $sessvars);
}
?>
