<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Filename: includes/search/subjects.php
// Original Author of file: Jaroslaw Gilewski (http://www.yagi.com.pl)
// Rewriten for pnAPI by EasyWeb Team (EWT)
// Support:        Russian - http://www.postnuke.ru
//                        English - http://home.postnuke.ru
//       Polish - http://www.yagi.com.pl
// Purpose of file: Search subjects
// ----------------------------------------------------------------------
// sjah: 03-10-2004 removed tables for css layout

$search_modules[] = array(
  'title' => 'Documents',
  'func_search' => 'search_subjects',
  'func_opt' => 'search_subjects_opt'
);

function search_subjects_opt($vars) {
    global
        $bgcolor2,
        $tblcolor3,
        $info;
        
$subjectsModName="subjects";
$currentlang = pnUserGetLang();

// standard for language recognition
if (file_exists("modules/$subjectsModName/pnlang/$currentlang/subjects.php"))
{
    include "modules/$subjectsModName/pnlang/$currentlang/subjects.php";
} else {
    include "modules/$subjectsModName/pnlang/eng/subjects.php";
}
    echo "<div style=\"background: $bgcolor2;  border-bottom:1px solid $tblcolor3;\">\n";
    echo "    <div style=\"background: $bgcolor2;\">\n";
    echo "        <input type=\"checkbox\" name=\"active_subjects\" id=\"active_subjects\" value=\"1\" checked>&nbsp;"._SUB_SUBJECTSSRCH."\n";
    echo "    </div>\n";
    echo "    <div style=\"margin: 10px 0px 0px 30px; background: $bgcolor2; \">\n";
    echo "        <b><label for=\"subjects[]\">"._SUB_SUBJECTSSRCHIN."</label>:</b><br />\n"
      ."          <select size=\"5\" name=\"subjects_srch[]\" id=\"subjects_srch[]\" multiple>\n"
      ."               <option value=\"\" selected>"._SUB_SRCHALLSUBJECTS."</option>\n"
      ."               <option value=\"pagetitle\">"._SUB_SUBJECTSSRCHTITLE."</option>\n"
      ."               <option value=\"pageauthor\">"._SUB_SUBJECTSSRCHAUTHOR."</option>\n"
      ."               <option value=\"pagetext\">"._SUB_SUBJECTSSRCHTEXT."</option>\n"
      ."               <option value=\"pagecontent\">"._SUB_SUBJECTSSRCHCONT."</option>\n"
      ."               <option value=\"username\">"._SUB_SUBJECTSSRCHUSER."</option>\n"
      ."          </select>\n";
    echo "    </div><br />\n";
    echo "</div>\n";
}

function search_subjects($vars) {

  if(!$vars['active_subjects'])
    return;
global $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $textcolor1, $textcolor2, $pntable,$pnconfig;
$dbtype = $pnconfig['dbtype'];

$subjectsModName="subjects";
$currentlang = pnUserGetLang();

pnModAPILoad('subjects', 'user');


// standard for language recognition
if (file_exists("modules/$subjectsModName/pnlang/$currentlang/subjects.php"))
{
    include "modules/$subjectsModName/pnlang/$currentlang/subjects.php";
} else {
    include "modules/$subjectsModName/pnlang/eng/subjects.php";
}

  pnModDBInfoLoad('subjects');
  list($dbconn) = pnDBGetConn();
  $pntable = pnDBGetTables();

  $w = search_split_query(trim($vars[q]));
  $flag = false;

  $now = date("Y-m-d H:i:00");
  $column = &$pntable['subpages_column'];
  $subcolumn = &$pntable['subjects_column'];

//language depended search
//contributed by TAndrew (http://www.postnuke.ru/user.php?op=userinfo&uname=TAndrew)
    if (pnConfigGetVar('multilingual') == 1) {
//modified for Oracle compatibility
//    $subquerylang = "AND ($subcolumn[sublanguage]='$currentlang' OR $subcolumn[sublanguage]='')";
    $subquerylang = "AND ($subcolumn[sublanguage]='$currentlang' OR $subcolumn[sublanguage]='' OR $subcolumn[sublanguage] IS NULL)";
  } else {
    $subquerylang = "";
  }
//end language depended search
//modified for Oracle compatibility
/*
  $query = "SELECT $column[pageid], $column[parentpageid], $column[subid], $subcolumn[subname], $column[pagetitle],
                   $column[pageauthor], $column[pagedatetime], $column[pagecounter], $subcolumn[catid]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[subid]=$subcolumn[subid] AND
                              $subcolumn[subactive]=1 AND $column[pageactive]=1 AND
                                  $column[pagedatetime] < '$now' $subquerylang";
*/
      switch ($dbtype){
        case "oci8":
            $query = "SELECT $column[pageid], $column[parentpageid], $column[subid], $subcolumn[subname], $column[pagetitle],
                $column[pageauthor], $column[pagedatetime], $column[pagecounter], $subcolumn[catid]
                FROM $pntable[subpages], $pntable[subjects]
                WHERE $column[subid]=$subcolumn[subid] AND
                  $subcolumn[subactive]=1 AND $column[pageactive]=1 AND
                  $column[pagedatetime] < sysdate $subquerylang";
            break;
        default:
            $query = "SELECT $column[pageid], $column[parentpageid], $column[subid], $subcolumn[subname], $column[pagetitle],
                $column[pageauthor], $column[pagedatetime], $column[pagecounter], $subcolumn[catid]
                FROM $pntable[subpages], $pntable[subjects]
                WHERE $column[subid]=$subcolumn[subid] AND
                  $subcolumn[subactive]=1 AND $column[pageactive]=1 AND
                  $column[pagedatetime] < '$now' $subquerylang";
            break;
      }
  $searchquery = "";
  $contentquer = "";
  $pageidquery = "";

  foreach($w as $word) {
    if($flag) {
        switch($vars['bool']) {
           case 'AND' : if($searchquery) $searchquery .= ' AND ';
                        if($contentquery) $contentquery .= ' AND '; break;
           case 'OR' :
           default : if($searchquery) $searchquery .= ' OR ';
                     if($searchquery) $contentquery .= ' OR ';
        }
    }
    $subsearchquery = "";
    if($vars['subjects_srch'][0]) {
      $flag2 = false;
      foreach($vars['subjects_srch'] as $v) {
        if($v != "pagecontent"){
          if($flag2)
            $subsearchquery .= " OR ";
          $subsearchquery .= "$column[$v] LIKE '$word'";
          $flag2 = true;
        }
      }
    } else {
      $subsearchquery .= "$column[pagetitle] LIKE '$word' OR ";
//modified for Oracle compatibility
      switch ($dbtype){
        case "oci8":
            $subsearchquery .= "contains($column[pagetext],'$word',2)>0 OR ";
            break;
        default:
            $subsearchquery .= "$column[pagetext] LIKE '$word' OR ";
            break;
      }
      $subsearchquery .= "$column[username] LIKE '$word' OR ";
      $subsearchquery .= "$column[pageauthor] LIKE '$word'";
    }
    if($subsearchquery)
      $subsearchquery = "($subsearchquery)";

    $searchquery .= $subsearchquery;
//modified for Oracle compatibility
    switch ($dbtype){
        case "oci8":
            $contentquery .= "contains($column[pagecontent],'$word',1)>0";
            break;
        default:
            $contentquery .= "$column[pagecontent] LIKE '$word'";
            break;
    }

    $flag = true;
  }

  if(!$vars['subjects_srch'][0] || in_array("pagecontent", $vars['subjects_srch'])){
    //searching for content
//modified for Oracle compatibility
/*    $result = $dbconn->Execute("SELECT $column[pageid], $column[parentpageid], $column[pagefile], $column[pagecontent]
                                FROM $pntable[subpages], $pntable[subjects]
                                WHERE $column[subid]=$subcolumn[subid] AND
                                $subcolumn[subactive]=1 AND $column[pageactive]=1 AND
                                $column[pagedatetime] < '$now' AND
                                ($column[pagefile] <> '' OR ($contentquery))");
*/
        switch ($dbtype){
            case "oci8":
                $second_query="SELECT $column[pageid], $column[parentpageid], $column[pagefile], $column[pagecontent]
                                FROM $pntable[subpages], $pntable[subjects]
                                WHERE $column[subid]=$subcolumn[subid] AND
                                $subcolumn[subactive]=1 AND $column[pageactive]=1 AND
                                $column[pagedatetime] < sysdate AND
                                ($column[pagefile] <> '' OR ($contentquery))";

                    break;
            default:
                $second_query="SELECT $column[pageid], $column[parentpageid], $column[pagefile], $column[pagecontent]
                                FROM $pntable[subpages], $pntable[subjects]
                                WHERE $column[subid]=$subcolumn[subid] AND
                                $subcolumn[subactive]=1 AND $column[pageactive]=1 AND
                                $column[pagedatetime] < '$now' AND
                                ($column[pagefile] <> '' OR ($contentquery))";

                break;
        }
    $result = $dbconn->Execute($second_query);

    if(!$result->EOF) {
      $flag = false;
      $pageids = array();
//modified for Oracle compatibility
//      while(list($pageid, $parentpageid, $pagefile, $pagecontent) = $result->fields) {
    while(!$result->EOF){
        list($pageid, $parentpageid, $pagefile, $pagecontent) = $result->fields;
        $contained = true;

        if(!in_array($pageid, $pageids))
        {
          if($pagefile){
            if(file_exists("modules/$subjectsModName/pages/$pagefile")){
              $pagecontent = join('', file("modules/$subjectsModName/pages/$pagefile"));
              $pagecontent = strip_tags($pagecontent);
              $w = explode(' ', trim($vars[q]));
              $searched = 0;
              foreach($w as $word) {
                if($word && eregi($word, $pagecontent)){
                  $searched += 1;
                }
              }
              switch($vars['bool']) {
                 case 'AND' : if($searched != count($w)) $contained = false; break;
                 case 'OR' :
                 default :  if($searched == 0) $contained = false;
              }
            } else
              $contained = false;
          }

          if($contained){
            if($flag)
                $pageidquery .= ' OR ';
            $pageidquery .= "$column[pageid] = $pageid";
            $flag = true;
            $pageids[] = $pageid;
          }
        }
        $result->MoveNext();
      }
    }
    $result->Close();
  }

  if($searchquery || $pageidquery){
    $query .= " AND (";
    if($searchquery){
      $query .= "($searchquery)";
      if($pageidquery)
        $query .= " OR ($pageidquery)";
    } else
      if($pageidquery)
        $query .= "$pageidquery";
    $query .= ")";
  }

  $query .= " ORDER BY $column[pagetitle]";
  $result = $dbconn->Execute($query);
  $total_rows = $result->PO_RecordCount();
  if($vars['overview']) {
    $result->Close();
    $result = $dbconn->SelectLimit($query,3);
  }

  if(!$result->EOF) {
    echo "<font class=\"pn-normal\">"._SUB_SRCHEDSUBJECTS.":</font>";
    if($total_rows > 3 && $vars['overview'])
      echo " <a class=\"pn-normal\" href=\"modules.php?op=modload&name=Search&file=index&action=search&active_subjects=1&bool=$vars[bool]&q=$vars[q]\">"._SUB_SUBSEEALL." $total_rows "._SUB_SUBRESULTS."...</a>";

    while(list($pageid, $parentpageid, $subid, $subname, $pagetitle, $pageauthor, $pagedatetime, $pagecounter, $catid) = $result->fields) {
      if($parentpageid == 0){
          $mainpageid = $pageid;
          $mainpagetitle = $pagetitle;
          $mainpageauthor = $pageauthor;
          $mainpagedatetime = $pagedatetime;
      }else{
          $context_parentpageid = $parentpageid;
                  $pagecontext = "";
          $context_index = 0;
          while($context_parentpageid > 0){
              $result2 = $dbconn->Execute("SELECT $column[pageid], $column[parentpageid], $column[pagetitle],
                                         $column[pageauthor], $column[pagedatetime]
                                         FROM $pntable[subpages] WHERE $column[pageid]=$context_parentpageid");
              list($context_pageid, $context_parentpageid, $context_pagetitle, $context_pageauthor, $context_pagedatetime) = $result2->fields;
              $result2->Close();
              if($context_parentpageid != 0){
                  $pagecontext = "<ul><li>$context_pagetitle".$pagecontext;
                  $context_index += 1;
              }
              else{
                  $mainpageauthor = $context_pageauthor;
                  $mainpageid = $context_pageid;
                  $mainpagetitle = $context_pagetitle;
                  $mainpagedatetime = $context_pagedatetime;
                  $pagecontext = "<ul><li><b>$mainpagetitle</b>".$pagecontext;
                  $context_index += 1;
              }
          }
      }

          if (pnModAPIFunc('subjects', 'user','auth',
                  array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid)))

          if (        (!empty($mainpageid)) &&
                        (pnModAPIFunc('subjects', 'user','auth',
                                array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$mainpageid))) ) {

                  if($parentpageid != 0){
              echo "$pagecontext";
          }
          echo "<ul><li><p><a class=\"pn-title\" href=\""
                        .pnModURL('subjects','user','viewpage', array('pageid'=>"$pageid"))
                        ."\">$pagetitle</a>";
          if($mainpageauthor != "")
              echo ", $mainpageauthor";
          setlocale (LC_TIME, $locale);
          eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $mainpagedatetime, $pagedate);
          $pagedate = ml_ftime(""._LINKSDATESTRING."", mktime($pagedate[4],$pagedate[5],$pagedate[6],$pagedate[2],$pagedate[3],$pagedate[1]));
          $pagedate = ucfirst($pagedate);
          echo "<br>("._SUB_PAGEDATETIME." $pagedate, "._SUB_PAGEREADS." $pagecounter)</p>";
          for ($i = 0; $i < $context_index; $i++) {
            echo "</ul>";
          }
          echo "</ul>";
      }
      $result->MoveNext();
    }
    echo "</ul>\n";
  } else
    echo '<font class=\"pn-normal\">'._SUB_SRCHNOSUBJECTS.'</font>';
  $result->Close();

  echo "<br />";
}
?>