<?php

/**
 * xhtml.php
 * 
 * @version $Id: xhtml.php,v 1.6 2004/11/22 09:25:42 timax Exp $
 * @copyright 2004
 */

global $PHP_SELF;
if (eregi("xhtml.php", $PHP_SELF)) {
    die ("You can't access this file directly...");
}


/*function head()
{
}*/ 

/*function footer ()
{
}*/ 

function meta_tags ($type) // handles meta-tags and title
{
	global $info, $hometext;
	
	switch($type){
		case 1:
			echo "<title>".$info[title]." :: ".pnConfigGetVar('sitename')." :: ".pnConfigGetVar('slogan')."</title>\n\n";
			break;

		default:
			echo "<title>".pnConfigGetVar('sitename')." :: ".pnConfigGetVar('slogan')."</title>\n\n";
	} // switch	
	
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".xhtml_encoding()."\"".xhtml_close_tag()."\n";
	switch($type){
		case 1: // article page output
			if (pnConfigGetVar('dyn_keywords') == 1) {
				$htmlless = check_html($info['maintext'], $strip ='nohtml');
				$symbolLess = trim(ereg_replace('("|\?|!|:|\.|\(|\)|;|\\\\)+', ' ', $htmlless));
				$keywords = ereg_replace('( |'.CHR(10).'|'.CHR(13).')+', ',', $symbolLess);
				$metatags = ereg_replace(",+", ",",$keywords);
				echo "<meta http-equiv=\"keywords\" content=\"".$metatags."\"".xhtml_close_tag()."\n";
			} else {
				echo "<meta name=\"keywords\" content=\"".pnConfigGetVar('metakeywords')."\"".xhtml_close_tag()."\n";
			}
			break;

		default: // all other pages output
			echo "<meta name=\"keywords\" content=\"".pnConfigGetVar('metakeywords')."\"".xhtml_close_tag()."\n";
	} // switch
	
	echo "<meta name=\"description\" content=\"".pnConfigGetVar('slogan')."\"".xhtml_close_tag()."\n";
	echo "<meta name=\"robots\" content=\"INDEX,FOLLOW\"".xhtml_close_tag()."\n";
	echo "<meta name=\"resource-type\" content=\"document\"".xhtml_close_tag()."\n";
	echo "<meta http-equiv=\"expires\" content=\"0\"".xhtml_close_tag()."\n";
	echo "<meta name=\"author\" content=\"".pnConfigGetVar('sitename')."\"".xhtml_close_tag()."\n";
	echo "<meta name=\"copyright\" content=\"Copyright (c) 2004 by ".pnConfigGetVar('sitename')."\"".xhtml_close_tag()."\n";
	echo "<meta name=\"revisit-after\" content=\"1 days\"".xhtml_close_tag()."\n";
	echo "<meta name=\"distribution\" content=\"Global\"".xhtml_close_tag()."\n";
	echo "<meta name=\"generator\" content=\"MD-Pro "._PN_VERSION_NUM." - http://www.maxdev.com\"".xhtml_close_tag()."\n";
	echo "<meta name=\"rating\" content=\"General\"".xhtml_close_tag()."\n\n";
        echo "<link rel=\"alternate\" href=\"".pnGetBaseURL()."backend.php\" type=\"application/rss+xml\" title=\"".pnConfigGetVar('sitename')."\" />\n"; 
} 

function xhtml_lang ()
{
	/* (x)html language definition */
	$xhtmllang = jslanguagelist();
	return $xhtmllang[pnSessionGetVar('lang')];
}

function xhtml_dtd_start($type)
{
	switch($type){

		case 1: // HTML 4.01 Transitional URI (w3c standard mode)
			echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"\n";
			echo "\t\"http://www.w3.org/TR/html4/loose.dtd\">\n";
			echo "<html lang=\"".xhtml_lang()."\">\n\n<head>\n";
			break;

		case 2: // HTML 4.01 Strict URI
			echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01//EN\"\n";
			echo "\t\"http://www.w3.org/TR/html4/strict.dtd\">\n";
			echo "<html lang=\"".xhtml_lang()."\">\n\n<head>\n";
			break;

		case 3: // XHTML 1.0 Transitional
		/*	echo "<?xml version=\"1.0\" encoding=\"".xhtml_encoding()."\"?>\n"; */
			echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"\n";
			echo "\t\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n";
			echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"".xhtml_lang()."\" lang=\"".xhtml_lang()."\">\n\n";
	    	echo "<head>\n";
			break;

		case 4: // XHTML 1.0 Strict
		/*	echo "<?xml version=\"1.0\" encoding=\"".xhtml_encoding()."\"?>\n"; */
			echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\n";
			echo "\t\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n";
			echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"".xhtml_lang()."\" lang=\"".xhtml_lang()."\">\n\n";
			echo "<head>\n";
			break;

		case 5: // XHTML 1.1
		/*	echo "<?xml version=\"1.0\" encoding=\"".xhtml_encoding()."\"?>\n"; */
			echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.1//EN\"\n";
			echo "\t\"http://www.w3.org/TR/xhtml1/DTD/xhtml11.dtd\">\n";
			echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"".xhtml_lang()."\">\n\n";
	    	echo "<head>\n";
			break;

		default: // HTML 4.01 Transitional (quirk-legacy mode)
			echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
			echo "<html lang=\"".xhtml_lang()."\">\n\n<head>\n";
	} // switch
} 

function xhtml_close_tag ()
{
    $themeversion = atRunningGetVar('themeversion');
	if ($themeversion['dtd'] <= 1) { return ">"; }
    else { return " />"; }
} 

function xhtml_encoding ()
{
	/* (x)html charset definition */
	if (defined("_CHARSET") && _CHARSET != "") {
    	return strtolower (_CHARSET);
	} else {
	    return "utf-8";
	}
}

?>