<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Gregor J. Rothfuss
// Purpose of file: Provide checks for the installer.
// ----------------------------------------------------------------------
/* ChangeLog
 * 1/08/2003          WindMeUp         change the home of config.php to /config
//* 3/07/2004 TiMax        Add upgrade from MD 1.0.6 to MD 1.0.71
 *                                     and rename to md-config.php
*/
// ----------------------------------------------------------------------

/** Checks various php settings **/
/** by Bob Herald **/

function do_check_php() {
global $loginit;
progress(30);

// Initial log-file. I can't write it before check /config is writable.
$loginit .= "Step3: Check php-version/chmod\n\n";

// Log-file entry: Selection from previous step !!
// Logs for every check
// do_upgrade_log("","Check php-version/chmod","Step3");


}


/** Check everything we need for configuration **/
function do_check_chmod() {
   global $currentlang, $loginit;

   $warncntr=0;

/** Checks the directory 'config' for correct permissions set **/

echo "<center><font class=\"pn-title\">"._CHMOD_CHECK_MAIN1."</font><br><br><font class=\"pn-title_fail\">&nbsp;&nbsp;<b>"._CHECK_README."</b></font><br><br>";

//begin check item - Lobos
?>
</center><div style="padding-left:30px;">
<?php
/** TiMax Checks if autotheme.cfg has the correct permissions set **/
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK_STARTAT."</strong>&nbsp;&nbsp;</div>";
$file='modules/AutoTheme/autotheme.cfg';
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_PASSAT."<br>";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_FAILAT."<br>";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_PASSATW;
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_FAILATW;
         $warncntr++;
   }
   
?>
</div>
<?php
/** TiMax Checks if cache dir has the correct permissions set **/   
echo "<br /><div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK_STARTATC."</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
$file='cache/_atcompile';
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_PASSATC."<br>";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_FAILATC."<br>";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_PASSATWC."<br>";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_FAILATWC."<br>";
         $warncntr++;
   }
   
  if (@opendir($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_PASSATEC;
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;"._CHMOD_CHECK_FAILATEC;
         $warncntr++;
   }
?>
</div></div><center><br />
<?php   

// echo "<font class=\"pn-normal\">"._CHMOD_CHECK_FIN4_L."$file</b></font><br><hr /><br><br>";
// Lobos end check item - first one done only ten more to go.. ooooouuuuufffff!!!!! (as TiMax would say LOL)


/** Checks the directory $file='config/'; for correct permissions set **/
$file='config/';
?>
</center><div style="padding-left:30px;">
<?php
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
         $warncntr++;
   }
   if (@opendir($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_EXE;
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL;
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 


/** Checks the directory 'upload/rte' for correct permissions set **/
?>
</center><div style="padding-left:30px;">
<?php
$file='upload/rte/';
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
         $warncntr++;
   }
   if (@opendir($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_EXE;
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL;
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 

/** Checks the directory 'upload/sub' for correct permissions set **/
$file='upload/sub/';
?>
</center><div style="padding-left:30px;">
<?php
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
         $warncntr++;
   }
   if (@opendir($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_EXE;
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL;
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 

/** Checks the directory 'upload/wl' for correct permissions set **/
   $file='upload/wl/';
?>
</center><div style="padding-left:30px;">
<?php
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
         $warncntr++;
   }
   if (@opendir($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_EXE;
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL;
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 

/** Checks the directory 'upload/dl' for correct permissions set **/
   $file='upload/dl/';
?>
</center><div style="padding-left:30px;">
<?php
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL."";
         $warncntr++;
   }
   if (@opendir($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_EXE;
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL;
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 
//echo "   <font class=\"pn-normal\">"._CHMOD_CHECK_START2."</font><br><br>";
/** Checks if md-config.php has the correct permissions set **/
   $file='config/md-config.php';
?>
</center><div style="padding-left:30px;">
<?php
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL666."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL666."";
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 


/** Checks if old config.php has the correct permissions set **/
//   echo "<font class=\"pn-title\">"._CHMOD_CHECK_MAIN1."</font><br><br>
//echo "   <font class=\"pn-normal\">"._CHMOD_CHECK_START2_OLD."</font><br><br>";
$file='config.php';
?>
</center><div style="padding-left:30px;">
<?php
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL666."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL666."";
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 

/** Checks if rte-config.php has the correct permissions set **/
  // echo "<font class=\"pn-normal\">"._CHMOD_CHECK_START3A."</font><br><br>";
   $file='config/rte-config.php';
?>
</center><div style="padding-left:30px;">
<?php
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL666."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL666."";
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 

/** Checks if config-old.php has the correct permissions set **/
  // echo "<font class=\"pn-normal\">"._CHMOD_CHECK_START3."</font><br><br>";

   $file='config/config-old.php';
?>
</center><div style="padding-left:30px;">
<?php
echo "<div style=\"padding-bottom:5px;\"><strong>"._CHMOD_CHECK."$file</strong>&nbsp;&nbsp;</div>";
?>
<div style="padding-left:0px;">
<?php
//echo "<font class=\"pn-normal\">"._CHMOD_CHECK_PROGAT."</font><br>";
	if (is_readable($file)){
			echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_READ."";
   } else {
      		echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL666."";
          $warncntr++;
   }
   //echo "<br><font class=\"pn-normal\">"._CHMOD_CHECK_PROGATW."</font><br>";
   if (is_writeable($file)){
     echo "<img src=\"install/images/verde.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_WRITE."";
   } else {
     echo "<img src=\"install/images/rosso.gif\" style=\"vertical-align:middle;\">&nbsp;&nbsp;$file"._CHMOD_CHECK_FAIL666."";
         $warncntr++;
   }
   
?>
</div></div><center><br />
<?php
// Lobos end check item 
// --- End checks
if (phpversion() < "4.0.1") {
      $phpver = phpversion();
      echo "<br><font class=\"pn-normal\">"._PHP_CHECK_1.$phpver."<br>
      "._PHP_CHECK_2."</font><br>";
          $loginit .= "ERROR: "._PHP_CHECK_1.$phpver."\n"._PHP_CHECK_2."\n";
   } else {
          $loginit .= "PHP-version: ".phpversion()." OK\n";
   }

   if (get_magic_quotes_gpc() == 0) {
      echo "<br><font class=\"pn-normal\">"._PHP_CHECK_3."</font><br>";
          $loginit .= "ERROR: "._PHP_CHECK_3."\n";
   } else {
          $loginit .= "Magic Quotes GPC ON. OK\n";
   }

   if (get_magic_quotes_runtime() == 1) {
      echo "<br><font class=\"pn-normal\">"._PHP_CHECK_4."</font><br>";
          $loginit .= "ERROR: "._PHP_CHECK_4."\n";
   } else {
          $loginit .= "Magic Quotes Runtime ON. OK\n";
   }





   if($warncntr <= 0){
     echo "<p><form action=\"install.php\" method=\"post\">
     <input type=\"hidden\" name=\"currentlang\" value=\"$currentlang\">
     <center><input type=\"hidden\" name=\"op\" value=\"CHM_check\">
     <input type=\"submit\" value=\""._BTN_CONTINUE."\"><br><br><font class=\"pn-title\">Step 3</center></form></p>";
         do_upgrade_log(_CHMOD_CHECK_LOG." OK\n","");
   } else {
          echo "<p><form action=\"install.php\" method=\"post\">
     <input type=\"hidden\" name=\"currentlang\" value=\"$currentlang\">
     <center><font class=\"pn-normal\"><img src=\"install/images/giallo.gif\">&nbsp;&nbsp;"._CHMOD_FAILINFO." $warncntr "._CHMOD_FAILINFO2."&nbsp;&nbsp;<img src=\"install/images/giallo.gif\">
         </font><input type=\"hidden\" name=\"op\" value=\"Check\">
     <input type=\"submit\" value=\""._BTN_RECHECK."\"><br><br><font class=\"pn-title\">Step 3</center></form></p>";
         do_upgrade_log("ERROR: "._CHMOD_CHECK_LOG_ERROR."\n","");
   }
}
//Lobos - Can you beleive it? I had to look up percentages, I'm stupid LOL
function progress($percent)
{
$pbwidth = 80 / 100 * $percent * 5;
?>
<br />
<div style="text-align:center;">
<?php echo _INSTALL_LOG_INFO; ?>
</div><br />
<table stye="padding-top:10px;" align="center" width="406" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td style="padding-left:6px;width:406px;height:15px;background-image:url(install/images/progressBarBG.gif);">
                  <div style="width:<?php echo $pbwidth; ?>px;overflow:hidden;"><img src="install/images/progressbar.gif"></div>
                  </td>
            </tr>
</table>
<div style="text-align:center;">MD-Pro installation is <strong style="color:#ff0000;"><?php echo $percent; ?></strong>% complete.</div>
<br /><br />

<?php
}

function checklist($op)
{

switch(@$op) {

        case "Set Language":
         //$currentlang = $alanguage;
         //print_default();
                 echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> <strong>"._AGREEGPL."</strong><br />"
                        ._AGREEGPLBOX
                        ."<img src=\"install/images/wv_tick.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL."<br />";
         break;
        case "Check":
        echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> <strong>"._CHECKCHMOD."</strong><br />"
                        ._CHECKCHMODBOX
                        ."<img src=\"install/images/wv_tick.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
        break;
    case "CHM_check":
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> <strong>"._ADDDBINFO."</strong><br />"
                        ._ADDDBINFOBOX
                        ."<img src=\"install/images/wv_tick.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;

    case "Submit":
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> <strong>"._CHOOSEINSTALTYPE."</strong><br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;

    case "Change Info":
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> <strong>"._ADDDBINFO."</strong><br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CREATEDB."<br />"

                        ."<img src=\"install/images/wv_tick.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;

    case "New Install":
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> <strong>"._CREATEDB."</strong><br />"
                        ._CREATEDBBOX
                        ."<img src=\"install/images/wv_tick.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;

    case "Start":
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;

    case "Continue":
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick.gif\">  <strong>"._CREATEADMIN."</strong><br />"
                        ._CREATEADMINBOX
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;

    case "Set Login":
        echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;

    case "Select Language":
         //print_select_language();

         break;

    case "Finish":
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> <strong>"._INSTALLSUCESSFUL."!!!</strong> <br />"
                        ._INSTALLSUCESSFULBOX;
         break;

    case "Finish Upgrade":
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> <strong>"._INSTALLSUCESSFUL."!!!</strong> <br />"
                        ._INSTALLSUCESSFULBOX;
         break;

    case "Upgrade":
//        echo "upgrading"; //print_upgrade();
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> <strong>"._UPGRADEDB."</strong><br />"
                        ._UPGRADEBOX
                        ."<img src=\"install/images/wv_tick.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;


// Brian Lindner:  BEGIN UPGRADE AREA CALLS!!!
    case "Envolution 1.1.0":
    case "Envolution 1.1.5":
    case "Envolution 1.2":
    case "Envolution 1.2.5":
    case "PostNuke .714":
    case "PostNuke .721":
    case "PostNuke .723":
    case "PostNuke .726":
    case "MD-pro alpha":
    case "MD-pro 1.0.6":
case "envoUpgrade 1.1.0":
case "envoUpgrade 1.1.5":
case "PNUpgrade .714":
case "PNUpgrade .721":
case "PNUpgrade .723":
case "PNUpgrade .726":
case "PHPNuke 4.2":
case "PHPNuke 4.3":
case "PHPNuke 4.4":
case "PHPNuke 5.0":
case "PHPNuke 5.1":
case "PHPNuke 5.2":
case "PHPNuke 5.3":
case "PHPNuke 5.31":
case "PHPNuke 5.4":
case "PHPNuke 5.5":
case "PHPNuke 5.6":
case "PHPNuke 6.0":
case "mdUpgrade alpha":
case "mdUpgrade 1.0.6":
//        echo "Upgrading";
         echo "<img src=\"install/images/wv_tick_red.gif\">"._SELECTLANG."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick_red.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> <strong>"._UPGRADEDB."</strong><br />"
                        ._UPGRADEBOX2
                        ."<img src=\"install/images/wv_tick.gif\">  "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL." <br />";
         break;

    default:
         //print_select_language($op);
                echo "<img src=\"install/images/wv_tick.gif\"> <strong>"._SELECTLANG."</strong><br />"
                        ._SELECTLANGBOX
                        ."<img src=\"install/images/wv_tick.gif\"> "._AGREEGPL."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CHECKCHMOD."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._ADDDBINFO."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CHOOSEINSTALTYPE."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CREATEDB."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._CREATEADMIN."<br />"
                        ."<img src=\"install/images/wv_tick.gif\"> "._INSTALLSUCESSFUL."<br />";
         break;
}

}

?>
