<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file:  Gregor J. Rothfuss
// Purpose of file: Provide upgrade functions for installer.
// ----------------------------------------------------------------------------
//* 8/11/2002              Brian Lindner   Added PHPNuke 4.2 - 6.0 Upgrade scripts
//* 01/10/2003                WindMeUp                added envo 1.1.0 - 1.1.5 update scripts
//* 02/17/2003                WindMeUp                added postnuke .714 - .723 update scripts
//* 06/14/2003                WindMeUp                added envo 1.2 - 1.2.5 update scripts,
//*                                 install_log.txt
//* 09/26/2003      WindMeUp        added envo 1.2.5 - MD-Pro 1.0 update scripts,
//*                                 added postnuke .723 - .726 update scripts
//* 3/07/2004 TiMax        Add upgrade from MD 1.0.6 to MD 1.0.71 
//
/*** This function calls the upgrade from PostNuke .714 ***/
function do_upgrade_postnuke ($dbhost,$dbuname,$dbpass,$dbname,$prefix,$dbtype,$themeengine,$adminlite,$envoblocks,$envomodules,$filemanager,$subjects, $version='.714') {
global $nodataupdate;

  mysql_connect($dbhost, $dbuname, $dbpass);
  mysql_select_db("$dbname") or die ("<br><font class=\"pn-failed\">Unable to select database.</font>");

  // start the upgrade process for MD-Pro
  switch ($version) {
//    case "1.0.0":
//            break;

          case ".714":
        //include("install/upgrades/postnuke/pn71.php");
        include("install/upgrades/postnuke/upgrade714-723.php");
        include("install/upgrades/postnuke/upgrade723-726.php");
        include("install/upgrades/postnuke/data714-723.php");
                break;

          case ".72":
        include("install/upgrades/postnuke/upgrade723-726.php");
        include("install/upgrades/postnuke/data714-723.php");
            break;

          case ".726":
        include("install/upgrades/postnuke/upgrade723-726.php");
        include("install/upgrades/postnuke/data714-723.php");
            break;

  }

  // now handle any MD-Pro upgrades..  up to 1.0 final
  do_upgrade_envolution($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype,$themeengine,$adminlite,$envoblocks,$envomodules,$filemanager,$subjects, '1.2.5','PN');

  echo "<br><hr><font class=\"pn-title\">OK</font><hr>";

}

// Author:  WindMeUp 01/10/2003
// last change: WindMeUp
// purpose: allow Envolution 1.1.x -> Envolution 1.2.5[FLS] -> MD-Pro NEW
function do_upgrade_envolution($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype,$themeengine,$adminlite,$envoblocks,$encompass,$filemanager,$subjects, $version='1.2',$upgrade_from='envo') {
global $nodataupdate;

  mysql_connect($dbhost, $dbuname, $dbpass);
  mysql_select_db("$dbname") or die ("<br><font class=\"pn-failed\">Unable to select database.</font>");

  // start the upgrade process for MD-Pro
  switch ($version) {
    case "1.0.0":
            break;

          case "1.1.0":
        include("install/upgrades/envolution/upgrade110-115.php");
        include("install/upgrades/envolution/upgrade115-12.php");
        include("install/upgrades/envolution/upgrade12-125.php");
        include("install/upgrades/envolution/upgrade125-md10.php");
                if($upgrade_from == 'envo') {
           include("install/upgrades/envolution/data110-115.php");
                  include("install/upgrades/envolution/data115-12.php");
                  include("install/upgrades/envolution/data12-125.php");
        include("install/upgrades/envolution/data125-md10.php");
                }
                break;

          case "1.1.5":
        include("install/upgrades/envolution/upgrade115-12.php");
        include("install/upgrades/envolution/upgrade12-125.php");
        include("install/upgrades/envolution/upgrade125-md10.php");
                if($upgrade_from == 'envo') {
           include("install/upgrades/envolution/data115-12.php");
                  include("install/upgrades/envolution/data12-125.php");
        include("install/upgrades/envolution/data125-md10.php");
            }
                break;

          case "1.2":
          case "1.2.5":
        include("install/upgrades/envolution/upgrade12-125.php");
        include("install/upgrades/envolution/upgrade125-md10.php");
        include("install/upgrades/envolution/data12-125.php");
        include("install/upgrades/envolution/data125-md10.php");
            break;

          case "MD alpha":
//        include("install/upgrades/envolution/upgradeAlpha-md10.php");
//        include("install/upgrades/envolution/dataAlpha-md10.php");
            break;

            case "MD 1.0.6":
            include("install/upgrades/mdpro/upgrademd10-md107.php");
            break;


  }
  echo "<br><hr><font class=\"pn-title\">OK</font><hr>";

}

// !!!! PHPNUKE ACTUALLY NOT POSSIBLE !!!!
//
// Author: Brian Lindner
// purpose: allow phpnuke -> Envolution upgrades
function do_upgrade_phpnuke($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $version='6.0') {

  mysql_connect($dbhost, $dbuname, $dbpass);
  mysql_select_db("$dbname") or die ("<br><font class=\"pn-failed\">Unable to select database.</font>");

  // start the upgrade process for phpnuke
  do_upgrade_phpnukeversions($version, $prefix);

  // make the config.php
  update_config_php(true);

  echo "OK<br>";

  // now handle any Envolution upgrades..  already at 1.1.5
        do_upgrade_envolution($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, '1.1.0');
}

// Author: Brian Lindner
// purpose: allow phpnuke -> Envolution upgrades
//                                        handles the different phpnuke versions
function do_upgrade_phpnukeversions($version='6.0', $prefix='envo') {
        $user_prefix = $prefix;

        switch ($version) {
          case "4.2":
        include("install/upgrades/phpnuke/upgrade42-43.php");
        do_upgrade_phpnukeversions('4.3', $prefix);
            break;
          case "4.3":
        include("install/upgrades/phpnuke/upgrade43-44.php");
        do_upgrade_phpnukeversions('4.4', $prefix);
            break;
          case "4.4":
        include("install/upgrades/phpnuke/upgrade44-50.php");
        do_upgrade_phpnukeversions('5.0', $prefix);
            break;
          case "5.0":
        include("install/upgrades/phpnuke/upgrade50-51.php");
        do_upgrade_phpnukeversions('5.1', $prefix);
            break;
          case "5.1":
        include("install/upgrades/phpnuke/upgrade51-52.php");
        do_upgrade_phpnukeversions('5.2', $prefix);
            break;
          case "5.2":
        include("install/upgrades/phpnuke/upgrade52-53.php");
        do_upgrade_phpnukeversions('5.3', $prefix);
            break;
          case "5.3":
        include("install/upgrades/phpnuke/upgrade53-531.php");
        do_upgrade_phpnukeversions('5.31', $prefix);
            break;
          case "5.31":
        include("install/upgrades/phpnuke/upgrade531-54.php");
        do_upgrade_phpnukeversions('5.4', $prefix);
            break;
          case "5.4":
        include("install/upgrades/phpnuke/upgrade54-55.php");
        do_upgrade_phpnukeversions('5.5', $prefix);
            break;
          case "5.5":
        include("install/upgrades/phpnuke/upgrade55-56.php");
        do_upgrade_phpnukeversions('5.6', $prefix);
            break;
    case "5.6":
                        include("install/upgrades/phpnuke/upgrade56-60.php");
        do_upgrade_phpnukeversions('6.0', $prefix);
            break;
          case "6.0":
       // finally move to ENVOLUTION
        include("install/upgrades/phpnuke/upgrade60-envo11.php");
            break;
  }

}
?>
