<?php
// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// ----------------------------------------------------------------------------
// Original Author of file: Envolution Development Team - WindMeUp
// Purpose of file:         Install data for a Envo1.1 upgrade installation
// ----------------------------------------------------------------------------


include_once("includes/pnAPI.php");
include_once("includes/pnMod.php");

function doupdate_115($table,$check=1,$field='*') {
        GLOBAL $dbconn;
        $dataupdate = 1;
        $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." WHERE ".$check." LIMIT 1");
        if ($result->EOF) {
                      echo "<br><font class=\"pn-sub\">".$table." "._UPDATED."</font>";
        } else {
                echo "<br><font class=\"pn-sub\">"._NOTDONE.":115: ".$table." :: "._NOUPDATE."</font>";
                $dataupdate = 0;
        }
return $dataupdate;
}

list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_blocks
// Author:                WindMeUp 01/14/2003

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_group_perms [UPDATE] (possible problems with old 'Section'-settings !!!)
// Author:                WindMeUp 01/14/2003
$table = $prefix.'_group_perms';
$check = "pn_component = 'Subjects::'";

if(doupdate_115($table,$check)) {
$modcolumn = &$pntable['group_perms_column'];
$dbconn->Execute("UPDATE $pntable[group_perms] SET $modcolumn[component] = 'Subjects::' WHERE $modcolumn[component]='Sections::' AND $modcolumn[pid]<'17'")
        or die("<b>"._NOTUPDATED.$prefix."_group_perms</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_headlines [UPDATE]
// Author:                WindMeUp 01/14/2003
$table = $prefix.'_headlines';
$check = "pn_sitename = 'maxdev.it'";

if(doupdate_115($table,$check)) {
$modcolumn = &$pntable['headlines_column'];
$dbconn->Execute("UPDATE $pntable[headlines] SET   $modcolumn[sitename] = 'maxdev.it',
                                                                                                         $modcolumn[rssurl] = 'http://www.maxdev.it/backend.php'
                                                                                           WHERE $modcolumn[sitename]='Segfault'")
        or die("<b>"._NOTUPDATED.$prefix."_headlines</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_hooks
// Author:                WindMeUp 01/14/2003
$table = $prefix.'_hooks';
$check = "pn_tmodule = 'rtemulti'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_hooks VALUES ('', 'item', 'transform', NULL, NULL, 'API', 'rtemulti', 'user', 'transform')")
        or die("<b>"._NOTUPDATED.$prefix."_hooks</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars [UPDATE]
// Author:                WindMeUp 01/14/2003
$modcolumn = &$pntable['module_vars_column'];

/*************************** comment-out because of individual theme settings possible
$dbconn->Execute("UPDATE $pntable[module_vars] SET $modcolumn[value] = 's:10:\"Experience\";'
                                                                                           WHERE $modcolumn[modname]='/PNConfig'
                                                                                           AND   $modcolumn[name] = 'Default_Theme'")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
****************************/

$dbconn->Execute("UPDATE $pntable[module_vars] SET $modcolumn[value] = 's:5:\"1.2.0\";'
                                                                                           WHERE $modcolumn[modname]='/PNConfig'
                                                                                           AND   $modcolumn[name] = 'Version_Num'")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("UPDATE $pntable[module_vars] SET $modcolumn[value] = 's:12:\"Michelangelo\";'
                                                                                           WHERE $modcolumn[modname]='/PNConfig'
                                                                                           AND   $modcolumn[name] = 'Version_Sub'")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 01/14/2003
global $pnrootpath, $root_path, $upload_path;

$table = $prefix.'_module_vars';
$check = "pn_modname = 'rtemulti'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'pnrootpath', '$pnrootpath')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'editorpath', 'modules/RteMulti/pneditor')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'image_upload_dir', '$root_path$upload_path')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'image_path', '$upload_path')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'image_accept', 'image/gif,image/pjpeg,image/jpg,image/jpeg')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'image_filesize', '10240')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'RteEnable', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'RteDialogBox', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'RteVisualBox', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'RteHeight', '28')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'RteWidth', '240')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'RteActivate', '2')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'RteSecurity', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'FirstBar', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'PostIt', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'CopyPaste', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'InsertDelete', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Links', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'ImageUp', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Image', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Tables', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Horizontal', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Smilies', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'CharSet', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'TextBar', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'TextFormat', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'TextJustify', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'TextList', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'TextIndent', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'History', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Source', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'StyleBar', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Style', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Font', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'FontSize', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'Colour', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmFirstBar', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmPostIt', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmCopyPaste', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmInsertDelete', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmLinks', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmImageUp', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmImage', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmTables', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmHorizontal', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmSmilies', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmCharSet', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmTextBar', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmTextFormat', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmTextJustify', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmTextList', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmTextIndent', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmHistory', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmSource', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmStyleBar', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmStyle', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmFont', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmFontSize', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'rtemulti', 'AdmColour', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 02/11/2003
global $pnrootpath, $root_path, $upload_path, $pages_upload_path;

$table = $prefix.'_module_vars';
$check = "pn_modname = 'Subjects'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Subjects', 'subpagespath', '$pages_upload_path')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Subjects', 'submaxfilesize', '1000000')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Subjects', 'submaxhddspace', '100000000')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Subjects', 'subhiddenfiles', '.htaccess')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Subjects', 'subhiddendirs', '')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Subjects', 'subeditextensions', 'htm,html,txt')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Subjects', 'subimageextensions', 'jpg,jpeg,png,bmp,gif')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Admin' and pn_name = 'use_skin'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Admin', 'use_skin', 'Michelangelo')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'use_new_admin'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'use_new_admin', 's:1:\"1\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'UseCompression'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'UseCompression', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'refereronprint'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'refereronprint', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'admin' and pn_name = 'user_2'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'admin', 'user_2', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'reservedstring'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'reservedstring', 'a:20:{i:0;s:4:\"fuck\";i:1;s:4:\"cunt\";i:2;s:5:\"pussy\";i:3;s:4:\"cock\";i:4;s:3:\"cum\";i:5;s:4:\"twat\";i:6;s:4:\"clit\";i:7;s:5:\"bitch\";i:8;s:3:\"fuk\";i:9;s:6:\"fuking\";i:10;s:3:\"God\";i:11;s:5:\"staff\";i:12;s:13:\"administrator\";i:13;s:4:\"nazi\";i:14;s:6:\"nigger\";i:15;s:7:\"bastard\";i:16;s:8:\"tabarnak\";i:17;s:6:\"putain\";i:18;s:9:\"anonymous\";i:19;s:7:\"anonyme\";}')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pncusrmodreg', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnc_mail_modusrwning', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnc_mail_adminwning', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnc_mail_usrregok', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnc_mail_usrregsorry', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'links_viewlinklock'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'links_viewlinklock', 's:1:\"1\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}
///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_modules
// Author:                WindMeUp 01/14/2003

$table = $prefix.'_modules';
$check = "pn_name = 'Subjects'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Subjects', 1, 'Themen', 'Themen-Modul', 33, 'Subjects', '1.4 enh', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'MySQL_Tools'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'MySQL_Tools', 1, 'Backup', 'Datenbank-Backup', 49, 'NS-MySQL_Tools', '2.1', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'RteMulti'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'RteMulti', 2, 'Editor', 'Editor-Modul', 0, 'RteMulti', '0.8.3', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Credits'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Credits', 2, 'Credits', 'Credits-Modul', 0, 'Credits', '1.0', 0, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Errore'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Errore', 2, 'Fehler', 'Fehler verwalten', 0, 'Errore', '0.1', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Web_Links'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Web_Links', 1, 'Web links', 'Links Web Module', 39, 'Web_Links', '2.0', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Downloads'";

if(doupdate_115($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Downloads', 1, 'Downloads', 'Downloads Module', 3, 'Downloads', '1.31', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_rtemulti
// Author:                WindMeUp 01/14/2003

$table = $prefix.'_rtemulti';

if(doupdate_115($table)) {
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (1, 'rtemulti', 'Submit_News', 'storytext', '', '', 'modify to WYSIWYG')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (2, 'rtemulti', 'Submit_News', 'bodytext', '', '', 'modify to WYSIWYG')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (3, 'rtemulti', 'NS-Comments', 'comment', '', '', 'modify to WYSIWYG')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (4, 'rtemulti', 'NS-Comments', '', '<option value=\"plaintext\" selected>', '<option value=\"plaintext\">', 'change from plain text to HTML')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (5, 'rtemulti', 'NS-Comments', '', '<option value=\"html\" >', '<option value=\"html\" selected>', 'change from plain text to HTML')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (6, 'rtemulti', 'NS-AddStory', 'hometext', '', '', 'modify to WYSIWYG')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (7, 'rtemulti', 'NS-AddStory', 'bodytext', '', '', 'modify to WYSIWYG')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (8, 'rtemulti', 'Reviews', 'text', '', '', 'TEXTAREA RTE-activated')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_rtemulti VALUES (9, '', 'NS-Comments', '', 'Name:', '<img src=images/smilies/icon_wink.gif />', 'example for autochange')")
        or die("<b>"._NOTUPDATED.$prefix."_rtemulti</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        Global check, if theme 'Experience' exist. If so, do nothing.
// Author:                WindMeUp 01/14/2003
//
$table = $prefix.'_theme_skins';
// don't overwrite existing theme settings for upgrade
//$check = "name = 'Experience'";
$check = '1';
if(doupdate_115($table,$check)) {

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_theme_config
// Author:                WindMeUp 01/14/2003
//
// First delete every themes to prepare envo for new theme Experience
$dbconn->Execute("DELETE FROM ".$prefix."_theme_config")
        or die("<b>"._NOTUPDATED.$prefix."_theme_config</b>");
// Second insert new theme theme Experience
$dbconn->Execute("INSERT INTO ".$prefix."_theme_config VALUES ('pagewidth',1,'"._ENPAGEWIDTH."','780','')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_config</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_config VALUES ('lcolwidth',1,'"._ENLCOLWIDTH."','150','')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_config</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_config VALUES ('rcolwidth',1,'"._ENRCOLWIDTH."','150','')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_config</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_config VALUES ('indexcol',1,'"._ENINDEXCOL."','1','')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_config</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_config VALUES ('righton',1,'"._ENRIGHTON."','1','')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_config</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_config VALUES ('iblkwidth',1,'"._ENINBLKWIDTH."','140','')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_config</b>");

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_theme_layout
// Author:                WindMeUp 01/14/2003
//
// First delete every themes to prepare envo for new theme Experience
$dbconn->Execute("DELETE FROM ".$prefix."_theme_layout")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
// Second insert new theme theme Experience
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'master1','master1.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'master2','master2.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'lsblock','lsblock.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'rsblock','rsblock.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'table1','table1.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'table2','table2.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'News-index','News-index.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'News-article','News-article.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'News-index2','News-index2.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'topcenter','topcenter2.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'tcblock','tcblock.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'botcenter','botcenter.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'bcblock','bcblock.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'inblock','inblock.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'isblock','isblock.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'dsblock','dsblock.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_layout VALUES (1,'mainmenu','mainmenu.htm')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_layout</b>");

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_theme_skins
// Author:                WindMeUp 01/14/2003
//
// First delete every themes to prepare envo for new theme Experience
$dbconn->Execute("DELETE FROM ".$prefix."_theme_skins")
        or die("<b>"._NOTUPDATED.$prefix."_theme_skins</b>");
// Second insert new theme theme Experience
$dbconn->Execute("INSERT INTO ".$prefix."_theme_skins VALUES (1, 'Experience',  1, 0, '#538CC6', '#71A0D0', '#8FB4DA', '#ADC8E4', '#CBDCEE', '#E9F0F8', '#003366', '#000000', '#003366')")
        or die("<b>"._NOTUPDATED.$prefix."_theme_skins</b>");

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_theme_zones
// Author:                WindMeUp 01/14/2003
//
// First delete every themes to prepare envo for new theme Experience
$dbconn->Execute("DELETE FROM ".$prefix."_theme_zones")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
// Second insert new theme theme Experience
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (1,1, '"._ENMASTER1."', 'master1', 0, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (2,1, '"._ENMASTER2."', 'master2', 0, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (3,1, '"._ENOPENTABLE1."', 'table1', 0, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (4,1, '"._ENOPENTABLE2."', 'table2', 0, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (5,1, '"._ENLEFTSIDEB."', 'lsblock', 0, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (6,1, '"._ENRIGHTSIDEB."', 'rsblock', 1, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (7,1, '"._ENNEWSINDEX."', 'News-index', 0, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (8,1, '"._ENNEWSART."', 'News-article', 0, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (9,1, '"._ENNEWSINDEX2."', 'News-index2', 1, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (10,1, '"._ENTOPCENTERBLOCK."', 'topcenter', 1, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (11,1, '"._ENTOPCENTERBOX."', 'tcblock', 1, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (12,1, '"._ENBOTCENTERBLOCK."', 'botcenter', 1, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (13,1, '"._ENBOTCENTERBOX."', 'bcblock', 1, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (14,1, '"._ENINNER."', 'inblock', 1, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (15,1, '"._ENDEFAULTSIDEB."', 'isblock', 1, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (16,1, '"._ENDEFAULTSIDE."', 'dsblock', 1, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_theme_zones VALUES (17,1, '"._ENMAINMENUB."', 'mainmenu', 1, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_theme_zones</b>");

}
//
// Finish global check for theme 'Experience'
///////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////
// Data for:        Global check, if New Admin Panel is present. If so, do nothing.
// Author:                WindMeUp 01/14/2003
//
$table = $prefix.'_admin_lite_group';

if(doupdate_115($table)) {

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_admin_lite_group
// Author:                WindMeUp 01/14/2003
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (1, '"._SETTADMIN."', '1', '0', 4, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (2, '"._USERADMIN."', '0', '0', 3, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (3, '"._CONTENTADMIN."', '0', '0', 2, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (4, '"._QUICKADMIN."', '0', '0', 1, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (5, '"._MISCADMIN."', '0', '0', 5, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_admin_lite_group_members
// Author:                WindMeUp 01/14/2003
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Blocks').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Comments').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('RteMulti').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Encompass').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Languages').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Modules').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('News').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('NoMoreBlocks').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Settings').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Submit_News').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('topx').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Errore').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('Permissions').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('Groups').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('User').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('MailUsers').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Admin_Messages').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Autolinks').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('FAQ').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Topics').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Ephemerids').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Subjects').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Web_Links').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Banners').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('AddStory').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('Downloads').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('Reviews').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('Polls').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (5, NULL, ".pnModGetIDFromName('MySQL_Tools').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (5, NULL, ".pnModGetIDFromName('Referers').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (0, NULL, ".pnModGetIDFromName('Quotes').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (0, NULL, ".pnModGetIDFromName('Ratings').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");

}
//
// Finish global check for New Admin Panel
///////////////////////////////////////////////////////////////////////////////
?>
