Datenbank envo-1-2 auf localhost
// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
# phpMyAdmin MySQL-Dump
# version 2.3.3pl1
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost
# Erstellungszeit: 09. Januar 2003 um 23:39
# Server Version: 3.23.54
# PHP-Version: 4.2.2
# Datenbank: `envo-1-2`
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_admin_lite_group`
#

CREATE TABLE envo_admin_lite_group (
  groupID int(11) NOT NULL auto_increment,
  groupName varchar(200) NOT NULL default '',
  groupLock varchar(200) NOT NULL default '0',
  groupShowAllModules varchar(200) NOT NULL default '0',
  sortOrder int(11) NOT NULL default '0',
  groupDefault tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (groupID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_admin_lite_group_members`
#

CREATE TABLE envo_admin_lite_group_members (
  groupID int(11) default NULL,
  sortOrder int(11) default NULL,
  moduleID int(11) default NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_autolinks`
#

CREATE TABLE envo_autolinks (
  pn_lid int(11) NOT NULL auto_increment,
  pn_keyword varchar(100) NOT NULL default '',
  pn_title varchar(100) NOT NULL default '',
  pn_url varchar(200) NOT NULL default '',
  pn_comment varchar(200) NOT NULL default '',
  PRIMARY KEY  (pn_lid),
  UNIQUE KEY keyword (pn_keyword)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_autonews`
#

CREATE TABLE envo_autonews (
  pn_anid int(11) NOT NULL auto_increment,
  pn_catid int(11) NOT NULL default '0',
  pn_aid varchar(30) NOT NULL default '',
  pn_title varchar(80) NOT NULL default '',
  pn_time varchar(19) NOT NULL default '',
  pn_hometext text NOT NULL,
  pn_bodytext text NOT NULL,
  pn_topic tinyint(3) NOT NULL default '1',
  pn_informant varchar(20) NOT NULL default '',
  pn_notes text NOT NULL,
  pn_ihome tinyint(1) NOT NULL default '0',
  pn_language varchar(30) NOT NULL default '',
  pn_withcomm int(1) NOT NULL default '0',
  PRIMARY KEY  (pn_anid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_banner`
#

CREATE TABLE envo_banner (
  pn_bid int(11) NOT NULL auto_increment,
  pn_cid int(11) NOT NULL default '0',
  pn_imptotal int(11) NOT NULL default '0',
  pn_impmade int(11) NOT NULL default '0',
  pn_clicks int(11) NOT NULL default '0',
  pn_imageurl varchar(255) NOT NULL default '',
  pn_clickurl varchar(255) NOT NULL default '',
  pn_date datetime default NULL,
  PRIMARY KEY  (pn_bid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_bannerclient`
#

CREATE TABLE envo_bannerclient (
  pn_cid int(11) NOT NULL auto_increment,
  pn_name varchar(60) NOT NULL default '',
  pn_contact varchar(60) NOT NULL default '',
  pn_email varchar(60) NOT NULL default '',
  pn_login varchar(10) NOT NULL default '',
  pn_passwd varchar(10) NOT NULL default '',
  pn_extrainfo text NOT NULL,
  PRIMARY KEY  (pn_cid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_bannerfinish`
#

CREATE TABLE envo_bannerfinish (
  pn_bid int(11) NOT NULL auto_increment,
  pn_cid int(11) NOT NULL default '0',
  pn_impressions int(11) NOT NULL default '0',
  pn_clicks int(11) NOT NULL default '0',
  pn_datestart datetime default NULL,
  pn_dateend datetime default NULL,
  PRIMARY KEY  (pn_bid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_blocks`
#

CREATE TABLE envo_blocks (
  pn_bid int(11) unsigned NOT NULL auto_increment,
  pn_bkey varchar(255) NOT NULL default '',
  pn_title varchar(255) NOT NULL default '',
  pn_content text NOT NULL,
  pn_url varchar(255) NOT NULL default '',
  pn_mid int(11) unsigned NOT NULL default '0',
  pn_position char(1) NOT NULL default 'l',
  pn_weight decimal(10,1) NOT NULL default '0.0',
  pn_active tinyint(3) unsigned NOT NULL default '1',
  pn_refresh int(11) unsigned NOT NULL default '0',
  pn_last_update timestamp(14) NOT NULL,
  pn_language varchar(30) NOT NULL default '',
  allow_gids varchar(255) NOT NULL default 'A',
  PRIMARY KEY  (pn_bid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_blocks_buttons`
#

CREATE TABLE envo_blocks_buttons (
  pn_id int(11) unsigned NOT NULL auto_increment,
  pn_bid int(11) unsigned NOT NULL default '0',
  pn_title varchar(255) NOT NULL default '',
  pn_url varchar(255) NOT NULL default '',
  pn_images longtext NOT NULL,
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_comments`
#

CREATE TABLE envo_comments (
  pn_tid int(11) NOT NULL auto_increment,
  pn_pid int(11) default '0',
  pn_sid int(11) default '0',
  pn_date datetime default NULL,
  pn_name varchar(60) NOT NULL default '',
  pn_email varchar(60) default NULL,
  pn_url varchar(60) default NULL,
  pn_host_name varchar(60) default NULL,
  pn_subject varchar(85) NOT NULL default '',
  pn_comment text NOT NULL,
  pn_score tinyint(4) NOT NULL default '0',
  pn_reason tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (pn_tid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_counter`
#

CREATE TABLE envo_counter (
  pn_type varchar(80) NOT NULL default '',
  pn_var varchar(80) NOT NULL default '',
  pn_count int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_downloads_categories`
#

CREATE TABLE envo_downloads_categories (
  pn_cid int(11) NOT NULL auto_increment,
  pn_title varchar(50) NOT NULL default '',
  pn_description text NOT NULL,
  PRIMARY KEY  (pn_cid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_downloads_downloads`
#

CREATE TABLE envo_downloads_downloads (
  pn_lid int(11) NOT NULL auto_increment,
  pn_cid int(11) NOT NULL default '0',
  pn_sid int(11) NOT NULL default '0',
  pn_title varchar(100) NOT NULL default '',
  pn_url varchar(100) NOT NULL default '',
  pn_image varchar(100) NOT NULL default '',
  pn_description text NOT NULL,
  pn_date datetime default NULL,
  pn_name varchar(100) NOT NULL default '',
  pn_email varchar(100) NOT NULL default '',
  pn_hits int(11) NOT NULL default '0',
  pn_submitter varchar(60) NOT NULL default '',
  pn_ratingsummary double(6,4) NOT NULL default '0.0000',
  pn_totalvotes int(11) NOT NULL default '0',
  pn_totalcomments int(11) NOT NULL default '0',
  pn_filesize int(11) NOT NULL default '0',
  pn_version varchar(10) NOT NULL default '',
  pn_homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (pn_lid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_downloads_editorials`
#

CREATE TABLE envo_downloads_editorials (
  pn_id int(11) NOT NULL default '0',
  pn_adminid varchar(60) NOT NULL default '',
  pn_timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  pn_text text NOT NULL,
  pn_title varchar(100) NOT NULL default '',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_downloads_modrequest`
#

CREATE TABLE envo_downloads_modrequest (
  pn_requestid int(11) NOT NULL auto_increment,
  pn_lid int(11) NOT NULL default '0',
  pn_cid int(11) NOT NULL default '0',
  pn_sid int(11) NOT NULL default '0',
  pn_title varchar(100) NOT NULL default '',
  pn_url varchar(100) NOT NULL default '',
  pn_image varchar(100) NOT NULL default '',
  pn_description text NOT NULL,
  pn_modifysubmitter varchar(60) NOT NULL default '',
  pn_brokendownload int(3) NOT NULL default '0',
  pn_name varchar(100) NOT NULL default '',
  pn_email varchar(100) NOT NULL default '',
  pn_filesize int(11) NOT NULL default '0',
  pn_version varchar(10) NOT NULL default '',
  pn_homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (pn_requestid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_downloads_newdownload`
#

CREATE TABLE envo_downloads_newdownload (
  pn_lid int(11) NOT NULL auto_increment,
  pn_cid int(11) NOT NULL default '0',
  pn_sid int(11) NOT NULL default '0',
  pn_title varchar(100) NOT NULL default '',
  pn_url varchar(100) NOT NULL default '',
  pn_image varchar(100) NOT NULL default '',
  pn_description text NOT NULL,
  pn_name varchar(100) NOT NULL default '',
  pn_email varchar(100) NOT NULL default '',
  pn_submitter varchar(60) NOT NULL default '',
  pn_filesize int(11) NOT NULL default '0',
  pn_version varchar(10) NOT NULL default '',
  pn_homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (pn_lid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_downloads_subcategories`
#

CREATE TABLE envo_downloads_subcategories (
  pn_sid int(11) NOT NULL auto_increment,
  pn_cid int(11) NOT NULL default '0',
  pn_title varchar(50) NOT NULL default '',
  PRIMARY KEY  (pn_sid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_downloads_votedata`
#

CREATE TABLE envo_downloads_votedata (
  pn_id int(11) NOT NULL auto_increment,
  pn_lid int(11) NOT NULL default '0',
  pn_user varchar(60) NOT NULL default '',
  pn_rating int(11) NOT NULL default '0',
  pn_hostname varchar(60) NOT NULL default '',
  pn_comments text NOT NULL,
  pn_timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_ephem`
#

CREATE TABLE envo_ephem (
  pn_eid int(11) NOT NULL auto_increment,
  pn_did tinyint(2) NOT NULL default '0',
  pn_mid tinyint(2) NOT NULL default '0',
  pn_yid int(4) NOT NULL default '0',
  pn_content text NOT NULL,
  pn_language varchar(30) NOT NULL default '',
  PRIMARY KEY  (pn_eid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_faqanswer`
#

CREATE TABLE envo_faqanswer (
  pn_id tinyint(4) NOT NULL auto_increment,
  pn_id_cat tinyint(4) default NULL,
  pn_question varchar(255) default NULL,
  pn_answer text,
  pn_submittedby varchar(250) NOT NULL default '',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_faqcategories`
#

CREATE TABLE envo_faqcategories (
  pn_id_cat tinyint(3) NOT NULL auto_increment,
  pn_categories varchar(255) default NULL,
  pn_language varchar(30) NOT NULL default '',
  pn_parent_id tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (pn_id_cat)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_group_membership`
#

CREATE TABLE envo_group_membership (
  pn_gid int(11) NOT NULL default '0',
  pn_uid int(11) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_group_perms`
#

CREATE TABLE envo_group_perms (
  pn_pid int(11) NOT NULL auto_increment,
  pn_gid int(11) NOT NULL default '0',
  pn_sequence int(11) NOT NULL default '0',
  pn_realm smallint(4) NOT NULL default '0',
  pn_component varchar(255) NOT NULL default '',
  pn_instance varchar(255) NOT NULL default '',
  pn_level smallint(4) NOT NULL default '0',
  pn_bond int(2) NOT NULL default '0',
  PRIMARY KEY  (pn_pid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_groups`
#

CREATE TABLE envo_groups (
  pn_gid int(11) NOT NULL auto_increment,
  pn_name varchar(255) NOT NULL default '',
  PRIMARY KEY  (pn_gid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_headlines`
#

CREATE TABLE envo_headlines (
  pn_id int(11) unsigned NOT NULL auto_increment,
  pn_sitename varchar(255) NOT NULL default '',
  pn_rssuser varchar(10) default NULL,
  pn_rsspasswd varchar(10) default NULL,
  pn_use_proxy tinyint(3) NOT NULL default '0',
  pn_rssurl varchar(255) NOT NULL default '',
  pn_maxrows tinyint(3) NOT NULL default '10',
  pn_siteurl varchar(255) NOT NULL default '',
  pn_options varchar(20) default '',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_hooks`
#

CREATE TABLE envo_hooks (
  pn_id int(11) unsigned NOT NULL auto_increment,
  pn_object varchar(64) NOT NULL default '',
  pn_action varchar(64) NOT NULL default '',
  pn_smodule varchar(64) default NULL,
  pn_stype varchar(64) default NULL,
  pn_tarea varchar(64) NOT NULL default '',
  pn_tmodule varchar(64) NOT NULL default '',
  pn_ttype varchar(64) NOT NULL default '',
  pn_tfunc varchar(64) NOT NULL default '',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_languages_constant`
#

CREATE TABLE envo_languages_constant (
  pn_constant varchar(32) NOT NULL default '',
  pn_file varchar(64) NOT NULL default '',
  PRIMARY KEY  (pn_constant)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_languages_file`
#

CREATE TABLE envo_languages_file (
  pn_target varchar(64) NOT NULL default '',
  pn_source varchar(64) NOT NULL default '',
  PRIMARY KEY  (pn_target,pn_source),
  UNIQUE KEY source (pn_source)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_languages_translation`
#

CREATE TABLE envo_languages_translation (
  pn_language varchar(32) NOT NULL default '',
  pn_constant varchar(32) NOT NULL default '',
  pn_translation longblob NOT NULL,
  pn_level tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (pn_constant,pn_language)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_links_categories`
#

CREATE TABLE envo_links_categories (
  pn_cat_id int(11) NOT NULL auto_increment,
  pn_parent_id int(11) default NULL,
  pn_title varchar(50) NOT NULL default '',
  pn_description text NOT NULL,
  PRIMARY KEY  (pn_cat_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_links_editorials`
#

CREATE TABLE envo_links_editorials (
  pn_linkid int(11) NOT NULL default '0',
  pn_adminid varchar(60) NOT NULL default '',
  pn_timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  pn_text text NOT NULL,
  pn_title varchar(100) NOT NULL default '',
  PRIMARY KEY  (pn_linkid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_links_links`
#

CREATE TABLE envo_links_links (
  pn_lid int(11) NOT NULL auto_increment,
  pn_cat_id int(11) NOT NULL default '0',
  pn_title varchar(100) NOT NULL default '',
  pn_url varchar(100) NOT NULL default '',
  pn_image varchar(100) NOT NULL default '',
  pn_description text NOT NULL,
  pn_date datetime default NULL,
  pn_name varchar(100) NOT NULL default '',
  pn_email varchar(100) NOT NULL default '',
  pn_hits int(11) NOT NULL default '0',
  pn_submitter varchar(60) NOT NULL default '',
  pn_ratingsummary double(6,4) NOT NULL default '0.0000',
  pn_totalvotes int(11) NOT NULL default '0',
  pn_totalcomments int(11) NOT NULL default '0',
  PRIMARY KEY  (pn_lid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_links_modrequest`
#

CREATE TABLE envo_links_modrequest (
  pn_requestid int(11) NOT NULL auto_increment,
  pn_lid int(11) NOT NULL default '0',
  pn_cat_id int(11) NOT NULL default '0',
  pn_sid int(11) NOT NULL default '0',
  pn_title varchar(100) NOT NULL default '',
  pn_url varchar(100) NOT NULL default '',
  pn_image varchar(100) NOT NULL default '',
  pn_description text NOT NULL,
  pn_modifysubmitter varchar(60) NOT NULL default '',
  pn_brokenlink tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (pn_requestid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_links_newlink`
#

CREATE TABLE envo_links_newlink (
  pn_lid int(11) NOT NULL auto_increment,
  pn_cat_id int(11) NOT NULL default '0',
  pn_title varchar(100) NOT NULL default '',
  pn_url varchar(100) NOT NULL default '',
  pn_image varchar(100) NOT NULL default '',
  pn_description text NOT NULL,
  pn_name varchar(100) NOT NULL default '',
  pn_email varchar(100) NOT NULL default '',
  pn_submitter varchar(60) NOT NULL default '',
  PRIMARY KEY  (pn_lid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_links_votedata`
#

CREATE TABLE envo_links_votedata (
  pn_id int(11) NOT NULL auto_increment,
  pn_lid int(11) NOT NULL default '0',
  pn_user varchar(60) NOT NULL default '',
  pn_rating int(11) NOT NULL default '0',
  pn_hostname varchar(60) NOT NULL default '',
  pn_comments text NOT NULL,
  pn_timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_message`
#

CREATE TABLE envo_message (
  pn_mid int(11) NOT NULL auto_increment,
  pn_title varchar(100) NOT NULL default '',
  pn_content text NOT NULL,
  pn_date varchar(14) NOT NULL default '',
  pn_expire mediumint(7) NOT NULL default '0',
  pn_active tinyint(4) NOT NULL default '1',
  pn_view tinyint(1) NOT NULL default '1',
  pn_language varchar(30) NOT NULL default '',
  PRIMARY KEY  (pn_mid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_module_vars`
#

CREATE TABLE envo_module_vars (
  pn_id int(11) unsigned NOT NULL auto_increment,
  pn_modname varchar(64) NOT NULL default '',
  pn_name varchar(64) NOT NULL default '',
  pn_value longtext,
  PRIMARY KEY  (pn_id),
  KEY pn_modname (pn_modname),
  KEY pn_name (pn_name)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_modules`
#

CREATE TABLE envo_modules (
  pn_id int(11) unsigned NOT NULL auto_increment,
  pn_name varchar(64) NOT NULL default '',
  pn_type int(6) NOT NULL default '0',
  pn_displayname varchar(64) NOT NULL default '',
  pn_description varchar(255) NOT NULL default '',
  pn_regid int(11) unsigned NOT NULL default '0',
  pn_directory varchar(64) NOT NULL default '',
  pn_version varchar(10) NOT NULL default '0',
  pn_admin_capable tinyint(1) NOT NULL default '0',
  pn_user_capable tinyint(1) NOT NULL default '0',
  pn_state tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_nomoreblocks`
#

CREATE TABLE envo_nomoreblocks (
  pn_modulo varchar(32) NOT NULL default '',
  pn_blocco varchar(32) NOT NULL default '',
  pn_identi varchar(32) NOT NULL default '',
  pn_pos varchar(4) NOT NULL default '',
  pn_peso decimal(10,1) NOT NULL default '1.0',
  pn_template varchar(50) NOT NULL default '',
  PRIMARY KEY  (pn_blocco,pn_modulo)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_poll_check`
#

CREATE TABLE envo_poll_check (
  pn_ip varchar(20) NOT NULL default '',
  pn_time varchar(14) NOT NULL default ''
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_poll_data`
#

CREATE TABLE envo_poll_data (
  pn_pollid int(11) NOT NULL default '0',
  pn_optiontext varchar(50) NOT NULL default '',
  pn_optioncount int(11) NOT NULL default '0',
  pn_voteid int(11) NOT NULL default '0',
  pn_optioncolor varchar(7) NOT NULL default '#009900'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_poll_desc`
#

CREATE TABLE envo_poll_desc (
  pn_pollid int(11) NOT NULL auto_increment,
  pn_title varchar(100) NOT NULL default '',
  pn_timestamp int(11) NOT NULL default '0',
  pn_voters mediumint(9) NOT NULL default '0',
  pn_language varchar(30) NOT NULL default '',
  pn_votesystem char(3) NOT NULL default 'D',
  pn_postfull tinyint(1) NOT NULL default '0',
  pn_votetracking int(1) NOT NULL default '0',
  PRIMARY KEY  (pn_pollid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_poll_voters`
#

CREATE TABLE envo_poll_voters (
  pn_pollid int(11) NOT NULL default '0',
  pn_voteid int(11) NOT NULL default '0',
  pn_uid int(11) NOT NULL default '0',
  pn_timestamp int(11) NOT NULL default '0',
  KEY pn_pollid (pn_pollid),
  KEY pn_uid (pn_uid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_pollcomments`
#

CREATE TABLE envo_pollcomments (
  pn_tid int(11) NOT NULL auto_increment,
  pn_pid int(11) default '0',
  pn_pollid int(11) default '0',
  pn_date datetime default NULL,
  pn_name varchar(60) NOT NULL default '',
  pn_email varchar(60) default NULL,
  pn_url varchar(60) default NULL,
  pn_host_name varchar(60) default NULL,
  pn_subject varchar(60) NOT NULL default '',
  pn_comment text NOT NULL,
  pn_score tinyint(4) NOT NULL default '0',
  pn_reason tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (pn_tid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_priv_msgs`
#

CREATE TABLE envo_priv_msgs (
  pn_msg_id int(11) NOT NULL auto_increment,
  pn_msg_image varchar(100) default NULL,
  pn_subject varchar(100) default NULL,
  pn_from_userid int(11) NOT NULL default '0',
  pn_to_userid int(11) NOT NULL default '0',
  pn_msg_time varchar(20) default NULL,
  pn_msg_text text,
  pn_read_msg tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (pn_msg_id),
  KEY pn_to_userid (pn_to_userid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_queue`
#

CREATE TABLE envo_queue (
  pn_qid smallint(5) unsigned NOT NULL auto_increment,
  pn_uid mediumint(9) NOT NULL default '0',
  pn_arcd tinyint(1) NOT NULL default '0',
  pn_uname varchar(40) NOT NULL default '',
  pn_subject varchar(100) NOT NULL default '',
  pn_story text,
  pn_timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  pn_topic varchar(20) NOT NULL default '',
  pn_language varchar(30) NOT NULL default '',
  pn_bodytext text,
  PRIMARY KEY  (pn_qid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_quotes`
#

CREATE TABLE envo_quotes (
  pn_qid int(11) unsigned NOT NULL auto_increment,
  pn_quote text,
  pn_author varchar(150) NOT NULL default '',
  PRIMARY KEY  (pn_qid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_realms`
#

CREATE TABLE envo_realms (
  pn_rid int(11) NOT NULL auto_increment,
  pn_name varchar(255) NOT NULL default '',
  PRIMARY KEY  (pn_rid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_referer`
#

CREATE TABLE envo_referer (
  pn_rid int(11) NOT NULL auto_increment,
  pn_url varchar(100) NOT NULL default '',
  pn_frequency int(15) default NULL,
  PRIMARY KEY  (pn_rid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_related`
#

CREATE TABLE envo_related (
  pn_rid int(11) NOT NULL auto_increment,
  pn_tid int(11) NOT NULL default '0',
  pn_name varchar(30) NOT NULL default '',
  pn_url varchar(200) NOT NULL default '',
  PRIMARY KEY  (pn_rid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_reviews`
#

CREATE TABLE envo_reviews (
  pn_id int(11) NOT NULL auto_increment,
  pn_date datetime NOT NULL default '0000-00-00 00:00:00',
  pn_title varchar(150) NOT NULL default '',
  pn_text text NOT NULL,
  pn_reviewer varchar(20) default NULL,
  pn_email varchar(60) default NULL,
  pn_score int(11) NOT NULL default '0',
  pn_cover varchar(100) NOT NULL default '',
  pn_url varchar(100) NOT NULL default '',
  pn_url_title varchar(50) NOT NULL default '',
  pn_hits int(11) NOT NULL default '0',
  pn_language varchar(30) NOT NULL default '',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_reviews_add`
#

CREATE TABLE envo_reviews_add (
  pn_id int(11) NOT NULL auto_increment,
  pn_date datetime default NULL,
  pn_title varchar(150) NOT NULL default '',
  pn_text text NOT NULL,
  pn_reviewer varchar(20) NOT NULL default '',
  pn_email varchar(60) default NULL,
  pn_score int(11) NOT NULL default '0',
  pn_url varchar(100) NOT NULL default '',
  pn_url_title varchar(50) NOT NULL default '',
  pn_language varchar(30) NOT NULL default '',
  PRIMARY KEY  (pn_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_reviews_comments`
#

CREATE TABLE envo_reviews_comments (
  pn_cid int(11) NOT NULL auto_increment,
  pn_rid int(11) NOT NULL default '0',
  pn_userid varchar(25) NOT NULL default '',
  pn_date datetime default NULL,
  pn_comments text,
  pn_score int(11) NOT NULL default '0',
  PRIMARY KEY  (pn_cid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_reviews_main`
#

CREATE TABLE envo_reviews_main (
  pn_title varchar(100) default NULL,
  pn_description text
) TYPE=MyISAM;
# --------------------------------------------------------


#
# Tabellenstruktur fr Tabelle `envo_seccont`
#

CREATE TABLE envo_seccont (
  pn_artid int(11) NOT NULL auto_increment,
  pn_secid int(11) NOT NULL default '0',
  pn_title text NOT NULL,
  pn_content text NOT NULL,
  pn_counter int(11) NOT NULL default '0',
  pn_language varchar(30) NOT NULL default '',
  PRIMARY KEY  (pn_artid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_session_info`
#

CREATE TABLE envo_session_info (
  pn_sessid varchar(32) NOT NULL default '',
  pn_ipaddr varchar(20) NOT NULL default '',
  pn_firstused int(11) NOT NULL default '0',
  pn_lastused int(11) NOT NULL default '0',
  pn_uid int(11) NOT NULL default '0',
  pn_vars blob,
  PRIMARY KEY  (pn_sessid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_stats_date`
#

CREATE TABLE envo_stats_date (
  pn_date varchar(80) NOT NULL default '',
  pn_hits int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_stats_hour`
#

CREATE TABLE envo_stats_hour (
  pn_hour tinyint(2) unsigned NOT NULL default '0',
  pn_hits int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_stats_month`
#

CREATE TABLE envo_stats_month (
  pn_month tinyint(2) unsigned NOT NULL default '0',
  pn_hits int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_stats_week`
#

CREATE TABLE envo_stats_week (
  pn_weekday tinyint(1) unsigned NOT NULL default '0',
  pn_hits int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_stories`
#

CREATE TABLE envo_stories (
  pn_sid int(11) NOT NULL auto_increment,
  pn_catid int(11) NOT NULL default '0',
  pn_aid varchar(30) NOT NULL default '',
  pn_title varchar(255) default NULL,
  pn_time datetime default NULL,
  pn_hometext text,
  pn_bodytext text NOT NULL,
  pn_comments int(11) default '0',
  pn_counter mediumint(8) unsigned default NULL,
  pn_topic tinyint(3) NOT NULL default '1',
  pn_informant varchar(20) NOT NULL default '',
  pn_notes text NOT NULL,
  pn_ihome tinyint(1) NOT NULL default '0',
  pn_themeoverride varchar(30) NOT NULL default '',
  pn_language varchar(30) NOT NULL default '',
  pn_withcomm tinyint(1) NOT NULL default '0',
  pn_format_type tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (pn_sid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_stories_cat`
#

CREATE TABLE envo_stories_cat (
  pn_catid int(11) NOT NULL auto_increment,
  pn_title varchar(40) NOT NULL default '',
  pn_counter int(11) NOT NULL default '0',
  pn_themeoverride varchar(30) NOT NULL default '',
  PRIMARY KEY  (pn_catid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_subcategories`
#

CREATE TABLE envo_subcategories (
  catid int(11) NOT NULL auto_increment,
  catname varchar(50) NOT NULL default '',
  cattext text NOT NULL,
  catorder int(3) NOT NULL default '0',
  PRIMARY KEY  (catid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_subjects`
#

CREATE TABLE envo_subjects (
  subid int(11) NOT NULL auto_increment,
  catid int(11) NOT NULL default '0',
  subname varchar(50) NOT NULL default '',
  subtext text NOT NULL,
  subimage varchar(255) NOT NULL default '',
  subactive int(1) NOT NULL default '0',
  suborder int(3) NOT NULL default '0',
  subcounter int(11) NOT NULL default '0',
  sublanguage varchar(30) NOT NULL default '',
  suburl text NOT NULL default '',
  PRIMARY KEY  (subid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_subpages`
#

CREATE TABLE envo_subpages (
  pageid int(11) NOT NULL auto_increment,
  subid int(11) NOT NULL default '0',
  parentpageid int(11) NOT NULL default '0',
  pagetitle varchar(100) NOT NULL default '',
  pagetext text NOT NULL,
  pagecontent mediumtext NOT NULL,
  pagefile varchar(255) NOT NULL default '',
  pageimage varchar(255) NOT NULL default '',
  pageauthor varchar(50) NOT NULL default '',
  pageauthoremail varchar(50) NOT NULL default '',
  pageauthorurl varchar(100) NOT NULL default '',
  pageactive int(1) NOT NULL default '0',
  pageorder int(3) default '0',
  pagedatetime datetime NOT NULL default '0000-00-00 00:00:00',
  pagecounter int(11) NOT NULL default '0',
  reviewscount int(4) NOT NULL default '0',
  reviewsscore int(5) NOT NULL default '0',
  reviewactive int(1) NOT NULL default '0',
  subpagesindexactive int(1) NOT NULL default '0',
  intro int(1) NOT NULL default '0',
  PRIMARY KEY  (pageid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_subreviews`
#

CREATE TABLE envo_subreviews (
  reviewid int(11) NOT NULL auto_increment,
  pageid int(11) NOT NULL default '0',
  reviewtitle varchar(50) NOT NULL default '',
  reviewcomments text NOT NULL,
  reviewscore int(1) NOT NULL default '0',
  reviewuser varchar(25) NOT NULL default '',
  reviewhostip varchar(15) NOT NULL default '',
  reviewdatetime datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (reviewid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_theme_config`
#

CREATE TABLE envo_theme_config (
  name varchar(20) NOT NULL default '',
  skin_id int(3) NOT NULL default '1',
  description varchar(60) NOT NULL default '',
  setting varchar(10) NOT NULL default '',
  data varchar(150) NOT NULL default '',
  KEY skin_id (skin_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_theme_layout`
#

CREATE TABLE envo_theme_layout (
  skin_id int(3) NOT NULL default '0',
  zone_label varchar(20) NOT NULL default '',
  tpl_file varchar(20) NOT NULL default '',
  KEY skin_id (skin_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_theme_skins`
#

CREATE TABLE envo_theme_skins (
  skin_id int(3) NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  is_active int(1) NOT NULL default '0',
  is_multicolor int(1) NOT NULL default '0',
  bgcolor1 varchar(12) NOT NULL default '#FFFFFF',
  bgcolor2 varchar(12) NOT NULL default '#FFFFFF',
  bgcolor3 varchar(12) NOT NULL default '#FFFFFF',
  bgcolor4 varchar(12) NOT NULL default '#FFFFFF',
  bgcolor5 varchar(12) NOT NULL default '#FFFFFF',
  bgcolor6 varchar(12) NOT NULL default '#FFFFFF',
  sepcolor varchar(12) NOT NULL default '#000000',
  textcolor1 varchar(12) NOT NULL default '#000000',
  textcolor2 varchar(12) NOT NULL default '#000000',
  PRIMARY KEY  (skin_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_theme_zones`
#

CREATE TABLE envo_theme_zones (
  zone_id int(3) NOT NULL auto_increment,
  skin_id int(3) NOT NULL default '1',
  name varchar(40) NOT NULL default 'No Name',
  label varchar(20) NOT NULL default 'addon',
  type int(1) NOT NULL default '1',
  is_active int(1) NOT NULL default '0',
  PRIMARY KEY  (zone_id),
  KEY skin_id (skin_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_topics`
#

CREATE TABLE envo_topics (
  pn_topicid tinyint(3) NOT NULL auto_increment,
  pn_topicname varchar(255) default NULL,
  pn_language varchar(30) NOT NULL default '',
  pn_topicimage varchar(255) default NULL,
  pn_topictext varchar(255) default NULL,
  pn_counter int(11) NOT NULL default '0',
  PRIMARY KEY  (pn_topicid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_user_data`
#

CREATE TABLE envo_user_data (
  pn_uda_id int(11) NOT NULL auto_increment,
  pn_uda_propid int(11) NOT NULL default '0',
  pn_uda_uid int(11) NOT NULL default '0',
  pn_uda_value mediumblob NOT NULL,
  PRIMARY KEY  (pn_uda_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_user_perms`
#

CREATE TABLE envo_user_perms (
  pn_pid int(11) NOT NULL auto_increment,
  pn_uid int(11) NOT NULL default '0',
  pn_sequence int(6) NOT NULL default '0',
  pn_realm int(4) NOT NULL default '0',
  pn_component varchar(255) NOT NULL default '',
  pn_instance varchar(255) NOT NULL default '',
  pn_level int(4) NOT NULL default '0',
  pn_bond int(2) NOT NULL default '0',
  PRIMARY KEY  (pn_pid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_user_points`
#

CREATE TABLE envo_user_points (
  uid int(11) NOT NULL default '0',
  uname varchar(25) NOT NULL default '',
  stories int(11) NOT NULL default '0',
  comments int(11) NOT NULL default '0',
  pollcomm int(11) NOT NULL default '0',
  downloads int(11) NOT NULL default '0',
  dloadvotes int(11) NOT NULL default '0',
  links int(11) NOT NULL default '0',
  linkvotes int(11) NOT NULL default '0',
  reviews int(11) NOT NULL default '0',
  reviewcomm int(11) NOT NULL default '0',
  posts int(11) NOT NULL default '0',
  points int(13) NOT NULL default '0',
  PRIMARY KEY  (uid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_user_property`
#

CREATE TABLE envo_user_property (
  pn_prop_id int(11) NOT NULL auto_increment,
  pn_prop_label varchar(255) NOT NULL default '',
  pn_prop_dtype int(11) NOT NULL default '0',
  pn_prop_length int(11) NOT NULL default '255',
  pn_prop_weight int(11) NOT NULL default '0',
  pn_prop_validation varchar(255) default NULL,
  PRIMARY KEY  (pn_prop_id),
  UNIQUE KEY pn_prop_label (pn_prop_label)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_userblocks`
#

CREATE TABLE envo_userblocks (
  pn_uid int(11) NOT NULL default '0',
  pn_bid int(11) NOT NULL default '0',
  pn_active tinyint(3) NOT NULL default '1',
  pn_last_update timestamp(14) NOT NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_users`
#

CREATE TABLE envo_users (
  pn_uid int(11) NOT NULL auto_increment,
  pn_name varchar(60) NOT NULL default '',
  pn_uname varchar(25) NOT NULL default '',
  pn_email varchar(60) NOT NULL default '',
  pn_femail varchar(60) NOT NULL default '',
  pn_url varchar(100) NOT NULL default '',
  pn_user_avatar varchar(30) default NULL,
  pn_user_regdate varchar(20) NOT NULL default '',
  pn_user_icq varchar(15) default NULL,
  pn_user_occ varchar(100) default NULL,
  pn_user_from varchar(100) default NULL,
  pn_user_intrest varchar(150) default NULL,
  pn_user_sig varchar(255) default NULL,
  pn_user_viewemail tinyint(2) default NULL,
  pn_user_theme tinyint(3) default NULL,
  pn_user_aim varchar(18) default NULL,
  pn_user_yim varchar(25) default NULL,
  pn_user_msnm varchar(25) default NULL,
  pn_pass varchar(40) NOT NULL default '',
  pn_storynum tinyint(4) NOT NULL default '10',
  pn_umode varchar(10) NOT NULL default '',
  pn_uorder tinyint(1) NOT NULL default '0',
  pn_thold tinyint(1) NOT NULL default '0',
  pn_noscore tinyint(1) NOT NULL default '0',
  pn_bio tinytext NOT NULL,
  pn_ublockon tinyint(1) NOT NULL default '0',
  pn_ublock tinytext NOT NULL,
  pn_theme varchar(255) NOT NULL default '',
  pn_commentmax int(11) NOT NULL default '4096',
  pn_counter int(11) NOT NULL default '0',
  pn_timezone_offset float(3,1) NOT NULL default '0.0',
  PRIMARY KEY  (pn_uid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `envo_users_delrequest`
#

CREATE TABLE envo_users_delrequest (
  pn_uid int(11) NOT NULL default '0',
  pn_name varchar(60) NOT NULL default '',
  pn_uname varchar(25) NOT NULL default '',
  pn_email varchar(60) NOT NULL default '',
  pn_pass varchar(40) NOT NULL default '',
  PRIMARY KEY  (pn_uid)
) TYPE=MyISAM;
