<?php
// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// ----------------------------------------------------------------------------
// Original Author of file:        WindMeUp                06/11/2003
// Purpose of file:                        Install data for a PHP upgrade installation
// ----------------------------------------------------------------------------

function dosql_12($table,$sql,$field='*') {
        GLOBAL $dbconn;
        $error = ''; $log = '';
        if($table == 'no') {                   // no check
                $result = false;
                $table = 'Modify field structure';
        } else {
                if($field == 'index') {
                        $result = $dbconn->Execute($sql);
                } else {
                        $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." LIMIT 1");
                }
        }
        if ($dbconn->ErrorNo() != 0 && $result == false) {
           $result = $dbconn->Execute($sql);
              if ($dbconn->ErrorNo() != 0) {
                        $error = "<br><font class=\"pn-sub\">"._NOTMADE.":12: ".$table." :: ".$sql." :: "._LASTRELEASE."</font>";
                        $log = _NOTMADE.":12: ".$table." :: ".$sql." :: "._LASTRELEASE."\n";
              } else {
                if ($field != '*') {
                           $error = "<br><font class=\"pn-sub\">".$table." :: ".$sql." "._MADE."</font>";
                        $log = $table." :: ".$sql." "._MADE."\n";
                } else {
                           $error = "<br><font class=\"pn-sub\">".$table." "._MADE."</font>";
                        $log = $table." "._MADE."\n";
                }
           }
        } else {
                if ($field == 'index') {
                           $error = "<br><font class=\"pn-sub\">".$table." :: ".$sql." "._MADE."</font>";
                        $log = $table." :: ".$sql." "._MADE."\n";
                } else {
                        $error = "<br><font class=\"pn-sub\">"._NOTMADE.":12: ".$table." :: "._LASTRELEASE."</font>";
                        $log = _NOTMADE.":12: ".$table." :: "._LASTRELEASE."\n";
                }
        }
        echo $error;
    // Log-file entry: Selection from previous step !!
    do_upgrade_log($log."\n");
}

$dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $dbtype);

// -- New indizes --
$table= $prefix.'_comments';
$sql = "
                ALTER TABLE ".$prefix."_comments ADD
                        INDEX idx_pid (pn_pid)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_comments';
$sql = "
                ALTER TABLE ".$prefix."_comments ADD
                        INDEX idx_sid (pn_sid)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_group_membership';
$sql = "
                ALTER TABLE ".$prefix."_group_membership ADD
                        INDEX idx_ug (pn_uid,pn_gid)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_message';
$sql = "
                ALTER TABLE ".$prefix."_message ADD
                        INDEX idx_exp (pn_active,pn_expire)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_modules';
$sql = "
                ALTER TABLE ".$prefix."_modules ADD
                        INDEX idx_name (pn_name)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_poll_data';
$sql = "
                ALTER TABLE ".$prefix."_poll_data ADD
                        INDEX idx_pollid (pn_pollid)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_pollcomments';
$sql = "
                ALTER TABLE ".$prefix."_pollcomments ADD
                        INDEX idx_pollid (pn_pollid)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_referer';
$sql = "
                ALTER TABLE ".$prefix."_referer ADD
                        INDEX idx_url (pn_url)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_session_info';
$sql = "
                ALTER TABLE ".$prefix."_session_info ADD
                        INDEX idx_last (pn_lastused)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_stats_date';
$sql = "
                ALTER TABLE ".$prefix."_stats_date ADD
                        INDEX idx_date (pn_date)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_stories';
$sql = "
                ALTER TABLE ".$prefix."_stories ADD
                        INDEX idx_catid (pn_catid)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_stories';
$sql = "
                ALTER TABLE ".$prefix."_stories ADD
                        INDEX idx_topic (pn_topic)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_user_data';
$sql = "
                ALTER TABLE ".$prefix."_user_data ADD
                        INDEX idx_uid (pn_uda_uid)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_userblocks';
$sql = "
                ALTER TABLE ".$prefix."_userblocks ADD
                        INDEX idx_ub (pn_uid,pn_bid)
";
dosql_12($table,$sql,'index');

$table= $prefix.'_users';
$sql = "
                ALTER TABLE ".$prefix."_users ADD
                        INDEX idx_uname (pn_uname)
";
dosql_12($table,$sql,'index');

// -- End of new indizes
//
// -- new tables --

$table= $prefix.'_ew_filemanager';
$sql = "
                CREATE TABLE ".$prefix."_ew_filemanager (
                          uid int(11) NOT NULL default '0',
                          path varchar(255) NOT NULL default 'slash/ended/path/to/files/',
                          PRIMARY KEY  (uid)
                )
";
dosql_12($table,$sql);

$table= $prefix.'_priv_msgs_outbox';
$sql = "
                CREATE TABLE ".$prefix."_priv_msgs_outbox (
                          pn_msg_id int(11) NOT NULL auto_increment,
                          pn_msg_image varchar(100) default 'empty',
                          pn_subject varchar(100) default NULL,
                          pn_from_userid int(11) NOT NULL default '0',
                          pn_to_userid int(11) NOT NULL default '0',
                          pn_msg_time varchar(20) default NULL,
                          pn_msg_text text,
                          pn_read_msg tinyint(4) NOT NULL default '0',
                          PRIMARY KEY  (pn_msg_id),
                          KEY pn_to_userid (pn_to_userid)
                )
";
dosql_12($table,$sql);

$table= $prefix.'_ratings';
$sql = "
                CREATE TABLE ".$prefix."_ratings (
                        pn_rid int(10) NOT NULL auto_increment,
                        pn_module varchar(32) NOT NULL default '',
                        pn_itemid varchar(64) NOT NULL default '',
                        pn_ratingtype varchar(64) NOT NULL default '',
                        pn_rating double(7,5) NOT NULL default '0.00000',
                        pn_numratings int(5) NOT NULL default '1',
                        PRIMARY KEY  (pn_rid)
                )
";
dosql_12($table,$sql);

$table= $prefix.'_ratingslog';
$sql = "
                CREATE TABLE ".$prefix."_ratingslog (
                          pn_id varchar(32) NOT NULL default '',
                          pn_ratingid varchar(64) NOT NULL default '',
                          pn_rating int(3) NOT NULL default '0'
                )
";
dosql_12($table,$sql);

$table= $prefix.'_stories_ratings';
$sql = "
                CREATE TABLE ".$prefix."_stories_ratings (
                          pn_sid int(11) NOT NULL default '0',
                          pn_rating int(11) NOT NULL default '0'
                )
";
dosql_12($table,$sql);

// -- End of new tables
//
// -- Add new fields to existing tables --

$table= $prefix.'_subcategories';
$sql = "
                ALTER TABLE ".$prefix."_subcategories ADD
                        keywords varchar(255) NOT NULL default '' after cattext
";
dosql_12($table,$sql,'keywords');

$table= $prefix.'_subjects';
$sql = "
                ALTER TABLE ".$prefix."_subjects ADD
                        keywords varchar(255) NOT NULL default '' after subcounter
";
dosql_12($table,$sql,'keywords');

$table= $prefix.'_subpages';
$sql = "
                ALTER TABLE ".$prefix."_subpages ADD
                        keywords varchar(255) NOT NULL default ''
";
dosql_12($table,$sql,'keywords');

$table= $prefix.'_subpages';
$sql = "
                ALTER TABLE ".$prefix."_subpages ADD
                        username varchar(255) NOT NULL default ''
";
dosql_12($table,$sql,'username');

// for _banner
$table= $prefix.'_banner';
$sql = "
                ALTER TABLE ".$prefix."_banner ADD
                        pn_module varchar(64) not null default '*'
";
dosql_12($table,$sql,'pn_module');

$table= $prefix.'_banner';
$sql = "
                ALTER TABLE ".$prefix."_banner ADD
                        pn_moduleid int(11) not null default 0
";
dosql_12($table,$sql,'pn_moduleid');

$table= $prefix.'_banner';
$sql = "
                ALTER TABLE ".$prefix."_banner ADD
                        pn_width int(11) not null default 0
";
dosql_12($table,$sql,'pn_width');

$table= $prefix.'_banner';
$sql = "
                ALTER TABLE ".$prefix."_banner ADD
                        pn_height int(11) not null default 0
";
dosql_12($table,$sql,'pn_height');

$table= $prefix.'_banner';
$sql = "
                ALTER TABLE ".$prefix."_banner ADD
                        pn_lang varchar(30) not null default '*'
";
dosql_12($table,$sql,'pn_lang');

// -- End of add new fields
//
// -- Modifying existing tables -- [without checking - hope this works correct]

$table= $prefix.'_subpages';
$sql = "
                ALTER TABLE ".$prefix."_subpages DROP
                        subpagesindexactive
";
dosql_12($table,$sql,'subpagesindexactive');
list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

$dbconn->Execute("UPDATE $pntable[blocks] SET pn_mid = REPLACE(pn_mid, '0', '11')") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:6:\"1.0.71\";' WHERE `pn_name` = 'Version_Num' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:4:\"C-MD\";' WHERE `pn_name` = 'Default_Theme' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[blocks] CHANGE pn_position pn_position VARCHAR( 255 ) DEFAULT 'l' NOT NULL") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("DELETE FROM $pntable[module_vars] WHERE pn_modname = 'rtemulti'") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[users] ADD `pn_message` int(1) NOT NULL default '0'") or die ("error".$dbconn->ErrorMsg());

// -- End of modifying tables
//
// -- Drop existing old tables --

//$table= $prefix.'_sections';
//$sql = "
//                DROP TABLE ".$prefix."_sections
//";
//dosql_115($table,$sql);

// -- End of modify tables
//

?>
