<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file:        WindMeUp                01/10/2003
// Purpose of file:                        Install data for a PN x-upgrade installation
// ----------------------------------------------------------------------------

function dosql_714_old($table,$sql,$field='*') {
        GLOBAL $dbconn;
        if($table == 'no') {
                $result = false;
                $table = 'Modify field structure';
        } else {
                $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." LIMIT 1");
        }
        if ($result == false) {
           $result = $dbconn->Execute($sql);
              if ($result == false) {
                      echo "<font class=\"pn-failed\">"._NOTMADE." ".$table."</font>";
                      exit;
              }
                      echo "<br><font class=\"pn-sub\">".$table." "._MADE."</font>";
        } else {
                echo "<br><font class=\"pn-sub\">"._NOTMADE.":115: ".$table." :: "._LASTRELEASE."</font>";
        }
}

function dosql_714($table,$sql,$field='*') {
        GLOBAL $dbconn;
        $error = ''; $log = '';
        if($table == 'no') {                   // no check
                $result = false;
                $table = 'Modify field structure';
        } else {
                if($field == 'index') {
                        $result = $dbconn->Execute($sql);
                } else {
                        $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." LIMIT 1");
                }
        }
        if ($dbconn->ErrorNo() != 0 && $result == false) {
           $result = $dbconn->Execute($sql);
              if ($dbconn->ErrorNo() != 0) {
                        $error = "<br><font class=\"pn-sub\">"._NOTMADE.":12: ".$table." :: ".$sql." :: "._LASTRELEASE."</font>";
                        $log = _NOTMADE.":12: ".$table." :: ".$sql." :: "._LASTRELEASE."\n";
              } else {
                if ($field != '*') {
                           $error = "<br><font class=\"pn-sub\">".$table." :: ".$sql." "._MADE."</font>";
                        $log = $table." :: ".$sql." "._MADE."\n";
                } else {
                           $error = "<br><font class=\"pn-sub\">".$table." "._MADE."</font>";
                        $log = $table." "._MADE."\n";
                }
           }
        } else {
                if ($field == 'index') {
                           $error = "<br><font class=\"pn-sub\">".$table." :: ".$sql." "._MADE."</font>";
                        $log = $table." :: ".$sql." "._MADE."\n";
                } else {
                        $error = "<br><font class=\"pn-sub\">"._NOTMADE.":12: ".$table." :: "._LASTRELEASE."</font>";
                        $log = _NOTMADE.":12: ".$table." :: "._LASTRELEASE."\n";
                }
        }
        echo $error;
    // Log-file entry: Selection from previous step !!
    do_upgrade_log($log."\n");
}

$dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $dbtype);

// -- New tables --
$table= $prefix.'_admin_lite_group';
$sql = "
                CREATE TABLE ".$prefix."_admin_lite_group (
                          groupID int(11) NOT NULL auto_increment,
                          groupName varchar(200) NOT NULL default '',
                          groupLock varchar(200) NOT NULL default '0',
                          groupShowAllModules varchar(200) NOT NULL default '0',
                          sortOrder int(11) NOT NULL default '0',
                          groupDefault tinyint(1) NOT NULL default '0',
                          PRIMARY KEY  (groupID)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_admin_lite_group_members';
$sql = "
                CREATE TABLE ".$prefix."_admin_lite_group_members (
                    groupID int(11) default NULL,
                    sortOrder int(11) default NULL,
                    moduleID int(11) default NULL
                )
";
dosql_714($table,$sql);

$table= $prefix.'_autolinks';
$sql = "
                CREATE TABLE ".$prefix."_autolinks (
                          pn_lid int(11) NOT NULL auto_increment,
                          pn_keyword varchar(100) NOT NULL default '',
                          pn_title varchar(100) NOT NULL default '',
                          pn_url varchar(200) NOT NULL default '',
                          pn_comment varchar(200) NOT NULL default '',
                          PRIMARY KEY  (pn_lid),
                          UNIQUE KEY keyword (pn_keyword)
                )
";
dosql_714($table,$sql);


$table= $prefix.'_poll_voters';
$sql = "
                CREATE TABLE ".$prefix."_poll_voters (
                        pn_pollid int(11) NOT NULL default '0',
                          pn_voteid int(11) NOT NULL default '0',
                          pn_uid int(11) NOT NULL default '0',
                          pn_timestamp int(11) NOT NULL default '0',
                          KEY pn_pollid (pn_pollid),
                          KEY pn_uid (pn_uid)
                )
";
dosql_714($table,$sql);



if ($filemanager) {
        $table= $prefix.'_ew_filemanager';
        $sql = "
                        CREATE TABLE ".$prefix."_ew_filemanager (
                                pn_uid int(11) NOT NULL default '0',
                                pn_path varchar(255) NOT NULL default 'slash/ended/path/to/files/',
                                PRIMARY KEY  (pn_uid)
                        )
        ";
        dosql_714($table,$sql);
}

if ($subjects) {
$table= $prefix.'_subcategories';
$sql = "
                CREATE TABLE ".$prefix."_subcategories (
                          catid int(11) NOT NULL auto_increment,
                          catname varchar(50) NOT NULL default '',
                          cattext text NOT NULL,
                          catorder int(3) NOT NULL default '0',
                          PRIMARY KEY  (catid)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_subjects';
$sql = "
                CREATE TABLE ".$prefix."_subjects (
                          subid int(11) NOT NULL auto_increment,
                          catid int(11) NOT NULL default '0',
                          subname varchar(50) NOT NULL default '',
                          subtext text NOT NULL,
                          subimage varchar(255) NOT NULL default '',
                          subactive int(1) NOT NULL default '0',
                          suborder int(3) NOT NULL default '0',
                          subcounter int(11) NOT NULL default '0',
                          sublanguage varchar(30) NOT NULL default '',
                        suburl text NOT NULL default '',
                          PRIMARY KEY  (subid)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_subpages';
$sql = "
                CREATE TABLE ".$prefix."_subpages (
                          pageid int(11) NOT NULL auto_increment,
                          subid int(11) NOT NULL default '0',
                          parentpageid int(11) NOT NULL default '0',
                          pagetitle varchar(100) NOT NULL default '',
                          pagetext text NOT NULL,
                          pagecontent mediumtext NOT NULL,
                          pagefile varchar(255) NOT NULL default '',
                          pageimage varchar(255) NOT NULL default '',
                          pageauthor varchar(50) NOT NULL default '',
                          pageauthoremail varchar(50) NOT NULL default '',
                          pageauthorurl varchar(100) NOT NULL default '',
                          pageactive int(1) NOT NULL default '0',
                          pageorder int(3) default '0',
                          pagedatetime datetime NOT NULL default '0000-00-00 00:00:00',
                          pagecounter int(11) NOT NULL default '0',
                          reviewscount int(4) NOT NULL default '0',
                          reviewsscore int(5) NOT NULL default '0',
                          reviewactive int(1) NOT NULL default '0',
                        intro int(1) NOT NULL default '0',
                          PRIMARY KEY  (pageid)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_subreviews';
$sql = "
                CREATE TABLE ".$prefix."_subreviews (
                          reviewid int(11) NOT NULL auto_increment,
                          pageid int(11) NOT NULL default '0',
                          reviewtitle varchar(50) NOT NULL default '',
                          reviewcomments text NOT NULL,
                          reviewscore int(1) NOT NULL default '0',
                          reviewuser varchar(25) NOT NULL default '',
                          reviewhostip varchar(15) NOT NULL default '',
                          reviewdatetime datetime NOT NULL default '0000-00-00 00:00:00',
                          PRIMARY KEY  (reviewid)
                )
";
dosql_714($table,$sql);



$table= $prefix.'_user_points';
$sql = "
                CREATE TABLE ".$prefix."_user_points (
                          uid int(11) NOT NULL default '0',
                          uname varchar(25) NOT NULL default '',
                          stories int(11) NOT NULL default '0',
                          comments int(11) NOT NULL default '0',
                          pollcomm int(11) NOT NULL default '0',
                          downloads int(11) NOT NULL default '0',
                          dloadvotes int(11) NOT NULL default '0',
                          links int(11) NOT NULL default '0',
                          linkvotes int(11) NOT NULL default '0',
                          reviews int(11) NOT NULL default '0',
                          reviewcomm int(11) NOT NULL default '0',
                          posts int(11) NOT NULL default '0',
                          points int(13) NOT NULL default '0',
                          PRIMARY KEY  (uid)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_users_delrequest';
$sql = "
                CREATE TABLE ".$prefix."_users_delrequest (
                          pn_uid int(11) NOT NULL default '0',
                          pn_name varchar(60) NOT NULL default '',
                          pn_uname varchar(25) NOT NULL default '',
                          pn_email varchar(60) NOT NULL default '',
                          pn_pass varchar(40) NOT NULL default '',
                          PRIMARY KEY  (pn_uid)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_users_modrequest';
$sql = "
                CREATE TABLE ".$prefix."_users_modrequest (
                        pn_uactr int(11) NOT NULL auto_increment,
                        pn_uid int(11) NOT NULL default '0',
                        pn_name varchar(60) NOT NULL default '',
                        pn_uname varchar(25) NOT NULL default '',
                        pn_email varchar(60) NOT NULL default '',
                        pn_femail varchar(60) NOT NULL default '',
                        pn_url varchar(100) NOT NULL default '',
                        pn_user_avatar varchar(30) default NULL,
                        pn_user_regdate varchar(20) NOT NULL default '',
                        pn_user_icq varchar(15) default NULL,
                        pn_user_occ varchar(100) default NULL,
                        pn_user_from varchar(100) default NULL,
                        pn_user_intrest varchar(150) default NULL,
                        pn_user_sig varchar(255) default NULL,
                        pn_user_viewemail tinyint(2) default NULL,
                        pn_user_theme tinyint(3) default NULL,
                        pn_user_aim varchar(18) default NULL,
                        pn_user_yim varchar(25) default NULL,
                        pn_user_msnm varchar(25) default NULL,
                        pn_pass varchar(40) NOT NULL default '',
                        pn_storynum tinyint(4) NOT NULL default '10',
                        pn_umode varchar(10) NOT NULL default '',
                        pn_uorder tinyint(1) NOT NULL default '0',
                        pn_thold tinyint(1) NOT NULL default '0',
                        pn_noscore tinyint(1) NOT NULL default '0',
                        pn_bio tinytext NOT NULL,
                        pn_ublockon tinyint(1) NOT NULL default '0',
                        pn_ublock tinytext NOT NULL,
                        pn_theme varchar(255) NOT NULL default '',
                        pn_commentmax int(11) NOT NULL default '4096',
                        pn_counter int(11) NOT NULL default '0',
                        pn_timezone_offset float(3,1) NOT NULL default '0.0',
                        pn_uda_vars text NOT NULL,
                        pn_gid int(11) NOT NULL default '0',
                        pn_ppn tinyint(1) NOT NULL default '0',
                        pn_uadd tinyint(1) NOT NULL default '0',
                        pn_udel tinyint(1) NOT NULL default '0',
                        PRIMARY KEY  (pn_uactr)
                )
";
dosql_714($table,$sql);
$table= $prefix.'_priv_msgs_outbox';
$sql = "
                CREATE TABLE ".$prefix."_priv_msgs_outbox (
                        pn_msg_id int(11) NOT NULL auto_increment,
                        pn_msg_image varchar(100) default 'empty',
                        pn_subject varchar(100) default NULL,
                        pn_from_userid int(11) NOT NULL default '0',
                        pn_to_userid int(11) NOT NULL default '0',
                        pn_msg_time varchar(20) default NULL,
                        pn_msg_text text,
                        pn_read_msg tinyint(4) NOT NULL default '0',
                        PRIMARY KEY  (pn_msg_id),
                        KEY pn_to_userid (pn_to_userid)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_ratings';
$sql = "
                CREATE TABLE ".$prefix."_ratings (
                        pn_rid int(10) NOT NULL auto_increment,
                        pn_module varchar(32) NOT NULL default '',
                        pn_itemid varchar(64) NOT NULL default '',
                        pn_ratingtype varchar(64) NOT NULL default '',
                        pn_rating double(7,5) NOT NULL default '0.00000',
                        pn_numratings int(5) NOT NULL default '1',
                        PRIMARY KEY  (pn_rid)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_ratingslog';
$sql = "
                CREATE TABLE ".$prefix."_ratingslog (
                        pn_id varchar(32) NOT NULL default '',
                        pn_ratingid varchar(64) NOT NULL default '',
                        pn_rating int(3) NOT NULL default '0'
                )
";
dosql_714($table,$sql);

$table= $prefix.'_seccont';
$sql = "
                CREATE TABLE ".$prefix."_seccont (
                        pn_artid int(11) NOT NULL auto_increment,
                        pn_secid int(11) NOT NULL default '0',
                        pn_title text NOT NULL,
                        pn_content text NOT NULL,
                        pn_counter int(11) NOT NULL default '0',
                        pn_language varchar(30) NOT NULL default '',
                        PRIMARY KEY  (pn_artid)
                )
";
dosql_714($table,$sql);

$table= $prefix.'_stories_ratings';
$sql = "
                CREATE TABLE ".$prefix."_stories_ratings (
                        pn_sid int(11) NOT NULL default '0',
                        pn_rating int(11) NOT NULL default '0'
                )
";
dosql_714($table,$sql);

// -- End of new tables
//
// -- Add new fields to existing tables --

$table= $prefix.'_blocks';
$sql = "
                ALTER TABLE ".$prefix."_blocks ADD
                          allow_gids varchar(255) NOT NULL default 'A' after pn_language
";
dosql_714($table,$sql,'allow_gids');

$table= $prefix.'_downloads_downloads';
$sql = "
                ALTER TABLE ".$prefix."_downloads_downloads ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_714($table,$sql,'pn_image');

$table= $prefix.'_downloads_modrequest';
$sql = "
                ALTER TABLE ".$prefix."_downloads_modrequest ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_714($table,$sql,'pn_image');

$table= $prefix.'_downloads_newdownload';
$sql = "
                ALTER TABLE ".$prefix."_downloads_newdownload ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_714($table,$sql,'pn_image');

$table= $prefix.'_links_links';
$sql = "
                ALTER TABLE ".$prefix."_links_links ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_714($table,$sql,'pn_image');

$table= $prefix.'_links_modrequest';
$sql = "
                ALTER TABLE ".$prefix."_links_modrequest ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_714($table,$sql,'pn_image');

$table= $prefix.'_links_newlink';
$sql = "
                ALTER TABLE ".$prefix."_links_newlink ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_714($table,$sql,'pn_image');

$table= $prefix.'_poll_data';
$sql = "
                ALTER TABLE ".$prefix."_poll_data ADD
                          pn_optioncolor varchar(7) NOT NULL default '#009900' after pn_voteid
";
dosql_714($table,$sql,'pn_optioncolor');

$table= $prefix.'_poll_desc';
$sql = "
                ALTER TABLE ".$prefix."_poll_desc ADD
                          pn_votesystem char(3) NOT NULL default 'D'
";
dosql_714($table,$sql,'pn_votesystem');

$table= $prefix.'_poll_desc';
$sql = "
                ALTER TABLE ".$prefix."_poll_desc ADD
                          pn_postfull tinyint(1) NOT NULL default '0'
";
dosql_714($table,$sql,'pn_postfull');

$table= $prefix.'_poll_desc';
$sql = "
                ALTER TABLE ".$prefix."_poll_desc ADD
                          pn_votetracking int(1) NOT NULL default '0'
";
dosql_714($table,$sql,'pn_votetracking');

$table= $prefix.'_stories';
$sql = "
                ALTER TABLE ".$prefix."_stories ADD
                          pn_skins varchar(255) NOT NULL default ''
";
dosql_714($table,$sql,'pn_skins');

$table= $prefix.'_topics';
$sql = "
                ALTER TABLE ".$prefix."_topics ADD
                        pn_language varchar(30) NOT NULL default '' after pn_topicname
";
dosql_714($table,$sql,'pn_language');

// -- End of add new fields
//
// -- Modifying existing tables -- [without checking - hope this works correct]

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_blocks CHANGE
                          pn_url pn_url VARCHAR( 255 ) DEFAULT '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_blocks_buttons CHANGE
                          pn_url pn_url VARCHAR( 255 ) DEFAULT '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_downloads_downloads CHANGE
                          pn_url pn_url VARCHAR( 100 ) DEFAULT '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_downloads_modrequest CHANGE
                          pn_url pn_url VARCHAR( 100 ) DEFAULT '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_downloads_newdownload CHANGE
                          pn_url pn_url VARCHAR( 100 ) DEFAULT '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_links_links CHANGE
                          pn_url pn_url VARCHAR( 100 ) DEFAULT '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_links_modrequest CHANGE
                          pn_url pn_url VARCHAR( 100 ) DEFAULT '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_links_newlink CHANGE
                          pn_url pn_url VARCHAR( 100 ) DEFAULT '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_poll_data
                          CHANGE pn_optiontext pn_optiontext varchar(50) default '' NOT NULL,
                          CHANGE pn_voteid pn_voteid int(11) default '0' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_priv_msgs CHANGE
                          pn_msg_image pn_msg_image VARCHAR( 100 ) DEFAULT 'empty'
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_quotes CHANGE
                          pn_qid pn_qid int(11) unsigned NOT NULL auto_increment
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_referer CHANGE
                          pn_url pn_url varchar(100) default '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_related CHANGE
                          pn_url pn_url varchar(200) default '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_reviews
                          CHANGE pn_url pn_url varchar(100) default '' NOT NULL,
                          CHANGE pn_url_title pn_url_title varchar(50) default '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_reviews_add
                          CHANGE pn_url pn_url varchar(100) default '' NOT NULL,
                          CHANGE pn_url_title pn_url_title varchar(50) default '' NOT NULL
";
dosql_714($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_users
                          CHANGE pn_ublock pn_ublock tinytext NOT NULL
";
dosql_714($table,$sql);
list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

$dbconn->Execute("UPDATE $pntable[blocks] SET pn_mid = REPLACE(pn_mid, '0', '11')") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:6:\"1.0.71\";' WHERE `pn_name` = 'Version_Num' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:4:\"C-MD\";' WHERE `pn_name` = 'Default_Theme' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[blocks] CHANGE pn_position pn_position VARCHAR( 255 ) DEFAULT 'l' NOT NULL") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[queue] CHANGE pn_subject pn_subject VARCHAR( 255 ) NOT NULL") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[users] ADD `pn_message` int(1) NOT NULL default '0'") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("INSERT INTO $pntable[counter] VALUES('browser', 'Firefox', '0')") or die ("error".$dbconn->ErrorMsg());


// -- End of modifying tables
//
// -- Drop existing old tables --

//$table= $prefix.'_sections';
//$sql = "
//                DROP TABLE ".$prefix."_sections
//";
//dosql_714($table,$sql);

// -- End of modify tables
//

?>
