<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------

if (phpversion() >= "4.2.0") {
if ( ini_get('register_globals') != 1 ) {

$supers = array('_REQUEST',
                                '_ENV',
                                '_SERVER',
                                '_POST',
                                '_GET',
                                '_COOKIE',
                                '_SESSION',
                                '_FILES',
                                '_GLOBALS' );

foreach( $supers as $__s) {
                        if ( (isset($$__s) == true) && (is_array( $$__s ) == true) ) extract( $$__s, EXTR_OVERWRITE );
}
unset($supers);
}
} else {

if ( ini_get('register_globals') != 1 ) {

$supers = array('HTTP_POST_VARS',
                                'HTTP_GET_VARS',
                                'HTTP_COOKIE_VARS',
                                'GLOBALS',
                                'HTTP_SESSION_VARS',
                                'HTTP_SERVER_VARS',
                                'HTTP_ENV_VARS'
                                 );

foreach( $supers as $__s) {
                        if ( (isset($$__s) == true) && (is_array( $$__s ) == true) ) extract( $$__s, EXTR_OVERWRITE );
}
unset($supers);
}
}

switch ($op) {
        case 'modload':
            define("LOADED_AS_MODULE", "1");
			include_once 'includes/pnAPI.php';
            if(!function_exists('pnsessionsetup')){
            	pnInit();
            }
        	include_once 'includes/legacy.php';

        // Browser check
        $client = $GLOBALS['client'];
        if( (($client->browser_is("ie5.5+")) && ($client->property('platform') == "win")) || ($client->browser_is("mz1.3+")) ) {
            $ie_ok = 1;
        } else {
            $ie_ok = 0;
        }

        //Verifica esistenza modulo altrimenti rimanda ad error.php
        //Verifica se il modulo  attivato o meno
        if (file_exists('modules/' . pnVarPrepForOS($name) . '/' .
                   pnVarPrepForOS($file) . '.php')) {

// include at line 93 after RTE-ob_start()
//--           include 'modules/' . pnVarPrepForOS($name) . '/' .
//--                   pnVarPrepForOS($file) . '.php';
        } else {

            pnRedirect(pnModURL('Errore', 'admin', 'main', array('op' => 'noexist','modname' => $module,'modfile' => $file)));
        }
        if (!pnModAvailable($name)) {
            pnRedirect(pnModURL('Errore', 'admin', 'main', array('op' => 'noexist','modname' => $module,'modfile' => $file)));
           break;
        }

// include of RTE-class, start buffer
//
//if ((pnModGetVar('RteMulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {
if ((pnModGetVar('rtemulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {
                //include_once( "modules/RteMulti/pnRTEHTML.php" );
                ob_start();
}
// End include
//
                include 'modules/'.pnVarPrepForOS($name).'/'.pnVarPrepForOS($file).'.php';

//
//
// Begin buffering and manipulating
//if ((pnModGetVar('RteMulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {
if ((pnModGetVar('rtemulti','RteEnable')==1)and(pnModAvailable('RteMulti'))and($ie_ok)) {
                          $return=ob_get_contents();
                        ob_end_clean();

                $output = new pnHTML();

//    if (!pnModAPILoad('rtemulti', 'user')) {
    if (!pnModAPILoad('RteMulti', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

                        $output->SetInputMode(_PNH_VERBATIMINPUT);

//                    $return = pnModAPIFunc('rtemulti',
                    $return = pnModAPIFunc('RteMulti',
                                                  'user',
                                                  'getinfo',
                                                  array('original' => $return,
                                                  'modname'  => pnVarPrepForOS($name)));

                         $output->TextHTML($return);
                        $output->SetInputMode(_PNH_PARSEINPUT);

                         $output->PrintPage();

}
// End of buffering (that's all !!)
//
//

        if (function_exists('session_write_close')) {
            session_write_close();
        } else {
            // Hack for old versions of PHP with bad session save
            $sessvars = '';
            foreach ($GLOBALS as $k => $v) {
                if ((preg_match('/^PNSV/', $k)) &&
                    (isset($v))) {
                    $sessvars .= "$k|" . serialize($v);
                }
            }
            pnSessionWrite(session_id(), $sessvars);
        }

        break;
    default:
                die ("Sorry, you can't access this file directly...");
                break;
}


?>
