<?php 

// Extra for all platforms
//
// How to register an extra and the functions that it performs and when to perform them (at operation)
//
// $extra = array ( 'at operation' => 'extra function' );
//
$extra['maintenance'] = array (
	'name' => 'Maintenance page',
	'description' => 'Maintenance mode page',
	'version' => '1.7',
	'author' => 'Shawn McKenzie',
	'contact' => 'http://spidean.mckenzies.net',
	'themeopen' => 'at_maintenance',
	'atadmin' => 'at_admin_maintenance'
);

// Extra functions
//
function at_maintenance($vars)
{
	extract($vars);
    
    $maintenance = atAutoGetVar("maintenance");
    $template = $maintenance['template'];
    
    if (atISAdminUser()) {
    	return;
    }        
    if (!$template) {
        $template = "maintenance.html";
    }
    if (@file_exists($themepath."extras/$template")) {
		$file = $themepath."extras/$template";
	}
	elseif (@file_exists($atdir."templates/$template")) {
		$file = $atdir."templates/$template";
	}
    $HTML = atTemplatePrep($file, 0);
    $output = atCommandReplace($HTML, $command);
    atTemplateDisplay($output);
    exit;
}	

function at_admin_maintenance($vars)
{
    extract($vars);

    if (!$template) {
        $template = "maintenance.html";
    }    
    $output = _AT_TEMPLATE." <input type=\"text\" name=\"template\" value=\"$template\"><br />\n";
	
	return $output;
}

?>
