<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2004 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

if (!pnSecAuthAction(0, 'AutoTheme::', '::', ACCESS_ADMIN)) {
    die("Access Denied");
}

function AutoThemeCheckTable()
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $column = &$pntable['blocks_column'];

    $sql = "SELECT $column[position] FROM $pntable[blocks] LIMIT 1";
    $result = $dbconn->Execute($sql);

    $field = $result->FetchField(0);

    if ($field->max_length == 255) {
        return true;
    }
    else {
        return false;
    }
}

function AutoTheme_admin_updatetable($var)
{
    extract($var);
    
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $blockstable = $pntable['blocks'];

    $sql = "ALTER TABLE $blockstable CHANGE `pn_position` `pn_position` VARCHAR( 255 ) DEFAULT 'l' NOT NULL";
    $dbconn->Execute($sql);

    if ($dbconn->ErrorNo() != 0) {
        echo _DBMODIFYERROR;
    }
    Header("Location: admin.php?module=". MOD_NAME ."&op=ablocks&themedir=$themedir");
}

function list_mods()
{
    $mods = pnModGetUserMods();
    
    $modlist = array(
        "*AdminPages",
        "*HomePage",
        "*UserPages"
    );

    foreach ($mods as $vals) {
        $modlist[] = $vals['name'];
    }
    return $modlist;
}

?>
