<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of this file: Tim Litwiller http://linux.made-to-order.net/
// Purpose of this file: This module is to view your last news items via
//   Palm or Windows CE devices, using AvantGo software or compatible
//   Palm device browsers.
// ----------------------------------------------------------------------
// Installation: Simply place this file in your root MD-Pro install.
// ----------------------------------------------------------------------
// Changelog
// 2001-07-28  Tim Litwiller  converted to PostNuke
// 2000-12-02  Fabian Rodriguez - http://sourceforge.net/users/MagicFab/
//   - changed name of addon
//   - corrected logo image to reflect version 4.2 path
//   - included compliant html tags
//   - made it AvantGo "compliant" (see http://avantgo.com/developer/reference/tutorials/jumpstart/jumpstart.html)
// 2000-11-29  Tim Litwiller  original version
// ----------------------------------------------------------------------------

if (!defined("LOADED_AS_MODULE")) {
         die ("You can't access this file directly...");
     }

$ModName = basename( dirname( __FILE__ ) );
modules_get_language();

header("Content-Type: text/html");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML Basic 1.0//EN" "http://www.w3.org/TR/xhtml-basic/xhtml-basic10.dtd">
<html>
<head>
<title><?php echo pnConfigGetVar('sitename'); ?></title>
<meta name="HandheldFriendly" content="True" />
</head>
<body>
<div align="center">
<?php
if (pnSecAuthAction(0, 'AvantGo::', "::", ACCESS_READ)) {
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $column = &$pntable['stories_column'];
    $sql = "SELECT $column[aid],
                   $column[sid],
                   $column[title],
                   $column[time],
                   $column[catid]
                              FROM $pntable[stories]
                              ORDER BY $column[sid] DESC";
    $result = $dbconn->SelectLimit($sql,10);
    if ($result === false) {
        PN_DBMsgError($dbconn, __FILE__, __LINE__, "An error ocurred");
    } else {
        echo "\t<h1>".pnConfigGetVar('sitename')."</h1>\r\n";
        echo "\t<table border=\"0\" align=\"center\">\r\n";
        echo "\t\t<tr>\r\n";
        echo "\t\t\t<td bgcolor=\"#EFEFEF\">"._AVGARTICLES."</td>\r\n";
        echo "\t\t\t<td bgcolor=\"#EFEFEF\">"._DATE."</td>\r\n";
        echo "\t\t</tr>\r\n";
//modified for Oracle compatibility
//        while(list($authid, $sid, $title, $time, $catid) = $result->fields) {
        while(!$result->EOF){
			list($authid, $sid, $title, $time, $catid) = $result->fields;
            if (!empty($catid)) {
                // Get cattitle from catid
                $catcolumn = &$pntable['stories_cat_column'];
                $sql = "SELECT $catcolumn[title]
                        FROM $pntable[stories_cat]
                        WHERE $catcolumn[catid] = $catid";
                $catresult = $dbconn->Execute($sql);
                list($cattitle) = $catresult->fields;
                $catresult->Close();
            } else {
                $cattitle = '';
            }
            if (pnSecAuthAction(0, 'AddStory::', "$authid:$cattitle:$sid", ACCESS_READ)) {
                echo "\t\t<tr>\r\n";
                echo "\t\t\t<td><a href=\"print.php?sid=$sid\">".pnVarPrepHTMLDisplay($title)."</a></td>\r\n";
                echo "\t\t\t<td>$time</td>\r\n";
                echo "\t\t</tr>\r\n";
            }
            $result->MoveNext();
        }
        $result->Close();
        echo "\t</table>\r\n";
    }
} else {
    echo "Not authorized to use AvantGo";
}
?>
</div>
</body>
</html>