<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com
// PHP-NUKE Web Portal System - http://www.phpnuke.org
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

$blocks_modules['login'] = array(
    'func_display' => 'blocks_login_block',
    'text_type' => 'Login',
    'text_type_long' => "User's Login",
    'allow_multiple' => false,
    'form_content' => false,
    'form_refresh' => false,
//  'support_xhtml' => true,
    'show_preview' => false
);

// Security
pnSecAddSchema('Loginblock::', 'Block title::');

function blocks_login_block($row) {
        global $HTTP_SERVER_VARS;

    if (empty($row['title'])) {
        $row['title'] = 'Login';
    }
    if (!pnSecAuthAction(0, 'Loginblock::', "$row[title]::", ACCESS_READ)) {
        return;
    }

    // code taken pnGetBaseURI to fix issue with IIS not passing request_uri
    // markwest
    // Start of with REQUEST_URI
    if (isset($HTTP_SERVER_VARS['REQUEST_URI'])) {
        $path = $HTTP_SERVER_VARS['REQUEST_URI'];
    } else {
        $path = getenv('REQUEST_URI');
    }
    if ((empty($path)) ||
        (substr($path, -1, 1) == '/')) {
        // REQUEST_URI was empty or pointed to a path
        // Try looking at PATH_INFO
        $path = getenv('PATH_INFO');
        if (empty($path)) {
            // No luck there either
            // Try SCRIPT_NAME
            if (isset($HTTP_SERVER_VARS['SCRIPT_NAME'])) {
                $path = $HTTP_SERVER_VARS['SCRIPT_NAME'];
            } else {
                $path = getenv('SCRIPT_NAME');
            }
        }
    }
    if (!pnUserLoggedIn()) {
    // prettified a little with a table for inputs and button to avoid bugs like #493456 (Andy Varganov)
        $boxstuff  = '<form action="user.php" method="post"><p align="justify">';
        $boxstuff .= '&nbsp;'._BLOCKNICKNAME.'<br />';
        $boxstuff .= '<input type="text" name="uname" size="14" maxlength="25"><br />';
        $boxstuff .= '&nbsp;'._BLOCKPASSWORD.'<br />';
        $boxstuff .= '<input type="password" name="pass" size="14" maxlength="20"><br />';
        if (pnConfigGetVar('seclevel') != 'High') {
            $boxstuff .= '<input type="checkbox" value="1" name="rememberme" />';
            $boxstuff .= '&nbsp;'._REMEMBERME.'';
        }
        $boxstuff .= '<br />';
        $boxstuff .= '<input type="hidden" name="module" value="NS-User" />';
        $boxstuff .= '<input type="hidden" name="op" value="login" />';
        $boxstuff .= '<input type="hidden" name="url" value="' .pnVarPrepForDisplay($path) .'" />';
        $boxstuff .= '<input type="submit" value="'._LOGIN.'" /><br /><br />';
		if (pnConfigGetVar('reg_allowreg') == 1) {
	        $boxstuff .= ''._ASREGISTERED.'<br />';
		}
    		$boxstuff .= '</p></form>';

            if (empty($row['title'])) {
            $row['title'] = _LOGIN;
        }
        $row['content'] = $boxstuff;
        return themesideblock($row);
    }
}
?>