<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Patrick Kellum
// Purpose of file: Display the text content of the block
// ----------------------------------------------------------------------

$blocks_modules['text'] = array (
    'func_display' => 'blocks_text_block',
    'text_type' => 'Text',
    'text_type_long' => 'Plain Text',
    'allow_multiple' => true,
    'form_content' => true,
    'form_refresh' => false,
    'show_preview' => true
);

// Security
pnSecAddSchema('Textblock::', 'Block title::');

function blocks_text_block($row)
{
    if (!pnSecAuthAction(0, 'Textblock::', "$row[title]::", ACCESS_OVERVIEW)) {
        return;
    }

    return themesideblock($row);
}

?>
