<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

$blocks_modules['topic'] = array(
        'func_display' => 'blocks_topic_block',
        'text_type' => 'Topics',
        'text_type_long' => 'Topics Menu',
        'allow_multiple' => false,
        'form_content' => false,
        'form_refresh' => false,
        'show_preview' => true
        );
pnSecAddSchema('Topicblock::', 'Block title::');
function blocks_topic_block($row)
{
        //global $topic, $catid;
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $currentlang = pnUserGetLang();
    if (!pnSecAuthAction(0, 'Topicblock::', "$row[title]::", ACCESS_READ)) {
        return;
    }

  $language = pnConfigGetVar('language');
        $topic = "";
        $catid = "";

  if (pnConfigGetVar('multilingual') == 1) {
    $column = &$pntable['stories_column'];
//modified for Oracle compatibility
//$querylang = "AND ($column[alanguage]='$currentlang' OR $column[alanguage]='')";
        $querylang = "AND ($column[alanguage]='$currentlang' OR $column[alanguage]='' OR $column[alanguage] IS NULL)"; /* the OR is needed to display stories who are posted to ALL languages */
  } else {
    $querylang = '';
  }
  $column = &$pntable['topics_column'];
  $result = $dbconn->Execute("SELECT $column[topicid] AS topicid, $column[topicname] as topicname FROM $pntable[topics] ORDER BY topicname");
  if ($result->EOF) {
    return;
  } else {
    $boxstuff = '<span class="pn-normal">';
    if ($topic == "") {
                        $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<b><a href=\"modules.php?op=modload&amp;name=Topics&amp;file=index\">"._ALL_TOPICS."</a></b><br>";
    } else {
      $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a href=\"modules.php?op=modload&amp;name=News&amp;file=index&amp;catid=$catid\">"._ALL_TOPICS."</a><br>";
    }

    while(!$result->EOF) {
        $srow = $result->GetRowAssoc(false);
        $result->MoveNext();
                if (pnSecAuthAction(0, 'Topics::Topic', "$srow[topicname]::$srow[topicid]", ACCESS_READ)) {
      $column = &$pntable['stories_column'];
      $result2 = $dbconn->Execute("SELECT $column[time] AS unixtime FROM $pntable[stories] WHERE $column[topic]=$srow[topicid] $querylang ORDER BY $column[time] DESC");

      if (!$result2->EOF) {
        $story = $result2->GetRowAssoc(false);
        $story['unixtime']=$result2->UnixTimeStamp($story['unixtime']);
        $sdate = ml_ftime(_DATEBRIEF, $story['unixtime']);
        if ($topic == $srow['topicid']) {
          $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<span class=\"pn-title\"><b>$srow[topicname]</b></span> <span class=\"pn-sub\">($sdate)</span><br>";
        } else {
            $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a class=\"pn-normal\" href=\"index.php?module=News&amp;catid=$catid&amp;topic=$srow[topicid]\">$srow[topicname]</a> <span class=\"pn-sub\">($sdate)</span><br>";
                                        }
        }
      }
    }
  }
  $boxstuff .= '</span>';
  if (empty($row['title'])) {
    $row['title'] = _TOPICS;
  }
  $row['content'] = $boxstuff;
  return themesideblock($row);
}
?>
