<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

$blocks_modules['userpoints'] = array(
    'func_display' => 'blocks_user_points_block',
        'func_add'           => 'blocks_user_points_add',
        'func_edit'           => 'blocks_user_points_edit',
        'func_update'  => 'blocks_user_points_update',
    'text_type' => 'UserPoints',
    'text_type_long' => 'Mod-Block[User Points v 1.1]',
    'allow_multiple' => false,
    'form_content' => false,
    'form_refresh' => false,
    'show_preview' => true
);

// Security
pnSecAddSchema('user_points_block::', 'Block title::');

function blocks_user_points_block($row) {
        global $prefix;
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

        if (!$row[url])
    {
      $row[url]= 5;
    }

    if (!pnSecAuthAction(0, 'user_points_block::', "$row[title]::", ACCESS_READ)) {
        return;
    }
    $pntable[user_points] = $prefix."_user_points";
//modified for Oracle compatibility
//        $query = "SELECT uname, points FROM $pntable[user_points] ORDER BY points DESC LIMIT $row[url]";
//        $result = $dbconn->Execute($query);

        $query = "SELECT uname, points FROM $pntable[user_points] ORDER BY points DESC";
        $result = $dbconn->SelectLimit($query,$row[url]);

        if ($dbconn->ErrorNo() <> 0) {
                $content = "";
                return $content;
        }
        if ($result->EOF) {
           return;
        }
        $contentts ="<table height=\"1\" cellpadding=\"1\" cellspacing=\"0\">\n"
        ."<tr>\n"
        ."<td colspan=\"2\" align=\"center\">\n"
        ."Member\n"
        ."</td>\n<td align=\"right\">\n<center>\n"
        ."score\n"
        ."</center>\n</td>\n</tr>\n";
        $rank = 1;
// modified for Oracle compatibility
//        while (list($uname, $upoints) = $result->fields) {
        while (!$result->EOF ){
                list($uname, $upoints) = $result->fields;
                $result->MoveNext();
                if ($upoints > 0) { /*Code Updated to remove excess session variables - 25 May 02 - MCL*/
                $contentts .= "<tr valign=\"top\">\n<td>\n"
                ."$rank :\n\n"
                ."</td>\n<td>\n"
                ."<a href=\"user.php?op=userinfo&uname=$uname\">$uname</a>\n"
                ."</td>\n<td align=\"right\" valign=\"top\">\n"
                ."$upoints<br />\n"
                ."</td>\n</tr>\n";
                } /*Code Updated to remove excess session variables - 25 May 02 - MCL*/
                $rank++;
        }
        $contentts .= "<tr>\n<td colspan=\"3\" align=\"right\">\n";
        $contentts .= "<a href=\"modules.php?op=modload&amp;name=NS-User_Points&amp;file=index\">";
        $contentts .= "Update</a> \n";
        $contentts .="</td>\n</tr>\n</table>\n";
        $row['content'] = $contentts;
        themesideblock($row);
}

function blocks_user_points_add($row)
{
    $row[url] = 5;
            return $row;
}

function blocks_user_points_edit($row)
{
         if (!empty($row['url'])) {
        $url = explode('|', $row['url']);
        $amount = $url[0];
    }
        $version = "1.1 - By saytheb";
        $editshow = "<tr><td colspan=3 height=10></td></tr><tr ><td colspan=3 align=center >.:: <b>User Point List Configuration</b> ::.</td>"
                              ."</tr><tr><td colspan=3 align=center >version: $version</td></tr><tr><td>"._UPAMOUNT.":</td><td>"
                                ."<input type=\"text\" name=\"amount\" size=\"10\" maxlength=\"255\" value=\"$amount\"><-"._UPPOINTS."</td></tr>";
        return $editshow;
}


function blocks_user_points_update($vars)
{
    $vars['url'] = "$vars[amount]";
    return $vars;
}
?>