<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file:
// Purpose of file:
// ----------------------------------------------------------------------

function AddDownload()
{
    global $ModName;

    include("header.php");
    include("config/dl-config.php");

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!(pnSecAuthAction(0,$ModName.'::Item', '::', ACCESS_COMMENT))) {
        echo _DOWNLOADSADDNOAUTH;
        include 'footer.php';
        return;
    }
    $maindownload = 1;
    menu(1);

    OpenTable();
    echo "<center><font class=\"pn-title\">"._ADDADOWNLOAD."</font></center><br><br>";
    if (pnUserLoggedIn() || pnConfigGetVar('downloads_anonadddownloadlock') != 1)
    {
        echo "<font class=\"pn-titlel\">"._INSTRUCTIONS.":</font><br>"
        ."<font class=\"pn-normal\"><strong><big>&middot;</big></strong> "._DSUBMITONCE."<br>"
        ."<strong><big>&middot;</big></strong> "._DPOSTPENDING."<br>"
        ."<strong><big>&middot;</big></strong> "._USERANDIP."</font><br>";
        if ($limit_ext == "no")
        {
           echo "<font class=\"pn-normal\"><strong><big>&middot;</big></strong> "._MODANYEXTENSION."</font>";
        }
        else
        {
           echo "<font class=\"pn-normal\"><strong><big>&middot;</big></strong> "._MODBANNEDEXTENSION."</font><br>";
           echo "<font class=\"pn-normal\"></font>";
           while($ext = current($extensions))
           {
                echo "&nbsp; $ext";
                next($extensions);
           }
        }
        if ($size_limit == "yes")
        {
            echo "<BR><font class=\"pn-normal\"><strong><big>&middot;</big></strong> "._MODECHOLIMIT." ".CoolSize($limit_size)."<br><br>";
        }
        else
        {
            echo "<BR><font class=\"pn-normal\"><strong><big>&middot;</big></strong> "._MODNOLIMIT."<br>";
        }

        echo "<form enctype=\"multipart/form-data\" action=\"modules.php\" method=\"post\" >"
        ."<input type=\"hidden\" name=\"op\" value=\"modload\">\n"
        ."<input type=\"hidden\" name=\"name\" value=\"$ModName\">\n"
        ."<input type=\"hidden\" name=\"file\" value=\"index\">"
                                //Table
                                ."<table border=\"0\">"
        ."<tr><td><font class=\"pn-normal\">"._DOWNLOADNAME.":</font></td><td><input type=\"text\" name=\"title\" size=\"40\" maxlength=\"100\"></td></tr>"
        ."<tr><td colspan=2>"
                                ."<table border=\"1\" frame=\"box\" >"
        ."<tr><td><font class=\"pn-normal\">"._FILEURL.": </font></td><td><input type=\"file\" name=\"userfile\" size=\"50\" ></td></tr>"
                                ."<tr><td align=\"center\" colspan=\"2\"><a><b><u>"._OR."</u></b></a></td></tr>"
        ."<tr><td><font class=\"pn-normal\">"._PAGEURL."&nbsp;&nbsp;+&nbsp;&nbsp;"._FILESIZE." (byte): </font></td><td><input type=\"text\" name=\"userurl\" size=\"50\" ><input type=\"text\" name=\"filesize\" size=\"12\"></td></tr>"
        ."</table></td></tr>";

                                //Image
                                echo "<tr><td><font class=\"pn-normal\">"._IMAGE.": ("._IMAGE1.") </font></td><td>"
                                        ."<select name=\"image\" size=\"1\">";
                                list_image($image_dir);
                                echo "</select></td></tr>";
                                //End image


        $column = &$pntable['downloads_categories_column'];
        $table = $pntable['downloads_categories'];
        $result = $dbconn->Execute("SELECT $column[cid], $column[title]
                                FROM $table
                                ORDER BY $column[title]");

        echo "<tr><td><font class=\"pn-normal\">"._CATEGORY.": </font></td><td><select name=\"cat\">";

//modified for Oracle compatibility
//        while(list($cid, $title) = $result->fields){
        while(!$result->EOF){
			list($cid, $title) = $result->fields;
            $result->MoveNext();
            if (pnSecAuthAction(0, $ModName.'::Category', "$title::$cid", ACCESS_COMMENT))
            {
                echo "<option value=\"$cid\">$title</option>";
                $column=&$pntable['downloads_subcategories_column'];
                $table = $pntable['downloads_subcategories'];
                $result2=$dbconn->Execute("SELECT $column[sid], $column[title]
                                           FROM $table
                                           WHERE $column[cid]=".pnVarPrepForStore($cid)." ORDER BY $column[title]");
//modified for Oracle compatibility
//				while(list($sid, $stitle) = $result2->fields){
			    while(!$result2->EOF){
					list($sid, $stitle) = $result2->fields;
                    $result2->MoveNext();
                    if (pnSecAuthAction(0, $ModName.'::Category', "$stitle::$sid", ACCESS_COMMENT))
                    {
                        echo "<option value=\"$cid-$sid\">$title / $stitle</option>";
                    }
                }
            }
        }
        echo "</select></td></tr>"
        ."<tr><td><font class=\"pn-normal\">"._DESCRIPTION."        </font></td><td><textarea name=\"description\" cols=\"60\" rows=\"8\"></textarea></td></tr>"
                                ."<tr><td><font class=\"pn-normal\">"._AUTHORNAME.": </font></td><td><input type=\"text\" name=\"nname\" size=\"30\" maxlength=\"60\" value=\"".pnUserGetVar('name')."\"></td></tr>"
        ."<tr><td><font class=\"pn-normal\">"._AUTHOREMAIL.":        </font></td><td> <input type=\"text\" name=\"email\" size=\"30\" maxlength=\"60\" value=\"".pnUserGetVar('femail')."\"></td></tr>"
        ."<tr><td><font class=\"pn-normal\">"._VERSION.":        </font> </td><td><input type=\"text\" name=\"version\" size=\"11\" maxlength=\"10\"></td></tr>"
        ."<tr><td><font class=\"pn-normal\">"._HOMEPAGE.":</font></td><td> <input type=\"text\" name=\"homepage\" size=\"50\" maxlength=\"200\" value=\"http://\"></td></tr>"
                                ."</table>"
                                //End Table
        ."<input type=\"hidden\" name=\"req\" value=\"Add\">"
        ."<input type=\"submit\" value=\""._ADDTHISFILE."\">"
        ."</form>"
        ."<font class=\"pn-normal\">"._GOBACK."</font><br><br>";

    } else {
        echo "<center><font class=\"pn-normal\">"._DOWNLOADSNOTUSER1."<br>"
        .""._DOWNLOADSNOTUSER2."<br><br>"
        .""._DOWNLOADSNOTUSER3."<br>"
        .""._DOWNLOADSNOTUSER4."<br>"
        .""._DOWNLOADSNOTUSER5."<br>"
        .""._DOWNLOADSNOTUSER6."<br>"
        .""._DOWNLOADSNOTUSER7."<br><br>"
        .""._DOWNLOADSNOTUSER8."</font></center>";
    }
    CloseTable();
    include("footer.php");
}

function Add()
{
    global $ModName,
         $userfile,
         $userfile_name,
         $userfile_size,
         $userurl,
		 $pnconfig;

		 $dbtype = $pnconfig['dbtype'];
		 $dbname = $pnconfig['prefix'];
         $userurl = trim($userurl);
         $userfile = trim($userfile);

         if($userurl  == "none"){ $userurl  = ""; }
         if($userfile == "none"){ $userfile = ""; }
         if(!$userfile_name)    { $userfile = ""; }

    list($title,
         $nname,
         $cat,
                                 $image,
         $description,
         $name,
         $email,
         $filesize,
         $version,
         $homepage) = pnVarCleanFromInput('title',
                                          'nname',
                                          'cat',
                                                                                                                                                                        'image',
                                          'description',
                                          'name',
                                          'email',
                                          'filesize',
                                          'version',
                                          'homepage');

      $cat = explode("-", $cat);
      if ($cat[1]=="")
      {
         $cat[1] = 0;
      }

        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();

        $column=&$pntable['downloads_downloads_column'];

        include 'header.php';

        menu(1);
        OpenTable();

        //Does the user try to add an URL and a local file at the same time?
        if($userurl!="" && $userfile!="")
        {
                echo "<center><font class=\"pn-normal\">"._NOTURLANDFILE."</font><br><br>"
                ."<font class=\"pn-normal\">"._GOBACK."</font>";
                CloseTable();
                include("footer.php");
                return;
        }

        if (!isset($cat))
        {
                echo "<center><font class=\"pn-normal\">"._DOWNLOADSNOCATS."</font><br><br>"
                ."<font class=\"pn-normal\">"._GOBACK."</font>";
                CloseTable();
                include("footer.php");
                return;
        }

        $catname = downloads_CatNameFromCID($cat[0]);

        if (!(pnSecAuthAction(0, $ModName.'::Item', "$title:$catname:", ACCESS_COMMENT)))
        {
                echo "<center><font class=\"pn-normal\">"._DOWNLOADSADDNOAUTH."</font><br><br>"
                ."<font class=\"pn-normal\">"._GOBACK."</font>";
                CloseTable();
                include("footer.php");
                return;
        }
        else
        {
                if (pnUserLoggedIn())
                {
                        $submitter = pnUserGetVar('uname');
                }
                // Check if Title exist
                if ($title=="")
                {
                        echo "<center><font class=\"pn-normal\">"._DOWNLOADNOTITLE."</font><br><br>"
                        ."<font class=\"pn-normal\">"._GOBACK."</font>";
                        CloseTable();
                        include("footer.php");
                        return;
                }
                // Check if File exists
                if (($userfile=="") && ($userurl==""))
                {
                        echo "<center><font class=\"pn-normal\">"._DOWNLOADNOURL."</font><br><br>"
                        ."<font class=\"pn-normal\">"._GOBACK."</font>";
                        CloseTable();
                        include("footer.php");
                        return;
                }
                // Check if Description exist
                if ($description=="")
                {
                        echo "<center><font class=\"pn-normal\">"._DOWNLOADNODESC."</font><br><br>"
                        ."<font class=\"pn-normal\">"._GOBACK."</font>";
                        CloseTable();
                        include("footer.php");
                        return;
                }
                // Add Code Here
                include("config/dl-config.php");
                include_once("modules/$ModName/dl-util.php");

                if($userfile!="")
                {
                        $cattable = $pntable['downloads_categories'];
                        $catcolumn = &$pntable['downloads_categories_column'];
                        $query = "SELECT $catcolumn[title]
                                FROM $cattable
                                WHERE $catcolumn[cid] = '".$cat[0]."'" ;
                        $result = $dbconn->Execute($query);
                        list($catname) = $result->fields;
                        $result->Close();

                        $catname = RemoveSpaces($catname);

                        $filename = basename($userfile_name);
                        $filename = RemoveSpaces($filename);
                        $ext = strrchr($filename,'.');
                }
                else
                {
                        $table = $pntable['downloads_downloads'];
                        $result = $dbconn->Execute("SELECT count(*)
                              FROM $table
                              WHERE $column[url]='".pnVarPrepForStore($userurl)."'");
                        list($urlcount) = $result->fields;

                        if ($usercount>0)
                        {
                                echo "<center><font class=\"pn-normal\">"._DOWNLOADALREADYEXT."</font><br><br>"
                                ."<font class=\"pn-normal\">"._GOBACK."</font>";
                                CloseTable();
                                include("footer.php");
        return;
                        }
                        $filename = basename($userurl);
                        $filename = RemoveSpaces($filename);
                        $ext = strrchr($filename,'.');
                }

                if ( $cat[1] == 0 ) // This set of code only executes if there is only a main category chosen
                {
                        if ($filename=="") //Check to see whether there is a filename
                        { // no Filename BR
                                echo "<br>";
                                echo "<center><b>"._MODNOFILENAME."</b><br><br>"
                                .""._GOBACK."";
                                CloseTable();
                                include_once("footer.php");
                        } // no Filename BR

                        elseif (($limit_ext == "yes") && (in_array($ext,$extensions))) // Check to see allowed extensions and check file against them
                        { // Limit Extensions BR
                                echo "<br>";
                                echo "<center><b>"._MODEXTENSIONS."</b><br><br>"
                                .""._GOBACK."";
                                CloseTable();
                                include_once("footer.php");
                        } // Limit Extensions BR

                        elseif ($userfile!="")
                        {
                                if (file_exists("$upload_folder/$catname/$filename"))//Check to see whether upload file already exists
                                {
                                        // File Exists BR
                                        echo "<br>";
                                        echo "<center><b>"._MODFILEEXISTS."</b><br><br>"
                                        .""._GOBACK."";
                                        CloseTable();
                                        include_once("footer.php");
                                        // File Exists BR
                                }

                                elseif (($size_limit == "yes") && ($limit_size < $userfile_size))  // Check if there's a limit in filesize and impose it
                                { // Limit Size BR
                                        echo "<br>";
                                        echo "<center><b>"._MODFILESIZE."</b><br><br>"
                                        .""._GOBACK."";
                                        CloseTable();
                                        include_once("footer.php");
                                } // Limit Size BR

                                elseif (move_uploaded_file($userfile, "$upload_folder/$catname/$filename")) // If the file gets uploaded to the server insert record into database
                                { // Copy File BR
                                        chmod("$upload_folder/$catname/$filename",$fileperms);
                                        $filesize = $userfile_size;
                                        $url= pnGetBaseURL()."$upload_folder/$catname/$filename";
                                        $downloadadded = "1";
                                }// Copy File BR
                        }

                        elseif($userurl!="")
                        {
                                $url=$userurl;
                                $downloadadded = "1";

                        }

                        if(isset($downloadadded))
                        { // Database-Actions
                                if (pnSecAuthAction(0, $ModName."::", "::", ACCESS_ADMIN))
                                {
                                        $column = &$pntable['downloads_downloads_column'];
                                        $table = $pntable['downloads_downloads'];
//modified for Oracle compatibility
/*										$result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage],$column[date])
                                                        VALUES (NULL, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."',now())");
*/
										switch ($dbtype){
											case "oci8":
                                                $sequence=substr_replace($pntable['downloads_downloads'],'',0,strlen($dbname)+1).'_sq';
												$newid = $dbconn->GenId($sequence);
												$result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage],$column[date])
                                                        VALUES ($newid, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        empty_clob(), '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."',sysdate)");
												$dbconn->updateClob($table,$column[description],$description,"$column[lid]=".$newid);
												break;
											default:
                                        $result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage],$column[date])
                                                        VALUES (NULL, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."',now())");
												break;
										}

                                        echo "<center><font class=\"pn-normal\">"._DWEAPPROVED."</font><br>"
                                        .""._GOBACK."";
                                }
                                else
                                {
                                        $column = &$pntable['downloads_newdownload_column'];
                                        $table = $pntable['downloads_newdownload'];
//modified for Oracle compatibility
/*										$result=$dbconn->Execute("INSERT INTO $table
                                                ($column[lid], $column[cid], $column[sid],
                                                $column[title], $column[url], $column[image], $column[description],
                                                $column[name], $column[email], $column[submitter],
                                                $column[filesize], $column[version],
                                                $column[homepage])
                                                VALUES (NULL, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."')");
*/
										switch ($dbtype){
											case "oci8":
                                                $sequence=substr_replace($pntable['downloads_newdownload'],'',0,strlen($dbname)+1).'_sq';
												$newid = $dbconn->GenId($sequence);
												$result=$dbconn->Execute("INSERT INTO $table
                                                ($column[lid], $column[cid], $column[sid],
                                                $column[title], $column[url], $column[image], $column[description],
                                                $column[name], $column[email], $column[submitter],
                                                $column[filesize], $column[version],
                                                $column[homepage])
                                                VALUES ($newid, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        empty_clob(), '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."')");
												$dbconn->updateClob($table,$column[description],$description,"$column[lid]=".$newid);
												break;
											default:
                                        $result=$dbconn->Execute("INSERT INTO $table
                                                ($column[lid], $column[cid], $column[sid],
                                                $column[title], $column[url], $column[image], $column[description],
                                                $column[name], $column[email], $column[submitter],
                                                $column[filesize], $column[version],
                                                $column[homepage])
                                                VALUES (NULL, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."')");
												break;
										}

                                        echo "<center><font class=\"pn-normal\">"._DOWNLOADRECEIVED."</font><br>";
                                        if ($email == "")
                                        {
                                                echo "<font class=\"pn-normal\">"._CHECKFORIT."</font>";
                                        }
                                }
                                CloseTable();
                                include_once("footer.php");
                        } // Database-Actions

                        else // If everything else fails we return an error. Better luck next time
                        { // Upload Error BR
                                echo "<br>";
                                echo "<center><b>"._MODERROR."</b><br><br>"
                                .""._GOBACK."";
                                CloseTable();
                                include_once("footer.php");
                        } // Upload Error BR
                }

                else // This set of code executes if both a category & a subcategory are present
                {
                        // Get the name of the subcategory
                        $subtable = $pntable['downloads_subcategories'];
                        $subcolumn = &$pntable['downloads_subcategories_column'];

                        $query = "SELECT $subcolumn[title]
                                FROM $subtable
                                WHERE $subcolumn[sid] = '".$cat[1]."'";
                        $result = $dbconn->Execute($query);
                        list($subname) = $result->fields;
                        $result->Close();
                        $subname = RemoveSpaces($subname);

                        if ($filename=="") //Check to see whether there is a filename
                        { // no Filename BR
                                include_once("header.php");
                                echo "<br>";
                                echo "<center><b>"._MODNOFILENAME."</b><br><br>"
                                .""._GOBACK."";
                                CloseTable();
                                include_once("footer.php");
                        } // no Filename BR

                        elseif (($limit_ext == "yes") && (in_array($ext,$extensions))) // Check to see allowed extensions and check file against them
                        { // Limit Extensions BR
                                include_once("header.php");
                                echo "<br>";
                                echo "<center><b>"._MODEXTENSIONS."</b><br><br>"
                                .""._GOBACK."";
                                CloseTable();
                                include_once("footer.php");
                        } // Limit Extensions BR

                        elseif ($userfile!="")
                        {
                                if (file_exists("$upload_folder/$catname/$subname/$filename"))//Check to see whether upload file already exists
                                {
                                        // File Exists BR
                                        echo "<br>";
                                        echo "<center><b>"._MODFILEEXISTS."</b><br><br>"
                                        .""._GOBACK."";
                                        CloseTable();
                                        include_once("footer.php");
                                        // File Exists BR
                                }

                                elseif (($size_limit == "yes") && ($limit_size < $userfile_size))  // Check if there's a limit in filesize and impose it
                                { // Limit Size BR
                                        echo "<br>";
                                        echo "<center><b>"._MODFILESIZE."</b><br><br>"
                                        .""._GOBACK."";
                                        CloseTable();
                                        include_once("footer.php");
                                } // Limit Size BR

                                elseif (move_uploaded_file($userfile, "$upload_folder/$catname/$subname/$filename")) // If the file gets uploaded to the server insert record into database
                                { // Copy File BR
                                        chmod("$upload_folder/$catname/$subname/$filename",$fileperms);
                                        $filesize = $userfile_size;
                                        $url = pnGetBaseURL()."$upload_folder/$catname/$subname/$filename";
                                        $downloadadded = "1";
                                }// Copy File BR
                        }
                        elseif($userurl!="")
                        {
                                $url=$userurl;
                                $downloadadded = "1";
                        }

                        if (isset($downloadadded))
                        { // Database-Actions
                                if (pnSecAuthAction(0, $ModName."::", "::", ACCESS_ADMIN))
                                {
                                        $column = &$pntable['downloads_downloads_column'];
                                        $table = $pntable['downloads_downloads'];
//modified for Oracle compatibility
/*										$result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage],$column[date])
                                                        VALUES (NULL, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."',  '".pnVarPrepForStore($image)."',
                                                        '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."',now())");
  */
										switch ($dbtype){
											case "oci8":
                                                $sequence=substr_replace($pntable['downloads_downloads'],'',0,strlen($dbname)+1).'_sq';
												$newid = $dbconn->GenId($sequence);
												$result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage],$column[date])
                                                        VALUES ($newid, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."',  '".pnVarPrepForStore($image)."',
                                                        empty_clob(), '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."',sysdate)");
												$dbconn->updateClob($table,$column[description],$description,"$column[lid]=".$newid);
												break;
											default:
                                        $result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage],$column[date])
                                                        VALUES (NULL, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."',  '".pnVarPrepForStore($image)."',
                                                        '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."',now())");
												break;
										}
                                        echo "<center><font class=\"pn-normal\">"._DWEAPPROVED."</font><br>"
                                        .""._GOBACK."";
                                }
                                else
                                {
                                        $column = &$pntable['downloads_newdownload_column'];
                                        $table = $pntable['downloads_newdownload'];
//modified for Oracle compatibility
/*										$result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage])
                                                        VALUES (NULL, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."')");
  */
										switch ($dbtype){
											case "oci8":
                                                $sequence=substr_replace($pntable['downloads_newdownload'],'',0,strlen($dbname)+1).'_sq';
												$newid = $dbconn->GenId($sequence);
												$result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage])
                                                        VALUES ($newid, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        empty_clob(), '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."')");
												$dbconn->updateClob($table,$column[description],$description,"$column[lid]=".$newid);
												break;
											default:
                                        $result=$dbconn->Execute("INSERT INTO $table
                                                        ($column[lid], $column[cid], $column[sid],
                                                        $column[title], $column[url], $column[image], $column[description],
                                                        $column[name], $column[email], $column[submitter],
                                                        $column[filesize], $column[version],
                                                        $column[homepage])
                                                        VALUES (NULL, '$cat[0]', '$cat[1]', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."',
                                                        '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."',
                                                        '".pnVarPrepForStore($filesize)."', '".pnVarPrepForStore($version)."', '".pnVarPrepForStore($homepage)."')");
												break;
										}

                                        echo "<center><font class=\"pn-normal\">"._DOWNLOADRECEIVED."</font><br>";
                                        if ($email == "")
                                        {
                                                echo "<font class=\"pn-normal\">"._CHECKFORIT."</font>";
                                        }
                                }
                                CloseTable();
                                include_once("footer.php");
                        } // Database-Actions

                        else // If everything else fails we return an error. Better luck next time
                        { // Upload Error BR
                                include_once("header.php");
                                //menu(1);
                                echo "<br>";
                                //OpenTable();
                                echo "<center><b>"._MODERROR."</b><br><br>"
                                .""._GOBACK."";
                                CloseTable();
                                include_once("footer.php");
                        } // Upload Error BR
                }
        }
}
?>