<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file:
// Purpose of file:
// ----------------------------------------------------------------------


include("config/dl-config.php");
/**
 * @usedby index
 */
function viewdownloadeditorial($lid, $ttitle)
{
    global $ModName,$screenshotwidth, $screenshotheight, $displayscreenshot, $image_dir;

    include 'header.php';

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    menu(1);

    $itemname = downloads_ItemNameFromIID($lid);
    $catname = downloads_CatNameFromIID($lid);
    if (!(pnSecAuthAction(0, $ModName.'::Item', "$itemname:$catname:$lid", ACCESS_EDIT))) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    $column = &$pntable['downloads_editorials_column'];
    $table = $pntable['downloads_editorials'];
    $result=$dbconn->Execute("SELECT $column[adminid], $column[editorialtimestamp],
                            $column[editorialtext], $column[editorialtitle]
                            FROM $table
                            WHERE $column[downloadid] = ".pnVarPrepForStore($lid)."");

    $transfertitle = ereg_replace ("_", " ", $ttitle);
    $displaytitle = $transfertitle;

    OpenTable();
    echo "<center>"._DOWNLOADPROFILE.": ".pnVarPrepForDisplay($displaytitle)."<br>";
    downloadinfomenu($lid, $ttitle);
    if (!$result->EOF) {
//modified for Oracle compatibility
//      while(list($adminid, $editorialtimestamp, $editorialtext, $editorialtitle)=$result->fields) {
        while(!$result->EOF){
			list($adminid, $editorialtimestamp, $editorialtext, $editorialtitle)=$result->fields;
            $editorialtitle = stripslashes($editorialtitle); $editorialtext = stripslashes($editorialtext);
            ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $editorialtimestamp, $editorialtime);
            $timestamp = mktime($editorialtime[4],$editorialtime[5],$editorialtime[6],$editorialtime[2],$editorialtime[3],$editorialtime[1]);
            $formatted_date = date("F d, Y", $timestamp);

            OpenTable2();
            echo "<center>".pnVarPrepForDisplay($editorialtitle)."</center>"
            ."<center>"._EDITORIALBY." ".pnVarPrepForDisplay($adminid)." - ".pnVarPrepForDisplay($formatted_date)."<br>";

		get_screenshot($lid);

echo"</center><br><br>"
            ."$editorialtext";
            CloseTable2();
            $result->MoveNext();
         }
    } else {
        echo "<br><br><center>"._NOEDITORIAL."</center>";
    }
    echo "<br><br>";
    downloadfooter($lid,$ttitle);
    echo "</center>";
    CloseTable();
    include 'footer.php';
}

?>