<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Jens Henrik Gbbert
// Purpose of file: list downloads for nice printing
// ----------------------------------------------------------------------

function listlastdownloads($count)
{
	global $ModName;

	if($count > 0)
	{
		include_once ("modules/$ModName/dl-categories.php");
		include("config/dl-config.php");
		include_once("modules/$ModName/dl-util.php");

		list($dbconn) = pnDBGetConn();
		$pntable = pnDBGetTables();

		//OpenTable();
		echo "<div style=\"text-align: center;\">";
	
		$column = &$pntable['downloads_downloads_column'];
		$table = $pntable['downloads_downloads'];
		$sql = "SELECT $column[lid], $column[cid], $column[sid],
                             $column[title], $column[image], $column[description], $column[date],
                             $column[hits], $column[downloadratingsummary],
                             $column[totalvotes], $column[totalcomments],
                             $column[filesize], $column[version], $column[homepage]
                            FROM $table
                            ORDER BY $column[date] DESC";
		$result=$dbconn->SelectLimit($sql,$count);
    
		echo"    <table  width=\"480\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n";
//modified for Oracle compatibility
//	while(list($lid, $cid, $sid, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields)		{
	while(!$result->EOF){
		list($lid, $cid, $sid, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields;
			$result->MoveNext();


			if (downloads_authitem((downloads_ItemCIDFromLID($lid)), (downloads_ItemSIDFromLID($lid)), $lid, ACCESS_READ) )
                        {
				$downloadratingsummary = number_format($downloadratingsummary, pnConfigGetVar('mainvotedecimal'));
				$title = pnVarPrepForDisplay($title); $description = pnVarPrepHTMLDisplay($description);
				$transfertitle = str_replace (" ", "_", $title);

				$dlicon = get_icon($lid);

				if ($displayscreenshot==1) {
					$col_span = 3;
                                } else {
                                        $col_span = 2;
                                }


                                if (downloads_authitem((downloads_ItemCIDFromLID($lid)), (downloads_ItemSIDFromLID($lid)), $lid, ACCESS_EDIT) ) {
                                        echo "<tr><td colspan=\"$col_span\"><a href=\"admin.php?module=$ModName&amp;op=DownloadsModDownload&amp;lid=$lid\"><img src=\"modules/$ModName/images/$dlicon\" border=\"0\" alt=\""._EDIT."\"></a>&nbsp;&nbsp;";
                                } else {
                                        echo "<tr><td colspan=\"$col_span\"><img src=\"modules/$ModName/images/$dlicon\" border=\"0\" alt=\"\">&nbsp;&nbsp;";
                                }

                                echo "<a href=\"$modurl&amp;req=getit&amp;lid=$lid\"><b>$title</b></a>";
                                newdownloadgraphic($datetime, $time);
                                popgraphic($hits);
                                echo "</td></tr>";

                                //Description
                                /* code for *editor review* insert here */
                                detecteditorial($lid, $transfertitle, 1);
                                $description = nl2br($description);
                                if ($description != "") {
                                        echo "<tr><td valign=\"top\"><b>"._DESCRIPTION.":</b></td><td> $description</td>";
                                }

                                if ($displayscreenshot==1) {
                                        echo "<td width = \"". ($screenshotwidth + 30). "\" rowspan = \"5\" valign=\"top\" align=\"middle\" >";
                                        get_screenshot($lid);
                                        echo "</td>";
                                }

                                echo "</tr>";

                                //Version
                                if ($version != "") {
                                        echo "<tr><td width=\"10%\"><b>"._VERSION.":</b></td><td> ".pnVarPrepForDisplay($version)."</td></tr>";
                                }

                                //Filesize
                                echo "<tr><td><b>"._FILESIZE.":</b></td><td> ".CoolSize($filesize)."</td></tr>";

                                /*Date and Time
                                setlocale (LC_TIME, pnConfigGetVar('locale'));
                                ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
                                $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
                                $datetime = ucfirst($datetime);
                                echo "<tr><td><b>"._ADDEDON.":</b></td><td> ".pnVarPrepForDisplay($datetime)."</td></tr>";
                                */

                                //Downloadcount
                                //echo "<tr><td><b>"._UDOWNLOADS.":</b></td><td> ".(int)$hits."</td></tr>";

                                $transfertitle = str_replace (" ", "_", $title);

                                //voting & comments stats
                                if ($totalvotes == 1) {
                                        $votestring = _VOTE;
                                } else {
                                        $votestring = _VOTES;
                                }
                                if ($downloadratingsummary!="0" || $downloadratingsummary!="0.0") {
                                        echo "<tr><td>< <b>"._RATING.":</b></td><td> ".pnVarPrepForDisplay($downloadratingsummary)." (".(int)$totalvotes." ".pnVarPrepForDisplay($votestring).")</td></tr>";
                                }


                                //Categorie
                                list($dbconn) = pnDBGetConn();
                                $pntable = pnDBGetTables();

                                $result_cid=$dbconn->Execute("SELECT ".$pntable['downloads_downloads_column']['cid'].
                                                                        " FROM ".$pntable['downloads_downloads'].
                                                                        " WHERE ".$pntable['downloads_downloads_column']['lid']."=".$lid);
                                list($cid) = $result_cid->fields;
                                $result_sid=$dbconn->Execute("SELECT ".$pntable['downloads_downloads_column']['sid'].
                                                                        " FROM ".$pntable['downloads_downloads'].
                                                                        " WHERE ".$pntable['downloads_downloads_column']['lid']."=".$lid);
                                list($sid) = $result_sid->fields;

                                $result_c=$dbconn->Execute("SELECT ".$pntable['downloads_categories_column']['title'].
                                                                " FROM ".$pntable['downloads_categories'].
                                                                " WHERE ".$pntable['downloads_categories_column']['cid']."=".$cid);
                                list($ctitle) = $result_c->fields;
                                echo "<tr><td><b>"._CATEGORY.":</b></td><td> ".pnVarPrepForDisplay($ctitle)."";

                                $table = $pntable['downloads_subcategories'];
                                $result_s=$dbconn->Execute("SELECT ".$pntable['downloads_subcategories_column']['title'].
                                                                " FROM ".$pntable['downloads_subcategories'].
                                                                " WHERE ".$pntable['downloads_subcategories_column']['sid']."=".$sid);
                                list($stitle) = $result_s->fields;
                                if(isset($stitle))
                                        echo " / $stitle";
                                echo "</td></tr>";


                                //Homepage
                                echo"<tr><td colspan=\"$col_span\" align=\"right\">";
                                if ($homepage != "" && $homepage != "http://" ) {
                                        echo "<a href=\"$homepage\" target=\"new\">"._HOMEPAGE."</a> | ";
                                }

                                /*Links
                                if (downloads_authitem((downloads_ItemCIDFromLID($lid)), (downloads_ItemSIDFromLID($lid)), $lid, ACCESS_COMMENT) ) {
                                        echo "<a href=\"$modurl&amp;req=ratedownload&amp;lid=$lid&amp;ttitle=$transfertitle\">"._RATERESOURCE."</a>";
                                        echo " | ";
                                }
                                echo "<a href=\"$modurl&amp;req=viewdownloaddetails&amp;lid=$lid&amp;ttitle=$transfertitle\">"._DETAILS."</a>";
                                if ($totalcomments != 0) {
                                        echo " | <a href=\"$modurl&amp;req=viewdownloadcomments&amp;lid=$lid&amp;ttitle=$transfertitle\">"._COMMENTS." (".(int)$totalcomments.")</a>";
                                }
                                detecteditorial($lid, $transfertitle, 0);
                                */

                                echo "</td></tr><tr height=\"1\" bgcolor=\"#eeeeee\"><td colspan=\"$col_span\"></td></tr>";

     			}

		}

		echo "    </table>\n";
		echo "</div>\n";
		//CloseTable();
	}
}
        
?>