<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

/**
 * index
 * Display the main links categories
 */
function index()
{
    global $ModName, $modurl,$screenshotwidth, $screenshotheight, $displayscreenshot, $image_dir, $popupwidth, $popupheight;

    include("header.php");
    include("config/dl-config.php");

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $maindownload = 0;

    if (!pnSecAuthAction(0, $ModName.'::', '::', ACCESS_READ)) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        exit;
    }

    menu($maindownload);
    $column = &$pntable['downloads_categories_column'];
    $table = $pntable['downloads_categories'];

    $result=$dbconn->Execute("SELECT $column[cid], $column[title], $column[cdescription]
                            FROM $table
                            ORDER BY $column[title]");
    $numcats = $result->PO_RecordCount();
    if ($numcats == 0) {
        echo _DOWNLOADSNOCATS;
        include 'footer.php';
    } else {

        OpenTable();
        // Main categories
        echo "<center><b>"._MAIN."- & "._SUBCATEGORIES."</b></center><br>";
        echo "<table border=\"0\" cellspacing=\"10\" cellpadding=\"0\" align=\"center\">";

        $count = 0;
        echo "<TR>";
//modified for Oracle compatibility
//        while(list($cid, $title, $cdescription) = $result->fields) {
        while(!$result->EOF){
                        list($cid, $title, $cdescription) = $result->fields;

            $result->MoveNext();

            if (pnSecAuthAction(0, $ModName.'::Category', "$title::$cid", ACCESS_READ)) {
                $cresult = $dbconn->Execute("SELECT count(*) FROM ".$pntable['downloads_downloads'].
                " WHERE ".$pntable['downloads_downloads_column']['cid']."=".pnVarPrepForStore($cid));

                list($cnumrows) = $cresult->fields;
                echo "<td valign=\"top\"><table width=100%  height=100%><tr><td><font class=\"pn-normal\"><strong><img src=\"modules/$ModName/images/cat.gif\" border=\"0\" align=absmiddle></strong> <a href=\"${modurl}&amp;req=viewdownload&amp;cid=$cid\"><b><font size=1>".pnVarPrepForDisplay($title)."</font></b></a> ";
 categorynewdownloadgraphic($cid);
echo"</td><td align=center><font size=1><b>(".pnVarPrepForDisplay($cnumrows).")</b></font></td></tr>";
                if ($cdescription)
                {
                    echo "<tr><td colspan=2><font size=1>".pnVarPrepHTMLDisplay($cdescription)."</font></td></tr>";
                }
                $column = &$pntable['downloads_subcategories_column'];
                $table = $pntable['downloads_subcategories'];
                $sql = "SELECT $column[sid], $column[title]
                        FROM $table
                        WHERE $column[cid]=".pnVarPrepForStore($cid)."
                        ORDER BY $column[title]";

                //$result2 = $dbconn->SelectLimit($sql,6);
                $result2 = $dbconn->Execute($sql);

                $space = 0;
//modified for Oracle compatibility
//                while(list($sid, $stitle) = $result2->fields)  {
                while(!$result2->EOF){
                                        list($sid, $stitle) = $result2->fields;
                          $column = &$pntable['downloads_downloads_column'];
                          $table = $pntable['downloads_downloads'];
                        $resultnew=$dbconn->Execute("SELECT count(*) FROM $table WHERE $column[sid]=$sid");
                        list($numsubcats) = $resultnew->fields;

                         if (pnSecAuthAction(0, $ModName.'::Category', "$stitle::$sid", ACCESS_READ))
                        {
                                echo "<tr bgcolor=\"$subcatlinecolor\">";
                                echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font class=\"pn-normal\"><a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=$ModName&amp;file=index&amp;req=viewsdownload&amp;sid=$sid\"><font size=1>".pnVarPrepForDisplay($stitle)."</font></a></font></td><td align=center><font size=1> ($numsubcats)</font></td></tr>";
                            }
                            $space++;
                            $result2->MoveNext();
                }
                echo "</table></td>";
                $count++;
                if ($count==3)
                {
                    echo "</tr><tr>";
                    $count = 0;
                }
            }

        }
        for ($i=$count; $i<3; $i++) {
            echo "<td>&nbsp;</td>";
        }
        echo "</tr></table>";

        // Number of current categories and subcategories
        $table = $pntable['downloads_downloads'];
        $result=$dbconn->Execute("SELECT count(*) FROM $table");
        list($numrows) = $result->fields;
        /*
         * hootbah: FIXME
         * This can be done in one database hit.
         */
        $table = $pntable['downloads_categories'];
        $result=$dbconn->Execute("SELECT count(*) FROM $table");
        list($catnum1) = $result->fields;

        $table = $pntable['downloads_subcategories'];
        $result=$dbconn->Execute("SELECT count(*) FROM $table");
        list($catnum2) = $result->fields;
        $catnum = $catnum1+$catnum2;

        echo "<br><br><center><font class=\"pn-normal\">"._THEREARE." ".pnVarPrepForDisplay($numrows)." "._DOWNLOADS." "._AND." ".pnVarPrepForDisplay($catnum)." "._CATEGORIES." "._INDB."</font></center>";
        CloseTable();


if($amountlastxdownloads > 0)
{
        OpenTable();
        echo "<table border=\"0\" width=\"100%\"><tr><td colspan=2 align=\"center\">";
        if ($ratenum != "" && $ratetype != "")
        {
                $mostpopdownloads = $ratenum;
                if ($ratetype == "percent") $mostpopdownloadspercentrigger = 1;
        }
        if ($mostpopdownloadspercentrigger == 1)
        {
                $topdownloadspercent = $mostpopdownloads;
                $table = $pntable['downloads_downloads'];
                $result=$dbconn->Execute("SELECT count(*) FROM $table");
                list($totalmostpopdownloads) = $result->fields;

                $mostpopdownloads = $mostpopdownloads / 100;
                $mostpopdownloads = $totalmostpopdownloads * $mostpopdownloads;
                $mostpopdownloads = round($mostpopdownloads);
        }

        if ($mostpopdownloadspercentrigger == 1)
        {
                echo "<center><font class=\"pn-title\">"._MOSTPOPULAR." $topdownloadspercent% ("._OFALL." $totalmostpopdownloads "._DOWNLOADS.")</font></center>";
        }
        else
        {
                echo "<a name=\"LAST\"></a><center><font class=\"pn-title\"><u>"._LASTXADDED."</u></font></center>";
        }

        $column = &$pntable['downloads_downloads_column'];
        $table = $pntable['downloads_downloads'];
        $sql = "SELECT $column[lid], $column[cid], $column[sid],
                             $column[title], $column[image], $column[description], $column[date],
                             $column[hits], $column[downloadratingsummary],
                             $column[totalvotes], $column[totalcomments],
                             $column[filesize], $column[version], $column[homepage]
                            FROM $table
                            ORDER BY $column[date] DESC";
        $result=$dbconn->SelectLimit($sql,$amountlastxdownloads);
//modified for Oracle compatibility
//        while(list($lid, $cid, $sid, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields){
        while(!$result->EOF){
                list($lid, $cid, $sid, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields;
                $result->MoveNext();
                downloads_outputitem ($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage, $modurl, $ModName);
         }

// and ending here --------------------------  function called 'showdownload()'
    echo "</td></tr></table>";
    CloseTable();
        }
echo"<br><br>";

        include("footer.php");
    }
}


/**
 * menu
 * builds the standard navigation menu
 * @param maindownload  integer switch. 1 means show _DOWNLOADSMAIN, 0 not.
 */
function menu($maindownload) {
    global $ModName, $query, $modurl;

    $user_adddownload = pnConfigGetVar('user_adddownload');

    if (!pnSecAuthAction(0, $ModName.'::', '::', ACCESS_READ)) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

     echo "<center><a class=\"pn-logo\"  href=\"$modurl\">".pnConfigGetVar('sitename').' -- '._DLOADPAGETITLE."</a><br><br>";
     echo "<form action=\"modules.php\" method=\"post\">"
    ."\n<input type=\"hidden\" name=\"op\" value=\"modload\">"
    ."\n<input type=\"hidden\" name=\"name\" value=\"$ModName\">"
    ."\n<input type=\"hidden\" name=\"file\" value=\"index\">"
    ."\n<input type=\"hidden\" name=\"req\" value=\"search\">"
    ."\n<input type=\"hidden\" name=\"query\" value=\"$query\">"
    ."\n<font class=\"pn-normal\"><input type=\"text\" size=\"25\" name=\"query\"> <input type=\"submit\" value=\""._SEARCH."\"></font>"
    ."\n</form><br>";
    echo "<font class=\"pn-normal\">[ ";
    if ($maindownload>0) {
        echo "<a class=\"pn-normal\" href=\"$modurl\">"._DOWNLOADSMAIN."</a> | ";
    }
    if (pnSecAuthAction(0, $ModName.'::Item', '::', ACCESS_COMMENT)) {
        echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=AddDownload\">"._ADDDOWNLOAD."</a>"
        ." | ";
    }
    echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=NewDownloads\">"._NEW."</a>"
    ." | <a class=\"pn-normal\" href=\"$modurl&amp;req=MostPopular\">"._POPULAR."</a>"
    ." | <a class=\"pn-normal\" href=\"$modurl&amp;req=TopRated\">"._TOPRATED."</a>]"
    ."</font></center><br><br>";

}
?>