<?php // $Id: index.php,v 1.8 2004/11/11 18:20:59 naphta Exp $ $Name:  $
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com
// PHP-NUKE Web Portal System - http://www.phpnuke.org
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file: displays the FAQS
// ----------------------------------------------------------------------
// Based on Automated FAQ
// Copyright (c) 2001 by
//    Richard Tirtadji AKA King Richard (rtirtadji@hotmail.com)
//    Hutdik Hermawan AKA hotFix (hutdik76@hotmail.com)
// http://www.phpnuke.web.id
// ----------------------------------------------------------------------
// sjah: 27-02-2003 removed unclosed tables
// sjah: 03-10-2004 removed tables for css layout

if (!defined("LOADED_AS_MODULE")) {
         die ("You can't access this file directly...");
     }
/**
 * Credits to Edgar Miller -- http://www.bosna.de/ from his post on PHP-Nuke
 * (http://phpnuke.org/article.php?sid=2010&mode=nested&order=0&thold=0)
 * Further Credits go to Djordjevic Nebojsa (nesh) for the fix for the fix
 */

$ModName = basename( dirname( __FILE__ ) );

modules_get_language();

// Security check
if (!pnSecAuthAction(0, 'FAQ::', '::', ACCESS_READ)) {
	include 'header.php';
	echo _BADAUTHKEY;
	include 'footer.php';
	return;
}

function ShowFaq() {
	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];

	$id_cat = pnVarCleanFromInput('id_cat');

    if (!isset($id_cat) || !is_numeric($id_cat)) {
	    // markwest - removed unneeded call to header.php
		// results is path disclosure if invalid $id_cat
        //include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $column = &$pntable['faqcategories_column'];

    $currentlang = pnUserGetLang();

    if (pnConfigGetVar('multilingual') == 1) {
        $column = &$pntable['faqcategories_column'];
//modified for Oracle compatibility
		$querylang = "AND ($column[flanguage]='".pnVarPrepForStore($currentlang)."' OR $column[flanguage]='' OR $column[flanguage] IS NULL)"; /* the OR is needed to display stories who are posted to ALL languages */
    } else {
    	$querylang = "";
    }

    // get catname for authcheck
    $presult = $dbconn->Execute("SELECT $column[categories], $column[parent_id]
                                   FROM $pntable[faqcategories]
                                   WHERE $column[id_cat]='".(int)pnVarPrepForStore($id_cat)."' $querylang");
    list($categories, $parent_id) = $presult->fields;

    if (pnSecAuthAction(0,"FAQ::","$categories::$id_cat",ACCESS_READ)) {
	    OpenTable();

		echo "<div style=\"font-size:larger; font-weight:bold; text-align:center; border-bottom:1px solid ".$GLOBALS['bgcolor1'].";\">\n";
		echo "    ".pnConfigGetVar('sitename').' '._FAQ2."\n";
		echo "</div>\n";

    	CloseTable();

    	OpenTable();

    	if (pnSecAuthAction(0,"FAQ::","$categories::$id_cat",ACCESS_COMMENT)) {

		echo "    <div style=\"font-size:smaller; text-align:center;\">\n";
    	echo "        [ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;askaquestion=yes&amp;id_cat=0\">"._ASKAQUESTION."</a> ]\n";
    	echo "    </div>\n";

    	}

    	echo "    <div style=\"margin: 0px 10px 0px 10px;\"><a name=\"top\"></a>\n";
		echo "        "._CATEGORY.": <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._MAIN."</a>\n";


    	if($parent_id > 0) {
    	    $column = &$pntable['faqcategories_column'];
    	    $presult = $dbconn->Execute("SELECT $column[categories]
    	                               FROM $pntable[faqcategories]
    	                               WHERE $column[id_cat]='".(int)pnVarPrepForStore($parent_id)."' $querylang");
    	    list($pcategories) = $presult->fields;

    	    $pcatname = urlencode($pcategories);
    	    echo " :: <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;id_cat=$parent_id&amp;parent_id=0\">".pnVarPrepHTMLDisplay($pcategories)."</a></div>\n";
    	}

    	echo " -> ".pnVarPrepHTMLDisplay($categories)."";

    	if($parent_id == 0) {
    		// it's a parent categories - any childs around?
    	    $column = &$pntable['faqcategories_column'];
    	    $sresult = $dbconn->Execute("SELECT $column[id_cat], $column[categories]
    	                               FROM $pntable[faqcategories]
    	                               WHERE $column[parent_id]='".(int)pnVarPrepForStore($id_cat)."' $querylang");
    	    $parent_id = $id_cat;

//modified for Oracle compatibility
//    	    for($loopcount=0;!$sresult->EOF;$sresult->MoveNext() ) {
			$loopcount=0;
			while(!$sresult->EOF){

				list($sid_cat, $scategories) = $sresult->fields;
      	        if (pnSecAuthAction(0,"FAQ::","$scategories::$sid_cat",ACCESS_READ)) {
					if(!$loopcount) {
						// do we need to display the headline?
						echo "<div style=\"margin: 0px 10px 0px 20px;\">\n    "._SUBCATEGORIES.":\n</div>\n";
			    	}
	           	echo"<div style=\"margin: 0px 10px 0px 30px;\">\n    <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;id_cat=$sid_cat\">".pnVarPrepHTMLDisplay($scategories)."</a>\n</div>\n";
				$loopcount++;
				}
				$sresult->MoveNext(); //Oracle
        	}
        	echo "&nbsp;";

    	}
        echo "<br /><br />";
    	echo "    <div style=\"background: ".$GLOBALS['bgcolor1'].";\">\n";
    	echo "        "._QUESTION."";
        echo "    </div>";

	    $column = &$pntable['faqanswer_column'];
		switch ($dbtype){
			case "oci8":
				$sql=("SELECT $column[id], $column[id_cat], $column[question], $column[answer] FROM $pntable[faqanswer] WHERE $column[id_cat]=".(int)pnVarPrepForStore($id_cat)." AND  DBMS_LOB.getlength($column[answer]) != 0");
				break;
			default:
				$sql=("SELECT $column[id], $column[id_cat], $column[question], $column[answer] FROM $pntable[faqanswer] WHERE $column[id_cat]=".(int)pnVarPrepForStore($id_cat)." AND  $column[answer] !=''");
				break;
		}
		$result = $dbconn->Execute($sql);

//modified for Oracle compatibility
//    while(list($id, $id_cat, $question, $answer) = $result->fields){
	    echo "<ul style=\"margin: 0px 5px 0px 20px;\">";
	    while(!$result->EOF){
			list($id, $id_cat, $question, $answer) = $result->fields;
        	$result->MoveNext();
			echo"<li><a class=\"pn-title\" href=\"#$id\">".pnVarPrepHTMLDisplay($question)."</a></li>";
    	}

    	//echo "</td></tr></table>
    	echo "</ul>";
    } else {
		echo _BADAUTHKEY;
		include 'footer.php';
		exit;
    }
}

function ShowFaqAll()
{
	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
    $id_cat = pnVarCleanFromInput('id_cat');

    if (!isset($id_cat) || !is_numeric($id_cat)) {
	    // markwest - removed unneeded call to header.php
		// results is path disclosure if invalid $id_cat
        //include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    echo "<br />";
    echo "<div style=\"background: ".$GLOBALS['bgcolor1'].";\">\n";
    echo "    "._ANSWER."";
    echo "</div>";

    $column = &$pntable['faqanswer_column'];
	switch ($dbtype){
		case "oci8":
			$sql=("SELECT $column[id], $column[id_cat], $column[question], $column[answer] FROM $pntable[faqanswer] WHERE $column[id_cat]=".(int)pnVarPrepForStore($id_cat)." AND   DBMS_LOB.getlength($column[answer]) != 0");
			 break;
		 default:
			$sql=("SELECT $column[id],  $column[id_cat], $column[question], $column[answer] FROM $pntable[faqanswer]  WHERE $column[id_cat]=".(int)pnVarPrepForStore($id_cat)." AND  $column[answer] !=''");
		 break;
	}
	$result = $dbconn->Execute($sql);

//modified for Oracle compatibility
//	while(list($id, $id_cat, $question, $answer) = $result->fields) {
	while(!$result->EOF){
		list($id, $id_cat, $question, $answer) = $result->fields;
        $result->MoveNext();

        //echo"<tr><td><a name=\"$id\"></a>"
        echo"<a name=\"$id\"></a>"
            ."<div style=\"margin: 0px 5px 0px 20px;\">\n    <i>".pnVarPrepHTMLDisplay(nl2br($question))."</i>\n</div>\n"
            ."<div style=\"margin: 0px 5px 0px 30px;\">\n    <p align=\"justify\">".pnVarPrepHTMLDisplay(nl2br($answer))."</p>\n</div>\n"
            ."<div style=\"border-bottom:1px solid ".$GLOBALS['bgcolor1']."\">\n    <a href=\"#top\">"._BACKTOTOP."</a>\n</div>\n"
            ."";
        // added hook call - markwest
        echo pnModCallHooks('item', 'display', $id, "modules.php?op=modload&amp;name=$GLOBALS[ModName]&amp;file=index&myfaq=yes&id_cat=$id_cat#$id");
        //echo"</td></tr>";
        echo"";

    }

    echo "<div align=\"center\">[ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._BACKTOFAQINDEX."</a> ]</div>";
}

function AskQuestion()
{

    $id_cat = pnVarCleanFromInput('id_cat');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!(pnSecAuthAction(0, 'FAQ::', '::', ACCESS_COMMENT))) {
        echo _FAQADDNOAUTH;
        return;
    }

    OpenTable();
      echo"<center>".pnConfigGetVar('sitename').' '._FAQ2."</center><br/>";
    CloseTable();
    echo "<br/>";
    OpenTable();

    echo "<center>"._ASKAQUESTION."";
    echo "</center><br>";

    echo "<form action=\"modules.php\" method=\"post\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"modload\">";
    echo "<input type=\"hidden\" name=\"name\" value=\"FAQ\">";
    echo "<input type=\"hidden\" name=\"file\" value=\"index\">";
    echo "<input type=\"hidden\" name=\"myfaq\" value=\"yes\">";
    echo "<input type=\"hidden\" name=\"askaquestion\" value=\"yes\">";
    echo "<input type=\"hidden\" name=\"askquestionsubmit\" value=\"yes\">";
    echo "  <table align=center>";
    //email makes no sense, let's store the userid later on...
    //echo "      <tr align=center>";
    //echo "          <td>"._SPECIFYEMAIL.":</td>";
    //echo "      </tr>";
    //echo "      <tr align=center>";
    //echo "          <td><input type=text name=email size=60><br><br></td>";
    //echo "      </tr>";
    echo "      <tr align=center>";
    echo "          <td>"._SPECIFYQUESTION.":</td>";
    echo "      </tr>";
    echo "      <tr align=center><td>";

    echo "          <select name=id_cat>";
    echo "              <option value=0>"._UNSURE."</option>";

    $column = &$pntable['faqcategories_column'];
    $result = $dbconn->Execute("SELECT $column[id_cat], $column[categories]
                           FROM $pntable[faqcategories]
                           WHERE $column[parent_id]=0 ORDER BY $column[id_cat]");
//modified for Oracle compatibility
//	while(list($id_cat, $categories) = $result->fields) {
	while(!$result->EOF){
		list($id_cat, $categories) = $result->fields;
        $result->MoveNext();
		if (pnSecAuthAction(0,"FAQ::","$categories::$id_cat",ACCESS_READ)) {
	        echo "                  <option value=$id_cat>".pnVarPrepHTMLDisplay($categories)."</option>";
		}
    }
    echo "          </select><br><br>";

    echo "      </td></tr>";
    echo "      <tr align=center>";
    echo "          <td>"._PLEASEDESCRIBE."</td>";
    echo "      </tr>";
    echo "      <tr align=center>";
    echo "          <td><textarea name=question cols=60 rows=10></textarea><br><br></td>";
    echo "      </tr>";
    echo "      <tr align=center>";
    echo "          <td>";
    echo "              <input type=hidden name=\"cat_id\" value=\"$id_cat\">";
    echo "              <input type=submit value=\""._SUBMITQUESTION."\">";
    echo "          </td>";
    echo "      </tr>";
    echo "  </table>";
    echo "</form>";

    echo "<div align=\"center\"><b>[ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._BACKTOFAQINDEX."</a> ]</b></div>";
}

function AskQuestionSubmit()
{
    global $pnconfig;
    $dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];

    list($id_cat,
	 $question) = pnVarCleanFromInput('id_cat',
					  'question');

    if (!isset($id_cat) || !is_numeric($id_cat)) {
        include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }

	//make sure question is filled in. - skooter
    if (empty($question)){
		OpenTable();
		echo "<center><br><b>";
        echo _QUESTIONBLANK;
//		echo  "</b><br><br>"._GOBACK."</center>";
		echo  "</b><br><br><b>[ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._GOBACKFAQ."</a> ]</b>";
		CloseTable();
		include 'footer.php';
		exit;
	}

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!(pnSecAuthAction(0, 'FAQ::', '::', ACCESS_COMMENT))) {
        echo _FAQADDNOAUTH;
        return;
    }
    OpenTable();

        //$question = pnVarPrepForStore($question);
        //$email = pnVarPrepForStore($email);
        $uid = pnUserGetVar('uid');
        $column = &$pntable['faqanswer_column'];

//modified for Oracle compatibility
		switch ($dbtype){
			case "oci8":
				$sequence=substr_replace($pntable['faqanswer'],'',0,strlen($dbname)+1).'_sq';
				$nextid = $dbconn->GenId($sequence);
				$sql = "INSERT INTO $pntable[faqanswer] ($column[id], $column[id_cat], $column[question], $column[submittedby], $column[answer])  VALUES ($nextid, ".(int)pnVarPrepForStore($id_cat).", empty_clob(), '".pnVarPrepForStore($uid)."', empty_clob())";
				$result = $dbconn->Execute($sql);

				$dbconn->updateClob($pntable[faqanswer],$column[question],$question,"$column[id]=".$nextid);
				break;
			default:
		        $nextid = $dbconn->GenId($pntable['faqanswer']);
				$sql = "INSERT INTO $pntable[faqanswer]
                   ($column[id], $column[id_cat], $column[question], $column[submittedby], $column[answer])
                   VALUES ($nextid, ".(int)pnVarPrepForStore($id_cat).", '".pnVarPrepForStore($question)."', '".(int)pnVarPrepForStore($uid)."', '')";
		        $result = $dbconn->Execute($sql);
				break;
		}
        echo ""._THANKSSUB."<br><br>";
        echo "<div align=\"center\"><b>[ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._BACKTOFAQINDEX."</a> ]</b></div>";
}

if (empty($myfaq)) {

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $currentlang = pnUserGetLang();

    $column = &$pntable['faqcategories_column'];
    if (pnConfigGetVar('multilingual') == 1) {
        $column = &$pntable['faqcategories_column'];
//modified for Oracle compatibility
		$querylang = "AND ($column[flanguage]='".pnVarPrepForStore($currentlang)."' OR $column[flanguage]='' OR $column[flanguage] IS NULL)"; /* the OR is needed to display stories who are posted to ALL languages */
    } else {
    $querylang = "";
    }

    include 'header.php';
    OpenTable();

    echo "<div style=\"font-size:1em; font-weight:bold; text-align:center; border-bottom:1px solid ".$GLOBALS['bgcolor1'].";\">\n";
    echo "    <br /><br /><img src=\"modules/FAQ/images/admin.gif\" style=\"border: 0px;\" alt=\"\"><br />\n";
    echo "    ".pnConfigGetVar('sitename').' '._FAQ2."<br /><br />\n";
    echo "</div>\n";

    $column = &$pntable['faqcategories_column'];
    $total_result = $dbconn->Execute("SELECT COUNT($column[id_cat]) FROM $pntable[faqcategories]");
    list($total) = $total_result->fields;
    if ($total) {
        if (pnSecAuthAction(0, 'FAQ::', '::', ACCESS_COMMENT)){
	        echo "<div style=\"text-align:center;\">\n";
            echo "    [ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;askaquestion=yes&amp;id_cat=0\">"._ASKAQUESTION."</a> ]\n";
            echo "</div>\n";
        }
    }
    echo "<div style=\"margin: 0px 0px 0px 10px; font-weight:bold; border-top:1px solid $bgcolor3; border-bottom:1px solid $bgcolor3;\">\n";
    echo "    "._CATEGORIES."\n";
    echo "</div>\n";

    /* $column = &$pntable['faqcategories_column'];
    $fields = array('id_cat'     => '',
                    'categories' => '',
                    'parent_id'  => '');

    $query = getSelectViaHashKeysFrom ('faqcategories', $fields, "$column[parent_id]=0");
    $result = $dbconn->Execute($query);*/

        $column = &$pntable['faqcategories_column'];
        $result = $dbconn->Execute("SELECT $column[id_cat], $column[categories]
                                FROM $pntable[faqcategories]
                                WHERE $column[parent_id]=0 $querylang");

//modified for Oracle compatibility
//    while(list($id_cat, $categories) = $result->fields) {
    while(!$result->EOF){
		list($id_cat, $categories) = $result->fields;
        $result->MoveNext();
		if (pnSecAuthAction(0,"FAQ::","$categories::$id_cat",ACCESS_READ)) {
			echo "<div style=\"margin: 0px 5px 0px 20px;\">\n";
        	echo "    <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;id_cat=$id_cat\">".pnVarPrepForDisplay($categories)."</a>\n";
        	echo "</div>\n";

        	$column = &$pntable['faqcategories_column'];
        	$sresult = $dbconn->Execute("SELECT $column[id_cat], $column[categories]
                                	FROM $pntable[faqcategories]
                                	WHERE $column[parent_id]='".(int)pnVarPrepForStore($id_cat)."' $querylang");

        	$parent_id = $id_cat;

//modified for Oracle compatibility
//        	for(;!$sresult->EOF;$sresult->MoveNext()) {
	        echo "<ul>";
       		while(!$sresult->EOF){
				list($sid_cat, $scategories) = $sresult->fields;
				if (pnSecAuthAction(0,"FAQ::","$scategories::$sid_cat",ACCESS_READ)) {
            		echo "<li><a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;id_cat=$sid_cat\">".pnVarPrepForDisplay($scategories)."</a></li>";
				}
				$sresult->MoveNext();
        	}
        	echo "</ul>";
        }
    }

    CloseTable();

    include 'footer.php';

} else {

    include 'header.php';

    if(isset($askaquestion))
    {
        if(empty($askquestionsubmit))
        {
            AskQuestion();
        } else {
            AskQuestionSubmit();
        }
    } else {
        ShowFaq();
        ShowFaqAll();
    }

    CloseTable();
    include 'footer.php';
}
?>