<?php
// $Id: pnadmin.php,v 1.12 2004/11/22 09:15:58 timax Exp $
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// MD dynamic menu system for MD-Pro
// Original author :  Sergey Alexandrov  http://www.maxdev.com
// based on PHP Layers Menu 3.1.1 Marco Pratesi
// TiMax 05/05/2004 integrated in MD-Pro and add multilanguage 

function mdmenus_admin_menu() {
        $output =& new pnHTML();
        // TiMax security fix
        if (!pnSecAuthAction(0, 'MDMenus::',"$menu[title]::", ACCESS_EDIT)) {
        $output->Text(_MENUS_NOAUTH);
        return $output->GetOutput();
    }
        $output->adminmenu(); // TiMax add administration link
  		$output->Linebreak(2);
        $output->Text('[ ');
        $output->URL(pnModURL('MDMenus','admin','editmenu'), _MENUS_NEWMENU);
        $output->Text(' ]');
        $output->Linebreak(2);
        return $output->GetOutput();
}

function mdmenus_admin_submenu($id) {
        $output =& new pnHTML();
        $output->Text('[ ');
        $output->URL(pnModURL('MDMenus','admin','main'), _MENUS_MENULIST);
        $output->Text(' | ');
        $output->URL(pnModURL('MDMenus','admin','editmenu', array('id' => $id)).'#editplace', _MENUS_NEWITEM);
        $output->Text(' ]');
        $output->Linebreak(2);
        return $output->GetOutput();
}

function mdmenus_admin_main() {
        $output =& new pnHTML();
        // TiMax security fix
        if (!pnSecAuthAction(0, 'MDMenus::',"$menu[title]::", ACCESS_EDIT)) {
        $output->Text(_MENUS_NOAUTH);
        return $output->GetOutput();
    }
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $output->Text('<div id="mdmenus" align="center">');
        $output->Title(_MENUS_MODTITLE);
        $output->Text(mdmenus_admin_menu());
        if (!pnModAPILoad('MDMenus','admin')) {
                $output->Text(_LOADFAILED);
                $output->Text('</div>');
                return $output->GetOutput();
        }
        $mdmenus = pnModAPIFunc('MDMenus','admin','getmenulist');
        if (is_array($mdmenus)) {
                $output->TableStart('',array(_MENUS_MENUTITLE,_MENUS_ACTION), 1, '50%');
                $assa = array();
                foreach ($mdmenus as $menu) {
                        $as = '';
                        $assa[0] = array('content' => $menu['title'], 'align' => 'left');
                        $output->SetOutputMode(_PNH_RETURNOUTPUT);
                        if (pnSecAuthAction(0,'MDMenus::',"$menu[title]::", ACCESS_EDIT)) {
                                $as = '[ ';
                                $as .= $output->URL(pnModURL('MDMenus','admin','editmenu',array('id' => $menu['id'])), _MENUS_EDITMENU);
                                $as .= ' | '.$output->URL(pnModURL('MDMenus','admin','props',array('id' => $menu['id'])), _MENUS_PROPS);
                                if (pnSecAuthAction(0,'MDMenus::',"$menu[title]::", ACCESS_DELETE)) {
									$as .= ' | '.$output->URL(pnModURL('MDMenus','admin','delitem',array('editmode' => $menu['id'])), _MENUS_DELETEMENU);
                                }
                                $as .= ' ]';
                        }
                        $assa[1] = array('content' => $as, 'align' => 'center');
                        $output->SetOutputMode(_PNH_KEEPOUTPUT);
                        $output->TableAddRow($assa);
                }
                $output->TableEnd();
        }
        $output->Text('</div>');
        return $output->GetOutput();
}

function mdmenus_admin_props() {
		$id = pnVarCleanFromInput('id');
		$output =& new pnHTML();
		$output->SetInputMode(_PNH_VERBATIMINPUT);
		$output->Text('<div id="mdmenus" align="center">');
        if (!pnModAPILoad('MDMenus','admin')) {
                $output->Text(_LOADFAILED);
                $output->Text('</div>');
                return $output->GetOutput();
        }
        $info = pnModAPIFunc('MDMEnus','admin','getmenuinfo',array('id' => $id));
		if (!pnSecAuthAction(0,'MDMenus::',"$menu[title]::", ACCESS_EDIT)) {
			$output->Text(_MENUS_NOAUTH);
			$output->Text('</div>');
			return $output->GetOutput();
		}
		$output->Title(_MENUS_MODTITLE);
		$output->Title($info['name']);
		if (!is_array($info['data']) or empty($info['data'])) {
			// Empty array of menu parameters, use default
		}
        $output->Text('</div>');
        return $output->GetOutput();
}

function mdmenus_admin_editmenu($args) {
        list($id,$editmode,$exp) = pnVarCleanFromInput('id','editmode','exp');
        extract($args);
        include_once('modules/MDMenus/libs/layersmenu-common.inc.php');
        include_once('modules/MDMenus/libs/treemenu.inc.php');
        $output =& new pnHTML();
// TiMax security fix
        if (!pnSecAuthAction(0, 'MDMenus::',"$menu[title]::", ACCESS_EDIT)) {
        $output->Text(_MENUS_NOAUTH);
        return $output->GetOutput();
    }
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $output->Text('<div id="mdmenus" align="center">');
        $output->Title(_MENUS_MODTITLE);
        $output->Text(mdmenus_admin_submenu($id));

        if ($id == '') {
                $output->FormStart(pnModURL('MDMenus','admin','modify'));
                $output->FormHidden('autid', pnSecGenAuthKey());
                $output->Text('<div id="newmenuitem" align="center">');
                $output->TableStart('',null,1,'98%');
                $output->TableAddRow(array(_MENUS_NAME,_MENUS_ALTTEXT,_MENUS_PICTURE));
                $assa = array();
                /* Common Link Data */
                $output->SetOutputMode(_PNH_RETURNOUTPUT);
                $assa[0] = $output->FormText('text',$data['text'],28,255);
                $assa[1] = $output->FormText('title',$data['title'],31,255);
                $assa[2] = $output->FormText('icon',$data['icon'],31,255);
                $output->SetOutputMode(_PNH_KEEPOUTPUT);
                $output->TableAddRow($assa,'left');

        } else {
                $mid = new TreeMenu();
                $mid->scanTableForMenu('treemenu', $id);
                $mid->editTreeMenu('treemenu', $id);
                $output->Text($mid->getTreeMenu('treemenu'));

                if (!pnModAPILoad('MDMenus','admin')) {
                        $output->Text(_LOADFAILED);
                        return $output->GetOutput();
                }
                $targetarr = array();
                $targetarr[] = array('id' => '_self', 'name' => 'Same Window');
                $targetarr[] = array('id' => '_blank', 'name' => 'New Window');
                $data = array();
                $output->FormStart(pnModURL('MDMenus','admin','modify'));
                $output->FormHidden('autid', pnSecGenAuthKey());
                $output->FormHidden('id',$id);
                if ($editmode == '') {
                        $output->Title('<br><a name="editplace"></a>New Item<br>');
                        // Add new item form here
                } else {
                        // Edit Item form here
                        $output->Title('<br><a name="editplace"></a>Edit Item<br>');
                        $data = pnModAPIFunc('MDMenus','admin','getitemdata',array('id' => $editmode));
                        $parser = unparseHref($data['href'], false);
                        $output->FormHidden('itemid',$editmode);
                }
                $output->Text('<div id="newmenuitem" align="center">');
                $output->TableStart('',null,1,'98%');
                $output->TableAddRow(array(_MENUS_NAME,_MENUS_ALTTEXT,_MENUS_PICTURE));
                $assa = array();
                /* Common Item Data */
                $output->SetOutputMode(_PNH_RETURNOUTPUT);
                $assa[0] = $output->FormText('text',$data['text'],28,255);
                $assa[1] = $output->FormText('title',$data['title'],31,255);
                $assa[2] = $output->FormSelectMultiple('icon',pnModFunc('MDMenus','admin','geticonslist'),0,1,$data['icon']);
                $output->SetOutputMode(_PNH_KEEPOUTPUT);
                $output->TableAddRow($assa,'left');

                // Target
                $output->TableRowStart();
                $output->SetOutputMode(_PNH_RETURNOUTPUT);
                $assa[0] = array('content' => _MENUS_TARGET, 'align' => 'right');
                $assa[1] = array('content' => $output->FormSelectMultiple('target',$targetarr,0,1,$data['target']), 'align' => 'left');
				if ($exp == 1) {
                	$assa[2] = array('content' => $output->FormCheckbox('expanded',$data['expanded'] == 1,1)._MENUS_EXPAND_BY_DEFAULT, 'align' => 'left');
				} else $assa[2] = array('content' => '&nbsp', 'align' => 'right');
                $output->SetOutputMode(_PNH_KEEPOUTPUT);
                $output->TableAddRow($assa);
                /*
                $output->TableColStart(1,'right');
                $output->Text(_MENUS_TARGET);
                $output->TableColEnd();
                $output->TableColStart(2,'left');
                $output->FormSelectMultiple('target',$targetarr,0,1,$data['target']);
                $output->TableColEnd();
                $output->TableRowEnd();
				*/
				
                $output->TableRowStart();
                $output->TableColStart(2,'left');
                $fword = ($editmode == '') ? 'Insert' : 'Move';
                if ($editmode) {
                        $output->FormCheckbox('insert',true,'-2','radio'); $output->Text("Don't move ");
                        $output->FormCheckbox('insert',false,'1','radio'); $output->Text("$fword After ");
                } else {
                        $output->FormCheckbox('insert',true,'1','radio'); $output->Text("$fword After ");
                }
                $output->FormCheckbox('insert',false,'-1','radio'); $output->Text("$fword Into ");
                $output->FormCheckbox('insert',false,'0','radio'); $output->Text("$fword Before ");
                $output->TableColEnd();
                $output->TableColStart(1,'left');
                $output->FormSelectMultiple('position',$mid->UpdateSelect('treemenu'),0,1);
                $output->TableColEnd();
                $output->TableRowEnd();

                /* News Article */
                $artarr = pnModAPIFunc('mdmenus','admin','getarticles',array('num' => 20));
                if (!empty($artarr)) {
                        $output->SetOutputMode(_PNH_RETURNOUTPUT);
                        $assa[0] = $output->FormCheckbox('typeof',$parser[0]==1,1,'radio').' News Article&nbsp;';
                        if ($parser[0]==1) $selval = $parser[1];
                        $assa[1] = $output->FormSelectMultiple('article', $artarr,0,1,$selval);
                        $assa[2] = '&nbsp;';
                        $output->SetOutputMode(_PNH_KEEPOUTPUT);
                        $output->TableAddRow($assa,'left');
                }

                /* News Topic */
                $topicsarr = pnModAPIFunc('mdmenus','admin','gettopics');
                if (!empty($topicsarr)) {
                        $output->SetOutputMode(_PNH_RETURNOUTPUT);
                        $assa[0] = $output->FormCheckbox('typeof',$parser[0]==2,2,'radio').' News Topic&nbsp;';
                        if ($parser[0]==2) $selval = $parser[1];
                        $assa[1] = $output->FormSelectMultiple('topic', $topicsarr,0,1,$selval);
                        $assa[2] = '&nbsp;';
                        $output->SetOutputMode(_PNH_KEEPOUTPUT);
                        $output->TableAddRow($assa,'left');
                }

                /* HTML Page */
                $htmlparr = pnModAPIFunc('mdmenus','admin','gethtmlpages');
                if (!empty($htmlparr)) {
                        $output->SetOutputMode(_PNH_RETURNOUTPUT);
                        $assa[0] = $output->FormCheckbox('typeof',$parser[0]==3,3,'radio').' HTML Page&nbsp;';
                        if ($parser[0]==3) $selval = $parser[1];
                        $assa[1] = $output->FormSelectMultiple('htmlp', $htmlparr,0,1,$selval);
                        $assa[2] = '&nbsp;';
                        $output->SetOutputMode(_PNH_KEEPOUTPUT);
                        $output->TableAddRow($assa,'left');
                }

                /* Module */
                $modarr = pnModAPIFunc('mdmenus','admin','getmodlist');
                $output->SetOutputMode(_PNH_RETURNOUTPUT);
                $assa[0] = $output->FormCheckbox('typeof',$parser[0]==4,4,'radio').' Module&nbsp;';
                if ($parser[0]==4) $selval = $parser[1];
                $assa[1] = $output->FormSelectMultiple('moduleurl', $modarr,0,1,$selval);
                $assa[2] = '&nbsp;';
                $output->SetOutputMode(_PNH_KEEPOUTPUT);
                $output->TableAddRow($assa,'left');

                /* URL */
                $output->TableRowStart();
                $output->TableColStart(1,'left');
                $output->FormCheckbox('typeof',$parser[0]==5,5,'radio').$output->Text(' URL&nbsp;');
                $output->TableColEnd();
                $output->TableColStart(2,'left');
                $output->FormText('newurl',$data['href'],68,255);

        }
        $output->TableEnd();
        $output->FormSubmit("Submit!");
        $output->FormEnd();
        $output->Text('</div></div>');
        return $output->GetOutput();
}

function mdmenus_admin_modify($args)
{
        list($id,$itemid,$text,$title,$icon,$position,$newurl,$typeof,$article,$topic,$moduleurl,$htmlp,$insert,$target,$expanded) = pnVarCleanFromInput(
             'id','itemid','text','title','icon','position','newurl','typeof','article','topic','moduleurl','htmlp','insert','target','expanded');
        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();
        $tab = $pntable['mdmenus'];
        $col =&$pntable['menus_column'];
        if ($id == '') {
                // Create new MENU
                $sql = "INSERT INTO $tab ($col[parent_id],$col[text]) VALUES (1, '$text')";
                $res = $dbconn->Execute($sql);
                pnRedirect(pnModURL('MDMenus','admin','editmenu',array('id' => $dbconn->PO_Insert_ID())));
                return true;
        }
        switch ($typeof) {
                // News Article
                case 1:        $href = "modules.php?op=modload&name=News&file=article&sid=$article&mode=thread&order=0&thold=0";
                                break;
                // News Topic
                case 2:        $href = "index.php?module=News&catid=&topic=$topic";
                                break;
                // HTML page
                case 3:        $href = pnModURL('htmlpages','user','display',array('pid' => $htmlp));
                                break;
                // Module
                case 4:        if (in_array($moduleurl,array('index.php','admin.php','user.php','user.php?module=NS-User&op=logout'))) {
                                        $href = $moduleurl;
                                        break;
                                }
                                // Real module
                                $modarr = pnModGetUserMods();
                                foreach ($modarr as $key => $modinfo) {
                                        if ($modinfo['name'] == $moduleurl) {
                                                if ($modinfo['type'] == 1) $href = "modules.php?op=modload&name=$modinfo[directory]&file=index";
                                                else $href = "index.php?module=$modinfo[name]";
                                                break;
                                        }
                                }
                                break;
                default:$href = $newurl;
        }
        include_once('modules/MDMenus/libs/layersmenu-common.inc.php');
        include_once('modules/MDMenus/libs/treemenu.inc.php');
        $mid = new TreeMenu();
        $mid->scanTableForMenu('treemenu', $id);
        $treearr = $mid->UpdatePrep('treemenu');

        $lastindex = count($treearr);
        if ($lastindex == 0) {
                // There is NO items at all, this is new menu
                $treearr[] = array('id' => 0, 'level' => 0, 'parent_id' => $id);
        } elseif ($insert != -2) {
                $temparr = array();
                if ($insert == -1) {
                        $parent_id = $treearr[$position]['id'];
                        $insert = 0;
                } else         $parent_id = $treearr[$position]['parent_id'];
                $temparr[] = array('id' => 0, 'level' => -$itemid, 'parent_id' => $parent_id);
                array_splice($treearr, $position+$insert, count($treearr), array_merge($temparr, array_slice($treearr, $position+$insert)));
        }

        if ($itemid =='') {
                // New item
                foreach ($treearr as $key => $val) {
                        if ($val['id'] == 0) {
                                // Insert new item
                                $sql = "INSERT	INTO $tab ($col[parent_id], $col[text], $col[href], $col[title], $col[icon], $col[orderfield], $col[expanded],$col[target])
                                        VALUES	($val[parent_id],'$text', '$href', '$title', '$icon', $key, ".((isset($expanded)) ? 1 : 0).", '$target')";
                        } else {
                                // Update all other (resort)
                                $sql ="UPDATE $tab SET $col[orderfield] = $key WHERE $col[id]=".intval($val['id']);
                        }
                        $res = $dbconn->Execute($sql);
                }
        } else {
#                var_dump($treearr); exit;
                if ($insert == -2) {
                        $sql = "UPDATE	$tab
                                SET		$col[text] = '".pnVarPrepForStore($text)."',
                                        $col[href] = '".pnVarPrepForStore($href)."',
                                        $col[title]= '".pnVarPrepForStore($title)."',
                                        $col[icon] = '".pnVarPrepForStore($icon)."',
                                        $col[target] = '".pnVarPrepForStore($target)."',
                        				$col[expanded] = ".((isset($expanded)) ? 1 : 0)."
                                WHERE   $col[id] = ".intval($itemid);
                        $res = $dbconn->Execute($sql); 
                } else {
                        foreach ($treearr as $key => $val) {
                                if ($val['id'] == $itemid) continue;
                                if ($val['level'] < 0) {
                                        $sql = "UPDATE	$tab
                                                SET		$col[text] = '".pnVarPrepForStore($text)."',
                                                        $col[href] = '".pnVarPrepForStore($href)."',
                                                        $col[title]= '".pnVarPrepForStore($title)."',
                                                        $col[icon] = '".pnVarPrepForStore($icon)."',
                                                        $col[target] = '".pnVarPrepForStore($target)."',
                                                        $col[parent_id] = $val[parent_id],
                                                        $col[orderfield] = $key,
                                        				$col[expanded] = ".((isset($expanded)) ? 1 : 0)."
                                                WHERE	$col[id] = ".abs($val['level']);
                                } else {
                                        $sql = "UPDATE	$tab
                                                SET		$col[orderfield] = $key
                                                WHERE	$col[id] = ".intval($val['id']);
                                }
                                $res = $dbconn->Execute($sql);
                        }
                }
        }
        pnRedirect(pnModURL('MDMenus','admin','editmenu',array('id' => $id)));
        return true;
}

function mdmenus_admin_delitem($args)
{
        list($id, $itemid, $confirmation) = pnVarCleanFromInput('id', 'editmode', 'confirmation');
        extract($args);
        $output =& new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        // Load API.
        if (!pnModAPILoad('mdmenus', 'admin')) {
                $output->Text(_LOADFAILED);
                return $output->GetOutput();
        }

            $item = pnModAPIFunc('mdmenus', 'admin', 'getitemdata', array('id' => $itemid));
            if (empty($item)) {
                        $output->Text(_HTMLPAGESNOSUCHITEM);
                        return $output->GetOutput();
            }

            if (!pnSecAuthAction(0, 'MDMenus::', "$item[text]::", ACCESS_DELETE)) {
                        $output->Text(_MENUS_NOAUTH);
                        return $output->GetOutput();
            }

        // Check for submenus
        include_once('modules/MDMenus/libs/layersmenu-common.inc.php');
        include_once('modules/MDMenus/libs/treemenu.inc.php');
        $mid = new TreeMenu();
        $mid->scanTableForMenu('treemenu', $itemid);
        $treearr = $mid->UpdatePrep('treemenu');
        $nsub = count($treearr);
        $warn = (!$nsub) ? _MENUS_CONFIRMITEMDELETE : _MENUS_CONFIRMITEMDELETESUBS;

        if (empty($confirmation)) {
                $output->Title(_MENUS_DELETEITEM);
                $output->ConfirmAction($warn,
                                        pnModURL('mdmenus', 'admin','delitem'),
                                        _MENUS_CANCELDELETE,
                                        pnModURL('mdmenus', 'admin','editmenu',array('id' => $id)),
                                        array('id' => $id, 'editmode' => $itemid));
                return $output->GetOutput();
        }
        /*
            if (!pnSecConfirmAuthKey()) {
                        pnSessionSetVar('errormsg', _BADAUTHKEY);
                    pnRedirect(pnModURL('mdmenus', 'admin', 'editmenu', array('id' => $id)));
                        return true;
            }
        */
            if (!pnModAPILoad('mdmenus', 'admin')) {
                        $output->Text(_LOADFAILED);
                        return $output->GetOutput();
            }
        // Delete top item
            pnModAPIFunc('mdmenus', 'admin','delete', array('id' => $itemid));
        // Delete all submenus
            foreach ($treearr as $key => $subitem) pnModAPIFunc('mdmenus', 'admin','delete', array('id' => $subitem['id']));
            if ($id != '') pnRedirect(pnModURL('mdmenus', 'admin', 'editmenu', array('id' => $id)));
            else               pnRedirect(pnModURL('mdmenus', 'admin'));
            return true;
}


function mdmenus_admin_bunch()
{
        exit;
        if (!pnSecAuthAction(0,'MDMenus::','::', ACCESS_ADMIN)) exit;
        pnModDBInfoLoad('htmlpages');

        list($dbconn) = pnDBGetConn();
        $pntables = pnDBGetTables();

        $httable = $pntables['htmlpages'];
        $htcol         =&$pntables['htmlpages_column'];
        $menutab = $pntables['mdmenus'];
        $menucol =&$pntables['menus_column'];

        $sql = "SELECT $menucol[id],$menucol[text] FROM $menutab"; echo $dbconn;
        $result = $dbconn->Execute($sql);
        while (!$result->EOF) {

                list($id, $text) = $result->fields;
                $result->MoveNext();
                $sql = "INSERT INTO $httable ($htcol[uid], $htcol[title]) VALUES (2, '$text')";
                echo $sql; exit;
        }

        return true;
}

function mdmenus_admin_geticonslist() {
        $icondir = 'modules/MDMenus/pnimages';
        $fdir = opendir($icondir);
        $iconarr = array();
        $iconarr[] = array('id' => '', 'name' => 'Default');
        $exts = array("jpg", "png", "jpeg", "gif");
        while (($file = readdir($fdir)) !== false) {
                if (in_array(substr(strrchr($file, "."), 1),$exts)) $iconarr[] = array('id' => $file, 'name' => $file);
        }
        closedir($fdir);
        return $iconarr;
}
?>