<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// MD dynamic menu system for MD-Pro
// Original author :  Sergey Alexandrov  http://www.maxdev.com
// based on PHP Layers Menu 3.1.1 Marco Pratesi
// TiMax 05/05/2004 integrated in MD-Pro and add multilanguage


function mdmenus_supermenusblock_info() {
        return array(
                'module'                        => 'MDMenus',
            'text_type'                        => 'SuperMDMenus',
            'text_type_long'        => 'Super Menus',
            'allow_multiple'        => false,
            'form_content'                => false,
            'form_refresh'                => false,
            'support_xhtml'                => false,
            'show_preview'                => true
        );

}

function mdmenus_supermenusblock_init() {
        pnSecAddSchema('MDMenus::', '::');
}

function mdmenus_supermenusblock_update($blockinfo) {
        $vars = array();
        $vars['menuid'] = pnVarCleanFromInput('menuid');
        $blockinfo['content'] = serialize($vars);
        return $blockinfo;
}

function mdmenus_supermenusblock_modify($blockinfo)
{
        $row = unserialize($blockinfo['content']);
        $menuid = (isset($row['menuid']) ? $row['menuid'] : 0);

        if (!pnModAPILoad('MDMenus','admin')) return false;
        $mdmenus = pnModAPIFunc('MDMenus','admin','getmenulist');
        $selmenus = array();
        foreach ($mdmenus as $key => $item) $selmenus[] = array('id' => $item['id'], 'name' => $item['title']);

        $output =& new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $r = array();
        $output->SetOutputMode(_PNH_RETURNOUTPUT);
        $r[0] = $output->Text('Menu: ');
        $r[1] = $output->FormSelectMultiple('menuid',$selmenus,0,1,$menuid);
        $output->SetOutputMode(_PNH_KEEPOUTPUT);
        $output->TableAddRow($r, 'left');

        return $output->GetOutput();
}

function mdmenus_supermenusblock_display($blockinfo)
{	
    if (!pnSecAuthAction(0, 'MDMenus::', "$blockinfo[title]::", ACCESS_READ)) return false;
    
	$row = unserialize($blockinfo['content']);
	if ($row['menuid'] == '') $row['menuid'] = 1;
	
	/* We need next line only for JavaScript functionality */
        include_once('modules/MDMenus/libs/layersmenu-common.inc.php');
        include_once('modules/MDMenus/libs/treemenu.inc.php');
	include_once('modules/MDMenus/libs/layersmenu-browser_detection.js.php');
	include_once('modules/MDMenus/libs/layerstreemenu-cookies.js.php');
	$output =& new pnHTML();
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	if (pnSecAuthAction(0, 'MDMenus::', '', ACCESS_ADMIN))
	{
	
	$output->URL('admin.php', _ADMINTITLE);  //added by TiMax
	}

	//	$output->Text('<script language="JavaScript" type="text/javascript" src="modules/Menus/libs/layerstreemenu-cookies.js"></script>');
	$mid = new TreeMenu();
	$menuname = 'treemenu'.$row['menuid'];
	$mid->scanTableForMenu($menuname, $row['menuid']);
	$mid->newTreeMenu($menuname, $row['menuid']);
	$output->Text($mid->getTreeMenu($menuname));
    
    $blockinfo['content'] = $output->GetOutput();
    return themesideblock($blockinfo);
}
?>