<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// MD dynamic menu system for MD-Pro
// Original author :  Sergey Alexandrov  http://www.maxdev.com
// based on PHP Layers Menu 3.1.1 Marco Pratesi
// TiMax 05/05/2004 integrated in MD-Pro and add multilanguage 

function mdmenus_init() {
        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();
        $table = $pntable['mdmenus'];
        $column = &$pntable['menus_column'];

        $sql = "CREATE TABLE $table (
                    $column[id] int(11) NOT NULL auto_increment,
                    $column[parent_id] int DEFAULT '1' NOT NULL,
                    $column[text] text,
                    $column[href] text,
                $column[title] text,
                $column[icon] text,
                $column[target] text,
                $column[orderfield]  int DEFAULT '0',
                $column[expanded] tinyint DEFAULT '0',
                PRIMARY KEY(id)) AUTO_INCREMENT=2";
            $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                pnSessionSetVar('errormsg', _CREATETABLEFAILED." $sql");
                return false;
        }
        return true;
}

function mdmenus_upgrade($oldversion) {
        return true;
}

function mdmenus_delete() {
        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();
        $sql = "DROP TABLE IF EXISTS $pntable[mdmenus]";
        $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) return false;
        return true;
}

?>