<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// i-Block [Private Messages v1.05]                                    */
// Written by: MagicX                                                         */
// http://www.portalzine.de                                 */
//                                                      */
// Massimiliano Tiraboschi aka TiMax clean code, integration in eNvolution
// ----------------------------------------------------------------------



$blocks_modules['pm_messages'] = array(
     'func_display' => 'blocks_pm_messages_block',
     'func_add' => 'blocks_pm_messages_add',
     'func_update' => 'blocks_pm_messages_update',
     'func_edit' => 'blocks_pm_messages_edit',
     'text_type' => 'Messages',
     'module' => 'Messages',
     'text_type_long' => 'Private Messages 1.3',
     'allow_multiple'         => false,
     'form_content' => false,
     'form_refresh' => true,
     'show_preview' => true
);
// Security
addinstanceschemainfo('Messages::', 'Block title::');

function blocks_pm_messages_block($row)
{
        if (!authorised(0, 'Messages::', '$row[title]::', ACCESS_READ)) {
                return;
        }

        list($dbconn) = pnDBGetConn();

        $pntable = pnDBGetTables();

        $uid = pnUserGetVar('uid');

        $username = pnUserGetVar('name');

        $url = explode('|', $row['url']);

        if (!$url[0]) {
                $url[0] = 6;
        }

        if (!$url[1]) {
                $url[1] = 19;
        }

        if (!$url[2]) {
                $url[2] = 19;
        }

        if (!$url[3]) {
                $url[5] = '#E9E9E9';
        }

        if (!$url[4]) {
                $url[6] = '#F0F0F0';
        }

        if (pnUserloggedin()) {
                $column = &$pntable['priv_msgs_column'];

                $result2 = $dbconn->Execute("SELECT count(*) FROM $pntable[priv_msgs] WHERE $column[read_msg] ='0' and $column[to_userid]=" .

                        pnUserGetVar('uid'));

                list($unread) = $result2->fields;

                $result4 = $dbconn->Execute("SELECT count(*) FROM $pntable[priv_msgs] WHERE $column[to_userid]=" . pnUserGetVar('uid'));

                list($total) = $result4->fields;

                $limit = 5;

                $row['content'] .= '<table width= 90%><tr><td>' . _UNREADMESSAGES . ':</td><td align=right><a

href="modules.php?op=modload&amp;name=Messages&amp;file=index" title=""._IBLOCKNEWPRIVATEMSG.""><font

size=1><b>' . pnVarPrepForDisplay($unread) . '</font></b></a></td></tr><tr><td>' . _TOTALMESSAGES . ':</td><td align=right><a

href="modules.php?op=modload&amp;name=Messages&amp;file=index" title=""._IBLOCKPRIVATEMSG.""><font

size=1><b>' . pnVarPrepForDisplay($total) . '</b></font></a></td></tr></table>' . pnVarPrepForDisplay($url[0]) . ' ' . _MESSAGESDISPLAYED . ': <br>';

                $pm = &$pntable['priv_msgs'];
                // private message counter
                $count = 0;
                // color rotation
                $a = 0;

                $b = 0;

                $dcolor_A = $url[5];

                $dcolor_B = $url[6];

                $result = mysql_query("SELECT pn_subject, pn_from_userid, pn_msg_time, pn_read_msg from $pntable[priv_msgs] where pn_to_userid=$uid

 limit $url[0] ");

                $row['content'] .= "<table cellspacing=0 cellpadding=0 width=100%>";

                $count = 0;

                while (list($subject, $from, $time, $read) = mysql_fetch_row($result)) {
                        if ($read == '1') {
                                $check = "<img src=\"modules/Messages/images/read.gif\" title=" . _READ . ">";
                        } else {
                                $check = "<img src=\"modules/Messages/images/unread.gif\" title=" . _UNREAD . ">";
                        }

                        $dcolor = ($a == 0 ? $dcolor_A : $dcolor_B);

                        setlocale ("LC_TIME", "$locale");

                        ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);

                        $datetime = strftime("%d.%m.%y", mktime($datetime[4], $datetime[5], $datetime[6], $datetime[2], $datetime[3], $datetime[1]));

                        $datetime = ucfirst($datetime);

                        $from = mysql_query("select pn_uname from $pntable[users] where pn_uid=$from");

                        list($fromuser) = mysql_fetch_row($from);

                        $subject2 = $subject;

                        if (strlen($subject) > $url[1]) { // Limit title length to avoid wrap
                                $subject = strip_tags($subject, '<a><i><b><ul><li>');

                                $subject = substr($subject, 0, $url[2]);

                                $subject .= "...";
                        }

                        $row['content'] .= "<tr bgcolor=\"$dcolor\"><td><font size=1><b>$check $fromuser</b></font>:<br><font size=1><a

href=\"modules.php?op=modload&amp;name=Messages&amp;file=readpmsg&start=$count&total_messages=$total\"

title=\"$subject2\">$subject</a></font></td><td

valign=top>

</td></tr><tr bgcolor=\"$dcolor\"><td colspan=\"\"><font size=1>$time</font></td><td><a

href=\"modules.php?op=modload&amp;name=Messages&amp;file=replypmsg&send=1&uname=$fromuser\" title=\"" . _SENDTO . " $fromuser\"><img

src=\"modules/Messages/images/send.gif\" border=0 title=\"" . _SENDTO . " $fromuser\"></a></td></tr>";

                        $count ++;

                        $a = ($dcolor == $dcolor_A ? 1 : 0);
                }

                $row['content'] .= "<tr><td  align=center colspan=2>:: <a href=\"modules.php?op=modload&amp;name=Messages&amp;file=index\">inbox</a>::";

                $row['content'] .= "  <a href=\"modules.php?op=modload&amp;name=Messages&amp;file=replypmsg&send=1\">send pm</a>:: </td></tr>";

                $row['content'] .= "</table>";
        } else {
                $row['content'] .= "<center>" . _ONLYREGUSER . "</center>";
        }

        themesideblock($row);
}

function blocks_pm_messages_add($row)
{
        $row['url'] = '6|19|19|#E9E9E9|#F0F0F0';

        return $row;
}

function blocks_pm_messages_update($vars)
{
        $vars['url'] = "$vars[total]|$vars[desc]|$vars[short]|$vars[color1]|$vars[color2]";

        return $vars;
}

function blocks_pm_messages_edit($row)
{
        if (!empty($row['url'])) {
                $url = explode('|', $row['url']);

                $total = $url[0];

                $desc = $url[1];

                $short = $url[2];

                $color1 = $url[3];

                $color2 = $url[4];
        } else {
                $total = '6';

                $desc = '19';

                $short = '19';
        }

        $output .= '<tr><td valign="top" class="pn-normal">' . _AMOUNT . ':</td><td>' . "<input type=\"text\" name=\"total\" size=\"30\" maxlength=\"255\" value=\"$total\" class=\"pn-normal\">" . _DISPLAY . "" . "</td></tr>\n" ;

        $output .= '<tr><td valign="top" class="pn-normal">' . _DESCRIPTION . ':</td><td>' . "" . _IFLONGER . "<input type=\"text\" name=\"desc\" size=\"3\" maxlength=\"3\" value=\"$desc\" class=\"pn-normal\">" . "" . _SHORTENTO . "<input type=\"text\" name=\"short\" size=\"3\" maxlength=\"3\" value=\"$short\" class=\"pn-normal\"></td></tr>\n" ;

        $output .= '<tr><td valign="top" class="pn-normal">Color 1:</td><td>' . "<input type=\"text\" name=\"color1\" size=\"10\" maxlength=\"255\" value=\"$color1\" class=\"pn-normal\">[Hex color]" . "</td></tr>\n" ;

        $output .= '<tr><td valign="top" class="pn-normal">Color 2:</td><td>' . "<input type=\"text\" name=\"color2\" size=\"10\" maxlength=\"255\" value=\"$color2\" class=\"pn-normal\">[Hex color]" . "</td></tr>\n" ;

        return $output;
}

?>
