// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// This module has been originally developed for MD-Pro, but I think
// that it could work well even with Envolution, PostNuke and even PHP-Nuke.
// I would like to test it by myself, but unfortunately I haven't enough time.
//
// Simply, I needed something more powerful and professional than the well known
// MySqlTools module bundled with MD-Pro, so I started writing my own module.
// This is the result, and I hope you will like it. I'd like to thank all the
// guys at MD-Pro developement staff, and also Michaelius for the idea of
// MySql tools that has been of great help until now :D
// I used his code for inspiration, but I hope I've written something better and
// more flexible.
//
// ----------------------------------------------------------------------
// MD-MyAdmin module for database administration
// Copyright (C) 2004 by Enrico Fedele
// Original Author of file: Enrico Fedele
// Author email: faithfulsoft@tiscali.it
// Purpose of file: javascript functions for MySQL_Tools module
// Official Home Page: www.moviemaniac.altervista.org
// ----------------------------------------------------------------------

/**
 * Checks/unchecks all tables
 *
 * @param   string   the form name
 * @param   boolean  whether to check or to uncheck the element
 *
 * @return  boolean  always true
 */
function setCheckboxes(the_form, do_check)
{
    var elts      = (typeof(document.forms[the_form].elements['selected_db[]']) != 'undefined')
                  ? document.forms[the_form].elements['selected_db[]']
                  : (typeof(document.forms[the_form].elements['selected_tbl[]']) != 'undefined')
          ? document.forms[the_form].elements['selected_tbl[]']
          : document.forms[the_form].elements['selected_fld[]'];
    var elts_cnt  = (typeof(elts.length) != 'undefined')
                  ? elts.length
                  : 0;

    if (elts_cnt) {
        for (var i = 0; i < elts_cnt; i++) {
            elts[i].checked = do_check;
        } // end for
    } else {
        elts.checked        = do_check;
    } // end if... else

    return true;
} // end of the 'setCheckboxes()' function