<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// This module has been originally developed for MD-Pro, but I think
// that it could work well even with Envolution, PostNuke and even PHP-Nuke.
// I would like to test it by myself, but unfortunately I haven't enough time.
//
// Simply, I needed something more powerful and professional than the well known
// MySqlTools module bundled with MD-Pro, so I started writing my own module.
// This is the result, and I hope you will like it. I'd like to thank all the
// guys at MD-Pro developement staff, and also Michaelius for the idea of
// MySql tools that has been of great help until now :D
// I used his code for inspiration, but I hope I've written something better and
// more flexible.
//
// ----------------------------------------------------------------------
// MD-MyAdmin module for database administration
// Copyright (C) 2004 by Enrico Fedele
// Original Author of file: Enrico Fedele
// Author email: faithfulsoft@tiscali.it
// Purpose of file: English translation for MySQL_Tools module
// Official Home Page: www.moviemaniac.altervista.org
// ----------------------------------------------------------------------

define('_ACCESS_OP_DENIED','You cannot do this operation.');
define('_ANA_REPORT_0','Report for the analysis of the table ');
define('_ANA_REPORT_1','Name: ');
define('_ANA_REPORT_2','Type: ');
define('_ANA_REPORT_3','Row storage format (Fixed, Dynamic, or Compressed): ');
define('_ANA_REPORT_4','Number of rows: ');
define('_ANA_REPORT_5','Average row length: ');
define('_ANA_REPORT_6','Length of the data file: ');
define('_ANA_REPORT_7','Maximum length of the data file: ');
define('_ANA_REPORT_8','Length of the Index file: ');
define('_ANA_REPORT_9','Number of allocated but unused bytes: ');
define('_ANA_REPORT_10','Next AUTO_INCREMENT value: ');
define('_ANA_REPORT_11','Date of creation: ');
define('_ANA_REPORT_12','The data file was last updated on: ');
define('_ANA_REPORT_13','The table was last checked on: ');
define('_ANA_REPORT_14','Table\'s character set and collation: ');
define('_ANA_REPORT_15','Live checksum value: ');
define('_ANA_REPORT_16','Extra options used with CREATE TABLE: ');
define('_ANA_REPORT_17','Comment used when creating the table: ');
define('_BACK',"Go Back");
define('_CAT_TAB_OPT_REPORT1','It was not possible to optimize table: ');
define('_CAT_TAB_REP_REPORT1','It was not possible to optimize the table: ');
define('_CAT_TAB_REP_REPORT2','BEWARE! During repair process, the following errors occurred.');
define('_CAT_TAB_REP_REPORT3','Selected tables have been repaired successfully.');
define('_CAT_TAB_REP_REPORT4','Tables repairing completed.');
define('_CAT_TAB_INC_REPORT1','It was not possible to reset Auto Increment value for the table: ');
define('_CAT_TAB_INC_REPORT2','BEWARE! During the reset of Auto Increments, the following errors occurred.');
define('_CAT_TAB_INC_REPORT3','Resetting of Auto Increments values for the selected tables completed succesfully.');
define('_CAT_TAB_INC_REPORT4','Resetting of Auto Increments values for the selected tables completed.');
define('_COMP_REPORT_0','Report about compacting process');
define('_DATABASE_ERROR','There was an error while connecting to the database');
define('_DESCRIPTION','Database Administration');
define('_DESELECT_ALL','Deselect all');
define('_DO_WHAT_0','Compacy tables');
define('_DO_WHAT_1','Repair tables (quick)');
define('_DO_WHAT_2','Repair tables (extended)');
define('_DO_WHAT_3','Repair tables (use .FRM)');
define('_DO_WHAT_4','Reset Auto Increment');
define('_DO_WHAT_5',"BackUp Database");
define('_ERROR_N','Error Number: ');
define('_EXECUTE','Execute');
define('_HEAD0',"Table");
define('_HEAD1',"Size");
define('_HEAD2',"Status");
define('_HEAD3',"Saved");
define('_HEAD4',"Table is already up to date");
define('_HEAD5',"You saved: ");
define('_HEAD6',"It was not possible to update the statistics table.");
define('_HEAD7',"It was not possible to connect to the statistics table.");
define('_HEAD8',"In total, you saved: ");
define('_HEAD9',"You optimized your database: ");
define('_HEAD10'," times");
define('_HEAD11','Option');
define('_HEAD12','Kind of message');
define('_HEAD13','Message text');
define('_HEAD14','Previous');
define('_HEAD15','Actual');
define('_HEAD16','Not updated*');
define('_HEAD17','Updated*');
define('_HEAD18','*Auto Increments are updated only if strictly necessary in order to reduce both server and database load.');
define('_HEAD19','*Database backupping involves all the tables, no matter which ones you selected.');
define('_HEAD20','SQL Query: ');
define('_HEAD21','Error message: ');
define('_HEAD22','Unable to select database!');
define('_HEAD23','No tables found in database!');
define('_HEAD24',"This BackUp was made using MySQL_Tools");
define('_HEAD25',"Database name: ");
define('_HEAD26',"BackUp made on: ");
define('_HEAD27',"Created by Enrico Fedele aka FaithFulSoft");
define('_HEAD28',"Structure of the table");
define('_HEAD29',"Data dump for the table");
define('_HEAD30',"Type");
define('_HEAD31',"Auto Inc.");
define('_HEAD32',"Created on");
define('_HEAD33',"Checked on");
define('_HEAD34',"Updated on");
define('_HEAD35','BEWARE! You did not select any table, please go back and select at least one.');
define('_HEAD36','Compression made on');
define('_HEAD37','You saved');
define('_HEAD38','Details about module\'s usage');
define('_HEAD39','Insert DROP TABLE (Only for database BackUp)');
define('_IF_SELECTED','If selected:');
define('_INC_REPORT','Report about Auto Increment resetting');
define('_REP_REPORT_0','Report about repair process');
define('_SELECT_ALL','Select all');
define('_TOP','Back to top');
?>