<?php
// $Id: admin.php,v 1.10 2004/11/27 23:17:49 timax Exp $
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Magnus Hammar & Bjarne Var&ouml;ystrand
// Purpose of file: Display a new adminlayout with more options
// Customized and integrated in MD-Pro by TiMax  http://www.maxdev.com timax@maxdev.com
// ----------------------------------------------------------------------
// to do ....... work around permissions ..--------------------------

if (!eregi("admin.php", $PHP_SELF)) {
        die ("Access Denied");
}
//$index = 2;
/************************************************************************/
$ModName = basename(dirname(__FILE__));
/************************************************************************/
modules_get_language();

function adminlite_show($gID,$show_in_a_row) {
        global $pnconfig;
        $dbtype = $pnconfig['dbtype'];

		$ModName = basename(dirname(__FILE__));
        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();
        $table   = $pntable['member_table'];
        $column  = &$pntable['members'];
        $modTable = $pntable['modules'];
        $modCol =& $pntable['modules_column'];
        $colspan  = $show_in_a_row * 2;
        $show_in_a_row  = $show_in_a_row - 1;
        $shown  = 0;
        // -------------------------------------------------------------
        // Get the name of this module
        $gName = getAdminLiteName($gID);
        // -------------------------------------------------------------
        // Start with the printout of all the modules in this group
        echo "

        <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr>
        <td colspan=\"".$colspan."\" align=\"center\" nowrap height=\"15\"><img src=\"modules/$ModName/pnimages/spacer.gif\" alt=\"\" width=\"1\" height=\"10\"></td>
        </tr>";

        // -------------------------------------------------------------
        //
        // Select all modules in this group and display them.
        // Also check and see if there is an admin-image and if it is
        // using admin.php och index.php.

	//modified for Oracle compatibility
	if (strcmp($dbtype,'oci8')== 0) {
		$query = "SELECT $column[mid], $modCol[displayname], $modCol[state], $modCol[name], $modCol[directory], $modCol[type]
				  FROM $table , $modTable 
				  WHERE $column[mid] = $modCol[id] AND
				  $column[gid] = $gID ORDER BY $modCol[displayname]";
	} else {
		$query = "SELECT $column[mid], $modCol[displayname], $modCol[state], $modCol[name], $modCol[directory], $modCol[type]
				  FROM $table 
				  INNER JOIN $modTable ON $column[mid] = $modCol[id]
				  WHERE $column[gid] = $gID ORDER BY $modCol[displayname]";
	} 
    $result = $dbconn->Execute($query);
    if ($dbconn->ErrorNo() != 0) return;

	if(!$result->EOF) {
		while (!$result->EOF){
			list($mID, $namesh, $status, $name, $modDir, $modType) = $result->fields;
			$imageList = array("/images/admin.gif","/images/admin.jpg","/images/admin.png","/pnimages/admin.gif","/pnimages/admin.jpg","/pnimages/admin.png");
			$use_image = "";
			foreach ($imageList as $cimg) {
			    $image = "modules/".$modDir.$cimg;
			    if (!file_exists($image)) continue;
				$use_image = $image;
		        break;
			}
			$image = $use_image;
			if($modType == 2) $admin = "index.php?module=".$modDir."&type=admin";
			else $admin = "admin.php?module=".$modDir."&op=main&type=admin";
            // list($admin,$image,$name,$status) = getModInfo($mID);
            if (pnSecAuthAction(0, "Admin::", "::", ACCESS_EDIT)){
	            // Check and see if there is an image that we can use, else just
	            // display the name.
				if(($status == 3 || $status == 5) && checkShowModule($name) && pnSecAuthAction(0, "$name::", "::", ACCESS_EDIT)) {
					if($image) {
                        $imInfo		= getimagesize($image);
                        $imHight	= $imInfo[1];
                        $imWidth	= $imInfo[0];
                        $image		= "<img src=\"".$image."\" alt=\"$namesh\" width=\"$imWidth\" height=\"$imHight\" border=\"0\">";
					} else {
						if(file_exists("modules/$ModName/pnimages/default.gif")) {
							$image = "<img src=\"modules/$ModName/pnimages/default.gif\" alt=\"$namesh\" border=\"0\">";
						} else {
							$image = _ADMIN_LITE_NO_IMAGE_FOUND_;
						}
					}
                    // Now we start and check how many outputs in a row we have
                    // If none, then start with a new row.
                    if($shown == 0) echo "<tr>\n";
					// Print the module
					echo "<td align=\"center\" nowrap valign=\"bottom\" height=\"45\" width=\"10\"><img src=\"modules/$ModName/pnimages/spacer.gif\" alt=\"\" width=\"10\" height=\"1\"></td>\n";
					echo "<td align=\"center\" nowrap valign=\"bottom\" height=\"45\" width=\"110\"><a href=\"".$admin."\">".$image."<br>$namesh</a></td>\n";

                    // If we have reached the maximum number of modules in a row then make a new row and a spacer
                    // else just add a new number to the count.
                    if($shown == $show_in_a_row){
                        $shown = 0;
                        echo "</tr><tr><td colspan=\"".$colspan."\" align=\"center\" valign=\"middle\" nowrap><img src=\"modules/$ModName/pnimages/spacer.gif\" alt=\"\" width=\"10\" height=\"25\"></td></tr>\n";
                    }else{
                        $shown = $shown + 1;
                    }
				}
			}
			$result->MoveNext(); // added for the while
		}
        // When the loop of all modules in group is done we have some cleaning up to do
        // some rows ma be incomplete and then we have to finish them and in the end type a stop row tag.
        //
        if($shown != 0){
            for($i = $shown; $i < ($show_in_a_row+1);$i++){
                    echo "<td align=\"center\" nowrap></td>\n";
                    echo "<td align=\"center\" nowrap></td>\n";
            }
            echo "</tr>\n";
        }
	} else {
		echo "<tr><td colspan=\"".$colspan."\" align=\"left\">";
		echo '<b>'._ADMIN_LITE_EMPTY_TAB_.'</b>
		<p>'._ADMIN_LITE_HOW_TO_ADD_MODULES_TO_TAB_.'</p>';
		echo "</td></tr>";
	}
	// Display a logout-link at the bottom.
	echo "</table>";
}

function adminlite_edit($gID){
        $ModName                 = basename(dirname(__FILE__));
        $allSkins                 = getAllSkins();
        $current_skin         = pnModGetVar('Admin','use_skin');
        echo "
        <form action=\"admin.php?op=main&module=$ModName&admin_func=edit\" method=\"post\">
        <table>
        <tr>
        <td><select name=\"gID\" size=\"1\">"; 
        listAllGroups($gID);
        echo "</select></td>
        <td>&nbsp;&nbsp;&nbsp;</td>
        <td><input type=\"submit\" value=\""._ADMIN_LITE_EDIT_TAB_."\"></td>
        </form><form action=\"admin.php?op=main&module=$ModName&admin_func=edit_groups\" method=\"post\">
        <input type=\"hidden\" name=\"gID\" value=\"".$gID."\">
        <td><input type=\"submit\" value=\""._ADMIN_LITE_EDIT_ALL_TABS_."\"></td>
        </tr>
        <tr>
        <td><input type=\"text\" name=\"new_group\" size=\"30\" maxlength=\"200\"></td>
        <td>&nbsp;&nbsp;&nbsp;</td>
        <td colspan=\"2\"><input type=\"submit\" value=\""._ADMIN_LITE_ADD_NEW_TAB_."\"></td>
        </tr>
        </form>
        <form action=\"admin.php?op=main&module=$ModName&admin_func=edit\" method=\"post\">
        <input type=\"hidden\" name=\"gID\" value=\"".$gID."\">
        <tr>
        <td><select name=\"new_skin\" size=\"1\">";
        for($i = 0;$i < count($allSkins);$i++){
                $skinInfo = $allSkins[$i];
             echo "<option value=\"".$skinInfo['dir']."\"";
                if($skinInfo['dir'] == $current_skin){
                echo " selected";
                }
                echo ">".$skinInfo['name']."</option>\n";
        }
        echo "</select></td>
        <td>&nbsp;&nbsp;&nbsp;</td>
        <td colspan=\"2\"><input type=\"submit\" value=\""._ADMIN_LITE_CHANGE_SKIN_."\"></td>
        </tr>

        </table>
        </form>
        <br>";

        // ---------------------------------------------
        // If there is any changes in the modules table
        // let's display a page with an alert or make it
        // automatic.
        $returnValue = checkSync($gID); 
        if($returnValue){
                // -------------------------------------------------------------------
                // Sync with all the new modules
                //
                if($returnValue['regen']){
                        regenerateModules($GLOBALS['regen']);
                        $gID = $GLOBALS['regen'];
                        echo "<p><b>"._ADMIN_LITE_INSTALLED_NEW_MODULES_."</b></p>";
                }
                // -------------------------------------------------------------------
                // Remove all old modules not in use
                //
                 if($returnValue['remove']){
                        removeOldModules();
                        echo "<p><b>"._ADMIN_LITE_REMOVED_OLD_MODULES_."</b></p>";
                }
                // -------------------------------------------------------------------
                // This function displays a new window with information about new modules
                // and modules that has been removed.
                //
                 //$page = "admin.php?DnMC=1&gID=".$gID."&op=main&module=$ModName&admin_func=0";
                 //printNewStatusModules($page,'400','250');
                //
                // -------------------------------------------------------------------
        }
        //
        // ---------------------------------------------

        echo "<br>";
        if($gID > 0){
                displaySingleEditTable($gID);
        }
        if(countMembersInGroup($gID) > 0){
                displayModuleList($gID);
        }else{
                echo "<b>"._ADMIN_LITE_EMPTY_TAB_."</b>";
                echo "<p>"._ADMIN_LITE_HOW_TO_ADD_MODULES_TO_TAB_IN_ADMIN_."</p>";
        }
}



function admin_main_automated()
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (pnSecAuthAction(0, 'AddStory::', '::', ACCESS_EDIT)) {
        OpenTable();
        echo  '<center><font class=\"pn-title\"><b>'._AUTOMATEDARTICLES.'</b></font></center>'."\n"
             .'<br>'."\n";
        $count = 0;
        $column = &$pntable['autonews_column'];
        $query = buildSimpleQuery ('autonews', array ('anid', 'catid', 'aid', 'title', 'time', 'alanguage'), "$column[anid]!='" . language_sql('a','AND') . "'", "$column[time] ASC");
        $result = $dbconn->Execute($query);
        if ($result->EOF) {
            echo '<center><font class=\"pn-title\"><i>'._NOAUTOARTICLES.'</i></font></center>'."\n";
        } else {
            echo '<table border="1" width="100%">'."\n";
// modified for Oracle compatibility
//            while(list($anid,$catid,$said,$title,$time,$alanguage) = $result->fields) {
                    while(!$result->EOF){
                            list($anid,$catid,$said,$title,$time,$alanguage) = $result->fields;
                echo '<tr>'."\n";
                if ($alanguage == '') $alanguage = 'x_all';
                if ($count == 0) $count = 1;
                $time = ereg_replace(" ", "@", $time);
                if ($catid == 0) {
                    // Default category
                    $cattitle = "";
                } else {
                    $catcolumn = &$pntable['stories_cat_column'];
                    $catquery = buildSimpleQuery('stories_cat', array('title'), "$catcolumn[catid] = $catid");
                    $catresult = $dbconn->Execute($catquery);
                    list($cattitle) = $catresult->fields;
                }
                if (pnSecAuthAction(0, 'AddStory::', "$said:$cattitle:", ACCESS_EDIT)) {
                    echo '<td align="right" nowrap>(<a href="admin.php?module=NS-AddStory&op=autoEdit&amp;anid='.$anid.'">'._EDIT.'</a>';
                    if (pnSecAuthAction(0, 'AddStory::', "$said:$cattitle:", ACCESS_DELETE)) {
                            echo '-<a href="admin.php?module=NS-AddStory&op=autoDelete&amp;anid='.$anid.'">'._DELETE.'</a>'."\n";
                    }
                    echo ')';
                }
                echo  '<td width="100%">&nbsp;'.pnVarPrepForDisplay($title).'&nbsp;</td>'."\n"
                     .'<td align="center">&nbsp;'.language_name($alanguage).'&nbsp;</td>'."\n"
                     .'<td nowrap>&nbsp;'.$time.'&nbsp;</td>'."\n"
                     .'</tr>'."\n";
                $result->MoveNext();
            }
            echo '</table>'."\n";
        }
        CloseTable();
    }
}

function admin_main_article()
{
    global $bgcolor1;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $admart = pnConfigGetVar('admart');

    if (pnSecAuthAction(0, 'AddStory::', '::', ACCESS_EDIT)) {
        OpenTable();
        echo  '<center><b>'._LAST.' '.pnVarPrepForDisplay($admart).' '._ARTICLES.'</b></center>'."\n"
             .'<br>'."\n"
             .'<center>'."\n"
             .'<table border="1" align="left" width="100%" bgcolor="'.$bgcolor1.'">';
        $storiescolumn = &$pntable['stories_column'];
        $topicscolumn = &$pntable['topics_column'];
        if (strcmp(pnConfigGetVar('dbtype'), 'oci8') == 0)   {
            $myquery = "SELECT $storiescolumn[sid],
                               $storiescolumn[cid],
                               $storiescolumn[aid],
                               $storiescolumn[title],
                               $storiescolumn[time],
                               $storiescolumn[topic],
                               $storiescolumn[informant],
                               $storiescolumn[alanguage],
                               $topicscolumn[topicname]
                        FROM $pntable[stories], $pntable[topics]
                        WHERE  $storiescolumn[topic]=$topicscolumn[topicid](+)
                                                AND rownum <= $admart
                        ORDER BY  $storiescolumn[time] DESC";
//                                                  ORDER BY  $storiescolumn[time] DESC LIMIT $admart";
        } else {
            $myquery = "SELECT $storiescolumn[sid],
                               $storiescolumn[cid],
                               $storiescolumn[aid],
                               $storiescolumn[title],
                               $storiescolumn[time],
                               $storiescolumn[topic],
                               $storiescolumn[informant],
                               $storiescolumn[alanguage],
                               $topicscolumn[topicname]
                        FROM $pntable[stories]
                        LEFT JOIN $pntable[topics] ON $storiescolumn[topic]=$topicscolumn[topicid]
                        ORDER BY  $storiescolumn[time] DESC";
//                        ORDER BY  $storiescolumn[time] DESC LIMIT $admart";
        }

// modified for Oracle compatibility
//                $result = $dbconn->Execute($myquery);
                $result = $dbconn->SelectLimit($myquery,$admart);

// modified for Oracle compatibility
//        while(list($sid, $cid, $said, $title, $time, $topic, $informant, $alanguage,$topicname) = $result->fields) {
                while(!$result->EOF){
                        list($sid, $cid, $said, $title, $time, $topic, $informant, $alanguage,$topicname) = $result->fields;

            if ($alanguage=='') {
                $alanguage = 'x_all';
            }
            formatTimestamp($time);
            if ($title == "") {
                $title = '- No title -';
            }
            echo  '<tr>'."\n"
                 .'<td align="right"><b>'.pnVarPrepForDisplay($sid).'</b></td>'
                 .'<td align="left" width="100%"><a href="modules.php?op=modload&amp;name=News&amp;file=article&amp;sid='.$sid.'">'.pnVarPrepForDisplay($title).'</a></td>'."\n"
                 .'<td align="center">'.language_name($alanguage).'</td>'."\n"
                 .'<td align="right" nowrap>'.pnVarPrepForDisplay($topicname).'</td>'."\n";
            if ($cid == 0) {
                // Default category
                $cattitle = "";
            } else {
                $catcolumn = &$pntable['stories_cat_column'];
                $catquery = buildSimpleQuery('stories_cat', array('title'), "$catcolumn[catid] = $cid");
                $catresult = $dbconn->Execute($catquery);
                list($cattitle) = $catresult->fields;
            }
            if (pnSecAuthAction(0, 'AddStory::', "$said:$cattitle:", ACCESS_EDIT)) {
                echo '<td align="left" nowrap>(<a href="admin.php?module=NS-AddStory&amp;op=EditStory&amp;sid='.$sid.'">'._EDIT.'</a>';
                if (pnSecAuthAction(0, 'AddStory::', "$said:$cattitle:", ACCESS_DELETE)) {
                    echo '-<a href="admin.php?module=NS-AddStory&amp;op=RemoveStory&amp;sid='.$sid.'">'._DELETE.'</a>'."\n";
                }
                echo ')</td>';
            } else {
                echo '<td>&nbsp;</td>';
            }
            echo '</tr>'."\n";
            $result->MoveNext();
        }
        //echo '</table>'."\n";
        if (pnSecAuthAction(0, 'AddStory::', '::', ACCESS_EDIT)) {
            echo  '<center>'."\n"
                 .'<form action="admin.php" method="post">'."\n"
                 .'<input type="hidden" name="module" value="NS-AddStory">'."\n"
                 ._STORYID.' : <input type="text" NAME="sid" SIZE="10">'."\n"
                 .'<select name="op">'."\n"
                 .'<option value="EditStory" SELECTED>'._EDIT.'</option>'."\n";
            if (pnSecAuthAction(0, 'AddStory::', '::', ACCESS_DELETE)) {
                echo '<option value="RemoveStory">'._DELETE.'</option>'."\n";
            }
            echo  '</select>'."\n"
                 .'<input type="hidden" name="authid" value="' . pnSecGenAuthKey() . '">'
                 .'<input type="submit" value="'._GO.'">'."\n"
                 .'</form>'."\n"
                 .'</center>'."\n";
        }
        echo '</table>'."\n";
        CloseTable();
    }
}

function admin_main_poll()
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $column = &$pntable['poll_desc_column'];
    $myquery = buildSimpleQuery ('poll_desc', array ('polltitle', 'pollid'), language_sql('p'), "$column[pollid] DESC", 1);
    $result = $dbconn->Execute($myquery);
    list($pollTitle, $pid) = $result->fields;
    if (pnSecAuthAction(0, 'Polls::', "$pollTitle::$pid", ACCESS_EDIT)) {
        OpenTable();
        echo "<center><font class=\"pn-normal\">"._CURRENTPOLL.": ".pnVarPrepForDisplay($pollTitle)."</font></center>";
        CloseTable();
    }
}





function admin_admin_main($var) {
global $new_skin, $admin_func, $gID, $DnMC  ;
if(!pnSecAuthAction(0, "Admin::", '::', ACCESS_READ)) {

                pnRedirect('index.php');
    } else {

        $ModName  = basename(dirname(__FILE__));


        $useNewAdmin        = pnConfigGetVar('use_new_admin');
        if($GLOBALS['new_skin'] != ""){
                $newSkin = $GLOBALS['new_skin'];
                if(!pnModSetVar('Admin', 'use_skin', $newSkin)){
                        echo "No skin was set!";
                }
        }

        $useThisSkin = pnModGetVar('Admin','use_skin');

        if($useThisSkin == ""){
                if(!pnModSetVar('Admin', 'use_skin', 'spymac')){
                        echo "No skin was set!";
                }
        }


        if($useThisSkin == ""){
                $useThisSkin = 'spymac';
        }
        $use_skin = "modules/$ModName/skins/".$useThisSkin."/pnfunctions.php";


        $func         = $GLOBALS['admin_func'];
        $gID        = $GLOBALS['gID'];
        //include("modules/$ModName/pntables.php");
        // include("modules/$ModName/pnfunctions.php");
        include("modules/$ModName/pninit.php"); // Only to use the restore function
        if(file_exists($use_skin)){
                include($use_skin);
        }else{
                include("modules/$ModName/skins/".$useThisSkin."/pnfunctions.php");
        }

        Admin_Lite_initiation($gID);

        if(!$func){
                $func = getAdminLiteName(0,1);
        }


        // This will sync the modules table with the new admin
        // so the new modules will be displayed and any removed modules
        // will be removed.
        if($GLOBALS['DnMC'] == 1){
                include("modules/$ModName/moduleChanges.php");
                die;
        }elseif($GLOBALS['DnMC'] == 2){
                include("modules/$ModName/moduleChanges.php");
                die;
        }


        // Get the id so we know what tab to be selected when the
        // user access the admin without any selected tab or with a tabID
        // that is removed.
        if(allow_editable_tabs == 0){
                if(($func == "edit") && (pnSecAuthAction(0, "Admin::", "::", ACCESS_ADMIN))){
                //if(($status == 3 || $status == 5) && (pnSecAuthAction(0, "$name::", "::", ACCESS_EDIT))){

                        $func = $gID;
                }
                $func = checkIfGroupNumberExists($func);
        }else{
                if(($func != "edit") && (pnSecAuthAction(0, "Admin::", "::", ACCESS_ADMIN))){
                        if(($func != "edit_groups") && (pnSecAuthAction(0, "Admin::", "::", ACCESS_ADMIN))){
                                $func = checkIfGroupNumberExists($func);
                        }
                }
        }
        // ----------------------------------------------------------------
        // Check if there is anything we should do before anything else
        //
        // ----------------------------------------------------------------
        include("header.php");        // Output PN Default header
        // What do we want to use, the new or the old?
        if($useNewAdmin){ 
                // Ok, let's use the new one then...
                adminlite_header($func,$numberOfTabsToShow,$tabImages);      // Output our AdminLite Header
                // ----------------------------------------------------------------
                // If no group was selected then choose the default group.
                if(allow_editable_tabs == 1){
                        if(($func == "edit") && (pnSecAuthAction(0, "Admin::", "::", ACCESS_ADMIN))){
                                // Edit tab
                                adminlite_edit($gID);
                        }elseif(($func == "edit_groups") && (pnSecAuthAction(0, "Admin::", "::", ACCESS_ADMIN))){
                                // Edit all tabs
                                displayAllEditTable();
                        }else{
                                // Show the tab if the tabnumber exists.
                                // else display the default.
                                $func = checkIfGroupNumberExists($func);
                                adminlite_show($func,$displayNumberOfModules);
                        }
                }else{
                        // If the function allow_editable_tabs is false, then we will not show any
                        // function to edit the tab.
                        if(($func == "edit") && (pnSecAuthAction(0, "Admin::", "::", ACCESS_ADMIN))){
                                $func = $gID;
                        }elseif(($func == "edit_groups") && (pnSecAuthAction(0, "Admin::", "::", ACCESS_ADMIN))){
                                $func = $gID;
                        }
                        // Show the tab if the tabnumber exists.
                        // else display the default.
                        $func = checkIfGroupNumberExists($func);
                        adminlite_show($func,$displayNumberOfModules);
                }
                // ----------------------------------------------------------------
                echo "<hr width=\"100%\">";
        }else{
                // Ok, let's use the OLD one then...
                menu_draw();
                echo "</td>";
        }

        // Do some old stuff
        if(($func != "edit") AND ($func != "edit_groups")){
                admin_main_automated();
                admin_main_article();
                admin_main_poll();
        }

        if($useNewAdmin){
                adminlite_footer($func,$tabImages,$ModName);       // Output the AdminLite Footer
        }

        include("footer.php");        // Output PN Default Footer
/************************************************************************/
}
}



?>
