<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Magnus Hammar & Bjarne Var&ouml;ystrand
// Purpose of file: Display a new adminlayout with more options
// Customized and integrated in MD-Pro by TiMax  http://www.maxdev.com timax@maxdev.com
// ----------------------------------------------------------------------
// to do ....... work around permissions ..

$blocks_modules['adminmodules'] = array(
    'func_display' => 'admin_list_modules',
    'func_edit' => 'blocks_admin_actions',
    'func_update' => 'blocks_admin_update_content',
    'text_type' => 'Admin modules',
    'text_type_long' => 'Admin modules',
    'allow_multiple' => true,
    'form_content' => true,
    'form_refresh' => true,
    'show_preview' => true
    );

// Security
pnSecAddSchema('Admin::', 'Tab Name:Tab module:');


function getUrl($back){
        $dirList        = explode("/",__FILE__);
        $url = $dirList[(count($dirList)-$back)];
        return $url;
}

function getRequests($url){
        $url                 = explode("?",$url);
        $get_list         = explode("&",$url[1]);
        for($i = 0;$i < count($get_list);$i++){
                $getContent        = explode("=",$get_list[$i]);
                $getName        = $getContent[0];
                $getValue        = $getContent[1];

                if($getName != "gID"){
                        if($content){
                                $content .="&";
                        }
                        $content .= $getName."=".$getValue;
                }
        }
        return "?".$content;
}


function admin_list_modules($row){

    global $pndebug, $dbg, $pnconfig;
        list($dbconn)        = pnDBGetConn();
           $pntable                 = pnDBGetTables();

        if(!pnSecAuthAction(0, "Admin::", "::", ACCESS_EDIT)) {
                return;
        }
                $ModName = 'NS-Admin';
                $getQuery        = getRequests($GLOBALS['REQUEST_URI']);
                $use_gID        = $GLOBALS['gID'];
                if($use_gID > 0 || $use_gID == 'none'){
                        if($use_gID == 'none'){
                                $use_gID        = 0;
                        }
                        $setSuccess = pnModSetVar('admin','user_'.pnUserGetVar('uid'),$use_gID);
                }else{
                        $use_gID        = pnModGetVar('admin','user_'.pnUserGetVar('uid'));
                }
                if(!$setSuccess){
                }
                $content         .= "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";

                require_once("modules/$ModName/pnfunctions.php");
                require_once("modules/$ModName/pninit.php"); // Only to use the restore function

                  $pntable = pnDBGetTables();
                  $table = $pntable['group_table'];
                  $column = &$pntable['group'];
                  $modtable = $pntable['member_table'];
                  $modcolumn = &$pntable['members'];
                  $modulestable = pnConfigGetVar('prefix')."_modules";
// modified for Oracle compatibility
/*                                        $result = mysql_query("SELECT * FROM ".$table." ORDER BY ".$column['order']);
                  $num         = mysql_numrows($result);
                  for ($i = 0 ;$i < $num; $i++){
                  $gID                                = mysql_result($result, $i, $column['id']);
                  $gName                                = mysql_result($result, $i, $column['name']);

                        if (pnSecAuthAction(0, "Admin::", ":$gName:", ACCESS_EDIT)) {
                                if($use_gID == $gID){
                                        $content .= "<tr><td><a href=\"".$getQuery."&gID=none\"><img src=\"images/global/upb.gif\" border=\"0\"></a>&nbsp;<b>".$gName."</b></td></tr>";
                                        $query                        = "SELECT ".$modcolumn['mid']." FROM ".$modtable." INNER JOIN ".$modulestable." AS mod ON ".$modcolumn['mid']." = mod.pn_id WHERE ".$modcolumn['gid']."='".$gID."' ORDER BY mod.pn_displayname";
                                        $result2                 = mysql_query($query);
                                        $num2                         = mysql_numrows($result2);
                                        if($num2 > 0){
                                                for ($i2 = 0 ;$i2 < $num2; $i2++){
                                                        $mID        = mysql_result($result2, $i2, $modcolumn['mid']);
                                                        list($admin,$image,$name,$status)        = getModInfo($mID);
                                                        $modinfo = pnModGetInfo(pnModGetIDFromName("$name"));
                                                        $namesh = $modinfo['displayname'];
                                                        if (pnSecAuthAction(0, "Admin::", ":$name:", ACCESS_EDIT)) {
                                                                if(($status == 3 || $status == 5) && (pnSecAuthAction(0, "$name::", "::", ACCESS_EDIT))){
                                                                        if(checkShowModule($name)){
                                                                                $content .= "<tr><td align=\"left\" nowrap valign=\"bottom\">&nbsp;&nbsp;<strong><big>&middot;</big></strong>&nbsp;<a href=\"".$admin."&gID=".$gID."\" title=\"$namesh\">$namesh</a></td></tr>\n";
                                                                        }
                                                                }
                                                        }
                                                }
                                        }
                                }else{
                                        $content .= "<tr><td><strong><big>&middot;</big></strong>&nbsp;<a href=\"".$getQuery."&gID=".$gID."\">".$gName."</a></td></tr>";
                                }
                        }
                }
*/
                                $result = $dbconn->Execute("SELECT * FROM ".$table." ORDER BY ".$column['order']);
                                while(!$result->EOF) {
                                        list($gID, $gName, $glock, $gshow, $gsort, $gdef) = $result->fields;
                                        if (pnSecAuthAction(0, "Admin::", ":$gName:", ACCESS_EDIT)) {
                                                if($use_gID == $gID){
                                                        $content .= "<tr><td><a href=\"".$getQuery."&gID=none\"><img src=\"images/global/upb.gif\" border=\"0\"></a>&nbsp;<b>".$gName."</b></td></tr>";
                                                        $dbtype = $pnconfig['dbtype'];
                                                    if (strcmp($dbtype,'oci8')== 0) {

                                                                $query = "SELECT ".$modcolumn['mid']." FROM ".$modtable." , ".$modulestable." mod WHERE ".$modcolumn['mid']." = mod.pn_id AND ".$modcolumn['gid']."='".$gID."' ORDER BY mod.pn_displayname";
                                                        }else{
                                                                $query = "SELECT ".$modcolumn['mid']." FROM ".$modtable." INNER JOIN ".$modulestable." AS mod ON ".$modcolumn['mid']." = mod.pn_id WHERE ".$modcolumn['gid']."='".$gID."' ORDER BY mod.pn_displayname";
                                                        }
                                                        $result2 = $dbconn->Execute($query);
                                                        if ($dbconn->ErrorNo() != 0) {
                                                                return;
                                                        }
                                                        while (!$result2->EOF){
                                                                list($mID) = $result2->fields;
                                                                list($admin,$image,$name,$status) = getModInfo($mID);
                                $modinfo = pnModGetInfo(pnModGetIDFromName("$name"));
                                $namesh = $modinfo['displayname'];
                                if (pnSecAuthAction(0, "Admin::", ":$name:", ACCESS_EDIT)) {
                                                                        if(($status == 3 || $status == 5) && (pnSecAuthAction(0, "$name::", "::", ACCESS_EDIT))){
                                                                                if(checkShowModule($name)){
                                                                                        $content .= "<tr><td align=\"left\" nowrap valign=\"bottom\">&nbsp;&nbsp;<strong><big>&middot;</big></strong>&nbsp;<a href=\"".$admin."&gID=".$gID."\" title=\"$namesh\">$namesh</a></td></tr>\n";
                                        }
                                                                        }
                                                                }
                                                                $result2->MoveNext();
                                                        }
                                                }else{
                                                        $content .= "<tr><td><strong><big>&middot;</big></strong>&nbsp;<a href=\"".$getQuery."&gID=".$gID."\">".$gName."</a></td></tr>";
                                                }
                                        }
                                        $result->MoveNext();
                                }


                $content .="</table><br>";
                if(!pnSecAuthAction(0, "Admin::", '::', ACCESS_ADMIN)) {
                $content .="<div align=\"center\">|<a href=\"admin.php\" title=\""._ADMIN_LITE_EDIT_."\">"._ADMIN_LITE_ADMIN_."</a>&nbsp;|&nbsp;<a href=\"user.php?module=NS-User&op=logout\">"._ADMIN_LITE_LOGOUT_."</a>&nbsp;]</div>";
                } else {
                $content .="<div align=\"center\">[&nbsp;<a href=\"admin.php?op=main&module=$ModName&admin_func=edit&gID=".$GLOBALS['gID']."\" title=\""._ADMIN_LITE_EDIT_."\">"._ADMIN_LITE_EDIT_."</a>&nbsp;|&nbsp;<a href=\"admin.php\" title=\""._ADMIN_LITE_ADMIN_."\">"._ADMIN_LITE_ADMIN_."</a>&nbsp;|&nbsp;<br><a href=\"user.php?module=NS-User&op=logout\" title=\""._ADMIN_LITE_LOGOUT_."\">"._ADMIN_LITE_LOGOUT_."</a>&nbsp;]</div>";
                }

            $pntable                 = pnDBGetTables();
            $vars = pnBlockVarsFromContent($row['content']);

            if (!empty($vars['displaywaiting'])) {
                if ($contentOther == 1) {
                    $content .= addMenuStyledUrl_WaitingContent($vars['style'], "", "", "");
                }


                $header = 0;

                if (pnSecAuthAction(0, "AddStory::", "::", ACCESS_ADD)) {
                    $result = $dbconn->Execute("SELECT count(1) FROM $pntable[queue]
                                              WHERE {$pntable['queue_column']['arcd']}=0");
                    if ($dbconn->ErrorNo() == 0) {
                        list($qnum) = $result->fields;
                        $result->Close();
                        if ($qnum) {
                            if ($header == 0) {
                                $content .= addMenuStyledUrl_WaitingContent($vars['style'], "<strong>" . _WAITINGCONT. "</strong>", "", "");
                                $header = 1;
                            }
                            $content .= addMenuStyledUrl_WaitingContent($vars['style'], _SUBMISSIONS.": $qnum", "admin.php?module=NS-AddStory&op=submissions", "");
                            $contentOther = 1;
                        }
                    }
                }

                if (pnSecAuthAction(0, "Reviews::", "::", ACCESS_ADD)) {
                    $result = $dbconn->Execute("SELECT count(1) FROM $pntable[reviews_add]");
                    if ($dbconn->ErrorNo() == 0) {
                        list($rnum) = $result->fields;
                        $result->Close();
                        if ($rnum) {
                            if ($header == 0) {
                                $content .= addMenuStyledUrl_WaitingContent($vars['style'], "<strong>" . _WAITINGCONT. "</strong>", "", "");
                                $header = 1;
                            }
                            $content .= addMenuStyledUrl_WaitingContent($vars['style'], _WREVIEWS.": $rnum", "admin.php?module=Reviews&op=main", "");
                            $contentOther = 1;
                        }
                    }
                }

                if (pnSecAuthAction(0, "Web Links::", "::", ACCESS_ADD)) {
                    $result = $dbconn->Execute("SELECT count(1) FROM $pntable[links_newlink]");
                    if ($dbconn->ErrorNo() == 0) {
                        list($lnum) = $result->fields;
                        $result->Close();
                        if ($lnum) {
                            if ($header == 0) {
                                $content .= addMenuStyledUrl_WaitingContent($vars['style'], "<strong>" . _WAITINGCONT. "</strong>", "", "");
                                $header = 1;
                            }
                            $content .= addMenuStyledUrl_WaitingContent($vars['style'], _WLINKS.": $lnum", "admin.php?module=Web_Links&op=main", "");
                            $contentOther = 1;
                        }
                    }
                }

                if (pnSecAuthAction(0, "Downloads::", "::", ACCESS_ADD)) {
                    $result = $dbconn->Execute("SELECT count(1) FROM $pntable[downloads_newdownload]");
                    if ($dbconn->ErrorNo() == 0) {
                        list($dnum) = $result->fields;
                        $result->Close();
                        if ($dnum) {
                            if ($header == 0) {
                                $content .= addMenuStyledUrl_WaitingContent($vars['style'], "<strong>" . _WAITINGCONT. "</strong>", "", "");
                                $header = 1;
                            }
                            $content .= addMenuStyledUrl_WaitingContent($vars['style'], _WDOWNLOADS.": $dnum", "admin.php?module=Downloads&op=main", "");
                            $contentOther = 1;
                        }
                    }
                }

                if (pnSecAuthAction(0, "FAQ::", "::", ACCESS_ADD)) {
                                $faqcolumn = &$pntable['faqanswer_column'];
// modified for Oracle compatibility
//                                $result = $dbconn->Execute("SELECT count(1) FROM $pntable[faqanswer] WHERE $faqcolumn[answer]='' OR $faqcolumn[answer] IS NULL");

                                                            $dbtype = $pnconfig['dbtype'];
                                                                if (strcmp($dbtype,'oci8')== 0) {
                                                                        $query2="SELECT count(1) FROM $pntable[faqanswer] WHERE DBMS_LOB.getlength($faqcolumn[answer]) = 0";
                                                                }else{
                                                                        $query2="SELECT count(1) FROM $pntable[faqanswer] WHERE $faqcolumn[answer]=''";
                                                                }
                                $result = $dbconn->Execute($query2);
                                if ($dbconn->ErrorNo() == 0) {
                                        list($fnum) = $result->fields;
                                        $result->Close();
                                        if ($fnum) {
                                                if ($header == 0) {
                                                        $content .= addMenuStyledUrl_WaitingContent($vars['style'], "<strong>" . _WAITINGCONT. "</strong>", "", "");
                                                        $header = 1;
                                                }
                                                $content .= addMenuStyledUrl_WaitingContent($vars['style'], _FQUESTIONS.": $fnum", "admin.php?module=FAQ&op=FaqCatUnanswered", "");
                                                $contentOther = 1;
                                        }
                                }
                }
                }

            if(empty($row['title'])) {
            $row['title'] = "Admin Menu";
            }
            $row['content'] = $content;
                return themesideblock($row);
}


function startMenuStyle_WaitingContent($style){
    $content = "";
    if ($style == 2) {
        $content = "<br><center><form method=\"post\" action=\"index.php\"><select class=\"pn-text\" name=\"newlanguage\" onChange=\"top.location.href=this.options[this.selectedIndex].value\">";
    }

    return $content;
}

function endMenuStyle_WaitingContent($style){
    $content = "";
    if ($style == 2) {
        $content = "</select></form></center>";
    }

    return $content;
}


function addMenuStyledUrl_WaitingContent($style, $name, $url, $comment){
    if ($style == 1) {
        if (empty($url)) {
            if (empty($name)) {
                $content = "<br>";
            } else {
                $content = "<br><b>$name</b><br>";
            }
        } else {
        switch ($url[0])
         {
            case '[':
             {
                $url = explode(':', substr($url, 1,  - 1));
                $url = 'modules.php?op=modload&amp;name='.$url[0].'&amp;file='.((isset($url[1])) ? $url[1]:'index');
                break;
            }
            case '{':
             {
                $url = explode(':', substr($url, 1,  - 1));
                $url = 'index.php?module='.$url[0].'&amp;func='.((isset($url[1])) ? $url[1]:'main');
                break;
            }
        }
            $content = "<strong><big>&middot;</big></strong>&nbsp;<a class=\"pn-normal\" href=\"$url\" title=\"$comment\">$name</a><br>";
        }
    } else if ($style == 2) {
         if (empty($url)) {
             $content = "<option>-----</option>";
            if (!empty($name)) {
                $content .= "<option>$name</option>";
                $content .= "<option>-----</option>";
            }
        } else {

        switch ($url[0])
         {
            case '[':
             {
                $url = explode(':', substr($url, 1,  - 1));
                $url = 'modules.php?op=modload&amp;name='.$url[0].'&amp;file='.((isset($url[1])) ? $url[1]:'index');
                break;
            }
            case '{':
             {
                $url = explode(':', substr($url, 1,  - 1));
                $url = 'index.php?module='.$url[0].'&amp;func='.((isset($url[1])) ? $url[1]:'main');
                break;
            }
        }
            $content = "<option value=\"$url\">$name</option>";
        }
    }

    return $content;
}

function blocks_admin_actions($row){
    global $pntheme;
    list($dbconn)        = pnDBGetConn();
    $pntable                 = pnDBGetTables();

     $vars = pnBlockVarsFromContent($row['content']);
    $row['content'] = "";

     if (empty($vars['style'])) {
        $vars['style'] = 1;
    }

    $output .= '<table><tr><td class="pn-normal">'._WAITINGCONT.':</td><td><input type="checkbox" value="1" name="displaywaiting"';
    if (!empty($vars['displaywaiting'])) {
        $output .= ' checked';
    }
    $output .= ' /></td></tr>';


    $output .= '</table>';

    return $output;

}



function blocks_admin_update_content($row)
{
    list($vars['displaymodules'],
         $vars['displaywaiting'],
         $vars['style'])
      = pnVarCleanFromInput('displaymodules',
                            'displaywaiting',
                            'style');

    if (empty($vars['displaymodules'])) {
        $vars['displaymodules'] = 0;
    }
    if (empty($vars['displaywaiting'])) {
        $vars['displaywaiting'] = 0;
    }
    if (empty($vars['style'])) {
        $vars['style'] = 1;
    }

    $content = array();
    $c = 1;
    if (isset($row['linkname'])) {
        list($linkurl, $linkname, $linkdesc) = pnVarCleanFromInput('linkurl', 'linkname', 'linkdesc');
        foreach ($row['linkname'] as $v) {
            if (!isset($row['linkdelete'][$c])) {
                $content[] = "$linkurl[$c]|$linkname[$c]|$linkdesc[$c]";
            }
            if (isset($row['linkinsert'][$c])) {
                $content[] = "||";
            }
            $c++;
        }
    }
    if ($row['new_linkname']) {
       $content[] = pnVarCleanFromInput('new_linkurl').'|'.pnVarCleanFromInput('new_linkname').'|'.pnVarCleanFromInput('new_linkdesc');
    }
    $vars['content'] = implode("LINESPLIT", $content);

    $row['content'] = pnBlockVarsToContent($vars);

    return($row);
}
?>
