<?PHP
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file:  Christopher Thorjussen <joffer@online.no>
// Purpose of file:
// PHP-Nuke MailUsers Module for PHP-Nuke v5.0BETA
// Copyright (c) 2001 by Christopher Thorjussen (joffer@online.no)
// http://www.nukemodules.com
// Nuke MailUsers is a hack of the email_user script in
// PHP-Nuke AddOn v5.01
// Copyright (c)2001 Richard Tirtadji (rtirtadji@hotmail.com)
// URL: http://www.nukeaddon.com
// ----------------------------------------------------------------------

if (!eregi("admin.php", $PHP_SELF)) {
   die ("Access Denied");
}

modules_get_language();
modules_get_manual();

function MailUser($var)
{
   list($dbconn) = pnDBGetConn();
   $pntable = pnDBGetTables();

   include 'header.php';

   GraphicAdmin();

   if (!(pnSecAuthAction(0, 'MailUsers::', '::', ACCESS_ADMIN))) {
      echo _MAILUSERSNOAUTH;
      include 'footer.php';
      return;
   }
   OpenTable();

   $html_code = "<center><font class=\"pn-title\">"._NM_MAILUSER."</font></center>";
   $html_code .= "<form action=\"admin.php\" method=\"post\">";
   $html_code .= "<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">";
   $html_code .= "<input type=\"hidden\" name=\"op\" value=\"send\">";
   $html_code .= "<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">";
   $html_code .= "<table border=\"0\">";
   $html_code .= "<tr><td><font class=\"pn-normal\"><b>"._NM_USERNAME."</b></font></td>";
   $html_code .= "<td><select name=\"username\">\n";
   echo $html_code;
   
   $column = &$pntable['users_column'];   
   $query = "SELECT $column[uid], $column[uname] FROM $pntable[users] ORDER BY $column[uname]";
   $result = $dbconn->Execute($query);

   $tmp1 = 0;
   while (!$result->EOF){
      list($uid, $uname) = $result->fields;
      $result->MoveNext();

      if ($tmp1 == 0) {
         echo "<option value=\"$uid\">"._NM_CHOOSEUSER."</option>";
      }

      $anonymous = pnConfigGetVar('anonymous');

      if ($uname != $anonymous) {
         echo "<option value=\"$uid\">".pnVarPrepForDisplay($uname)."</option>\n";
      }

      $tmp1++;
   }

   $html_code  = "</select></td></tr>";
   $html_code .= "<tr><td></td><td><font class=\"pn-normal\"><input type=\"checkbox\" name=\"all\" value=\"1\">";
   $html_code .= _NM_MAILALLUSERS."</font></td></tr>";
   echo $html_code;

   // PF
   // modified to display the group mail option
   //
   echo "<tr><td><font class=\"pn-normal\"><b>"._NM_GROUPNAME."</b></font></td>";
   echo "<td><select name=\"groupname\">\n";
   echo "<option value=\"\">"._NM_CHOOSEGROUP."</option>\n";              
   //
   // search user groups
   //
   $column = &$pntable['groups_column'];
   $result = $dbconn->Execute("SELECT $column[gid], $column[name] FROM $pntable[groups] ORDER BY $column[name]"); 
   while (!$result->EOF){
       list($gid, $name) = $result->fields;
       echo "<option value=\"$gid\">".pnVarPrepForDisplay($name)."</option>\n";
       $result->MoveNext();
    }
    echo "</select></td></tr>\n";
    //
    // end 
    //

   $html_code = "<tr><td><font class=\"pn-normal\"><b>"._NM_FROM."</b></font></td>";
   $html_code .= "<td><input type=\"text\" size=\"28\" name=\"fromname\"></td></tr>";
   $html_code .= "<tr><td><font class=\"pn-normal\"><b>"._NM_REPLYTOADDRESS."</b>";
   $html_code .= "</font></td><td><input type=\"text\" size=\"28\" name=\"from\"></td></tr>";
   $html_code .= "<tr><td><font class=\"pn-normal\"><b>"._NM_SUBJECT."</b></font>";
   $html_code .= "</td><td><input type=\"text\" size=\"28\" name=\"subject\"></td></tr>";
   $html_code .= "<tr><td><font class=\"pn-normal\"><b>"._NM_MESSAGE."</b></font></td>";
   $html_code .= "<td><textarea wrap=\"virtual\" cols=\"42\" rows=\"12\" name=\"message\" id=\"message\"></textarea></td></tr>";
   $html_code .= "<tr><td>&nbsp;</td><td>";
   $html_code .= "<tr><td>&nbsp;</td><td>";
   $html_code .= "<input type=\"submit\" value=\""._NM_SEND_MAIL."\">&nbsp;&nbsp <font class=\"pn-normal\"><b>";
   $html_code .= _NM_REMEMBER."</b></font></td></tr>";
   $html_code .= "</table></form>";
   echo $html_code;
   
   CloseTable();

   include 'footer.php';
}

function error()
{
   $errorid = pnVarCleanFromInput('errorid');

   include 'header.php';

   GraphicAdmin();

   if (!(pnSecAuthAction(0, 'MailUsers::', '::', ACCESS_ADMIN))) {
      echo _MAILUSERSNOAUTH;
      include 'footer.php';
      return;
   }
   OpenTable();

   echo '<center><br><b><font color='._NB_ERRORCOLOR.' size="3">';

   if($errorid == 1) {
      echo _NM_ERROR1;
   } elseif($errorid == 2) {
      echo _NM_ERROR2;
   } elseif($errorid == 3) {
      echo _NM_ERROR3;
   } elseif($errorid == 4) {
      echo _NM_ERROR4;
   } elseif($errorid == 5) {
      echo _NM_ERROR5;
   }
   echo  '</font></b><br><br>'._GOBACK.'</center>';

   CloseTable();

   include 'footer.php';
}

function send_email_to_user($var)
{
   if (!(pnSecAuthAction(0, 'MailUsers::', '::', ACCESS_ADMIN))) {
      include 'header.php';
      echo _MAILUSERSNOAUTH;
      include 'footer.php';
      return;
   }
   
   list($dbconn) = pnDBGetConn();
   $pntable = pnDBGetTables();

   //use pnVarCleanFromInput which is more reliable with scripting security issues. - Skooter
   list($username,
      $all,
      $groupname,
      $fromname,
      $from,
      $subject,
      $message) = pnVarCleanFromInput('username',
                                                           'all',
                                                           'groupname',
                                                           'fromname',   
                                                           'from',
                                                           'subject',
                                                           'message');

   $message = stripslashes($message);
   $subject = stripslashes($subject);

   // modified to check the groupname option
   if (($username== 0) and (!$all) and ($groupname == "")) {
      pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=error&errorid=1');
   } elseif ($fromname == "") {
      pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=error&errorid=2');
   } elseif ($from == "") {
      pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=error&errorid=3');
   } elseif (subject == "") {
      pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=error&errorid=4');
   } elseif ($message == "") {
      pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=error&errorid=5');
   }
   //  moved security key check to after audits since back button from error page gave auth error. - Skooter
   if (!pnSecConfirmAuthKey()) {
      include 'header.php';
      echo _BADAUTHKEY;
      include 'footer.php';
      exit;
   }
   if($all) {
      $column = &$pntable['users_column'];
      $result = $dbconn->Execute("SELECT DISTINCT $column[email] FROM $pntable[users]");
   } else {
      // modified to send mail to an entire group of users if specified
      if ($groupname != "") {
         $users_col = &$pntable['users_column'];
         $groups_col = &$pntable['groups_column'];
         $groups_mem_col = &$pntable['group_membership_column'];
         $query  = "SELECT  $users_col[email] ";
         $query .= "FROM  $pntable[users],$pntable[group_membership],$pntable[groups] ";
         $query .= "WHERE $groups_col[gid] = $groups_mem_col[gid] ";
         $query .= "AND $groups_mem_col[uid] = $users_col[uid] ";
         $query .= "AND $groups_col[gid] = $groupname";
         $result = $dbconn->Execute($query);
      } else {
         $column = &$pntable['users_column'];
         $query = "SELECT $column[email] ";
         $query .= "FROM $pntable[users] ";
         $query .= "WHERE $column[uid] ='".pnVarPrepForStore($username)."'";
         $result = $dbconn->Execute($query);
      }
   }

   if($dbconn->ErrorNo()<>0) {
      error_log("DB Error: nukemail.php" . $dbconn->ErrorMsg());
      echo $dbconn->ErrorNo(). ": ".$dbconn->ErrorMsg(). "<br>";
      exit();
   }

   //added logic to email in batches of 100 users to prevent problems with large headers - Skooter
   $email = "";
   $usercount = 0;

   if($all) {
      //modified for Oracle compatibility
      while (!$result->EOF) {
         list($useremail) = $result->fields;
         $result->MoveNext();

         if (!empty($useremail)) {
            $email .= "$useremail, ";
            $usercount = $usercount + 1;
         }

         //If we've processed more than 100 users send email and reset counters - Skooter
         if ($usercount > 100){
            pnMail($useremail, $subject, $message, "From: \"".$fromname."\" <".$from.">\nBcc: $email\nX-Mailer: PHP/" . phpversion());
            $email = "";
            $usercount = 0;
         }

      }
      //Leaving this pnmail call here to catch the last set of users if counter is > 0 - Skooter 
      // An email to all goes out To: the user sending the email,
      // and Bcc: all of the actual recipients
      if ($usercount >0){
         pnMail($useremail, $subject, $message, "From: \"".$fromname."\" <".$from.">\nBcc: $email\nX-Mailer: PHP/" . phpversion());
      }
   }  else {
      // check if groupname will be specified
      if ($groupname != "") {
         while (!$result->EOF) {
            list($useremail) = $result->fields;
            $result->MoveNext();

            if (!empty($useremail)) {
               $email .= "$useremail, ";
               $usercount = $usercount + 1;
            }
            //If we've processed more than 100 users send email and reset counters - Skooter
            if ($usercount > 100){
               pnMail($useremail, $subject, $message, "From: \"".$fromname."\" <".$from.">\nBcc: $email\nX-Mailer: PHP/" . phpversion());
               $email = "";
               $usercount = 0;
            }
         }    
         if ($usercount > 0){
            pnMail($useremail, $subject, $message, "From: \"".$fromname."\" <".$from.">\nBcc: $email\nX-Mailer: PHP/" . phpversion());
         }
      } else {
         list($email) = $result->fields;
         $email .= ", ";
         pnMail($useremail, $subject, $message, "From: \"".$fromname."\" <".$from.">\nBcc: $email\nX-Mailer: PHP/" . phpversion());
      }
   }

   pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=main');

}

function mailusers_admin_main($var)
{
   $op = pnVarCleanFromInput('op');
   extract($var);

   if (!(pnSecAuthAction(0, 'MailUsers::', '::', ACCESS_ADMIN))) {
      include 'header.php';
      echo _MAILUSERSNOAUTH;
      include 'footer.php';
   } else {
      switch ($op) {
         case "send":
            send_email_to_user($var);
            break;

         case "error":
            error();
            break;

         default:
            MailUser($var);
            break;
      }
   }
}
?>
