<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Filename: modules/NS-Polls/index.php
//  Poll with advanced voter functions
//  by Furbo
//  allows for normal polls (ip, one vote per day) OR one vote per user
//
// Requirements:
//  add pntable[poll_voters] and pntable[poll_voter_column] entries to the pntables.php file
//             Original Author: Till Gerken (tig@skv.org)
//             Purpose: Voting system
// ----------------------------------------------------------------------

if (!defined("LOADED_AS_MODULE")) {
         die ("You can't access this file directly...");
     }

$ModName = $GLOBALS['name'];
modules_get_language();

include_once 'modules/Blocks/pnblocks/poll.php';

global $mode, $order, $thold;

// Don't delete this strings in 0.71 _LVOTES _NUMVOTES _ONEPERDAY _OTHERPOLLS
// _PASTSURVEYS _PCOMMENTS _POLLS _RESULTS _TOTALVOTES _VOTE _VOTING he-he

if (!isset($req)) {
    $req = '';
}
if (!isset($voteID)) {
    $voteID = '';
}

if(!isset($pollID)) {

    include ('header.php');
    pollList();
    include ('footer.php');

} elseif(isset($forwarder)) {
    pollCollector($pollID, $voteID, $forwarder);
    return true;
} elseif($req == "results" && $pollID > 0) {
    include ("header.php");
    OpenTable();
    print '<center><font class="pn-title">'._CURRENTPOLLRESULTS.'</font></center>';
    CloseTable();

    OpenTable2();
    pollResults($pollID);
    CloseTable2();
    if (pnConfigGetVar('pollcomm') && ($mode != "nocomments")) {
        print '<br><br>';
        include("modules/$ModName/comments.php");
    }
    include ("footer.php");
} elseif($req == "voters" && $pollID > 0) {
    include ("header.php");
    OpenTable();
    print '<center><font class="pn-title">'._CURRENTPOLLRESULTS.'</font></center>';
    CloseTable();

    OpenTable2();
    pollVotersResults($pollID);
    CloseTable2();

    if (pnConfigGetVar('pollcomm') && ($mode != "nocomments")) {
        print '<br><br>';
        include("modules/$ModName/comments.php");
    }
    include ("footer.php");

} elseif($voteID > 0) {
    pollCollector($pollID, $voteID);
    return true;
} elseif($pollID != pollLatest()) {
    include ('header.php');
    OpenTable();
    print '<center><font class="pn-title">'._POLL.'</font></center>';
    CloseTable();

    print '<table border="0" align="center"><tr><td>';
    $row = '';
    pollMain($pollID, $row);
    print '</td></tr></table>';

    include ('footer.php');
} else {

    include ('header.php');
    OpenTable();
    print '<center><font class="pn-title">'._CURRENTPOLL.'</font></center>';
    CloseTable();

    print '<table border="0" align="center"><tr><td>';
    pollNewest();
    print '</td></tr></table>';
    include ('footer.php');
}

?>
