<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Original Author of file:
// Purpose of file:
// ----------------------------------------------------------------------

if (!eregi("admin.php", $PHP_SELF)) {
    die ("Access Denied");
}

modules_get_language();
modules_get_manual();
include 'modules/NS-User/tools.php';
include 'modules/NS-User/password.php';

if (!pnSecAuthAction(0, 'Users::', '::', ACCESS_ADMIN)) {
    include 'header.php';
    echo _MODIFYUSERSNOAUTH;
    include 'footer.php';
}


function displayUsers()
{
    include("header.php");
    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"pn-title\"><b><a href=\"admin.php?module=NS-User&op=main\">"._USERADMIN."</a></b></font></center>";
    CloseTable();

    if (!pnSecAuthAction(0, 'Users::', '::', ACCESS_EDIT)) {
        echo _MODIFYUSERSNOAUTH;
        include 'footer.php';
        return;
    }
    /*Added by Chestnut 13/02/2003 16h39*/
    //Delete User Request
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
	/*Modified by Made 13/05/2004 09h57*/
        //$uatable = $pntable['users_modrequest'];
        $uatable = &$pntable;
        $uacolumn = &$pntable[users_modrequest_column];
    if (pnSecAuthAction(0, 'Users::', '::', ACCESS_DELETE)) {
        $result = $dbconn->Execute("SELECT count(*) FROM ".$uatable['users_modrequest']." WHERE $uacolumn[udel]='1'");
        list($delreq) = $result->fields;
        if ($delreq != 0) {
            OpenTable();
            echo "<center><font class=\"pn-title\"><b>"._UADELWAIT."</b></font><br><br>\n";
            echo "<center><a href=\"admin.php?module=".$GLOBALS['module']."&op=ListDelRequest\">"._UADELWAITLST." ( ".pnVarPrepForDisplay($delreq)." )</a></center><br>\n";
            CloseTable();
        }
    }
        // Moderate List
    if (pnSecAuthAction(0, 'Users::', '::', ACCESS_ADD)) {
        $result = $dbconn->Execute("SELECT count(*) FROM ".$uatable['users_modrequest']." WHERE $uacolumn[uadd]='1'");
        list($addreq) = $result->fields;
        if ($addreq != 0) {
            OpenTable();
            echo "<center><font class=\"pn-title\"><b>"._UAADDWAIT."</b></font><br><br>\n";
            echo "<center><a href=\"admin.php?module=".$GLOBALS['module']."&op=ListUAddRequest\">"._UAADDWAITLST." ( ".pnVarPrepForDisplay($addreq)." )</a></center><br>\n";
            CloseTable();
        }
    }
    /*End*/
    // Edit current user
    if (pnSecAuthAction(0, 'Users::', '::', ACCESS_EDIT)) {
        $column = &$pntable['users_column'];
        $result = $dbconn->Execute("SELECT                 $column[uid], $column[uname]
                                                                FROM                $pntable[users]
                                    WHERE                $column[uid]!='1'
                                    ORDER BY        $column[uname]");
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._EDITUSER."</b></font><br><br>"
                ."<form method=\"post\" action=\"admin.php\">\n";
        echo "<select name=\"chng_uid\">";
//modified for Oracle compatibility
//        while(list($uid, $uname) = $result->fields) {
        while(!$result->EOF){
			list($uid, $uname) = $result->fields;
                $result->MoveNext();
                echo "<option value=\"$uid\">$uname</option>\n";
        }
        echo "</select>&nbsp;&nbsp;"
                ."<select name=\"op\">\n"
                ."<option value=\"modifyUser\">"._MODIFY."</option>\n"
                ."<option value=\"delUser\">"._DELETE."</option></select>\n"
                ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">\n"
                        ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">\n"
                ."<input type=\"submit\" value=\""._OK."\"></form></center>\n";
        CloseTable();
    }

    // Add new user
    if (pnSecAuthAction(0, 'Users::', '::', ACCESS_ADD)) {
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._ADDUSER."</b></font><br><br>\n"
                ."<form action=\"admin.php\" method=\"post\">\n"
                ."<table border=\"0\" width=\"600\">\n"
            ."<tr><td width=\"150\"><font class=\"pn-norma\">"._NICKNAME."</font></td>\n"
            ."<td><input type=\"text\" name=\"add_uname\" size=\"30\" maxlength=\"25\"> <font class=\"pn-sub\">"._REQUIRED."</font></td></tr>\n"
            ."<tr><td><font class=\"pn-normal\">"._EMAIL."</font></td>\n"
            ."<td><input type=\"text\" name=\"add_email\" size=\"30\" maxlength=\"60\"> <font class=\"pn-sub\">"._REQUIRED."</font></td></tr>\n"
            ."<tr><td><font class=\"pn_normal\">"._PASSWORD."</font></td>\n"
            ."<td><input type=\"password\" name=\"add_pass\" size=\"30\" maxlength=\"12\"> <font class=\"pn-sub\">"._REQUIRED."</font></td></tr>\n";

                $requiredfields = getfieldrequired();
                if (!empty($requiredfields) && is_array($requiredfields)) {
                        echo "<tr><td colspan=2> -- </td></tr>\n";
                        while(list($key, $val) = each($requiredfields)) {

                                $namefield = $val['FIELD'];
                                $isrequired = $val['VALIDATION']['REQUIRED'];
                                $fieldvalid = $val['VALIDATION'];
                                $fieldlibel = $val['LIBEL'];

                                echo "<tr><td><font class=\"pn-normal\">\n".pnVarPrepForDisplay($fieldlibel)."</font></td>\n";
                                echo "<td>\n";
                                switch ($namefield) {
                                      case "_TIMEZONEOFFSET":
                                          global $tzinfo;
                                          echo "<table><tr><td><select name=\"dynafield['".$val['FIELD']."']\" class=\"pn-normal\">";
                                          foreach ($tzinfo as $tzindex => $tzdata) {
                                             echo "\n<option value=\"$tzindex\">";
                                             echo $tzdata;
                                             echo "</option>";
										  }
                                          echo "</select></td></tr></table>\n";
                                          break;
                                      case "_YOURAVATAR":
                                          echo "<table><tr><td><select name=\"dynafield['".$namefield."']\" class=\"pn-normal\">";
                                          $handle = opendir('./images/avatar');
                                          while ($file = readdir($handle)) {
                                            $filelist[] = $file;
										  }
                                          asort($filelist);
                                          while (list ($key, $file) = each ($filelist)) {
                                             ereg(".gif|.jpg",$file);
                                             if ($file != "." && $file != ".." && $file != "personal") {
                                                echo "<option value=\"$file\">$file</option>";
											 }
										  }
                                          echo "</select>&nbsp;&nbsp;";
                                          echo "<script language=\"JavaScript\">
                                          <!--
                                           function OpenAvatarWindow(theURL,winName,features) { //v2.0
                                           window.open(theURL,winName,features);
                                            } 
                                            -->
                                           </script>[ <a onClick=\"OpenAvatarWindow('avatar.php','Avatars','scrollbars=yes,width=450,height=400')\">"._UAAVATARLIST."</a> ]</td></tr></table>";
                                          break;
                                      default:
                                          $fieldvalid['NAME'] = $namefield;
                                          echo getfieldHTMLDef($fieldvalid, $dynavalue='');
                                          break;
                                }
                                //echo " <font class=\"pn-sub\">"._REQUIRED."</font>\n";
                                echo "</td></tr>\n";
                        }
                }

                echo "<tr><td colspan=2> -- </td></tr>\n"
          //."<input type=\"hidden\" name=\"add_avatar\" value=\"blank.gif\">\n"
            ."<input type=\"hidden\" name=\"module\" value=\"NS-User\">\n"
            ."<input type=\"hidden\" name=\"op\" value=\"addUser\">\n"
            ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">\n"
            ."<tr><td colspan=\"2\"><input type=\"submit\" value=\""._ADDUSERBUT."\"></form></td></tr>\n"
            ."</table>\n";
        CloseTable();
    }
// Access User Settings
    if (pnSecAuthAction(0, 'Users::', '::', ACCESS_ADD)) {
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._USERCONF."</b></font></center><br><br>";
        echo "<center><a href=\"admin.php?module=" . $GLOBALS['module'] . "&amp;op=getRegConfig\">" . _REGCONF . "</a></center>";
        echo "<center><a href=\"admin.php?module=" . $GLOBALS['module'] . "&amp;op=getConfig\">" . _USERCONF . "</a></center>";
        echo "<center><a href=\"admin.php?module=" . $GLOBALS['module'] . "&amp;op=getConfigMail\">" . _USERMAILCONF . "</a></center>";
        echo "<center><a href=\"admin.php?module=" . $GLOBALS['module'] . "&amp;op=convDate\">" . _CONVDATETIME . "</a></center>";
        echo "<center><a href=\"admin.php?module=" . $GLOBALS['module'] . "&amp;op=getCensadd\">" . _UASTRCENSADDON . "</a></center>";
        CloseTable();
        include("footer.php");
    }
}

function modifyUser($chng_user)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    include("header.php");
    GraphicAdmin();

    OpenTable();
    echo "<center><font class=\"pn-title\"><b><a href=\"admin.php?module=NS-User&op=main\">"._USERADMIN."</a></b></font></center>";
    CloseTable();

    OpenTable();

    $userinfo = pnUserGetVars($chng_user);

        // Aliasing
    $userinfo['_UREALEMAIL'] = $userinfo['email'];
    $userinfo['_UFAKEMAIL'] = $userinfo['femail'];
    $userinfo['_UREALNAME'] = $userinfo['name'];
    $userinfo['_TIMEZONEOFFSET'] = $userinfo['timezone_offset'];
    //$userinfo['email'] = $userinfo['uname'];
    $userinfo['_YOURAVATAR'] = $userinfo['user_avatar'];
    $userinfo['_YICQ'] = $userinfo['user_icq'];
    $userinfo['_YAIM'] = $userinfo['user_aim'];
    $userinfo['_YYIM'] = $userinfo['user_yim'];
    $userinfo['_YMSNM'] = $userinfo['user_msnm'];
    $userinfo['_YLOCATION'] = $userinfo['user_from'];
    $userinfo['_YOCCUPATION'] = $userinfo['user_occ'];
    $userinfo['_YINTERESTS'] = $userinfo['user_intrest'];
    $userinfo['_SIGNATURE'] = $userinfo['user_sig'];
    $userinfo['_EXTRAINFO'] = $userinfo['bio'];
    $userinfo['_YOURHOMEPAGE'] = $userinfo['url'];

	$fieldlist = getfieldlist();

    echo "<center><font class=\"pn-title\"><b>"._USERUPDATE.": <i>" . pnVarPrepForDisplay(stripslashes($chng_user)) . "</i></b></font></center>"
         ."<form name=\"Register\" action=\"admin.php\" method=\"post\" enctype=\"multipart/form-data\">"
         ."<table border=\"0\">"
         ."<tr><td>"._USERID."</td>"
         ."<td><table><tr><td>\n<b>".pnVarPrepForDisplay($chng_user)."</b></td></tr></table></td></tr>"
         ."<tr><td>"._NICKNAME."</td>"
         ."<td><table><tr><td>\n<input type=text name=\"chng_uname\" value=\"".$userinfo['uname']."\" size=40> (<b>"._REQUIREDSTAR."</b>)</td></tr></table></td></tr>\n"
         ."<tr><td><font class=\"pn-normal\">"._EMAIL."</font></td>\n"
         ."<td><table><tr><td>\n<input type=\"text\" name=\"chng_email\" value=\"".$userinfo['email']."\" size=\"40\" maxlength=\"60\"> (<b>"._REQUIREDSTAR."</b>)</font></td></tr></table></td></tr>\n";

        while(list($key, $val) = each($fieldlist)) {

				//Simplifying
                $namefield = $val['FIELD'];
                $isrequired = $val['VALIDATION']['REQUIRED'];
                $fieldvalid = $val['VALIDATION'];
                $fieldlibel = $val['LIBEL'];

                echo "<tr><td>".$fieldlibel."</td><td>\n";
				switch ($namefield) {
                    case "_TIMEZONEOFFSET":
                        global $tzinfo;


                        echo "<table><tr><td>\n<select name=\"dynafield[".$namefield."]\" class=\"pn-normal\">";
                        foreach ($tzinfo as $tzindex => $tzdata) {
                             if ($userinfo[$namefield] == $tzindex) {
                                  $selected = 'selected';
                             } else {
                                  $selected = '';
                             }
                             echo "\n<option value=\"$tzindex\" $selected>";
                             echo $tzdata;
                             echo "</option>";
						}
                        echo "</select>\n";
                        if ($isrequired == 1) {
                            echo " (<b>"._REQUIREDSTAR."</b>)";
                        }
                        echo "</td></tr></table>\n";
                        break;
                    case "_YOURAVATAR":
                        echo "<table><tr><td>\n<select name=\"user_avatar\" onChange=\"showimage()\" class=\"pn-normal\">";
                        $handle = opendir('./images/avatar');
                        while ($file = readdir($handle)) {
                           $filelist[] = $file;
                        }
                        asort($filelist);
                        while (list ($key, $file) = each ($filelist)) {
                           ereg(".gif|.jpg",$file);
                           if ($file != "." && $file != ".." && $file != "personal") {
                                 if ($userinfo[$namefield] == $file) {
                                       $selected = 'selected';
                                 } else {
                                       $selected = '';
                                 }
                                 echo "<option value=\"$file\" $selected>$file</option>";
						   }
						}
     //Personal Avatar by KernelFolla
                       if(eregi("personal/",$userinfo[$namefield])) {
                           echo "<option value=\"".$userinfo[$namefield]."\" selected>"._PA_PERSONAL."</option>";
                       }

                       echo "</select>&nbsp;&nbsp;<img src=\"images/avatar/" . pnVarPrepForDisplay($userinfo[$namefield]) . "\" name=\"avatar\" width=\"32\" height=\"32\" alt=\"\" align=\"top\">&nbsp;&nbsp;";
                       echo "<script language=\"JavaScript\">
                                <!--
                                function OpenAvatarWindow(theURL,winName,features) { //v2.0
                                window.open(theURL,winName,features);
                                }
                                -->
                                </script>[ <a style=\"cursor:pointer\" onClick=\"OpenAvatarWindow('avatar.php','Avatars','scrollbars=yes,width=450,height=400')\">avatar list</a> ]";
                       if ($isrequired == 1) {
                            echo " (<b>"._REQUIREDSTAR."</b>)";
                       }
                       echo "</td></tr></table>\n";
		//Personal Avatar by KernelFolla
                       echo '<tr><td>'
                        ._PA."</td><td>"
                        .'<input type="file" name="user_pavatar"/>'._PA_ONLY.pnConfigGetVar('pavatar_types').' '.pnConfigGetVar('pavatar_size').'Bytes '.pnConfigGetVar('pavatar_width')."x".pnConfigGetVar('pavatar_height')
                        .'</td></tr>';
                        break;
                    default:
                        $fieldvalid['NAME'] = $namefield;
                        if ($fieldvalid['TYPE'] == "SELECT" && $fieldvalid['LISTOPTION'] == 1) $userinfo[$namefield] = unserialize($userinfo[$namefield]);
                        echo getfieldHTMLDef($fieldvalid, $userinfo[$namefield]);
                     //echo "<input type=\"text\" name=\"reqdynadata['".$namefield."']\" size=\"30\" maxlength=\"60\">\n";
                        break;
                }
                echo "</td></tr>";
		}
    echo "<input type=\"hidden\" name=\"module\" value=\"NS-User\">"
            ."<input type=\"hidden\" name=\"op\" value=\"updateUser\">"
                ."<input type=\"hidden\" name=\"chng_uid\" value=\"$chng_user\">"
                ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
               ."<tr><td>"._PASSWORD."</td>"
               ."<td><table><tr><td>\n<input type=\"password\" name=\"chng_pass\" size=\"15\" maxlength=\"12\">\n</td></tr></table>\n</td></tr>"
               ."<tr><td>"._RETYPEPASSWD."</td>"
               ."<td><table><tr><td>\n<input type=\"password\" name=\"chng_pass2\" size=\"15\" maxlength=\"12\"> <font class=\"pn-sub\">"._FORCHANGES."</font>\n</td></tr></table>\n</td></tr>"
               ."<tr><td><input type=\"submit\" value=\""._SAVECHANGES."\"></form></td></tr>"
               ."</table>";

           CloseTable();
    include("footer.php");
}

function updateUser()
{
	global $pnconfig;
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    list(        $chng_uid,
                 $chng_uname,
                 $chng_email,
                 $user_avatar,
//	      $user_pavatar,
                 $chng_pass,
                 $chng_pass2) = pnVarCleanFromInput(  'chng_uid',
                                                      'chng_uname',
                                                      'chng_email',
                                                      'user_avatar',
                                                      'chng_pass',
                                                      'chng_pass2');
    $dynafield = pncVarCleanFromInput('dynafield');
//	$log = &Log::singleton("file", "logs/md.log",NULL,array(),$pnconfig['loglevel']);
//	$log->info('in updateUser');
//	$log->info(print_r($dynafield));
//	$log->info($dynafield);

        // Aliasing
    $storefield['_UREALEMAIL']['NAME'] = 'email';
    $storefield['_UFAKEMAIL']['NAME'] = 'femail';
    $storefield['_UREALNAME']['NAME'] = 'name';
    $storefield['_TIMEZONEOFFSET']['NAME'] = 'timezone_offset';
    $storefield['_YOURAVATAR']['NAME'] = 'user_avatar';
    $storefield['_YICQ']['NAME'] = 'user_icq';
    $storefield['_YAIM']['NAME'] = 'user_aim';
    $storefield['_YYIM']['NAME'] = 'user_yim';
    $storefield['_YMSNM']['NAME'] = 'user_msnm';
    $storefield['_YLOCATION']['NAME'] = 'user_from';
    $storefield['_YOCCUPATION']['NAME'] = 'user_occ';
    $storefield['_YINTERESTS']['NAME'] = 'user_intrest';
    $storefield['_SIGNATURE']['NAME'] = 'user_sig';
    $storefield['_EXTRAINFO']['NAME'] = 'bio';
    $storefield['_YOURHOMEPAGE']['NAME'] = 'url';

        $storecontent = $dynafield;
        if (is_array($storecontent) && !empty($storecontent)) {
                while(list($fieldname, $fieldvalue) = each($storecontent)) {
//					$log->info('fielname'.$fieldname);
//					$log->info('fieldvalue'.$fieldvalue);
//					$log->info('fieldvalue'.serialize($fieldvalue));
                        if (!isset($storefield[$fieldname]['NAME'])) {
                                $newdynafield[$fieldname]['VALUE'] = $fieldvalue;
                                $newdynafield[$fieldname]['NAME'] = $fieldname;
                        } else {
                                $storefield[$fieldname]['VALUE'] = $fieldvalue;
                                //$storefield[$fieldname]['NAME'] = $fieldname;
                        }
                }
        } 
        $storefield['_YOURAVATAR']['VALUE'] = $user_avatar;
        $storefield['_UREALEMAIL']['VALUE'] = $chng_email;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $column = &$pntable['users_column'];
    $result = $dbconn->Execute("SELECT $column[uname], $column[pass]
                                FROM $pntable[users]
                                WHERE $column[uid] = " . pnVarPrepForStore($chng_uid) . "");

    if (!isset($chng_user_viewemail)) {
        $chng_user_viewemail = 0;
    }

    if (!$result->EOF) {
        list($old_uname, $old_pass) = $result->fields;
    } else {
        include 'header.php';
        echo _USERNOEXIST;
        include 'footer.php';
        return;
    }
    if (!pnSecAuthAction(0, 'Users::', $old_uname . "::" . $chng_uid, ACCESS_EDIT)) {
        include 'header.php';
        echo _MODIFYUSERSEDITNOAUTH;
        include 'footer.php';
        return;
    }
    // Bug #507260 - space in username
    // 2002-01-27: hdonner
    if ((!$chng_uname) || !(ereg("^[[:print:]]+", $chng_uname) && !ereg("[[:space:]]", $chng_uname))) {
        include("header.php");
        GraphicAdmin();
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>" . _USERADMIN . "</b></font></center>";
        CloseTable();

        OpenTable();
        echo "<center><font class=\"pn-normal\">" . _ERRORINVNICK . "<br><br>" . "" . _GOBACK . "</font></center>";
        CloseTable();
        include("footer.php");
        exit;
    }

        $chng_url = $storefield['_YOURHOMEPAGE']['VALUE'];
    if ($chng_url != "") {
        $url_array = explode(":", $chng_url);
        if ($url_array[0] != "http") {
            include("header.php");
            GraphicAdmin();
            OpenTable();
            echo "<center><font class=\"pn-title\"><b>" . _USERADMIN . "</b></font></center>";
            CloseTable();

            OpenTable();
            echo "<center><font class=\"pn-normal\">" . _ERRORINVURL . "<br><br>" . "" . _GOBACK . "</font></center>";
            CloseTable();
            include("footer.php");
            exit;
        }
    }

    $tmp = 0;
    if ($chng_pass2 != "") {
        if ($chng_pass != $chng_pass2) {
            include 'header.php';
            GraphicAdmin();
            OpenTable();
            echo "<center><font class=\"pn-title\"><b>" . _USERADMIN . "</b></font></center>";
            CloseTable();

            OpenTable();
            echo "<center><font class=\"pn-normal\">" . _PASSWDNOMATCH . "<br><br>" . "" . _GOBACK . "</font></center>";
            CloseTable();
            include("footer.php");
            exit;
        }
        $tmp = 1;
    }

        $fieldrequired = getfieldrequired();
        $checkrequired = $fieldrequired;
        $error = false;

        if (is_array($checkrequired) && !empty($checkrequired)) {
                while(list($key, $val) = each($checkrequired)) {
                        if ($storefield[$val['FIELD']]['NAME']."" != "" && $storefield[$val['FIELD']]['VALUE']."" == "") {
                                $error = true;
                                $errortype = "Store";
                        }
                        if (isset($newdynafield[$val['FIELD']]['NAME']) && $newdynafield[$val['FIELD']]['VALUE']."" == "") {
                                $error = true;
                                $errortype = "Dyna";
                        }
                        if ($error == true) {
                                include 'header.php';
                    OpenTable();
                    echo "<center>".EMPTYREQUIRED." = ".$errortype."<br>"
                                        ."".$storefield[$val['FIELD']]['NAME']." = ".$storefield[$val['FIELD']]['VALUE']."<br>"
                        .""._GOBACK."</center>";
                    CloseTable();
                    include("footer.php");
                    return;
                        }
                }
        }

        if ($tmp == 1) {
                $cpass = md5($chng_pass);
        } else {
                $cpass = $old_pass;
        }
        $sql = "UPDATE $pntable[users]
            SET                $column[uname]                                                                                ='".pnVarPrepForStore($chng_uname)."',
                                        ".$column[$storefield['_UREALEMAIL']['NAME']]."                ='".pnVarPrepForStore($storefield['_UREALEMAIL']['VALUE'])."',
                                        ".$column[$storefield['_UFAKEMAIL']['NAME']]."                ='".pnVarPrepForStore($storefield['_UFAKEMAIL']['VALUE'])."',
                                        ".$column[$storefield['_UREALNAME']['NAME']]."                ='".pnVarPrepForStore($storefield['_UREALNAME']['VALUE'])."',
                                        ".$column[$storefield['_YOURAVATAR']['NAME']]."                ='".pnVarPrepForStore($storefield['_YOURAVATAR']['VALUE'])."',
                                        ".$column[$storefield['_YICQ']['NAME']]."                        ='".pnVarPrepForStore($storefield['_YICQ']['VALUE'])."',
                                        ".$column[$storefield['_YAIM']['NAME']]."                        ='".pnVarPrepForStore($storefield['_YAIM']['VALUE'])."',
                                        ".$column[$storefield['_YYIM']['NAME']]."                        ='".pnVarPrepForStore($storefield['_YYIM']['VALUE'])."',
                                        ".$column[$storefield['_YMSNM']['NAME']]."                        ='".pnVarPrepForStore($storefield['_YMSNM']['VALUE'])."',
                                        ".$column[$storefield['_TIMEZONEOFFSET']['NAME']]."        ='".pnVarPrepForStore($storefield['_TIMEZONEOFFSET']['VALUE'])."',
                                        ".$column[$storefield['_YLOCATION']['NAME']]."                ='".pnVarPrepForStore($storefield['_YLOCATION']['VALUE'])."',
                                        ".$column[$storefield['_YOCCUPATION']['NAME']]."                ='".pnVarPrepForStore($storefield['_YOCCUPATION']['VALUE'])."',
                                        ".$column[$storefield['_YINTERESTS']['NAME']]."                ='".pnVarPrepForStore($storefield['_YINTERESTS']['VALUE'])."',
                                        ".$column[$storefield['_SIGNATURE']['NAME']]."                ='".pnVarPrepForStore($storefield['_SIGNATURE']['VALUE'])."',
                                        ".$column[$storefield['_EXTRAINFO']['NAME']]."                ='".pnVarPrepForStore($storefield['_EXTRAINFO']['VALUE'])."',
                                        ".$column[$storefield['_YOCCUPATION']['NAME']]."                ='".pnVarPrepForStore($storefield['_YOCCUPATION']['VALUE'])."',
                                        ".$column[$storefield['_YOURHOMEPAGE']['NAME']]."        ='".pnVarPrepForStore($storefield['_YOURHOMEPAGE']['VALUE'])."',
                                        $column[pass]='".pnVarPrepForStore($cpass)."'
                                        WHERE         $column[uid]='".pnVarPrepForStore($chng_uid)."'";
    $result = $dbconn->Execute($sql);
    if($dbconn->ErrorNo()<>0) {
            echo $dbconn->ErrorMsg();
    }

        $dynarequired = getdynamiclist();
        if (is_array($dynarequired) && !empty($dynarequired)) {
                while(list($key, $val) = each($dynarequired)) {
					
                        $inputfield = $val['FIELD'];
                        $inputvalue = $newdynafield[$inputfield]['VALUE'];
                        if (is_array($inputvalue)) {
                                $inputvalue = serialize($inputvalue);
                        }
//$log->info('valori '.$key.' '.$val.' '.$inputfield.' '.$inputvalue);
                        pncAdminUserSetVar($inputfield, $inputvalue, $chng_uid);
                }
        }

    pnRedirect("admin.php?module=NS-User&op=main");
}

function deleteUser($chng_uid)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $authid = pnSecGenAuthKey();

    include("header.php");
    GraphicAdmin();
    OpenTable();
   echo "<center><font class=\"pn-title\"><b><a href=\"admin.php?module=NS-User&op=main\">"._USERADMIN."</a></b></font></center>";
    CloseTable();

    OpenTable();
    echo "<center><font class=\"pn-title\"><b>" . _DELETEUSER . "</b></font><br><br>";

    $column = &$pntable['users_column'];
    $result = $dbconn->Execute("SELECT $column[uname], $column[uid]
           FROM $pntable[users]
           WHERE ($column[uid] = '$chng_uid') OR ($column[uname] = '$chng_uid')");

    if (!$result->EOF) {
        list($uname, $uid) = $result->fields;
    } else {
        echo _USERNOEXIST;
        CloseTable();
        include 'footer.php';
        exit;
    }
    if (!pnSecAuthAction(0, 'Users::', "$uname::$chng_uid", ACCESS_DELETE)) {
        echo _MODIFYUSERSDELNOAUTH;
        CloseTable();
        include 'footer.php';
        exit;
    }

   $userinfo = pnUserGetVars($chng_uid);
   echo ""._SURE2DELETE." " . pnVarPrepForDisplay($userinfo['uname']) . " ( " . pnVarPrepForDisplay(stripslashes($chng_uid)) . " ) ?<br><br>\n\n"
       ."[ <a href=\"admin.php?module=NS-User&amp;op=delUserConf&amp;del_uid=$uid&amp;authid=$authid\">"._YES.""
       ."</a> | <a href=\"admin.php?module=NS-User&amp;op=mod_users\">"._NO."</a> ]</center>";
   CloseTable();
    include("footer.php");
}

function deleteUserConfirm($del_uid)
{
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $column = &$pntable['users_column'];

    $result = $dbconn->Execute("SELECT $column[uname]
         FROM $pntable[users]
         WHERE $column[uid] = \"$del_uid\"");

    if (!$result->EOF) {
        list($uname) = $result->fields;
    } else {
        include 'header.php';
        echo _USERNOEXIST;
        include 'footer.php';
        exit;
    }
    if (!pnSecAuthAction(0, 'Users::', "$uname::$del_uid", ACCESS_DELETE)) {
        include 'header.php';
        echo _MODIFYUSERSDELNOAUTH;
        include 'footer.php';
        exit;
    }
    $column = &$pntable['user_perms_column'];
    $dbconn->Execute("DELETE FROM $pntable[user_perms]
                            WHERE $column[uid]='$del_uid'");
    if ($dbconn->ErrorNo() <> 0) {
        echo $dbconn->ErrorMsg();
        error_log("DB Error: " . $dbconn->ErrorMsg());
    }
    $column = &$pntable['group_membership_column'];
    $dbconn->Execute("DELETE FROM $pntable[group_membership]
                            WHERE $column[uid]='$del_uid'");
    if ($dbconn->ErrorNo() <> 0) {
        echo $dbconn->ErrorMsg();
        error_log("DB Error: " . $dbconn->ErrorMsg());
    }
    $column = &$pntable['users_column'];
    $dbconn->Execute("DELETE FROM $pntable[users]
                            WHERE $column[uid]='$del_uid'");
    if ($dbconn->ErrorNo() <> 0) {
        echo $dbconn->ErrorMsg();
        error_log("DB Error: " . $dbconn->ErrorMsg());
    }
    $column = &$pntable['user_data_column'];
    $dbconn->Execute("DELETE FROM $pntable[user_data]
                            WHERE $column[uda_uid]='$del_uid'");
    if($dbconn->ErrorNo()<>0) {
       echo $dbconn->ErrorMsg();
       error_log("DB Error: " . $dbconn->ErrorMsg());
    }

	// csipiemonte: here must be placed the hook routine
	pnModCallHooks('item', 'transform', $del_uid, 'delete');

    pnRedirect("admin.php?module=NS-User&op=main");
}

function addUser($var)
{
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }
	
	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!pnSecAuthAction(0, 'Users::', $var['add_uname'] . "::", ACCESS_ADD)) {
        include 'header.php';
        echo _MODIFYUSERSADDNOAUTH;
        include 'footer.php';
        exit;
    }

    $add_pass = md5($var['add_pass']);
    if (!($var['add_uname'] && $var['add_email'] && $var['add_pass'])) { // && $var['dynafield'])) {
        include("header.php");
        GraphicAdmin();
        OpenTable();
       echo "<center><font class=\"pn-title\"><b><a href=\"admin.php?module=NS-User&op=main\">"._USERADMIN."</a></b></font></center>";
        CloseTable();

        OpenTable();
        echo "<center><b><font class=\"pn-normal\">" . _NEEDTOCOMPLETE . "</b><br><br>" . "" . _GOBACK . "</font>";
        CloseTable();
        include("footer.php");
        return;
    }

    $stop = userCheck($var);
    if (empty($stop)) {
    if (empty($var['add_user_viewemail'])) {
       $var['add_user_viewemail'] = 0;
    } else {
		$var['add_user_viewemail'] = 1;
    }
	$Default_Theme = pnConfigGetVar('Default_Theme');
	$commentlimit = pnConfigGetVar('commentlimit');
	$storynum = pnConfigGetVar('storyhome');

	if (!empty($var['dynafield']) && is_array($var['dynafield'])) $reqdynadata = $var['dynafield'];
	if (isset($reqdynadata['_TIMEZONEOFFSET'][0])) {
			$timezoneoffset = $reqdynadata['_TIMEZONEOFFSET'][0];
	} else {
		$timezoneoffset = pnConfigGetVar('timezone_offset');
	}
	if (isset($reqdynadata['_YOURAVATAR'][0])) {
			$add_avatar = $reqdynadata['_YOURAVATAR'][0];
	} else {
		$add_avatar = 'blank.gif';
	}
	$user_regdate = time();
	$column = &$pntable['users_column'];
	$existinguser = $dbconn->Execute("SELECT $column[uname] FROM $pntable[users] WHERE $column[uname]='" . $var['add_uname'] . "'");
	if (!$existinguser->EOF) {
			include 'header.php';
			echo "<div align=center><font class=\"pn-title\">"._USEREXIST
					." <a href=\"admin.php?module=NS-User&op=modifyUser&chng_uid=$var[add_uname] \">(".pnVarPrepForDisplay($var['add_uname']).") "
					."</a></font></div><br>";
			echo "<a href=\"admin.php?module=NS-User&op=main\">"._ADDUSER."</a>";
			include 'footer.php';
	} else {
		switch ($dbtype){
			case "oci8":
				$sequence=substr_replace($pntable['users'],'',0,strlen($dbname)+1).'_sq';
				$uid = $dbconn->GenId($sequence);
				break;
			default:
				$uid = $dbconn->GenId($pntable['users']);
				break;
		}
		$sql = "INSERT INTO $pntable[users] ($column[uid], $column[name],
											 $column[uname], $column[email], $column[femail], $column[url],
											 $column[user_regdate], $column[user_icq], $column[user_aim],
											 $column[user_yim], $column[user_msnm], $column[user_from],
											 $column[user_occ], $column[user_intrest], $column[user_viewemail],
											 $column[user_avatar], $column[user_sig], $column[pass], $column[storynum], $column[timezone_offset])
											 values (" . pnVarPrepForStore($uid) . ",'','" . $var['add_uname'] . "','" . $var['add_email'] . "','',
											'','".pnVarPrepForStore($user_regdate)."','','','','','','','','".$var['add_user_viewemail']."','".pnVarPrepForStore($add_avatar)."',
											 '','" . pnVarPrepForStore($add_pass) . "', '" . pnVarPrepForStore($storynum) . "','" . pnVarPrepForStore($timezoneoffset) . "')";

		$result = $dbconn->Execute($sql);
		if ($dbconn->ErrorNo() <> 0) {
			echo $dbconn->ErrorNo() . ": " . $dbconn->ErrorMsg() . "<br>";
			error_log("DB Error: " . $dbconn->ErrorMsg());
			return;
		}
		// Add user to group
		// get the generated id
		$uid = $dbconn->PO_Insert_ID($pntable['users'], $column['uid']);
		$column = &$pntable['groups_column'];
		$result = $dbconn->Execute("SELECT $column[gid] FROM $pntable[groups] WHERE $column[name]='" . pnConfigGetVar('defaultgroup') . "'");

		if ($dbconn->ErrorNo() <> 0) {
			echo $dbconn->ErrorNo() . "Get default group: " . $dbconn->ErrorMsg() . "<br>";
			error_log ($dbconn->ErrorNo() . "Get default group: " . $dbconn->ErrorMsg() . "<br>");
			return;
		}
		if (!$result->EOF) {
			list($gid) = $result->fields;
			$result->Close();
			$column = &$pntable['group_membership_column'];
			$result = $dbconn->Execute("INSERT INTO $pntable[group_membership] ($column[gid], $column[uid]) VALUES (" . pnVarPrepForStore($gid) . ", " . pnVarPrepForStore($uid) . ")");

			if ($dbconn->ErrorNo() <> 0) {
				echo $dbconn->ErrorNo() . "Add to default group: " . $dbconn->ErrorMsg() . "<br>";
				error_log ($dbconn->ErrorNo() . "Add to default group: " . $dbconn->ErrorMsg() . "<br>");
					 return;
			  }
			}

			// Add Dynamic Data
			if (!empty($var['dynafield']) && is_array($var['dynafield'])) {
					$fieldrequired = getfieldrequired();
					if (is_array($fieldrequired) && !empty($fieldrequired)) {
							while(list($key, $val) = each($fieldrequired)) {
									$field = $val['FIELD'];
									$newvar = $var['dynafield'];
									//while(list($nkey, $nvar) = each($newvar)) {
											pncAdminUserSetVar($field, $newvar[$field], $uid);
									//}
							}
					}
			}

			// csipiemonte: here must be placed the hook routine
			pnModCallHooks('item', 'transform', $uid, 'create');


            include 'header.php';
			echo "<div align=center><font class=\"pn-title\">"
					."<a href=\"admin.php?module=NS-User&op=modifyUser&chng_uid=$uid\">".pnVarPrepForDisplay(stripslashes($var['add_uname']))." ("
					._USERID." $uid)</A> "._ADDED."</div></font><br>";
			echo "<a href=\"admin.php?module=NS-User&op=main\">"._ADDUSER."</a>";
			include 'footer.php';
        }
    } else {
            include 'header.php';
                echo "$stop";
                include 'footer.php';
    }
}

function user_admin_getConfig()
{
    include ("header.php");
        /*Added by Chestnut ! 22/05/2002*/
    $sel_theme_change['0'] = '';
    $sel_theme_change['1'] = '';
    $sel_theme_change[pnConfigGetVar('theme_change')] = ' checked';
    $sel_allowuserpass['0'] = '';
    $sel_allowuserpass['1'] = '';
    $sel_allowuserpass[pnConfigGetVar('allowuserpass')] = ' checked';
    $sel_allowuserdelete['0'] = '';
    $sel_allowuserdelete['1'] = '';
    $sel_allowuserdelete[pnConfigGetVar('allowuserdelete')] = ' checked';
    $sel_pncuaadvreg['0'] = '';
    $sel_pncuaadvreg['1'] = '';
    $sel_pncuaadvreg[pnConfigGetVar('pncuaadvreg')] = ' checked';
    $sel_pncusrmodreg['0'] = '';
    $sel_pncusrmodreg['1'] = '';
    $sel_pncusrmodreg[pnConfigGetVar('pncusrmodreg')] = ' checked';
    $sel_pavatar_allow['0'] = '';
    $sel_pavatar_allow['1'] = '';
    $sel_pavatar_allow[pnConfigGetVar('pavatar_allow')] = ' checked';

    GraphicAdmin();
    OpenTable();
    echo '<tr><td colspan="2" align="center"><font size="3" class="pn-title">'._UACONFADDON.'</b></font></center><br><form action="admin.php" method="post"></td></tr>';

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $column = &$pntable['groups_column'];
    $result = $dbconn->Execute("SELECT $column[name] FROM $pntable[groups] ORDER BY $column[name]");
    $oldgroup = pnConfigGetVar('defaultgroup');
    echo '<tr><td class="pn-normal" width=60%>'._DEFAULTGROUP.' : </td><td class="pn-normal"><select name="ydefaultgroup">';
//modified for Oracle compatibility
//    while(list($gname) = $result->fields) {
    while(!$result->EOF){
		list($gname) = $result->fields;
            $result->MoveNext();
		if (pnSecAuthAction(0, 'Groups::', "$gname::", ACCESS_EDIT)) {
        if ($gname==$oldgroup) {
                echo '<option value="'.pnVarPrepForDisplay($gname).'" selected>'.pnVarPrepForDisplay($gname).'</option>';
        } else {
            echo '<option value="'.pnVarPrepForDisplay($gname).'">'.pnVarPrepForDisplay($gname).'</option>';
        }
    }
    }
    echo "</select> -- <a href=admin.php?module=NS-Groups&op=main>"._UAGROUP."</a></td></tr>";
           echo '<tr><td class="pn-normal" width=60%>'._UAUSRMODREG.'</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ypncusrmodreg\" value=\"1\" class=\"pn-normal\"$sel_pncusrmodreg[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ypncusrmodreg\" value=\"0\" class=\"pn-normal\"$sel_pncusrmodreg[0]>"._NO
        .'</td></tr>';
    echo '<tr><td class="pn-normal">'
        .''._THEMECHANGE.' : </td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ytheme_change\" value=\"0\" class=\"pn-normal\"" . $sel_theme_change[0] . ">"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ytheme_change\" value=\"1\" class=\"pn-normal\"" . $sel_theme_change[1] . ">"._NO
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UAALLOWUPASS.' :</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"yallowuserpass\" value=\"1\" class=\"pn-normal\"" . $sel_allowuserpass[1] . ">"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"yallowuserpass\" value=\"0\" class=\"pn-normal\"" . $sel_allowuserpass[0] . ">"._NO
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UAALLOWUSERDEL.' :</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"yallowuserdelete\" value=\"1\" class=\"pn-normal\"" . $sel_allowuserdelete[1] . ">"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"yallowuserdelete\" value=\"0\" class=\"pn-normal\"" . $sel_allowuserdelete[0] . ">"._NO
        .'</td></tr>';

    echo '</tr><tr><td class="pn-normal">'
        .''._UAADVREG.' :</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ypncuaadvreg\" value=\"1\" class=\"pn-normal\"" . $sel_pncuaadvreg[1] . ">"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ypncuaadvreg\" value=\"0\" class=\"pn-normal\"" . $sel_pncuaadvreg[0] . ">"._NO
        ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\"></td></tr>";

    // personal avatar by KernelFolla(settings)
    echo '<tr><td class="pn-normal" width="60%">'
	.''._PA_ALLOW.'</td><td class="pn-normal">'
	."<input type=\"radio\" name=\"ypavatar_allow\" value=\"0\" class=\"pn-normal\"$sel_pavatar_allow[0]>"._YES.' &nbsp;'
	."<input type=\"radio\" name=\"ypavatar_allow\" value=\"1\" class=\"pn-normal\"$sel_pavatar_allow[1]>"._NO
	.'</td></tr>'
        .'</tr><tr><td class="pn-normal">'
	.''._PA_WEIGHT.'</td><td class="pn-normal">'
	.'<input type="text" name="ypavatar_size" value="'.pnConfigGetVar('pavatar_size').'" class="pn-normal"> bytes'
	.'</td></tr>'
	.'</tr><tr><td class="pn-normal">'
	.''._PA_TYPES.'</td><td class="pn-normal">'
	.'<input type="text" name="ypavatar_types" value="'.pnConfigGetVar('pavatar_types').'" class="pn-normal"> eg. gif,jpeg,jpg,png'
	.'</tr><tr><td class="pn-normal">'
	.''._PA_SIZE.'</td><td class="pn-normal">'
	.'<input type="text" width="3" size="3" name="ypavatar_width" value="'.pnConfigGetVar('pavatar_width').'" class="pn-normal"> x <input type="text" width="3" size="3" name="ypavatar_height" value="'.pnConfigGetVar('pavatar_height').'" class="pn-normal">'
	.'</td></tr>';

    echo "<tr><td colspan=\"2\" align=\"center\"><input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
        ."<input type=\"hidden\" name=\"op\" value=\"setConfig_AddOn\">"
        ."<input type=\"submit\" value=\""._SAVECHANGES."\" class=\"pn-normal\" style=\"text-align:center\"></td></tr></form>";
    CloseTable();

       include ("footer.php");
}

function user_admin_getConfigmail()
{
global $cookie, $user;

    include ("header.php");
    $sel_sendaddmail['0'] = '';
    $sel_sendaddmail['1'] = '';
    $sel_sendaddmail[pnConfigGetVar('sendaddmail')] = ' checked';
    $sel_senduserpass['0'] = '';
    $sel_senduserpass['1'] = '';
    $sel_senduserpass[pnConfigGetVar('senduserpass')] = ' checked';
    $sel_senddeletemail['0'] = '';
    $sel_senddeletemail['1'] = '';
    $sel_senddeletemail[pnConfigGetVar('senddeletemail')] = ' checked';
    $sel_pnc_mail_modusrwning['0'] = '';
    $sel_pnc_mail_modusrwning['1'] = '';
    $sel_pnc_mail_modusrwning[pnConfigGetVar('pnc_mail_modusrwning')] = ' checked';
    $sel_pnc_mail_adminwning['0'] = '';
    $sel_pnc_mail_adminwning['1'] = '';
    $sel_pnc_mail_adminwning[pnConfigGetVar('pnc_mail_adminwning')] = ' checked';
    $sel_pnc_mail_usrregok['0'] = '';
    $sel_pnc_mail_usrregok['1'] = '';
    $sel_pnc_mail_usrregok[pnConfigGetVar('pnc_mail_usrregok')] = ' checked';
    $sel_pnc_mail_usrregsorry['0'] = '';
    $sel_pnc_mail_usrregsorry['1'] = '';
    $sel_pnc_mail_usrregsorry[pnConfigGetVar('pnc_mail_usrregsorry')] = ' checked';
    $sel_pnc_send_message['0'] = '';
    $sel_pnc_send_message['1'] = '';
    $sel_pnc_send_message[pnConfigGetVar('pnc_send_message')] = ' checked';

      GraphicAdmin();

	// Who am I? Which is my Admin-ID?
    if (is_user($user)) {
		cookiedecode($user);
	}
	$adminid = $cookie[0];

//MAIL
        OpenTable();
        echo "<center><font size=\"3\" class=\"pn-title\">"._UAMAILCONFADDON."</b></font></center><br><form action=\"admin.php\" method=\"post\">";

    echo "<table width=640 border=\"0\" cellspacing=\"4\">";
    echo '<tr><td class="pn-normal" width=60%>'
        .''._UASENDADDMAIL.' :</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ysendaddmail\" value=\"1\" class=\"pn-normal\"$sel_sendaddmail[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ysendaddmail\" value=\"0\" class=\"pn-normal\"$sel_sendaddmail[0]>"._NO
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UASENDUPASS.' :</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ysenduserpass\" value=\"1\" class=\"pn-normal\"$sel_senduserpass[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ysenduserpass\" value=\"0\" class=\"pn-normal\"$sel_senduserpass[0]>"._NO
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UASENDDELETEMAIL.' :</td><td class="pn-normal">'
         ."<input type=\"radio\" name=\"ysenddeletemail\" value=\"1\" class=\"pn-normal\"$sel_senddeletemail[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ysenddeletemail\" value=\"0\" class=\"pn-normal\"$sel_senddeletemail[0]>"._NO
        .'</td></tr>';
        echo "</table><br>";

        echo '<hr>';
// Moderation
        echo "<center><font size=\"3\" class=\"pn-title\">"._UAMODERATIONMODE."</b></font></center><br>";
    echo "<table width=640 border=\"0\" cellspacing=\"4\">";
    echo '<tr><td class="pn-normal" width=60%>'
        .''._UAUSRMAILNEWMODREQ.'</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ypnc_mail_modusrwning\" value=\"1\" class=\"pn-normal\"$sel_pnc_mail_modusrwning[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ypnc_mail_modusrwning\" value=\"0\" class=\"pn-normal\"$sel_pnc_mail_modusrwning[0]>"._NO
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UAADMMAILNEWMODREQ.'</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ypnc_mail_adminwning\" value=\"1\" class=\"pn-normal\"$sel_pnc_mail_adminwning[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ypnc_mail_adminwning\" value=\"0\" class=\"pn-normal\"$sel_pnc_mail_adminwning[0]>"._NO
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UAUSRMAILREQUESTOK.'</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ypnc_mail_usrregok\" value=\"1\" class=\"pn-normal\"$sel_pnc_mail_usrregok[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ypnc_mail_usrregok\" value=\"0\" class=\"pn-normal\"$sel_pnc_mail_usrregok[0]>"._NO
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UAUSRMAILREQUESTNO.'</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ypnc_mail_usrregsorry\" value=\"1\" class=\"pn-normal\"$sel_pnc_mail_usrregsorry[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ypnc_mail_usrregsorry\" value=\"0\" class=\"pn-normal\"$sel_pnc_mail_usrregsorry[0]>"._NO
        ."</td></tr></table><br>";

        echo '<hr>';
// private message and say "Hello" to new user - 2003/10/22 WindMeUp
        echo "<center><font size=\"3\" class=\"pn-title\">"._UAPRIVATEMESSAGEMODE."</b></font></center><br>";
    echo "<table width=640 border=\"0\" cellspacing=\"4\">";
    echo '<tr><td class="pn-normal" width=60%>'
        .''._UAPRIVATEMESSAGEOK.'</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"ypnc_send_message\" value=\"1\" class=\"pn-normal\"$sel_pnc_send_message[1]>"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"ypnc_send_message\" value=\"0\" class=\"pn-normal\"$sel_pnc_send_message[0]>"._NO
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UAMSGIMAGE.'</td><td class="pn-normal">'
		.'<input type="text" name="ypnc_msg_image" value="'.pnConfigGetVar('pnc_msg_image').'" class="pn-normal">[icon_wink.gif]'
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UAMSGSUBJECT.' '.$uid.'</td><td class="pn-normal">' 
		.'<input type="text" name="ypnc_msg_subject" value="'.pnConfigGetVar('pnc_msg_subject').'" class="pn-normal">'
        .'</td></tr>';
    echo '</tr><tr><td class="pn-normal">'
        .''._UAMSGTEXT.'</td><td class="pn-normal">'
		."<textarea name=\"ypnc_msg_text\" cols=\"40\" rows=\"10\">" . pnConfigGetVar('pnc_msg_text') . "</textarea>"
        .'</td></tr></table><br>';

    echo "<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
        ."<input type=\"hidden\" name=\"ypnc_msg_from\" value=\"".$adminid."\">"
        ."<input type=\"hidden\" name=\"op\" value=\"setConfig_AddOn\">"
        ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
        ."<input type=\"submit\" value=\""._SAVECHANGES."\" class=\"pn-normal\" style=\"text-align:center\">"
        ."</form>";

        CloseTable();


    include ("footer.php");
}

function user_admin_setCensorList_AddOn($var)
{
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $newvar = array();
    while (list ($key, $val) = each ($var)) {
            if ((substr($key, 0, 1) == 'z') && ($val!='')) {
                $tagval = pnVarCleanFromInput('strallowdel'.$val.'tag');
            if (!$tagval) {
                $newvar[]=$val;
            }
        } elseif (($key == 'newstr') && ($val!='')) {
            $newvar[]=$val;
        }
    }
    pnConfigSetVar('reservedstring', $newvar);
    pnRedirect('admin.php?module=NS-User&op=main');
}







function user_admin_setConfig_AddOn($var)
{
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $fixvars = array();
    foreach ($fixvars as $v) {
    }

    $fixvars = array();

    foreach ($fixvars as $v) {
        if (empty($var[$v])) {
            $var[$v] = 0;
        }
    }

    while (list ($key, $val) = each ($var)) {
        if (substr($key, 0, 1) == 'y') {
            pnConfigSetVar(substr($key, 1), $val);
        }
    }
    pnRedirect('admin.php?module=NS-User&op=main');
}

function addVar($name, $type, $weight, $validation, $length = 0)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $propertiestable = $pntable['user_property'];
    $columns = &$pntable['user_property_column'];
    // Prevent bogus entries
    if (empty($name) || ($name == 'uid') || ($name == 'email') ||
            ($name == 'password') || ($name == 'uname')) {
        return false;
    }
    // Don't want duplicates either
    $query = "SELECT $columns[prop_label] from $propertiestable
              WHERE $columns[prop_label] = '" . pnVarPrepForStore($name) . "'";
    $result = $dbconn->Execute($query);

    if ($result->PO_RecordCount() != 0) {
        return false;
    }
    // datatype checks
    if (($type != _UDCONST_STRING) && ($type != _UDCONST_TEXT) && ($type != _UDCONST_FLOAT) && ($type != _UDCONST_INTEGER)) {
        return false;
    }
    // further checks
    if (($type == _UDCONST_STRING) && (!is_numeric($length) || ($length <= 0))) {
        return false;
    }

    if (!is_numeric($weight)) {
        return false;
    }

    $query = "INSERT INTO $propertiestable
                  ($columns[prop_label],
                   $columns[prop_dtype],
                   $columns[prop_length],
                   $columns[prop_weight],
                   $columns[prop_validation])
                  VALUES ('" . pnVarPrepForStore($name) . "',
                          '" . pnVarPrepForStore($type) . "',
                          '" . pnVarPrepForStore($length) . "',
                          '" . pnVarPrepForStore($weight) . "',
                          '" . pnVarPrepForStore($validation) . "')";
    $dbconn->Execute($query);

    if ($dbconn->ErrorNo() != 0) {
        return false;
    }

    return true;
}


function userCheck($var)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $uname = $var['add_uname'];
    $email = $var['add_email'];
    $stop = "";

    $res = pnVarValidate($email, 'email');
    if ($res == false) {
        $stop = "<center><font class=\"pn-title\">" . _ERRORINVEMAIL . "</center></font><br>";
    }
    if ((!$uname) || !(ereg("^[[:print:]]+", $uname) && !ereg("[[:space:]]", $uname))) {
        $stop = "<center><font class=\"pn-title\">" . _ERRORINVNICK . "</center></font><br>";
    }
    if (strlen($uname) > 25) {
        $stop = "<center><font class=\"pn-title\">" . _NICK2LONG . "</center></font>";
    }
    if (preg_match('/((root)|(adm)|(linux)|(webmaster)|(admin)|(god)|(administrator)|(administrador)|(nobody)|(anonymous)|(anonimo)|
(animo)|(operator))/iAD',$uname)) {
        $stop = "<center><font class=\"pn-title\">"._NAMERESERVED."</center></font>";
    }
        /*Added by Chestnut ! 17/02/2003 - Took from [class007]*/
        $vtest = pnConfigGetVar('reservedstring');
        if (!empty($vtest) && is_array($vtest)) {
        $count = count($vtest);
        $pregcondition = "/((";
        for ($i = 0;$i < $count;$i++) {
            if ($i != $count-1) {
                $pregcondition .= $vtest[$i] . ")|(";
            } else {
                $pregcondition .= $vtest[$i] . "))/iAD";
            }
        }
        // die ($pregcondition);
        if (preg_match($pregcondition, $uname)) {
            $stop = "<center><font class=\"pn-title\">" . _NAMERESERVED . "</center></font>";
        }
    }
    if (strrpos($uname, ' ') > 0) {
        $stop = "<center><font class=\"pn-title\">" . _NICKNOSPACES . "</center></font>";
    }
    $column = &$pntable['users_column'];
    $existinguser = $dbconn->Execute("SELECT $column[uname] FROM $pntable[users] WHERE $column[uname]='" . pnVarPrepForStore($uname) . "
'");
    if (!$existinguser->EOF) {
        $stop = "<center><font class=\"pn-title\">" . _NICKTAKEN . "</center></font><br>";
    }
    $existinguser->Close();
    $existinguser = $dbconn->Execute("SELECT $column[email] FROM $pntable[users] WHERE $column[email]='".pnVarPrepForStore($email)."'");
    if (!$existinguser->EOF) {
        $stop = "<center><font class=\"pn-title\">"._EMAILREGISTERED."</center></font><br>";
    }

        if (!empty($var['dynafield']) && is_array($var['dynafield'])) {
                $fieldrequired = getfieldrequired();
                if (is_array($fieldrequired) && !empty($fieldrequired)) {
                        while(list($key, $val) = each($fieldrequired)) {
                                $field = $val['FIELD'];
                                $newvar = $var['dynafield'];
                                while(list($nkey, $nvar) = each($newvar)) {
                                        if ($field == $key && $nvar."" == "") {
                                                $stop = "<center><font class=\"pn-title\">MISSING FIELDS ".$field." - To add to lang file</font></center><br>\n";
                                        }
                                }
                        }
                }
        }
    return($stop);
}

function user_admin_setConfig($var)
{
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }
    // Escape some characters in these variables.
    // hehe, I like doing this, much cleaner :-)
    $fixvars = array();
    // todo: make FixConfigQuotes global / replace with other function
    foreach ($fixvars as $v) {
        // $var[$v] = FixConfigQuotes($var[$v]);
    }
    // Set any numerical variables that havn't been set, to 0. i.e. paranoia check :-)
    $fixvars = array();

    foreach ($fixvars as $v) {
        if (empty($var[$v])) {
            $var[$v] = 0;
        }
    }
    // all variables starting with x are the config vars.
    while (list ($key, $val) = each ($var)) {
        if (substr($key, 0, 1) == 'x') {
            pnConfigSetVar(substr($key, 1), $val);
        }
    }
    pnRedirect('admin.php?module=NS-User&op=main');
}
// new by class007
function user_admin_getRegConfig()
{
    include ("header.php");
    // prepare vars
     $sel_reg_allowreg['0'] = '';
    $sel_reg_allowreg['1'] = '';
    $sel_reg_allowreg[pnConfigGetVar('reg_allowreg')] = ' checked';
   $sel_minpass['3'] = '';
    $sel_minpass['5'] = '';
    $sel_minpass['8'] = '';
    $sel_minpass['10'] = '';
    $sel_minpass[pnConfigGetVar('minpass')] = ' selected';

    GraphicAdmin();
    OpenTable();
    print '<center><font size="3" class="pn-title"><b>' . _REGCONF . '</b></font></center><br>'
            . '<form action="admin.php" method="post">'
                . '<table border="0"><tr><td class="pn-normal" valign="top">' . _ALLOWREG . ' </td><td class="pn-normal">'
                 . "<input type=\"radio\" name=\"xreg_allowreg\" value=\"1\" class=\"pn-normal\"" . $sel_reg_allowreg['1'] . ">" . _YES . ' &nbsp;'
                 . "<input type=\"radio\" name=\"xreg_allowreg\" value=\"0\" class=\"pn-normal\"" . $sel_reg_allowreg['0'] . ">" . _NO . " &nbsp;<br>\n" . _IFNO
                 . "<br>&nbsp;&nbsp;&nbsp;<textarea name=\"xreg_noregreasons\" cols=\"80\" rows=\"10\">" . pnConfigGetVar('reg_noregreasons') . "</textarea>"
                 . "</td></tr><tr><td class=\"pn-normal\">" . _MINAGE . "</td><td class=\"pn-normal\"><input type=\"text\" name=\"xminage\" value=\""
                 . pnConfigGetVar('minage') . "\" size=\"2\" maxlength=\"2\" class=\"pn-normal\"> " . _MINAGEDESCR . "\n"
                 . '</td></tr><tr><td class="pn-normal">' . _PASSWDLEN . '</td><td>' . '<select name="xminpass" size="1" class="pn-normal">'
                 . "<option value=\"3\"" . $sel_minpass['3'] . ">3</option>\n" . "<option value=\"5\"" . $sel_minpass['5'] . ">5</option>\n"
                 . "<option value=\"8\"" . $sel_minpass['8'] . ">8</option>\n" . "<option value=\"10\"" . $sel_minpass['10'] . ">10</option>\n"
                 . '</select>' . '</td></tr></table>' . "<input type=\"hidden\" name=\"module\" value=\"" . $GLOBALS['module'] . "\">"
                 . "<input type=\"hidden\" name=\"op\" value=\"setRegConfig\">" . "<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
                 . "<input type=\"submit\" value=\"" . _SUBMIT . "\">" . "</form>";
    CloseTable();
    include ("footer.php");
}

function user_admin_setRegConfig($var)
{
    user_admin_setConfig($var);
    return true;
}

function user_admin_main($var)
{
    switch ($var['op']) {
        case "modifyUser":
            modifyUser($var['chng_uid']);
            break;

        case "updateUser":
            updateUser($var);
            break;

        case "delUser":
            deleteUser($var['chng_uid']);
            break;

        case "delUserConf":
            deleteUserConfirm($var['del_uid']);
            break;

        case "addUser":
            addUser($var);
            break;

        case "getConfig":
            user_admin_getConfig();
            break;

        case "setConfig":
            user_admin_setConfig($var);
            break;

        case "getRegConfig":
            user_admin_getRegConfig();
            break;

        case "setRegConfig":
            user_admin_setRegConfig($var);
            break;


        case "ListDelRequest":
                        include 'modules/NS-User/moderate.php';
                user_admin_delRequest();
                break;


        case "delPropConf":
            delete_property_confirm($var);
            break;

        case "required_change":
            required_propchange($var['prop_id']);
                break;

        case "editdynafield":
              editdynafield($var['prop_id']);
               break;

        case "pncEditSaveField":
              pncEditSaveField($var);
              break;

        case "ListUAddRequest":
             include 'modules/NS-User/moderate.php';
             user_admin_addRequest($var['show']);
             break;

        case "ModUAddUser":
              include 'modules/NS-User/moderate.php';
              user_admin_modadduser();
              break;

        case "delModConfRequest":
             include 'modules/NS-User/moderate.php';
             deleteModRequest($var['chng_uid']);
             break;
        case "delModRequestConfOK":
             include 'modules/NS-User/moderate.php';
             deleteModConfRequestOK($var['del_uid']);
             break;

        case "ListDelRequest":
             include 'modules/NS-User/moderate.php';
             user_admin_delRequest();
             break;

        case "IgnoreDelRequest":
             include 'modules/NS-User/moderate.php';
             user_admin_ignoredelrequest();
             break;

        case "delUserRequest":
             include 'modules/NS-User/moderate.php';
             user_admin_deleteUserRequest();
              break;

         case "delUserConfRequest":
              include 'modules/NS-User/moderate.php';
              deleteUserConfirmRequest();
              break;

         // Fonction Dfinition des champs
         case "CreateFieldDef":
              CreateFieldDef();
              break;

        default:
            displayUsers();
            break;
    }
}

##########################################################
// Added by Chestnut ! - 20030213 17h51 (pncUserHack v1.6)
// Check the required fields and return an array to the
// Add_user Form - Search Sign %%@ function get required fields @%%

function getfieldrequired()
{

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
        $propcolumn = &$pntable['user_property_column'];
        $propresult = $dbconn->Execute("SELECT  $propcolumn[prop_label], $propcolumn[prop_validation]
                                        FROM  $pntable[user_property]
                                        WHERE  $propcolumn[prop_dtype]!='-1'
                                        AND $propcolumn[prop_weight]!='0'
                                        ORDER BY  $propcolumn[prop_weight]");
        if (!$propresult->EOF) {
                $fieldrequired = array();
//modified for Oracle compatibility
//                while(list($prop_label, $prop_validation) = $propresult->fields) {
                while(!$propresult->EOF){
					list($prop_label, $prop_validation) = $propresult->fields;
                    $propresult->MoveNext();
                    $prop_validation = unserialize($prop_validation);
                    if ($prop_validation['REQUIRED'] == 1) {
                        $prop_label_text = "";
                        $eval_cmd = "\$prop_label_text = $prop_label;";
                        @eval($eval_cmd);
                        if (empty($prop_label_text)) {
                             $prop_label_text = $prop_label;
                        }
                        $fieldrequired[$prop_label]['FIELD'] = $prop_label;
                        $fieldrequired[$prop_label]['LIBEL'] = $prop_label_text;
                        $fieldrequired[$prop_label]['VALIDATION'] = $prop_validation;
					}
                    $propresult->MoveNext();
                }
        }
        return $fieldrequired;
}

function getfieldlist()
{
	list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $propcolumn = &$pntable['user_property_column'];
    $propresult = $dbconn->Execute("SELECT $propcolumn[prop_label], $propcolumn[prop_validation]
                                        FROM $pntable[user_property]
                                        WHERE $propcolumn[prop_dtype]!='-1'
                                        AND  $propcolumn[prop_weight]!='0'
                                        ORDER BY  $propcolumn[prop_weight]");
    if (!$propresult->EOF) {
            $fieldrequired = array();
            while(!$propresult->EOF){
					list($prop_label, $prop_validation) = $propresult->fields;
                    $propresult->MoveNext();
                    $prop_validation = unserialize($prop_validation);
                    //if ($prop_validation['REQUIRED'] == 1) {
                    $prop_label_text = "";
                    $eval_cmd = "\$prop_label_text = $prop_label;";
                    @eval($eval_cmd);
                    if (empty($prop_label_text)) {
                           $prop_label_text = $prop_label;
                    }
                    $fieldrequired[$prop_label]['FIELD'] = $prop_label;
                    $fieldrequired[$prop_label]['LIBEL'] = $prop_label_text;
                    $fieldrequired[$prop_label]['VALIDATION'] = $prop_validation;
                    //}
			}
        }
        return $fieldrequired;
}

#########################################################
// Added by Chestnut ! - 20030214 13h41 (pncUserHack v1.6)
// Fetching the HTML to display the dynamic field.
//

function getfieldHTMLDef($dynafield, $dynavalue) {

   if (!isset($dynavalue)) {
                $dynavalue = "";
        }

		switch($dynafield['TYPE']) {
                case "TEXT":
                        $varaffiche = "<table><tr><td>\n";
                        $varaffiche .= "<input type=text name=\"dynafield[".$dynafield['NAME']."]\" value=\"".$dynavalue."\" size=\"40\">\n";
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
                case "TEXTAREA":
                        $varaffiche = "<table><tr><td>\n";
                        $varaffiche .= "<textarea cols=50 rows=10 name=\"dynafield[".$dynafield['NAME']."]\">".$dynavalue."</textarea>\n";
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
                case "CHECKBOX":
                        $varaffiche = "<table><tr><td>\n";
                        $varaffiche .= "<input type=\"CHECKBOX\" name=\"dynafield[".$dynafield['NAME']."]\">&nbsp;".$dynavalue."&nbsp;";
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
                case "RADIO":
                        $listfill = explode('@@',$dynafield['LISTFILL']);
                        $count = count($listfill);
                        $compteur = 1;
                        $varaffiche = "";
                        $varaffiche .= "<table><tr><td>\n";
                        while(list($key,$val) = each($listfill)) {
                                if ($dynavalue == $compteur) {
                                        $checked = "checked";
                                } else {
                                        $checked = "";
                                }
                                if ($val != "") {
                                        $varaffiche .= "<input type=RADIO name=\"dynafield[".$dynafield['NAME']."]\" value=\"".$compteur."\" $checked> ".$val."<br>\n";
                                        $compteur++;
                                }
                                //$compteur++;
                        }
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
                case "SELECT":
            $listfill = explode('@@',$dynafield['LISTFILL']);
            $count = count($listfill);
            $compteur = 1;
            if ($dynafield['LISTOPTION']==1) {
                $multiple = " multiple";
                $size = "size=\"5\"";
            } else {
                $multiple = "";
                $size = "size=\"1\"";
            }

            $varaffiche = "<table><tr><td>\n";
            if ($multiple."" != "") {
                $varaffiche .= "<SELECT NAME=\"dynafield[".$dynafield['NAME']."][]\"".$multiple." ".$size.">\n";
            } else {
                $varaffiche .= "<SELECT NAME=\"dynafield[".$dynafield['NAME']."]\" ".$size.">\n";
            }

            if ($multiple."" == "") $varaffiche .= "<option value=\"\"".$selected."></option>\n";

            $getdyna = $dynavalue;
            $parselist = $listfill;
            while(list($key,$val) = each($listfill)) {
                if ($dynafield['LISTOPTION'] == 1) {
                    if ($val."" != "") {
                        $getdyna = $dynavalue;
                        $check = $key;
                        if (!empty($getdyna) && is_array($getdyna)) {
                            //$getdyna = unserialize($getdyna);
                            $cherche = array_search($check, $getdyna);
                            if ($cherche !== null && $cherche !== false) {
                                $selected = " selected";
                                $varaffiche .= "<option value=\"".$compteur."\"".$selected.">".$val."</option>\n";
                            } else {
                                $selected = "";
                                $varaffiche .= "<option value=\"".$compteur."\"".$selected.">".$val."</option>\n";
                            }
                        } else {
                            $selected = "";
                            $varaffiche .= "<option value=\"".$compteur."\"".$selected.">".$val."</option>\n";
                        }
                        $compteur++;
                    }
                } else {
                     if ($val."" != "") {
                         if ($dynavalue == $compteur) {
                                $selected = " selected";
                            } else {
                                $selected = "";
                            }
                            $varaffiche .= "<option value=\"".$compteur."\"".$selected.">".$val."</option>\n";
                            $compteur++;
					 }
                }
            }
            $varaffiche .= "</select>";
            $varaffiche .= "</td><td>\n";
            if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
            if ($dynafield['ADMINONLY'] == 1) $varaffiche .= " <b>"._FORYOUREYESONLY."</b>";
            if ($dynafield['NOTE']."" != "") $varaffiche .= ""._UANOTE."".nl2br($dynafield['NOTE']);
            $varaffiche .= "</td></tr></table>";
            $varaffiche .= "\n";
            break;
                default:
                        $varaffiche = "<table><tr><td>\n";
                        $varaffiche .= "<input type=text name=\"dynafield[".$dynafield['NAME']."]\" value=\"".$dynavalue."\" size=\"40\">\n";
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>"._UANOTE."".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
        }
        return $varaffiche;
}


function getdynamiclist()
{
global $pnconfig;
//$log = &Log::singleton("file", "logs/md.log",NULL,array(),$pnconfig['loglevel']);
//$log->info('in getdynamiclist');
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
        $propcolumn = &$pntable['user_property_column'];
        $propresult = $dbconn->Execute("SELECT $propcolumn[prop_label], $propcolumn[prop_validation]
                                        FROM $pntable[user_property]
                                        WHERE $propcolumn[prop_dtype]>'0'
                                        AND  $propcolumn[prop_weight]!='0'
                                        ORDER BY $propcolumn[prop_weight]");
/*
$log->info("SELECT $propcolumn[prop_label], $propcolumn[prop_validation]
                                        FROM $pntable[user_property]
                                        WHERE $propcolumn[prop_dtype]>'0'
                                        AND  $propcolumn[prop_weight]!='0'
                                        ORDER BY $propcolumn[prop_weight]");
*/
                $fieldrequired = array();
//modified for Oracle compatibility
//                while(list($prop_label, $prop_validation) = $propresult->fields) {
                while(!$propresult->EOF){
					list($prop_label, $prop_validation) = $propresult->fields;
                    $prop_validation = unserialize($prop_validation);
                    //if ($prop_validation['REQUIRED'] == 1) {
                    $prop_label_text = "";
                    $eval_cmd = "\$prop_label_text = $prop_label;";
                    @eval($eval_cmd);
                    if (empty($prop_label_text)) {
                          $prop_label_text = $prop_label;
                    }
                    $fieldrequired[$prop_label]['FIELD'] = $prop_label;
                    $fieldrequired[$prop_label]['LIBEL'] = $prop_label_text;
                    $fieldrequired[$prop_label]['VALIDATION'] = $prop_validation;
                    //}
					$propresult->MoveNext();
                }

        return $fieldrequired;

}
##########################################################
// Added by Chestnut ! - 20030214 13h41 (pncUserHack v1.6)
// Register the User Information, Difference with the
// original is that it checks if the field is in the
// normal table or in the dynamic data table and register
// the value to the right place.

function pncAdminUserSetVar($name, $value, $uid)
{
    global $psnconfirm,$pnconfig;
	$dbtype = $pnconfig['dbtype'];

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
//	$log = &Log::singleton("file", "logs/md.log",NULL,array(),$pnconfig['loglevel']);
//	$log->info('in pncAdminUserSetVar'.$name.' '.$value.' '.$uid);

    if (empty($name)) {
        //        $psnconfirm = 'Name empty';
        $fncreturn = false;
    }

        if (        $name != "_UREALNAME"
                &&        $name != "_UFAKEMAIL"
                &&        $name != "_YOURHOMEPAGE"
                &&        $name != "_TIMEZONEOFFSET"
                &&        $name != "_YOURAVATAR"
                &&        $name != "_YICQ"
                &&        $name != "_YAIM"
                &&        $name != "_YYIM"
                &&        $name != "_YMSNM"
                &&        $name != "_YLOCATION"
                &&        $name != "_YOCCUPATION"
                &&        $name != "_YINTERESTS"
                &&        $name != "_SIGNATURE"
                &&        $name != "_EXTRAINFO") {

                $isdynamic = 1;

        } else {

                $isdynamic = 0;
                $fieldname['_UREALNAME'] = "name";
                $fieldname['_UFAKEMAIL'] = "uname";
                $fieldname['_YOURHOMEPAGE'] = "url";
                $fieldname['_TIMEZONEOFFSET'] = "timezone_offset";
                $fieldname['_YOURAVATAR'] = "user_avatar";
                $fieldname['_YICQ'] = "user_icq";
                $fieldname['_YAIM'] = "user_aim";
                $fieldname['_YYIM'] = "user_yim";
                $fieldname['_YMSNM'] = "user_msnm";
                $fieldname['_YLOCATION'] = "user_from";
                $fieldname['_YOCCUPATION'] = "user_occ";
                $fieldname['_YINTERESTS'] = "user_intrest";
                $fieldname['_SIGNATURE'] = "user_sig";
                $fieldname['_EXTRAINFO'] = "bio";

        }

        if ($isdynamic == 1) {

            $propertiestable = $pntable['user_property'];
            $datatable = $pntable['user_data'];
            $propcolumns = &$pntable['user_property_column'];
            $datacolumns = &$pntable['user_data_column'];

    // Confirm that this is a known value
            $query = "SELECT $propcolumns[prop_id], $propcolumns[prop_dtype]
                      FROM $propertiestable
                      WHERE $propcolumns[prop_label] = '" . pnVarPrepForStore($name) ."'";
            $result = $dbconn->Execute($query);

            if ($result->EOF) {
                        $psnconfirm ='Confirm that this is a known value';
                $fncreturn = false;
            }

            list ($id, $type) = $result->fields;
            // check for existence of the variable in user data
            $query = "SELECT $datacolumns[uda_id]
                      FROM $datatable
                      WHERE $datacolumns[uda_propid] = '" . pnVarPrepForStore($id) ."'
                      AND $datacolumns[uda_uid] = '" . pnVarPrepForStore($uid) ."'";
            $result = $dbconn->Execute($query);
//$log->info('in selezione '.$query);
            // jgm - this won't work in databases that care about typing
            // but this should get fixed when we move to the dynamic user
            // variables setup
            // TODO: do some checking with $type to maybe do conditional sql

            if ($result->EOF) {
            // record does not exist
                  if (is_array($value)) $value = serialize($value);
						switch ($dbtype){
						    case "oci8":
								$query = "INSERT INTO $datatable
                                        ($datacolumns[uda_propid],
                                        $datacolumns[uda_uid],
				                        $datacolumns[uda_value])
							        VALUES ('".pnVarPrepForStore($id)."',
								    '".pnVarPrepForStore($uid)."',
									empty_clob())";

									$dbconn->Execute($query);
									$dbconn->updateClob($datatable,$datacolumns[uda_value],pnVarPrepForStore($value),$datacolumns[uda_propid].'=\''.pnVarPrepForStore($id).'\' AND '.$datacolumns[uda_uid].'=\''.pnVarPrepForStore($uid).'\'');
								break;
							default:
								$query = "INSERT INTO $datatable
                                        ($datacolumns[uda_propid],
                                        $datacolumns[uda_uid],
						        $datacolumns[uda_value])
		                        VALUES ('".pnVarPrepForStore($id)."',
                                '".pnVarPrepForStore($uid)."',
                                '".pnVarPrepForStore($value)."')";
					            $dbconn->Execute($query);
							break;
						}
    
//$log->info('in insert '.$query);
                if($dbconn->ErrorNo() != 0) {
                                $psnconfirm ='record does not exist, inscription capout';
                        $fncreturn = false;
                }

                } else {
                    // existing record
                    $query = "UPDATE $datatable
                          SET $datacolumns[uda_value] = '" . pnVarPrepForStore($value) . "'
                          WHERE $datacolumns[uda_propid] = '" . pnVarPrepForStore($id) ."'
                                          AND $datacolumns[uda_uid] = '" . pnVarPrepForStore($uid) ."'";
	                $dbconn->Execute($query);
//$log->info('in update '.$query);
		            if($dbconn->ErrorNo() != 0) {
                          $psnconfirm ='existait dj';
                    $fncreturn = false;
			        }
				}
        } else {
            // Non dynamic
            $usertable = $pntable['users'];
            $usercolumn = $pntable['users_column'];

                $query = "UPDATE $usertable
                          SET ".$usercolumn[$fieldname[$name]]." = '" . pnVarPrepForStore($value) . "'
                          WHERE $usercolumn[uid] = '" . pnVarPrepForStore($uid) ."'";
                $dbconn->Execute($query);

                if ($dbconn->ErrorNo() != 0) {
                        $fncreturn = false;
                }
        }

    return $fncreturn;
}

function user_admin_convDate()
{
    include ("header.php");
    GraphicAdmin();
    // Convert pn_user_regdate from old format to Unix timestamp
    // by WindMeUp 2003/0522
    OpenTable();
        print '<hr><center><font size="3" class="pn-title">'._CONVDATETIME.'</b></font></center><br />'
                .'<form action="admin.php" method="post">'
            .'<table border="0"><tr><td class="pn-normal">'
                ._DATETIME."</td><td class=\"pn-normal\"><input type=\"text\" name=\"datetimeformat\" value=\"M d, Y\" size=\"12\" maxlength=\"20\" class=\"pn-normal\" />"
                        ."</td><td class=\"pn-normal\">"._DATETIMEDESCR."\n"
                .'</td></tr>';
                if($convertCounter) {
                print '<tr><td class="pn-normal">'
                        ._CONVERTDONE.'</td><td class="pn-normal">'.$convertCounter["true"].'</td></tr>'
                        .'<tr><td class="pn-normal">'
                        ._CONVERTFALSE.'</td><td class="pn-normal">'.$convertCounter["false"].'</td></tr>';
                }
                print '</table>'
                ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
                ."<input type=\"hidden\" name=\"op\" value=\"convDateTime\">"
                ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
            ."<input type=\"submit\" value=\""._CONVERTIT."\">"
                ."</form><hr>";
    CloseTable();

    include ("footer.php");
}

function user_admin_getCensadd()
{
    include ("header.php");
    GraphicAdmin();
    OpenTable();
    echo "<div style=\"margin:10px 0px 10px 0px; padding: 5px; width: 410px; text-align: center; border: 1px solid ".$GLOBALS['tblcolor1']."; background: ".$GLOBALS['bgcolor3'].";\">\n";    
    echo "<form action=\"admin.php\" method=\"get\">";
    echo "     <div style=\"width: 400px; text-align: center; font-size: 12px; font-weight: bold; border: 1px solid ".$GLOBALS['bgcolor4']."; background: ".$GLOBALS['bgcolor2'].";\">\n"   
        ."          "._UASTRCENSADDON."\n"
        ."     </div>\n"
        ."     <div style=\"text-align: center; font-size: 10px;\">\n"
        ."          "._UALSTSTRCENS."\n"
        ."     </div>\n"
        ."     <div style=\"width: 400px; text-align: center; font-size: 12px; font-weight: bold; border: 1px solid ".$GLOBALS['bgcolor4']."; background: ".$GLOBALS['bgcolor2'].";\">\n"
        ."          <table width=\"400\" border=\"0\">\n"
        ."              <tr>\n"
        ."                  <td width=\"70%\" align=\"center\">"._UASTRCENS."</td>\n"
        ."                  <td width=\"30%\" align=\"center\">"._UASTRCENSDEL."</td>\n"
        ."              </tr>\n"
        ."          </table>\n"
        ."     </div>\n";

    $rsvstr = pnConfigGetVar('reservedstring');
        sort($rsvstr);
    foreach($rsvstr as $element) {
        echo "     <div style=\"width: 400px; text-align: center; font-size: 12px; font-weight: bold; border: 1px solid ".$GLOBALS['bgcolor4']."; backgroumd: ".$GLOBALS['bgcolor2'].";\">\n" 
            ."          <div style=\"text-align: left; font-size: 10px;\">\n"
	        ."               <input type=\"text\" size=\"50\" name=\"z".pnVarPrepForDisplay($element)."\" value=".pnVarPrepForDisplay($element).">&nbsp;&nbsp;&nbsp;<input type=\"checkbox\" name=\"strallowdel". pnVarPrepForDisplay($element)."tag\">\n"
	        ."          </div>\n"
            ."     </div>\n";
    }

    echo "     <div style=\"padding: 5px; text-align: center; font-size: 10px; border: 1px solid ".$GLOBALS['bgcolor2']."; background: ".$GLOBALS['bgcolor2'].";\">\n";
    echo "          "._UANEWSTRCENS.":&nbsp;<input type=\"text\" size=\"50\" name=\"newstr\" value=\"\" size=\"25\">\n";
    echo "     </div>\n";        
    echo "    <input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">\n"
        ."    <input type=\"hidden\" name=\"op\" value=\"setCensorList_AddOn\">\n"
        ."    <input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">\n"
        ."    <input type=\"submit\" value=\""._SAVECHANGES."\" style=\"text-align:center\">\n"
        ."</form>\n";
    echo "</div>\n";
     
    CloseTable();
    include ("footer.php");
}

?>