<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: sjah  www.uiarch.org
// Purpose of file: Multi Themes and Templates Channel
// ----------------------------------------------------------------------
modules_get_language();

function editgroup() {
    $Default_Theme = pnConfigGetVar('Default_Theme');

    if (!pnUserLoggedIn()) {
        return;
    }

    if(pnConfigGetVar('channel_change') == 1){
        return;
    }
	
    include ("header.php");	

	$gid = pnVarCleanFromInput('gid');	
    $uid = pnUserGetVar('uid');
    $uname = pnUserGetVar('uname');
		
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $grouptable = $pntable['groups'];
    $groupcolumn = &$pntable['groups_column'];
	$groupmembertable = $pntable['group_membership'];
	$groupmembercolumn = &$pntable['group_membership_column'];
	
	$query1 = "SELECT pn_gid FROM $groupmembertable WHERE pn_uid='$uid'";
	$result1 = $dbconn->Execute($query1);
	
	if (!$result1->EOF)
	{
		$result1->Close();
		list($newgrouptpl) = $result1->fields;
		$ggid = $newgrouptpl;						
	}
	
    if (($ggid == '2') or ($ggid == '3') or ($ggid == '4')) {
	echo ""._CHANNELSTAFF."";
	include ("footer.php");
        return;
    }
				
    $query = "SELECT $groupcolumn[gid],
                     $groupcolumn[name]
              FROM $grouptable WHERE $groupcolumn[gid] !=2 
			  AND $groupcolumn[gid] !=3 
			  AND $groupcolumn[gid] !=4";
  
    $query .= " ORDER BY $groupcolumn[gid]";
    $result = $dbconn->Execute($query);
	
    echo "<center><span class=\"pn-title\">"._CHANNELCONFIG."</span></center>";
	echo "<blockquote><span class=\"pn-normal\">$uname"._CHANNELINFO."</span></blockquote>";
	
    if (!$result->EOF)
	{
		echo "<blockquote>"
		."<FORM ACTION=\"user.php\" METHOD=\"POST\">"
		."<span class=\"pn-normal\">"._CHANNELCHOOSE."</span>&nbsp;"
		."<INPUT TYPE=\"HIDDEN\" NAME=\"gid\" VALUE=\"" . pnVarPrepForDisplay($gid) . "\">"
		."<INPUT TYPE=\"HIDDEN\" NAME=\"op\" VALUE=\"savegroup\">"
		."<INPUT TYPE=\"HIDDEN\" NAME=\"authid\" VALUE=\"" . pnSecGenAuthKey() . "\">"
		."<SELECT NAME=\"gid\">";

		while (!$result->EOF)
		{
			list($gid, $name) = $result->fields;

			echo "<OPTION VALUE=\"$gid\">".pnVarPrepForDisplay($name)."</OPTION>";
			$result->MoveNext();
		}
		echo "</SELECT>".
            "  <INPUT TYPE=\"SUBMIT\" VALUE=\""._CHANNELCONFIRM."\">".
            "</FORM></blockquote>";
    }
	 
    $result->Close(); 
	include ("footer.php");
}

function savegroup()
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    list($gid, $uid) = pnVarCleanFromInput('gid', 'uid');
	
        $uid = pnUserGetVar('uid');
        $uname = pnUserGetVar('uname');
	
    if (!pnSecConfirmAuthKey()) {
        die('Attempt to directly update user information - denied');
        exit;
    }

        $column = &$pntable['group_membership_column'];
        $dbconn->Execute("UPDATE $pntable[group_membership]
                          SET $column[gid]='" . pnVarPrepForStore($gid) . "'
                          WHERE $column[uid]=" . pnVarPrepForStore($uid));

        pnRedirect('index.php');
}

switch($op) 
{
    case "editgroup":
        editgroup();
        break;
		
    case "savegroup":
        savegroup();
        break;
}
?>