<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Yassen Yotov
// Purpose of file: Admin interface
// ----------------------------------------------------------------------
define('_CONFIG_MODULE', 'News');
modules_get_language();

function news_admin_main()
{
        $output = new pnHTML();
        if (!pnSecAuthAction(0, 'AddStory::', '::', ACCESS_ADMIN))
        {
                $output->Text(_MODIFYLINKSSNOAUTH);
                return $output->GetOutput();
        }
        $output->adminmenu(); // TiMax add administration link
  		$output->Linebreak(2);
        $output->SetOutputMode(_PNH_KEEPOUTPUT);
        $output->Text(pnSessionGetVar('newsX_status'));
        pnSessionSetVar('newsX_status','');
        $output->Title(_MODULETITLE._MODULEVER);
        $output->BoldText(_ADMINMAIN);
        $output->Linebreak();
        $sel_toplinks['0'] = '';
        $sel_toplinks['1'] = '';
        $sel_toplinks['2'] = '';
        $sel_toplinks['3'] = '';
        $sel_toplinks[pnModGetVar(_CONFIG_MODULE, 'toplinkspos')] = ' checked';
        $sel_bottomlinks['0'] = '';
        $sel_bottomlinks['1'] = '';
        $sel_bottomlinks['2'] = '';
        $sel_bottomlinks['3'] = '';
        $sel_bottomlinks[pnModGetVar(_CONFIG_MODULE, 'bottomlinkspos')] = ' checked';
        $output->FormStart(pnModURL('News', 'admin', 'updateLinks'));
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $output->Text(_NEWSLINKSINHOME);
        $output->FormText('linksnum', pnVarPrepForDisplay(pnModGetVar(_CONFIG_MODULE, 'links')), 2);
        $output->Linebreak(2);
        $output->Text(_ROWSINHOME);
        $output->FormText('rowsnum', pnVarPrepForDisplay(pnModGetVar(_CONFIG_MODULE, 'rows')), 2);
        $output->Linebreak(2);
        $output->Text(_TOPLINKSPOS);
        $output->Linebreak();
        $output->FormCheckbox('toplinkspos', $sel_toplinks['1'], '1', 'radio');
        $output->Text(_LINKSLEFT);
        $output->Linebreak();
        $output->FormCheckbox('toplinkspos', $sel_toplinks['2'], '2', 'radio');
        $output->Text(_LINKSCENTER);
        $output->Linebreak();
        $output->FormCheckbox('toplinkspos', $sel_toplinks['3'], '3', 'radio');
        $output->Text(_LINKSRIGHT);
        $output->Linebreak();
        $output->FormCheckbox('toplinkspos', $sel_toplinks['0'], '0', 'radio');
        $output->Text(_LINKSNONE);
        $output->Linebreak(2);
        $output->Text(_BOTTOMLINKSPOS);
        $output->Linebreak();
        $output->FormCheckbox('bottomlinkspos', $sel_bottomlinks['1'], '1', 'radio');
        $output->Text(_LINKSLEFT);
        $output->Linebreak();
        $output->FormCheckbox('bottomlinkspos', $sel_bottomlinks['2'], '2', 'radio');
        $output->Text(_LINKSCENTER);
        $output->Linebreak();
        $output->FormCheckbox('bottomlinkspos', $sel_bottomlinks['3'], '3', 'radio');
        $output->Text(_LINKSRIGHT);
        $output->Linebreak();
        $output->FormCheckbox('bottomlinkspos', $sel_bottomlinks['0'], '0', 'radio');
        $output->Text(_LINKSNONE);
        $output->Linebreak(2);
        $output->FormSubmit(_SAVECHANGES);
        $output->FormEnd();
        return $output->GetOutput();
}
function news_admin_updateLinks($var)
        {
                list($linksnum, $rowsnum, $toplinkspos, $bottomlinkspos)= pnVarCleanFromInput('linksnum', 'rowsnum', 'toplinkspos', 'bottomlinkspos');
                pnModSetVar(_CONFIG_MODULE, 'links', $linksnum);
                pnModSetVar(_CONFIG_MODULE, 'rows', $rowsnum);
                pnModSetVar(_CONFIG_MODULE, 'toplinkspos', $toplinkspos);
                pnModSetVar(_CONFIG_MODULE, 'bottomlinkspos', $bottomlinkspos);
                pnSessionSetVar('newsX_status', _SETTINGSSAVED);
                pnRedirect(pnModURL('News', 'admin', 'main'));
                //pnRedirect('admin.php');
		return true;
        }
?>
