<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Jim McDonald
// Purpose of file:  Table information for ratings module
// ----------------------------------------------------------------------

function ratings_pntables()
{
    // Initialise table array
    $pntable = array();

    // Name for ratings database entities
    $ratings = pnConfigGetVar('prefix') . '_ratings';

    // Table name
    $pntable['ratings'] = $ratings;

    // Column names
    $pntable['ratings_column'] = array('rid' => $ratings . '.pn_rid',
                                       'module' => $ratings . '.pn_module',
                                       'itemid' => $ratings . '.pn_itemid',
                                       'ratingtype' => $ratings . '.pn_ratingtype',
                                       'rating' => $ratings . '.pn_rating',
                                       'numratings' => $ratings . '.pn_numratings');

    // Name for ratings database log
    $ratingslog = pnConfigGetVar('prefix') . '_ratingslog';

    // Table name
    $pntable['ratingslog'] = $ratingslog;

    // Column names
    $pntable['ratingslog_column'] = array('id' => $ratingslog . '.pn_id',
                                          'ratingid' => $ratingslog . '.pn_ratingid',
                                          'rating' => $ratingslog . '.pn_rating');

    // Return table information
    return $pntable;
}

?>