// I18N constants

// LANG: "it", ENCODING: UTF-8 | ISO-8859-1
// Author: Fabio Rotondo <fabio@rotondo.it>

// FOR TRANSLATORS:
//
//   1. PLEASE PUT YOUR CONTACT INFO IN THE ABOVE LINE
//      (at least a valid email address)
//
//   2. PLEASE TRY TO USE UTF-8 FOR ENCODING;
//      (if this is not possible, please include a comment
//       that states what encoding is necessary.)
HTMLArea.I18N = {

	// the following should be the filename without .js extension
	// it will be used for automatically load plugin language.
	lang: "it",

	tooltips: {
		bold:           "Grassetto",
		italic:         "Italico",
		underline:      "Sottolineato",
		strikethrough:  "Barrato",
		subscript:      "Pedice",
		superscript:    "Apice",
		justifyleft:    "Giustifica a Sinistra",
		justifycenter:  "Giustifica in Centro",
		justifyright:   "Giustifica a Destra",
		justifyfull:    "Giustifica Completamente",
		orderedlist:    "Lista Ordinata",
		unorderedlist:  "Lista Puntata",
		outdent:        "Decrementa Indentazione",
		indent:         "Incrementa Indentazione",
		forecolor:      "Colore del Carattere",
		hilitecolor:    "Colore di Sfondo",
		horizontalrule: "Linea Orizzontale",
		createlink:     "Inserisci un Link",
		insertimage:    "Inserisci un'Immagine",
		inserttable:    "Inserisci una Tabella",
		htmlmode:       "Attiva il codice HTML",
		popupeditor:    "Allarga l'editor",
		about:          "Info sull'editor",
		showhelp:       "Aiuto sull'editor",
		textindicator:  "Stile Attuale",
		undo:           "Elimina l'ultima modifica",
		redo:           "Ripristina l'ultima modifica",
		cut:            "Taglia l'area selezionata",
		copy:           "Copia l'area selezionata",
		paste:          "Incolla dalla memoria",
		lefttoright:    "Direzione da sinistra a destra",
		righttoleft:    "Direzione da destra a sinistra"
	},

	buttons: {
		"ok":           "OK",
		"cancel":       "Annulla"
	},

	msg: {
		"Path":         "Percorso",
		"TEXT_MODE":    "Sei in MODALITA' TESTO. Usa il bottone [<>] per tornare alla modalit WYSIWYG.",
		"IE-odia-schermo-pieno" :
		// translate here
		"Il modo a schermo pieno pu causare problemi con Internet Explorer, " +
		"a causa di bug nel browser che non siamo stati capaci di correggere. Potresti avere problemi di " +
		"visione, mancanza di funzioni dell'editor e/o crush random del browser. Se il tuo sistema  Windows 9x " +
		" molto probabile che avrai un 'Errore Generale di Protezione' e avrai bisogno di riavviare.\n\n" +
		"Sei stato avvertito. Per piacere premi OK se ancora vuoi tentare di avviare l'editor a schermo pieno."
	},

	dialogs: {
		"Cancel"                                            : "Cancella",
		"Insert/Modify Link"                                : "Inserisci/Modifica Link",
		"New window (_blank)"                               : "Nuova finestra (_blank)",
		"None (use implicit)"                               : "Niente (uso implicito)",
		"OK"                                                : "OK",
		"Other"                                             : "Altro",
		"Same frame (_self)"                                : "Stesso frame (_self)",
		"Target:"                                           : "Target:",
		"Title (tooltip):"                                  : "Titolo (tooltip):",
		"Top frame (_top)"                                  : "Frame principale (_top)",
		"URL:"                                              : "URL:",
		"You must enter the URL where this link points to"  : "Devi inserire l'URL dove questo link punta",
		"Search forward"									: "Cerca avanti >",
		"Search backward"									: "Cerca indietro <",
		"Replace forward"									: "Sostituisci avanti >>",
		"Replace backward"									: "Sostituisci indietro <<",
		"Replace all"										: "Sostituisci tutto",
		"Search_Replace"									: "Cerca & Sostituisci",
		"Searchword"										: "Cerca per",
		"Replaceword"										: "Sostituisci con",
		"whole word"										: "parola intera",
		"insensitive"										: "Non sensitivo"
	},

	filemanager: {
		"Loading files"										: "Loading files",
		"Insert File"                                		: "Insert File",
		"You must enter the URL"                            : "You must enter the URL",
		"File manager"                               		: "File Manager",
		"Insert filetype icon"								: "Insert filetype icon",
		"Insert file size"									: "Insert file size",
		"Insert file modification date"						: "Insert file modification date",
		"Upload"											: "Upload",
		"URL"												: "URL",
		"Caption"											: "Caption",
		"Directory"											: "Directory",
		"Type"												: " ",
		"Name"												: "Name",
		"Size"												: "Size",
		"Date Modified"										: "Date Modified",
		"Folder"											: "Folder",
		"Please use extension"								: "Please upload a file with an extensions, e.g. imagefile.jpg",
		"Delete folder"										: "Delete folder",
		"Delete file"										: "Delete file",
		"New folder name:"									: "New folder name:"
	}
};
