<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Stefan Koehler
// Purpose of file:  Initialisation functions for RteMulti
// last change: 2002/10/02   WindMeUp     some more initials
//              2004/04/22   WindMeUp     upgrade function (0.9.0 -> 0.9.2)
// ----------------------------------------------------------------------

// install my little tool
//
function rtemulti_init($update=0,$insert=1) {

// tell me the webserver-root-path and webserver-name
    global $HTTP_SERVER_VARS, $pnconfig;
//        $dbtype = $pnconfig['dbtype']; changed with new function
        $dbtype = pnConfigGetVar('dbtype');

    // Set up database tables
    $dbconn =& pnDBGetConn(true);
    $pntable = pnDBGetTables();

    $rtemultitable = $pntable['rtemulti'];
    $rtemulticolumn = &$pntable['rtemulti_column'];

        // Only for new installations
        if(!$update) {

        switch ($dbtype){
                case "oci8":
                        $sql = "CREATE TABLE $rtemultitable (".
                                substr_replace($rtemulticolumn[rid],'',0,strlen($rtemultitable)+1)." INTEGER  NOT NULL,".
                                substr_replace($rtemulticolumn[editortype],'',0,strlen($rtemultitable)+1)." VARCHAR2 (15)  DEFAULT NULL,".
                                substr_replace($rtemulticolumn[modname],'',0,strlen($rtemultitable)+1)." VARCHAR2 (35)  DEFAULT '',".
                                substr_replace($rtemulticolumn[varname],'',0,strlen($rtemultitable)+1)." VARCHAR2 (15)  DEFAULT NULL,".
                                substr_replace($rtemulticolumn[keystring],'',0,strlen($rtemultitable)+1)." CLOB,".
                                substr_replace($rtemulticolumn[newstring],'',0,strlen($rtemultitable)+1)." CLOB,".
                                substr_replace($rtemulticolumn[comment],'',0,strlen($rtemultitable)+1)." VARCHAR2 (254)  DEFAULT NULL,
                                CONSTRAINT RTEMULTI_PK
                                PRIMARY KEY ( PN_RID ))";

                        $dbconn->Execute($sql);
                    if ($dbconn->ErrorNo() != 0) {
                            pnSessionSetVar('errormsg', _DBCREATETABLEERROR);
                            return false;
                    }

                        $sql2='CREATE SEQUENCE RTEMULTI_SQ INCREMENT BY 1 START WITH 13 NOCYCLE CACHE 20 NOORDER';
                        $dbconn->Execute($sql2);

                        $sql3="CREATE OR REPLACE TRIGGER rtemulti_tr BEFORE INSERT ON $rtemultitable FOR EACH ROW WHEN (NEW.pn_rid IS NULL OR NEW.pn_rid = 0) BEGIN SELECT rtemulti_sq.NEXTVAL INTO :NEW.pn_rid FROM dual; END;";

                    $dbconn->Execute($sql3);
//                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (1,'rtemulti','News','storytext',empty_clob(),empty_clob(),'modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
//                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (2,'rtemulti','News','bodytext',empty_clob(),empty_clob(),'modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        break;
                default:
                        $sql = "CREATE TABLE $rtemultitable (
                                $rtemulticolumn[rid] INT(11) NOT NULL auto_increment,
                                $rtemulticolumn[editortype] VARCHAR(15) default NULL,
                                $rtemulticolumn[modname] VARCHAR(35) NOT NULL default '',
                                $rtemulticolumn[varname] VARCHAR(15) default NULL,
                                $rtemulticolumn[keystring] TEXT default NULL,
                                $rtemulticolumn[newstring] TEXT default NULL,
                                $rtemulticolumn[comment] VARCHAR(254) default NULL,
                                PRIMARY KEY(pn_rid)
                                )TYPE=MyISAM";
                    $dbconn->Execute($sql);
                        if ($dbconn->ErrorNo() != 0) {
                            pnSessionSetVar('errormsg', _DBCREATETABLEERROR);
                                return false;
                        }
//                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (1,'rtemulti','News','storytext','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
//                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (2,'rtemulti','News','bodytext','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");

                        break;
        }

        if($insert) {
        // Insert new or update datas
        switch ($dbtype){
                case "oci8":
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (1,'rtemulti','Submit_News','storytext',empty_clob(),empty_clob(),'modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (2,'rtemulti','Submit_News','bodytext',empty_clob(),empty_clob(),'modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (3,'rtemulti','NS-Comments','comment','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (4,'rtemulti','NS-Comments','','<option value=\"plaintext\" selected>','<option value=\"plaintext\">','change from plain text to HTML')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (5,'rtemulti','NS-Comments','','<option value=\"html\" >','<option value=\"html\" selected>','change from plain text to HTML')");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (6,'rtemulti','NS-AddStory','hometext','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (7,'rtemulti','NS-AddStory','bodytext','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (8,'rtemulti','Reviews','text','','','TEXTAREA RTE-activated')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (9,'','NS-Comments','','Name:','<img src=images/smilies/icon_wink.gif />','example for autochange')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (10,'rtemulti', 'Arena_Forum', 'message', '', '', 'Arena Forum')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (11,'rtemulti', 'subjects', 'pagecontent', '', '', 'subjects')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (12,'rtemulti', 'subjects', 'subtext', '', '', 'subjects')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (13,'rtemulti', 'ew_filemanager', 'content', '', '', 'File Manager')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (14,'rtemulti', 'NS-AddStory', '', '<option value=\"0\" selected>', '<option value=\"0\">', 'HTML formatted')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (15,'rtemulti', 'NS-AddStory', '', '<option value=\"1\">', '<option value=\"1\" selected>', 'HTML formatted')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");

                        break;
                default:
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (1,'rtemulti','Submit_News','storytext','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (2,'rtemulti','Submit_News','bodytext','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (3,'rtemulti','NS-Comments','comment','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (4,'rtemulti','NS-Comments','','<option value=\"plaintext\" selected>','<option value=\"plaintext\">','change from plain text to HTML')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (5,'rtemulti','NS-Comments','','<option value=\"html\" >','<option value=\"html\" selected>','change from plain text to HTML')");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (6,'rtemulti','NS-AddStory','hometext','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (7,'rtemulti','NS-AddStory','bodytext','','','modify to WYSIWYG')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (8,'rtemulti','Reviews','text','','','TEXTAREA RTE-activated')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (9,'','NS-Comments','','Name:','<img src=images/smilies/icon_wink.gif />','example for autochange')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (10,'rtemulti', 'Arena_Forum', 'message', '', '', 'Arena Forum')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (11,'rtemulti', 'subjects', 'pagecontent', '', '', 'subjects')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (12,'rtemulti', 'subjects', 'subtext', '', '', 'subjects')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (13,'rtemulti', 'ew_filemanager', 'content', '', '', 'File Manager')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (14,'rtemulti', 'NS-AddStory', '', '<option value=\"0\" selected>', '<option value=\"0\">', 'HTML formatted')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");
                        $result = $dbconn->Execute("INSERT INTO ".$rtemultitable." VALUES (15,'rtemulti', 'NS-AddStory', '', '<option value=\"1\">', '<option value=\"1\" selected>', 'HTML formatted')") || die("<b>"._NOTUPDATED.$rtemultitable."</b>");

                        break;
        }
    } // end if table was deleted
} // end if no update


     $root_path = $HTTP_SERVER_VARS['DOCUMENT_ROOT'];
     $servername = $HTTP_SERVER_VARS['SERVER_NAME'];
         $instdir_url = substr($HTTP_SERVER_VARS['SCRIPT_URL'],0,strpos($HTTP_SERVER_VARS['SCRIPT_URL'],'/index.php'));
         $rootpath = $root_path.$instdir_url;

        pnConfigSetVar('fullurl','http://'.$servername.$instdir_url);
        pnConfigSetVar('rootpath',$rootpath);

    pnModSetVar('rtemulti', 'editorrootpath', $rootpath.'/modules/RteMulti/pneditor');
    pnModSetVar('rtemulti', 'ignorefolders', 'temp,tmp');

    pnModSetVar('rtemulti', 'file_upload_dir', $rootpath.'/upload/rte');
    pnModSetVar('rtemulti', 'uploadsize', 0);
    pnModSetVar('rtemulti', 'file_upload_ext', 'gif,jpg,jpeg,png,txt,doc,xls,pdf');
    pnModSetVar('rtemulti', 'uploadext', 0);

    pnModSetVar('rtemulti', 'editorpath', 'modules/RteMulti/pneditor');
    pnModSetVar('rtemulti', 'image_accept', 'gif,jpg,jpeg,png');
    pnModSetVar('rtemulti', 'file_accept', 'html,htm,txt,phtml,php,inc');
    pnModSetVar('rtemulti', 'image_filesize', '10240');
    pnModSetVar('rtemulti', 'RteEnable', 1);
    pnModSetVar('rtemulti', 'RteDialogBox', 1);
    pnModSetVar('rtemulti', 'RteVisualBox', 1);
    pnModSetVar('rtemulti', 'RteHeight', 400);
    pnModSetVar('rtemulti', 'RteWidth', 600);
    pnModSetVar('rtemulti', 'RteActivate', 2);
    pnModSetVar('rtemulti', 'RteSecurity', 1);

        // Update table module_vars with default hidebuttons settings. Must be count groups table before.
    $groupstable = $pntable['groups'];
    $groupscolumn = &$pntable['groups_column'];
        $result = $dbconn->Execute("SELECT COUNT(*) from $groupstable");
    list($counter) = $result->fields;
        $counter++;
        $result->Close();
        $a = 'a:'.$counter.':{';
        for($i=0;$i < $counter;$i++) {
                $a .= 'i:'.$i.';b:0;';
        }
        $a .= '}';

        // Update table module_vars with default toolbar setting
    $modvarstable = $pntable['module_vars'];
    $modvarscolumn = &$pntable['module_vars_column'];
        $result = $dbconn->Execute("INSERT INTO ".$modvarstable." VALUES
                        ('','/PNConfig','RteToolbars','a:10:{i:1;a:4:{i:1;s:1:\"1\";i:2;s:0:\"\";i:3;s:0:\"\";i:4;s:0:\"\";}i:2;a:4:{i:1;s:1:\"2\";i:2;s:0:\"\";i:3;s:0:\"\";i:4;s:0:\"\";}i:3;a:4:{i:1;s:1:\"3\";i:2;s:0:\"\";i:3;s:0:\"\";i:4;s:0:\"\";}i:4;a:4:{i:1;s:0:\"\";i:2;s:1:\"1\";i:3;s:0:\"\";i:4;s:0:\"\";}i:5;a:4:{i:1;s:0:\"\";i:2;s:1:\"2\";i:3;s:0:\"\";i:4;s:0:\"\";}i:6;a:4:{i:1;s:0:\"\";i:2;s:1:\"3\";i:3;s:0:\"\";i:4;s:0:\"\";}i:7;a:4:{i:1;s:0:\"\";i:2;s:1:\"4\";i:3;s:0:\"\";i:4;s:0:\"\";}i:8;a:4:{i:1;s:0:\"\";i:2;s:1:\"5\";i:3;s:0:\"\";i:4;s:0:\"\";}i:9;a:4:{i:1;s:0:\"\";i:2;s:0:\"\";i:3;s:1:\"1\";i:4;s:0:\"\";}i:10;a:4:{i:1;s:0:\"\";i:2;s:0:\"\";i:3;s:1:\"2\";i:4;s:0:\"\";}}')")
                        || die("<b>"._NOTUPDATED.$modvarstable."</b>");
        $result = $dbconn->Execute("INSERT INTO ".$modvarstable." VALUES
                        ('','/PNConfig','RteHideButtons','".$a."')")
                        || die("<b>"._NOTUPDATED.$modvarstable."</b>");

    // Set up module hooks
    if (!pnModRegisterHook('item',
                           'transform',
                           'API',
                           'rtemulti',
                           'user',
                           'transform')) {
        pnSessionSetVar('errormsg', _RTE_COULDNOTREGISTER);
        return false;
    }

    // Initialisation successful
    return true;
}

// Update existing old version
//
function rtemulti_upgrade($oldversion) {
        switch ($oldversion){
                case '0.9.0':
                case '0.9.1':
                        $drop = 0; $update = 1;
                        rtemulti_delete($drop);
                        rtemulti_init($update, $drop);
                        break;
                case '0.9.2':
                        break;
        }
    return true;
}

// remove my little tool
//
function rtemulti_delete($drop=1) {

    // Remove module hooks
    if (!pnModUnregisterHook('item',
                             'transform',
                             'API',
                             'rtemulti',
                             'user',
                             'transform')) {
        pnSessionSetVar('errormsg', _RTE_COULDNOTUNREGISTER);
//        return false;
    }

    // Remove module variables
    // Get database information
    $dbconn =& pnDBGetConn(true);
    $pntable = pnDBGetTables();
    $modvartable = $pntable['module_vars'];
    $modvarcolumn = &$pntable['module_vars_column'];
                $sql = "Delete from $modvartable where $modvarcolumn[modname] = 'rtemulti'";
                $dbconn->Execute($sql);

        pnConfigDelVar('RteToolbars');
        pnConfigDelVar('RteHideButtons');

    // Delete tables
        if($drop) {
                $sql = "Delete from $pntable[rtemulti]";
                $dbconn->Execute($sql);

            $sql = "DROP TABLE $pntable[rtemulti]";
            $dbconn->Execute($sql);
        }

    // Deletion successful
    return true;
}

?>
