<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Jim McDonald
// Purpose of file:  Table information for RteMulti module
// ----------------------------------------------------------------------
//
// please post comments
// http://www.drachentasche.de
// last changes: 2002/09/02 windmeup
//

/**
 * This function is called internally by the core whenever the module is
 * loaded.  It adds in the information
 */
function rtemulti_pntables()
{
    // Initialise table array
    $pntable = array();

    // Get the name for the rtemulti item table
    $rtemulti = pnConfigGetVar('prefix') . '_rtemulti';

    // Set the table name
    $pntable['rtemulti'] = $rtemulti;

    // Set the column names
    $pntable['rtemulti_column'] = array('rid'       => $rtemulti . '.pn_rid',
                                        'editortype'=> $rtemulti . '.pn_editortype',
                                        'modname'   => $rtemulti . '.pn_modname',
                                        'varname'   => $rtemulti . '.pn_varname',
                                        'keystring' => $rtemulti . '.pn_keystring',
                                        'newstring' => $rtemulti . '.pn_newstring',
                                        'comment'   => $rtemulti . '.pn_comment');

    // Return the table information
    return $pntable;
}

?>
