<?php // $Id: index.php,v 1.6 2004/10/03 10:40:51 sjah Exp $ $Name:  $
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Filename: modules/Submit_News/index.php
// Original Author of file: Francisco Burzi
// Purpose of file: Submit news to site
// ----------------------------------------------------------------------

if (!defined("LOADED_AS_MODULE")) {
    die ("You can't access this file directly...");
}

$ModName = basename( dirname( __FILE__ ) );

modules_get_language();

function defaultDisplay()
{
// ML added global and dropdown with available languages

   // global $ModName, $topic, $sel;

    $ModName = $GLOBALS['ModName'];
    if (isset($GLOBALS['topic'])) {
	    $topic = $GLOBALS['topic'];
	}
	if (isset($GLOBALS['sel'])) {
    	$sel = $GLOBALS['sel'];
    }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $currentlang = pnUserGetLang();

    include ('header.php');
    if (!pnSecAuthAction(0, 'Submit news::', '::', ACCESS_COMMENT)) {
        echo _NOTALLOWED;
        include 'footer.php';
        exit;
    }

    OpenTable();
    echo "<center><font class=\"pn-pagetitle\">"._SUBMITNEWS."</font><br><br>";
    echo "<font class=\"pn-normal\">"._SUBMITADVICE."</font></center><br>";
    CloseTable();

    OpenTable();

    echo "<p><form name=\"Submit_Story_form\" action=\"modules.php?op=modload&amp;name=$ModName&amp;file=index\"  method=\"post\">"
    ."<font class=\"pn-normal\"><b>"._YOURNAME.":</b> ";
    if (pnUserLoggedIn()) {
        echo "<a class=\"pn-normal\" href=\"user.php\">" . pnUserGetVar('uname') . "</a>";
    } else {
        echo pnConfigGetVar('anonymous');
    }
    echo "<br><br>"
        ."<b>"._SUBTITLE."</b> "
        ."("._BEDESCRIPTIVE.")<br></font>"
        ."<input type=\"text\" name=\"subject\" size=\"50\" maxlength=\"80\"> "._REQUIRED."<br><font class=\"pn-normal\">("._BADTITLES.")</font>"
        ."<br><br>"
        ."<b>"._TOPIC.":</b> <select name=\"topic\" class=\"pn-text\">";
    $column = &$pntable['topics_column'];
    $toplist = $dbconn->Execute("SELECT $column[topicid], $column[topictext], $column[topicname]
                               FROM $pntable[topics]
                               ORDER BY $column[topicname]");
    echo "<option value=\"\">"._SELECTTOPIC."</option>\n";

//modified for Oracle compatibility
//    while(list($topicid, $topics, $topicname) = $toplist->fields) {
        while(!$toplist->EOF){
            list($topicid, $topics, $topicname) = $toplist->fields;
        if (pnSecAuthAction(0, 'Topics::Topic', "$topicname::$topicid", ACCESS_COMMENT))
        {
            if ($topicid==$topic) {
                $sel = "selected ";
            }
            echo "<option $sel value=\"".pnVarPrepForStore($topicid)."\">".pnVarPrepForDisplay($topicname)."</option>\n";
            $sel = "";
        }
        $toplist->MoveNext();
    }
    echo "</select>";

    echo "<br><br><b>"._LANGUAGE.": </b>"; // ML added dropdown , currentlang is pre-selected

    lang_dropdown();


    // Browser check
$client = $GLOBALS['client'];
if( (($client->browser_is("ie5.5+")) && ($client->property('platform') == "win")) || ($client->browser_is("mz1.3+")) ) {
        $ie_ok = 1;
} else {
        $ie_ok = 0;
}


    echo "<br><br><b>"._ARTICLETEXT."</b> "
        ."("._HTMLISFINE.")<br>";
                //webmedic added for bbcode controles in the news
               if ((pnModAvailable('postbbcode')) && $ie_ok == 0)  {
                        if (pnModAPILoad('postbbcode', 'user')) {
                        //  bbcode buttons for textarea
                                $bbcode_html = pnModAPIFunc('postbbcode',
                                                                                        'user',
                                                                                        'html_buttons',
                                                                                        array('form_name' => 'Submit_Story_form',
                                                                     'control_name' => 'storytext'));
                        }
                        if (!isset($bbcode_html)){
                          //$this->message = "bbcode failed - html not set";
                     // -> ignore -> warn admin???
                        } else {
                                echo $bbcode_html;
                        }
                };
                //end bbcode controls
                echo "<br><textarea name=\"storytext\" id=\"storytext\" rows=\"10\" cols=\"50\" wrap=\"virtual\" style=\"width: 500px;\" tabindex=\"3\" class=\"post\"></textarea>\n<br />\n "._REQUIRED."<br>\n"
                ._PAGEBREAK."<br>"
        ."<br><b>"._EXTENDEDTEXT."</b>"
        ."<br><textarea name=\"bodytext\" id=\"bodytext\" rows=\"10\" cols=\"50\" wrap=\"virtual\" style=\"width: 500px;\" tabindex=\"3\" class=\"post\"></textarea><br>";


    // Show allowable HTML
    echo '<font class="pn-normal">'._ALLOWEDHTML.'<br>';
    $AllowableHTML = pnConfigGetVar('AllowableHTML');
    while (list($key, $access, ) = each($AllowableHTML)) {
        if ($access > 0) echo " &lt;".$key."&gt;";
    }
    echo "<br><br>("._AREYOUSURE.")</font><br><br>"
            ."<input type=\"submit\" name=\"request_preview\" value=\""._PREVIEW."\">";
    echo "</form>";
    CloseTable();
    include ('footer.php');
}

function PreviewStory()
{
    list($name,
         $address,
         $subject,
         $storytext,
         $topic,
         $alanguage,
         $bodytext) = pnVarCleanFromInput('name',
                                          'address',
                                          'subject',
                                          'storytext',
                                          'topic',
                                          'alanguage',
                                          'bodytext');

    $subject    = pnVarCensor($subject);
    $storytext  = pnVarCensor($storytext);
    $bodytext   = pnVarCensor($bodytext);

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

  //  global $bgcolor1, $bgcolor2, $ModName;

    //$bgcolor1 = $GLOBALS['bgcolor1'];
    //$bgcolor2 = $GLOBALS['bgcolor2'];
    $ModName = $GLOBALS['ModName'];
    include ('header.php');

    $tipath = pnConfigGetVar('tipath');
    $anonymous = pnConfigGetVar('anonymous');

    if (!pnSecAuthAction(0, 'Submit news::', '::', ACCESS_COMMENT)) {
        echo _NOTALLOWED;
        include 'footer.php';
        exit;
    }

    if($subject == '' || $storytext == '') {
        OpenTable2();
        echo "<font class=\"pn-normal\"><b>"._MPROBLEM."</b> "._NOSUBJECT."</font><br><br><br>";
        echo "<center><font class=\"pn-normal\">"._GOBACK."</font></center><br><br>";
        CloseTable2();
        include("footer.php");
        exit;
    }

    OpenTable();
    echo "<center><font class=\"pn-title\">"._NEWSUBPREVIEW."</font></center>";
    CloseTable();

    OpenTable();
    echo "<center><font class=\"pn-normal\"><i>"._STORYLOOK."</i></font></center><br><br>";
    echo "<table width=\"70%\" bgcolor=\"".$GLOBALS['bgcolor2']."\" cellpadding=\"0\" cellspacing=\"1\" border=\"0\"align=\"center\"><tr><td>"
    ."<table width=\"100%\" bgcolor=\"".$GLOBALS['bgcolor1']."\" cellpadding=\"8\" cellspacing=\"1\" border=\"0\"><tr><td>";
    if ($topic=="") {
        $topicimage="AllTopics.gif";
        $warning = "<p><b>"._SELECTTOPIC."</b></p>";
    } else {
        $warning = "";
        $column = &$pntable['topics_column'];
        $result = $dbconn->Execute("SELECT $column[topicimage]
                                  FROM $pntable[topics]
                                  WHERE $column[topicid]='".pnVarPrepForStore($topic)."'");
        list($topicimage,$topicname) = $result->fields;
    }
    echo "<img src=\"$tipath$topicimage\" border=\"0\" align=\"right\" alt=\"Your Topic\">";

    story_preview($subject, $storytext, $bodytext);

    echo "<center>"
    ."<font class=\"pn-title\">".pnVarPrepHTMLDisplay($warning)."</font>"
    ."</center>"
    ."</td></tr></table></td></tr></table>"
    ."<br><br><center><font class=\"pn-sub\">"._CHECKSTORY."</font></center>";
    CloseTable();

    OpenTable();
    echo "<p><form name=\"Submit_Story_form\" action=\"modules.php?op=modload&amp;name=$ModName&amp;file=index\" method=\"post\"><font class=\"pn-normal\">"
    ."<b>"._YOURNAME.":</b> ";
    if (pnUserLoggedIn()) {
        echo "<a class=\"pn-normal\" href=\"user.php\">" . pnUserGetVar('uname') . "</a> <font class=\"pn-normal\">[ <a class=\"pn-normal\" href=\"user.php?module=NS-User&amp;op=logout\">"._LOGOUT."</a> ]</font>";
    } else {
        echo "".pnVarPrepForDisplay($anonymous)."";
    }
    echo "<br><br><b>"._SUBTITLE.":</b><br>"
    ."<input type=\"text\" name=\"subject\" size=\"50\" maxlength=\"80\" value=\"" . pnVarPrepForDisplay($subject) . "\"> "
    ._REQUIRED."<br><br><b>"._TOPIC.": </b><select name=\"topic\" class=\"pn-text\">";
    $column = &$pntable['topics_column'];
    $toplist = $dbconn->Execute("SELECT $column[topicid], $column[topictext], $column[topicname]
                               FROM $pntable[topics]
                               ORDER BY $column[topicname]");
    echo "<OPTION VALUE=\"\">"._SELECTTOPIC."</option>\n";
//modified for Oracle compatibility
//        while(list($topicid, $topics, $topicname) = $toplist->fields) {
        while(!$toplist->EOF){
                list($topicid, $topics, $topicname) = $toplist->fields;
        if (pnSecAuthAction(0,'Topics::Topic',"$topicname::$topicid", ACCESS_COMMENT))
        {
            if ($topicid == $topic) {
                $sel="selected";
                echo "<option value=\"$topicid\" $sel>".pnVarPrepForDisplay($topicname)."</option>\n";
            } else {
                echo "<option value=\"$topicid\">".pnVarPrepForDisplay($topicname)."</option>\n";
            }
            $sel="";
        }
        $toplist->MoveNext();
    }
    echo "</select>";
    echo "<br><br><b>"._LANGUAGE.": </b>";

    lang_dropdown();

    echo"<br><br><b>"._ARTICLETEXT."</b> "
        ."("._HTMLISFINE.")<br>"
        ."<textarea cols=\"50\" rows=\"10\" name=\"storytext\" id=\"storytext\">" . pnVarPrepHTMLDisplay($storytext) . "</textarea> "._REQUIRED."<br>"
        ."<br><b>"._EXTENDEDTEXT."</b>"
        ."<br><textarea cols=\"50\" rows=\"10\" name=\"bodytext\" id=\"bodytext\">" . pnVarPrepHTMLDisplay($bodytext) . "</textarea><br>"
        ."<font class=\"pn-normal\">("._AREYOUSURE.")</font><br><br>"
        ."<input type=\"submit\" name=\"request_preview\" value=\""._PREVIEW."\"> <input type=\"submit\" name=\"request_ok\" value=\""._OK."\">"
        ."</font></form>";
    CloseTable();

    include 'footer.php';
}

function submitStory()
{
    list($name,
         $subject,
         $storytext,
         $topic,
         $alanguage,
         $bodytext) = pnVarCleanFromInput('name',
                                          'subject',
                                          'storytext',
                                          'topic',
                                          'alanguage',
                                          'bodytext');

        global $pnconfig;
        $dbtype = $pnconfig['dbtype'];

 //   global $EditedMessage, $ModName;
    //$EditedMessage = $GLOBALS['EditedMessage'];
    $ModName = $GLOBALS['ModName'];

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!pnSecAuthAction(0, 'Submit news::', '::', ACCESS_COMMENT)) {
        include ('header.php');
        echo _NOTALLOWED;
        include 'footer.php';
        exit;
    }

    if (empty($subject)) {
        include 'header.php';
        ECHO _STORYNEEDSTITLE;
        include 'footer.php';
        exit;
    }

    if (pnUserLoggedIn()) {
        $uid = pnUserGetVar('uid');
        $name = pnUserGetVar('uname');
    } else {
        $uid = 1;
                $uname = pnConfigGetVar('anonymous');
    }

    $column = &$pntable['queue_column'];
//modified for Oracle compatibility
/*  $newid = $dbconn->GenId($pntable['queue']);
        $result = $dbconn->Execute("INSERT INTO $pntable[queue] (
                                  $column[qid],
                                  $column[uid],
                                  $column[arcd],
                                  $column[uname],
                                  $column[subject],
                                  $column[story],
                                  $column[timestamp],
                                  $column[topic],
                                  $column[alanguage],
                                  $column[bodytext])
                                VALUES (" . pnVarPrepForStore($newid). ",
                                        '" . pnVarPrepForStore($uid) . "',
                                        '0',
                                        '" . pnVarPrepForStore($name) . "',
                                        '" . pnVarPrepForStore($subject) . "',
                                        '" . pnVarPrepForStore($storytext) . "',
                                        now(),
                                        '" . pnVarPrepForStore($topic) . "',
                                        '" . pnVarPrepForStore($alanguage) . "',
                                        '" . pnVarPrepForStore($bodytext) . "')");
*/
        switch ($dbtype){
                case "oci8":
                        list($dbnam,$sequence)=explode("_", $pntable['queue']);
                        $sequence=$sequence.'_sq';
                        $newid = $dbconn->GenId($sequence);
                        $query="INSERT INTO $pntable[queue] ($column[qid], $column[uid], $column[arcd], $column[uname], $column[subject], $column[story], $column[timestamp], $column[topic], $column[alanguage], $column[bodytext]) VALUES ('".$newid."' , '" . pnVarPrepForStore($uid) . "', '0', '" . pnVarPrepForStore($name) . "', '" . pnVarPrepForStore($subject) . "', empty_clob() , sysdate, '" . pnVarPrepForStore($topic) . "', '" . pnVarPrepForStore($alanguage) . "', empty_clob() )";
                        $result = $dbconn->Execute($query);
                        $dbconn->updateClob($pntable[queue],$column[story],$storytext,$column[qid].'='.$newid);
                        $dbconn->updateClob($pntable[queue],$column[bodytext],$bodytext,$column[qid].'='.$newid);
                        break;
                default:
    $newid = $dbconn->GenId($pntable['queue']);
    $result = $dbconn->Execute("INSERT INTO $pntable[queue] (
                                  $column[qid],
                                  $column[uid],
                                  $column[arcd],
                                  $column[uname],
                                  $column[subject],
                                  $column[story],
                                  $column[timestamp],
                                  $column[topic],
                                  $column[alanguage],
                                  $column[bodytext])
                                VALUES (" . pnVarPrepForStore($newid). ",
                                        '" . pnVarPrepForStore($uid) . "',
                                        '0',
                                        '" . pnVarPrepForStore($name) . "',
                                        '" . pnVarPrepForStore($subject) . "',
                                        '" . pnVarPrepForStore($storytext) . "',
                                        now(),
                                        '" . pnVarPrepForStore($topic) . "',
                                        '" . pnVarPrepForStore($alanguage) . "',
                                        '" . pnVarPrepForStore($bodytext) . "')");
                        break;
        }

    if($dbconn->ErrorNo()<>0) {
        echo $dbconn->ErrorNo(). ": ".$dbconn->ErrorMsg(). "<br>";
        exit();
    }
    if(pnConfigGetVar('notify')) {
        pnMail(pnConfigGetVar('notify_email'),
             pnConfigGetVar('notify_subject'),
             pnConfigGetVar('notify_message'),
             'From: '.pnConfigGetVar('notify_from')
                     ."\nX-Mailer: PHP/".phpversion());
    }
    include 'header.php';

    OpenTable();
    $column = &$pntable['queue_column'];
    $result = $dbconn->Execute("SELECT count(*) FROM $pntable[queue] WHERE $column[arcd]='0'");
    list($waiting) = $result->fields;
    echo "<center><font class=\"pn-title\">"._SUBSENT."</font><br><br>"
    ."<font class=\"pn-normal\">"._THANKSSUB."<br><br>"
    .""._SUBTEXT.""
    ."<br>"._WEHAVESUB." $waiting "._WAITING."</font></center>";
    CloseTable();
    include ('footer.php');
}

/**
 * Preview function for submitted stories.
 */
function story_preview($title, $hometext, $bodytext="", $notes="") {
    list($hometext,
         $bodytext) = pnModCallHooks('item',
                                  'transform',
                                  '',
                                  array($hometext,
                                        $bodytext));
    echo "<font class=\"pn-title\"><b>" . pnVarPrepForDisplay($title) . "</b></font><br><br><font class=\"pn-normal\">" . pnVarPrepHTMLDisplay(nl2br($hometext)) . "</font>";
    if ($bodytext != "") {
        echo "<br><br><font class=\"pn-normal\">" . pnVarPrepHTMLDisplay(nl2br($bodytext)) . "</font>";
    }
    if ($notes != "") {
        echo "<br><br><font class=\"pn-normal\"><b>"._NOTE."</b> <i>" . pnVarPrepHTMLDisplay(nl2br($notes)) . "</i></font>";
    }
}

//
// Resolve the action requested: Preview or Ok (i.e. submit it!) ?
// [plamendp]
  //  global $request_preview, $request_ok;
	if (isset($GLOBALS['request_preview'])) {
	    $request_preview = $GLOBALS['request_preview'];
	} else {
		$request_preview = "";
	}
	if (isset($GLOBALS['request_ok'])) {
	    $request_ok = $GLOBALS['request_ok'];
	} else {
		$request_ok = "";
	}
$req = "";
if ($request_preview) $req = "PREVIEW";
elseif ($request_ok)  $req = "OK";

switch($req) {

    case "PREVIEW":
        PreviewStory();
        break;

    case "OK":
        SubmitStory();
        break;

    default:
        defaultDisplay();
        break;
}
?>