<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------
// 11-30-2001:ahumphr - created file as part of modularistation


/**
 * AddLink
 */
function AddLink()
{
    global $ModName, $modurl, $image_dir;

		include_once("config/wl-config.php");

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
		
		$imagedir = pnConfigGetVar('imagedir');

    include("header.php");
    $mainlink = 1;
    menu(1);

    OpenTable();
    echo "<center><font class=\"pn-title\">"._ADDALINK."</font></center><br><br>";
    if (pnSecAuthAction(0, 'Web_Links::', "::", ACCESS_COMMENT)) {
        echo "<font class=\"pn-normal\"><b>"._INSTRUCTIONS.":</b><br>"
        ."<strong><big>&middot;</big></strong> "._SUBMITONCE."<br>"
        ."<strong><big>&middot;</big></strong> "._POSTPENDING."<br>"
        ."<strong><big>&middot;</big></strong> "._USERANDIP."<br></font>"
        ."<form method=\"post\" action=\"${modurl}\">"
        ."<font class=\"pn-normal\">"
				."<table>"
        ."<tr><td>"._PAGETITLE.": </td><td><input type=\"text\" name=\"title\" size=\"50\" maxlength=\"100\"></td></tr>"
        ."<tr><td>"._PAGEURL.": </td><td><input type=\"text\" name=\"url\" size=\"50\" maxlength=\"100\" value=\"http://\"></td></tr>";
				
			//Image				
			echo "<tr><td>"._IMAGE.":</b><br></td><td>"
				."<select name=\"image\" size=\"1\">";
			list_image($image_dir);
			echo "</select></td></tr>";
			//End image

        echo "<tr><td>"._CATEGORY.": </td><td><select name=\"cat\">";
        echo CatList(0, 0);
        echo "</select></td></tr>"
            ."<tr><td>"._LDESCRIPTION."</td><td><textarea name=\"description\" cols=\"50\" rows=\"5\"></textarea></td></tr>"
            ."<tr><td>"._YOURNAME.": </td><td><input type=\"text\" name=\"nname\" size=\"30\" maxlength=\"60\"></td></tr>"
            ."<tr><td>"._YOUREMAIL.": </td><td><input type=\"text\" name=\"email\" size=\"30\" maxlength=\"60\"></td></tr></table>"
            ."<input type=\"hidden\" name=\"req\" value=\"Add\">"
            ."<input type=\"hidden\" name=\"authid\" value=\"".pnSecGenAuthKey()."\">"
            ."<input type=\"submit\" value=\""._ADDURL."\"> "._GOBACK."<br><br>"
            ."</font></form>";
    }
		else {
        echo "<font class=\"pn-normal\"><center>"._LINKSNOTUSER1."<br>"
        .""._LINKSNOTUSER2."<br><br>"
            .""._LINKSNOTUSER3."<br>"
            .""._LINKSNOTUSER4."<br>"
            .""._LINKSNOTUSER5."<br>"
            .""._LINKSNOTUSER6."<br>"
            .""._LINKSNOTUSER7."<br><br>"
            .""._LINKSNOTUSER8."</font>";
    }
    CloseTable();
    include("footer.php");
}

/**
 * Add
 */
function Add()
{
    list($title,
         $url,
				 $image,
         $nname,
         $cat,
         $description,
         $email) = pnVarCleanFromInput('title',
                                       'url',
																			 'image',
                                       'nname',
                                       'cat',
                                       'description',
                                       'email');

    global $ModName, $modurl, $pnconfig;
	$dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $column = &$pntable['links_links_column'];
    $result = $dbconn->Execute("SELECT COUNT(*) FROM $pntable[links_links] WHERE $column[url]='".pnVarPrepForStore($url)."'");
    list($numrows) = $result->fields;

    if ($numrows>0) {
        include("header.php");
        menu(1);

        OpenTable();
        echo "<font class=\"pn-normal\"><center><b>"._LINKALREADYEXT."</b><br><br>"
            ._GOBACK."</font>";
        CloseTable();
        include("footer.php");
    } else {
        if (pnUserLoggedIn()) {
            $submitter = pnUserGetVar('uname');
    }

// Check if Title exist
    if ($title=="") {
    include("header.php");
    menu(1);

    OpenTable();
    echo "<font class=\"pn-normal\"><center><b>"._LINKNOTITLE."</b><br><br>"
        .""._GOBACK."</font>";
    CloseTable();
    include("footer.php");
    exit;
    }

// Check if URL exist
    $valid = pnVarValidate($url, 'url');
    if ($valid == false) {
    include("header.php");
    menu(1);

    OpenTable();
    echo "<center><font class=\"pn-normal\"><b>"._LINKNOURL."</b><br><br>"
        .""._GOBACK."</font>";
    CloseTable();
    include("footer.php");
    exit;
    }

// Check if Category exists
    if ($cat=="") {
    include("header.php");
    menu(1);

    OpenTable();
    echo '<font class="pn-normal"><center><b>'._LINKNOCAT.'</b><br><br>'
        ._GOBACK.'</font>';
    CloseTable();
    include("footer.php");
    exit;
}

// Check if Description exist
    if ($description=="") {
    include("header.php");
    menu(1);

    OpenTable();
    echo "<center><font class=\"pn-normal\"><b>"._LINKNODESC."</b><br><br>"
        .""._GOBACK."</font>";
    CloseTable();
    include("footer.php");
    exit;
    }

	
    $column = &$pntable['links_newlink_column'];
//modified for Oracle compatibility
/*	$nextid = $dbconn->GenId($pntable['links_newlink']);
    $dbconn->Execute("INSERT INTO $pntable[links_newlink] ($column[lid], $column[cat_id], $column[title], $column[url], $column[image], $column[description], $column[name], $column[email], $column[submitter])
		 									VALUES ($nextid, '".pnVarPrepForStore($cat)."', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."', '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."')");
*/
	switch ($dbtype){
		case "oci8":
			$sequence=substr_replace($pntable['links_newlink'],'',0,strlen($dbname)+1).'_sq';
			$nextid = $dbconn->GenId($sequence);
			$dbconn->Execute("INSERT INTO $pntable[links_newlink] ($column[lid], $column[cat_id], $column[title], $column[url], $column[image], $column[description], $column[name], $column[email], $column[submitter])
											VALUES ($nextid, '".pnVarPrepForStore($cat)."', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."', empty_clob(), '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."')");

			$dbconn->updateClob($pntable[links_newlink],$column[description],pnVarPrepForStore($description),$column[lid].'='.$nextid);
			break;
		default:
    $nextid = $dbconn->GenId($pntable['links_newlink']);
    $dbconn->Execute("INSERT INTO $pntable[links_newlink] ($column[lid], $column[cat_id], $column[title], $column[url], $column[image], $column[description], $column[name], $column[email], $column[submitter])
		 									VALUES ($nextid, '".pnVarPrepForStore($cat)."', '".pnVarPrepForStore($title)."', '".pnVarPrepForStore($url)."', '".pnVarPrepForStore($image)."', '".pnVarPrepForStore($description)."', '".pnVarPrepForStore($nname)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($submitter)."')");
			break;
	}

    include("header.php");
    menu(1);

    OpenTable();
    echo "<center><font class=\"pn-normal\"><b>"._LINKRECEIVED."</b><br>";
    if ($email != "") {
        echo _EMAILWHENADD;
    } else {
        echo _CHECKFORIT;
    }
    CloseTable();
        include("footer.php");
    }
}

?>