<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------
// 11-30-2001:ahumphr - created file as part of modularistation

/**
 * index
 * Display the main links categories
 */
function index()
{
    global $ModName, $modurl, $bgcolor1, $bgcolor3;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    include("header.php");

    $mainlink = 0;
    menu($mainlink);

    OpenTable();

    echo "<center><font class=\"pn-title\">"._LINKSMAINCAT."</font></center><br>";
    echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" width=\"90%\">";

    $column = &$pntable['links_categories_column'];
    $result=$dbconn->Execute(        "SELECT $column[cat_id], $column[title], $column[cdescription]
                                                                                                                        FROM $pntable[links_categories]
                                                                                                                        WHERE $column[parent_id]=0 ORDER BY $column[title]");

                //Category
//modified for Oracle compatibility
//                while(list($cat_id, $title, $cdescription) = $result->fields){
    while(!$result->EOF){
                list($cat_id, $title, $cdescription) = $result->fields;

                                $result->MoveNext();
        $cnumrows = CountSubLinks($cat_id);

                                $img_folder = "folder.gif";

                                echo "<tr bgcolor=$bgcolor1>";
                                echo "<td valign=\"middle\" align=\"left\"><img src=\"modules/$ModName/images/$img_folder\">&nbsp;&nbsp;&nbsp;</td>";
        echo "<td valign=\"middle\" align=\"left\" colspan=\"2\"><a class=\"pn-title\" href=\"${modurl}&amp;req=viewlink&amp;cid=$cat_id\"><b>".pnVarPrepForDisplay($title)."</b></a></td>";
        echo "<td valign=\"middle\" align=\"right\">($cnumrows)</td>";
                                echo "<td>";
                                        categorynewlinkgraphic($cat_id);
                                echo"</td>";
        echo "</tr>";

        if ($cdescription) {
                                                echo "<tr bgcolor=$bgcolor1><td>&nbsp;</td>";
                                                echo "<td valign=\"middle\" colspan=\"3\" align=\"left\">";
            echo "<font class=\"pn-normal\">".pnVarPrepForDisplay($cdescription)."</font><br>";
                        echo "</td><td>&nbsp;</td>";
                                                echo "</tr>";
                                }
                                echo "<tr><td colspan=\"5\"></td>";

        $column = &$pntable['links_categories_column'];
        $result2 = $dbconn->Execute("SELECT $column[cat_id], $column[title]
                                                                                                                                                FROM $pntable[links_categories]
                                                                                                                                                WHERE $column[parent_id]=".pnVarPrepForStore($cat_id)." ORDER BY $column[title]");

                                //Subcategory
 //modified for Oracle compatibility
//                 while(list($scat_id, $stitle) = $result2->fields) {
                 while(!$result2->EOF){
                    list($scat_id, $stitle) = $result2->fields;

            $result2->MoveNext();
                                                $cnumsubrows = CountSubLinks($scat_id);

                                                $img_sfolder = "folder.gif";

                                                echo "<tr bgcolor=$bgcolor3>";
                         echo "<td valign=\"middle\" align=\"center\">-></td>";
                                                echo "<td valign=\"middle\" align=\"left\" colspan=\"2\"><img src=\"modules/$ModName/images/$img_sfolder\">&nbsp;&nbsp;&nbsp;";
                               echo "<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=$scat_id\"><b>".pnVarPrepForDisplay($stitle)."</b></a></td>";
                        echo "<td valign=\"middle\" align=\"right\">($cnumsubrows)</td>";
                                                echo "<td>";
                                                        subcategorynewlinkgraphic($scat_id);
                                    echo"</td>";
                                                 echo "</tr>";

        }

                                echo "<tr><td colspan=\"5\">&nbsp;&nbsp;&nbsp;</td></tr>";

    }

                //End Table Links
    echo "</table>";

    $result=$dbconn->Execute("SELECT COUNT(*) FROM $pntable[links_links]");
    list($numrows) = $result->fields;

    $result=$dbconn->Execute("SELECT COUNT(*) FROM $pntable[links_categories]");
    list($catnum) = $result->fields;

    echo "<br><br><center><font class=\"pn-sub\">"._THEREARE." <b>$numrows</b> "._LINKS." "._AND." <b>$catnum</b> "._CATEGORIES." "._INDB."</font></center>";
    CloseTable();

    include("footer.php");
}

/**
 * menu
 * builds the standard navigation menu
 * @param mainlink  integer switch. 1 means show _LINKSMAIN, 0 not.
 */
function menu($mainlink) {
    global $ModName, $modurl, $query;

    OpenTable();
    echo "<center><a class=\"pn-logo\"  href=\"${modurl}\">".pnConfigGetVar('sitename')." -- "._LINKPAGETITLE."</a><br>";
    echo         "<form action=\"${modurl}&amp;req=search&amp;query=".pnVarPrepForDisplay($query)."\" method=\"post\">"
                      ."<font class=\"pn-normal\"><input type=\"text\" size=\"25\" name=\"query\"> "
                      ."<input type=\"submit\" value=\""._SEARCH."\"><br>"
                      ."</font>"
                            ."</form>";

    $viewlink = pnConfigGetVar('links_viewlinklock');

                if ($viewlink==1) {
            echo "<font class=\"pn-normal\">[ ";

            if ($mainlink>0) {
              echo "<a class=\"pn-normal\"  href=\"${modurl}\">"._LINKSMAIN."</a> | ";
            }
            if (pnSecAuthAction(0, 'Web_Links::Category', '::', ACCESS_READ)) {
                echo "<a class=\"pn-normal\" href=\"${modurl}&amp;req=AddLink\">"._ADDLINK."</a>";
            }
            echo        " | <a class=\"pn-normal\" href=\"${modurl}&amp;req=NewLinks\">"._NEW."</a>"
                                           ." | <a class=\"pn-normal\" href=\"${modurl}&amp;req=MostPopular\">"._POPULAR."</a>"
                                    ." | <a class=\"pn-normal\" href=\"${modurl}&amp;req=TopRated\">"._TOPRATED."</a>"
                                    ." | <a class=\"pn-normal\" href=\"${modurl}&amp;req=RandomLink\" target=\"new\">"._RANDOM."</a> ]"
                                    ."</font>";
                        }
                echo "</center>";

    CloseTable();
}

?>
