<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------
// 11-30-2001:ahumphr - created file as part of modularistation
// ----------------------------------------------------------------------
// 05-22-2002: MagicX(portalzine.de) - add a screenshot to your presented weblinks

include("config/wl-config.php");

/**
 *sortLinksByMenu
 * generates the sort links by menu
 */
function sortLinksByMenu($cid, $orderbyTrans)
{
    global $modurl;

    echo "<center><font class=\"pn-normal\">"._SORTLINKSBY.": "
        .""._TITLE." (<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."&amp;orderby=titleA\">A</a>/<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."&amp;orderby=titleD\">D</a>) "
        .""._DATE." (<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."&amp;orderby=dateA\">A</a>/<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."&amp;orderby=dateD\">D</a>) "
        .""._RATING." (<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."&amp;orderby=ratingA\">A</a>/<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."&amp;orderby=ratingD\">D</a>) "
        .""._POPULARITY." (<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."&amp;orderby=hitsA\">A</a>/<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."&amp;orderby=hitsD\">D</a>)"
        ."<br><b>"._SITESSORTED.": ".pnVarPrepForDisplay($orderbyTrans)."</b></font></center><br><br>";
}

/**
 * viewlink
 */
function viewlink($cid, $min, $orderby, $show)
{
    global $ModName, $datetime, $modurl, $web_links_show_star, $bgcolor1, $bgcolor3, $image_dir, $displayscreenshot, $screenshotwidth, $screenshotheight;
    
		include("header.php");

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $perpage = pnConfigGetVar('perpage');
    $mainvotedecimal = pnConfigGetVar('mainvotedecimal');
    $locale = pnConfigGetVar('locale');

    if (!isset($min)) $min=0;
    if (!isset($max)) $max=$min+$perpage;
    if(isset($orderby)) {
        $orderby = convertorderbyin($orderby);
    } else {
        $orderby = $pntable['links_links_column']['title'] . ' ASC';
    }
    if ($show!="") {
        $perpage = $show;
    } else {
        $show=$perpage;
    }
    menu(1);

    OpenTable();
    
		$column = &$pntable['links_categories_column'];
    $result=$dbconn->Execute(	"SELECT $column[title] , $column[cdescription]
                        			FROM $pntable[links_categories]
                        			WHERE $column[cat_id]=".(int)$cid."");

    list($title, $description) = $result->fields;

    echo "<center><font class=\"pn-normal\"><b>"._CATEGORY.": ".CatPath($cid,1,1,0)."</b></font></center><br>";

    $carrytitle = $title;

    $column = &$pntable['links_categories_column'];
    $subresult=$dbconn->Execute("SELECT $column[cat_id], $column[title], $column[cdescription]
                                 FROM $pntable[links_categories] 
																 WHERE $column[parent_id]=".(int)$cid);
    
		$numrows = $subresult->PO_RecordCount();

    if ($numrows != 0) {
        $scount = 0;

//      echo "<center><font class=\"pn-normal\">"._LALSOAVAILABLE." <b><i>".pnVarPrepForDisplay($title)."</i></b><br> "._SUBCATEGORIES.":</font></center><br>";

        echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" width=\"90%\">";

//modified for Oracle compatibility
//		while(list($sid, $title, $cdescription) = $subresult->fields) {
		while(!$subresult->EOF){
			list($sid, $title, $cdescription) = $subresult->fields;

            $subresult->MoveNext();
            $column = &$pntable['links_links_column'];
						
            $result2 = $dbconn->Execute("SELECT COUNT(*)
																				 FROM $pntable[links_links]
																				 WHERE $column[cat_id]=".(int)$sid."");

            list($numrows) = $result2->fields;
						
						$img_sfolder = "folder.gif";
						
						echo "<tr bgcolor=$bgcolor3>";
	         	echo "<td valign=\"middle\" align=\"center\"></td>";
//modified for bug
//			echo "<td valign=\"middle\" align=\"left\" colspan=\"2\"><img src=\"/modules/$ModName/images/$img_sfolder\">&nbsp;&nbsp;&nbsp;";
			echo "<td valign=\"middle\" align=\"left\" colspan=\"2\"><img src=\"modules/$ModName/images/$img_sfolder\">&nbsp;&nbsp;&nbsp;";
 	  		    echo "<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".(int)$sid."\"><b>".pnVarPrepForDisplay($title)."</b></a></td>";
        		echo "<td valign=\"middle\" align=\"right\">(".CountSubLinks($sid).")</td>";
						echo "<td>";
							subcategorynewlinkgraphic($sid);
    				echo"</td>";					
 						echo "</tr>";
			  
				    if ($cdescription) {
							echo "<tr bgcolor=$bgcolor1><td>&nbsp;</td>";
							echo "<td valign=\"middle\" colspan=\"3\" align=\"left\">";
  	          echo "<font class=\"pn-normal\">".pnVarPrepForDisplay($cdescription)."</font><br>";
    	    		echo "</td><td>&nbsp;</td>";
							echo "</tr>";
						}


/*            echo "<td><a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".(int)$sid."\">"
            .$title."</a><font class=\"pn-normal\"> (".CountSubLinks($sid).")&nbsp;</font>";
            subcategorynewlinkgraphic($sid);
            echo "&nbsp;&nbsp;</td>";
*/
            $scount++;
            if ($scount==4) {
                //echo "</tr><tr>";
                $scount = 0;
            }
        }


/*        if ($scount != 0) {
            echo "</tr></table>";
        } else {
            echo "<td></td></tr></table>";
        }
*/
				echo "</table>";			
        echo "<hr noshade size=\"1\" />";

    }

    $orderbyTrans = convertorderbytrans($orderby);

    sortLinksByMenu($cid, $orderbyTrans);

    $column = &$pntable['links_links_column'];
    $fullcountresult=$dbconn->Execute("SELECT count(*) FROM $pntable[links_links] WHERE $column[cat_id]=".(int)$cid."");
    list($totalselectedlinks) = $fullcountresult->fields;

    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" border=\"0\">";
    $query = buildSimpleQuery ('links_links', array ('lid', 'title', 'image', 'description', 'date', 'hits', 'linkratingsummary', 'totalvotes', 'totalcomments'), "$column[cat_id]=".(int)$cid, pnVarPrepForStore($orderby), (int)$perpage, (int)$min);
    
		$result=$dbconn->Execute($query);
    
//modified for Oracle compatibility
//		while(list($lid, $title, $image, $description, $time, $hits, $linkratingsummary, $totalvotes, $totalcomments)=$result->fields) {
	while(!$result->EOF){
		list($lid, $title, $image, $description, $time, $hits, $linkratingsummary, $totalvotes, $totalcomments)=$result->fields;
    	$result->MoveNext();

// Screenshots added
		if($displayscreenshot==1) {

			$fp = @fopen("$image_dir/$image","r");
//modified for little bug			
//			if ($fp) {
			if ($image) {
				echo"<tr><td width=90>
							<center>
								<a href=\"${modurl}&amp;req=visit&amp;lid=".(int)$lid."\" target=\"new\">
								<img border=1 width=\"$screenshotwidth\"  height=\"$screenshotheight\" border=\"0\" alt=\"".$title."\""; 
				if($image_dir > "" ) {
					echo"src=\"$image_dir/$image\">";
				}
				else {
					echo"src=\"$image_dir/$image\">";
				}
				echo"</center></td><td>"; 
			}
			else {
//modified for little bug
//				echo"<td width=90><center>"._NOPICTURE."</center></td><td>";
				echo"<tr><td width=90><center>"._NOPICTURE."</center></td><td>";
			}
		}
//Screenshot end

			  $linkratingsummary = number_format($linkratingsummary, $mainvotedecimal);
        echo "<a class=\"pn-title\" href=\"${modurl}&amp;req=visit&amp;lid=".(int)$lid."\" target=\"new\">".pnVarPrepForDisplay($title)."</a>";
        newlinkgraphic($datetime, $time);
        popgraphic($hits);
        /* INSERT code for *editor review* here */
        echo "<br>";
        echo ""._WL_DESCRIPTION.": ".pnVarPrepHTMLDisplay($description)."<br>";
        setlocale (LC_TIME, $locale);
        ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
        $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
        $datetime = ucfirst($datetime);
        echo ""._ADDEDON.": $datetime "._HITS.": ".(int)$hits;
        $transfertitle = str_replace (" ", "_", $title);
        /* voting & comments stats */
        if ($totalvotes == 1) {
            $votestring = _VOTE;
        } else {
            $votestring = _VOTES;
        }
        if ($linkratingsummary!="0" || $linkratingsummary!="0.0") {
            echo " "._RATING.": ".pnVarPrepForDisplay($linkratingsummary)." (".(int)$totalvotes." ".pnVarPrepForDisplay($votestring).")";
            if ($web_links_show_star) {
                echo " ".web_links_rateMakeStar($linkratingsummary, 10);
            }
        }
        LinksBottomMenu($lid, $transfertitle, $totalvotes, $totalcomments);
        detecteditorial($lid, $transfertitle);
        echo "<br><br>";
    }
    echo "</font></td></tr>";
    $orderby = convertorderbyout($orderby);
    /* Calculates how many pages exist. Which page one should be on, etc... */
    $linkpagesint = ($totalselectedlinks / $perpage);
    $linkpageremainder = ($totalselectedlinks % $perpage);
    if ($linkpageremainder != 0) {
        $linkpages = ceil($linkpagesint);
        if ($totalselectedlinks < $perpage) {
            $linkpageremainder = 0;
        }
    } else {
        $linkpages = $linkpagesint;
    }
    /* Page Numbering */
    if ($linkpages > 1) {
        echo "<br><br>";
        echo ""._SELECTPAGE.": ";
        $prev=$min-$perpage;
        if ($prev>=0) {
            echo "&nbsp;&nbsp;<b>[ <a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".(int)$cid."&amp;min=".(int)$prev."&amp;orderby=".pnVarPrepForDisplay($orderby)."&amp;show=".pnVarPrepForDisplay($show)."\">";
            echo " &lt;&lt; "._PREVIOUS."</a> ]</b> ";
        }
        $counter = 1;
        $currentpage = ($max / $perpage);
        while ($counter<=$linkpages ) {
            $cpage = $counter;
            $mintemp = ($perpage * $counter) - $perpage;
            if ($counter == $currentpage) {
                echo "<b>".(int)$counter."</b>&nbsp";
            } else {
                echo "<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".(int)$cid."&amp;min=".(int)$mintemp."&amp;orderby=".pnVarPrepForDisplay($orderby)."&amp;show=".pnVarPrepForDisplay($show)."\">".(int)$counter."</a> ";
            }
            $counter++;
        }
        $next=$min+$perpage;
        if ($currentpage < $linkpages) {
            echo "&nbsp;&nbsp;<b>[ <a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlink&amp;cid=".(int)$cid."&amp;min=".(int)$max."&amp;orderby=".pnVarPrepForDisplay($orderby)."&amp;show=".pnVarPrepForDisplay($show)."\">";
            echo " "._NEXT." &gt;&gt;</a> ]</b> ";
        }
    }
    echo "</td></tr></table>";
    CloseTable();
    include("footer.php");
}
/* the following function doesnt seem to be needed anywhere. */

function viewslink($sid, $min, $orderby, $show)
{
    global $ModName, $modurl, $web_links_show_star;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $perpage = pnConfigGetVar('perpage');
    $locale = pnConfigGetVar('locale');
    $mainvotedecimal = pnConfigGetVar('mainvotedecimal');

    include("header.php");
    menu(1);
    if (!isset($min)) $min=0;
    if (!isset($max)) $max=$min+$perpage;
    if(isset($orderby)) {
        $orderby = convertorderbyin($orderby);
    } else {
        $orderby = convertorderbyin("titleA");
    }
    if ($show!="") {
        $perpage = $show;
    } else {
        $show=$perpage;
    }

    OpenTable();
    $column = &$pntable['links_categories_column'];
    $result2 = $dbconn->Execute("SELECT $column[cid], $column[title] FROM $pntable[links_categories] WHERE $column[cid]=".pnVarPrepForStore($cid)."");
    list($cid, $title) = $result2->fields;

    echo "<center><font class=\"pn-normal\"><b><a class=\"pn-normal\" href=\"${modurl}\">"._MAIN."</a> / <a class=\"pn-normal\" href=\"${modurl}&ampreq=viewlink&amp;cid=".pnVarPrepForDisplay($cid)."\">".pnVarPrepForDisplay(title)."</a> / ".pnVarPrepForDisplay($stitle)."</b></font></center>";
    $orderbyTrans = convertorderbytrans($orderby);
    echo "<br><center><font class=\"pn-normal\">"._SORTLINKSBY.": "
        .""._TITLE." (<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;orderby=titleA\">A</a>/<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;orderby=titleD\">D</a>)"
        ." "._DATE." (<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;orderby=dateA\">A</a>/<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;orderby=dateD\">D</a>)"
        ." "._RATING." (<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;orderby=ratingA\">A</a>/<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;orderby=ratingD\">D</a>)"
        ." "._POPULARITY." (<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;orderby=hitsA\">A</a>/<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;orderby=hitsD\">D</a>)"
        ."<br><b>"._SITESSORTED.": ".pnVarPrepForDisplay($orderbyTrans)."</b></font></center><br><br>";
    $column = &$pntable['links_links_column'];
    $fullcountresult=$dbconn->Execute("SELECT COUNT(*) FROM $pntable[links_links] WHERE $column[cat_id]=".pnVarPrepForStore($sid));
    list($totalselectedlinks) = $fullcountresult->fields;
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" border=\"0\"><tr><td><font class=\"pn-normal\">";
    $x=0;
    $myquery = buildSimpleQuery ('links_links', array ('lid', 'url', 'title', 'description', 'date', 'hits', 'linkratingsummary', 'totalvotes', 'totalcomments'), "$column[cat_id]=$sid", $orderby, $perpage, $min);
    $result=$dbconn->Execute($myquery);
//modified for Oracle compatibility
//    while(list($lid, $url, $title, $description, $time, $hits, $linkratingsummary, $totalvotes, $totalcomments)=$result->fields) {
    while(!$result->EOF){
		list($lid, $url, $title, $description, $time, $hits, $linkratingsummary, $totalvotes, $totalcomments)=$result->fields;
        $result->MoveNext();
        $linkratingsummary = number_format($linkratingsummary, $mainvotedecimal);
        echo "<a class=\"pn-title\" href=\"${modurl}&amp;req=visit&amp;lid=".pnVarPrepForDisplay($lid)."\" target=\"new\">".pnVarPrepForDisplay($title)."</a>";
        newlinkgraphic($datetime, $time);
        popgraphic($hits);
        // code for *editor review* insert here
        echo "<br>"._WL_DESCRIPTION.": ".pnVarPrepHTMLDisplay($description)."<br>";
        setlocale (LC_TIME, "$locale");
        ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
        $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
        $datetime = ucfirst($datetime);
        echo ""._ADDEDON.": $datetime "._HITS.": ".pnVarPrepForDisplay($hits);
        $transfertitle = str_replace (" ", "_", $title);
        // voting & comments stats
        if ($totalvotes == 1) {
            $votestring = _VOTE;
        } else {
            $votestring = _VOTES;
        }
        if ($linkratingsummary!="0" || $linkratingsummary!="0.0") {
            echo " "._RATING.": ".pnVarPrepForDisplay($linkratingsummary)." (".pnVarPrepForDisplay($totalvotes)." ".pnVarPrepForDisplay($votestring).")";
            if ($web_links_show_star) {
                echo " ".web_links_rateMakeStar($linkratingsummary, 10);
            }
        }
        LinksBottomMenu($lid, $transfertitle, $totalvotes, $totalcomments);
        detecteditorial($lid, $transfertitle);
        echo "<br><br>";
        $x++;
    }
    echo "</font>";
    $orderby = convertorderbyout($orderby);
    // Calculates how many pages exist.  Which page one should be on, etc...
    $linkpagesint = ($totalselectedlinks / $perpage);
    $linkpageremainder = ($totalselectedlinks % $perpage);
    if ($linkpageremainder != 0) {
        $linkpages = ceil($linkpagesint);
        if ($totalselectedlinks < $perpage) {
            $linkpageremainder = 0;
        }
    } else {
        $linkpages = $linkpagesint;
    }
    // Page Numbering
    if ($linkpages!=1 && $linkpages!=0) {
        echo "<br><br>"
            .""._SELECTPAGE.": ";
        $prev=$min-$perpage;
        if ($prev>=0) {
            echo "&nbsp;&nbsp;<b>[ <a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;min=".pnVarPrepForDisplay($prev)."&amp;orderby=".pnVarPrepForDisplay($orderby)."&amp;show=".pnVarPrepForDisplay($show)."\">"
            ." &lt;&lt; "._PREVIOUS."</a> ]</b> ";
        }
        $counter = 1;
        $currentpage = ($max / $perpage);
        while ($counter<=$linkpages ) {
            $cpage = $counter;
            $mintemp = ($perpage * $counter) - $perpage;
            if ($counter == $currentpage) {
            echo "<b>".pnVarPrepForDisplay($counter)."</b>&nbsp";
        } else {
            echo "<a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;min=".pnVarPrepForDisplay($mintemp)."&amp;orderby=".pnVarPrepForDisplay($orderby)."&amp;show=".pnVarPrepForDisplay($show)."\">".pnVarPrepForDisplay($counter)."</a> ";
        }
            $counter++;
        }
        $next=$min+$perpage;
        if ($x>=$perpage) {
            echo "&nbsp;&nbsp;<b>[ <a class=\"pn-normal\" href=\"${modurl}&amp;req=viewslink&amp;sid=".pnVarPrepForDisplay($sid)."&amp;min=".pnVarPrepForDisplay($max)."&amp;orderby=".pnVarPrepForDisplay($orderby)."&amp;show=".pnVarPrepForDisplay($show)."\">"
            ." "._NEXT." &gt;&gt;</a> ]</b> ";
        }
    }
    echo "</td></tr></table>";
    CloseTable();
    include("footer.php");
}
?>
