<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------

function daily_archive_admin_main() { 
     $output = new pnHTML();

	 if (!pnSecAuthAction(0, 'daily_archive::', '::', ACCESS_EDIT)) { 
         $output->Text(_ARCH_NOAUTH); 
       return $output->GetOutput(); 
     } 

    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->Text(daily_archive_admin_modifyconfig());
    $output->SetInputMode(_PNH_PARSEINPUT);

	return $output->GetOutput();

} 

function daily_archive_admin_modifyconfig() {

     $output = new pnHTML();

	 if (!pnSecAuthAction(0, 'daily_archive::', '::', ACCESS_EDIT)) { 
         $output->Text(_ARCH_NOAUTH); 
       return $output->GetOutput(); 
     } 
        $output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->Title("<big><b>"._ARCH_SETTINGSTITILE."</b></big>");

	$output->Text("<div align=center><a href=\"".pnGetBaseURL()."modules/daily_archive/pnlang/".pnUserGetLang()."/manual.html\" target=\"_blank\">"._ARCH_ONLINEMANUAL."</a></div>");
	$output->FormStart(pnModURL('daily_archive', 'admin', 'updateconfig'));
	$output->FormHidden('authid', pnSecGenAuthKey());
	$output->TableStart();

	// show_calendar
    $row = array();
	$arr_values = array();
	$arr_value0 = array();
	$arr_value1 = array();
	$arr_value0['id']= "0";
	$arr_value0['name'] = _ARCH_SHOWMONTH_LIST;
	$arr_value1['id']= "1";
	$arr_value1['name'] = _ARCH_SHOWMONTH_CALENDAR;
	$arr_values[0]=$arr_value0;
	$arr_values[1]=$arr_value1;
	$selected = pnModGetVar('daily_archive', 'show_calendar');
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_SHOWCALENDAR));
    $row[] = $output->FormSelectMultiple('show_calendar', $arr_values,0,1,$selected);
	$output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

    // show_empty_months
    $row = array();
	$arr_values = array();
	$arr_value0 = array();
	$arr_value1 = array();
	$arr_value2 = array();
	$arr_value2['id']= "2";
	$arr_value2['name'] = _ARCH_SHOWMONTH_CALENDAR;
	$arr_value1['id']= "1";
	$arr_value1['name'] = _ARCH_SHOWMONTH_LIST;
	$arr_value0['id']= "0";
	$arr_value0['name'] = _ARCH_SHOWMONTH_NO;
	$arr_values[0]=$arr_value0;
	$arr_values[1]=$arr_value1;
	$arr_values[2]=$arr_value2;
	$selected = pnModGetVar('daily_archive', 'show_empty_months');
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_SHOWEMPTYCAL));
    $row[] = $output->FormSelectMultiple('show_empty_months', $arr_values,0,1,$selected);
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

	// show_empty_inform
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_EMPTYINFORM));
    $row[] = $output->FormCheckbox('show_empty_inform', pnModGetVar('daily_archive', 'show_empty_inform'));
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

    // show_empty_days
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_SHOWEMPTYDAYS));
    $row[] = $output->FormCheckbox('show_empty_days', pnModGetVar('daily_archive', 'show_empty_days'));
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

	// news_local_time
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_LOCAL_TIME));
    $row[] = $output->FormCheckbox('news_local_time', pnModGetVar('daily_archive', 'news_local_time'));
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);


    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
	$row[] = $output->Text("<hr width=\"60%\">");
	$row[] = $output->Text("<br>");
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
	$output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

	// news_month_limit
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_LIMIT));
    $row[] = $output->FormText('news_month_limit', pnModGetVar('daily_archive', 'news_month_limit'), 3, 3);
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

   	// news_on_page
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_NEWSONPAGE));
    $row[] = $output->FormText('news_on_page', pnModGetVar('daily_archive', 'news_on_page'), 3, 3);
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
	$row[] = $output->Text("<hr width=\"60%\">");
	$row[] = $output->Text("<br>");
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
	$output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

	// sort_months_desc
    $row = array();
	$arr_values = array();
	$arr_value0 = array();
	$arr_value1 = array();
	$arr_value0['id']= "0";
	$arr_value0['name'] = _ARCH_SORT_ASC;
	$arr_value1['id']= "1";
	$arr_value1['name'] = _ARCH_SORT_DESC;
	$arr_values[0]=$arr_value0;
	$arr_values[1]=$arr_value1;
	$selected = pnModGetVar('daily_archive', 'sort_months_desc');
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_MONTHS_DESC));
    $row[] = $output->FormSelectMultiple('sort_months_desc', $arr_values,0,1,$selected);
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);


	// sort_news_desc
    $row = array();
	$arr_values = array();
	$arr_value0 = array();
	$arr_value1 = array();
	$arr_value0['id']= "0";
	$arr_value0['name'] = _ARCH_SORTNEWS_ASC;
	$arr_value1['id']= "1";
	$arr_value1['name'] = _ARCH_SORTNEWS_DESC;
	$arr_values[0]=$arr_value0;
	$arr_values[1]=$arr_value1;
	$selected = pnModGetVar('daily_archive', 'sort_news_desc');
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_NEWS_DESC));
	$row[] = $output->FormSelectMultiple('sort_news_desc', $arr_values,0,1,$selected);
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

	// sel_language
    $row = array();
	$arr_values = array();
	$arr_value0 = array();
	$arr_value1 = array();
	$arr_value0['id']= "0";
	$arr_value0['name'] = _ARCH_LANG_ANY;
	$arr_value1['id']= "1";
	$arr_value1['name'] = _ARCH_LANG_CURR;
	$arr_values[0]=$arr_value0;
	$arr_values[1]=$arr_value1;
	$selected = pnModGetVar('daily_archive', 'sel_language');
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_LANGUAGE));
	$row[] = $output->FormSelectMultiple('sel_language', $arr_values,0,1,$selected);
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);
    
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
	$row[] = $output->Text("<hr width=\"60%\">");
	$row[] = $output->Text("<br>");
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
	$output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);
    
    // calendar_refreshspeed
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_REFREFHSPEED));
    $row[] = $output->FormText('calendar_refreshspeed', pnModGetVar('daily_archive', 'calendar_refreshspeed'), 3, 3);
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);
    
    // show_all_news
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_SHOWALLLINK));
    $row[] = $output->FormCheckbox('show_all_news', pnModGetVar('daily_archive', 'show_all_news'));
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);
    
    // show_adminbar
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
    $row[] = $output->Text(pnVarPrepForDisplay(_ARCH_SHOWADMINBAR));
    $row[] = $output->FormCheckbox('show_adminbar', pnModGetVar('daily_archive', 'show_adminbar'));
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);


    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
	$row[] = $output->Text("<br>");
	$row[] = $output->Text("<br>");
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
	$output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);
 
	$output->SetInputMode(_PNH_VERBATIMINPUT);
    $row = array();
    $output->SetOutputMode(_PNH_RETURNOUTPUT);
	$row[] = $output->FormSubmit(_ARCH_SETVALUES);
	$row[] = $output->Text("<br>");
    $output->SetOutputMode(_PNH_KEEPOUTPUT);
	$output->TableAddrow($row, 'right');
    $output->SetInputMode(_PNH_PARSEINPUT);

	$output->TableEnd();

    $output->FormEnd();

	return $output->GetOutput();

}

function daily_archive_admin_updateconfig() 
{ 
    //   
	list($show_empty_months, 
		 $show_empty_days,
		 $show_calendar,
		 $news_month_limit,
		 $news_on_page,
		 $show_empty_inform,
		 $news_local_time,
		 $sort_months_desc,
		 $sort_news_desc,
		 $sel_language,
		 $calendar_refreshspeed,
		 $show_all_news,
		 $show_adminbar) = pnVarCleanFromInput( 'show_empty_months',
												'show_empty_days', 
												'show_calendar',
												'news_month_limit',
												'news_on_page',
												'show_empty_inform',
												'news_local_time',
												'sort_months_desc',
												'sort_news_desc',
												'sel_language',
												'calendar_refreshspeed',
												'show_all_news',
												'show_adminbar');

    //    
    if (!pnSecConfirmAuthKey()) { 
      pnSessionSetVar('errormsg', _BADAUTHKEY); 
      pnRedirect('admin.php'); 
      return true; 
    } 

    pnModSetVar('daily_archive', 'show_empty_months', $show_empty_months); 
    pnModSetVar('daily_archive', 'show_empty_days', $show_empty_days); 
    pnModSetVar('daily_archive', 'news_month_limit', $news_month_limit); 
    pnModSetVar('daily_archive', 'show_calendar', $show_calendar); 
	pnModSetVar('daily_archive', 'show_empty_inform', $show_empty_inform);
	pnModSetVar('daily_archive', 'sort_months_desc', $sort_months_desc);
	pnModSetVar('daily_archive', 'news_local_time', $news_local_time);
	pnModSetVar('daily_archive', 'sort_news_desc', $sort_news_desc);
	pnModSetVar('daily_archive', 'sel_language', $sel_language);
	pnModSetVar('daily_archive', 'news_on_page', $news_on_page);	
	pnModSetVar('daily_archive', 'show_all_news', $show_all_news);	
	pnModSetVar('daily_archive', 'show_adminbar', $show_adminbar);	
	pnModSetVar('daily_archive', 'calendar_refreshspeed', $calendar_refreshspeed);	
	

    //    API
    if (!pnModAPILoad('daily_archive', 'user')) {
    	pnSessionSetVar('errormsg', _ARCH_NOAUTH); 
    	pnRedirect('admin.php'); 
    }
    pnModAPIFunc('daily_archive', 'user', 'rebuilder');
	
    pnRedirect('admin.php'); 
	
	return true;
} 
?>