<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------

function daily_archive_user_redirect ($args="") {

list($month, $year, $url_referer) = pnVarCleanFromInput( 'month', 'year');

        if (true) {
                pnSessionSetVar('lstblk_sess_month', $month);
                pnSessionSetVar('lstblk_sess_year', $year);
                pnSessionDelVar('lstblk_sess_calendar');
                pnSessionDelVar('lstblk_sess_date');
        }

        global $HTTP_SERVER_VARS;
        $url_referer=$HTTP_SERVER_VARS['HTTP_REFERER'];
        if ((!isset($url_referer)) OR ($url_referer==""))
                $url_referer=$_SERVER['HTTP_REFERER'];

        if ((!isset($url_referer)) OR ($url_referer=="")) $url_referer=="index.php";


         pnRedirect($url_referer);

         return true;
}


function daily_archive_user_main() {
        $output = new pnHTML();

    $output->SetInputMode(_PNH_VERBATIMINPUT);
    $output->Text(daily_archive_user_display());
    $output->SetInputMode(_PNH_PARSEINPUT);

        if (!pnSecAuthAction(0, 'daily_archive::', '::', ACCESS_READ)) {
        $output->Text(_ARCH_NOAUTH);
        return $output->GetOutput();
    }
        return $output->GetOutput();
}

function daily_archive_user_refresh ($args="") {
        list($req, $year, $month, $day, $page) =
                pnVarCleanFromInput('req', 'year', 'month', 'day', 'page');

        pnModAPILoad('daily_archive', 'user');
        pnModAPIFunc('daily_archive', 'user', 'rebuilder');
        pnRedirect(pnVarPrepForDisplay(pnModURL('daily_archive','user', 'display', array('req'=>$req, 'year'=>$year, 'month'=>$month,        'day'=>$day, 'page'=>$page))));
        return true;

}

function daily_archive_user_display($args="") {

        list($req, $year, $month, $day, $page) =
                        pnVarCleanFromInput('req', 'year', 'month', 'day', 'page');


        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

        $sel_language=pnModGetVar('daily_archive', 'sel_language');
           $news_local_time=pnModGetVar('daily_archive', 'news_local_time');
           $news_month_limit=pnModGetVar('daily_archive', 'news_month_limit');
        $news_on_page=pnModGetVar('daily_archive', 'news_on_page');
        $show_all_news=pnModGetVar('daily_archive', 'show_all_news');
        $sort_news_desc=pnModGetVar('daily_archive', 'sort_news_desc');
        $show_adminbar=pnModGetVar('daily_archive', 'show_adminbar');
        $calendar_date=pnModGetVar('daily_archive', 'calendar_date');
        $calendar_refreshspeed=pnModGetVar('daily_archive', 'calendar_refreshspeed');
        $sitename=pnConfigGetVar('sitename');

        if ( (!isset($page)) OR ($news_on_page==0) ) $page=0;
        $init_news=$page*$news_on_page;


        if (!pnSecAuthAction(0, 'daily_archive::', '::', ACCESS_READ)) {
        $output->Text(_ARCH_NOAUTH);
        return $output->GetOutput();
    }

        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();

/**/
    //    API
    if (!pnModAPILoad('daily_archive', 'user')) {
                $output->Text(_ARCH_NOAUTH);
                return $output->GetOutput();
    }

    if (date("U") > $calendar_date+60*$calendar_refreshspeed) {
                pnModAPIFunc('daily_archive', 'user', 'rebuilder');
                $calendar_date=pnModGetVar('daily_archive', 'calendar_date');
        }

        $calendar_stamp=date("Y-m-d H:i:s",$calendar_date);
        $calendar_html=pnModAPIFunc('daily_archive', 'user', 'celendar_lang');

        if ($show_all_news=="1")
                $calendar_html.="<hr /><center><a href=\""
                . pnVarPrepForDisplay(pnModURL('daily_archive','user', 'display'))
                ."\">"._ARCH_SHOWALL."</a><hr /></center>";

         $offset_min= pnModAPIFunc('daily_archive', 'user', 'getoffset');

        if ($req=="get") {

                if (!isset($year))  $year = date("Y", mktime(0,0,0,date("m"),date("d"),date("Y")));
                if (!isset($month)) $month= date("m", mktime(0,0,0,date("m"),date("d"),$year));

                if ( (isset($day)) AND ($day!="00")) $fromday=date("d", mktime(0,0,0,$month,$day,$year));
                else {
                        $day=1;
                        $fromday="00";
                }

                $fromyear = date("Y", mktime(0,0,0,$month,$day,$year));
                $frommonth= date("m", mktime(0,0,0,$month,$day,$year));

                if (!checkdate($month, $day, $year)) {
                        $output->Text("<p class=\"pn-normal\">" . _DATEISNOTVALID . "<br><br>");
                        return $output->GetOutput();
                }
        } else $frommonth=-1;

        $adminversion=0;
        if (        (pnSecAuthAction(0, 'daily_archive::', '::', ACCESS_ADMIN))
            AND ($show_adminbar=="1") ) {
            $output->Text("<div align=\"right\">[ <a href=\"".pnVarPrepForDisplay(pnModURL('daily_archive','admin', 'main'))."\">"._ARCH_EDIT."</a> | <a href=\"".pnVarPrepForDisplay(pnModURL('daily_archive','user', 'refresh', array('req'=>$req, 'year'=>$fromyear, 'month'=>$frommonth,        'day'=>$fromday, 'page'=>$page)))."\" title=\""._ARCH_LASTREGENERATE.$calendar_stamp."\">"._ARCH_REGENERATE."</a> ]</div>");
            $adminversion=1;
    }


        $where_text=pnModAPIFunc('daily_archive', 'user', 'getwhere',
                        array('nummon'=>$frommonth, 'numyear'=>$fromyear, 'numday'=>$fromday));
        $month_text_=pnModAPIFunc('daily_archive', 'user', 'month_num2text',
                        array('num'=>$frommonth, 'flag'=>"1"));

        $tbl=$pntable['stories_column'];
        $sql="SELECT ".$tbl['sid']
                        . ", ".$tbl['catid']
                        . ", ".$tbl['aid']
                        . ", ".$tbl['title']
                        . ", ".$tbl['time']
                        . ", ".$tbl['counter']
                        . ", ".$tbl['topic']
                        . ", ".$tbl['informant']
                ." FROM ".$pntable['stories'] . " "
                .$where_text
                ." ORDER by ".$tbl['time'] ;
        if ($sort_news_desc=="1") $sql.=" DESC";

/*debugging*/// $output->Text($sql."<br>");

        if ($news_on_page==0) {
                $result = $dbconn->Execute($sql);
                $ErrNum=$dbconn->ErrorNo();
                $ErrMsg=$dbconn->ErrorMsg();
                $count = $result->PO_RecordCount();
        } else {
                $result = $dbconn->SelectLimit($sql,$news_on_page,$init_news);
                $ErrNum=$dbconn->ErrorNo();
                $ErrMsg=$dbconn->ErrorMsg();

                $records_count = $dbconn->Execute("SELECT COUNT(*) FROM ".$pntable['stories'].$where_text);
                list($count) = $records_count->fields;
                $records_count->Close();
        }

        if($ErrNum != 0) {
       $output->Text("DB Error: Daily Archive: " . "<br><b>SQL:</b><br>". $sql ."<br><br>"
                               .$ErrNum . ": " . $ErrMsg . "<br>");
       return $output->GetOutput();
        }


        while(!$result->EOF) {
                list($s_sid, $catid, $aid, $title, $time, $counter, $topic, $informant) = $result->fields;
        ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $dt);

                $datetime[1]=date("Y",mktime($dt[4],$offset_min+$dt[5],$dt[6],$dt[2],$dt[3],$dt[1]));
                $datetime[2]=date("m",mktime($dt[4],$offset_min+$dt[5],$dt[6],$dt[2],$dt[3],$dt[1]));
                $datetime[3]=date("d",mktime($dt[4],$offset_min+$dt[5],$dt[6],$dt[2],$dt[3],$dt[1]));
                $datetime[4]=date("H",mktime($dt[4],$offset_min+$dt[5],$dt[6],$dt[2],$dt[3],$dt[1]));
                $datetime[5]=date("i",mktime($dt[4],$offset_min+$dt[5],$dt[6],$dt[2],$dt[3],$dt[1]));
                $datetime[6]=date("s",mktime($dt[4],$offset_min+$dt[5],$dt[6],$dt[2],$dt[3],$dt[1]));

                if ($adminversion==1) {

                        $admin_edit="<a href=\"admin.php?module=NS-AddStory&op=EditStory&amp;sid=$s_sid\">"
                        . "<img src=\"modules/daily_archive/pnimages/edit.gif\" border=0 "
                        . "Alt=\""._EDITARTICLE."\" title=\""._EDITARTICLE."\" width=\"15\" height=\"11\">"
                        . "</a>";

                        $admin_delete="<a href=\"admin.php?module=NS-AddStory&amp;op=RemoveStory&amp;sid=$s_sid\">"
                        . "<img src=\"modules/daily_archive/pnimages/del.gif\" border=0 "
                        . "Alt=\""._DELETE."\" title=\""._DELETE."\" width=\"15\" height=\"11\">"
                        . "</a>";

                        $link_1=$admin_edit;
                        $link_2=$admin_delete;
                } else {

                        $printP = "<a href=\"print.php?sid=$s_sid\">"
                        . "<img src=\"images/global/print.gif\" border=0 "
                        . "Alt=\""._PRINTER."\" title=\""._PRINTER."\" width=\"15\" height=\"11\">"
                        . "</a>&nbsp;";

                        $sendF = "<a href=\"modules.php?op=modload&amp;name=Recommend_Us&amp;"
                        . "file=index&amp;req=FriendSend&amp;sid=$s_sid\">"
                        . "<img src=\"images/global/friend.gif\" border=0 "
                        . "Alt=\""._FRIEND."\" title=\""._FRIEND."\" width=\"15\" height=\"11\">"
                        . "</a>";

                        $link_1=$printP;
                        $link_2=$sendF;
                }

                $cattitle="";
                if ($catid != 0) {
                        $tbl=$pntable['stories_cat_column'];
                        $sql= "select ". $tbl['title']
                                        ." from "  . $pntable['stories_cat']
                                        ." where " . $tbl['catid']."='$catid'";

                        $result_cat = $dbconn->Execute($sql);
                        list($cattitle) = $result_cat->fields;
                        $result_cat->Close();
                        $cattitle = "<a href=\"modules.php?op=modload&amp;name=News&amp;file=index&amp;catid="
                                        .$catid."\"><b>". $cattitle ."</b></a>: ";
                }

                $topictitle="";
                if ($topic !=0){
                        $tbl=$pntable['topics_column'];
                        $sql= "select ". $tbl['topictext']
                                        ." from "  . $pntable['topics']
                                        ." where " . $tbl['topicid']."='$topic'";

                        $result_topic = $dbconn->Execute($sql);
                        list($topictitle) = $result_topic->fields;
                        $result_topic->Close();

                        $topictitle = "[<a href=\"index.php?module=News&amp;catid=&amp;topic="
                                        .$topic."\">". $topictitle . "</a>] ";
                }

                $newstitle="<a href=\"modules.php?op=modload&amp;name=News&amp;file=article&amp;sid="
                                .$s_sid."\">" . $title . "</a>";

                if ($offset_min!=0)
                        $time=date("Y-m-d H:i:s",
                                mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));

                $newsrow_curr = "<td>" . ++$init_news . ".&nbsp;" . $cattitle . $topictitle . $newstitle . "</td>"
                        . "<td align=\"center\">".$link_1."&nbsp;".$link_2."</td>"
                        . "<td align=\"center\"><font size=\"1\">".$counter."</font></td>"
                        . "<td align=\"center\"><font class=\"pn-sub\">".$time."</font></td>";

                if ($altbg==0) { $tr_bgcolor=" bgcolor=$bgcolor1";        $altbg=1; }
                else { $tr_bgcolor=""; $altbg=0; }

                $newsrow_res .= "<tr align=\"left\"".$tr_bgcolor.">".$newsrow_curr."</tr>";

        $result->MoveNext();
        }

        $result->Close();

        $output->Text("<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"5\" bgcolor=\"".$bgcolor1."\" align=\"center\"><tr><td valign=\"top\">");


        $output->Text("<table width=\"100%\" border=0 bordercolor=\"".$bgcolor4."\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"".$bgcolor3."\"><tr bgcolor=\"".$bgcolor1."\"><td colspan=\"4\"><hr></td></tr><tr align=\"center\" bgcolor=\"".$bgcolor2."\"><td align=\"left\" class=\"pn-normal\"><b>&nbsp;"._NEWSDEF. " ");

        if ($req!="get") {$mess_from = $sitename;}
        else if ($fromday!="00") {
                        $dayafter=pnModAPIFunc('daily_archive', 'user', 'date_suffix', array('number'=>$fromday));
                        if (_MONTHAFTERDAY=="1")
                                $mess_from = _NEWSARCHIVEFROM . " " . $fromday . $dayafter . " "
                                        . $month_text_ . " ". $fromyear._YEARAFTER;
                        else
                                $mess_from = _NEWSARCHIVEFROM . " " . $month_text_ . " "
                                        . $fromday . $dayafter . " " .  $fromyear._YEARAFTER;

                  }        else $mess_from = $month_text_ . " ".$fromyear . _YEARAFTER;

        $output->Text($mess_from);

        $output->Text("&nbsp;</b></td><td align=\"center\" class=\"pn-normal\">&nbsp;"._NEWSARCHIVEACTIONS."&nbsp;</td><td class=\"pn-normal\">&nbsp;"._NEWSARCHIVEVIEWS."&nbsp;</td><td class=\"pn-normal\">&nbsp;"._NEWSARCHIVEPOSTED."&nbsp;</td></tr>");

        $output->Text("<tr bgcolor=\"".$bgcolor1."\"><td colspan=\"4\"><hr /></td></tr>".$newsrow_res."</table>");
        $output->Text("<br /><br /><span class=\"pn-normal\">");

        if ( ($news_on_page!=0) AND ($count > $news_on_page) ) {
                $page_string="<b>"._ARCH_PAGES."</b>";
                $j=1;
                $page_prefix=" &nbsp;";
                for ($i=0; $i<=$count; $i+=$news_on_page) {
                        if ($i+$news_on_page > $count) $from_to=$count;
                        else $from_to=$i+$news_on_page;
                        $from_to="#".($i+1)."..#".$from_to;
                        if ($j==$page+1) $page_string.=$page_prefix."<b>[&nbsp;".$j++."&nbsp;]</b>";
                        else {
                                if ($req=="get")
                                        $page_link=pnVarPrepForDisplay(pnModURL('daily_archive','user', 'display',
                                                array('req'=>$req, 'year'=>$fromyear, 'month'=>$frommonth,
                                                        'day'=>$fromday, 'page'=>($j-1))));
                                else $page_link=pnVarPrepForDisplay(pnModURL('daily_archive','user', 'display',
                                                array('page'=>($j-1))));
                                $page_string.=$page_prefix."<a href=\"".$page_link."\" title=\"".$from_to."\">".$j++."</a>";
                        }
                        $page_prefix="&nbsp;-&nbsp;";
                }

                $output->Text($page_string."<br />");
        }
        $output->Text("<hr /><center>"._NEWSARCHIVETOTALARTICLES . " " . $mess_from ." - <b>".$count."</b></center><hr /></span>");
        $txt_notes ="";
        if ($news_month_limit > 0) {
                $txt_notes .= "<li> " . _SEARCHPASTNEWS1 . $news_month_limit . _SEARCHPASTNEWS2;
                if ($show_all_news=="1") $txt_notes .=_SEARCHPASTALL;
                $txt_notes .= "</li>";
        }
        if ($news_local_time > 0)
                $txt_notes .= "<li> " . _ARCH_NOTES_TIMES. "</li>";
        if ($sel_language > 0)
                $txt_notes .= "<li> " . _ARCH_NOTES_LANG. "</li>";

        if (($news_month_limit > 0) OR ($sel_language==1) OR ($news_local_time==1))
                $output->Text("<br /><br /><b>"._ARCH_NOTES."</b><ul>" . $txt_notes . "</ul>");

        $output->Text("</td>");

        $output->Text("<td valign=\"top\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>". $calendar_html . "</td></tr></table></td></tr></table>");

    return $output->GetOutput();
}

?>