<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------

/**
 * initialise the module
 * This function is only ever called once during the lifetime of a particular
 * module instance
 */
function postbbcode_init()
{

    //pnModSetVar('postbbcode', 'notify_from',     pnConfigGetVar('notify_from'));
                                 // Set up module hooks
    if (!pnModRegisterHook('item',
                           'display',
                           'GUI',
                           'postguestbook',
                           'user',
                           'display')) 
    {
        pnSessionSetVar('errormsg', _POSTBBCODECOULDNOTREGISTER);
        return false;
    }
    return true;
}

/**
 * upgrade the postbbcode module from an old version
 * This function can be called multiple times
 */
function postbbcode_upgrade($oldversion)
{
    // Update successful
    return true;
}

/**
 * delete the postbbcode module
 * This function is only ever called once during the lifetime of a particular
 * module instance
 */
function postbbcode_delete()
{
    // Remove module hooks
    if (!pnModUnregisterHook('item',
                             'display',
                             'GUI',
                             'postguestbook',
                             'user',
                             'display')) {
        pnSessionSetVar('errormsg', _POSTBBCODECOULDNOTUNREGISTER);
    }
    return true;
}

?>
