<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Filename: modules/subjects/pntables.php
// Original Author of file: Jaroslaw Gilewski (http://www.yagi.com.pl)
// Rewriten for pnAPI by EasyWeb Team (EWT)
// Support:        Russian - http://www.postnuke.ru
//                        English - http://home.postnuke.ru
//       Polish - http://www.yagi.com.pl
// Purpose of file: database setting for subjects module
// ----------------------------------------------------------------------

function subjects_pntables()
{
    // Initialise table array
    $pntable = array();
    $prefix=pnConfigGetVar('prefix');

$pntable['subjects'] = $prefix.'_subjects';
$pntable['subjects_column'] = array ('subid'        => "$pntable[subjects].subid",
                                     'catid'        => "$pntable[subjects].catid",
                                     'subname'      => "$pntable[subjects].subname",
                                     'subtext'      => "$pntable[subjects].subtext",
                                     'subimage'     => "$pntable[subjects].subimage",
                                     'subactive'    => "$pntable[subjects].subactive",
                                     'suborder'     => "$pntable[subjects].suborder",
                                     'subcounter'   => "$pntable[subjects].subcounter",
                                     'keywords'                => "$pntable[subjects].keywords",
                                     'sublanguage'  => "$pntable[subjects].sublanguage");

$pntable['subpages'] = $prefix.'_subpages';
$pntable['subpages_column'] = array ('pageid'          => "$pntable[subpages].pageid",
                                     'subid'           => "$pntable[subpages].subid",
                                     'parentpageid'    => "$pntable[subpages].parentpageid",
                                     'pagetitle'       => "$pntable[subpages].pagetitle",
                                     'pagetext'        => "$pntable[subpages].pagetext",
                                     'pagecontent'     => "$pntable[subpages].pagecontent",
                                     'pagefile'        => "$pntable[subpages].pagefile",
                                     'pageimage'       => "$pntable[subpages].pageimage",
                                     'pageauthor'      => "$pntable[subpages].pageauthor",
                                     'pageauthoremail' => "$pntable[subpages].pageauthoremail",
                                     'pageauthorurl'   => "$pntable[subpages].pageauthorurl",
                                     'pageactive'      => "$pntable[subpages].pageactive",
                                     'pageorder'       => "$pntable[subpages].pageorder",
                                     'pagedatetime'    => "$pntable[subpages].pagedatetime",
                                     'pagecounter'     => "$pntable[subpages].pagecounter",
                                     'reviewactive'    => "$pntable[subpages].reviewactive",
                                     'reviewscount'    => "$pntable[subpages].reviewscount",
                                     'reviewsscore'    => "$pntable[subpages].reviewsscore",
                                     'keywords'                   => "$pntable[subpages].keywords",
                                                                         'username'        => "$pntable[subpages].username");

$pntable['subreviews'] = $prefix.'_subreviews';
$pntable['subreviews_column'] = array ('reviewid'      => "$pntable[subreviews].reviewid",
                                     'pageid'          => "$pntable[subreviews].pageid",
                                     'reviewtitle'     => "$pntable[subreviews].reviewtitle",
                                     'reviewcomments'  => "$pntable[subreviews].reviewcomments",
                                     'reviewscore'     => "$pntable[subreviews].reviewscore",
                                     'reviewuser'      => "$pntable[subreviews].reviewuser",
                                     'reviewhostip'    => "$pntable[subreviews].reviewhostip",
                                     'reviewdatetime'  => "$pntable[subreviews].reviewdatetime");

$pntable['subcategories'] = $prefix.'_subcategories';
$pntable['subcategories_column'] = array ('catid'      => "$pntable[subcategories].catid",
                                     'catname'         => "$pntable[subcategories].catname",
                                     'cattext'         => "$pntable[subcategories].cattext",
                                     'keywords'                   => "$pntable[subcategories].keywords",
                                     'catorder'        => "$pntable[subcategories].catorder");
    // Return the table information
    return $pntable;
}
?>