<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Semi-based on Sections but written from the ground up.
// ----------------------------------------------------------------------
// Filename: modules/subjects/pnuser.php
// Original Author: Jaroslaw Gilewski (http://www.yagi.com.pl)
// Rewriten for pnAPI by EasyWeb Team (EWT)
// Support:        Russian - http://www.postnuke.ru
//                        English - http://home.postnuke.ru
//       Polish - http://www.yagi.com.pl
// Purpose: User part of the subjects
// TiMax www.maxdev.com - timax@maxdev.com
// 11/09/2004 add some security fix for sql injection
// ----------------------------------------------------------------------

//main user function
function subjects_user_main()
{
        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

        $output->Text(subjects_user_listsubjects());
        return $output->GetOutput();
}


//----------------------------------------------------------------------
//list subjects
function subjects_user_listsubjects()
{
        global $pnconfig;
        $dbtype = $pnconfig['dbtype'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $sitename = pnConfigGetVar('sitename');
    $currentlang = pnUserGetLang();

    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_OVERVIEW))) {
                $output->Text(_SUB_NOAUTH);
            return $output->GetOutput();
        }

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

    if (pnConfigGetVar('multilingual') == 1) {
        $column = &$pntable['subjects_column'];
//modified for Oracle compatibility
                $querylang = "AND ($column[sublanguage]='$currentlang' OR $column[sublanguage]='' OR $column[sublanguage] IS NULL)";
    } else
      $querylang = "";

    $column = &$pntable['subjects_column'];
    $column2 = &$pntable['subcategories_column'];
//modified for Oracle compatibility
        switch ($dbtype){
                case "oci8":
                $sql = "SELECT $column[subid], $column2[catid], $column2[catname],
                          $column2[cattext], $column[subname],
                  $column[subtext], $column[subimage], $column[subcounter]
                                  FROM $pntable[subjects], $pntable[subcategories]
                          WHERE $column[catid]=$column2[catid](+)
                              AND $column[subactive] = 1 $querylang
                  ORDER BY nvl($column2[catorder],0), $column[suborder]";
                        break;
                default:
        $sql = "SELECT $column[subid], $column2[catid], $column2[catname],
              $column2[cattext], $column[subname],
                  $column[subtext], $column[subimage], $column[subcounter]
            FROM $pntable[subjects]
            LEFT JOIN $pntable[subcategories]
            ON $column[catid]=$column2[catid]
            WHERE $column[subactive] = 1 $querylang
                        ORDER BY $column2[catorder], $column[suborder]";
                        break;
        }
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    $html_output.="<center><font class=\"pn-title\"><b>"._SUB_SUBJECTSLIST." $sitename</b></font></center><br><br>"
        ."<table width=\"95%\" border=\"0\" align=\"center\" cellspacing=\"2\" cellpadding=\"2\">";
    if (!$result->EOF) {
        $currcatid = 0;
//modified for Oracle compatibility
//                while(list($subid, $catid, $catname, $cattext, $subname, $subtext, $subimage, $subcounter) = $result->fields) {
                while(!$result->EOF){
                        list($subid, $catid, $catname, $cattext, $subname, $subtext, $subimage, $subcounter) = $result->fields;
            $now = date("Y-m-d H:i:00");
            $column = &$pntable['subpages_column'];
                        $sql2 = "SELECT COUNT(*)
                     FROM $pntable[subpages]
                     WHERE $column[subid]='".(int)pnVarPrepForStore($subid)."' AND $column[parentpageid]=0 AND
                       $column[pagedatetime] < '$now'";
            $result2 = $dbconn->Execute($sql2);
                        if ($dbconn->ErrorNo() != 0) {
                                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql2);
                                return $output->GetOutput();
                        }
            list($pagesattached) = $result2->fields;
            $result2->Close();

            if (($currcatid != $catid) &&
                                (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_OVERVIEW,'catid'=>$catid))) ) {
                $html_output.="<td colspan=\"2\"><br><center><font class=\"pn-title\"><a href=\"".pnModURL('subjects','user','listcat', array('catid'=>"$catid"))."\">$catname</a>";
                $can_edit = pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid));
                $can_delete = pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_DELETE,'catid'=>$catid));
                                if ( ($can_edit) || ($can_delete) ) {
                  $html_output.="&nbsp;&nbsp;&nbsp;.";
                  if ($can_edit) {
                    $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','categoryedit', array('catid'=>"$catid"))."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" Alt=\""._SUB_EDITSUBCATEGORY."\"></a> :";
                  }
                  if ($can_delete) {
                    $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','categorydelete', array('catid'=>"$catid",'ok'=>"0"))."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" Alt=\""._SUB_DELSUBCATEGORY."\"></a> :";
                  }
                  $html_output.=".";
                }
                $html_output.="</font><br>$cattext</center></td></tr><tr>";
                $currcatid = $catid;
            }
            if (pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_OVERVIEW,'catid'=>$catid,'subid'=>$subid))) {
                $html_output.="<tr>";
                if($subimage != '')
                    $html_output.="  <td rowspan=\"2\" valign=\"top\"><a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid"))."\"><img src=\"$pagespath/$subimage\" border=\"0\" Alt=\"$subname\"></a></td>\n";
                else
                    $html_output.="  <td rowspan=\"2\" valign=\"top\"></td>\n";
                $html_output.="  <td align=\"left\">";
                                $html_output.= "  <img src=\"modules/subjects/pnimages/subject.gif\" align=\"absmiddle\" border=\"0\">&nbsp;"
                     ."  <font class=\"pn-title\"><a class=\"pn-title\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid"))."\">$subname</a></font>\n";
                $html_output.=subjects_user_subjectnewpagegraphic($subid);
                $html_output.= "  <br><div style='margin-left=10pt'>$subtext</div></td>\n"
                     ."</tr>"
                     ."<tr>\n"
                     ."  <td align=\"right\"><small>.: "._SUB_SUBJECTREADS.": $subcounter :: "._SUB_PAGESATTACHED.": $pagesattached :";
                $can_edit = pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid));
                $can_delete = pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_DELETE,'catid'=>$catid,'subid'=>$subid));
                                if ( ($can_edit) || ($can_delete) ) {
                  if ($can_edit) {
                    $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','subjectedit', array('subid'=>"$subid"))."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" Alt=\""._SUB_EDITSUBJECT."\"></a> :";
                  }
                  if ($can_delete) {
                    $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','subjectdelete', array('subid'=>"$subid",'ok'=>"0"))."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" Alt=\""._SUB_DELSUBJECT."\"></a> :";
                  }
                }
                $html_output.= ".</small></td>\n"
                     ."</tr>";
            }
            $result->MoveNext();
        }
        } else
        $html_output.="<tr><td align=\"center\">"._SUB_NOSUBJECTS."</td></tr>";
    $html_output.="</table>";
    $result->Close();

    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

     $output->Text($html_output);
     return $output->GetOutput();

}
//----------------------------------------------------------------------
//list categories (Thanks to TedBeer (http://www.postnuke.ru/user.php?op=userinfo&uname=TedBeer) and Segr (http://postnuke.ru/user.php?op=userinfo&uname=Segr))
function subjects_user_listcat()
{
        global $pnconfig;
        $dbtype = $pnconfig['dbtype'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

        $catid =  pnVarCleanFromInput('catid');
        // TiMax add temp fix thanks to TAndrew
      settype($catid,'integer'); // unnecessary
if (empty($catid) || !is_numeric($catid) || ($catid<0)) {
  $output->Text(_SUB_NOAUTH);
  return $output->GetOutput();
}


    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $sitename = pnConfigGetVar('sitename');
    $currentlang = pnUserGetLang();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_OVERVIEW,'catid'=>$catid))) {
                $output->Text(_SUB_NOAUTHCAT);
            return $output->GetOutput();
        }

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

    if (pnConfigGetVar('multilingual') == 1) {
        $column = &$pntable['subjects_column'];
//modified for Oracle compatibility
                $querylang = "AND ($column[sublanguage]='$currentlang' OR $column[sublanguage]='' OR $column[sublanguage] IS NULL)";
    } else
      $querylang = "";

    $column = &$pntable['subjects_column'];
    $column2 = &$pntable['subcategories_column'];
//modified for Oracle compatibility
        switch ($dbtype){
                case "oci8":
                        $sql = "SELECT $column[subid], $column2[catid], $column2[catname],
                              $column2[cattext], $column[subname],
                                  $column[subtext], $column[subimage], $column[subcounter]
                              FROM $pntable[subjects],$pntable[subcategories]
                              WHERE $column[catid]=$column2[catid](+)
                              AND $column[catid]=$catid AND $column[subactive] = 1 $querylang
                                          ORDER BY nvl($column2[catorder],0), $column[suborder]";
                        break;
                default:
        $sql = "SELECT $column[subid], $column2[catid], $column2[catname],
                              $column2[cattext], $column[subname],
                                  $column[subtext], $column[subimage], $column[subcounter]
                              FROM $pntable[subjects]
                              LEFT JOIN $pntable[subcategories]
                              ON $column[catid]=$column2[catid]
                              WHERE $column[catid]='".(int)pnVarPrepForStore($catid)."' AND $column[subactive] = 1 $querylang
                                                          ORDER BY $column2[catorder], $column[suborder]";
                        break;
        }
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    $html_output.="<center><font class=\"pn-title\"><b><a href=\"".pnModURL('subjects','user','listsubjects')."\">"._SUB_SUBJECTSLIST." $sitename</b></a></font></center><br><br>"
        ."<table width=\"95%\" border=\"0\" align=\"center\" cellspacing=\"2\" cellpadding=\"2\">";
    if (!$result->EOF) {
        $currcatid = 0;
//modified for Oracle compatibility
//                while(list($subid, $catid, $catname, $cattext, $subname, $subtext, $subimage, $subcounter) = $result->fields) {
                while(!$result->EOF){
                        list($subid, $catid, $catname, $cattext, $subname, $subtext, $subimage, $subcounter) = $result->fields;
            $now = date("Y-m-d H:i:00");
            $column = &$pntable['subpages_column'];
            $sql2 = "SELECT COUNT(*)
                                                FROM $pntable[subpages]
                                                WHERE $column[subid]='".(int)pnVarPrepForStore($subid)."' AND $column[parentpageid]=0 AND
                        $column[pagedatetime] < '$now'";
                        $result2 = $dbconn->Execute($sql2);
                        if ($dbconn->ErrorNo() != 0) {
                                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                                return $output->GetOutput();
                        }
                        list($pagesattached) = $result2->fields;
            $result2->Close();

            if($currcatid != $catid){
                $html_output.="<td colspan=\"2\"><center><font class=\"pn-title\"><a href=\"".pnModURL('subjects','user','listcat', array('catid'=>"$catid"))."\">$catname</a>";
                                $can_edit = pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid));
                $can_delete = pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_DELETE,'catid'=>$catid));
                                if (($can_edit) || ($can_delete)) {
                  $html_output.="&nbsp;&nbsp;&nbsp;.";
                  if ($can_edit) {
                    $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','categoryedit', array('catid'=>"$catid"))."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" Alt=\""._SUB_EDITSUBCATEGORY."\"></a> :";
                  }
                  if ($can_delete) {
                    $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','categorydelete', array('catid'=>"$catid",'ok'=>"0"))."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" Alt=\""._SUB_DELSUBCATEGORY."\"></a> :";
                  }
                  $html_output.=".";
                }
                $html_output.="</font><br>$cattext</center></td></tr><tr>";
                $currcatid = $catid;
            }
            if (pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_OVERVIEW,'catid'=>$catid,'subid'=>$subid))) {
                $html_output.="<tr>";
                if($subimage != '')
                    $html_output.="  <td rowspan=\"2\" valign=\"top\"><a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid"))."\"><img src=\"$pagespath/$subimage\" border=\"0\" Alt=\"$subname\"></a></td>\n";
                else
                    $html_output.="  <td rowspan=\"2\" valign=\"top\"></td>\n";
                $html_output.="  <td align=\"left\">";
                $html_output.= "  <img src=\"modules/subjects/pnimages/subject.gif\" align=\"absmiddle\" border=\"0\">&nbsp;"
                     ."  <font class=\"pn-title\"><a class=\"pn-title\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid"))."\">$subname</a></font>\n";
                $html_output.= "  <br><div style='margin-left=10pt'>$subtext</div></td>\n"
                     ."</tr>"
                     ."<tr>\n"
                     ."  <td align=\"right\"><small>.: "._SUB_SUBJECTREADS.": $subcounter :: "._SUB_PAGESATTACHED.": $pagesattached :";
                $can_edit = pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid));
                $can_delete = pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_DELETE,'catid'=>$catid,'subid'=>$subid));
                  if ($can_edit) {
                    $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','subjectedit', array('subid'=>"$subid"))."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" Alt=\""._SUB_EDITSUBJECT."\"></a> :";
                  }
                  if ($can_delete) {
                    $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','subjectdelete', array('subid'=>"$subid",'ok'=>"0"))."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" Alt=\""._SUB_DELSUBJECT."\"></a> :";
                  }

                $html_output.= ".</small></td>\n"
                     ."</tr>";
            }
            $result->MoveNext();
        }
        } else
        $html_output.="<tr><td align=\"center\">"._SUB_NOSUBJECTS."</td></tr>";
    $html_output.="</table>";
    $result->Close();

    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

        $output->Text($html_output);
    return $output->GetOutput();
}
//----------------------------------------------------------------------
//list pages
function subjects_user_listpages()
{

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

        list($subid, $orderby, $page) =
                pnVarCleanFromInput('subid', 'orderby', 'page');

        // TiMax add temp fix thanks to TAndrew
      settype($subid,'integer'); // unnecessary
if (empty($subid) || !is_numeric($subid) || ($subid<0)) {
  $output->Text(_SUB_NOAUTH);
  return $output->GetOutput();
}

        $subjectsconfig['pagesperlistview']=pnModGetVar('subjects', 'pagesperlistview');
        $subjectsconfig['sortbypanel']=pnModGetVar('subjects', 'sortbypanel');
        //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        $sortbypanel=$subjectsconfig['sortbypanel'];
        $sort_output="";


    $column = &$pntable['subjects_column'];
        $sql = "SELECT $column[subname], $column[subimage],
              $column[subcounter], $column[catid]
            FROM $pntable[subjects]
            WHERE $column[subid]='".(int)pnVarPrepForStore($subid)."'";
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    list($subname, $subimage, $subcounter, $catid) = $result->fields;
    $result->Close();

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_READ,'catid'=>$catid,'subid'=>$subid))) {
                $output->Text(_SUB_NOAUTHSUB);
            return $output->GetOutput();
        }

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

    $column = &$pntable['subjects_column'];
        $sql = "UPDATE $pntable[subjects]
            SET $column[subcounter]=$column[subcounter]+1
            WHERE $column[subid]='".(int)pnVarPrepForStore($subid)."'";
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    $result->Close();
    $now = date("Y-m-d H:i:00");
    $column = &$pntable['subpages_column'];
        $sql = "SELECT COUNT(*)
            FROM $pntable[subpages]
            WHERE $column[parentpageid]=0 AND $column[subid]='".(int)pnVarPrepForStore($subid)."' AND
              $column[pageactive] = 1 AND $column[pagedatetime] < '$now'";
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    list($pagesnum) = $result->fields;
    $result->Close();


        $html_output.="<table width=\"95%\" border=\"0\" align=\"center\" cellspacing=\"2\" cellpadding=\"2\">"
                ."<tr><td align=\"center\"><font class=\"pn-title\"><b>$subname</b></font></td></tr>";
    if($subimage != '')
        $html_output.="  <tr><td align=\"center\"><img src=\"$pagespath/$subimage\" border=\"0\" Alt=\"$subname\"></td></tr>\n";
    $html_output.="  <tr><td align=\"center\"><small>.: "._SUB_SUBJECTREADS.": $subcounter :: "._SUB_PAGESATTACHED.": $pagesnum :.</small></td></tr></table>";

        if(pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_COMMENT,'catid'=>$catid,'subid'=>$subid))){
        $html_output.="<center>|&nbsp;<a href=\""
                        .pnModURL('subjects','user', 'addpage', array('subid'=>"$subid"))."\">"
                        ._SUB_SUBMITPAGE."</a>&nbsp;|&nbsp;";
    }
if ($sortbypanel!=0)        {
        $sort_output="<table width=\"95%\" border=\"0\" align=\"center\" cellspacing=\"2\" cellpadding=\"2\">"
                ."<tr>"
                ."  <td colspan=\"2\">"
        ."<center><font class=\"pn-normal\">"._SUB_SORTPAGESBY.": "
        .""._SUB_SORTPAGETITLE."&nbsp;(<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"titleA"))."\">"._SUB_SORTASC."</a>/<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"titleD"))."\">"._SUB_SORTDESC."</a>) "
        .""._SUB_SORTPAGEAUTHOR."&nbsp;(<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"authorA"))."\">"._SUB_SORTASC."</a>/<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"authorD"))."\">"._SUB_SORTDESC."</a>) "
        .""._SUB_SORTPAGEDATETIME."&nbsp;(<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"datetimeA"))."\">"._SUB_SORTASC."</a>/<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"datetimeD"))."\">"._SUB_SORTDESC."</a>) "
        .""._SUB_SORTPAGEPOPULARITY."&nbsp;(<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"hitsA"))."\">"._SUB_SORTASC."</a>/<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"hitsD"))."\">"._SUB_SORTDESC."</a>) "
        .""._SUB_SORTPAGEREVIEWS."&nbsp;(<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"reviewsA"))."\">"._SUB_SORTASC."</a>/<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"reviewsD"))."\">"._SUB_SORTDESC."</a>) "
        .""._SUB_SORTPAGESCORES."&nbsp;(<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"scoresA"))."\">"._SUB_SORTASC."</a>/<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"scoresD"))."\">"._SUB_SORTDESC."</a>)<BR>"
        .""._SUB_PAGESSORTEDBY.": ";
    if ($orderby == "titleA") $sort_output.=""._SUB_SORTPAGETITLE." ("._SUB_SORTASCENDING.")";
    elseif ($orderby == "authorA") $sort_output.=""._SUB_SORTPAGEAUTHOR." ("._SUB_SORTASCENDING.")";
    elseif ($orderby == "datetimeA") $sort_output.=""._SUB_SORTPAGEDATETIME." ("._SUB_SORTASCENDING.")";
    elseif ($orderby == "hitsA") $sort_output.=""._SUB_SORTPAGEPOPULARITY." ("._SUB_SORTASCENDING.")";
    elseif ($orderby == "reviewsA") $sort_output.=""._SUB_SORTPAGEREVIEWS." ("._SUB_SORTASCENDING.")";
    elseif ($orderby == "scoresA") $sort_output.=""._SUB_SORTPAGESCORES." ("._SUB_SORTASCENDING.")";
    elseif ($orderby == "titleD") $sort_output.=""._SUB_SORTPAGETITLE." ("._SUB_SORTDESCENDING.")";
    elseif ($orderby == "authorD") $sort_output.=""._SUB_SORTPAGEAUTHOR." ("._SUB_SORTDESCENDING.")";
    elseif ($orderby == "datetimeD") $sort_output.=""._SUB_SORTPAGEDATETIME." ("._SUB_SORTDESCENDING.")";
    elseif ($orderby == "hitsD") $sort_output.=""._SUB_SORTPAGEPOPULARITY." ("._SUB_SORTDESCENDING.")";
    elseif ($orderby == "reviewsD") $sort_output.=""._SUB_SORTPAGEREVIEWS." ("._SUB_SORTDESCENDING.")";
    elseif ($orderby == "scoresD") $sort_output.=""._SUB_SORTPAGESCORES." ("._SUB_SORTDESCENDING.")";
    else $sort_output.=""._SUB_NOTSORTED;
    $sort_output.="</font></center>"
        ."  </td>\n"
        ."</tr>"
                ."  </table>\n";
}
        if ($sortbypanel==1) $html_output.=$sort_output;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<table width=\"95%\" border=\"0\" align=\"center\" cellspacing=\"2\" cellpadding=\"2\">"
        ."<tr>\n"
        ."  <td colspan=\"2\">&nbsp;</td>\n"
        ."</tr>";

    if ($orderby == "titleA") $orderbycolumn = "$column[pagetitle] ASC,";
    elseif ($orderby == "authorA") $orderbycolumn = "$column[pageauthor] ASC,";
    elseif ($orderby == "datetimeA") $orderbycolumn = "$column[pagedatetime] ASC,";
    elseif ($orderby == "hitsA") $orderbycolumn = "$column[pagecounter] ASC,";
    elseif ($orderby == "reviewsA") $orderbycolumn = "$column[reviewscount] ASC,";
    elseif ($orderby == "scoresA") $orderbycolumn = "$column[reviewsscore] ASC,";
    elseif ($orderby == "titleD") $orderbycolumn = "$column[pagetitle] DESC,";
    elseif ($orderby == "authorD") $orderbycolumn = "$column[pageauthor] DESC,";
    elseif ($orderby == "datetimeD") $orderbycolumn = "$column[pagedatetime] DESC,";
    elseif ($orderby == "hitsD") $orderbycolumn = "$column[pagecounter] DESC,";
    elseif ($orderby == "reviewsD") $orderbycolumn = "$column[reviewscount] DESC,";
    elseif ($orderby == "scoresD") $orderbycolumn = "$column[reviewsscore] DESC,";
    else $orderbycolumn = "";

    if (!$page) {
        $page = 1;
    }
    $pagesperlistview = $subjectsconfig['pagesperlistview'];
    $pageslimit = $page * $pagesperlistview;
    $pageslimit = $pageslimit - $pagesperlistview;
    if($page > 1){
        $pagefrom = $pageslimit + 1;
    } else {
        $pagefrom = $pageslimit;
    }
    if($pagefrom == 0){
        $pagefrom = $pagefrom + 1;
    }

//modified for Oracle compatibility
        $sql = "SELECT $column[pageid], $column[pagetitle],  $column[pageimage],
              $column[pagetext], $column[pageauthor], $column[pageauthoremail],
              $column[pageauthorurl], $column[pagedatetime], $column[pagecounter],
              $column[reviewactive], $column[reviewscount], $column[reviewsscore]
            FROM $pntable[subpages]
            WHERE $column[parentpageid]=0 AND $column[subid]=$subid AND
              $column[pageactive] = 1 AND $column[pagedatetime] < '$now'
            ORDER BY $orderbycolumn $column[pageorder]";
//            LIMIT $pageslimit, $pagesperlistview";
//        $result = $dbconn->Execute($sql);
                $result = $dbconn->SelectLimit($sql, $pagesperlistview, $pageslimit);

                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }

    if (!$result->EOF) {
//modified for Oracle compatibility
//                while(list($pageid, $pagetitle, $pageimage, $pagetext, $pageauthor, $pageauthoremail, $pageauthorurl, $pagedatetime, $pagecounter, $reviewactive, $reviewscount, $reviewsscore) = $result->fields) {
                while(!$result->EOF){
                        list($pageid, $pagetitle, $pageimage, $pagetext, $pageauthor, $pageauthoremail, $pageauthorurl, $pagedatetime, $pagecounter, $reviewactive, $reviewscount, $reviewsscore) = $result->fields;
            if (pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_READ,'catid'=>$catid,'subid'=>$subid,'pageid'=>$pageid))) {
                $html_output.="<tr>";
                 if($pageimage != '')
                     $html_output.="  <td rowspan=\"2\" valign=\"top\"><a class=\"pn-normal\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$pageid"))."\"><img src=\"$pagespath/$pageimage\" border=\"0\" Alt=\"$pagetitle\"></a></td>\n";
                 else
                     $html_output.="  <td rowspan=\"2\" valign=\"top\"></td>\n";
                $html_output.="<td width=\"100%\" valign=\"top\">";
                $html_output.="<img src=\"modules/subjects/pnimages/subpage.gif\" align=\"absmiddle\" border=\"0\">&nbsp;<font class=\"pn-title\"><a class=\"pn-title\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$pageid"))."\">$pagetitle</a></font>";
                $html_output.=subjects_user_newpagegraphic($pagedatetime);
                if($pageauthor != ""){
                    $html_output.=", $pageauthor";
                    if($pageauthoremail != "")
                        $html_output.=" <a href=\"mailto:$pageauthoremail\"><img src=\"modules/subjects/pnimages/email.gif\" border=\"0\" alt=\""._SUB_PAGEAUTHOREMAIL."\"></a>";
                }
                if($pageauthorurl != "")
                    $html_output.=" <a href=\"$pageauthorurl\" target=\"_blank\"><img src=\"modules/subjects/pnimages/url.gif\" border=\"0\" alt=\""._SUB_PAGEAUTHORURL."\"></a>";
                $html_output.="<br>"
                    ."<font class=\"pn-normal\">$pagetext</font>"
                    ."</td></tr>"
                    ."<tr>\n";
                setlocale (LC_TIME, pnConfigGetVar('locale'));
                eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $pagedatetime, $pagedate);
                $pagedate = ml_ftime(""._LINKSDATESTRING."", mktime($pagedate[4],$pagedate[5],$pagedate[6],$pagedate[2],$pagedate[3],$pagedate[1]));
                $pagedate = ucfirst($pagedate);
                $html_output.="  <td width=\"100%\" align=\"right\" valign=\"top\"><small>.";
                                        $can_edit = pnModAPIFunc('subjects','user','auth',
                                                array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$pageid));
                                        $can_delete = pnModAPIFunc('subjects','user','auth',
                                                array('perm'=>ACCESS_DELETE,'catid'=>$catid,'subid'=>$subid,'pageid'=>$pageid));
                                        if ($can_edit) {
                                                $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','pageedit', array('pageid'=>"$pageid"))."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" Alt=\""._SUB_EDITPAGE."\"></a> :";
                                        }
                                        if ($can_delete) {
                                                $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','pagedelete', array('pageid'=>"$pageid",'ok'=>"0"))."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" Alt=\""._SUB_DELPAGE."\"></a> :";
                                        }
                                $html_output.=": "._SUB_PAGEDATETIME." $pagedate :: "._SUB_PAGEREADS.": $pagecounter";
                if($reviewactive == 1) {
                    if($reviewscount > 0) {
                        $html_output.=" :: <font class=\"pn-sub\"><a class=\"pn-sub\" href=\"".pnModURL('subjects','user','pagereview', array('pageid'=>"$pageid"))."\">"._SUB_REVIEWS.": $reviewscount</a></font> ";
                        $html_output.=subjects_user_displayscore($reviewsscore/$reviewscount);
                    } else
                        $html_output.=" :: <font class=\"pn-sub\"><a class=\"pn-sub\" href=\"".pnModURL('subjects','user','pagereview', array('pageid'=>"$pageid"))."\">"._SUB_REVIEW."</a></font>";
                }
                $html_output.=" :: <a class=\"pn-sub\" href=\"".pnModURL('subjects','user','printpage', array('pageid'=>"$pageid",'scope'=>"all"))."\" target=\"_blank\"><img src=\"modules/subjects/pnimages/print_all.gif\" border=\"0\" Alt=\""._SUB_PAGEPRINTALL."\"></a> :";
                                $html_output.=".</small><br>"
                    ."</td></tr>"
                    ."<tr>\n"
                    ."  <td colspan=\"2\">&nbsp;</td>\n"
                    ."</tr>";
            }
            $result->MoveNext();
        }
    } else
        $html_output.="<tr><td align=\"center\">"._SUB_NOPAGES."</td></tr>";
    $html_output.="</table>";
    $result->Close();
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

    if ($page > 1) {
                $tmp_page=$page - 1;
        $html_output.="<a href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"$orderby",'page'=>$tmp_page))."\"><img src=\"modules/subjects/pnimages/prev.gif\" alt=\""._SUB_PREVIOUS."\" border=\"0\" align=\"left\"></a>";
    }
    if (($pagesnum > $pagesperlistview) && (($pageslimit + $pagesperlistview) < $pagesnum)) {
                $tmp_page=$page + 1;
        $html_output.="<a href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"$orderby",'page'=>$tmp_page))."\"><img src=\"modules/subjects/pnimages/next.gif\" alt=\""._SUB_NEXT."\" border=\"0\" align=\"right\"></a>";
    }

    $pagestotal = ceil($pagesnum / $pagesperlistview);
    if($pagestotal > 1){
        $html_output.="<center><font class=\"pn-normal\">.: ";
        for($i = 1; $i < $pagestotal; $i++) {
            if ($i == $page) {
               $html_output.="$i";
            } else {
               $html_output.="<a href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"$orderby",'page'=>"$i"))."\">$i</a>";
            }
            $html_output.=" :: ";
        }
        if($i == $page) {
           $html_output.="$i";
        } else {
           $html_output.="<a href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid",'orderby'=>"$orderby",'page'=>"$i"))."\">$i</a>";
        }
        $html_output.=" :.</font></center><br>";
    }

        if ($sortbypanel==2) $html_output.=$sort_output;
        $html_output.="<table width=\"95%\" border=\"0\" align=\"center\" cellspacing=\"2\" cellpadding=\"2\">"
                ."<tr>"
                ."  <td>"
                ."<center><font class=\"pn-normal\">.: <a class=\"pn-normal\" href=\"".pnModURL('subjects','user')."\">"._SUB_SUBJECTSRETURN."</a> :.</font></center>";
    $html_output.="  </td>"
        ."</tr>"
        ."  </table>\n";
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

    //include ('footer.php');
     $output->Text($html_output);
     return $output->GetOutput();

}

//----------------------------------------------------------------------
//view page
function subjects_user_viewpage()
{
        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');
	//Burke
	$showReturnFooter=pnModGetVar('subjects','showReturnFooter');
	$showHeader=pnModGetVar('subjects','showHeader');
	
        list($pageid, $pageno) =
                pnVarCleanFromInput('pageid', 'pageno');

        // TiMax add temp fix thanks to TAndrew
      settype($pageid,'integer'); // unnecessary
if (empty($pageid) || !is_numeric($pageid) || ($pageid<0)) {
  $output->Text(_SUB_NOAUTH);
  return $output->GetOutput();
}


    //Get page data from database
    $column = &$pntable['subpages_column'];
    $subcolumn = &$pntable['subjects_column'];
        $sql = "SELECT $column[pageid], $column[parentpageid],
              $column[subid], $subcolumn[subname], $column[pagetitle],
              $column[pagecontent], $column[pagefile], $column[pageimage],
              $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
              $column[pagedatetime], $column[pagecounter],
              $column[reviewactive], $column[reviewscount], $column[reviewsscore],
                          $subcolumn[catid]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[subid]=$subcolumn[subid] AND $column[pageid]= '".(int)pnVarPrepForStore($pageid)."'"; // fix tks to jmvedrine

    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    list($pageid, $parentpageid, $subid, $subname, $pagetitle, $pagecontent, $pagefile,
         $pageimage, $pageauthor, $pageauthoremail, $pageauthorurl, $pagedatetime, $pagecounter, $reviewactive, $reviewscount, $reviewsscore, $catid) = $result->fields;
    $result->Close();

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid))) {
                $output->Text(_SUB_NOAUTHSUB);
            return $output->GetOutput();
        }

    list($mainpageid, $mainpagetitle) = subjects_user_getmainpageinfo($pageid);

    if ( (!empty($mainpageid)) &&
                (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$mainpageid))) ) {
                $output->Text(_SUB_NOAUTHSUB);
            return $output->GetOutput();
        }

    if(!isset($pageid)) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_PAGEDOESNOTEXIST;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
    }

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

    if (!isset($pageno))
        $pageno = 1;

    //Page counter update
    if (($pageno == 1) OR ($pageno == "")) {
        $column = &$pntable['subpages_column'];
                $sql = "UPDATE $pntable[subpages]
                SET $column[pagecounter]=$column[pagecounter]+1
                WHERE $column[pageid]='".(int)pnVarPrepForStore($pageid)."'";
        $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        $result->Close();
    }

    //Get page content from the file (if there is a path)
    if($pagefile != ''){
      if(file_exists("$pagespath/$pagefile"))
        $pagecontent = join('', file("$pagespath/$pagefile"));
      else
        $pagecontent = _SUB_FILECONTENTNOTEXISTS;
    }

    //Get subject info for the page and make a page context (ex. MainPage/SubPage/SubSubPage/...)
    if($parentpageid == 0){
        $mainpageid = $pageid;
        $mainpagetitle = $pagetitle;
        $mainpageimage = $pageimage;
        $mainpageauthor = $pageauthor;
        $mainpageauthoremail = $pageauthoremail;
        $mainpageauthorurl = $pageauthorurl;
        $mainpagedatetime = $pagedatetime;
        $mainreviewactive = $reviewactive;
        $mainreviewscount = $reviewscount;
        $mainreviewsscore = $reviewsscore;
    }else{
        $pagecontext = "$pagetitle";
        $context_parentpageid = $parentpageid;
        while($context_parentpageid > 0){
            $column = &$pntable['subpages_column'];
                        $sql = "SELECT $column[pageid], $column[parentpageid], $column[pagetitle], $column[pageimage],
                      $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
                      $column[pagedatetime], $column[reviewactive],
                      $column[reviewscount], $column[reviewsscore]
                    FROM $pntable[subpages] WHERE $column[pageid]='".(int)pnVarPrepForStore($context_parentpageid)."'";
            $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
            list($context_pageid, $context_parentpageid, $context_pagetitle, $context_pageimage, $context_pageauthor, $context_pageauthoremail, $context_pageauthorurl, $context_pagedatetime, $context_reviewactive, $context_reviewscount, $context_reviewsscore) = $result->fields;
            $result->Close();
            if($context_parentpageid != 0)
                $pagecontext = "$context_pagetitle/".$pagecontext;
            else{
                $mainpageauthor = $context_pageauthor;
                $mainpageauthoremail = $context_pageauthoremail;
                $mainpageauthorurl = $context_pageauthorurl;
                $mainpageid = $context_pageid;
                $mainpagetitle = $context_pagetitle;
                $mainpageimage = $context_pageimage;
                $mainpagedatetime = $context_pagedatetime;
                $mainreviewactive = $context_reviewactive;
                $mainreviewscount = $context_reviewscount;
                $mainreviewsscore = $context_reviewsscore;
            }
        }
    }

    $pagecontent = eregi_replace("!!subpageslist!!", subjects_user_viewsubpageslist($pageid), $pagecontent);
    $pagecontent = eregi_replace("!!pagesdir!!", "$pagespath", $pagecontent);

    //Page break
    $contentpages = explode( "!!pagebreak!!", $pagecontent );
    $pagecount = count($contentpages);
    if ( $pageno=="" || $pageno < 1 )
        $pageno = 1;
    if ( $pageno > $pagecount )
        $pageno = $pagecount;
    $arrayelement = (int)$pageno;
    $arrayelement --;

    $html_output.="<table border=\"0\" width=\"100%\">"
        ."<tr>\n"
        ."  <td align=\"center\">\n"
        ."<font class=\"pn-title\"><a class=\"pn-title\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$mainpageid"))."\">$mainpagetitle</a></font>";
    if($mainpageauthor != ""){
        $html_output.=", $mainpageauthor";
        if($mainpageauthoremail != "")
            $html_output.=" <a href=\"mailto:$mainpageauthoremail\"><img src=\"modules/subjects/pnimages/email.gif\" border=\"0\" alt=\""._SUB_PAGEAUTHOREMAIL."\"></a>";
    }
    if($mainpageauthorurl != "")
        $html_output.=" <a href=\"$mainpageauthorurl\" target=\"_blank\"><img src=\"modules/subjects/pnimages/url.gif\" border=\"0\" alt=\""._SUB_PAGEAUTHORURL."\"></a>";
    if($pagecontext != "")
       $html_output.="<br><font class=\"pn-title\">$pagecontext</font>\n";
    if($mainpageimage != '')
        $html_output.="<br><br><img src=\"$pagespath/$mainpageimage\" border=\"0\" Alt=\"$mainpagetitle\">\n";
    $html_output.="  </td>\n"
        ."</tr>\n"
        ."<tr>\n";
    setlocale (LC_TIME, pnConfigGetVar('locale'));
    eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $mainpagedatetime, $mainpagedate);
    $mainpagedate = ml_ftime(""._LINKSDATESTRING."", mktime($mainpagedate[4],$mainpagedate[5],$mainpagedate[6],$mainpagedate[2],$mainpagedate[3],$mainpagedate[1]));
    $mainpagedate = ucfirst($mainpagedate);
    $html_output.="  <td align=\"center\" colspan=\"2\"><font class=\"pn-sub\">.";
        $can_edit = pnModAPIFunc('subjects','user','auth',
                array('perm'=>ACCESS_EDIT, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid));
    $can_delete = pnModAPIFunc('subjects','user','auth',
                array('perm'=>ACCESS_DELETE, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid));
        if ($can_edit) {
                $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','pageedit', array('pageid'=>"$pageid"))."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" Alt=\""._SUB_EDITPAGE."\"></a> :";
        }
        if ($can_delete) {
                $html_output.=": <a class=\"pn-normal\" href=\"".pnModURL('subjects','admin','pagedelete', array('pageid'=>"$pageid",'ok'=>"0"))."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" Alt=\""._SUB_DELPAGE."\"></a> :";
        }
        $html_output.=": "._SUB_PAGEDATETIME." $mainpagedate :: "._SUB_PAGEREADS.": $pagecounter";
    if($mainreviewactive == 1) {
        if($mainreviewscount > 0) {
            $html_output.=" :: <a class=\"pn-sub\" href=\"".pnModURL('subjects','user','pagereview', array('pageid'=>"$mainpageid"))."\">"._SUB_REVIEWS.": $mainreviewscount</a> ";
            $html_output.=subjects_user_displayscore($mainreviewsscore/$mainreviewscount);
        } else
            $html_output.=" :: <a class=\"pn-sub\" href=\"".pnModURL('subjects','user','pagereview', array('pageid'=>"$mainpageid"))."\">"._SUB_REVIEW."</a>";
    }
    if($parentpageid == 0)
        $html_output.=" :: <a class=\"pn-normal\" href=\"".pnModURL('subjects','user','printpage', array('pageid'=>"$pageid",'scope'=>"page"))."\" target=\"_blank\"><img src=\"modules/subjects/pnimages/print_page.gif\" border=\"0\" Alt=\""._SUB_PAGEPRINTPAGE."\"></a>"
                ." :: <a class=\"pn-normal\" href=\"".pnModURL('subjects','user','printpage', array('pageid'=>"$pageid",'scope'=>"all"))."\" target=\"_blank\"><img src=\"modules/subjects/pnimages/print_all.gif\" border=\"0\" Alt=\""._SUB_PAGEPRINTALL."\"></a>";
    else
        $html_output.=" :: <a class=\"pn-normal\" href=\"".pnModURL('subjects','user','printpage', array('pageid'=>"$pageid",'scope'=>"page"))."\" target=\"_blank\"><img src=\"modules/subjects/pnimages/print_page.gif\" border=\"0\" Alt=\""._SUB_PAGEPRINTPAGE."\"></a>"
                ." :: <a class=\"pn-normal\" href=\"".pnModURL('subjects','user','printpage', array('pageid'=>"$parentpageid",'scope'=>"all"))."\" target=\"_blank\"><img src=\"modules/subjects/pnimages/print_all.gif\" border=\"0\" Alt=\""._SUB_PAGEPRINTALL."\"></a>";

    $html_output.=":. </font></td></tr></table>";

    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
    //Print page content

    $html_output.="<font class=\"pn-normal\">$contentpages[$arrayelement]</font>";
    if($pageno >= $pagecount)
      $next_page = "";
    else {
        $next_pagenumber = $pageno + 1;
        $next_page .= "<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$pageid",'pageno'=>"$next_pagenumber"))."\"><img src=\"modules/subjects/pnimages/next.gif\" border=\"0\" alt=\""._SUB_NEXT."\"></a>";
    }
    if($pageno <= 1)
        $previous_page = "";
    else {
        $previous_pagenumber = $pageno - 1;
        $previous_page = "<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$pageid",'pageno'=>"$previous_pagenumber"))."\"><img src=\"modules/subjects/pnimages/prev.gif\" border=\"0\" alt=\""._SUB_PREVIOUS."\"></a>";
    }
    if($next_page != "" || $previous_page != "")
        $html_output.="<center><br><br>$previous_page "._SUB_PAGENO.": $pageno/$pagecount $next_page<br><br></CENTER>";
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
    $subpages = subjects_user_getsubpages($mainpageid);
    if(isset($subpages)){
        $is_prevpage = false;
        $is_nextpage = false;
        $prevpageid = 0;
        $nextpageid = 0;
        reset($subpages);
        if($pageid == $mainpageid){ //main page
            $is_nextpage = true;
            $pagefields = current($subpages);
            $nextpageid = $pagefields[pageid];
        } else{ //first subpage
            $pagefields = current($subpages);
            $is_prevpage = true;
            if($pageid == $pagefields[pageid])
            {
                $prevpageid = $mainpageid;
                if($pagefields = next($subpages)){
                    $is_nextpage = true;
                    $nextpageid = $pagefields[pageid];
                }
            } else{ //next subpages
                $prevpageid = $pagefields[pageid];
                while($pagefields = next($subpages)) {
                    if($pagefields[pageid] == $pageid){
                      if($pagefields = next($subpages)){
                          $is_nextpage = true;
                          $nextpageid = $pagefields[pageid];
                      }
                      break;
                    }
                    $prevpageid = $pagefields[pageid];
                }
            }
        }

        $html_output.="<form method=\"post\">\n"
            ."<table border=\"0\" width=\"100%\">\n"
            ."  <tr>\n"
            ."    <td align=\"left\">";
        if($is_prevpage)
            $html_output.="<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$prevpageid"))."\"><img src=\"modules/subjects/pnimages/prev.gif\" border=\"0\" alt=\""._SUB_PREVIOUS."\"></a>";
        $html_output.="    </td>\n"
            ."    <td align=\"center\">";
        $html_output.=""._SUB_SUBPAGESLIST.": <select class=\"pn-text\" name=\"newpage\" onChange=\"top.location.href=this.options[this.selectedIndex].value\">";

        if($pageid == $mainpageid)
            $selected = "selected";
        else
            $selected = "";
        $html_output.="<option value=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$mainpageid"))."\" $selected>$mainpagetitle</option>\n";
        foreach ($subpages as $pagefields) {
            $level = str_repeat("--", $pagefields[pagelevel]+1);
            $level = $level.">";
            if($pagefields[pageid] == $pageid)
                $selected = "selected";
            else
                $selected = "";
            $html_output.="<option value=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$pagefields[pageid]"))."\" $selected>$level$pagefields[pagetitle]</option>\n";
        }
        $html_output.="</select>"
            ."    </td>\n"
            ."    <td align=\"right\">";
        if($is_nextpage)
            $html_output.="<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$nextpageid"))."\"><img src=\"modules/subjects/pnimages/next.gif\" border=\"0\" alt=\""._SUB_NEXT."\"></a><br>";
        $html_output.="    </td>\n"
            ."  </tr>\n"
            ."</table>"
            ."</form>";
    }
	//Burke
	if($showReturnFooter)
	{
		$html_output.="<center><font class=\"pn-normal\">.: <a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid"))."\">"._SUB_SUBJECTRETURN." <b>$subname</b></a>";
		$html_output.=" :: ";
		$html_output.="<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listsubjects')."\">"._SUB_SUBJECTSRETURN."</a> :.</font></center>";
	}    
	$html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

     $output->Text($html_output);
     return $output->GetOutput();
}

//----------------------------------------------------------------------
//display score
function subjects_user_displayscore($score)
{

    $score /= 2;
    $max_score = 5;
    $star_full = "modules/subjects/pnimages/star_full.gif";
    $star_half = "modules/subjects/pnimages/star_half.gif";
    $star_none = "modules/subjects/pnimages/star_none.gif";

    // Break up score
    if (strpos($score, ".")==0)
        $full_stars = $score;
    else
        $full_stars = substr($score, 0, strpos($score, "."));

    // *** Is there half star
    if (substr($score, strpos($score, ".") + 1) == 0)
        $half_stars = 0;
    else
        $half_stars = 1;

    // *** Build Star Line
    $blank_stars = $max_score - ($full_stars + $half_stars);
    $star_line = "";
    for ($i = 1; $i <= $max_score; $i++){
        if ($i <= $full_stars)
            $star_line .= "<img src='".$star_full."' border='0'>";
        elseif ($i <= ($half_stars + $full_stars))
            $star_line .= "<img src='".$star_half."' border='0'>";
        elseif ($i <= $max_score)
            $star_line .= "<img src='".$star_none."' border='0'>";
    }
    return $star_line;
}

//----------------------------------------------------------------------
//add page by user
function subjects_user_addpage()
{
        global $pnconfig;
        $dbtype = $pnconfig['dbtype'];
        $dbname = $pnconfig['prefix'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        list($subid, $pagetitle, $pagetext, $pagecontent, $pageauthor, $pageauthoremail, $pageauthorurl, $action) =
                pnVarCleanFromInput('subid', 'pagetitle', 'pagetext', 'pagecontent', 'pageauthor', 'pageauthoremail', 'pageauthorurl', 'action');

        if ($action==_SUB_PREVIEWPAGEBUTTON) $action="preview";
        if ($action==_SUB_ADDPAGEBUTTON) $action="submit";

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_COMMENT, 'subid'=>$subid))) {
                $output->Text(_SUB_NOAUTHSUB);
            return $output->GetOutput();
        }

        $subjectsconfig['textareawidth']=pnModGetVar('subjects', 'textareawidth');
        $subjectsconfig['textareaheight']=pnModGetVar('subjects', 'textareaheight');

        list($dbconn) = pnDBGetConn();
    $currentlang = pnUserGetLang();
        $subjectsconfig['wysiwygeditor']=pnModGetVar('subjects', 'wysiwygeditor');


    if (pnConfigGetVar('multilingual') == 1) {
        $column = &$pntable['subjects_column'];
//modified for Oracle compatibility
                $querylang = "AND ($column[sublanguage]='$currentlang' OR $column[sublanguage]='' OR $column[sublanguage] IS NULL)";
    } else
      $querylang = "";

    $column = &$pntable['subjects_column'];
    $column2 = &$pntable['subcategories_column'];
//modified for Oracle compatibility
        switch ($dbtype){
            case "oci8":
                        $sql = "SELECT $column[subid], $column[subname], $column[catid], $column2[catname]
                        FROM $pntable[subjects], $pntable[subcategories]
                    WHERE $column[catid]=$column2[catid](+)
                        AND $column[subactive] = 1 $querylang
                ORDER BY nvl($column2[catorder],0), $column[suborder]";
                        break;
                default:
        $sql = "SELECT $column[subid], $column[subname], $column[catid], $column2[catname]
            FROM $pntable[subjects]
            LEFT JOIN $pntable[subcategories]
            ON $column[catid]=$column2[catid]
            WHERE $column[subactive] = 1 $querylang
            ORDER BY $column2[catorder], $column[suborder]";
                        break;
        }
    $result = $dbconn->Execute($sql); //is result closed?
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }


    if ($result->EOF) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_NOSUBJECTS;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
        }

        $txt=pnVarCensor($reviewtitle);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));
        $reviewcomments = pnModAPIFunc('subjects','user','fixquotes',array('what'=>".pnVarCensor($reviewcomments)."));
        $txt=pnVarCensor($reviewcomments);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));
        $txt=pnVarCensor($pagetitle);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));
        $txt=pnVarCensor($pagetext);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));
        $txt=pnVarCensor($pagecontent);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));
        $txt=pnVarCensor($pageauthor);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));
        $txt=pnVarCensor($pageauthoremail);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));
        $txt=pnVarCensor($pageauthorurl);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));


    if(($action == "preview" || $action == "submit") &&
       ($subid == "" || trim($pagetitle) == "" || trim($pagecontent) == "")){
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-normal\"><b>"._SUB_ADDPAGEERROR."</b></font></center><br><br>"
            ."<ul>";
        if($subid == "")
            $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_PAGESUBJECT."</b>.";
        if(trim($pagetitle) == "")
            $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_PAGETITLE."</b>.";
        if(trim($pagetext) == "")
            $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_PAGETEXT."</b>.";
        if(trim($pagecontent) == "")
            $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_PAGECONTENT."</b>.";
        $html_output.="</ul><br><center>"._SUB_PRESSBACK."</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
    }

    if($action == "submit"){
        $pagefile = "";
        $pageimage = "";
        if($pageauthorurl == "http://") $pageauthorurl = "";
        $pagedatetime = date("Y-m-d H:i:00");
        $pageactive=0;
        $reviewactive=0;

        $column = &$pntable['subpages_column'];
                $sql = "SELECT max($column[pageorder])
                FROM $pntable[subpages]
                WHERE $column[subid]='".(int)pnVarPrepForStore($subid)."' AND $column[parentpageid]=0";
        $result2 = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        list($pageorder) = $result2->fields;
        $result2->Close();
        $pageorder = $pageorder + 1;

        if (pnUserLoggedIn()) {
            $username =  pnUserGetVar('uname');
        } else {
            $username =  pnConfigGetVar('anonymous');
        }

        $column = &$pntable['subpages_column'];
//modified for Oracle compatibility
                switch ($dbtype){
                    case "oci8":
                                $sequence=substr_replace($pntable['subpages'],'',0,strlen($dbname)+1).'_sq';
                                $nextid = $dbconn->GenId($sequence);
                        $sql = "INSERT INTO $pntable[subpages] ($column[pageid], $column[parentpageid],
                          $column[subid], $column[pagetitle],
                              $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
                                  $column[pagetext], $column[pagecontent],
                                      $column[pagefile], $column[pageimage], $column[pageactive],
                                          $column[reviewactive], $column[pageorder],
                          $column[pagedatetime], $column[pagecounter],
                      $column[username])
                              VALUES ('$nextid', '0', '$subid','$pagetitle', '$pageauthor', '$pageauthoremail', '$pageauthorurl',
                      empty_clob(),empty_clob(),'$pagefile','$pageimage','$pageactive', '$reviewactive',
                      '$pageorder', '$pagedatetime', '0', '$username')";
                        $dbconn->Execute($sql);
                                if($dbconn->ErrorNo() <> 0) {
                                    $html_output.=$dbconn->ErrorNo(). ": ".$dbconn->ErrorMsg(). "";
                        }
                                $dbconn->updateClob($pntable[subpages],$column[pagetext],$pagetext,$column[pageid].'='.$nextid);
                                $dbconn->updateClob($pntable[subpages],$column[pagecontent],$pagecontent,$column[pageid].'='.$nextid);

                        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
                        if($dbconn->ErrorNo() <> 0) {
                                    $html_output.=$dbconn->ErrorNo(). ": ".$dbconn->ErrorMsg(). "";
                        } else{
                                    $html_output.="<p><center><font class=\"pn-title\"><b>"._SUB_PAGEADDED."</b></font></center><br><br>";
                            $html_output.="<p><center><font class=\"pn-normal\">"._SUB_PAGEADDEDINFO."</font></center><br>";
                                }
                        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                                break;
                        default:
        $nextid = $dbconn->GenId($pntable['subpages']);
                $sql = "INSERT INTO $pntable[subpages] ($column[pageid], $column[parentpageid],
                  $column[subid], $column[pagetitle],
                  $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
                  $column[pagetext], $column[pagecontent],
                  $column[pagefile], $column[pageimage], $column[pageactive],
                  $column[reviewactive], $column[pageorder],
                  $column[pagedatetime], $column[pagecounter],
                                  $column[username])
                VALUES ('$nextid', '0', '$subid','$pagetitle', '$pageauthor', '$pageauthoremail', '$pageauthorurl',
                        '$pagetext','$pagecontent','$pagefile','$pageimage','$pageactive', '$reviewactive',
                                                '$pageorder', '$pagedatetime', '0', '$username')";
        $dbconn->Execute($sql);

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        if($dbconn->ErrorNo() <> 0) {
            $html_output.=$dbconn->ErrorNo(). ": ".$dbconn->ErrorMsg(). "";
        } else{
            $html_output.="<p><center><font class=\"pn-title\"><b>"._SUB_PAGEADDED."</b></font></center><br><br>";
            $html_output.="<p><center><font class=\"pn-normal\">"._SUB_PAGEADDEDINFO."</font></center><br>";
            }
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                                break;
                }
     $output->Text($html_output);
     return $output->GetOutput();
        }

    if($action == "preview"){
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-title\">$pagetitle</font>";
        if($pageauthor != ""){
            $html_output.=", $pageauthor";
            if($pageauthoremail != "")
                $html_output.=" <a href=\"mailto:$pageauthoremail\"><img src=\"modules/subjects/pnimages/email.gif\" border=\"0\" alt=\""._SUB_PAGEAUTHOREMAIL."\"></a>";
        }
        if($pageauthorurl != "")
            $html_output.=" <a href=\"$pageauthorurl\" target=\"_blank\"><img src=\"modules/subjects/pnimages/url.gif\" border=\"0\" alt=\""._SUB_PAGEAUTHORURL."\"></a>";
        $html_output.="</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<font class=\"pn-normal\">$pagetext</font>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        //Print page content
        $html_output.="<font class=\"pn-normal\">$pagecontent</font>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
    $html_output.="<p><center><font class=\"pn-title\"><b>"._SUB_ADDPAGE."</b></font></center><br>";
    $html_output.="<form name=\"newpageform\" action=\"".pnModURL('subjects','user','addpage')."\" method=\"post\">"
        ."<b>"._SUB_PAGESUBJECT."</b> "._SUB_REQUIREDFILED."<br>";

    $currcatid = 0;
//modified for Oracle compatibility
//        while(list($dbsubid, $subname, $catid, $catname) = $result->fields) {
        while(!$result->EOF){
                list($dbsubid, $subname, $catid, $catname) = $result->fields;
        if($currcatid != $catid){
            $html_output.="<b>$catname</b><br>";
            $currcatid = $catid;
        }
        if($dbsubid == $subid)
          $chk = "checked";
        else
          $chk = "";
        if (pnModAPIFunc('subjects','user','auth',
                                array('perm'=>ACCESS_COMMENT, 'catid'=>$catid, 'subid'=>$dbsubid)))
            $html_output.="<input type=\"radio\" name=\"subid\" value=\"$dbsubid\" $chk> $subname<br>";
        $result->MoveNext();
    }
    $result->Close();
    $html_output.="<br><br><b>"._SUB_PAGETITLE."</b> "._SUB_REQUIREDFILED."<br>"
        ."<input type=\"text\" name=\"pagetitle\" size=\"60\" value=\"$pagetitle\"><br><br>"
        ."<b>"._SUB_PAGETEXT."</b> "._SUB_REQUIREDFILED."<br>"
        ."<textarea name=\"pagetext\" id=\"pagetext\" cols=\"60\" rows=\"5\">$pagetext</textarea><br><br>"
        ."<b>"._SUB_PAGECONTENT."</b> "._SUB_REQUIREDFILED."<br>"
                . pnModAPIFunc('subjects','user','wysiwygcheckstart',
                        array('title'=>_SUB_ADDPAGE,
                                'editform'=>"newpageform",
                                'editcontrol'=>"pagecontent"))
        ."<textarea name=\"pagecontent\" id=\"pagecontent\" cols=\"".$subjectsconfig['textareawidth']."\" rows=\"".$subjectsconfig['textareaheight']."\">$pagecontent</textarea>"
                . pnModAPIFunc('subjects','user','wysiwygcheckend');

    $html_output.="<br><font class=\"pn-sub\">"._SUB_SUBPAGEBREAKS."</font><br>"
        .""._ALLOWEDHTML." ";
    $AllowableHTML = pnConfigGetVar('AllowableHTML');
    while (list($key, $access, ) = each($AllowableHTML)) {
        if ($access > 0) $html_output.=" &lt;".$key."&gt;";
    }
    $html_output.="<br><br>";

    if (pnUserLoggedIn()) {
        $username =  pnUserGetVar('uname');
        if($action == "new"){
            $pageauthor = pnUserGetVar('name');
            $pageauthoremail = pnUserGetVar('femail');
            $pageauthorurl = pnUserGetVar('url');
        }
    } else {
        $username =  pnConfigGetVar('anonymous');
    }
    $html_output.="<b>"._SUB_PAGEAUTHOR."</b><br>"
        ."<input type=\"text\" name=\"pageauthor\" size=\"50\" value=\"$pageauthor\"><br><br>"
        ."<b>"._SUB_PAGEAUTHOREMAIL."</b><br>"
        ."<input type=\"text\" name=\"pageauthoremail\" size=\"50\" value=\"$pageauthoremail\"><br><br>"
        ."<b>"._SUB_PAGEAUTHORURL."</b><br>"
        ."<input type=\"text\" name=\"pageauthorurl\" size=\"50\"  value=\"$pageauthorurl\"><br><br>"
        ."<b>"._SUB_PAGESUBMITEDBY."</B>: $username<br><br>"
        ."<font class=\"pn-normal\">"._SUB_ADDPAGEINFO."</font><br><br>"
                ."<input type=\"submit\" name=\"action\" value=\""._SUB_PREVIEWPAGEBUTTON."\">";

    if($action == "preview"){
        $html_output.="&nbsp;<input type=\"submit\" name=\"action\" value=\""._SUB_ADDPAGEBUTTON."\">";
    }

    $html_output.="</form>";
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

     $output->Text($html_output);
     return $output->GetOutput();
}
//----------------------------------------------------------------------
//page review
function subjects_user_pagereview()
{
        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

//        list($pageid) =
        $pageid = pnVarCleanFromInput('pageid');
        //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


    //Get page data from database
    $column = &$pntable['subpages_column'];
    $subcolumn = &$pntable['subjects_column'];
        $sql = "SELECT $column[pageid], $column[parentpageid],
              $column[subid], $subcolumn[subname], $column[pagetitle],
              $column[pagetext], $column[pageauthor], $column[pageauthoremail],
                          $column[pageauthorurl], $column[pagedatetime], $column[pagecounter],
              $column[reviewactive], $column[reviewscount], $column[reviewsscore],
                          $subcolumn[catid]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[subid]=$subcolumn[subid] AND $column[pageid]=$pageid";
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    list($pageid, $parentpageid, $subid, $subname, $pagetitle, $pagetext, $pageauthor, $pageauthoremail, $pageauthorurl, $pagedatetime, $pagecounter, $reviewactive, $reviewscount, $reviewsscore, $catid) = $result->fields;
    $result->Close();

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid))) {
                $output->Text(_SUB_NOAUTHPAGE);
            return $output->GetOutput();
        }

    if($parentpageid != 0) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_CANNOTREVIEWSUBPAGE;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
    }

    if(!isset($pageid)) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_PAGEDOESNOTEXIST;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
    }

    if($reviewactive != 1) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_CANNOTREVIEWPAGE;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
    }

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
    $html_output.="<table border=\"0\" width=\"100%\">"
        ."<tr>\n"
        ."  <td align=\"center\">\n"
        ."<a class=\"pn-title\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$pageid"))."\">$pagetitle</a>";
    if($pageauthor != ""){
        $html_output.="<br>$pageauthor";
        if($pageauthoremail != "")
            $html_output.=" <a href=\"mailto:$pageauthoremail\"><img src=\"modules/subjects/pnimages/email.gif\" border=\"0\" alt=\""._SUB_PAGEAUTHOREMAIL."\"></a>";
    }
    if($pageauthorurl != "")
        $html_output.=" <a href=\"$pageauthorurl\" target=\"_blank\"><img src=\"modules/subjects/pnimages/url.gif\" border=\"0\" alt=\""._SUB_PAGEAUTHORURL."\"></a>";
//    $html_output.="  </td>\n"
//        ."</tr>\n"
//        ."<tr>\n";
    setlocale (LC_TIME, pnConfigGetVar('locale'));
    eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $pagedatetime, $pagedate);
    $pagedate = ml_ftime(""._LINKSDATESTRING."", mktime($pagedate[4],$pagedate[5],$pagedate[6],$pagedate[2],$pagedate[3],$pagedate[1]));
    $pagedate = ucfirst($pagedate);
//    $html_output.="  <td align=\"right\" colspan=\"2\">"
    $html_output.="<br><font class=\"pn-sub\">.: "._SUB_PAGEDATETIME." $pagedate :: "._SUB_PAGEREADS.": $pagecounter :: ";
    if($reviewscount > 0) {
        $html_output.="<a class=\"pn-sub\" href=\"".pnModURL('subjects','user','pagereview', array('pageid'=>"$pageid"))."\">"._SUB_REVIEWS.": $reviewscount</a> ";
        $html_output.=subjects_user_displayscore($reviewsscore/$reviewscount);
    } else
        $html_output.="<a class=\"pn-sub\" href=\"".pnModURL('subjects','user','pagereview', array('pageid'=>"$pageid"))."\">"._SUB_REVIEW."</a>";
    $html_output.=" :: <a class=\"pn-sub\" href=\"".pnModURL('subjects','user','printpage', array('pageid'=>"$pageid",'scope'=>"all"))."\" target=\"_blank\"><img src=\"modules/subjects/pnimages/print_all.gif\" border=\"0\" Alt=\""._SUB_PAGEPRINTALL."\"></a> :.</font></td>"
        ."</tr></table>";
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

    $column = &$pntable['subreviews_column'];
        $sql = "SELECT $column[reviewid], $column[reviewtitle], $column[reviewcomments],
              $column[reviewscore], $column[reviewuser],
              $column[reviewhostip], $column[reviewdatetime]
            FROM $pntable[subreviews]
            WHERE $column[pageid]='".(int)pnVarPrepForStore($pageid)."'
            ORDER BY $column[reviewdatetime]";
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    if(!$result->EOF) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_PAGEREVIEWS."</b></font></center><br><br>"
            ."<table width=\"95%\" border=\"0\" align=\"center\" cellspacing=\"2\" cellpadding=\"2\">";
//modified for Oracle compatibility
//        while(list($reviewid, $reviewtitle, $reviewcomments, $reviewscore, $reviewuser, $reviewhostip, $reviewdatetime) = $result->fields) {
        while(!$result->EOF){
                        list($reviewid, $reviewtitle, $reviewcomments, $reviewscore, $reviewuser, $reviewhostip, $reviewdatetime) = $result->fields;
           $html_output.="<tr><td align=\"left\">";
           setlocale (LC_TIME, pnConfigGetVar('locale'));
           eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $reviewdatetime, $reviewdate);
           $reviewdate = ml_ftime(_DATETIMEBRIEF, mktime($reviewdate[4],$reviewdate[5],$reviewdate[6],$reviewdate[2],$reviewdate[3],$reviewdate[1]));
           $reviewdate = ucfirst($reviewdate);
           $html_output.=" <img src=\"modules/subjects/pnimages/review.gif\" align=\"absmiddle\" border=\"0\">&nbsp;<b>$reviewtitle</b> ";
           $html_output.=subjects_user_displayscore($reviewscore);
/**/           $html_output.="<br><font class=\"pn-sub\">"._SUB_REVIEWSENTBY." <a href=\"user.php?op=userinfo&amp;uname=$reviewuser\">$reviewuser</a> "._SUB_REVIEWSENTON." $reviewdate";
                   if(pnModAPIFunc('subjects','user','auth',
                                array('perm'=>ACCESS_DELETE, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid))) {
               $html_output.="<br>$reviewhostip ::";
               $html_output.=" <a href=\"".pnModURL('subjects','user','reviewdelete', array('reviewid'=>"$reviewid",'ok'=>"0"))."\">"._DELETE."</a>";
               //$html_output.=" [ <a href=\"modules.php?op=modload&amp;name=subjects&amp;file=index&amp;req=reviewedit&amp;reviewid=$reviewid\">"._EDIT."</a>"
               //    ." | <a href=\"modules.php?op=modload&amp;name=subjects&amp;file=index&amp;req=reviewdelete&amp;reviewid=$reviewid&amp;ok=0\">"._DELETE."</a> ]";
           }
           $html_output.="</font><br><font class=\"pn-normal\">$reviewcomments</font>"
               ."</td></tr>"
               ."<tr>\n"
               ."  <td>&nbsp;</td>\n"
               ."</tr>";
           $result->MoveNext();
        }
        $html_output.="</table><br><br>";
        $html_output.="<center><small>"._SUB_REVIEWSWARNING."</small></center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }
    $result->Close();

    //add page review
    if (pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_COMMENT,'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_ADDPAGEREVIEW."</b></font></center><br><br>";

        $html_output.="<form action=\"".pnModURL('subjects','user','reviewadd', array('pageid'=>"$pageid"))."\" method=\"post\">";
        $html_output.="<b>"._SUB_REVIEWERNAME.":</b> ";

        if (pnUserLoggedIn()) {
            $html_output.=pnUserGetVar('uname');
        } else {
            $html_output.=pnConfigGetVar('anonymous');
            //$html_output.=" [ <a class=\"pn-normal\" href=\"user.php\">"._SUB_NEWUSER."</a> ]";
        }

        $html_output.="<br><br><b>"._SUB_REVIEWTITLE."</b> "._SUB_REQUIREDFILED."<br>"
            ."<input type=\"text\" name=\"reviewtitle\" size=\"60\"><br><br>"
            ."<b>"._SUB_REVIEWCOMMENTS."</b><br>"
                        . pnModAPIFunc('subjects','user','wysiwygcheckstart',
                                array('title'=>_SUB_REVIEWCOMMENTS,
                                        'editform'=>"reviewtitle",
                                        'editcontrol'=>"reviewcomments"))
                        ."<textarea wrap=\"virtual\" cols=\"60\" rows=\"10\" name=\"reviewcomments\" id=\"reviewcomments\"></textarea><br>"
                        . pnModAPIFunc('subjects','user','wysiwygcheckend')
            ."<small>"._ALLOWEDHTML." ";
        $AllowableHTML = pnConfigGetVar('AllowableHTML');
        while (list($key, $access, ) = each($AllowableHTML)) {
            if ($access > 0) $html_output.=" &lt;".$key."&gt;";
        }
        $html_output.="</small><br><br><b>"._SUB_REVIEWSCORE."</b> "
            ."<select name=\"reviewscore\">"
            ."<option>--</option>"
            ."<option>10</option>"
            ."<option>9</option>"
            ."<option>8</option>"
            ."<option>7</option>"
            ."<option>6</option>"
            ."<option>5</option>"
            ."<option>4</option>"
            ."<option>3</option>"
            ."<option>2</option>"
            ."<option>1</option>"
            ."</select> "._SUB_REQUIREDFILED."<br><br>"
            ."<input type=\"submit\" value=\""._SUB_REVIEWTHISPAGE."\">"
            ."</form>";

        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
    $html_output.="<center><font class=\"pn-normal\">[<a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages', array('subid'=>"$subid"))."\">"._SUB_SUBJECTRETURN." <b>$subname</b></a> | <a class=\"pn-normal\" href=\"".pnModURL('subjects','user','listpages')."\">"._SUB_SUBJECTSRETURN."</a> ]</font></center>";
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

     $output->Text($html_output);
     return $output->GetOutput();
}

//----------------------------------------------------------------------
//add review to database
function subjects_user_reviewadd()
{
        global $pnconfig;
        $dbtype = $pnconfig['dbtype'];
        $dbname = $pnconfig['prefix'];

         $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

   if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        list($pageid, $reviewtitle, $reviewcomments, $reviewscore) =
                pnVarCleanFromInput('pageid', 'reviewtitle', 'reviewcomments', 'reviewscore');


    $column = &$pntable['subpages_column'];
    $subcolumn = &$pntable['subjects_column'];
        $sql = "SELECT $column[parentpageid],
              $subcolumn[subname], $subcolumn[subid],
              $column[pagetitle], $column[reviewactive], $subcolumn[catid]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[subid]=$subcolumn[subid] AND $column[pageid]='". (int)pnVarPrepForStore($pageid)."'";  // fix tks to jmvedrine

    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    list($parentpageid, $subname, $subid, $pagetitle, $reviewactive, $catid) = $result->fields;
    $result->Close();

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid))) {
                $output->Text(_SUB_NOAUTHSUB);
            return $output->GetOutput();
    }

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid))) {
                $output->Text(_SUB_NOAUTHPAGE);
            return $output->GetOutput();
    }

    if($parentpageid != 0) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_CANNOTREVIEWSUBPAGE;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
    }

    if($reviewactive != 1) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_CANNOTREVIEWPAGE;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
    }
        $txt=pnVarCensor($reviewtitle);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));
        $txt=pnVarCensor($reviewcomments);
        pnModAPIFunc('subjects','user','fixquotes',array('what'=>"$txt"));

    if (pnUserLoggedIn()) {
        $reviewuser = pnUserGetVar('uname');
    } else {
        $reviewuser = pnConfigGetVar('anonymous');
    }
    $reviewhostip = getenv("REMOTE_ADDR");

    $column = &$pntable['subreviews_column'];
        $sql = "SELECT COUNT(*)
            FROM $pntable[subreviews]
            WHERE $column[pageid]='".(int)pnVarPrepForStore($pageid)."' AND
              ($column[reviewuser]='$reviewuser' OR
              $column[reviewhostip]='$reviewhostip')";
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    list($is_reviewed) = $result->fields;
    $result->Close();

    if(trim($reviewtitle) == "" || $reviewscore == "--" || $is_reviewed){
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-normal\"><b>"._SUB_ADDREVIEWERROR."</b></font></center><br><br>"
            ."<ul>";

        if($is_reviewed > 0) {
            $html_output.="<li>"._SUB_PAGEALREADYREVIEWED.".";
        } else {
            if(trim($reviewtitle) == "")
                $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_REVIEWTITLE."</b>.";
            if($reviewscore == "--")
                $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_REVIEWSCORE."</b>.";
        }
        $html_output.="</ul><br><center>"._SUB_PRESSBACK."</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
     $output->Text($html_output);
     return $output->GetOutput();
    } else{
        $column = &$pntable['subreviews_column'];
//modified for Oracle compatibility
                switch ($dbtype){
                        case "oci8":
                                $sequence=substr_replace($pntable['subreviews'],'',0,strlen($dbname)+1).'_sq';
                                $nextid = $dbconn->GenId($sequence);
                        $sql = "INSERT INTO $pntable[subreviews] ($column[reviewid],
                                  $column[pageid], $column[reviewtitle], $column[reviewcomments],
                                      $column[reviewscore], $column[reviewuser], $column[reviewhostip],
                                          $column[reviewdatetime])
                                VALUES ($nextid, '$pageid', '$reviewtitle', empty_clob(),
                                        '$reviewscore', '$reviewuser', '$reviewhostip', sysdate)";
                        $dbconn->Execute($sql);
                                $dbconn->updateClob($pntable[subreviews],$column[reviewcomments],$reviewcomments,$column[reviewid].'='.$nextid);
                                break;
                        default:
        $nextid = $dbconn->GenId($pntable['subreviews']);
                $sql = "INSERT INTO $pntable[subreviews] ($column[reviewid],
                  $column[pageid], $column[reviewtitle], $column[reviewcomments],
                  $column[reviewscore], $column[reviewuser], $column[reviewhostip],
                  $column[reviewdatetime])
                VALUES ($nextid, '$pageid', '$reviewtitle', '$reviewcomments',
                        '$reviewscore', '$reviewuser', '$reviewhostip', now())";
        $dbconn->Execute($sql);
                                break;
                }
        $column = &$pntable['subpages_column'];
                $sql = "UPDATE $pntable[subpages]
                SET $column[reviewscount] = $column[reviewscount] + 1,
                  $column[reviewsscore] = $column[reviewsscore] + $reviewscore
                WHERE $column[pageid]='".(int)pnVarPrepForStore($pageid)."'";
        $dbconn->Execute($sql);

                pnRedirect(pnModURL('subjects','user','pagereview',array('pageid'=>"$pageid")));
                return true;
    }
}

//----------------------------------------------------------------------
//delete review from database
function subjects_user_reviewdelete()
{
         $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

   if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        list($reviewid, $ok) =
                pnVarCleanFromInput('reviewid', 'ok');
        if (empty($ok)) $ok=0;


    $column = &$pntable['subreviews_column'];
    $subcolumn = &$pntable['subjects_column'];
    $pagecolumn = &$pntable['subpages_column'];
        $sql = "SELECT $column[pageid], $column[reviewtitle],
              $column[reviewscore],
              $subcolumn[subname], $pagecolumn[pagetitle],
              $pagecolumn[pageauthor], $pagecolumn[pageauthoremail],
              $pagecolumn[pageauthorurl],
              $pagecolumn[pagedatetime], $pagecolumn[pagecounter],
                          $subcolumn[subid], $subcolumn[catid]
            FROM $pntable[subreviews], $pntable[subpages], $pntable[subjects]
            WHERE $column[reviewid]='".(int)pnVarPrepForStore($reviewid)."' AND
              $column[pageid] = $pagecolumn[pageid] AND
              $pagecolumn[subid] = $subcolumn[subid]";
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    list($pageid, $reviewtitle, $reviewscore, $subname, $pagetitle, $pageauthor, $pageauthoremail, $pageauthorurl, $pagedatetime, $pagecounter, $subid, $catid) = $result->fields;
    $result->Close();

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_DELETE, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid))) {
                $output->Text(_SUB_NOAUTHPAGE);
            return $output->GetOutput();
    }

        if ($ok==1) {

                $column=$pntable['subreviews_column'];
        $sql = "DELETE FROM $pntable[subreviews]
                WHERE $column[reviewid]='".(int)pnVarPrepForStore($reviewid)."''";
        $dbconn->Execute($sql);

        $column = &$pntable['subpages_column'];
                $sql = "UPDATE $pntable[subpages]
                SET $column[reviewscount] = $column[reviewscount] - 1,
                  $column[reviewsscore] = $column[reviewsscore] - $reviewscore
                WHERE $column[pageid]='".(int)pnVarPrepForStore($pageid)."'";
        $dbconn->Execute($sql);

                pnRedirect(pnModURL('subjects','user','pagereview',array('pageid'=>"$pageid")));
                return true;

    } else {

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_DELREVIEW."</b></font><br><br>";
        $html_output.="<font class=\"pn-normal\"><b>$reviewtitle</b></font><br><br>";
        $html_output.="<table><tr><td>\n";
                $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','user','pagereview', array('pageid'=>"$pageid")),
               'value'=>_NO));
        $html_output.="</td><td>\n";
                $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','user','reviewdelete', array('reviewid'=>"$reviewid",'ok'=>"1")),
               'value'=>_YES));

                $html_output.="</td></tr></table>\n";
        $html_output.="</center>\n";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

     $output->Text($html_output);
     return $output->GetOutput();
    }
}

//----------------------------------------------------------------------
//print page
function subjects_user_printpage()  //almer
{
        list($pageid, $scope) =
                pnVarCleanFromInput('pageid', 'scope');

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


    //Get page data from database
    $column = &$pntable['subpages_column'];
    $subcolumn = &$pntable['subjects_column'];
        $sql = "SELECT $column[pageid], $column[parentpageid],
              $column[subid], $subcolumn[subname], $column[pagetitle],
              $column[pagecontent], $column[pagefile],
              $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
              $column[pagedatetime], $column[pagecounter], $subcolumn[catid]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[pageid]='".(int)pnVarPrepForStore($pageid)."' AND
              $column[subid]=$subcolumn[subid]";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($pageid, $parentpageid, $subid, $subname, $pagetitle, $pagecontent, $pagefile, $pageauthor, $pageauthoremail, $pageauthorurl, $pagedatetime, $pagecounter, $catid) = $result->fields;
    $result->Close();

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid))) {
                $output->Text(_SUB_NOAUTHPAGE);
            return $output->GetOutput();
    }

        $error_msg="";
    list($mainpageid, $mainpagetitle) = subjects_user_getmainpageinfo($pageid);

    if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$pageid))) {
                $output->Text(_SUB_NOAUTHPAGE);
            return $output->GetOutput();
    }

    if ( (!empty($mainpageid)) &&
                 (!pnModAPIFunc('subjects','user','auth',
                                array('perm'=>ACCESS_READ, 'catid'=>$catid, 'subid'=>$subid, 'pageid'=>$mainpageid))) ) {
                $output->Text(_SUB_NOAUTHPAGE);
            return $output->GetOutput();
    }

    if (empty($pageid)) {
                $output->Text(_SUB_PAGEDOESNOTEXIST);
            return $output->GetOutput();
    }

    if(!isset($scope)) {
          $scope = "all";
        }

    //Get subject info for the page and make a page context (ex. MainPage/SubPage/SubSubPage/...)
    if($parentpageid == 0) {
        $mainpageid = $pageid;
        $mainpagetitle = $pagetitle;
        $mainpageauthor = $pageauthor;
        $mainpageauthoremail = $pageauthoremail;
        $mainpageauthorurl = $pageauthorurl;
        $mainpageid = $pageid;
        $mainpagetitle = $pagetitle;
        $mainpagedatetime = $pagedatetime;
                $mainpageyear=substr($pagedatetime,0,4);

    } else {
        $pagecontext = "$pagetitle";
        $context_parentpageid = $parentpageid;
        while($context_parentpageid > 0) {
            $column = &$pntable['subpages_column'];
                        $sql = "SELECT $column[pageid], $column[parentpageid], $column[pagetitle],
                      $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
                      $column[pagedatetime]
                    FROM $pntable[subpages] WHERE $column[pageid]='".(int)pnVarPrepForStore($context_parentpageid)."'";
            $result = $dbconn->Execute($sql);
                        if ($dbconn->ErrorNo() != 0) {
                                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                                return $output->GetOutput();
                        }
            list($context_pageid, $context_parentpageid, $context_pagetitle, $context_pageauthor, $context_pageauthoremail, $context_pageauthorurl, $context_pagedatetime) = $result->fields;
            $result->Close();

            if($context_parentpageid != 0)
                $pagecontext = "$context_pagetitle/".$pagecontext;
                        else {
                                $mainpageauthor = $context_pageauthor;
                                $mainpageauthoremail = $context_pageauthoremail;
                                $mainpageauthorurl = $context_pageauthorurl;
                                $mainpageid = $context_pageid;
                                $mainpagetitle = $context_pagetitle;
                                $mainpagedatetime = $context_pagedatetime;
                                $mainpageyear=substr($context_pagedatetime,0,4);
                        }
        }
    }

    $html_output.=subjects_user_printheader($mainpagetitle,
                                                                                                $pagecontext,
                                                                                                $mainpageauthor,
                                                                                                $mainpageauthoremail,
                                                                                                $mainpageauthorurl);

    //Get page content from the file (if there is a path)
    if($pagefile != ''){
      if(file_exists("$pagespath/$pagefile"))
        $pagecontent = join('', file("$pagespath/$pagefile"));
      else
        $pagecontent = "<b><font color=\"red\">"._SUB_FILECONTENTNOTEXISTS." <i>$pagetitle</i>!</font></b>";
    }
    $pagecontent = eregi_replace('!!subpageslist!!', subjects_user_printsubpageslist($pageid), $pagecontent);
    $pagecontent = eregi_replace("!!pagesdir!!", "$pagespath", $pagecontent);
    $pagecontent = eregi_replace("!!pagebreak!!", "", $pagecontent);
    $html_output.="$pagecontent<br>";

    $pages = subjects_user_getsubpages($pageid);
    if(isset($pages) && $scope == "all"){
        foreach ($pages as $pagefields) {
            $column = &$pntable['subpages_column'];
                        $sql = "SELECT $column[pagetitle], $column[pagecontent], $column[pagefile]
                    FROM $pntable[subpages]
                    WHERE $column[pageid]=$pagefields[pageid]";
            $result=$dbconn->Execute($sql);
                        if ($dbconn->ErrorNo() != 0) {
                                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                                return $output->GetOutput();
                        }
            list($pagetitle, $pagecontent, $pagefile) = $result->fields;
            $result->Close();

            if($pagefile != '')
                $pagecontent = join('', file("$pagespath/$pagefile"));

            if($pagefile != ''){
              if(file_exists("$pagespath/$pagefile")){
                $pagecontent = join('', file("$pagespath/$pagefile"));
              } else{
                $pagecontent = "<b><font color=\"red\">"._SUB_FILECONTENTNOTEXISTS." <i>$pagetitle</i>!</font></b>";
              }
            }
            $pagecontent = eregi_replace('!!subpageslist!!', subjects_user_printsubpageslist($pagefields[pageid]), $pagecontent);
            $pagecontent = eregi_replace("!!pagesdir!!", "$pagespath", $pagecontent);
            $pagecontent = eregi_replace("!!pagebreak!!", "", $pagecontent);

            $html_output.="<a name=\"$pagefields[pageid]\"></a><br>";
            $html_output.="$pagecontent<br>";
        }
    }

        $html_output.=subjects_user_printfooter($mainpageyear);
        $GLOBALS['print']=$html_output;
        include("modules/subjects/print.php");
        return true;
}

//----------------------------------------------------------------------
//print page header
function subjects_user_printheader(
        $mainpagetitle,
        $pagecontext,
        $mainpageauthor,
        $mainpageauthoremail,
        $mainpageauthorurl)
{
    $html_output="";

        // modification mouzaia .71
        $cWhereIsPerso = WHERE_IS_PERSO;
        if(!empty($cWhereIsPerso))
        {
            global $themesarein;
            if (pnUserLoggedIn()) {
                $thistheme = pnUserGetTheme();
                        if(isset ($theme)) {
                           $thistheme=$theme;
                        }
            } else {
                        $thistheme = pnConfigGetVar('Default_Theme');
                        if (isset ($theme)) {
                          $thistheme=$theme;
                        }
            }

            if (@file(WHERE_IS_PERSO."themes/".$thistheme."/theme.php")) {
                $themesarein = WHERE_IS_PERSO;
            } else {
                $themesarein = "";
            }
    }

/**/    if(pnConfigGetVar('supportxhtml'))
    {
                //include("includes/xhtml.php");
                xhtml_head_start(0);     // Transitional Support for now
    }
    else {
                $html_output.="<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
            $html_output.="<html>\n<head>\n";

        if (defined("_CHARSET") && _CHARSET != "") {
                $html_output.="<meta http-equiv=\"Content-Type\" ".
                         "content=\"text/html; charset="._CHARSET."\">\n";
            }
    }

        $html_output.='<title>'.pnConfigGetVar('sitename').' :: '.pnConfigGetVar('slogan').'</title>';
        $html_output.='<meta name="KEYWORDS" content="'.pnConfigGetVar('metakeywords').'" />';
    $html_output.='<meta name="DESCRIPTION" content="'.pnConfigGetVar('slogan').'" />';
    $html_output.='<meta name="resource-type" content="document" />';
    $html_output.='<meta http-equiv="expires" content="0" />';
    $html_output.='<meta name="author" content="'.pnConfigGetVar('sitename').'" />';
    $html_output.='<meta name="copyright" content="Copyright (c) 2001 by '.pnConfigGetVar('sitename').'" />';
    $html_output.='<meta name="distribution" content="Global" />';
    $html_output.='<meta name="rating" content="General" />';

    $html_output.="<link rel=\"StyleSheet\" href=\"".$themesarein."themes/" . pnUserGetTheme() . "/style/styleNN.css\" type=\"text/css\" />\n";
    $html_output.="<style type=\"text/css\">";
    $html_output.="@import url(\"".$themesarein."themes/".pnUserGetTheme()."/style/style.css\"); ";

    $html_output.="</style>\n";
    $html_output.="<html>\n";
    $html_output.="<body>\n";
        $html_output.="<table align=\"center\" border=\"0\">"
                                ."<tr>"
                                ."<td>"
                                ."<center><b>$mainpagetitle</b>";
    if($pagecontext != "")
      $html_output.="<br>$pagecontext";

    if($mainpageauthor != ""){
        $html_output.="<br>$mainpageauthor";
        if($mainpageauthoremail != "")
            $html_output.=", <a href=\"mailto:$mainpageauthoremail\">$mainpageauthoremail</a>";
    }
    if($mainpageauthorurl != "")
        $html_output.=", <a href=\"$mainpageauthorurl\" target=\"_blank\">$mainpageauthorurl</a>";
    $html_output.="<br><br>";

      $html_output.="<table width=\"640\" cellspacing=\"1\" cellpadding=\"0\" border=\"0\">"
                ."<tr>"
        ."<td>"
                ."<hr>"
        ."<table border=\"0\" width=\"640\" cellpadding=\"20\" cellspacing=\"1\">"
        ."<tr>"
        ."<td>";

        return $html_output;
}

//----------------------------------------------------------------------
//print page footer
function subjects_user_printfooter($mainpageyear) {
        $html_output='';
    $nukeurl=pnGetBaseURL();

        $html_output.="</td>"
                ."</tr>"
                ."</table>"
                ."</td>"
                ."</tr>"
                ."</table>"
                ."<hr>"
                ."<center><b>".$mainpageyear." &copy; &nbsp;";
        $html_output.=pnConfigGetVar('sitename')
                ."</b><br>"
                ."<a href=\"$nukeurl\">".$nukeurl."</a></center>"
                ."</td>"
                ."</tr>"
                ."</table>";

        $html_output.="</body>\n</html>";

        return $html_output;
}

//----------------------------------------------------------------------
//print subpages list
function subjects_user_printsubpageslist($pageid)
{
        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


    $column = &$pntable['subpages_column'];
        $sql = "SELECT $column[pageid], $column[pagetitle]
            FROM $pntable[subpages]
            WHERE $column[pageactive] = 1 AND
              $column[parentpageid]=$pageid
            ORDER BY $column[pageorder]";
    $result=$dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }

    if (!$result->EOF){
        $ret = $ret."<ul>";
//modified for Oracle compatibility
//                while(list($pageid, $pagetitle) = $result->fields){
                while(!$result->EOF){
                        list($pageid, $pagetitle) = $result->fields;
            $ret = $ret."<li><a class=\"pn-title\" href=\"#$pageid\">$pagetitle</a>\n";
            $ret = $ret.subjects_user_printsubpageslist($pageid);
            $result->MoveNext();
        }
        $ret = $ret."</ul>";
    }
    $result->Close();

/**/    return $ret;
}

//----------------------------------------------------------------------
//view subpages list
function subjects_user_viewsubpageslist($pageid)
{
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

    $column = &$pntable['subpages_column'];
        $sql = "SELECT $column[pageid], $column[pagetitle]
            FROM $pntable[subpages]
            WHERE $column[pageactive] = 1 AND
              $column[parentpageid]=$pageid
            ORDER BY $column[pageorder]";
    $result=$dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }

    if (!$result->EOF){
        $ret = $ret."<ul>";
//modified for Oracle compatibility
//                while(list($pageid, $pagetitle) = $result->fields){
                while(!$result->EOF){
                        list($pageid, $pagetitle) = $result->fields;
            $ret = $ret."<li><a class=\"pn-title\" href=\"".pnModURL('subjects','user','viewpage', array('pageid'=>"$pageid"))."\">$pagetitle</a>\n";
            $ret = $ret.subjects_user_viewsubpageslist($pageid);
            $result->MoveNext();
        }
        $ret = $ret."</ul>";
    }
    $result->Close();

/**/    return $ret;
}

function subjects_user_getsubpages($pageid, $pagelevel=0)
{
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    $column = &$pntable['subpages_column'];
        $sql = "SELECT $column[pageid], $column[pagetitle]
            FROM $pntable[subpages]
            WHERE $column[pageactive] = 1 AND
              $column[parentpageid]=$pageid
            ORDER BY $column[pageorder]";
    $result=$dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }

    if (!$result->EOF){
//modified for Oracle compatibility
//                while(list($pageid, $pagetitle) = $result->fields){
                while(!$result->EOF){
                        list($pageid, $pagetitle) = $result->fields;
            $ret[$pageid] = array('pageid' => $pageid,
                                  'pagetitle' => $pagetitle,
                                  'pagelevel' => $pagelevel);
            $ret = array_merge($ret, subjects_user_getsubpages($pageid, $pagelevel+1));
            $result->MoveNext();
        }
    }
    $result->Close();

/**/    return $ret;
}

function subjects_user_subjectnewpagegraphic($subid) {
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";


    $now = date("Y-m-d H:i:00");
    $column = &$pntable['subpages_column'];
        $sql="SELECT $column[pagedatetime]
          FROM $pntable[subpages]
          WHERE $column[subid]='".(int)pnVarPrepForStore($subid)."'
                  AND $column[pageactive] = 1
                  AND $column[parentpageid] = 0
              AND $column[pagedatetime] < '$now'
          ORDER BY $column[pagedatetime] DESC";
    $result = $dbconn->SelectLimit($sql, 1);
/**/        if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    if(!$result->EOF){
        list($datetime)=$result->fields;
        setlocale (LC_TIME, pnConfigGetVar('locale'));
        eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $datetime, $dt);
        $dt = ml_ftime(""._LINKSDATESTRING."", mktime($dt[4],$dt[5],$dt[6],$dt[2],$dt[3],$dt[1]));
        $dt = ucfirst($dt);
        $startdate = time();
        $count = 0;
        while ($count <= 7) {
            $daysold = ml_ftime(""._LINKSDATESTRING."", $startdate);
            if ("$daysold" == "$dt") {
                if ($count<=1) {
                    $html_output.="<img src=\"modules/subjects/pnimages/new_1.gif\" alt=\""._SUB_NEWTODAY."\">&nbsp;";
                }
                if ($count<=3 && $count>1) {
                    $html_output.="<img src=\"modules/subjects/pnimages/new_3.gif\" alt=\""._SUB_NEWLAST3DAYS."\">&nbsp;";
                }
                if ($count<=7 && $count>3) {
                    $html_output.="<img src=\"modules/subjects/pnimages/new_7.gif\" alt=\""._SUB_NEWTHISWEEK."\">&nbsp;";
                }
            }
            $count++;
            $startdate = (time()-(86400 * $count));
        }
    }
    $result->Close();
    return $html_output;
}

function subjects_user_newpagegraphic($datetime) {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    setlocale (LC_TIME, pnConfigGetVar('locale'));
    eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $datetime, $dt);
    $dt = ml_ftime(""._LINKSDATESTRING."", mktime($dt[4],$dt[5],$dt[6],$dt[2],$dt[3],$dt[1]));
    $dt = ucfirst($dt);
    $startdate = time();
    $count = 0;
    while ($count <= 7) {
        $daysold = ml_ftime(""._LINKSDATESTRING."", $startdate);
        if ("$daysold" == "$dt") {
            if ($count<=1) {
                $html_output.="<img src=\"modules/subjects/pnimages/new_1.gif\" alt=\""._SUB_NEWTODAY."\">&nbsp;";
            }
            if ($count<=3 && $count>1) {
                $html_output.="<img src=\"modules/subjects/pnimages/new_3.gif\" alt=\""._SUB_NEWLAST3DAYS."\">&nbsp;";
            }
            if ($count<=7 && $count>3) {
                $html_output.="<img src=\"modules/subjects/pnimages/new_7.gif\" alt=\""._SUB_NEWTHISWEEK."\">&nbsp;";
            }
        }
        $count++;
        $startdate = (time()-(86400 * $count));
    }
            return $html_output;
}

function subjects_user_getmainpageinfo($pageid)
{
        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');


        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
    $html_output="";

    $column = &$pntable['subpages_column'];
        $sql = "SELECT $column[parentpageid], $column[pagetitle]
            FROM $pntable[subpages]
            WHERE $column[pageid]='".(int)pnVarPrepForStore($pageid)."'";
    $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    list($parentpageid, $pagetitle) = $result->fields;
    $result->Close();

    if($parentpageid == 0){
        $mainpageid = $pageid;
        $mainpagetitle = $pagetitle;
    }else{
        while($parentpageid > 0){
                        $sql = "SELECT $column[pageid], $column[parentpageid], $column[pagetitle]
                    FROM $pntable[subpages]
                    WHERE $column[pageid]='".(int)pnVarPrepForStore($parentpageid)."'";
            $result = $dbconn->Execute($sql);
                        if ($dbconn->ErrorNo() != 0) {
                                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                                return $output->GetOutput();
                        }
            list($mainpageid, $parentpageid, $pagetitle) = $result->fields;
            $result->Close();
        }
    }

/**/    return array($mainpageid, $mainpagetitle);
}
/**/
//global $addpage_preview, $addpage_submit;
/*
if ($addpage_preview) $action = "preview";
elseif ($addpage_submit) $action = "submit";
else $action = "new";

*/
?>