<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// Change log:
// 06-09-2002: Furbo    added support for dhtml block min button
// ----------------------------------------------------------------------------

global $PHP_SELF;

if (eregi("header.php", $PHP_SELF)) {
    die ("You can't access this file directly...");
}

function head()
{
	/* Set the theme */
	//check for multisites
	$cWhereIsPerso = WHERE_IS_PERSO;
	if ( !(empty($cWhereIsPerso)) ) { // if (defined('WHERE_IS_PERSO')) {
		include("modules/NS-Multisites/head.inc.php");
	}
	else {
		//get user theme or default site theme if no user theme 
		$thistheme = pnUserGetTheme();
		$themesarein = "";
		
		//check if theme passed in url  
		if(isset($theme)) {   
			$thistheme = pnVarPrepForOs($theme);
		}
	}
	//load theme
	pnThemeLoad($thistheme);

    /* Get the DTD selection from the theme */
    $themeversion = atRunningGetVar('themeversion');
    $dtd = $themeversion['dtd'];
    xhtml_dtd_start($dtd);

    /* Insert title and metatags */
	global $hlpfile, $artpage;
	
    meta_tags ($artpage);
	/* load style sheet */
	echo "<link rel=\"StyleSheet\" title=\"default\" href=\"".$themesarein."themes/".$thistheme."/style/style.css\" type=\"text/css\"".xhtml_close_tag()."\n\n";

	/* load javascript */
	echo "<script type=\"text/javascript\" src=\"javascript/showimages.php\"></script>\n";
    echo "<script type=\"text/javascript\" src=\"javascript/openwindow.php?hlpfile=$hlpfile\"></script>\n";
	echo "<script type=\"text/javascript\" src=\"javascript/plus_minus_switch.js\"></script>\n";

	themeheader();
	
	

} 
/**
 * call head() function
 */
head();
?>
