<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file:  Gregor J. Rothfuss
// Purpose of file: Provide gui rendering functions for the installer.
// ----------------------------------------------------------------------------
//* 8/11/2002      Brian Lindner   Added PHPNuke 4.2 - 6.0 Upgrade scripts
//* 24/06/2004     Adam Docherty aka Lobos Redesign of GUI
//* 3/07/2004 TiMax        Add upgrade from MD 1.0.6 to MD 1.0.71


function print_header($op) {

                   $headcontent = _HPAGE1;

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo _CHARSET; ?>">
<title><?php echo _INSTALLATION; ?></title>
<meta name="author" CONTENT="MD-Pro Team">
<meta name="description" content="MD-Pro Content Management System Installer">
<meta name="resource-type" content="document">
<meta name="copyright" content="Copyright (c) 2004 MD-Pro CMS">
<meta name="generator" content="MD-Pro CMS -- www.maxdev.com">

<style type="text/css">@import url("install/style/style.css"); </style>
</head>
<html>
<body style="background:#8282FF;background-image:url(install/images/wv_mainbg.jpg);background-repeat:no-repeat;margin:100px 0 50px 50px;">
<table style="width:490px;border:0px solid #000000;" cellspacing="0" cellpadding="0">
            <tr style="vertical-align:top;">
<!-- begin main content column -->
                <td style="style="vertical-align:top;"">
<table style="width:490px;border:0px solid #000000;" cellspacing="0" cellpadding="0">
            <tr>
                <td style="text-align:right;padding-right:8px;width:490px;height:21px;background-image:url(install/images/wv_header.jpg);">
                <?php echo _headermenu; ?>
                </td>

                <tr style="vertical-align:top;">
              <td style="width:490px;height:270px;background-image:url(install/images/wv_content.jpg);">


<?php


}

/*** This function prints the "This is your setting" area ***/
function print_form_text($border=0) {
    global $dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $intranet;

// Log-file entry: Selection from previous step !!
                do_upgrade_log(_DBHOST.": ".$dbhost."\n".
                                           _DBUNAME.": ".$dbuname."\n".
                                           _DBPASS.": ******\n".
                                           _DBNAME.": ".$dbname."\n".
                                           _DBPREFIX.": ".$prefix."\n".
                                           _DBTYPE.": ".$dbtype."\n".
                                           _ISINTRANET.": ".$intranet."\n",_DBINFOSUBMIT,"Step5");

   echo "
        <table cellspacing=\"0\" cellpadding=\"1\" border=\"0\">
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBHOST."</font></td>
        <td><font class=\"pn-normal\">$dbhost</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBUNAME."</font></td>
        <td><font class=\"pn-normal\">$dbuname</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBPASS."</font></td>
        <td><font class=\"pn-normal\">$dbpass</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBNAME."</font></td>
        <td><font class=\"pn-normal\">$dbname</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBPREFIX."</font></td>
        <td><font class=\"pn-normal\">$prefix</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBTYPE."</font></td>
        <td><font class=\"pn-normal\">$dbtype</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._ISINTRANET."</font></td>
        <td><font class=\"pn-normal\">";

        if (!empty($intranet)) {
                echo _YES;
        } else {
                $intranet = 0;
                echo _NO;
        }

        echo "</font></td></tr>
        </table>";
}

function print_form_editabletext($border=0) {
    global $dbhost, $dbuname, $dbpass, $dbname, $intranet, $prefix;

   echo "
        <table cellspacing=\"0\" cellpadding=\"1\" border=\"0\">
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBHOST."</font></td>
        <td><input type=\"text\" NAME=\"dbhost\" SIZE=20 maxlength=80 value=\"$dbhost\"></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBUNAME."</font></td>
        <td><input type=\"text\" NAME=\"dbuname\" SIZE=20 maxlength=80 value=\"$dbuname\"></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBPASS."</font></td>
        <td><input type=\"text\" NAME=\"dbpass\" SIZE=20 maxlength=80 value=\"$dbpass\"></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBNAME."</font></td>
        <td><input type=\"text\" NAME=\"dbname\" SIZE=20 maxlength=80 value=\"$dbname\"></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBPREFIX."</font></td>
        <td><input type=\"text\" NAME=\"prefix\" SIZE=20 maxlength=80 value=\"$prefix\"></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._DBTYPE."</font></td>
        <td><select name=\"dbtype\"><option value=\"mysql\" selected>&nbsp;MySQL&nbsp;</option>
                <option value=\"oci8\">&nbsp;Oracle8i&nbsp;</option>
        </select></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._ISINTRANET."</font></td>
        <td><input type=\"checkbox\" NAME=\"intranet\" VALUE=\"1\"></td></tr>
        <tr><td colspan=\"2\" align=\"left\"><font class=\"pn-normal\">"._INTRANETINFO."</font></td></tr>
        </table>";
}

/*** This function prints the <input type=hidden> area ***/
function print_form_hidden($upgrade="NEW") {
    global $currentlang;
    global $dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $intranet;

    if (empty($intranet)) {
        $intranet = 0;
    }

        echo  "
        <input type=\"hidden\" NAME=\"currentlang\" value=\"$currentlang\">
        <input type=\"hidden\" NAME=\"dbhost\" value=\"$dbhost\">
        <input type=\"hidden\" NAME=\"dbuname\" value=\"$dbuname\">
        <input type=\"hidden\" NAME=\"dbpass\" value=\"$dbpass\">
        <input type=\"hidden\" NAME=\"dbname\" value=\"$dbname\">
        <input type=\"hidden\" NAME=\"prefix\" value=\"$prefix\">
        <input type=\"hidden\" NAME=\"dbtype\" value=\"$dbtype\">
        <input type=\"hidden\" NAME=\"intranet\" value=\"$intranet\">
        <input type=\"hidden\" name=\"upgrade\" value=\"$upgrade\"> ";
}

function print_CHM_check()
{
    global $currentlang;
    progress(40);
// Log-file entry: Selection from previous step !!
do_upgrade_log("",_DBINFO,"Step4");
?>
<div style="padding:8px 5px 8px 5px;text-align:justify;height:660px;">
<?php
        echo "
        <br><center><strong>"._DBINFO."</strong></center>
         "._CHM_CHECK_1."<br><br>
        <form action=\"install.php\" method=\"post\"><center>";

        print_form_editabletext(0);

        echo   "<input type=\"hidden\" NAME=\"currentlang\" value=\"$currentlang\">
        <input type=\"hidden\" name=\"op\" value=\"Submit\">
        <input type=\"submit\" value=\""._BTN_SUBMIT."\"><br><br></div>";

}

function print_submit() {
progress(50);
         global $currentlang;

// Log-file entry: In function print_form_text() !!

                echo "<div style=\"padding:8px 5px 8px 5px;text-align:justify;height:300px;\">";
        echo    "<center><br>
        <font class=\"pn-title\">"._DBINFO."</font><br><font class=\"pn-normal\"> "._SUBMIT_1."</font><br><br>
        <font class=\"pn-normal\">"._SUBMIT_2."</font><br>";

        print_form_text();

        echo    "
        </font>
        <form action=\"install.php\" method=\"post\">
        <input type=\"submit\" name=\"op\" value=\"Change Info\"><br>
        <font class=\"pn-normal\">"._SUBMIT_3."</font><br><br>
        <table width=\"50%\"><tr align=\"center\"><td>";

        print_form_hidden();

        echo    "
        <input type=\"submit\" name=\"op\" value=\"New Install\">
        </td><td><input type=\"submit\" name=\"op\" value=\"Upgrade\">
        </td></tr></table></form><font class=\"pn-title\">Step 5</center>";
                echo "</div>";
}

function print_change_info() {
         global $currentlang;

   echo    "
<font class=\"pn-title\">Change Info</font><font class=\"pn-normal\">"._CHANGE_INFO_1."<br><br>
<form action=\"install.php\" method=\"post\"><center>";

   print_form_editabletext(0);

   echo    "
<input type=\"hidden\" name=\"op\" value=\"Submit\">
<input type=\"submit\" value=\""._BTN_SUBMIT."\"></center></form></font>";
}

function print_new_install() {
    global $dbtype;
progress(60);

        echo "<div style=\"padding:8px 5px 8px 5px;text-align:justify;height:350px;\">";
        echo   "<center><br><font class=\"pn-title\">"._BTN_NEWINSTALL."</font><br><font class=\"pn-normal\"> "._NEW_INSTALL_1."</font><br><br><center>";

   print_form_text(0);

// Log-file entry: Selection from previous step !!
do_upgrade_log("",_BTN_NEWINSTALL,"Step6");

//modified for Oracle  compatibility
/*
   echo   "
<br><br><font class=\"pn-normal\">"._NEW_INSTALL_2."</font>
<form action=\"install.php\" method=\"post\"><table width=\"50%\"><tr>
<td align=center><font class=\"pn-normal\">"._NEW_INSTALL_3."</font><br><input type=checkbox name=\"dbmake\"><br></td><td>";
*/

        switch ($dbtype){
                case "oci8":
                   echo   "
                                <br><br><font class=\"pn-normal\">"._NEW_INSTALL_2_Or."</font>
                                <form action=\"install.php\" method=\"post\"><table width=\"50%\"><tr>
                                <td align=center><font class=\"pn-normal\">"._NEW_INSTALL_3."</font><br></td><td>";
                        break;
                default:
   echo   "
<br><br><font class=\"pn-normal\">"._NEW_INSTALL_2."</font>
<form action=\"install.php\" method=\"post\"><table width=\"50%\"><tr>
<td align=center><font class=\"pn-normal\">"._NEW_INSTALL_3."</font><br><input type=checkbox name=\"dbmake\"><br></td><td>";
                        break;
                }

   print_form_hidden();

   echo   "
<input type=\"hidden\" name=\"op\" value=\"Start\">
<input type=\"submit\" value=\""._BTN_START."\"></td></tr></table></form><font class=\"pn-title\">Step 6</font></center>";
        echo "</div>";
}

function print_start() {
         global $currentlang;

   echo   "
<form action=\"install.php\" method=\"post\"><center><table width=\"100%\" align=\"center\">
<tr><td align=\"center\">";

   print_form_hidden();

   echo   "
<input type=\"hidden\" name=\"op\" value=\"Continue\">
<input type=\"submit\" value=\""._BTN_CONTINUE."\"></td></tr></table><font class=\"pn-title\">Step 7</center></form>";
}

function print_continue($upgrade) {
progress(80);

// Log-file entry: Selection from previous step !!
do_upgrade_log("",_CONTINUE_1,"Step8");

global $currentlang, $HTTP_SERVER_VARS;
     $root_path = $HTTP_SERVER_VARS['DOCUMENT_ROOT'];
     $pnrootpath = $HTTP_SERVER_VARS['SERVER_NAME'];
     $instdir_url = substr($HTTP_SERVER_VARS['REQUEST_URI'],0,strpos($HTTP_SERVER_VARS['REQUEST_URI'],'/install.php'));
     $upload_path = $instdir_url."/upload/rte";
     $pages_upload_path = $instdir_url."/upload/sub/";

   echo   "<center><br>
<font class=\"pn-title\">"._CONTINUE_1."</font><br>
<font class=\"pn-normal\">"._CONTINUE_2."</font><br><br>
<center><form action=\"install.php\" method=\"post\"><table width=\"60%\" border=1>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ADMIN_LOGIN."</font></td>
<td><input type=\"text\" NAME=\"aid\" SIZE=30 maxlength=80 value=\"Admin\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ADMIN_NAME."</font></td>
<td><input type=\"text\" NAME=\"name\" SIZE=30 maxlength=80 value=\"Admin\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ADMIN_PASS."</font></td>
<td><input type=\"password\" NAME=\"pwd\" SIZE=30 maxlength=80 value=\"\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ADMIN_REPEATPASS."</font></td>
<td><input type=\"password\" NAME=\"repeatpwd\" SIZE=30 maxlength=80 value=\"\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ADMIN_EMAIL."</font></td>
<td><input type=\"text\" NAME=\"email\" SIZE=30 maxlength=80 value=\"webmaster@yoursite.com\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ROOTPATH."</font></td>
<td><input type=\"text\" NAME=\"root_path\" SIZE=40 maxlength=200 value=\"$root_path\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ENROOTPATH."</font></td>
<td><input type=\"text\" NAME=\"pnrootpath\" SIZE=40 maxlength=200 value=\"http://$pnrootpath$instdir_url\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ENV_UPLOAD_URL."</font></td>
<td><input type=\"text\" NAME=\"upload_path\" SIZE=40 maxlength=200 value=\"$upload_path\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ENV_PAGES_UPLOAD_URL."</font></td>
<td><input type=\"text\" NAME=\"pages_upload_path\" SIZE=40 maxlength=200 value=\"$pages_upload_path\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ADMIN_URL."</font></td>
<td><input type=\"text\" NAME=\"url\" SIZE=40 maxlength=80 value=\"http://www.maxdev.com\"></td></tr>";

   print_form_hidden($upgrade);

   echo   "
</td></tr></table><br><br><input type=\"hidden\" name=\"op\" value=\"Set Login\">
<input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step 8</font></center>";

}

function print_set_login($upgrade) {
progress(90);
         global $currentlang;
// Log-file entry: Selection from previous step !!
do_upgrade_log("",_BTN_FINISH,"Step10");

   echo   "
<form action=\"install.php\" method=\"post\"><center><table width=\"50%\">";

   print_form_hidden($upgrade);

   echo "
<tr><td align=center><input type=\"hidden\" name=\"op\" value=\"Finish\">
<input type=\"submit\" value=\""._BTN_FINISH."\"></td></tr></table><font class=\"pn-title\">Step 9</center></form>";
}

function print_set_login_upgrade($upgrade) {
progress(80);
         global $currentlang;

   echo   "
<form action=\"install.php\" method=\"post\"><center><table width=\"50%\">";

   print_form_hidden($upgrade);

   echo "
<tr><td align=center><input type=\"hidden\" name=\"op\" value=\"Finish Upgrade\">
<input type=\"submit\" value=\""._BTN_FINISH."\"></td></tr></table><font class=\"pn-title\">Upgrade Finish</center></form>";
}

function print_finish() {
         global $currentlang;

   echo   "<center><b><a href=\"index.php\"><font color=\"red\">"._FINISH_4."</a></b></font><br><img src=\"install/images/verde.gif\">&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"install/images/giallo.gif\">&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"install/images/verde.gif\"><font class=\"pn-title\"><br><br>In Association with:</font><br><br><a href=\"http://www.maxsos.com\" target=\"_blank\"><b><<< Max S.O.S. Web Services >>></b></a><br><br><a href=\"http://www.gah.de\" target=\"_blank\"><b><<< GAH-ALBERTS  einfach professionell >>></b></a><br><br><font class=\"pn-title\">"._FINISH_1."</font><br>
<font class=\"pn-normal\">"._FINISH_2."<br /><br />"

."<div style=\"width:480px;height:400px;overflow:auto;\"> ";
  include("docs/$currentlang/CREDITS.htm");   //TiMax for install multilanguage
echo "</div>";
   echo   "<br><br>"._FINISH_3."</center></font>
<br><br><center><b><a href=\"index.php\"><font color=\"red\">"._FINISH_4."</a></b></font></center><br><br>";
}

function print_finish_upgrade() {
progress(90);
         global $currentlang;

   echo   "<font class=\"pn-title\">"._FINISH_UPGRADE_1."</font>
<font class=\"pn-normal\">"._FINISH_UPGRADE_2."</font><br>
<font class=\"pn-title\">"._FINISH_UPGRADE_3."</font>
<font class=\"pn-normal\">"._FINISH_UPGRADE_4."</font><br>
<form action=\"install.php\" method=\"post\">
<center><textarea style=\"font-family: Courier New;font-size: normal;\" name=\"license\" cols=85 rows=18 wrap>";

   include("docs/$currentlang/CREDITS.txt");   //TiMax for install multilanguage

   echo   "</textarea><br><br>"._FINISH_UPGRADE_5."</center></form>
<br><br><center><b><a href=\"index.php\">"._FINISH_4."</a></b></center><br><br>";
}

function print_config_upgrade($upgrade) {

progress(70);
// Log-file entry: Selection from previous step !!
do_upgrade_log("",_CONTINUE_1A,"Step7");

global $currentlang, $HTTP_SERVER_VARS;
       $root_path = $HTTP_SERVER_VARS['DOCUMENT_ROOT'];
       $pnrootpath = $HTTP_SERVER_VARS['SERVER_NAME'];
       $instdir_url = substr($HTTP_SERVER_VARS['REQUEST_URI'],0,strpos($HTTP_SERVER_VARS['REQUEST_URI'],'/install.php'));
       if(pnModGetVar('rtemulti','image_path')) {
              $pages_upload_path = pnModGetVar('rtemulti','image_path');
           } else {
              $pages_upload_path = $instdir_url.'/upload/rte';
       }
       $upload_path = $instdir_url."/upload/rte";
       if(pnModGetVar('Subjects','subpagespath')) {
              $pages_upload_path = pnModGetVar('Subjects','subpagespath');
       } elseif(pnModGetVar('subjects','pagespath')) {
              $pages_upload_path = pnModGetVar('subjects','pagespath');
           } else {
              $pages_upload_path = $instdir_url.'/upload/sub/';
       }

       $default_theme = pnConfigGetVar('Default_Theme');
       if(pnConfigGetVar('use_new_admin')) {
          $is_set_adminlite = _YES;
           } else {
          $is_set_adminlite = _NO;
           }

           $sub_installed = pnModGetInfo(pnModGetIDFromName('subjects'));
           $fm_installed = pnModGetInfo(pnModGetIDFromName('ew_filemanager'));
           $rte_installed = pnModGetInfo(pnModGetIDFromName('rtemulti'));
           $encompass_installed = pnModGetInfo(pnModGetIDFromName('encompass'));
           $blocks_installed = pnModGetInfo(pnModGetIDFromName('nomoreblocks'));
           $ratings_installed = pnModGetInfo(pnModGetIDFromName('ratings'));
           $points_installed = pnModGetInfo(pnModGetIDFromName('user_points'));
    // Get list of credits
    $mods = pnModGetUserMods();

echo "<SCRIPT language=\"JavaScript\">";
// openwindow for upgrade-informations WindMeUp 2003/02/09
echo "function openwindow(hlptext){\n";
echo "  showModalDialog(hlptext,\"\",\"status:no;dialogWidth:800px;dialogHeight:400px;help:no\");\n";
echo "}\n";
echo "</SCRIPT>";

   echo   "<br>
<font class=\"pn-title\">"._CONTINUE_1A."</font>
<font class=\"pn-normal\">"._CONTINUE_2A."</font><br><br>
<form action=\"install.php\" method=\"post\">
<center><table width=\"60%\" border=1>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ROOTPATH."</font></td>
<td><input type=\"text\" NAME=\"root_path\" SIZE=40 maxlength=200 value=\"$root_path\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ENROOTPATH."</font></td>
<td><input type=\"text\" NAME=\"pnrootpath\" SIZE=40 maxlength=200 value=\"http://$pnrootpath$instdir_url\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ENV_UPLOAD_URL."</font></td>
<td><input type=\"text\" NAME=\"upload_path\" SIZE=40 maxlength=200 value=\"$upload_path\"></td></tr>
<tr><td align=\"left\"><font class=\"pn-normal\">"._ENV_PAGES_UPLOAD_URL."</font></td>
<td><input type=\"text\" NAME=\"pages_upload_path\" SIZE=40 maxlength=200 value=\"$pages_upload_path\"></td></tr>

<tr><td align=\"left\"><font class=\"pn-normal\">"._ADMIN_URL."</font></td>
<td><input type=\"text\" NAME=\"url\" SIZE=40 maxlength=80 value=\"http://www.maxdev\"></td></tr>";
if(substr($upgrade,0,8) == 'PostNuke') {
   echo "
        <tr><td align=\"center\"><font class=\"pn-normal\"><b>"._SET_POSTNUKE."</b></font></td>
        <td align=\"center\"><font class=\"pn-normal\"><b>"._SET_POSTNUKE2."</b></font>
                <a href=\"javascript:openwindow('install/lang/$currentlang/pn_upgrade_info.html');\">
        <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\"></a>
            </td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_NEWTHEME."</font></td>
        <td><input type=\"checkbox\" NAME=\"themeengine\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_NEWTHEME2."</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_ADMINLITE."</font></td>
        <td><input type=\"checkbox\" NAME=\"adminlite\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_ADMINLITE2."</font></td></tr>
                ";
//        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_ENVOBLOCKS."</font></td>
//        <td><input type=\"checkbox\" NAME=\"envoblocks\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_ENVOBLOCKS2."</font></td></tr>
//        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_ENCOMPASS."</font></td>
//        <td><input type=\"checkbox\" NAME=\"encompass\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_ENCOMPASS2."</font></td></tr>
//        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_ENVOMODULES."</font></td>
//        <td><input type=\"checkbox\" NAME=\"envomodules\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_ENVOMODULES2."</font></td></tr>
        echo "
            <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_FILEMANAGER."</font></td>
        <td><input type=\"checkbox\" NAME=\"filemanager\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_FILEMANAGER2."</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_SUBJECTS."</font></td>
        <td><input type=\"checkbox\" NAME=\"subjects\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_SUBJECTS2."</font></td></tr>
                ";
}
elseif(substr($upgrade,0,4) == 'Envo') {
   echo "
        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_NEWTHEME."</font></td>
        <td><input type=\"checkbox\" NAME=\"themeengine\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_NEWTHEME2."</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_ENVOBLOCKS."</font></td>
        <td><input type=\"checkbox\" NAME=\"envoblocks\" VALUE=\"1\"><font class=\"pn-normal\">"._SET_ENVOBLOCKS2."</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_ENCOMPASS."</font></td>
        <td><input type=\"checkbox\" NAME=\"encompass\" VALUE=\"1\"><font class=\"pn-normal\">"._SET_ENCOMPASS2."</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_FILEMANAGER."</font></td>
        <td><input type=\"checkbox\" NAME=\"filemanager\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_FILEMANAGER2."</font></td></tr>
        <tr><td align=\"left\"><font class=\"pn-normal\">"._SET_SUBJECTS."</font></td>
        <td><input type=\"checkbox\" NAME=\"subjects\" VALUE=\"1\" checked><font class=\"pn-normal\">"._SET_SUBJECTS2."</font></td></tr>
                ";
}
echo "</td></tr></table></center>";
//echo "</table></center>";

   print_form_hidden($upgrade);

   switch($upgrade) {
    case 'MD-pro 1.0.6':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"mdUpgrade 1.0.6\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Update MD-Pro 1.0.6</font></center>";
        break;
     case 'MD-pro alpha':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"mdUpgrade alpha\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Update MD-Pro [alpha]</font></center>";
        break;
     case 'Envolution 1.1.0':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"envoUpgrade 1.1.0\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Upgrade eNvo 1.1.0</font></center>";
        break;
     case 'Envolution 1.1.5':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"envoUpgrade 1.1.5\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Upgrade eNvo 1.1.5</font></center>";
        break;
     case 'Envolution 1.2':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"envoUpgrade 1.2\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Upgrade eNvo 1.2</font></center>";
        break;
     case 'Envolution 1.2.5':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"envoUpgrade 1.2.5\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Upgrade eNvo 1.2.5</font></center>";
        break;
     case 'PostNuke .714':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"PNUpgrade .714\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Upgrade PN .714</font></center>";
        break;
     case 'PostNuke .721':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"PNUpgrade .721\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Upgrade PN .721</font></center>";
        break;
     case 'PostNuke .723':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"PNUpgrade .723\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Upgrade PN .723</font></center>";
        break;
     case 'PostNuke .726':
        echo   "
        <br><br><center><input type=\"hidden\" name=\"op\" value=\"PNUpgrade .726\">
        <input type=\"submit\" value=\""._BTN_SET_LOGIN."\"></form><font class=\"pn-title\">Step Upgrade PN .726 - .750 </font></center>";
        break;
   }
echo "<center><table width=\"60%\" border=1>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\"><b>"._CHECKVERSION."</b></font></td>
          <td align=\"left\"><font class=\"pn-normal\"><b>".pnConfigGetVar('Version_ID')."</b></font></td>
          <td align=\"left\"><font class=\"pn-normal\"><b>".pnConfigGetVar('Version_Num')."</b></font></td>
          <td align=\"left\"><font class=\"pn-normal\"><b>".pnConfigGetVar('Version_Sub')."</b></font></td>
          </tr>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKDEFAULTTHEME."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".pnConfigGetVar('Default_Theme')."</font></td>
          <td>&nbsp;</td>
      <td>&nbsp;</td>
          </tr>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKENCOMPASS."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$encompass_installed['directory']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$encompass_installed['version']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$encompass_installed['description']."</font></td>
          </tr>
          <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKADMINLITE."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$is_set_adminlite."</font></td>
          <td>&nbsp;</td>
      <td>&nbsp;</td>
          </tr>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKSUBJECT."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$sub_installed['directory']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$sub_installed['version']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$sub_installed['description']."</font></td>
          </tr>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKFILEMANAGER."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$fm_installed['directory']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$fm_installed['version']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$fm_installed['description']."</font></td>
          </tr>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKRTEMULTI."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$rte_installed['directory']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$rte_installed['version']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$rte_installed['description']."</font></td>
          </tr>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKBLOCKS."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$blocks_installed['directory']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$blocks_installed['version']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$blocks_installed['description']."</font></td>
          </tr>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKRATINGS."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$ratings_installed['directory']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$ratings_installed['version']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$ratings_installed['description']."</font></td>
          </tr>
      <tr>
          <td align=\"left\"><font class=\"pn-normal\">"._CHECKUSERPOINTS."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$points_installed['directory']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$points_installed['version']."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">".$points_installed['description']."</font></td>
          </tr>
          </table></center>";
echo "<center><table width=\"60%\" border=1>
      <tr><td align=\"left\"><font class=\"pn-normal\">"._INSTALLEDMODULE."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">"._MODULEDESCR."</font></td>
          <td align=\"left\"><font class=\"pn-normal\">"._MODULEVERSION."</font></td>";
      if(substr($upgrade,0,8) == 'PostNuke') {
      echo "<td><a href=\"javascript:openwindow('install/lang/$currentlang/pn_upgrade_info.html');\">
      <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
      </a></td></tr>";
          } else {
          echo "<td>&nbsp;</td></tr>";
          }

foreach ($mods as $mods) {
echo "<tr><td><font class=\"pn-normal\">".$mods['directory']."</font></td>
          <td><font class=\"pn-normal\">".$mods['description']."</font></td>
          <td><font class=\"pn-normal\">".$mods['version']."</font></td>
          <td><font class=\"pn-normal\">".$mods['type']."</font></td>
</tr>";
}
echo "</table></center>";

}

function print_upgrade() {
progress(60);

// Log-file entry: Selection from previous step !!
do_upgrade_log("",_BTN_UPGRADE,"Step6");

global $currentlang;

echo "<SCRIPT language=\"JavaScript\">";
// openwindow for upgrade-informations WindMeUp 2003/02/09
echo "function openwindow(hlptext){\n";
echo "  showModalDialog(hlptext,\"\",\"status:no;dialogWidth:600px;dialogHeight:400px;help:no\");\n";
echo "}\n";
echo "</SCRIPT>";

        echo "<div style=\"padding:8px 5px 8px 5px;text-align:justify;height:720px;\">";
   echo   "
<font class=\"pn-title\">"._UPGRADE_1.":</font>&nbsp;&nbsp;&nbsp;
<font class=\"pn-normal\">"._UPGRADE_2."</center><br><br>
<font class=\"pn-title\">"._UPGRADE_3.":</font>&nbsp;&nbsp;&nbsp;
<font class=\"pn-normal\">"._UPGRADE_4."<br><br>
<form name=\"upgrades\" action=\"install.php\" method=\"post\">
<table width=\"50%\"><tr align=\"left\"><td>";

   print_form_hidden("Upgrade");

   echo   "<font class=\"pn-title\"><table>
                   <tr>
                   <td font class=\"pn-title\">
                                   <input type=\"radio\" name=\"op\" value=\"MD-pro 1.0.6\">MD-pro 1.0.6</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/md_107_upgrade.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   </table><table>
                   <tr>
                   <td font class=\"pn-title\">
                                   <input type=\"radio\" name=\"op\" value=\"MD-pro alpha\">MD-pro [alpha]</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/md_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   </table>
           <hr />
                   <table><tr>
                   <td font class=\"pn-title\"><input type=\"radio\" name=\"op\" value=\"Envolution 1.1.5\">eNvolution 1.1.5</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/envo_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   </table>
                   <table><tr>
                   <td font class=\"pn-title\"><input type=\"radio\" name=\"op\" value=\"Envolution 1.2\">eNvolution 1.2</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/envo_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   </table>
                   <table><tr>
                   <td font class=\"pn-title\"><input type=\"radio\" name=\"op\" value=\"Envolution 1.2.5\">eNvolution 1.2.5 [FLS]</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/envo_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   </table>
           <hr />
                   <table>
                                   <tr>
                   <td font class=\"pn-title\"><input type=\"radio\" name=\"op\" value=\"PostNuke .714\">Postnuke .714</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/pn_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   <tr>
                   <td font class=\"pn-title\"><input type=\"radio\" name=\"op\" value=\"PostNuke .721\">Postnuke .721</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/pn_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   <tr>
                   <td font class=\"pn-title\"><input type=\"radio\" name=\"op\" value=\"PostNuke .723\">Postnuke .723</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/pn_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                   <tr><td font class=\"pn-title\"><input type=\"radio\" name=\"op\" value=\"PostNuke .726\">Postnuke .726</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/pn_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   <tr><td font class=\"pn-title\"><input type=\"radio\" name=\"op\" value=\"PostNuke .726\">Postnuke .750</td>
                   <td ><a href=\"javascript:openwindow('install/lang/$currentlang/pn_upgrade_info.html');\">
                       <img src=\"modules/Credits/pnimages/help.gif\" border=\"0\" name=\"help\" alt=\""._UPGRADEINFO."\">
                       </a>
                                   </td></tr>
                                   </table>
           <hr />
                   </font>";

   echo   "<br><input type=\"submit\" name=\"submit\" value=\""._BTN_UPGRADE."\">";
  echo "</td><td>
</table></form></center></font><hr>
<center>
<font class=\"pn-normal\">
<b>"._WARNINGINST."</b><p>".
_UPGRADETAKESALONGTIME
. "</font></center>
";
echo "</div>";
}


function print_select_postnuke() {
         global $currentlang;

   echo  "
<font class=\"pn-title\">"._POSTNUKE_1."</font>
<font class=\"pn-normal\">"._POSTNUKE_2."
<form action=\"install.php\" method=\"post\"><center><table width=\"50%\" align=center><tr>
<td align=center>";

   print_form_hidden();

   echo  "
<input type=\"submit\" name=\"op\" value=\"PostNuke .5\"></td></tr>
</table></center></form></font>
<font class=\"pn-title\">"._POSTNUKE_3."</font>
<font class=\"pn-normal\">"._POSTNUKE_4."
<form action=\"install.php\" method=\"post\"><center>
<table width=\"50%\" align=center><tr><td align=center>";

   print_form_hidden();

   echo  "
<input type=\"submit\" name=\"op\" value=\"PostNuke .6\"></td>
</tr></table></center></form></font>
<font class=\"pn-title\">"._POSTNUKE_5."</font>
<font class=\"pn-normal\">"._POSTNUKE_6."
<form action=\"install.php\" method=\"post\"><center>
<table width=\"50%\" align=center><tr><td align=center>";

   print_form_hidden();

   echo  "
<input type=\"submit\" name=\"op\" value=\"PostNuke .62\"></td>
</tr></table></center></form></font>
<font class=\"pn-title\">"._POSTNUKE_7."</font>
<font class=\"pn-normal\">"._POSTNUKE_8."
<form action=\"install.php\" method=\"post\"><center>
<table width=\"50%\" align=center><tr><td align=center>";

  print_form_hidden();

   echo  "
<input type=\"submit\" name=\"op\" value=\"PostNuke .63\"></td>
</tr></table></center></form></font>
<font class=\"pn-title\">"._POSTNUKE_9."</font>
<font class=\"pn-normal\">"._POSTNUKE_10."
<form action=\"install.php\" method=\"post\"><center><table width=\"50%\" align=center>
<tr><td align=center>";

   print_form_hidden();

   echo  "
<input type=\"submit\" name=\"op\" value=\"PostNuke .64\"></td>
</tr></table></center></form></font>
<font class=\"pn-title\">"._POSTNUKE_11."</font>
<font class=\"pn-normal\">"._POSTNUKE_12."
<form action=\"install.php\" method=\"post\"><center>
<table width=\"50%\" align=center><tr><td align=center>";

   print_form_hidden();

   echo  "
<input type=\"submit\" name=\"op\" value=\"PostNuke .7\"></td>
</tr></table></center></form></font>
<center>
<b>"._WARNINGINST."</b><p>".
_UPGRADETAKESALONGTIME
. "</center>
";

/* Removed for release.  Needs to be updated.
    <br><br><font class="pn-title">"._POSTNUKE_13."</font>
     <font class="pn-normal">"._POSTNUKE_14."</font><br><br>
    <font class="pn-title">"._POSTNUKE_15."</font>
    <font class="pn-normal">"._POSTNUKE_16."
    <form action="install.php" method="post"><center>
    <table width="50%" align=center><tr><td align=center>

   print_form_hidden();

    <input type="hidden" name="op" value="Validate Language">
    <input type="submit" value="Validate"></td></tr>
    </table></center></form></font>
    <font class="pn-title">"._POSTNUKE_17."</font>
    <font class="pn-normal">"._POSTNUKE_18."
    <form action="install.php" method="post"><center>
    <table width="50%" align=center><tr><td align=center>

   print_form_hidden();

   </font> */
}

function print_success() {
         global $currentlang;

   echo  "
<font class=\"pn-title\">"._SUCCESS_1."</font>
<font class=\"pn-normal\">"._SUCCESS_2."<br><br>
<form action=\"install.php\" method=\"post\"><center><table width=\"50%\">";

   print_form_hidden();

   echo "
<tr><td align=center><input type=\"hidden\" name=\"op\" value=\"Finish\">
<input type=\"submit\" value=\""._BTN_FINISH."\"></td>
</tr></table></center></form></font><br><br>";
}



function print_default() {
         global $currentlang, $loginit;
progress(20);
// Initial log-file. I can't write it before check /config is writable.
$loginit .= _SELECT_LANGUAGE_2.": ".$currentlang."\n\n";
$loginit .= "Step2: "._DEFAULT_2."\n";
?>
<div style="padding:8px 15px 8px 15px;text-align:justify;">
<?php
echo
_GPLPAGE."<br><br>
<form action=\"install.php\" method=\"post\"><center>

<textarea name=\"license\" cols=100 rows=12>";

   include("docs/$currentlang/COPYING.txt");       //TiMax for install multilanguage

echo  "</textarea>";
//echo "<center><strong>"._INSTALL_LOG_INFO."</strong></center><br>";
echo "
<input type=\"hidden\" name=\"op\" value=\"Check\">
<input type=\"hidden\" name=\"loginit\" value=\"$loginit\">
<br /><br /><input type=\"submit\" value=\""._BTN_NEXT."\">
</form><br />";
?>
</div>
<div style="padding:8px 15px 8px 15px;text-align:justify;">
<?php echo _HPAGE1; ?>
</div>
<?php

print_form_hidden();

}

function print_select_language() {
global $loginit;
progress(0);
$rblockcontent = "introduction";

// Initial log-file. I can't write it before check /config is writable.
$loginit = "---------------------------------------------------------\n";
$loginit .= ""._INSTALL_LOG_INTRO." ".date('d/m/Y H:i:s')."\n";
$loginit .= "---------------------------------------------------------\n";
$loginit .= "Step1: "._SELECT_LANGUAGE_1."\n";
echo "<div style=\"height:300px;\">";
   echo  "<center>"._SELECT_LANGUAGE_1."</center><br />
<form action=\"install.php\" method=\"post\"><center>"._SELECT_LANGUAGE_2;

   lang_dropdown();

   echo  "<input type=\"hidden\" name=\"op\" value=\"Set Language\">
<input type=\"hidden\" name=\"loginit\" value=\"$loginit\">
<input type=\"submit\" value=\""._BTN_SET_LANGUAGE."\"></center></form><br />";
echo "</div>";
}


function print_footer($op) {
?>

</td>
</tr><tr>
          <td style="text-align:center;padding-right:8px;width:490px;height:26px;background-image:url(install/images/wv_footer.jpg);">
            Graphical User Interface Design Copyright  2004 by <a title="Professional Theme Design for MD-Pro" alt="Professional Theme Design for MD-Pro" href="http://www.webvida.com/" target="_blank">Webvida
            ThemeWorks</a></td>
                </tr>
          </table>
                </td>
<!-- end main content column -->
<!-- begin right column -->
<td style="padding-left:0px;height:100%;vertical-align:top;">

<table style="width:201px;border:0px solid #000000;height:100%;" cellspacing="0" cellpadding="0">
            <tr>
              <td style="width:201px;height:21px;background-image:url(install/images/wv_rb_top.jpg);">
                </td>
            </tr>
                <tr style="vertical-align:top;">
              <td style="vertical-align:top;height:100%;padding:0 8px 0 8px;width:201px;background-image:url(install/images/wv_rb_content.jpg);">


                  <?php
                  //echo $op."<br />";
                  checklist($op); ?>
<br /><center><a href="http://www.maxdev.com" target="_blank"><img title="opens in new window" alt="opens in new window" border="0" src="install/images/mdpowered.jpg"></a></center>
                  </td>
            </tr>
                <tr>
              <td style="width:201px;height:26px;background-image:url(install/images/wv_rb_bottom.jpg);">
                  </td>
            </tr>
          </table>



</td>
<!-- end right column -->

                </tr>
          </table>
</body>
</html>
<?php
        //echo _FOOTER_1;
}

?>
