<?php
// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// ----------------------------------------------------------------------------
// Original Author of file: Gregor J. Rothfuss
// Purpose of file: Provide functions for a new install.
// ----------------------------------------------------------------------------
//* 8/11/2002      Brian Lindner   Added PHPNuke 4.2 - 6.0 Upgrade scripts

/*** This function creates the DB on new installs ***/
function make_db($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $dbmake) {
progress(70);

// Log-file entry: Selection from previous step !!
do_upgrade_log(_NEW_INSTALL_3.": ".$dbmake,_NEW_INSTALL_3,"Step7");


        global $dbconn;
        echo "<font class=\"pn-failed2\"><center><br><br>";
        if ($dbmake) {
                                switch ($dbtype){
                                        case "oci8":
                                                break;
                                        default:
                mysql_pconnect($dbhost, $dbuname, $dbpass);
                $result = mysql_query("CREATE DATABASE $dbname") or die ("<font class=\"pn-failed2\">"._MAKE_DB_1.": $dbname</font>");
                $message = "<br><br><font class=\"pn-failed\">$dbname "._MAKE_DB_2."</font>";
                echo $message;
                                // Log-file entry: Selection from previous step !!
                                do_upgrade_log($dbname." "._MAKE_DB_2."\n");
                                                break;
                                }
        } else {
                echo "<font class=\"pn-failed\">"._MAKE_DB_3."</font>";
                                // Log-file entry: Selection from previous step !!
                                do_upgrade_log(_MAKE_DB_3."\n");
        }

                switch ($dbtype){
                        case "oci8":
                                include ("install/newtablesOracle.php");
                                break;
                        default:
        include("install/newtables.php");
                                break;
                }
}

/*** This function inserts the default data on new installs ***/
// Furbo: enhanced to allow UPGRADING easily by $upgrade param
function input_data($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $aid, $name, $pwd, $repeatpwd, $email, $url, $upgrade='NEW') {
require_once("includes/pnAPI.php");
        list($dbconn) = pnDBGetConn();
  $pntable = pnDBGetTables();


        if ($pwd != $repeatpwd) {
                echo _PWBADMATCH;
                exit;
        } else {
                echo "<center>";
                echo "<font class=\"pn-title\">"._INPUT_DATA_1."</font>";
                global $dbconn;
// modified for Oracle compatibility
//                mysql_connect($dbhost, $dbuname, $dbpass);
//                mysql_select_db("$dbname") or die ("<br><font class=\"pn-sub\">"._NOTSELECT."</font>");

                                $dbconn = ADONewConnection($dbtype);
                                $dbh = $dbconn->Connect($dbhost, $dbuname, $dbpass, $dbname);
                                if (!$dbh) {
                                    die("failed to connect");
                                }
                // Put basic information in first
    if ($upgrade=="NEW") {
                                        switch ($dbtype){
                                                case "oci8":
                                                        include ("install/newdataOracle.php");
                                                        break;
                                                default:
                        include("install/newdata.php");
                                                        break;
                                        }
                // new installs will use md5 hashing - compatible on windows and *nix variants.
                        $pwd = md5($pwd);

                        $result = $dbconn->Execute("INSERT INTO ".$prefix."_users VALUES ( NULL, '$name', '$aid', '$email', '', '$url', 'blank.gif', ".time().", '', '', '', '', '', '', '', '', '', '', '$pwd', 10, '', 0, 0, 0, '', 0, '', '', 4096, 0, '12.0', '0')") or die ("<font class=\"pn-failed2\">"._NOTUPDATED.$prefix."_users</font>");

                        echo "<br><font class=\"pn-sub\"> ".$prefix."_users "._UPDATED."</font>";

                // We know that the above user is UID 2 and that the admin group is GID 2 from the install/newdata
                        $result = $dbconn->Execute("INSERT INTO ".$prefix."_group_membership VALUES (2, 2)") or die ("<b><font class=\"pn-failed2\">"._NOTUPDATED.$prefix."_group_membership</font></b>");
                        echo "<br><font class=\"pn-sub\">".$prefix."_group_membership "._UPDATED."</font>";
          }
/* Furbo: postnuke doesnt use this.. YET
                        elseif (strpos($upgrade, "PostNuke") > -1) { // UPGRADE time
                    $version = substr($upgrade, ' '');
        switch ($version) {
            case ".714":
                    include("install/upgrade/pn714.php");
              break;
          }
    }
*/    elseif (strpos($upgrade, "PHPNuke") > -1) { // UPGRADE time
            $version = substr($upgrade, strpos($upgrade, " ")+1);
        switch ($version) {
            case "5.0":
            case "5.1":
            case "5.2":
            case "5.3":
            case "5.31":
            case "5.4":
            case "5.5":
            case "5.6":
            case "6.0":
                    include("install/upgrades/phpnuke/data60-envo11.php");
              break;
            default:
                    die("BAD PHPNuke version: ".$version);
          }

                  // create new pwd
                        $pwd = md5($pwd);

        ///////////////////////////////////////////////////
        // Install Users info
        // @author  Furbo
        $usercol = &$pntable['users_column'];
        $result = $dbconn->Execute("SELECT max($usercol[uid])+1 FROM $pntable[users]");

        list($AdminID) = $result->fields;

//        die("SELECT max($usercol[uid])+1 FROM $pntable[users] Anonid:".$AdminID);

        $sql = "INSERT INTO $pntable[users]
                            ( $usercol[uid] , $usercol[name] , $usercol[uname], $usercol[pass] , $usercol[email], $usercol[url], $usercol[user_avatar],
                               $usercol[user_regdate] , $usercol[user_viewemail], $usercol[user_theme], $usercol[storynum],
                               $usercol[timezone_offset] , $usercol[message])
                                                                VALUES ('".$AdminID."',
                                                                '$name',
                                                                '$aid',
                                                                '$pwd',
                                                                '$email',
                                                                '$url',
                                                                'blank.gif',
                                                                ".time().",
                                                                '0',
                                                                '0',
                                                                '5',
                                                                '12.0',
                                                                '0')";
        $result = $dbconn->Execute($sql)
        or die ("<font class=\"pn-failed2\">"._NOTUPDATED.$prefix."_users</font>".$dbconn->ErrorMsg()."<br>$sql");


        // Report Success
        echo "<br><font class=\"pn-sub\">".$prefix."_users"._UPDATED."</font>";

                // We know that the above user is UID 2 and that the admin group is GID 2 from the install/newdata
                        $result = $dbconn->Execute("INSERT INTO $prefix"._group_membership." VALUES (2, $AdminID)")
                or die ("<font class=\"pn-failed2\">"._NOTUPDATED.$prefix."_group_membership</font>");
                        echo "<br><font class=\"pn-sub\">".$prefix."_group_membership"._UPDATED."</font>";

    }
    else {
            die("Unknown Data load action".$upgrade);
    }
        }
}


?>