<?php
// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// ----------------------------------------------------------------------------

function dosql($table,$sql1,$sql2,$sql3) {
   GLOBAL $dbconn;
   if ($sql1!=''){
                $result = $dbconn->Execute($sql1);
                if ($result === false) {
                        echo "<font class=\"pn-failed\">"._NOTMADE." ".$table."</font>";
                        exit;
                }else{
                        echo "<br><font class=\"pn-sub\"> Table ".$table." "._MADE."</font>";
                }
   }
   if ($sql2!=''){
                $result = $dbconn->Execute($sql2);
                if ($result === false) {
                        echo "<font class=\"pn-failed\">"._NOTMADE." the sequence on ".$table."</font>";
                        exit;
                }else{
                        echo "<br><font class=\"pn-sub\"> Sequence of ".$table." "._MADE."</font>";
                }
   }
   if ($sql3!=''){
                $result = $dbconn->Execute($sql3);
                if ($result === false) {
                        echo "<font class=\"pn-failed\">"._NOTMADE." the trigger on ".$table."</font>";
                        exit;
                }else{
                        echo "<br><font class=\"pn-sub\"> Trigger of ".$table." "._MADE."</font>";
                }
   }
}

do_upgrade_log("newtablesOracle dbtype: ".$dbtype,"","");

$dbconn = ADONewConnection($dbtype);

do_upgrade_log("newtablesOracle dbconn preparata ","","");
do_upgrade_log("newtablesOracle dbhost: ".$dbhost,"","");
do_upgrade_log("newtablesOracle dbuname: ".$dbuname,"","");
do_upgrade_log("newtablesOracle dbpass: ".$dbpass,"","");
do_upgrade_log("newtablesOracle dbname: ".$dbname,"","");

$dbconn->debug = true;
$dbh = $dbconn->Connect($dbhost, $dbuname, $dbpass, $dbname);
 if (!$dbh) {
    die("failed to connect");
            }
do_upgrade_log("newtablesOracle AFTER CONN","","");

//poke

GLOBAL $dbconn;

//poke

$result = $dbconn->Execute("ALTER SESSION SET NLS_DATE_FORMAT = 'YYYY-MM-DD HH24:MI:SS'");


$table= $prefix.'_admin_lite_group';
$sql1 = "
CREATE TABLE ".$prefix."_ADMIN_LITE_GROUP (
  GROUPID              INTEGER       NOT NULL,
  GROUPNAME            VARCHAR2 (200)  DEFAULT '',
  GROUPLOCK            VARCHAR2 (200)  DEFAULT '0',
  GROUPSHOWALLMODULES  VARCHAR2 (200)  DEFAULT '0',
  SORTORDER            INTEGER       DEFAULT '0',
  GROUPDEFAULT         INTEGER       DEFAULT '0',
  CONSTRAINT ADMIN_LITE_GROUP_PK
  PRIMARY KEY ( GROUPID ) ) ";
$sql2 = 'CREATE SEQUENCE ADMIN_LITE_GROUP_SQ INCREMENT BY 1 START WITH 6 NOCYCLE CACHE 20 NOORDER';
$sql3 = 'CREATE OR REPLACE TRIGGER admin_lite_group_tr        BEFORE INSERT ON '.$prefix.'_ADMIN_LITE_GROUP FOR EACH ROW WHEN (NEW.groupID IS NULL OR NEW.groupID = 0) BEGIN SELECT admin_lite_group_sq.NEXTVAL INTO :NEW.groupID FROM dual;   END; ';

dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_admin_lite_group_members';
$sql1 = "
CREATE TABLE ".$prefix."_ADMIN_LITE_GROUP_MEMBERS (
  GROUPID    INTEGER       DEFAULT NULL,
  SORTORDER  INTEGER       DEFAULT NULL,
  MODULEID   INTEGER       DEFAULT NULL ) ";

dosql($table,$sql1,'','');



$table= $prefix.'_autolinks';
$sql1 = "
CREATE TABLE ".$prefix."_AUTOLINKS (
  PN_LID      INTEGER       NOT NULL,
  PN_KEYWORD  VARCHAR2 (100)  DEFAULT '',
  PN_TITLE    VARCHAR2 (100)  DEFAULT '',
  PN_URL      VARCHAR2 (200)  DEFAULT '',
  PN_COMMENT  VARCHAR2 (200)  DEFAULT '',
  CONSTRAINT AUTOLINKS_PK
  PRIMARY KEY ( PN_LID ) )";

$sql2='CREATE SEQUENCE AUTOLINKS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER autolinks_tr BEFORE INSERT ON '.$prefix.'_AUTOLINKS FOR EACH ROW WHEN (NEW.pn_lid IS NULL OR NEW.pn_lid = 0) BEGIN  SELECT autolinks_sq.NEXTVAL INTO :NEW.pn_lid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table= $prefix.'_autonews';
$sql1 = "
CREATE TABLE ".$prefix."_AUTONEWS (
  PN_ANID       INTEGER       NOT NULL,
  PN_CATID      INTEGER       DEFAULT '0',
  PN_AID        VARCHAR2 (30)  DEFAULT '',
  PN_TITLE      VARCHAR2 (80)  DEFAULT '',
  PN_TIME       VARCHAR2 (19)  DEFAULT '',
  PN_HOMETEXT   CLOB          NOT NULL,
  PN_BODYTEXT   CLOB          NOT NULL,
  PN_TOPIC      INTEGER       DEFAULT '1',
  PN_INFORMANT  VARCHAR2 (20)  DEFAULT '',
  PN_NOTES      CLOB          NOT NULL,
  PN_IHOME      INTEGER       DEFAULT '0',
  PN_LANGUAGE   VARCHAR2 (30)  DEFAULT '',
  PN_WITHCOMM   INTEGER       DEFAULT '0',
  CONSTRAINT AUTONEWS_PK
  PRIMARY KEY ( PN_ANID ) )";

$sql2='CREATE SEQUENCE AUTONEWS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER autonews_tr BEFORE INSERT ON '.$prefix.'_AUTONEWS FOR EACH ROW WHEN (NEW.pn_anid IS NULL OR NEW.pn_anid = 0) BEGIN SELECT autonews_sq.NEXTVAL INTO :NEW.pn_anid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_banner';
$sql1 = "
CREATE TABLE ".$prefix."_BANNER (
  PN_BID       INTEGER       NOT NULL,
  PN_CID       INTEGER       DEFAULT '0',
  PN_TYPE      CHAR (2)      DEFAULT '0',
  PN_IMPTOTAL  INTEGER       DEFAULT '0',
  PN_IMPMADE   INTEGER       DEFAULT '0',
  PN_CLICKS    INTEGER       DEFAULT '0',
  PN_IMAGEURL  VARCHAR2 (255)  DEFAULT '',
  PN_CLICKURL  VARCHAR2 (255)  DEFAULT '',
  PN_DATE      DATE          DEFAULT NULL,
  PN_MODULE    VARCHAR2 (64) DEFAULT '*',
  PN_MODULEID  INTEGER   DEFAULT '0',
  PN_WIDTH     INTEGER   DEFAULT '0',
  PN_HEIGHT    INTEGER   DEFAULT '0',
  PN_LANG      VARCHAR2 (30) DEFAULT '*',
  CONSTRAINT BANNER_PK
  PRIMARY KEY ( PN_BID ) )";

$sql2='CREATE SEQUENCE BANNER_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER banner_tr BEFORE INSERT ON '.$prefix.'_BANNER FOR EACH ROW WHEN (NEW.pn_bid IS NULL OR NEW.pn_bid = 0) BEGIN SELECT banner_sq.NEXTVAL INTO :NEW.pn_bid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_bannerclient';
$sql1 = "
CREATE TABLE ".$prefix."_BANNERCLIENT (
  PN_CID        INTEGER       NOT NULL,
  PN_NAME       VARCHAR2 (60)  DEFAULT '',
  PN_CONTACT    VARCHAR2 (60)  DEFAULT '',
  PN_EMAIL      VARCHAR2 (60)  DEFAULT '',
  PN_LOGIN      VARCHAR2 (10)  DEFAULT '',
  PN_PASSWD     VARCHAR2 (10)  DEFAULT '',
  PN_EXTRAINFO  CLOB          NOT NULL,
  CONSTRAINT BANNERCLIENT_PK
  PRIMARY KEY ( PN_CID ) )";

$sql2='CREATE SEQUENCE BANNERCLIENT_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER bannerclient_tr BEFORE INSERT ON '.$prefix.'_BANNERCLIENT FOR EACH ROW WHEN (NEW.pn_cid IS NULL OR NEW.pn_cid = 0) BEGIN SELECT bannerclient_sq.NEXTVAL INTO :NEW.pn_cid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_bannerfinish';
$sql1 = "
CREATE TABLE ".$prefix."_BANNERFINISH (
  PN_BID          INTEGER       NOT NULL,
  PN_CID          INTEGER       DEFAULT '0',
  PN_IMPRESSIONS  INTEGER       DEFAULT '0',
  PN_CLICKS       INTEGER       DEFAULT '0',
  PN_DATESTART    DATE          DEFAULT NULL,
  PN_DATEEND      DATE          DEFAULT NULL,
  CONSTRAINT BANNERFINISH_PK
  PRIMARY KEY ( PN_BID ) )";

$sql2='CREATE SEQUENCE BANNERFINISH_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER bannerfinish_tr BEFORE INSERT ON '.$prefix.'_BANNERFINISH FOR EACH ROW WHEN (NEW.pn_bid IS NULL OR NEW.pn_bid = 0) BEGIN SELECT bannerfinish_sq.NEXTVAL INTO :NEW.pn_bid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_blocks';
$sql1 = "
CREATE TABLE ".$prefix."_BLOCKS (
  PN_BID          INTEGER       NOT NULL,
  PN_BKEY         VARCHAR2 (255)  DEFAULT '',
  PN_TITLE        VARCHAR2 (255)  DEFAULT '',
  PN_CONTENT      CLOB          NOT NULL,
  PN_URL          VARCHAR2 (255)  DEFAULT '',
  PN_MID          INTEGER       DEFAULT '0',
  PN_POSITION     VARCHAR2 (255) DEFAULT 'l',
  PN_WEIGHT       NUMBER (10,1) DEFAULT '0.0',
  PN_ACTIVE       INTEGER       DEFAULT '1',
  PN_REFRESH      INTEGER       DEFAULT '0',
  PN_LAST_UPDATE  DATE          NOT NULL,
  PN_LANGUAGE     VARCHAR2 (30)  DEFAULT '',
  ALLOW_GIDS      VARCHAR2 (255)  DEFAULT 'A',
  CONSTRAINT BLOCKS_PK
  PRIMARY KEY ( PN_BID ) )";

$sql2='CREATE SEQUENCE BLOCKS_SQ INCREMENT BY 1 START WITH 22 NOCYCLE CACHE 22 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER blocks_tr BEFORE INSERT ON '.$prefix.'_BLOCKS FOR EACH ROW WHEN (NEW.pn_bid IS NULL OR NEW.pn_bid = 0) BEGIN SELECT blocks_sq.NEXTVAL INTO :NEW.pn_bid FROM dual; END; ';

dosql($table,$sql1,$sql2,$sql3);

$sql3='CREATE OR REPLACE TRIGGER blocks_update_tr BEFORE INSERT OR UPDATE ON '.$prefix.'_BLOCKS FOR EACH ROW WHEN (NEW.pn_last_update IS NULL) BEGIN SELECT SYSDATE INTO :NEW.pn_last_update FROM dual; END; ';
dosql($table,'','',$sql3);


$table = $prefix.'_blocks_buttons';
$sql1 = "
CREATE TABLE ".$prefix."_BLOCKS_BUTTONS (
  PN_ID      INTEGER       NOT NULL,
  PN_BID     INTEGER       DEFAULT '0',
  PN_TITLE   VARCHAR2 (255)  DEFAULT '',
  PN_URL     VARCHAR2 (255)  DEFAULT '',
  PN_IMAGES  CLOB          NOT NULL,
  CONSTRAINT BLOCKS_BUTTONS_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE BLOCKS_BUTTONS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER blocks_buttons_tr BEFORE INSERT ON '.$prefix.'_BLOCKS_BUTTONS FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN SELECT blocks_buttons_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_comments';
$sql1 = "
CREATE TABLE ".$prefix."_COMMENTS (
  PN_TID        INTEGER       NOT NULL,
  PN_PID        INTEGER       DEFAULT '0',
  PN_SID        INTEGER       DEFAULT '0',
  PN_DATE       DATE          DEFAULT NULL,
  PN_NAME       VARCHAR2 (60)  DEFAULT '',
  PN_EMAIL      VARCHAR2 (60)  DEFAULT NULL,
  PN_URL        VARCHAR2 (254)  DEFAULT NULL,
  PN_HOST_NAME  VARCHAR2 (60)  DEFAULT NULL,
  PN_SUBJECT    VARCHAR2 (85)  DEFAULT '',
  PN_COMMENT    CLOB          NOT NULL,
  PN_SCORE      INTEGER       DEFAULT '0',
  PN_REASON     INTEGER       DEFAULT '0',
  CONSTRAINT COMMENTS_PK
  PRIMARY KEY ( PN_TID ) )";

$sql2='CREATE SEQUENCE COMMENTS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER comments_tr BEFORE INSERT ON '.$prefix.'_COMMENTS FOR EACH ROW WHEN (NEW.pn_tid IS NULL OR NEW.pn_tid = 0) BEGIN SELECT comments_sq.NEXTVAL INTO :NEW.pn_tid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);

$sql4='CREATE INDEX COMMENTS_1_idx ON '.$prefix.'_COMMENTS(pn_comment) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}



$table = $prefix.'_counter';
$sql1 = "
CREATE TABLE ".$prefix."_COUNTER (
  PN_TYPE   VARCHAR2 (80)  DEFAULT '',
  PN_VAR    VARCHAR2 (80)  DEFAULT '',
  PN_COUNT  INTEGER       DEFAULT '0' )";
dosql($table,$sql1,'','');


$table = $prefix.'_downloads_categories';
$sql1 = "
CREATE TABLE ".$prefix."_DOWNLOADS_CATEGORIES (
  PN_CID          INTEGER       NOT NULL,
  PN_TITLE        VARCHAR2 (50)  DEFAULT '',
  PN_DESCRIPTION  CLOB          NOT NULL,
  CONSTRAINT DOWNLOADS_CATEGORIES_PK
  PRIMARY KEY ( PN_CID ) )";

$sql2='CREATE SEQUENCE DOWNLOADS_CATEGORIES_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER downloads_categories_tr BEFORE INSERT ON '.$prefix.'_DOWNLOADS_CATEGORIES FOR EACH ROW WHEN (NEW.pn_cid IS NULL OR NEW.pn_cid = 0) BEGIN SELECT downloads_categories_sq.NEXTVAL INTO :NEW.pn_cid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_downloads_downloads';
$sql1 = "
CREATE TABLE ".$prefix."_DOWNLOADS_DOWNLOADS (
  PN_LID            INTEGER       NOT NULL,
  PN_CID            INTEGER       DEFAULT '0',
  PN_SID            INTEGER       DEFAULT '0',
  PN_TITLE          VARCHAR2 (100)  DEFAULT '',
  PN_URL            VARCHAR2 (100)  DEFAULT '',
  PN_IMAGE          VARCHAR2 (100)  DEFAULT '',
  PN_DESCRIPTION    CLOB          NOT NULL,
  PN_DATE           DATE          DEFAULT NULL,
  PN_NAME           VARCHAR2 (100)  DEFAULT '',
  PN_EMAIL          VARCHAR2 (100)  DEFAULT '',
  PN_HITS           INTEGER       DEFAULT '0',
  PN_SUBMITTER      VARCHAR2 (60)  DEFAULT '',
  PN_RATINGSUMMARY  NUMBER        DEFAULT '0.0000',
  PN_TOTALVOTES     INTEGER       DEFAULT '0',
  PN_TOTALCOMMENTS  INTEGER       DEFAULT '0',
  PN_FILESIZE       INTEGER       DEFAULT '0',
  PN_VERSION        VARCHAR2 (10)  DEFAULT '',
  PN_HOMEPAGE       VARCHAR2 (200)  DEFAULT '',
  CONSTRAINT DOWNLOADS_DOWNLOADS_PK
  PRIMARY KEY ( PN_LID ) )";

$sql2='CREATE SEQUENCE DOWNLOADS_DOWNLOADS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER downloads_downloads_tr BEFORE INSERT ON '.$prefix.'_DOWNLOADS_DOWNLOADS FOR EACH ROW WHEN (NEW.pn_lid IS NULL OR NEW.pn_lid = 0) BEGIN SELECT downloads_downloads_sq.NEXTVAL INTO :NEW.pn_lid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);

$sql4='CREATE INDEX DOWNLOADS_DOWNLOADS_1_idx ON '.$prefix.'_DOWNLOADS_DOWNLOADS(pn_description) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}

$table = $prefix.'_downloads_editorials';
$sql1 = "
CREATE TABLE ".$prefix."_DOWNLOADS_EDITORIALS (
  PN_ID         INTEGER       DEFAULT '0' NOT NULL,
  PN_ADMINID    VARCHAR2 (60)  DEFAULT '',
  PN_TIMESTAMP  DATE          DEFAULT '0001-01-01 00:00:00',
  PN_TEXT       CLOB          NOT NULL,
  PN_TITLE      VARCHAR2 (100)  DEFAULT '',
  CONSTRAINT DOWNLOADS_EDITORIALS_PK
  PRIMARY KEY ( PN_ID ) )";
dosql($table,$sql1,'','');


$table = $prefix.'_downloads_modrequest';
$sql1 = "
CREATE TABLE ".$prefix."_DOWNLOADS_MODREQUEST (
  PN_REQUESTID        INTEGER       NOT NULL,
  PN_LID              INTEGER       DEFAULT '0',
  PN_CID              INTEGER       DEFAULT '0',
  PN_SID              INTEGER       DEFAULT '0',
  PN_TITLE            VARCHAR2 (100)  DEFAULT '',
  PN_URL              VARCHAR2 (100)  DEFAULT '',
  PN_IMAGE            VARCHAR2 (100)  DEFAULT '',
  PN_DESCRIPTION      CLOB          NOT NULL,
  PN_MODIFYSUBMITTER  VARCHAR2 (60)  DEFAULT '',
  PN_BROKENDOWNLOAD   INTEGER       DEFAULT '0',
  PN_NAME             VARCHAR2 (100)  DEFAULT '',
  PN_EMAIL            VARCHAR2 (100)  DEFAULT '',
  PN_FILESIZE         INTEGER       DEFAULT '0',
  PN_VERSION          VARCHAR2 (10)  DEFAULT '',
  PN_HOMEPAGE         VARCHAR2 (200)  DEFAULT '',
  CONSTRAINT DOWNLOADS_MODREQUEST_PK
  PRIMARY KEY ( PN_REQUESTID ) )";

$sql2='CREATE SEQUENCE DOWNLOADS_MODREQUEST_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER downloads_modrequest_tr BEFORE INSERT ON '.$prefix.'_DOWNLOADS_MODREQUEST FOR EACH ROW WHEN (NEW.pn_requestid IS NULL OR NEW.pn_requestid = 0) BEGIN SELECT downloads_modrequest_sq.NEXTVAL INTO :NEW.pn_requestid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_downloads_newdownload';
$sql1 = "
CREATE TABLE ".$prefix."_DOWNLOADS_NEWDOWNLOAD (
  PN_LID          INTEGER       NOT NULL,
  PN_CID          INTEGER       DEFAULT '0',
  PN_SID          INTEGER       DEFAULT '0',
  PN_TITLE        VARCHAR2 (100)  DEFAULT '',
  PN_URL          VARCHAR2 (100)  DEFAULT '',
  PN_IMAGE        VARCHAR2 (100)  DEFAULT '',
  PN_DESCRIPTION  CLOB          NOT NULL,
  PN_NAME         VARCHAR2 (100)  DEFAULT '',
  PN_EMAIL        VARCHAR2 (100)  DEFAULT '',
  PN_SUBMITTER    VARCHAR2 (60)  DEFAULT '',
  PN_FILESIZE     INTEGER       DEFAULT '0',
  PN_VERSION      VARCHAR2 (10)  DEFAULT '',
  PN_HOMEPAGE     VARCHAR2 (200)  DEFAULT '',
  CONSTRAINT DOWNLOADS_NEWDOWNLOAD_PK
  PRIMARY KEY ( PN_LID ) )";

$sql2='CREATE SEQUENCE DOWNLOADS_NEWDOWNLOAD_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER downloads_newdownload_tr BEFORE INSERT ON '.$prefix.'_DOWNLOADS_NEWDOWNLOAD  FOR EACH ROW WHEN (NEW.pn_lid IS NULL OR NEW.pn_lid = 0) BEGIN SELECT downloads_newdownload_sq.NEXTVAL INTO :NEW.pn_lid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_downloads_subcategories';
$sql1 = "
CREATE TABLE ".$prefix."_DOWNLOADS_SUBCATEGORIES (
  PN_SID    INTEGER       NOT NULL,
  PN_CID    INTEGER       DEFAULT '0',
  PN_TITLE  VARCHAR2 (50)  DEFAULT '',
  CONSTRAINT DOWNLOADS_SUBCATEGORIES_PK
  PRIMARY KEY ( PN_SID ) )";

$sql2='CREATE SEQUENCE DOWNLOADS_SUBCATEGORIES_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER downloads_subcategories_tr BEFORE INSERT ON  '.$prefix.'_DOWNLOADS_SUBCATEGORIES FOR EACH ROW WHEN (NEW.pn_sid IS NULL OR NEW.pn_sid = 0) BEGIN SELECT downloads_subcategories_sq.NEXTVAL INTO :NEW.pn_sid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_downloads_votedata';
$sql1 = "
CREATE TABLE ".$prefix."_DOWNLOADS_VOTEDATA (
  PN_ID         INTEGER       NOT NULL,
  PN_LID        INTEGER       DEFAULT '0',
  PN_USER       VARCHAR2 (60)  DEFAULT '',
  PN_RATING     INTEGER       DEFAULT '0',
  PN_HOSTNAME   VARCHAR2 (60)  DEFAULT '',
  PN_COMMENTS   CLOB          NOT NULL,
  PN_TIMESTAMP  DATE          DEFAULT '0001-01-01 00:00:00',
  CONSTRAINT DOWNLOADS_VOTEDATA_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE DOWNLOADS_VOTEDATA_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER downloads_votedata_tr BEFORE INSERT ON '.$prefix.'_DOWNLOADS_VOTEDATA FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN SELECT downloads_votedata_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_ephem';
$sql1 = "
CREATE TABLE ".$prefix."_EPHEM (
  PN_EID       INTEGER       NOT NULL,
  PN_DID       INTEGER       DEFAULT '0',
  PN_MID       INTEGER       DEFAULT '0',
  PN_YID       INTEGER       DEFAULT '0',
  PN_CONTENT   CLOB          NOT NULL,
  PN_LANGUAGE  VARCHAR2 (30)  DEFAULT '',
  CONSTRAINT EPHEM_PK
  PRIMARY KEY ( PN_EID ) )";

$sql2='CREATE SEQUENCE EPHEM_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER ephem_tr BEFORE INSERT ON '.$prefix.'_EPHEM FOR EACH ROW WHEN (NEW.pn_eid IS NULL OR NEW.pn_eid = 0) BEGIN SELECT ephem_sq.NEXTVAL INTO :NEW.pn_eid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_faqanswer';
$sql1 = "
CREATE TABLE ".$prefix."_FAQANSWER (
  PN_ID           INTEGER       NOT NULL,
  PN_ID_CAT       INTEGER       DEFAULT NULL,
  PN_QUESTION     CLOB,
  PN_ANSWER       CLOB,
  PN_SUBMITTEDBY  VARCHAR2 (250)  DEFAULT '',
  CONSTRAINT FAQANSWER_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE FAQANSWER_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER faqanswer_tr  BEFORE INSERT ON '.$prefix.'_FAQANSWER FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN    SELECT faqanswer_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END;';
dosql($table,$sql1,$sql2,$sql3);

$sql4='CREATE INDEX FAQANSWER_1_idx ON '.$prefix.'_FAQANSWER(pn_question) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}

$sql4='CREATE INDEX FAQANSWER_2_idx ON '.$prefix.'_FAQANSWER(pn_answer) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}


$table = $prefix.'_faqcategories';
$sql1 = "
CREATE TABLE ".$prefix."_FAQCATEGORIES (
  PN_ID_CAT      INTEGER       NOT NULL,
  PN_CATEGORIES  VARCHAR2 (255)  DEFAULT NULL,
  PN_LANGUAGE    VARCHAR2 (30)  DEFAULT '',
  PN_PARENT_ID   INTEGER       DEFAULT '0',
  CONSTRAINT FAQCATEGORIES_PK
  PRIMARY KEY ( PN_ID_CAT ) )";

$sql2='CREATE SEQUENCE FAQCATEGORIES_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER faqcategories_tr BEFORE INSERT ON '.$prefix.'_FAQCATEGORIES FOR EACH ROW WHEN (NEW.pn_id_cat IS NULL OR NEW.pn_id_cat = 0) BEGIN SELECT faqcategories_sq.NEXTVAL INTO :NEW.pn_id_cat FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_group_membership';
$sql1 = "
CREATE TABLE ".$prefix."_GROUP_MEMBERSHIP (
  PN_GID  INTEGER       DEFAULT '0',
  PN_UID  INTEGER       DEFAULT '0' )";
dosql($table,$sql1,'','');


$table = $prefix.'_group_perms';
$sql1 = "
CREATE TABLE ".$prefix."_GROUP_PERMS (
  PN_PID        INTEGER       NOT NULL,
  PN_GID        INTEGER       DEFAULT '0',
  PN_SEQUENCE   INTEGER       DEFAULT '0',
  PN_REALM      INTEGER       DEFAULT '0',
  PN_COMPONENT  VARCHAR2 (255)  DEFAULT '',
  PN_INSTANCE   VARCHAR2 (255)  DEFAULT '',
  PN_LEVEL      INTEGER       DEFAULT '0',
  PN_BOND       INTEGER       DEFAULT '0',
  CONSTRAINT GROUP_PERMS_PK
  PRIMARY KEY ( PN_PID ) )";

$sql2='CREATE SEQUENCE GROUP_PERMS_SQ INCREMENT BY 1 START WITH 11 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER group_perms_tr BEFORE INSERT ON '.$prefix.'_GROUP_PERMS FOR EACH ROW WHEN (NEW.pn_pid IS NULL OR NEW.pn_pid = 0) BEGIN SELECT group_perms_sq.NEXTVAL INTO :NEW.pn_pid FROM dual; END;';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_groups';
$sql1 = "
CREATE TABLE ".$prefix."_GROUPS (
  PN_GID   INTEGER       NOT NULL,
  PN_NAME  VARCHAR2 (255)  DEFAULT '',
  CONSTRAINT GROUPS_PK
  PRIMARY KEY ( PN_GID ) )";

$sql2='CREATE SEQUENCE GROUPS_SQ INCREMENT BY 1 START WITH 5 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER groups_tr BEFORE INSERT ON '.$prefix.'_GROUPS FOR EACH ROW WHEN (NEW.pn_gid IS NULL OR NEW.pn_gid = 0) BEGIN SELECT groups_sq.NEXTVAL INTO :NEW.pn_gid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_headlines';
$sql1 = "
CREATE TABLE ".$prefix."_HEADLINES (
  PN_ID         INTEGER       NOT NULL,
  PN_SITENAME   VARCHAR2 (255)  DEFAULT '',
  PN_RSSUSER    VARCHAR2 (10)  DEFAULT NULL,
  PN_RSSPASSWD  VARCHAR2 (10)  DEFAULT NULL,
  PN_USE_PROXY  INTEGER       DEFAULT '0',
  PN_RSSURL     VARCHAR2 (255)  DEFAULT '',
  PN_MAXROWS    INTEGER       DEFAULT '10',
  PN_SITEURL    VARCHAR2 (255)  DEFAULT '',
  PN_OPTIONS    VARCHAR2 (20)  DEFAULT '',
  CONSTRAINT HEADLINES_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE HEADLINES_SQ INCREMENT BY 1 START WITH 24 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER headlines_tr BEFORE INSERT ON '.$prefix.'_HEADLINES FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN SELECT headlines_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_hooks';
$sql1 = "
CREATE TABLE ".$prefix."_HOOKS (
  PN_ID       INTEGER       NOT NULL,
  PN_OBJECT   VARCHAR2 (64)  DEFAULT '',
  PN_ACTION   VARCHAR2 (64)  DEFAULT '',
  PN_SMODULE  VARCHAR2 (64)  DEFAULT NULL,
  PN_STYPE    VARCHAR2 (64)  DEFAULT NULL,
  PN_TAREA    VARCHAR2 (64)  DEFAULT '',
  PN_TMODULE  VARCHAR2 (64)  DEFAULT '',
  PN_TTYPE    VARCHAR2 (64)  DEFAULT '',
  PN_TFUNC    VARCHAR2 (64)  DEFAULT '',
  CONSTRAINT HOOKS_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE HOOKS_SQ INCREMENT BY 1 START WITH 5 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER hooks_tr BEFORE INSERT ON '.$prefix.'_HOOKS FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN    SELECT hooks_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_languages_constant';
$sql1 = "
CREATE TABLE ".$prefix."_LANGUAGES_CONSTANT (
  PN_CONSTANT  VARCHAR2 (32)  DEFAULT '' NOT NULL,
  PN_FILE      VARCHAR2 (64)  DEFAULT '',
  CONSTRAINT LANGUAGES_CONSTANT_PK
  PRIMARY KEY ( PN_CONSTANT ) ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_languages_file';
$sql1 = "
CREATE TABLE ".$prefix."_LANGUAGES_FILE (
  PN_TARGET  VARCHAR2 (64)  DEFAULT '' NOT NULL,
  PN_SOURCE  VARCHAR2 (64)  DEFAULT '' NOT NULL,
  CONSTRAINT LANGUAGES_FILE_PK
  PRIMARY KEY ( PN_TARGET, PN_SOURCE ) ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_languages_translation';
$sql1 = "
CREATE TABLE ".$prefix."_LANGUAGES_TRANSLATION (
  PN_LANGUAGE     VARCHAR2 (32)  DEFAULT '' NOT NULL,
  PN_CONSTANT     VARCHAR2 (32)  DEFAULT '' NOT NULL,
  PN_TRANSLATION  BLOB          NOT NULL,
  PN_LEVEL        INTEGER       DEFAULT '0',
  CONSTRAINT LANGUAGES_TRANSLATION_PK
  PRIMARY KEY ( PN_CONSTANT, PN_LANGUAGE ) )";
dosql($table,$sql1,'','');


$table = $prefix.'_links_categories';
$sql1 = "
CREATE TABLE ".$prefix."_LINKS_CATEGORIES (
  PN_CAT_ID       INTEGER       NOT NULL,
  PN_PARENT_ID    INTEGER       DEFAULT NULL,
  PN_TITLE        VARCHAR2 (50)  DEFAULT '',
  PN_DESCRIPTION  CLOB          NOT NULL,
  CONSTRAINT LINKS_CATEGORIES_PK
  PRIMARY KEY ( PN_CAT_ID ) )";

$sql2='CREATE SEQUENCE LINKS_CATEGORIES_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER links_categories_tr BEFORE INSERT ON '.$prefix.'_LINKS_CATEGORIES FOR EACH ROW WHEN (NEW.pn_cat_id IS NULL OR NEW.pn_cat_id = 0) BEGIN SELECT links_categories_sq.NEXTVAL INTO :NEW.pn_cat_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_links_editorials';
$sql1 = "
CREATE TABLE ".$prefix."_LINKS_EDITORIALS (
  PN_LINKID     INTEGER       DEFAULT '0' NOT NULL,
  PN_ADMINID    VARCHAR2 (60)  DEFAULT '',
  PN_TIMESTAMP  DATE          DEFAULT '0001-01-01 00:00:00',
  PN_TEXT       CLOB          NOT NULL,
  PN_TITLE      VARCHAR2 (100)  DEFAULT '',
  CONSTRAINT LINKS_EDITORIALS_PK
  PRIMARY KEY ( PN_LINKID ) ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_links_links';
$sql1 = "
CREATE TABLE ".$prefix."_LINKS_LINKS (
  PN_LID            INTEGER       NOT NULL,
  PN_CAT_ID         INTEGER       DEFAULT '0',
  PN_TITLE          VARCHAR2 (100)  DEFAULT '',
  PN_URL            VARCHAR2 (100)  DEFAULT '',
  PN_IMAGE          VARCHAR2 (100)  DEFAULT '',
  PN_DESCRIPTION    CLOB          NOT NULL,
  PN_DATE           DATE          DEFAULT NULL,
  PN_NAME           VARCHAR2 (100)  DEFAULT '',
  PN_EMAIL          VARCHAR2 (100)  DEFAULT '',
  PN_HITS           INTEGER       DEFAULT '0',
  PN_SUBMITTER      VARCHAR2 (60)  DEFAULT '',
  PN_RATINGSUMMARY  NUMBER        DEFAULT '0.0000',
  PN_TOTALVOTES     INTEGER       DEFAULT '0',
  PN_TOTALCOMMENTS  INTEGER       DEFAULT '0',
  CONSTRAINT LINKS_LINKS_PK
  PRIMARY KEY ( PN_LID ) )";

$sql2='CREATE SEQUENCE LINKS_LINKS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER links_links_tr BEFORE INSERT ON '.$prefix.'_LINKS_LINKS FOR EACH ROW WHEN (NEW.pn_lid IS NULL OR NEW.pn_lid = 0) BEGIN SELECT links_links_sq.NEXTVAL INTO :NEW.pn_lid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);

$sql4='CREATE INDEX LINKS_LINKS_1_idx ON '.$prefix.'_LINKS_LINKS(pn_description) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}


$table = $prefix.'_links_modrequest';
$sql1 = "
CREATE TABLE ".$prefix."_LINKS_MODREQUEST (
  PN_REQUESTID        INTEGER       NOT NULL,
  PN_LID              INTEGER       DEFAULT '0',
  PN_CAT_ID           INTEGER       DEFAULT '0',
  PN_SID              INTEGER       DEFAULT '0',
  PN_TITLE            VARCHAR2 (100)  DEFAULT '',
  PN_URL              VARCHAR2 (100)  DEFAULT '',
  PN_IMAGE            VARCHAR2 (100)  DEFAULT '',
  PN_DESCRIPTION      CLOB          NOT NULL,
  PN_MODIFYSUBMITTER  VARCHAR2 (60)  DEFAULT '',
  PN_BROKENLINK       INTEGER       DEFAULT '0',
  CONSTRAINT LINKS_MODREQUEST_PK
  PRIMARY KEY ( PN_REQUESTID ) )";

$sql2='CREATE SEQUENCE LINKS_MODREQUEST_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER links_modrequest_tr BEFORE INSERT ON '.$prefix.'_LINKS_MODREQUEST FOR EACH ROW WHEN (NEW.pn_requestid IS NULL OR NEW.pn_requestid = 0) BEGIN SELECT links_modrequest_sq.NEXTVAL INTO :NEW.pn_requestid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_links_newlink';
$sql1 = "
CREATE TABLE ".$prefix."_LINKS_NEWLINK (
  PN_LID          INTEGER       NOT NULL,
  PN_CAT_ID       INTEGER       DEFAULT '0',
  PN_TITLE        VARCHAR2 (100)  DEFAULT '',
  PN_URL          VARCHAR2 (100)  DEFAULT '',
  PN_IMAGE        VARCHAR2 (100)  DEFAULT '',
  PN_DESCRIPTION  CLOB          NOT NULL,
  PN_NAME         VARCHAR2 (100)  DEFAULT '',
  PN_EMAIL        VARCHAR2 (100)  DEFAULT '',
  PN_SUBMITTER    VARCHAR2 (60)  DEFAULT '',
  CONSTRAINT LINKS_NEWLINK_PK
  PRIMARY KEY ( PN_LID ) )";

$sql2='CREATE SEQUENCE LINKS_NEWLINK_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER links_newlink_tr BEFORE INSERT ON '.$prefix.'_LINKS_NEWLINK FOR EACH ROW WHEN (NEW.pn_lid IS NULL OR NEW.pn_lid = 0) BEGIN SELECT links_newlink_sq.NEXTVAL INTO :NEW.pn_lid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_links_votedata';
$sql1 = "
CREATE TABLE ".$prefix."_LINKS_VOTEDATA (
  PN_ID         INTEGER       NOT NULL,
  PN_LID        INTEGER       DEFAULT '0',
  PN_USER       VARCHAR2 (60)  DEFAULT '',
  PN_RATING     INTEGER       DEFAULT '0',
  PN_HOSTNAME   VARCHAR2 (60)  DEFAULT '',
  PN_COMMENTS   CLOB          NOT NULL,
  PN_TIMESTAMP  DATE          DEFAULT '0001-01-01 00:00:00',
  CONSTRAINT LINKS_VOTEDATA_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE LINKS_VOTEDATA_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER links_votedata_tr BEFORE INSERT ON '.$prefix.'_LINKS_VOTEDATA FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN SELECT links_votedata_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_message';
$sql1 = "
CREATE TABLE ".$prefix."_MESSAGE (
  PN_MID       INTEGER       NOT NULL,
  PN_TITLE     VARCHAR2 (100)  DEFAULT '',
  PN_CONTENT   CLOB          NOT NULL,
  PN_DATE      VARCHAR2 (14)  DEFAULT '',
  PN_EXPIRE    INTEGER       DEFAULT '0',
  PN_ACTIVE    INTEGER       DEFAULT '1',
  PN_VIEW      INTEGER       DEFAULT '1',
  PN_LANGUAGE  VARCHAR2 (30)  DEFAULT '',
  CONSTRAINT MESSAGE_PK
  PRIMARY KEY ( PN_MID ) )";

$sql2='CREATE SEQUENCE MESSAGE_SQ INCREMENT BY 1 START WITH 2 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER message_tr BEFORE INSERT ON '.$prefix.'_message FOR EACH ROW WHEN  (new.pn_mid IS NULL OR new.pn_mid = 0) BEGIN    SELECT message_sq.nextval INTO :new.pn_mid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_module_vars';
$sql1 = "
CREATE TABLE ".$prefix."_MODULE_VARS (
  PN_ID       INTEGER       NOT NULL,
  PN_MODNAME  VARCHAR2 (64)  DEFAULT '',
  PN_NAME     VARCHAR2 (64)  DEFAULT '',
  PN_VALUE    CLOB,
  CONSTRAINT MODULE_VARS_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE MODULE_VARS_SQ INCREMENT BY 1 START WITH 237 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER module_vars_tr BEFORE INSERT ON '.$prefix.'_MODULE_VARS FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN SELECT module_vars_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_modules';
$sql1 = "
CREATE TABLE ".$prefix."_MODULES (
  PN_ID             INTEGER       NOT NULL,
  PN_NAME           VARCHAR2 (64)  DEFAULT '',
  PN_TYPE           INTEGER       DEFAULT '0',
  PN_DISPLAYNAME    VARCHAR2 (64)  DEFAULT '',
  PN_DESCRIPTION    VARCHAR2 (255)  DEFAULT '',
  PN_REGID          INTEGER       DEFAULT '0',
  PN_DIRECTORY      VARCHAR2 (64)  DEFAULT '',
  PN_VERSION        VARCHAR2 (10)  DEFAULT '0',
  PN_ADMIN_CAPABLE  INTEGER       DEFAULT '0',
  PN_USER_CAPABLE   INTEGER       DEFAULT '0',
  PN_STATE          INTEGER       DEFAULT '0',
  CONSTRAINT MODULES_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE MODULES_SQ INCREMENT BY 1 START WITH 52 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER modules_tr BEFORE INSERT ON '.$prefix.'_MODULES FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN SELECT modules_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_nomoreblocks';
$sql1 = "
CREATE TABLE ".$prefix."_NOMOREBLOCKS (
  PN_MODULO    VARCHAR2 (32)  DEFAULT '' NOT NULL,
  PN_BLOCCO    VARCHAR2 (32)  DEFAULT '' NOT NULL,
  PN_IDENTI    VARCHAR2 (32)  DEFAULT '',
  PN_POS       VARCHAR2 (4)  DEFAULT '',
  PN_PESO      NUMBER (10,1) DEFAULT '1.0',
  PN_TEMPLATE  VARCHAR2 (50)  DEFAULT '',
  CONSTRAINT NOMOREBLOCKS_PK
  PRIMARY KEY ( PN_BLOCCO, PN_MODULO ) ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_poll_check';
$sql1 = "
CREATE TABLE ".$prefix."_POLL_CHECK (
  PN_IP    VARCHAR2 (20)  DEFAULT '',
  PN_TIME  VARCHAR2 (14)  DEFAULT '' ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_poll_data';
$sql1 = "
CREATE TABLE ".$prefix."_POLL_DATA (
  PN_POLLID       INTEGER       DEFAULT '0',
  PN_OPTIONTEXT   VARCHAR2 (50)  DEFAULT '',
  PN_OPTIONCOUNT  INTEGER       DEFAULT '0',
  PN_VOTEID       INTEGER       DEFAULT '0',
  PN_OPTIONCOLOR  VARCHAR2 (7)  DEFAULT '#009900' ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_poll_desc';
$sql1 = "
CREATE TABLE ".$prefix."_POLL_DESC (
  PN_POLLID        INTEGER       NOT NULL,
  PN_TITLE         VARCHAR2 (100)  DEFAULT '',
  PN_TIMESTAMP     INTEGER       DEFAULT '0',
  PN_VOTERS        INTEGER       DEFAULT '0',
  PN_LANGUAGE      VARCHAR2 (30)  DEFAULT '',
  PN_VOTESYSTEM    CHAR (3)      DEFAULT 'D',
  PN_POSTFULL      INTEGER       DEFAULT '0',
  PN_VOTETRACKING  INTEGER       DEFAULT '0',
  CONSTRAINT POLL_DESC_PK
  PRIMARY KEY ( PN_POLLID ) )";

$sql2='CREATE SEQUENCE POLL_DESC_SQ INCREMENT BY 1 START WITH 2 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER poll_desc_tr BEFORE INSERT ON '.$prefix.'_POLL_DESC FOR EACH ROW WHEN (NEW.pn_pollid IS NULL OR NEW.pn_pollid = 0) BEGIN SELECT poll_desc_sq.NEXTVAL INTO :NEW.pn_pollid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_poll_voters';
$sql1 = "
CREATE TABLE ".$prefix."_POLL_VOTERS (
  PN_POLLID     INTEGER       DEFAULT '0',
  PN_VOTEID     INTEGER       DEFAULT '0',
  PN_UID        INTEGER       DEFAULT '0',
  PN_TIMESTAMP  INTEGER       DEFAULT '0' ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_pollcomments';
$sql1 = "
CREATE TABLE ".$prefix."_POLLCOMMENTS (
  PN_TID        INTEGER       NOT NULL,
  PN_PID        INTEGER       DEFAULT '0',
  PN_POLLID     INTEGER       DEFAULT '0',
  PN_DATE       DATE          DEFAULT NULL,
  PN_NAME       VARCHAR2 (60)  DEFAULT '',
  PN_EMAIL      VARCHAR2 (60)  DEFAULT NULL,
  PN_URL        VARCHAR2 (254)  DEFAULT NULL,
  PN_HOST_NAME  VARCHAR2 (60)  DEFAULT NULL,
  PN_SUBJECT    VARCHAR2 (60)  DEFAULT '',
  PN_COMMENT    CLOB          NOT NULL,
  PN_SCORE      INTEGER       DEFAULT '0',
  PN_REASON     INTEGER       DEFAULT '0',
  CONSTRAINT POLLCOMMENTS_PK
  PRIMARY KEY ( PN_TID ) )";

$sql2='CREATE SEQUENCE POLLCOMMENTS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER pollcomments_tr BEFORE INSERT ON '.$prefix.'_POLLCOMMENTS FOR EACH ROW WHEN (NEW.pn_tid IS NULL OR NEW.pn_tid = 0) BEGIN SELECT pollcomments_sq.NEXTVAL INTO :NEW.pn_tid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_priv_msgs';
$sql1 = "
CREATE TABLE ".$prefix."_PRIV_MSGS (
  PN_MSG_ID       INTEGER       NOT NULL,
  PN_MSG_IMAGE    VARCHAR2 (100)  DEFAULT 'empty',
  PN_SUBJECT      VARCHAR2 (100)  DEFAULT NULL,
  PN_FROM_USERID  INTEGER       DEFAULT '0',
  PN_TO_USERID    INTEGER       DEFAULT '0',
  PN_MSG_TIME     VARCHAR2 (20)  DEFAULT NULL,
  PN_MSG_TEXT     CLOB,
  PN_READ_MSG     INTEGER       DEFAULT '0',
  CONSTRAINT PRIV_MSGS_PK
  PRIMARY KEY ( PN_MSG_ID ) )";

$sql2='CREATE SEQUENCE PRIV_MSGS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER priv_msgs_tr BEFORE INSERT ON '.$prefix.'_PRIV_MSGS FOR EACH ROW WHEN (NEW.pn_msg_id IS NULL OR NEW.pn_msg_id = 0) BEGIN    SELECT priv_msgs_sq.NEXTVAL INTO :NEW.pn_msg_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);

//nuova tavola usata dalla version 1.2.5NLS
$table = $prefix.'_priv_msgs_outbox';
$sql1 = "
CREATE TABLE ".$prefix."_PRIV_MSGS_OUTBOX (
  PN_MSG_ID       INTEGER       NOT NULL,
  PN_MSG_IMAGE    VARCHAR2 (100)  DEFAULT 'empty',
  PN_SUBJECT      VARCHAR2 (100)  DEFAULT NULL,
  PN_FROM_USERID  INTEGER       DEFAULT '0',
  PN_TO_USERID    INTEGER       DEFAULT '0',
  PN_MSG_TIME     VARCHAR2 (20)  DEFAULT NULL,
  PN_MSG_TEXT     CLOB,
  PN_READ_MSG     INTEGER       DEFAULT '0',
  CONSTRAINT PRIV_MSGS_OUTBOX_PK
  PRIMARY KEY ( PN_MSG_ID ) )";

$sql2='CREATE SEQUENCE PRIV_MSGS_OUTBOX_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER priv_msgs_outbox_tr BEFORE INSERT ON '.$prefix.'_PRIV_MSGS_OUTBOX FOR EACH ROW WHEN (NEW.pn_msg_id IS NULL OR NEW.pn_msg_id = 0) BEGIN    SELECT priv_msgs_outbox_sq.NEXTVAL INTO :NEW.pn_msg_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);

$table = $prefix.'_queue';
$sql1 = "
CREATE TABLE ".$prefix."_QUEUE (
  PN_QID        INTEGER       NOT NULL,
  PN_UID        INTEGER       DEFAULT '0',
  PN_ARCD       INTEGER       DEFAULT '0',
  PN_UNAME      VARCHAR2 (40)  DEFAULT '',
  PN_SUBJECT    VARCHAR2 (100)  DEFAULT '',
  PN_STORY      CLOB,
  PN_TIMESTAMP  DATE          DEFAULT '0001-01-01 00:00:00',
  PN_TOPIC      VARCHAR2 (20)  DEFAULT '',
  PN_LANGUAGE   VARCHAR2 (30)  DEFAULT '',
  PN_BODYTEXT   CLOB,
  CONSTRAINT QUEUE_PK
  PRIMARY KEY ( PN_QID ) )";

$sql2='CREATE SEQUENCE QUEUE_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER queue_tr BEFORE INSERT ON '.$prefix.'_QUEUE FOR EACH ROW WHEN (NEW.pn_qid IS NULL OR NEW.pn_qid = 0) BEGIN    SELECT queue_sq.NEXTVAL INTO :NEW.pn_qid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_quotes';
$sql1 = "
CREATE TABLE ".$prefix."_QUOTES (
  PN_QID     INTEGER       NOT NULL,
  PN_QUOTE   CLOB,
  PN_AUTHOR  VARCHAR2 (150)  DEFAULT '',
  CONSTRAINT QUOTES_PK
  PRIMARY KEY ( PN_QID ) )";

$sql2='CREATE SEQUENCE QUOTES_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER quotes_tr BEFORE INSERT ON '.$prefix.'_QUOTES FOR EACH ROW WHEN (NEW.pn_qid IS NULL OR NEW.pn_qid = 0) BEGIN    SELECT quotes_sq.NEXTVAL INTO :NEW.pn_qid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_realms';
$sql1 = "
CREATE TABLE ".$prefix."_REALMS (
  PN_RID   INTEGER       NOT NULL,
  PN_NAME  VARCHAR2 (255)  DEFAULT '',
  CONSTRAINT REALMS_PK
  PRIMARY KEY ( PN_RID ) )";

$sql2='CREATE SEQUENCE REALMS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER realms_tr BEFORE INSERT ON '.$prefix.'_REALMS FOR EACH ROW WHEN (NEW.pn_rid IS NULL OR NEW.pn_rid = 0) BEGIN SELECT realms_sq.NEXTVAL INTO :NEW.pn_rid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_referer';
$sql1 = "
CREATE TABLE ".$prefix."_REFERER (
  PN_RID        INTEGER       NOT NULL,
  PN_URL        VARCHAR2 (100)  DEFAULT '',
  PN_FREQUENCY  INTEGER       DEFAULT NULL,
  CONSTRAINT REFERER_PK
  PRIMARY KEY ( PN_RID ) )";

$sql2='CREATE SEQUENCE REFERER_SQ INCREMENT BY 1 START WITH 2 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER referer_tr BEFORE INSERT ON '.$prefix.'_REFERER FOR EACH ROW WHEN (NEW.pn_rid IS NULL OR NEW.pn_rid = 0) BEGIN SELECT referer_sq.NEXTVAL INTO :NEW.pn_rid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_related';
$sql1 = "
CREATE TABLE ".$prefix."_RELATED (
  PN_RID   INTEGER       NOT NULL,
  PN_TID   INTEGER       DEFAULT '0',
  PN_NAME  VARCHAR2 (30)  DEFAULT '',
  PN_URL   VARCHAR2 (200)  DEFAULT '',
  CONSTRAINT RELATED_PK
  PRIMARY KEY ( PN_RID ) )";

$sql2='CREATE SEQUENCE RELATED_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER related_tr BEFORE INSERT ON '.$prefix.'_RELATED FOR EACH ROW WHEN  (NEW.pn_rid IS NULL OR NEW.pn_rid = 0) BEGIN    SELECT related_sq.NEXTVAL INTO :NEW.pn_rid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_reviews';
$sql1 = "
CREATE TABLE ".$prefix."_REVIEWS (
  PN_ID         INTEGER       NOT NULL,
  PN_DATE       DATE          DEFAULT '0001-01-01 00:00:00',
  PN_TITLE      VARCHAR2 (150)  DEFAULT '',
  PN_TEXT       CLOB          NOT NULL,
  PN_REVIEWER   VARCHAR2 (20)  DEFAULT NULL,
  PN_EMAIL      VARCHAR2 (60)  DEFAULT NULL,
  PN_SCORE      INTEGER       DEFAULT '0',
  PN_COVER      VARCHAR2 (100)  DEFAULT '',
  PN_URL        VARCHAR2 (100)  DEFAULT '',
  PN_URL_TITLE  VARCHAR2 (50)  DEFAULT '',
  PN_HITS       INTEGER       DEFAULT '0',
  PN_LANGUAGE   VARCHAR2 (30)  DEFAULT '',
  CONSTRAINT REVIEWS_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE REVIEWS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER reviews_tr BEFORE INSERT ON '.$prefix.'_REVIEWS FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN SELECT reviews_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);

$sql4='CREATE INDEX REVIEWS_1_idx ON '.$prefix.'_REVIEWS(pn_text) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}


$table = $prefix.'_reviews_add';
$sql1 = "
CREATE TABLE ".$prefix."_REVIEWS_ADD (
  PN_ID         INTEGER       NOT NULL,
  PN_DATE       DATE          DEFAULT NULL,
  PN_TITLE      VARCHAR2 (150)  DEFAULT '',
  PN_TEXT       CLOB          NOT NULL,
  PN_REVIEWER   VARCHAR2 (20)  DEFAULT '',
  PN_EMAIL      VARCHAR2 (60)  DEFAULT NULL,
  PN_SCORE      INTEGER       DEFAULT '0',
  PN_URL        VARCHAR2 (100)  DEFAULT '',
  PN_URL_TITLE  VARCHAR2 (50)  DEFAULT '',
  PN_LANGUAGE   VARCHAR2 (30)  DEFAULT '',
  CONSTRAINT REVIEWS_ADD_PK
  PRIMARY KEY ( PN_ID ) )";

$sql2='CREATE SEQUENCE REVIEWS_ADD_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER reviews_add_tr BEFORE INSERT ON '.$prefix.'_REVIEWS_ADD FOR EACH ROW WHEN (NEW.pn_id IS NULL OR NEW.pn_id = 0) BEGIN SELECT reviews_add_sq.NEXTVAL INTO :NEW.pn_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_reviews_comments';
$sql1 = "
CREATE TABLE ".$prefix."_REVIEWS_COMMENTS (
  PN_CID       INTEGER       NOT NULL,
  PN_RID       INTEGER       DEFAULT '0',
  PN_USERID    VARCHAR2 (25)  DEFAULT '',
  PN_DATE      DATE          DEFAULT NULL,
  PN_COMMENTS  CLOB,
  PN_SCORE     INTEGER       DEFAULT '0',
  CONSTRAINT REVIEWS_COMMENTS_PK
  PRIMARY KEY ( PN_CID ) )";

$sql2='CREATE SEQUENCE REVIEWS_COMMENTS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER reviews_comments_tr BEFORE INSERT ON '.$prefix.'_REVIEWS_COMMENTS FOR EACH ROW WHEN (NEW.pn_cid IS NULL OR NEW.pn_cid = 0) BEGIN    SELECT reviews_comments_sq.NEXTVAL INTO :NEW.pn_cid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);

$sql4='CREATE INDEX REVIEWS_COMMENTS_1_idx ON '.$prefix.'_REVIEWS_COMMENTS(pn_comments) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}


$table = $prefix.'_reviews_main';
$sql1 = "
CREATE TABLE ".$prefix."_REVIEWS_MAIN (
  PN_TITLE        VARCHAR2 (100)  DEFAULT NULL,
  PN_DESCRIPTION  CLOB ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_rtemulti';
$sql1 = "
CREATE TABLE ".$prefix."_RTEMULTI (
  PN_RID         INTEGER       NOT NULL,
  PN_EDITORTYPE  VARCHAR2 (15)  DEFAULT NULL,
  PN_MODNAME     VARCHAR2 (35)  DEFAULT '',
  PN_VARNAME     VARCHAR2 (15)  DEFAULT NULL,
  PN_KEYSTRING   CLOB,
  PN_NEWSTRING   CLOB,
  PN_COMMENT     VARCHAR2 (254)  DEFAULT NULL,
  CONSTRAINT RTEMULTI_PK
  PRIMARY KEY ( PN_RID ) )";

$sql2='CREATE SEQUENCE RTEMULTI_SQ INCREMENT BY 1 START WITH 13 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER rtemulti_tr BEFORE INSERT ON '.$prefix.'_RTEMULTI FOR EACH ROW WHEN  (NEW.pn_rid IS NULL OR NEW.pn_rid = 0) BEGIN SELECT rtemulti_sq.NEXTVAL INTO :NEW.pn_rid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_seccont';
$sql1 = "
CREATE TABLE ".$prefix."_SECCONT (
  PN_ARTID     INTEGER       NOT NULL,
  PN_SECID     INTEGER       DEFAULT '0',
  PN_TITLE     CLOB          NOT NULL,
  PN_CONTENT   CLOB          NOT NULL,
  PN_COUNTER   INTEGER       DEFAULT '0',
  PN_LANGUAGE  VARCHAR2 (30)  DEFAULT '',
  CONSTRAINT SECCONT_PK
  PRIMARY KEY ( PN_ARTID ) )";

$sql2='CREATE SEQUENCE SECCONT_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER seccont_tr BEFORE INSERT ON '.$prefix.'_SECCONT FOR EACH ROW WHEN  (NEW.pn_artid IS NULL OR NEW.pn_artid = 0) BEGIN SELECT seccont_sq.NEXTVAL INTO :NEW.pn_artid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_session_info';
$sql1 = "
CREATE TABLE ".$prefix."_SESSION_INFO (
  PN_SESSID     VARCHAR2 (32)  DEFAULT '' NOT NULL,
  PN_IPADDR     VARCHAR2 (20)  DEFAULT '',
  PN_FIRSTUSED  INTEGER       DEFAULT '0',
  PN_LASTUSED   INTEGER       DEFAULT '0',
  PN_UID        INTEGER       DEFAULT '0',
  PN_VARS       BLOB,
  CONSTRAINT SESSION_INFO_PK
  PRIMARY KEY ( PN_SESSID ) ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_stats_date';
$sql1 = "
CREATE TABLE ".$prefix."_STATS_DATE (
  PN_DATE  VARCHAR2 (80)  DEFAULT '',
  PN_HITS  INTEGER       DEFAULT '0' ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_stats_hour';
$sql1 = "
CREATE TABLE ".$prefix."_STATS_HOUR (
  PN_HOUR  INTEGER       DEFAULT '0',
  PN_HITS  INTEGER       DEFAULT '0' ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_stats_month';
$sql1 = "
CREATE TABLE ".$prefix."_STATS_MONTH (
  PN_MONTH  INTEGER       DEFAULT '0',
  PN_HITS   INTEGER       DEFAULT '0' ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_stats_week';
$sql1 = "
CREATE TABLE ".$prefix."_STATS_WEEK (
  PN_WEEKDAY  INTEGER       DEFAULT '0',
  PN_HITS     INTEGER       DEFAULT '0' ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_stories';
$sql1 = "
CREATE TABLE ".$prefix."_STORIES (
  PN_SID            INTEGER       NOT NULL,
  PN_CATID          INTEGER       DEFAULT '0',
  PN_AID            VARCHAR2 (30)  DEFAULT '',
  PN_TITLE          VARCHAR2 (255)  DEFAULT NULL,
  PN_TIME           DATE          DEFAULT NULL,
  PN_HOMETEXT       CLOB,
  PN_BODYTEXT       CLOB          NOT NULL,
  PN_COMMENTS       INTEGER       DEFAULT '0',
  PN_COUNTER        INTEGER       DEFAULT NULL,
  PN_TOPIC          INTEGER       DEFAULT '1',
  PN_INFORMANT      VARCHAR2 (20)  DEFAULT '',
  PN_NOTES          CLOB          NOT NULL,
  PN_IHOME          INTEGER       DEFAULT '0',
  PN_THEMEOVERRIDE  VARCHAR2 (30)  DEFAULT '',
  PN_LANGUAGE       VARCHAR2 (30)  DEFAULT '',
  PN_WITHCOMM       INTEGER       DEFAULT '0',
  PN_FORMAT_TYPE    INTEGER       DEFAULT '0',
  PN_SKINS          VARCHAR2 (255)  DEFAULT '',
  CONSTRAINT STORIES_PK
  PRIMARY KEY ( PN_SID ) )";

$sql2='CREATE SEQUENCE STORIES_SQ INCREMENT BY 1 START WITH 3 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER stories_tr BEFORE INSERT ON '.$prefix.'_STORIES FOR EACH ROW WHEN (NEW.pn_sid IS NULL OR NEW.pn_sid = 0) BEGIN    SELECT stories_sq.NEXTVAL INTO :NEW.pn_sid FROM dual; END;';
dosql($table,$sql1,$sql2,$sql3);

$sql4='CREATE INDEX STORIES_1_idx ON '.$prefix.'_STORIES(pn_hometext) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index 1st on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}

$sql4='CREATE INDEX STORIES_2_idx ON '.$prefix.'_STORIES(pn_bodytext) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the 2nd index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}

$sql4='CREATE INDEX STORIES_3_idx ON '.$prefix.'_STORIES(pn_notes) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index 3th on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}


$table = $prefix.'_stories_cat';
$sql1 = "
CREATE TABLE ".$prefix."_STORIES_CAT (
  PN_CATID          INTEGER       NOT NULL,
  PN_TITLE          VARCHAR2 (40)  DEFAULT '',
  PN_COUNTER        INTEGER       DEFAULT '0',
  PN_THEMEOVERRIDE  VARCHAR2 (30)  DEFAULT '',
  CONSTRAINT STORIES_CAT_PK
  PRIMARY KEY ( PN_CATID ) )";

$sql2='CREATE SEQUENCE STORIES_CAT_SQ INCREMENT BY 1 START WITH 3 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER stories_cat_tr BEFORE INSERT ON '.$prefix.'_STORIES_CAT FOR EACH ROW WHEN (NEW.pn_catid IS NULL OR NEW.pn_catid = 0) BEGIN SELECT stories_cat_sq.NEXTVAL INTO :NEW.pn_catid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_subcategories';
$sql1 = "
CREATE TABLE ".$prefix."_SUBCATEGORIES (
  CATID     INTEGER       NOT NULL,
  CATNAME   VARCHAR2 (50)  DEFAULT '',
  CATTEXT   CLOB          NOT NULL,
  KEYWORDS  VARCHAR2 (255)  DEFAULT '',
  CATORDER  INTEGER       DEFAULT '0',
  CONSTRAINT SUBCATEGORIES_PK
  PRIMARY KEY ( CATID ) )";

$sql2='CREATE SEQUENCE SUBCATEGORIES_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER subcategories_tr BEFORE INSERT ON '.$prefix.'_SUBCATEGORIES FOR EACH ROW WHEN (NEW.catid IS NULL OR NEW.catid = 0) BEGIN SELECT subcategories_sq.NEXTVAL INTO :NEW.catid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_subjects';
$sql1 = "
CREATE TABLE ".$prefix."_SUBJECTS (
  SUBID        INTEGER       NOT NULL,
  CATID        INTEGER       DEFAULT '0',
  SUBNAME      VARCHAR2 (50)  DEFAULT '',
  SUBTEXT      CLOB          NOT NULL,
  SUBIMAGE     VARCHAR2 (255)  DEFAULT '',
  SUBACTIVE    INTEGER       DEFAULT '0',
  SUBORDER     INTEGER       DEFAULT '0',
  SUBCOUNTER   INTEGER       DEFAULT '0',
  KEYWORDS           VARCHAR2 (255)  DEFAULT '',
  SUBLANGUAGE  VARCHAR2 (30)  DEFAULT '',
  CONSTRAINT SUBJECTS_PK
  PRIMARY KEY ( SUBID ) )";

$sql2='CREATE SEQUENCE SUBJECTS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER subjects_tr BEFORE INSERT ON '.$prefix.'_SUBJECTS FOR EACH ROW WHEN  (NEW.subid IS NULL OR NEW.subid = 0) BEGIN  SELECT subjects_sq.NEXTVAL INTO :NEW.subid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_subpages';
$sql1 = "
  CREATE TABLE ".$prefix."_SUBPAGES (
  PAGEID               INTEGER       NOT NULL,
  SUBID                INTEGER       DEFAULT '0',
  PARENTPAGEID         INTEGER       DEFAULT '0',
  PAGETITLE            VARCHAR2 (100)  DEFAULT '',
  PAGETEXT             CLOB          NOT NULL,
  PAGECONTENT          CLOB          NOT NULL,
  PAGEFILE             VARCHAR2 (255)  DEFAULT '',
  PAGEIMAGE            VARCHAR2 (255)  DEFAULT '',
  PAGEAUTHOR           VARCHAR2 (50)  DEFAULT '',
  PAGEAUTHOREMAIL      VARCHAR2 (50)  DEFAULT '',
  PAGEAUTHORURL        VARCHAR2 (100)  DEFAULT '',
  PAGEACTIVE           INTEGER       DEFAULT '0',
  PAGEORDER            INTEGER       DEFAULT '0',
  PAGEDATETIME         DATE          DEFAULT '0001-01-01 00:00:00',
  PAGECOUNTER          INTEGER       DEFAULT '0',
  REVIEWSCOUNT         INTEGER       DEFAULT '0',
  REVIEWSSCORE         INTEGER       DEFAULT '0',
  REVIEWACTIVE         INTEGER       DEFAULT '0',
  KEYWORDS                           VARCHAR2 (255)  DEFAULT '',
  USERNAME             VARCHAR2 (255)  DEFAULT '',
  CONSTRAINT SUBPAGES_PK
  PRIMARY KEY ( PAGEID ) )";

$sql2='CREATE SEQUENCE SUBPAGES_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER subpages_tr BEFORE INSERT ON '.$prefix.'_SUBPAGES FOR EACH ROW WHEN (NEW.pageid IS NULL OR NEW.pageid = 0) BEGIN    SELECT subpages_sq.NEXTVAL INTO :NEW.pageid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);

$sql4='CREATE INDEX SUBPAGES_1_idx ON '.$prefix.'_SUBPAGES(pagecontent) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}
$sql4='CREATE INDEX SUBPAGES_2_idx ON '.$prefix.'_SUBPAGES(pagetext) indextype IS  ctxsys.context';
$result = $dbconn->Execute($sql4);
if ($result === false) {
        echo "<font class=\"pn-failed\">"._NOTMADE." the index on ".$table."</font>";
        exit;
}else{
        echo "<br><font class=\"pn-sub\"> Index on table ".$table." "._MADE."</font>";
}


$table = $prefix.'_subreviews';
$sql1 = "
CREATE TABLE ".$prefix."_SUBREVIEWS (
  REVIEWID        INTEGER       NOT NULL,
  PAGEID          INTEGER       DEFAULT '0',
  REVIEWTITLE     VARCHAR2 (50)  DEFAULT '',
  REVIEWCOMMENTS  CLOB          NOT NULL,
  REVIEWSCORE     INTEGER       DEFAULT '0',
  REVIEWUSER      VARCHAR2 (25)  DEFAULT '',
  REVIEWHOSTIP    VARCHAR2 (15)  DEFAULT '',
  REVIEWDATETIME  DATE          DEFAULT '0001-01-01 00:00:00',
  CONSTRAINT SUBREVIEWS_PK
  PRIMARY KEY ( REVIEWID ) )";

$sql2='CREATE SEQUENCE SUBREVIEWS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER subreviews_tr BEFORE INSERT ON '.$prefix.'_SUBREVIEWS FOR EACH ROW WHEN (NEW.reviewid IS NULL OR NEW.reviewid = 0) BEGIN SELECT subreviews_sq.NEXTVAL INTO :NEW.reviewid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);




$table = $prefix.'_topics';
$sql1 = "
CREATE TABLE ".$prefix."_TOPICS (
  PN_TOPICID     INTEGER       NOT NULL,
  PN_TOPICNAME   VARCHAR2 (255)  DEFAULT NULL,
  PN_LANGUAGE    VARCHAR2 (30)  DEFAULT '',
  PN_TOPICIMAGE  VARCHAR2 (255)  DEFAULT NULL,
  PN_TOPICTEXT   VARCHAR2 (255)  DEFAULT NULL,
  PN_COUNTER     INTEGER       DEFAULT '0',
  PN_TOPICNAMETAG VARCHAR2 (32)  DEFAULT '',
  PN_TOPICPARENT  VARCHAR2 (32)  DEFAULT '',
  PN_TOPICEXTTEXT  CLOB,
  CONSTRAINT TOPICS_PK
  PRIMARY KEY ( PN_TOPICID ) )";

$sql2='CREATE SEQUENCE TOPICS_SQ INCREMENT BY 1 START WITH 6 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER topics_tr BEFORE INSERT ON '.$prefix.'_TOPICS FOR EACH ROW WHEN  (NEW.pn_topicid IS NULL OR NEW.pn_topicid = 0) BEGIN SELECT topics_sq.NEXTVAL INTO :NEW.pn_topicid FROM  dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_userblocks';
$sql1 = "
CREATE TABLE ".$prefix."_USERBLOCKS (
  PN_UID          INTEGER       DEFAULT '0' NOT NULL,
  PN_BID          INTEGER       DEFAULT '0' NOT NULL,
  PN_ACTIVE       INTEGER       DEFAULT '1' NOT NULL,
  PN_LAST_UPDATE  DATE )";

$sql3='CREATE OR REPLACE TRIGGER userblocks_tr BEFORE INSERT OR UPDATE ON '.$prefix.'_USERBLOCKS FOR EACH ROW WHEN (NEW.pn_last_update IS NULL) BEGIN SELECT SYSDATE INTO :NEW.pn_last_update FROM dual; END; ';
dosql($table,$sql1,'',$sql3);


$table = $prefix.'_users';
$sql1 = "
CREATE TABLE ".$prefix."_USERS (
  PN_UID              INTEGER       NOT NULL,
  PN_NAME             VARCHAR2 (60)  DEFAULT '',
  PN_UNAME            VARCHAR2 (25)  DEFAULT '',
  PN_EMAIL            VARCHAR2 (60)  DEFAULT '',
  PN_FEMAIL           VARCHAR2 (60)  DEFAULT '',
  PN_URL              VARCHAR2 (254)  DEFAULT '',
  PN_USER_AVATAR      VARCHAR2 (30)  DEFAULT NULL,
  PN_USER_REGDATE     VARCHAR2 (20)  DEFAULT '',
  PN_USER_ICQ         VARCHAR2 (15)  DEFAULT NULL,
  PN_USER_OCC         VARCHAR2 (100)  DEFAULT NULL,
  PN_USER_FROM        VARCHAR2 (100)  DEFAULT NULL,
  PN_USER_INTREST     VARCHAR2 (150)  DEFAULT NULL,
  PN_USER_SIG         VARCHAR2 (255)  DEFAULT NULL,
  PN_USER_VIEWEMAIL   INTEGER       DEFAULT NULL,
  PN_USER_THEME       INTEGER       DEFAULT NULL,
  PN_USER_AIM         VARCHAR2 (18)  DEFAULT NULL,
  PN_USER_YIM         VARCHAR2 (25)  DEFAULT NULL,
  PN_USER_MSNM        VARCHAR2 (25)  DEFAULT NULL,
  PN_PASS             VARCHAR2 (40)  DEFAULT '',
  PN_STORYNUM         INTEGER       DEFAULT '10',
  PN_UMODE            VARCHAR2 (10)  DEFAULT '',
  PN_UORDER           INTEGER       DEFAULT '0',
  PN_THOLD            INTEGER       DEFAULT '0',
  PN_NOSCORE          INTEGER       DEFAULT '0',
  PN_BIO              VARCHAR2 (255)  DEFAULT '',
  PN_UBLOCKON         INTEGER       DEFAULT '0',
  PN_UBLOCK           VARCHAR2 (255)  DEFAULT '',
  PN_THEME            VARCHAR2 (255)  DEFAULT '',
  PN_COMMENTMAX       INTEGER       DEFAULT '4096',
  PN_COUNTER          INTEGER       DEFAULT '0',
  PN_TIMEZONE_OFFSET  NUMBER        DEFAULT '0',
  pn_message 		  integer       default '0',
  CONSTRAINT USERS_PK
  PRIMARY KEY ( PN_UID ) )";

$sql2='CREATE SEQUENCE USERS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER users_tr BEFORE INSERT ON '.$prefix.'_users FOR EACH ROW WHEN (new.pn_uid IS NULL OR new.pn_uid = 0) BEGIN SELECT users_sq.nextval INTO :new.pn_uid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_users_delrequest';
$sql1 = "
CREATE TABLE ".$prefix."_USERS_DELREQUEST (
  PN_UID    INTEGER       DEFAULT '0' NOT NULL,
  PN_NAME   VARCHAR2 (60)  DEFAULT '',
  PN_UNAME  VARCHAR2 (25)  DEFAULT '',
  PN_EMAIL  VARCHAR2 (60)  DEFAULT '',
  PN_PASS   VARCHAR2 (40)  DEFAULT '',
  CONSTRAINT USERS_DELREQUEST_PK
  PRIMARY KEY ( PN_UID ) ) ";
dosql($table,$sql1,'','');


$table = $prefix.'_users_modrequest';
$sql1 = "
CREATE TABLE ".$prefix."_USERS_MODREQUEST (
  PN_UACTR            INTEGER       NOT NULL,
  PN_UID              INTEGER       DEFAULT '0',
  PN_NAME             VARCHAR2 (60)  DEFAULT '',
  PN_UNAME            VARCHAR2 (25)  DEFAULT '',
  PN_EMAIL            VARCHAR2 (60)  DEFAULT '',
  PN_FEMAIL           VARCHAR2 (60)  DEFAULT '',
  PN_URL              VARCHAR2 (100)  DEFAULT '',
  PN_USER_AVATAR      VARCHAR2 (30)  DEFAULT NULL,
  PN_USER_REGDATE     VARCHAR2 (20)  DEFAULT '',
  PN_USER_ICQ         VARCHAR2 (15)  DEFAULT NULL,
  PN_USER_OCC         VARCHAR2 (100)  DEFAULT NULL,
  PN_USER_FROM        VARCHAR2 (100)  DEFAULT NULL,
  PN_USER_INTREST     VARCHAR2 (150)  DEFAULT NULL,
  PN_USER_SIG         VARCHAR2 (255)  DEFAULT NULL,
  PN_USER_VIEWEMAIL   INTEGER       DEFAULT NULL,
  PN_USER_THEME       INTEGER       DEFAULT NULL,
  PN_USER_AIM         VARCHAR2 (18)  DEFAULT NULL,
  PN_USER_YIM         VARCHAR2 (25)  DEFAULT NULL,
  PN_USER_MSNM        VARCHAR2 (25)  DEFAULT NULL,
  PN_PASS             VARCHAR2 (40)  DEFAULT '',
  PN_STORYNUM         INTEGER       DEFAULT '10',
  PN_UMODE            VARCHAR2 (10)  DEFAULT '',
  PN_UORDER           INTEGER       DEFAULT '0',
  PN_THOLD            INTEGER       DEFAULT '0',
  PN_NOSCORE          INTEGER       DEFAULT '0',
  PN_BIO              VARCHAR2 (255) ,
  PN_UBLOCKON         INTEGER       DEFAULT '0',
  PN_UBLOCK           VARCHAR2 (255) ,
  PN_THEME            VARCHAR2 (255)  DEFAULT '',
  PN_COMMENTMAX       INTEGER       DEFAULT '4096',
  PN_COUNTER          INTEGER       DEFAULT '0',
  PN_TIMEZONE_OFFSET  NUMBER        DEFAULT '0',
  PN_UDA_VARS         CLOB          NOT NULL,
  PN_GID              INTEGER       DEFAULT '0',
  PN_PPN              INTEGER       DEFAULT '0',
  PN_UADD             INTEGER       DEFAULT '0',
  PN_UDEL             INTEGER       DEFAULT '0',
  PN_REASON           CLOB          DEFAULT '0',
  CONSTRAINT USERS_MODREQUEST_PK
  PRIMARY KEY ( PN_UACTR ) )";

$sql2='CREATE SEQUENCE USERS_MODREQUEST_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER users_modrequest_tr BEFORE INSERT ON '.$prefix.'_USERS_MODREQUEST FOR EACH ROW WHEN (NEW.pn_uactr IS NULL OR NEW.pn_uactr = 0) BEGIN SELECT users_modrequest_sq.NEXTVAL INTO  :NEW.pn_uactr FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_user_data';
$sql1 = "
CREATE TABLE ".$prefix."_USER_DATA (
  PN_UDA_ID      INTEGER       NOT NULL,
  PN_UDA_PROPID  INTEGER       DEFAULT '0',
  PN_UDA_UID     INTEGER       DEFAULT '0',
  PN_UDA_VALUE   CLOB          NOT NULL,
  CONSTRAINT USER_DATA_PK
  PRIMARY KEY ( PN_UDA_ID ) )";

$sql2='CREATE SEQUENCE USER_DATA_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER user_data_tr BEFORE INSERT ON '.$prefix.'_USER_DATA FOR EACH ROW WHEN (NEW.pn_uda_id IS NULL OR NEW.pn_uda_id = 0) BEGIN    SELECT user_data_sq.NEXTVAL INTO :NEW.pn_uda_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_user_perms';
$sql1 = "
CREATE TABLE ".$prefix."_USER_PERMS (
  PN_PID        INTEGER       NOT NULL,
  PN_UID        INTEGER       DEFAULT '0',
  PN_SEQUENCE   INTEGER       DEFAULT '0',
  PN_REALM      INTEGER       DEFAULT '0',
  PN_COMPONENT  VARCHAR2 (255)  DEFAULT '',
  PN_INSTANCE   VARCHAR2 (255)  DEFAULT '',
  PN_LEVEL      INTEGER       DEFAULT '0',
  PN_BOND       INTEGER       DEFAULT '0',
  CONSTRAINT USER_PERMS_PK
  PRIMARY KEY ( PN_PID ) )";

$sql2='CREATE SEQUENCE USER_PERMS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER user_perms_tr BEFORE INSERT ON '.$prefix.'_USER_PERMS FOR EACH ROW WHEN (NEW.pn_pid IS NULL OR NEW.pn_pid = 0) BEGIN SELECT user_perms_sq.NEXTVAL INTO :NEW.pn_pid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


$table = $prefix.'_user_points';
$sql1 = "
CREATE TABLE ".$prefix."_USER_POINTS (
  \"UID\"         INTEGER       NOT NULL,
  UNAME       VARCHAR2 (25) DEFAULT '',
  STORIES     INTEGER       DEFAULT '0',
  COMMENTS    INTEGER       DEFAULT '0',
  POLLCOMM    INTEGER       DEFAULT '0',
  DOWNLOADS   INTEGER       DEFAULT '0',
  DLOADVOTES  INTEGER       DEFAULT '0',
  LINKS       INTEGER       DEFAULT '0',
  LINKVOTES   INTEGER       DEFAULT '0',
  REVIEWS     INTEGER       DEFAULT '0',
  REVIEWCOMM  INTEGER       DEFAULT '0',
  POSTS       INTEGER       DEFAULT '0',
  POINTS      INTEGER       DEFAULT '0',
  CONSTRAINT USER_POINTS_PK
  PRIMARY KEY ( \"UID\" )
) ";

dosql($table,$sql1,'','');


$table = $prefix.'_user_property';
$sql1 = "
CREATE TABLE ".$prefix."_USER_PROPERTY (
  PN_PROP_ID          INTEGER       NOT NULL,
  PN_PROP_LABEL       VARCHAR2 (255)  DEFAULT '',
  PN_PROP_DTYPE       INTEGER       DEFAULT '0',
  PN_PROP_LENGTH      INTEGER       DEFAULT '255',
  PN_PROP_WEIGHT      INTEGER       DEFAULT '0',
  PN_PROP_VALIDATION  CLOB          DEFAULT NULL,
  CONSTRAINT USER_PROPERTY_PK
  PRIMARY KEY ( PN_PROP_ID ) )";

$sql2='CREATE SEQUENCE USER_PROPERTY_SQ INCREMENT BY 1 START WITH 18 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER user_property_tr BEFORE INSERT ON '.$prefix.'_USER_PROPERTY FOR EACH ROW WHEN (NEW.pn_prop_id IS NULL OR NEW.pn_prop_id = 0) BEGIN  SELECT user_property_sq.NEXTVAL INTO  :NEW.pn_prop_id FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);



// new from envolution 125NLS
$table = $prefix.'_stories_ratings';
$sql1 = "
CREATE TABLE ".$prefix."_stories_ratings (
   pn_sid                integer default '0',
   pn_rating        integer default '0'
) ";

dosql($table,$sql1,'','');



// new from envolution 125NLS
$table = $prefix.'_ratings';
$sql1 = "
CREATE TABLE ".$prefix."_ratings (
  pn_rid                integer                        NOT NULL,
  pn_module                varchar2(32)        default '',
  pn_itemid                varchar2(64)        default '',
  pn_ratingtype varchar2(64)        default '',
  pn_rating                number(7,5)                default '0.00000',
  pn_numratings integer                        default '1',
  CONSTRAINT RATINGS_PK
  PRIMARY KEY ( pn_rid ) )";

$sql2='CREATE SEQUENCE RATINGS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE CACHE 20 NOORDER';
$sql3='CREATE OR REPLACE TRIGGER ratings_tr BEFORE INSERT ON '.$prefix.'_ratings FOR EACH ROW WHEN (NEW.pn_rid IS NULL OR NEW.pn_rid = 0) BEGIN  SELECT ratings_sq.NEXTVAL INTO  :NEW.pn_rid FROM dual; END; ';
dosql($table,$sql1,$sql2,$sql3);


// new from envolution 125NLS
$table = $prefix.'_ratingslog';
$sql1 = "
CREATE TABLE ".$prefix."_ratingslog (
  pn_id                        varchar2(32)        default '',
  pn_ratingid        varchar2(64)        default '',
  pn_rating                integer                        default '0' ) ";

dosql($table,$sql1,'','');


// new from envolution 125NLS
$table = $prefix.'_ew_filemanager';
$sql1 = "
CREATE TABLE ".$prefix."_ew_filemanager (
  pn_uid                integer                        NOT NULL,
  pn_path                varchar2 (255)  default 'slash/ended/path/to/files/',
  CONSTRAINT FILEMANAGER_PK
  PRIMARY KEY ( pn_uid ) )";
dosql($table,$sql1,'','');

$table = $prefix.'_mdmenus';
$sqlx = "
CREATE TABLE ".$prefix."_mdmenus (
                    id integer NOT NULL ,
                    parent_id integer  DEFAULT '1',
                    text varchar2(1024),
                    href varchar2(512),
                    title varchar2(512),
                    icon varchar2(512),
                    target varchar2(512),
                    orderfield  integer DEFAULT '0',
                    expanded integer DEFAULT '0',
                    PRIMARY KEY(id) )";

$sql2='CREATE SEQUENCE MDMENUS_SQ INCREMENT BY 1 START WITH 1 NOCYCLE NOCACHE NOORDER';
$sql3='CREATE OR REPLACE TRIGGER mdmenus_tr BEFORE INSERT ON '.$prefix.'_mdmenus FOR EACH ROW WHEN (NEW.id IS NULL OR NEW.id = 0) BEGIN  SELECT mdmenus_sq.NEXTVAL INTO  :NEW.id FROM dual; END; ';
dosql($table,$sqlx,$sql2,$sql3);


$result = $dbconn->Execute("commit");
if ($result === false) {
        echo "<font class=\"pn-failed\"> Commit executed</font>";
}
?>