<?php
// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// ----------------------------------------------------------------------------
// Original Author of file: Envolution Development Team - WindMeUp
// Purpose of file:         Install data for a Envo1.1 upgrade installation
// ----------------------------------------------------------------------------


include_once("includes/pnAPI.php");
include_once("includes/pnMod.php");

function doupdate_125($table,$check=1,$field='*',$update='insert') {
        GLOBAL $dbconn;
        $dataupdate = 1;
        $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." WHERE ".$check." LIMIT 1");
        if ($result->EOF && $update == 'insert') {
                   $error = "<br><font class=\"pn-sub\">".$table." :: ".$check." :: ".$update." "._UPDATED."</font>";
                $log = $table." :: ".$check." :: ".$update." "._UPDATED."\n";
        } elseif ((!$result->EOF) && $update != 'insert') {
                   $error = "<br><font class=\"pn-sub\">".$table." :: ".$check." :: ".$update." "._UPDATED."</font>";
                $log = $table." :: ".$check." :: ".$update." "._UPDATED."\n";
        } else {
                $error = "<br><font class=\"pn-sub\">"._NOTDONE.":MD10-Data: ".$table." :: ".$check." :: ".$update." :: "._NOUPDATE."</font>";
                $log = _NOTDONE.":MD10-Data: ".$table." :: ".$check." :: ".$update." :: "._NOUPDATE."\n";
                $dataupdate = 0;
        }

        echo $error;
    // Log-file entry: Selection from previous step !!
    do_upgrade_log($log."\n");

return $dataupdate;
}

list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_group_perms [UPDATE] (possible problems with old 'Section'-settings !!!)
// Author:                WindMeUp 06/11/2003
//
// Priority:    required if update from 'Subjects' to 'subjects' [new subjects module]
///////////////////////////////////////////////////////////////////////////////
if($subjects) {
        // possible we have older installation
        $table = $prefix.'_group_perms';
        $check = "pn_component = 'Subjects::' AND pn_pid<'17'";

        if(doupdate_125($table,$check,"*","update")) {
                $modcolumn = &$pntable['group_perms_column'];
                $dbconn->Execute("
                                                 UPDATE $pntable[group_perms]
                                                 SET $modcolumn[component] = 'subjects::'
                                                 WHERE $modcolumn[component]='Subjects::'
                                                 AND $modcolumn[pid]<'17'
                                                 ")
                                                 or die("<b>"._NOTUPDATED.$prefix."_group_perms</b>");
        }
        // newer entry from eNvo 1.2
        $check = "pn_component = 'AddStory::|Subjects::|Web_Links::|Reviews::|FAQ::|Downloads::|Admin::|RteMulti::::'";

        if(doupdate_125($table,$check,"*","update")) {
                $modcolumn = &$pntable['group_perms_column'];
                $dbconn->Execute("UPDATE $pntable[group_perms]
                                                 SET $modcolumn[component] = 'AddStory::|subjects::|Web_Links::|Reviews::|FAQ::|Downloads::|Admin::|RteMulti::::' WHERE $modcolumn[component]='AddStory::|Subjects::|Web_Links::|Reviews::|FAQ::|Downloads::|Admin::|RteMulti::::'
                                                 ")
                                                 or die("<b>"._NOTUPDATED.$prefix."_group_perms</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_group_perms. Subjects for upgrade not selected."."\n");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars [UPDATE]
// Author:                WindMeUp 06/11/2003
//
// Priority:    required [new version number]
///////////////////////////////////////////////////////////////////////////////
$table = $prefix.'_module_vars';
$check = "pn_modname = '/PNConfig' AND pn_name = 'Version_Num'";
if(doupdate_125($table,$check,"*","update")) {
        $modcolumn = &$pntable['module_vars_column'];
        $dbconn->Execute("
                         UPDATE $pntable[module_vars]
                                         SET $modcolumn[value] = 's:3:\"1.0\";'
                                         WHERE $modcolumn[modname]='/PNConfig'
                                         AND   $modcolumn[name] = 'Version_Num'
                                         ")
                                         or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' AND pn_name = 'metakeywords'";
if(doupdate_125($table,$check,"*","update")) {
        $modcolumn = &$pntable['module_vars_column'];
        $dbconn->Execute("
                         UPDATE $pntable[module_vars]
                                         SET $modcolumn[value] = 's:200:\"MD-Pro, free, community, php, portal, opensource, open source, gpl, mysql, sql, database, web site, website, weblog, content management, contentmanagement, web content management, webcontentmanagement\";'
                                         WHERE $modcolumn[modname]='/PNConfig'
                                         AND   $modcolumn[name] = 'metakeywords'
                                         ")
                                         or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' AND pn_name = 'foot1'";
if(doupdate_125($table,$check,"*","update")) {
        $modcolumn = &$pntable['module_vars_column'];
        $dbconn->Execute("
                         UPDATE $pntable[module_vars]
                                         SET $modcolumn[value] = 's:470:\"<br>All logos and trademarks in this site are property of their respective owner. The comments are property of their posters, all the rest  2002 by me<br>This web site was made with <a href=\"http://www.maxdev.com\" target=\"_blank\">MD-Pro</a>, a web portal system written in PHP. MD-Pro is Free Software released under the <a href=\"http://www.gnu.org\" target=\"_blank\">GNU/GPL license</a>.<br>You can syndicate our news using the file <a href=\"backend.php\">backend.php</a>\";'
                                         WHERE $modcolumn[modname]='/PNConfig'
                                         AND   $modcolumn[name] = 'foot1'
                                         ")
                                         or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' AND pn_name = 'backend_title'";
if(doupdate_125($table,$check,"*","update")) {
        $modcolumn = &$pntable['module_vars_column'];
        $dbconn->Execute("
                         UPDATE $pntable[module_vars]
                                         SET $modcolumn[value] = 's:23:\"MD-Pro Powered Site\";'
                                         WHERE $modcolumn[modname]='/PNConfig'
                                         AND   $modcolumn[name] = 'backend_title'
                                         ")
                                         or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' AND pn_name = 'Version_ID'";
if(doupdate_125($table,$check,"*","update")) {
        $modcolumn = &$pntable['module_vars_column'];
        $dbconn->Execute("
                         UPDATE $pntable[module_vars]
                                         SET $modcolumn[value] = 's:6:\"MD-Pro\";'
                                         WHERE $modcolumn[modname]='/PNConfig'
                                         AND   $modcolumn[name] = 'Version_ID'
                                         ")
                                         or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' AND pn_name = 'Version_Sub'";
if(doupdate_125($table,$check,"*","update")) {
        $modcolumn = &$pntable['module_vars_column'];
        $dbconn->Execute("
                         UPDATE $pntable[module_vars]
                                         SET $modcolumn[value] = 's:4:\"C-MD\";'
                                         WHERE $modcolumn[modname]='/PNConfig'
                                         AND   $modcolumn[name] = 'Version_Sub'
                                         ")
                                         or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars [UPDATE]
// Author:                WindMeUp 06/11/2003
//
// Priority:    optional if set to default eNvo theme [if $themeengine checked]
///////////////////////////////////////////////////////////////////////////////
if($themeengine) {
        $table = $prefix.'_module_vars';
        $check = "pn_modname = '/PNConfig' AND pn_name = 'Default_Theme'";

        if(doupdate_125($table,$check,"*","update")) {
                $modcolumn = &$pntable['module_vars_column'];
                $dbconn->Execute("
                                 UPDATE $pntable[module_vars] SET $modcolumn[value] = 's:4:\"C-MD\";'
                                             WHERE $modcolumn[modname]='/PNConfig'
                                                 AND   $modcolumn[name] = 'Default_Theme'
                                                 ")
                                                 or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module_vars. Theme for upgrade not selected."."\n");
}


///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 02/11/2003
//
// Priority:    required if update from 'Subjects' to 'subjects' [new subjects module]
///////////////////////////////////////////////////////////////////////////////
global $pages_upload_path;

if($subjects) {
        $table = $prefix.'_module_vars';

        $check = "pn_modname = 'subjects' and pn_name= 'pagespath'";
        if(doupdate_125($table,$check)) {
                // Log-file entry: Selection from previous step !!
                do_upgrade_log("Warning: ".$prefix."_module_vars. Old Subjects values found. Please delete them. MD-Pro doesn't need them anymore."."\n");
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'pagespath', '$pages_upload_path')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'subjects' and pn_name= 'wysiwygeditor'";
        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'wysiwygeditor', '0')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'subjects' and pn_name= 'pagesperlistview'";
        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'pagesperlistview', '10')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'subjects' and pn_name= 'sortbypanel'";
        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'sortbypanel', '1')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'subjects' and pn_name= 'textareawidth'";
        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'textareawidth', '96')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module_vars. Subjects for upgrade not selected."."\n");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 02/11/2003
//
// Priority:    required for AdminPanel [if $adminlite is checked]
///////////////////////////////////////////////////////////////////////////////
if($adminlite) {
        $table = $prefix.'_module_vars';
        $check = "pn_modname = '/PNConfig' and pn_name = 'admingraphic'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'admingraphic', 's:1:\"1\";')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module_vars. Adminlite for upgrade not selected."."\n");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 02/11/2003
//
// Priority:    required for VirtualBlocks [if $blocks is checked]
///////////////////////////////////////////////////////////////////////////////
if($adminlite) {
        $table = $prefix.'_module_vars';
        $check = "pn_modname = 'Blocks' and pn_name = 'vba'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Blocks', 'vba', '1')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'Blocks' and pn_name = 'dhtml_minimize'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Blocks', 'dhtml_minimize', '1')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'Blocks' and pn_name = 'collapseable'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'collapseable', '1')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module_vars. VirtualBlocks for upgrade not selected."."\n");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 02/11/2003
//
// Priority:    required for core
///////////////////////////////////////////////////////////////////////////////
$table = $prefix.'_module_vars';
$check = "pn_modname = '/PNConfig' and pn_name = 'pnAntiCracker'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnAntiCracker', 's:1:\"0\";')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'storyorder'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'storyorder', 's:1:\"0\";')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pavatar_allow'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pavatar_allow', 's:1:\"1\";')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pavatar_size'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pavatar_size', 's:4:\"8192\";')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pavatar_types'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pavatar_types', 's:16:\"gif,jpeg,jpg,png\";')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'tipath'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'tipath', 's:14:\"images/topics/\";')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'reg_noregreasons'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'reg_noregreasons', 's:45:\"Sorry, registration is disabled at this time.\";')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'reg_allowreg'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'reg_allowreg', 's:1:\"1\";')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'AllowableHTML'";
$modcolumn = &$pntable['module_vars_column'];

if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_module_vars
                                         SET $modcolumn[value] = 'a:83:{s:3:\"!--\";s:1:\"2\";s:1:\"a\";s:1:\"2\";s:4:\"abbr\";i:0;s:7:\"acronym\";i:0;s:7:\"address\";i:0;s:6:\"applet\";i:0;s:4:\"area\";i:0;s:1:\"b\";s:1:\"2\";s:4:\"base\";i:0;s:8:\"basefont\";i:0;s:3:\"bdo\";i:0;s:3:\"big\";i:0;s:10:\"blockquote\";s:1:\"2\";s:2:\"br\";s:1:\"2\";s:6:\"button\";i:0;s:7:\"caption\";i:0;s:6:\"center\";s:1:\"2\";s:4:\"cite\";i:0;s:4:\"code\";i:0;s:3:\"col\";i:0;s:8:\"colgroup\";i:0;s:3:\"del\";i:0;s:3:\"dfn\";i:0;s:3:\"dir\";i:0;s:3:\"div\";s:1:\"2\";s:2:\"dl\";i:0;s:2:\"dd\";i:0;s:2:\"dt\";i:0;s:2:\"em\";s:1:\"2\";s:5:\"embed\";i:0;s:8:\"fieldset\";i:0;s:4:\"font\";s:1:\"2\";s:4:\"form\";i:0;s:2:\"h1\";s:1:\"2\";s:2:\"h2\";s:1:\"2\";s:2:\"h3\";s:1:\"2\";s:2:\"h4\";s:1:\"2\";s:2:\"h5\";s:1:\"2\";s:2:\"h6\";s:1:\"2\";s:2:\"hr\";s:1:\"2\";s:1:\"i\";s:1:\"2\";s:6:\"iframe\";i:0;s:3:\"img\";s:1:\"2\";s:5:\"input\";i:0;s:3:\"ins\";i:0;s:3:\"kbd\";i:0;s:5:\"label\";i:0;s:6:\"legend\";i:0;s:2:\"li\";s:1:\"2\";s:3:\"map\";i:0;s:7:\"marquee\";i:0;s:4:\"menu\";i:0;s:4:\"nobr\";i:0;s:6:\"object\";i:0;s:2:\"ol\";s:1:\"2\";s:8:\"optgroup\";i:0;s:6:\"option\";i:0;s:1:\"p\";s:1:\"2\";s:5:\"param\";i:0;s:3:\"pre\";s:1:\"2\";s:1:\"q\";i:0;s:1:\"s\";i:0;s:4:\"samp\";i:0;s:6:\"script\";i:0;s:6:\"select\";i:0;s:5:\"small\";i:0;s:4:\"span\";i:0;s:6:\"strike\";i:0;s:6:\"strong\";s:1:\"2\";s:3:\"sub\";i:0;s:3:\"sup\";i:0;s:5:\"table\";s:1:\"2\";s:5:\"tbody\";s:1:\"2\";s:2:\"td\";s:1:\"2\";s:8:\"textarea\";i:0;s:5:\"tfoot\";i:0;s:2:\"th\";s:1:\"2\";s:5:\"thead\";i:0;s:2:\"tr\";s:1:\"2\";s:2:\"tt\";s:1:\"2\";s:1:\"u\";i:0;s:2:\"ul\";s:1:\"2\";s:3:\"var\";i:0;}'
                     WHERE $modcolumn[modname] ='/PNConfig'
                                         AND   $modcolumn[name] = 'AllowableHTML'
                                         ")
                                         or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 02/11/2003
//
// Priority:    required for ew_filemanager [new FileManager module]
///////////////////////////////////////////////////////////////////////////////
global $root_path, $pages_upload_path;

if($filemanager) {
        $table = $prefix.'_module_vars';
        $check = "pn_modname = 'ew_filemanager' and pn_name = 'pagespath'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'pagespath', '$root_path$pages_upload_path')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'maxfilesize'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'maxfilesize', '1000000')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'hddspace'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'hddspace', '100000000')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'hiddenfiles'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'hiddenfiles', '.htaccess')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'hiddendirs'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'hiddendirs', '')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'editextensions'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'editextensions', 'htm,html,txt,php')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'imageextensions'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'imageextensions', 'jpg,jpeg,png,bmp,gif')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'textareawidth'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'textareawidth', '80')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'textareaheight'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'textareaheight', '20')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

        $check = "pn_modname = 'ew_filemanager' and pn_name = 'wysiwygeditor'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'wysiwygeditor', '0')")
                        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
        }

} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module_vars. FileManager for upgrade not selected."."\n");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 02/11/2003
//
// Priority:    required for daily_archive [new News Archive module]
///////////////////////////////////////////////////////////////////////////////

$table = $prefix.'_module_vars';
$check = "pn_modname = 'daily_archive' and pn_name = 'show_empty_months'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_empty_months', '2')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_calendar'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_calendar', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'sel_language'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'sel_language', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_empty_days'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_empty_days', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'news_month_limit'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'news_month_limit', '0')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_empty_inform'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_empty_inform', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'sort_months_desc'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'sort_months_desc', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'sort_news_desc'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'sort_news_desc', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'news_local_time'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'news_local_time', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'news_on_page'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'news_on_page', '0')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_all_news'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_all_news', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_adminbar'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_adminbar', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'calendar_date'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'calendar_date', '1055320353')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'calendar_refreshspeed'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'calendar_refreshspeed', '60')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'calendar_html'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'calendar_html', '<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"\" align=\"center\"><tr><td class=\"pn-normal\" colspan=\"7\" align=\"center\"><a href=\"http://172.21.1.183/envo125/index.php?module=daily_archive&func=display&amp;req=get&amp;year=2003&amp;month=01\"><b><!---01--->&nbsp;2003<!---_YEARAFTER_---></b></a></td></tr><tr><td></td><td></td><td align=\"center\"><a href=\"http://172.21.1.183/envo125/index.php?module=daily_archive&func=display&amp;req=get&amp;year=2003&amp;month=01&amp;day=01\"><b>1</b></a></td><td align=\"center\">2</td><td align=\"center\">3</td><td align=\"center\">4</td><td align=\"center\">5</td></tr><tr><td align=\"center\">6</td><td align=\"center\">7</td><td align=\"center\">8</td><td align=\"center\">9</td><td align=\"center\">10</td><td align=\"center\">11</td><td align=\"center\">12</td></tr><tr><td align=\"center\">13</td><td align=\"center\">14</td><td align=\"center\">15</td><td align=\"center\">16</td><td align=\"center\">17</td><td align=\"center\">18</td><td align=\"center\">19</td></tr><tr><td align=\"center\">20</td><td align=\"center\">21</td><td align=\"center\">22</td><td align=\"center\">23</td><td align=\"center\">24</td><td align=\"center\">25</td><td align=\"center\">26</td></tr><tr><td align=\"center\">27</td><td align=\"center\">28</td><td align=\"center\">29</td><td align=\"center\">30</td><td align=\"center\">31</td></tr></table></td></tr><tr><td><br></td></tr><tr><td>')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 02/11/2003
//
// Priority:    required for daily_archive [Topics]
///////////////////////////////////////////////////////////////////////////////

$table = $prefix.'_module_vars';
$check = "pn_modname = 'topics' and pn_name = 'itemsperrow'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'itemsperrow', '5')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'rowsperpage'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'rowsperpage', '3')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'usesubtopics'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'usesubtopics', '1')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'maintopictext'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'maintopictext', '')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'themedependantimages'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'themedependantimages', '')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'languagedependantimages'";

if(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'languagedependantimages', '')")
                or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module
// Author:                WindMeUp 02/11/2003
//
// Priority:    required for core
///////////////////////////////////////////////////////////////////////////////

$table = $prefix.'_modules';
$check = "pn_name = 'Messages'";
$modcolumn = &$pntable['modules_column'];

if(doupdate_125($table,$check,'*','update')) {

        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[displayname] = '"._MESSAGES."',
                         $modcolumn[version] = '1.2'
                     WHERE $modcolumn[name] ='Messages'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Settings'";

if(doupdate_125($table,$check,'*','update')) {

$dbconn->Execute("
                 UPDATE ".$prefix."_modules
                                 SET $modcolumn[displayname] = '"._SETTINGS."'
                 WHERE $modcolumn[name] ='Settings'
                                 ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

if($subjects) {
        $check = "pn_name = 'Subjects'";

        if(doupdate_125($table,$check,'*','update')) {

                $dbconn->Execute("
                                 UPDATE ".$prefix."_modules
                                                 SET $modcolumn[name] = 'subjects',
                             $modcolumn[directory] = 'subjects',
                                                         $modcolumn[version] = '2.02'
                         WHERE $modcolumn[name] ='Subjects'
                                                 ")
                             or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
        }

        $check = "pn_name = 'subjects'";

        if(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'subjects', 2, 'Subjects', '"._SUBJTITLE."', 33, 'subjects', '2.02', 1, 1, 3)")
                        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module. New subjects for upgrade not selected."."\n");
}

$check = "pn_name = 'MySQL_Tools'";

if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '2.2'
                     WHERE $modcolumn[name] ='MySQL_Tools'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'MySQL_Tools', 1, '"._MYSQL."', '"._MYSQLTITLE."', 49, 'NS-MySQL_Tools', '2.2', 1, 1, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Credits'";

if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '1.2'
                     WHERE $modcolumn[name] ='Credits'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Credits', 2, '"._CREDITS."', '"._CREDITTITLE."', 51, 'Credits', '1.2', 0, 1, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Errore'";

if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[regid] = '52'
                     WHERE $modcolumn[name] ='Errore'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Errore', 2, '"._ERRORE."', '"._ERRORETITLE."', 52, 'Errore', '0.1', 1, 1, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'daily_archive'";

if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules SET $modcolumn[regid] = '0'
                     WHERE $modcolumn[name] ='daily_archive'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'daily_archive', 2, '"._DAILYARCHTITL."', '"._DAILYARCHDESC."', 0, 'daily_archive', '1.01', 1, 1, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

if($filemanager) {
        $check = "pn_name = 'ew_filemanager'";

        if(doupdate_125($table,$check,'*','update')) {

                $dbconn->Execute("
                                 UPDATE ".$prefix."_modules
                                                 SET $modcolumn[regid] = '53'
                         WHERE $modcolumn[name] ='ew_filemanager'
                                                 ")
                             or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
        }
        elseif(doupdate_125($table,$check)) {
                $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'ew_filemanager', 2, '".ew_filemanager."', '".ew_filemanager."', 53, 'ew_filemanager', '1.0', 1, 1, 3)")
                        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_modules. FileManager for upgrade not selected."."\n");
}

if(!$envoblocks) {
$table = $prefix.'_admin_lite_group_members';
$modcolumn = &$pntable['members'];

        $check = "moduleID = ".pnModGetIDFromName('NoMoreBlocks');
        if(doupdate_125($table,$check,'*','update')) {
                $dbconn->Execute("
                                 DELETE FROM ".$prefix."_admin_lite_group_members
                         WHERE $modcolumn[mid] = ".pnModGetIDFromName('NoMoreBlocks')."
                                                 ");
//                             or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_admin_lite_group_members. NoMoreBlocks still active."."\n");
}

if(!$encompass) {
$table = $prefix.'_admin_lite_group_members';
$modcolumn = &$pntable['members'];

        $check = "moduleID = ".pnModGetIDFromName('Encompass');
        if(doupdate_125($table,$check,'*','update')) {
                $dbconn->Execute("
                                 DELETE FROM ".$prefix."_admin_lite_group_members
                         WHERE $modcolumn[mid] =".pnModGetIDFromName('Encompass')."
                                                 ");
//                             or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_admin_lite_group_members. Encompass still active."."\n");
}

if(!$envoblocks) {
        $table = $prefix.'_modules';
    $modcolumn = &$pntable['modules_column'];
        $check = "pn_name = 'NoMoreBlocks'";

        if(doupdate_125($table,$check,'*','update')) {

                $dbconn->Execute("
                                 DELETE FROM ".$prefix."_modules
                         WHERE $modcolumn[name] ='NoMoreBlocks'
                                                 ")
                             or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_modules. NoMoreBlocks still active."."\n");
}

if(!$encompass) {
        $table = $prefix.'_modules';
    $modcolumn = &$pntable['modules_column'];
        $check = "pn_name = 'Encompass'";

        if(doupdate_125($table,$check,'*','update')) {

                $dbconn->Execute("
                                 DELETE FROM ".$prefix."_modules
                         WHERE $modcolumn[name] ='Encompass'
                                                 ")
                             or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_modules. Encompass still active."."\n");
}

if(!$encompass) {
        $table = $prefix.'_modules';
    $modcolumn = &$pntable['modules_column'];
        $check = "pn_name = 'Frontpage'";

        if(doupdate_125($table,$check,'*','update')) {

                $dbconn->Execute("
                                 DELETE FROM ".$prefix."_modules
                         WHERE $modcolumn[name] ='Frontpage'
                                                 ")
                             or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
        }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_modules. Frontpage still active."."\n");
}

$table = $prefix.'_modules';
$modcolumn = &$pntable['modules_column'];
$check = "pn_name = 'Banners'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '1.1'
                     WHERE $modcolumn[name] ='Banners'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Banners', 1, '"._BANNERS."', '"._BANNTITLE."', 12, 'NS-Banners', '1.1', 1, 0, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Topics'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '1.2'
                     WHERE $modcolumn[name] ='Topics'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Topics', 2, '"._TOPICS."', '"._TOPITITLE."', 37, 'Topics', '1.2', 1, 1, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Ratings'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[state] = '3'
                     WHERE $modcolumn[name] ='Ratings'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Ratings', 2, '"._RATINGS."', '"._RATTITLE."', 41, 'Ratings', '1.1', 0, 0, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Multisites'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[description] = '"._MULTITITLE."'
                     WHERE $modcolumn[name] ='Multisites'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Multisites', 1, '"._MULTISITE."', '"._MULTITITLE."', 20, 'NS-Multisites', '0', 0, 0, 1)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Dyn_users'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '0.2'
                     WHERE $modcolumn[name] ='Dyn_users'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Dyn_users', 1, '"._DYNUSERS."', '"._DYNTITLE."', 0, 'Dyn_users', '0.2', 1, 0, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'AutoTheme'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '.7'
                     WHERE $modcolumn[name] ='AutoTheme'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'AutoTheme', 1, '"._AUTOTHEME."', '"._ATTITLE."', 0, 'AutoTheme', '.7', 1, 1, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'pnHome'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '1.0'
                     WHERE $modcolumn[name] ='pnHome'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}
elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'pnHome', 1, '"._FRONTPAGE."', '"._FRONTTITLE."', 44, 'pnHome', '1.0', 0, 1, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'User' and pn_version= '0.1'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '0.2'
                     WHERE $modcolumn[name] ='User'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_blocks
// Author:                WindMeUp 06/11/2003
//
// Priority:    optional
///////////////////////////////////////////////////////////////////////////////
$table = $prefix.'_blocks';

if($envoblocks) {
   if($subjects) {
      $check = "pn_bkey = 'subjectsblock'";
      // Get the modID for subjects or Subjects module
      $subjectsID = pnModGetIDFromName('subjects');

      if(doupdate_125($table,$check)) {
             $dbconn->Execute(
                    "INSERT INTO ".$prefix."_blocks VALUES ('', 'subjectsblock', '"._SUBJECTS."', 'a:8:{s:11:\"pagesamount\";s:1:\"5\";s:9:\"pagesdesc\";s:2:\"20\";s:10:\"pagesshort\";s:2:\"18\";s:13:\"reviewsamount\";s:1:\"5\";s:12:\"subjectslast\";s:5:\"10000\";s:12:\"subjectsdesc\";s:2:\"50\";s:13:\"subjectsshort\";s:2:\"35\";s:11:\"waitingcont\";s:1:\"1\";}', '', ".$subjectsID.", 'r', '1.0', 1, 14400, 20021227012457, '', 'A')"
                    )
                    or die("<b>"._NOTUPDATED.$prefix."_blocks</b>");
      }
   } else {
      // Log-file entry: Selection from previous step !!
      do_upgrade_log("Note: "._NOTUPDATED.$prefix."_blocks. subjects for upgrade not selected."."\n");
   }

   $check = "pn_bkey = 'newscalendar'";
   // Get the modID for daily_archive module
   $archiveID = pnModGetIDFromName('daily_archive');

   if(doupdate_125($table,$check)) {
          $dbconn->Execute(
                "INSERT INTO ".$prefix."_blocks VALUES ('', 'newscalendar', '"._DAILYARCH."', 'a:3:{s:12:\"lstblk_width\";s:1:\"1\";s:13:\"lstblk_border\";s:1:\"1\";s:15:\"lstblk_showmore\";s:1:\"1\";}', '', ".$archiveID.", 'r', '0.5', 1, 14400, 20021227012457, '', 'A')"
                )
                or die("<b>"._NOTUPDATED.$prefix."_blocks</b>");
   }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_blocks. Blocks for upgrade not selected."."\n");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        admin_lite panel
// Author:                WindMeUp 06/10/2003
//
// Priority:    optional, needed for Admin Panel
///////////////////////////////////////////////////////////////////////////////
if($adminlite) {
$table = $prefix.'_admin_lite_group_members';
$modcolumn = &$pntable['members'];

        $check = "moduleID = ".pnModGetIDFromName('AutoTheme');
        if(doupdate_125($table,$check,'*','update')) {
                $dbconn->Execute("
                                 UPDATE ".$prefix."_admin_lite_group_members
                                                 SET $modcolumn[gid] = '4'
                             WHERE $modcolumn[mid] = ".pnModGetIDFromName('AutoTheme')."
                                                 ")
                                 or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
        }
        elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('AutoTheme').")")
                or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
        }

        $check = "moduleID = ".pnModGetIDFromName('Dyn_users');
        if(doupdate_125($table,$check,'*','update')) {
                $dbconn->Execute("
                                 UPDATE ".$prefix."_admin_lite_group_members
                                                 SET $modcolumn[gid] = '2'
                             WHERE $modcolumn[mid] = ".pnModGetIDFromName('Dyn_users')."
                                                 ")
                                 or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
        }
        elseif(doupdate_125($table,$check)) {
        $dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('Dyn_users').")")
                or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
        }
}
///////////////////////////////////////////////////////////////////////////////
// Data for:        admin_lite panel
// Author:                WindMeUp 06/10/2003
//
// Priority:    optional, needed for Admin Panel
///////////////////////////////////////////////////////////////////////////////
$table = $prefix.'_headlines';
$modcolumn = &$pntable['headlines_column'];
$check = "pn_sitename = 'Envolution'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_headlines
                                         SET $modcolumn[sitename] = 'MaxDev',
                                             $modcolumn[rssurl] = 'http://www.maxdev.com/backend.php'
                     WHERE $modcolumn[sitename] = 'Envolution'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_headlines</b>");
}

$check = "pn_sitename = 'maxdev.it'";
if(doupdate_125($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_headlines
                                         SET $modcolumn[sitename] = 'MaxDev.it',
                                             $modcolumn[rssurl] = 'http://www.maxdev.it/backend.php'
                     WHERE $modcolumn[sitename] = 'maxdev.it'
                                         ")
                         or die("<b>"._NOTUPDATED.$prefix."_headlines</b>");
}
?>
