<?php
// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// ----------------------------------------------------------------------------
// Original Author of file:        WindMeUp                01/10/2003
// Purpose of file:                        Install data for a PHP upgrade installation
// ----------------------------------------------------------------------------

function dosql_115($table,$sql,$field='*') {
        GLOBAL $dbconn;
        if($table == 'no') {
                $result = false;
                $table = 'Modify field structure';
        } else {
                $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." LIMIT 1");
        }
        if ($result == false) {
           $result = $dbconn->Execute($sql);
              if ($result == false) {
                      echo "<font class=\"pn-failed\">"._NOTMADE." ".$table."</font>";
                      exit;
              }
                      echo "<br><font class=\"pn-sub\">".$table." "._MADE."</font>";
        } else {
                echo "<br><font class=\"pn-sub\">"._NOTMADE.":115: ".$table." :: "._LASTRELEASE."</font>";
        }
}

$dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $dbtype);

// -- New tables --
$table= $prefix.'_admin_lite_group';
$sql = "
                CREATE TABLE ".$prefix."_admin_lite_group (
                          groupID int(11) NOT NULL auto_increment,
                          groupName varchar(200) NOT NULL default '',
                          groupLock varchar(200) NOT NULL default '0',
                          groupShowAllModules varchar(200) NOT NULL default '0',
                          sortOrder int(11) NOT NULL default '0',
                          groupDefault tinyint(1) NOT NULL default '0',
                          PRIMARY KEY  (groupID)
                )
";
dosql_115($table,$sql);

$table= $prefix.'_admin_lite_group_members';
$sql = "
                CREATE TABLE ".$prefix."_admin_lite_group_members (
                    groupID int(11) default NULL,
                    sortOrder int(11) default NULL,
                    moduleID int(11) default NULL
                )
";
dosql_115($table,$sql);



$table= $prefix.'_subcategories';
$sql = "
                CREATE TABLE ".$prefix."_subcategories (
                          catid int(11) NOT NULL auto_increment,
                          catname varchar(50) NOT NULL default '',
                          cattext text NOT NULL,
                          catorder int(3) NOT NULL default '0',
                          PRIMARY KEY  (catid)
                )
";
dosql_115($table,$sql);

$table= $prefix.'_subjects';
$sql = "
                CREATE TABLE ".$prefix."_subjects (
                          subid int(11) NOT NULL auto_increment,
                          catid int(11) NOT NULL default '0',
                          subname varchar(50) NOT NULL default '',
                          subtext text NOT NULL,
                          subimage varchar(255) NOT NULL default '',
                          subactive int(1) NOT NULL default '0',
                          suborder int(3) NOT NULL default '0',
                          subcounter int(11) NOT NULL default '0',
                          sublanguage varchar(30) NOT NULL default '',
                        suburl text NOT NULL default '',
                          PRIMARY KEY  (subid)
                )
";
dosql_115($table,$sql);

$table= $prefix.'_subpages';
$sql = "
                CREATE TABLE ".$prefix."_subpages (
                          pageid int(11) NOT NULL auto_increment,
                          subid int(11) NOT NULL default '0',
                          parentpageid int(11) NOT NULL default '0',
                          pagetitle varchar(100) NOT NULL default '',
                          pagetext text NOT NULL,
                          pagecontent mediumtext NOT NULL,
                          pagefile varchar(255) NOT NULL default '',
                          pageimage varchar(255) NOT NULL default '',
                          pageauthor varchar(50) NOT NULL default '',
                          pageauthoremail varchar(50) NOT NULL default '',
                          pageauthorurl varchar(100) NOT NULL default '',
                          pageactive int(1) NOT NULL default '0',
                          pageorder int(3) default '0',
                          pagedatetime datetime NOT NULL default '0000-00-00 00:00:00',
                          pagecounter int(11) NOT NULL default '0',
                          reviewscount int(4) NOT NULL default '0',
                          reviewsscore int(5) NOT NULL default '0',
                          reviewactive int(1) NOT NULL default '0',
                        subpagesindexactive int(1) NOT NULL default '0',
                        intro int(1) NOT NULL default '0',
                          PRIMARY KEY  (pageid)
                )
";
dosql_115($table,$sql);

$table= $prefix.'_subreviews';
$sql = "
                CREATE TABLE ".$prefix."_subreviews (
                          reviewid int(11) NOT NULL auto_increment,
                          pageid int(11) NOT NULL default '0',
                          reviewtitle varchar(50) NOT NULL default '',
                          reviewcomments text NOT NULL,
                          reviewscore int(1) NOT NULL default '0',
                          reviewuser varchar(25) NOT NULL default '',
                          reviewhostip varchar(15) NOT NULL default '',
                          reviewdatetime datetime NOT NULL default '0000-00-00 00:00:00',
                          PRIMARY KEY  (reviewid)
                )
";
dosql_115($table,$sql);

$table= $prefix.'_users_modrequest';
$sql = "
                CREATE TABLE ".$prefix."_users_modrequest (
                        pn_uactr int(11) NOT NULL auto_increment,
                        pn_uid int(11) NOT NULL default '0',
                        pn_name varchar(60) NOT NULL default '',
                        pn_uname varchar(25) NOT NULL default '',
                        pn_email varchar(60) NOT NULL default '',
                        pn_femail varchar(60) NOT NULL default '',
                        pn_url varchar(100) NOT NULL default '',
                        pn_user_avatar varchar(30) default NULL,
                        pn_user_regdate varchar(20) NOT NULL default '',
                        pn_user_icq varchar(15) default NULL,
                        pn_user_occ varchar(100) default NULL,
                        pn_user_from varchar(100) default NULL,
                        pn_user_intrest varchar(150) default NULL,
                        pn_user_sig varchar(255) default NULL,
                        pn_user_viewemail tinyint(2) default NULL,
                        pn_user_theme tinyint(3) default NULL,
                        pn_user_aim varchar(18) default NULL,
                        pn_user_yim varchar(25) default NULL,
                        pn_user_msnm varchar(25) default NULL,
                        pn_pass varchar(40) NOT NULL default '',
                        pn_storynum tinyint(4) NOT NULL default '10',
                        pn_umode varchar(10) NOT NULL default '',
                        pn_uorder tinyint(1) NOT NULL default '0',
                        pn_thold tinyint(1) NOT NULL default '0',
                        pn_noscore tinyint(1) NOT NULL default '0',
                        pn_bio tinytext NOT NULL,
                        pn_ublockon tinyint(1) NOT NULL default '0',
                        pn_ublock tinytext NOT NULL,
                        pn_theme varchar(255) NOT NULL default '',
                        pn_commentmax int(11) NOT NULL default '4096',
                        pn_counter int(11) NOT NULL default '0',
                        pn_timezone_offset float(3,1) NOT NULL default '0.0',
                        pn_uda_vars text NOT NULL,
                        pn_gid int(11) NOT NULL default '0',
                        pn_ppn tinyint(1) NOT NULL default '0',
                        pn_uadd tinyint(1) NOT NULL default '0',
                        pn_udel tinyint(1) NOT NULL default '0',
                        PRIMARY KEY  (pn_uactr)
                )
";
dosql_115($table,$sql);

// -- End of new tables
//
// -- Add new fields to existing tables --

$table= $prefix.'_banner';
$sql = "
                ALTER TABLE ".$prefix."_banner ADD
                          pn_type char(2) NOT NULL default '0' after pn_cid
";
dosql_115($table,$sql,'pn_type');

$table= $prefix.'_downloads_downloads';
$sql = "
                ALTER TABLE ".$prefix."_downloads_downloads ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_115($table,$sql,'pn_image');

$table= $prefix.'_downloads_modrequest';
$sql = "
                ALTER TABLE ".$prefix."_downloads_modrequest ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_115($table,$sql,'pn_image');

$table= $prefix.'_downloads_newdownload';
$sql = "
                ALTER TABLE ".$prefix."_downloads_newdownload ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_115($table,$sql,'pn_image');

$table= $prefix.'_links_links';
$sql = "
                ALTER TABLE ".$prefix."_links_links ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_115($table,$sql,'pn_image');

$table= $prefix.'_links_modrequest';
$sql = "
                ALTER TABLE ".$prefix."_links_modrequest ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_115($table,$sql,'pn_image');

$table= $prefix.'_links_newlink';
$sql = "
                ALTER TABLE ".$prefix."_links_newlink ADD
                          pn_image varchar(100) NOT NULL default '' after pn_url
";
dosql_115($table,$sql,'pn_image');

$table= $prefix.'_nomoreblocks';
$sql = "
                ALTER TABLE ".$prefix."_nomoreblocks ADD
                          pn_template varchar(50) NOT NULL default ''
";
dosql_115($table,$sql,'pn_template');

$table= $prefix.'_stories';
$sql = "
                ALTER TABLE ".$prefix."_stories ADD
                          pn_skins varchar(255) NOT NULL default ''
";
dosql_115($table,$sql,'pn_skins');

$table= $prefix.'_subjects';
$sql = "
                ALTER TABLE ".$prefix."_subjects ADD
                          suburl text NOT NULL default ''
";
dosql_115($table,$sql,'suburl');

$table= $prefix.'_subpages';
$sql = "
                ALTER TABLE ".$prefix."_subpages ADD
                          subpagesindexactive int(1) NOT NULL default '0'
";
dosql_115($table,$sql,'subpagesindexactive');

$table= $prefix.'_subpages';
$sql = "
                ALTER TABLE ".$prefix."_subpages ADD
                          intro int(1) NOT NULL default '0'
";
dosql_115($table,$sql,'intro');

// -- End of add new fields
//
// -- Modifying existing tables -- [without checking - hope this works correct]

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_autonews CHANGE
                          pn_topic pn_topic TINYINT( 4 ) DEFAULT '1' NOT NULL
";
dosql_115($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_comments CHANGE
                          pn_url pn_url VARCHAR( 254 ) DEFAULT NULL
";
dosql_115($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_faqanswer
                          CHANGE pn_id pn_id INT( 6 ) NOT NULL auto_increment,
                        CHANGE pn_id_cat pn_id_cat INT( 6 ) DEFAULT NULL,
                        CHANGE pn_question pn_question text DEFAULT NULL
";
dosql_115($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_faqcategories
                          CHANGE pn_id_cat pn_id_cat INT( 6 ) NOT NULL auto_increment,
                        CHANGE pn_parent_id pn_parent_id INT( 6 ) NOT NULL DEFAULT '0'
";
dosql_115($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_pollcomments
                          CHANGE pn_url pn_url varchar(254) default NULL
";
dosql_115($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_priv_msgs
                          CHANGE pn_msg_image pn_msg_image varchar(100) default 'empty'
";
dosql_115($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_stories
                          CHANGE pn_topic pn_topic tinyint(4) NOT NULL default '1'
";
dosql_115($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_topics
                          CHANGE pn_topicid pn_topicid tinyint(4) NOT NULL auto_increment
";
dosql_115($table,$sql);

$table= 'no';
$sql = "
                ALTER TABLE ".$prefix."_users
                          CHANGE pn_url pn_url varchar(254) NOT NULL default ''
";
dosql_115($table,$sql);
list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

$dbconn->Execute("UPDATE $pntable[blocks] SET pn_mid = REPLACE(pn_mid, '0', '11')") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:6:\"1.0.71\";' WHERE `pn_name` = 'Version_Num' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:4:\"C-MD\";' WHERE `pn_name` = 'Default_Theme' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[blocks] CHANGE pn_position pn_position VARCHAR( 255 ) DEFAULT 'l' NOT NULL") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("DELETE FROM $pntable[module_vars] WHERE pn_modname = 'rtemulti'") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[users] ADD `pn_message` int(1) NOT NULL default '0'") or die ("error".$dbconn->ErrorMsg());

// -- End of modifying tables
//
// -- Drop existing old tables --

//$table= $prefix.'_sections';
//$sql = "
//                DROP TABLE ".$prefix."_sections
//";
//dosql_115($table,$sql);

// -- End of modify tables
//

?>
