<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file:        WindMeUp                06/11/2003
// Purpose of file:                        Install data for a PHP upgrade installation
// ----------------------------------------------------------------------------

function dosql_md10($table,$sql,$field='*') {
        GLOBAL $dbconn;
        $error = ''; $log = '';
        if($table == 'no') {                   // no check
                $result = false;
                $table = 'Modify field structure';
        } else {
                if($field == 'index' || $field == 'drop') {
                        $result = $dbconn->Execute($sql);
                } else {
                        $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." LIMIT 1");
                }
        }
        if ($dbconn->ErrorNo() != 0 && $result == false) {
           $result = $dbconn->Execute($sql);
              if ($dbconn->ErrorNo() != 0) {
                        $error = "<br><font class=\"pn-sub\">"._NOTMADE.":125: ".$table." :: ".$sql." :: "._LASTRELEASE."</font>";
                        $log = _NOTMADE.":125: ".$table." :: ".$sql." :: "._LASTRELEASE."\n";
              } else {
                if ($field != '*') {
                           $error = "<br><font class=\"pn-sub\">".$table." :: ".$sql." "._MADE."</font>";
                        $log = $table." :: ".$sql." "._MADE."\n";
                } else {
                           $error = "<br><font class=\"pn-sub\">".$table." "._MADE."</font>";
                        $log = $table." "._MADE."\n";
                }
           }
        } else {
                if ($field == 'index' || $field == 'drop') {
                           $error = "<br><font class=\"pn-sub\">".$table." :: ".$sql." "._MADE."</font>";
                        $log = $table." :: ".$sql." "._MADE."\n";
                } else {
                        $error = "<br><font class=\"pn-sub\">"._NOTMADE.":MD10: ".$table." :: "._LASTRELEASE."</font>";
                        $log = _NOTMADE.":125: ".$table." :: "._LASTRELEASE."\n";
                }
        }
        echo $error;
    // Log-file entry: Selection from previous step !!
    do_upgrade_log($log."\n");
}

$dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $dbtype);

// -- New indizes --
//
//-- $table= $prefix.'_comments';
//-- $sql = "
//--                ALTER TABLE ".$prefix."_comments ADD
//--                        INDEX idx_pid (pn_pid)
//-- ";
//-- dosql_md10($table,$sql,'index');

// -- End of new indizes
//
// -- new tables --

$table= $prefix.'_ew_filemanager';
$sql = "
                CREATE TABLE ".$prefix."_ew_filemanager (
                          pn_uid int(11) NOT NULL default '0',
                          pn_path varchar(255) NOT NULL default 'slash/ended/path/to/files/',
                          PRIMARY KEY  (uid)
                )
";
dosql_md10($table,$sql);

// -- End of new tables
//
// -- Add new fields to existing tables --

//- $table= $prefix.'_subcategories';
//- $sql = "
//-                 ALTER TABLE ".$prefix."_subcategories ADD
//-                        keywords varchar(255) NOT NULL default '' after cattext
//- ";
//- dosql_md10($table,$sql,'keywords');

//--
$table= $prefix.'_topics';
$sql = "
                 ALTER TABLE ".$prefix."_topics ADD
                pn_topicnametag varchar(32) default ''
";
dosql_md10($table,$sql,'pn_topicnametag');

$sql = "
                 ALTER TABLE ".$prefix."_topics ADD
                pn_topicparent int(10) default '0'
";
dosql_md10($table,$sql,'pn_topicparent');

$sql = "
                 ALTER TABLE ".$prefix."_topics ADD
                pn_topicexttext text
";
dosql_md10($table,$sql,'pn_topicexttext');

//--
$table= $prefix.'_users_modrequest';
$sql = "
                 ALTER TABLE ".$prefix."_users_modrequest ADD
                pn_reason mediumtext NOT NULL
";
dosql_md10($table,$sql,'pn_reason');

// -- End of add new fields
//
// -- Modifying existing tables -- [with checking - hope this works correct]

$table= $prefix.'_subpages';
$sql = "
                ALTER TABLE ".$prefix."_subpages DROP
                        subpagesindexactive
";
dosql_md10($table,$sql,'subpagesindexactive');

// -- field names in filemanager --
$table = $prefix.'_ew_filemanager';
$sql = " ALTER TABLE ".$prefix."_ew_filemanager CHANGE
                        uid pn_uid INT(11) default '0' NOT NULL
";
dosql_md10($table,$sql,'pn_uid');

$sql = " ALTER TABLE ".$prefix."_user_property CHANGE
                        pn_prop_validation pn_prop_validation MEDIUMBLOB default NULL
";
dosql_md10($table,$sql,'pn_path');

$sql = " ALTER TABLE ".$prefix."_user_data CHANGE
                        pn_uda_value pn_uda_value MEDIUMBLOB NOT NULL
";
dosql_md10($table,$sql,'pn_path');

$sql = " ALTER TABLE ".$prefix."_ew_filemanager CHANGE
                        path pn_path VARCHAR(255) default 'slash/ended/path/to/files/' NOT NULL
";
dosql_md10($table,$sql,'pn_path');

// -- End of modifying tables
//
// -- Drop existing old tables --

if (!$encompass) {
        $table= $prefix.'_theme_config';
        $sql = "
                        DROP TABLE ".$prefix."_theme_config
        ";
        dosql_md10($table,$sql,'drop');

        $table= $prefix.'_theme_layout';
        $sql = "
                        DROP TABLE ".$prefix."_theme_layout
        ";
        dosql_md10($table,$sql,'drop');

        $table= $prefix.'_theme_skins';
        $sql = "
                        DROP TABLE ".$prefix."_theme_skins
        ";
        dosql_md10($table,$sql,'drop');

        $table= $prefix.'_theme_zones';
        $sql = "
                        DROP TABLE ".$prefix."_theme_zones
        ";
        dosql_md10($table,$sql,'drop');
}

if (!$envoblocks) {
        $table= $prefix.'_nomoreblocks';
        $sql = "
                        DROP TABLE ".$prefix."_nomoreblocks
        ";
        dosql_md10($table,$sql,'drop');
}
list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

$dbconn->Execute("UPDATE $pntable[blocks] SET pn_mid = REPLACE(pn_mid, '0', '11')") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:6:\"1.0.71\";' WHERE `pn_name` = 'Version_Num' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:4:\"C-MD\";' WHERE `pn_name` = 'Default_Theme' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[blocks] CHANGE pn_position pn_position VARCHAR( 255 ) DEFAULT 'l' NOT NULL") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("DELETE FROM $pntable[module_vars] WHERE pn_modname = 'rtemulti'") or die ("error".$dbconn->ErrorMsg());

// -- End of modify tables
//

?>
