<?php
// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// ----------------------------------------------------------------------------
// Original Author of file: Envolution Development Team - WindMeUp
// Purpose of file:         Install data for a Envo1.1 upgrade installation
// ----------------------------------------------------------------------------


include_once("includes/pnAPI.php");
include_once("includes/pnMod.php");

function doupdate_714_old($table,$check=1,$field='*') {
        GLOBAL $dbconn;
        $dataupdate = 1;
        $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." WHERE ".$check." LIMIT 1");
        if ($result->EOF) {
                      echo "<br><font class=\"pn-sub\">".$table." "._UPDATED."</font>";
        } else {
                echo "<br><font class=\"pn-sub\">"._NOTDONE.":PN.7x: ".$table." :: "._NOUPDATE."</font>";
                $dataupdate = 0;
        }
return $dataupdate;
}

function doupdate_714($table,$check=1,$field='*',$update='insert') {
        GLOBAL $dbconn;
        $dataupdate = 1;
        $result = $dbconn->Execute("SELECT ".$field." FROM ".$table." WHERE ".$check." LIMIT 1");
        if ($result->EOF && $update == 'insert') {
                   $error = "<br><font class=\"pn-sub\">".$table." :: ".$check." :: ".$update." "._UPDATED."</font>";
                $log = $table." :: ".$check." :: ".$update." "._UPDATED."\n";
        } elseif ((!$result->EOF) && $update != 'insert') {
                   $error = "<br><font class=\"pn-sub\">".$table." :: ".$check." :: ".$update." "._UPDATED."</font>";
                $log = $table." :: ".$check." :: ".$update." "._UPDATED."\n";
        } else {
                $error = "<br><font class=\"pn-sub\">"._NOTDONE.":12: ".$table." :: ".$check." :: ".$update." :: "._NOUPDATE."</font>";
                $log = _NOTDONE.":12: ".$table." :: ".$check." :: ".$update." :: "._NOUPDATE."\n";
                $dataupdate = 0;
        }

        echo $error;
    // Log-file entry: Selection from previous step !!
    do_upgrade_log($log."\n");

return $dataupdate;
}

list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_blocks
// Author:                WindMeUp 01/14/2003


///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_headlines [inserts for eNvo]
// Author:                WindMeUp 01/14/2003
//
// Priority:    optional
///////////////////////////////////////////////////////////////////////////////
$table = $prefix.'_headlines';
$check = "pn_sitename = 'Envolution'";

if(doupdate_714($table,$check)) {
   $modcolumn = &$pntable['headlines_column'];
   $result = $dbconn->Execute("INSERT INTO ".$prefix."_headlines VALUES ('','Envolution',NULL,NULL,'','http://www.maxdev.com/backend.php',10,'','')")
            or die("<b>"._NOTUPDATED.$prefix."_headlines</b>");
}

$check = "pn_sitename = 'maxdev.it'";

if(doupdate_714($table,$check)) {
   $modcolumn = &$pntable['headlines_column'];
   $result = $dbconn->Execute("INSERT INTO ".$prefix."_headlines VALUES ('','maxdev.it',NULL,NULL,'','http://www.maxdev.it/backend.php',10,'','')")
            or die("<b>"._NOTUPDATED.$prefix."_headlines</b>");
}

$check = "pn_sitename = 'Envolution.de'";

if(doupdate_714($table,$check)) {
   $modcolumn = &$pntable['headlines_column'];
   $result = $dbconn->Execute("INSERT INTO ".$prefix."_headlines VALUES ('','Envolution.de',NULL,NULL,'','http://www.maxdev.de/backend.php',10,'','')")
            or die("<b>"._NOTUPDATED.$prefix."_headlines</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_hooks
// Author:                WindMeUp 01/14/2003
//
// Priority:    optional
///////////////////////////////////////////////////////////////////////////////
$table = $prefix.'_hooks';
$check = "pn_tmodule = 'rtemulti'";

if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_hooks VALUES ('', 'item', 'transform', NULL, NULL, 'API', 'rtemulti', 'user', 'transform')")
        or die("<b>"._NOTUPDATED.$prefix."_hooks</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 01/14/2003
//
// Priority:    required [for RteMulti module]
///////////////////////////////////////////////////////////////////////////////
global $pnrootpath, $root_path, $upload_path, $pages_upload_path;


///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_module_vars
// Author:                WindMeUp 01/14/2003
//
// Priority:    required for core
///////////////////////////////////////////////////////////////////////////////
$table = $prefix.'_module_vars';
$check = "pn_modname = '/PNConfig' and pn_name = 'debug'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'debug', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'sitename'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'sitename', 's:14:\"Your Site Name\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'site_logo'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'site_logo', 's:8:\"logo.gif\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'slogan'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'slogan', 's:16:\"Your slogan here\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'metakeywords'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'metakeywords', 's:200:\"MD-Pro, free, community, php, portal, opensource, open source, gpl, mysql, sql, database, web site, website, weblog, content management, contentmanagement, web content management, webcontentmanagement\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'dyn_keywords'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'dyn_keywords', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'startdate'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'startdate', 's:9:\"Oct 2003\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'adminmail'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'adminmail', 's:13:\"none@none.com\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'Default_Theme'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'Default_Theme', 's:4:\"C-MD\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'foot1'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'foot1', 's:470:\"<br>All logos and trademarks in this site are property of their respective owner. The comments are property of their posters, all the rest  2002 by me<br>This web site was made with <a href=\"http://www.maxdev.com\" target=\"_blank\">MD-Pro</a>, a web portal system written in PHP. MD-Pro is Free Software released under the <a href=\"http://www.gnu.org\" target=\"_blank\">GNU/GPL license</a>.<br>You can syndicate our news using the file <a href=\"backend.php\">backend.php</a>\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'reg_noregreasons'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'reg_noregreasons', 's:45:\"Sorry, registration is disabled at this time.\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'reg_allowreg'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'reg_allowreg', 's:1:\"1\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'commentlimit'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'commentlimit', 'i:4096;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'anonymous'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'anonymous', 's:9:\"Anonymous\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'defaultgroup'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'defaultgroup', 's:5:\"Users\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'timezone_offset'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'timezone_offset', 'i:12;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'nobox'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'nobox', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'funtext'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'funtext', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'reportlevel'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'reportlevel', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'startpage'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'startpage', 's:4:\"News\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'admingraphic'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'admingraphic', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'admart'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'admart', 'i:20;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'backend_title'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'backend_title', 's:23:\"MD-Pro Powered Site\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'backend_language'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'backend_language', 's:5:\"en-us\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'seclevel'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'seclevel', 's:6:\"Medium\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'secmeddays'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'secmeddays', 'i:7;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'secinactivemins'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'secinactivemins', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'Version_Num'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'Version_Num', 's:5:\"1.0.6\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'Version_ID'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'Version_ID', 's:6:\"MD-Pro\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'Version_Sub'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'Version_Sub', 's:6:\"Giotto\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'debug_sql'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'debug_sql', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'anonpost'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'anonpost', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'minpass'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'minpass', 'i:5;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pollcomm'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pollcomm', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'minage'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'minage', 'i:13;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'top'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'top', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'storyhome'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'storyhome', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'banners'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'banners', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'myIP'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'myIP', 's:12:\"150.10.10.10\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'language'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'language', 's:3:\"eng\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'locale'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'locale', 's:5:\"en_US\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'multilingual'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'multilingual', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'useflags'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'useflags', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'perpage'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'perpage', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'popular'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'popular', 'i:500;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'newlinks'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'newlinks', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'toplinks'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'toplinks', 'i:25;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'linksresults'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'linksresults', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'links_anonaddlinklock'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'links_anonaddlinklock', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'anonwaitdays'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'anonwaitdays', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'outsidewaitdays'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'outsidewaitdays', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'useoutsidevoting'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'useoutsidevoting', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'anonweight'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'anonweight', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'outsideweight'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'outsideweight', 'i:20;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'detailvotedecimal'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'detailvotedecimal', 'i:2;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'mainvotedecimal'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'mainvotedecimal', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'toplinkspercentrigger'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'toplinkspercentrigger', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'mostpoplinkpercentrigger'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'mostpoplinkspercentrigger', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'mostpoplinks'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'mostpoplinks', 'i:25;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'featurebox'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'featurebox', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'linkvotemin'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'linkvotemin', 'i:5;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'blockunregmodify'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'blockunregmodify', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'newdownloads'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'newdownloads', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'topdownloads'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'topdownloads', 'i:25;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'downloadsresults'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'downloadsresults', 'i:10;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'downloads_anonadddownloadlock'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'downloads_anonadddownloadlock', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'topdownloadspercentrigger'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'topdownloadspercentrigger', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'mostpopdownloadspercentrigger'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'mostpopdownloadspercentrigger', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'mostpopdownloads'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'mostpopdownloads', 'i:25;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'downloadvotemin'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'downloadvotemin', 'i:5;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'notify'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'notify', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'notify_email'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'notify_email', 's:15:\"me@yoursite.com\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'notify_subject'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'notify_subject', 's:16:\"NEWS for my site\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'notify_message'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'notify_message', 's:44:\"Hey! You got a new submission for your site.\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'notify_from'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'notify_from', 's:9:\"webmaster\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'moderate'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'moderate', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'BarScale'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'BarScale', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'tipath'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'tipath', 's:14:\"images/topics/\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'userimg'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'userimg', 's:11:\"images/menu\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'usergraphic'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'usergraphic', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'topicsinrow'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'topicsinrow', 'i:5;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'httpref'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'httpref', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'httprefmax'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'httprefmax', 'i:1000;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'reasons'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'reasons', 'a:11:{i:0;s:5:\"As Is\";i:1;s:8:\"Offtopic\";i:2;s:9:\"Flamebait\";i:3;s:5:\"Troll\";i:4;s:9:\"Redundant\";i:5;s:10:\"Insightful\";i:6;s:11:\"Interesting\";i:7;s:11:\"Informative\";i:8;s:5:\"Funny\";i:9;s:9:\"Overrated\";i:10;s:10:\"Underrated\";}')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'AllowHTML'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'AllowableHTML', 'a:83:{s:3:\"!--\";s:1:\"2\";s:1:\"a\";s:1:\"2\";s:4:\"abbr\";i:0;s:7:\"acronym\";i:0;s:7:\"address\";i:0;s:6:\"applet\";i:0;s:4:\"area\";i:0;s:1:\"b\";s:1:\"2\";s:4:\"base\";i:0;s:8:\"basefont\";i:0;s:3:\"bdo\";i:0;s:3:\"big\";i:0;s:10:\"blockquote\";s:1:\"2\";s:2:\"br\";s:1:\"2\";s:6:\"button\";i:0;s:7:\"caption\";i:0;s:6:\"center\";s:1:\"2\";s:4:\"cite\";i:0;s:4:\"code\";i:0;s:3:\"col\";i:0;s:8:\"colgroup\";i:0;s:3:\"del\";i:0;s:3:\"dfn\";i:0;s:3:\"dir\";i:0;s:3:\"div\";s:1:\"2\";s:2:\"dl\";i:0;s:2:\"dd\";i:0;s:2:\"dt\";i:0;s:2:\"em\";s:1:\"2\";s:5:\"embed\";i:0;s:8:\"fieldset\";i:0;s:4:\"font\";s:1:\"2\";s:4:\"form\";i:0;s:2:\"h1\";s:1:\"2\";s:2:\"h2\";s:1:\"2\";s:2:\"h3\";s:1:\"2\";s:2:\"h4\";s:1:\"2\";s:2:\"h5\";s:1:\"2\";s:2:\"h6\";s:1:\"2\";s:2:\"hr\";s:1:\"2\";s:1:\"i\";s:1:\"2\";s:6:\"iframe\";i:0;s:3:\"img\";s:1:\"2\";s:5:\"input\";i:0;s:3:\"ins\";i:0;s:3:\"kbd\";i:0;s:5:\"label\";i:0;s:6:\"legend\";i:0;s:2:\"li\";s:1:\"2\";s:3:\"map\";i:0;s:7:\"marquee\";i:0;s:4:\"menu\";i:0;s:4:\"nobr\";i:0;s:6:\"object\";i:0;s:2:\"ol\";s:1:\"2\";s:8:\"optgroup\";i:0;s:6:\"option\";i:0;s:1:\"p\";s:1:\"2\";s:5:\"param\";i:0;s:3:\"pre\";s:1:\"2\";s:1:\"q\";i:0;s:1:\"s\";i:0;s:4:\"samp\";i:0;s:6:\"script\";i:0;s:6:\"select\";i:0;s:5:\"small\";i:0;s:4:\"span\";i:0;s:6:\"strike\";i:0;s:6:\"strong\";s:1:\"2\";s:3:\"sub\";i:0;s:3:\"sup\";i:0;s:5:\"table\";s:1:\"2\";s:5:\"tbody\";s:1:\"2\";s:2:\"td\";s:1:\"2\";s:8:\"textarea\";i:0;s:5:\"tfoot\";i:0;s:2:\"th\";s:1:\"2\";s:5:\"thead\";i:0;s:2:\"tr\";s:1:\"2\";s:2:\"tt\";s:1:\"2\";s:1:\"u\";i:0;s:2:\"ul\";s:1:\"2\";s:3:\"var\";i:0;}')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'CensorList'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'CensorList', 'a:14:{i:0;s:4:\"fuck\";i:1;s:4:\"cunt\";i:2;s:6:\"fucker\";i:3;s:7:\"fucking\";i:4;s:5:\"pussy\";i:5;s:4:\"cock\";i:6;s:4:\"c0ck\";i:7;s:3:\"cum\";i:8;s:4:\"twat\";i:9;s:4:\"clit\";i:10;s:5:\"bitch\";i:11;s:3:\"fuk\";i:12;s:6:\"fuking\";i:13;s:12:\"motherfucker\";}')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'CensorMode'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'CensorMode', 'i:1;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'CensorReplace'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'CensorReplace', 's:5:\"*****\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'theme_change'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'theme_change', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'intranet'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'intranet', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'htmlentities'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'htmlentities', 's:1:\"1\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'UseCompression'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'UseCompression', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'refereronprint'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'refereronprint', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'WYSIWYGEditor'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'WYSIWYGEditor', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'storyorder'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'storyorder', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pnAntiCracker'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnAntiCracker', 'i:0;')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'use_new_admin'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'use_new_admin', 's:1:\"1\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'reservedstring'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'reservedstring', 'a:20:{i:0;s:4:\"fuck\";i:1;s:4:\"cunt\";i:2;s:5:\"pussy\";i:3;s:4:\"cock\";i:4;s:3:\"cum\";i:5;s:4:\"twat\";i:6;s:4:\"clit\";i:7;s:5:\"bitch\";i:8;s:3:\"fuk\";i:9;s:6:\"fuking\";i:10;s:3:\"God\";i:11;s:5:\"staff\";i:12;s:13:\"administrator\";i:13;s:4:\"nazi\";i:14;s:6:\"nigger\";i:15;s:7:\"bastard\";i:16;s:8:\"tabarnak\";i:17;s:6:\"putain\";i:18;s:9:\"anonymous\";i:19;s:7:\"anonyme\";}')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pncusrmodreg'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pncusrmodreg', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pnc_mail_modusrwning'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnc_mail_modusrwning', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pnc_mail_adminwning'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnc_mail_adminwning', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pnc_mail_usrregok'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnc_mail_usrregok', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pnc_mail_usrregsorry'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pnc_mail_usrregsorry', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'links_viewlinklock'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'links_viewlinklock', 's:1:\"1\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pavatar_allow'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pavatar_allow', 's:1:\"0\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pavatar_size'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pavatar_size', 's:4:\"8192\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = '/PNConfig' and pn_name = 'pavatar_types'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', '/PNConfig', 'pavatar_types', 's:16:\"gif,jpeg,jpg,png\";')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Admin' and pn_name = 'use_skin'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Admin', 'use_skin', 'Michelangelo')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Blocks' and pn_name = 'collapseable'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Blocks', 'collapseable', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Blocks' and pn_name = 'vba'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Blocks', 'vba', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Blocks' and pn_name = 'dhtml_minimize'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Blocks', 'dhtml_minimize', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_empty_months'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_empty_months', '2')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_calendar'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_calendar', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'sel_language'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'sel_language', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_empty_days'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_empty_days', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'news_month_limit'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'news_month_limit', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_empty_inform'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_empty_inform', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'sort_month_desc'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'sort_month_desc', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'sort_news_desc'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'sort_news_desc', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'news_local_time'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'news_local_time', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'news_on_page'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'news_on_page', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_all_news'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_all_news', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'show_adminbar'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'show_adminbar', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'calendar_date'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'calendar_date', '1055320353')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'calendar_refreshspeed'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'calendar_refreshspeed', '60')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'calendar_html'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'calendar_html', '<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"\" align=\"center\"><tr><td class=\"pn-normal\" colspan=\"7\" align=\"center\"><a href=\"http://localhost/125/index.php?module=daily_archive&func=display&amp;req=get&amp;year=2002&amp;month=12\"><b><!---12--->&nbsp;2002<!---_YEARAFTER_---></b></a></td></tr><tr><td></td><td></td><td></td><td></td><td></td><td></td><td align=\"center\">1</td></tr><tr><td align=\"center\">2</td><td align=\"center\">3</td><td align=\"center\">4</td><td align=\"center\">5</td><td align=\"center\">6</td><td align=\"center\">7</td><td align=\"center\">8</td></tr><tr><td align=\"center\">9</td><td align=\"center\">10</td><td align=\"center\">11</td><td align=\"center\">12</td><td align=\"center\">13</td><td align=\"center\">14</td><td align=\"center\">15</td></tr><tr><td align=\"center\">16</td><td align=\"center\">17</td><td align=\"center\">18</td><td align=\"center\">19</td><td align=\"center\">20</td><td align=\"center\">21</td><td align=\"center\">22</td></tr><tr><td align=\"center\">23</td><td align=\"center\">24</td><td align=\"center\">25</td><td align=\"center\">26</td><td align=\"center\">27</td><td align=\"center\">28</td><td align=\"center\">29</td></tr><tr><td align=\"center\">30</td><td align=\"center\"><a href=\"http://localhost/125/index.php?module=daily_archive&func=display&amp;req=get&amp;year=2002&amp;month=12&amp;day=31\"><b>31</b></a></td></tr></table></td></tr><tr><td><br></td></tr><tr><td>')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'daily_archive' and pn_name = 'sort_months_desc'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'daily_archive', 'sort_months_desc', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanger' and pn_name = 'pagespath'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'pagespath', '/var/www/html/md-pro-1.0/upload/sub/')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'maxfilesize'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'maxfilesize', '1000000')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'hddspace'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'hddspace', '100000000')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'hiddenfiles'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'hiddenfiles', '.htaccess')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'hiddendirs'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'hiddendirs', '')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'editextensions'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'editextensions', 'htm,html,txt,php')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'imageextensions'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'imageextensions', 'jpg,jpeg,png,bmp,gif')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'textareawidth'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'textareawidth', '80')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'textareaheight'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'textareaheight', '20')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'ew_filemanager' and pn_name = 'wysiwygeditor'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'ew_filemanager', 'wysiwygeditor', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Ratings' and pn_name = 'defaultstyle'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Ratings', 'defaultstyle', 'outoffivestars')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Ratings' and pn_name = 'seclevel'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Ratings', 'seclevel', 'medium')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'subjects' and pn_name = 'pageespath'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'pagespath', '/md-pro-1.0/upload/sub/')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'subjects' and pn_name = 'wysiwygeditor'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'wysiwygeditor', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'subjects' and pn_name = 'pagesperlistview'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'pagesperlistview', '10')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'subjects' and pn_name = 'sortbypanel'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'sortbypanel', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'subjects' and pn_name = 'textareawidth'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'subjects', 'textareawidth', '96')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'itemsperrow'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'itemsperrow', '5')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'rowsperpage'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'rowsperpage', '3')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'usesubtopics'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'usesubtopics', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'maintopictext'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'maintopictext', '')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'themedependantimages'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'themedependantimages', '')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'topics' and pn_name = 'languagedependantimages'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'topics', 'languagedependantimages', '')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Wiki' and pn_name = 'AllowedProtocols'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Wiki', 'AllowedProtocols', 'http|https|mailto|ftp|news|gopher')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Wiki' and pn_name = 'ExtlinkNewWindow'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Wiki', 'ExtlinkNewWindow', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Wiki' and pn_name = 'IntlinkNewWindow'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Wiki', 'IntlinkNewWindow', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Wiki' and pn_name = 'FieldSeparator'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Wiki', 'FieldSeparator', '')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Wiki' and pn_name = 'InlineImages'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Wiki', 'InlineImages', 'png|jpg|gif')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Polls' and pn_name = 'OPTIONCOLOR'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Polls', 'OPTIONCOLOR', '#009900')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Autolinks' and pn_name = 'itemsperpage'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Autolinks', 'itemsperpage', '20')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Autolinks' and pn_name = 'linkfirst'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Autolinks', 'linkfirst', '1')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

$check = "pn_modname = 'Autolinks' and pn_name = 'invisilinks'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_module_vars VALUES ('', 'Autolinks', 'invisilinks', '0')")
        or die("<b>"._NOTUPDATED.$prefix."_module_vars</b>");
}

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_modules
// Author:                WindMeUp 01/14/2003
//
// Priority:    required for core
///////////////////////////////////////////////////////////////////////////////

$table = $prefix.'_modules';
$check = "pn_name = 'MySQL_Tools'";

if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'MySQL_Tools', 1, 'Backup', 'Datenbank-Backup', 49, 'NS-MySQL_Tools', '2.1', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}


$check = "pn_name = 'Credits'";

if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Credits', 2, 'Credits', 'Credits-Modul', 0, 'Credits', '1.0', 0, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Errore'";

if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Errore', 2, 'Fehler', 'Fehler verwalten', 0, 'Errore', '0.1', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Web_Links'";

if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Web_Links', 1, 'Web links', 'Links Web Module', 39, 'Web_Links', '2.0', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Downloads'";

if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Downloads', 1, 'Downloads', 'Downloads Module', 3, 'Downloads', '1.31', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

if($encompass) {
   $check = "pn_name = 'Encompass'";

   if(doupdate_714($table,$check)) {
       $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Encompass', 2, 'Encompass', 'Encompass theme engine', 43, 'Encompass', '0.926', 1, 0, 3)")
                or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
   }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module. Encompass theme engine for upgrade not selected."."\n");
}

if($envoblocks) {
   $check = "pn_name = 'NoMoreBlocks'";

   if(doupdate_714($table,$check)) {
      $dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'NoMoreBlocks', 1, 'NoMoreBlocks', 'NoMoreBlocks Module', 38, 'NoMoreBlocks', '0.3', 1, 1, 3)")
               or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
   }
} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module. New Blocks system for upgrade not selected."."\n");
}

$check = "pn_name = 'topx'";

if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'topx', 2, 'topx', 'TopX Module', 0, 'topx', '1.0', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Errore'";

if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Errore', 2, 'Errore', 'Error Module', 0, 'Errore', '0.1', 1, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'User_Points'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'User_Points', 2, 'User Points', 'Users Points Module', 45, 'NS-User_Points', '0.22a-1', 0, 0, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Your_Account'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Your_Account', 2, 'Your Account', 'Your Account Module', 0, 'NS-Your_Account', '0.8', 0, 0, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Past_Nuke'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'Past_Nuke', 1, 'Past Nuke', 'Past Nuke', 0, 'NS-Past_Nuke', '1.0', 1, 0, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'NewUser'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'NewUser', 1, 'New User', 'New user  Module', 21, 'NS-NewUser', '0.5', 0, 0, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'LostPassword'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'LostPassword', 1, 'Loss Password', 'Loss Password', 18, 'NS-LostPassword', '0.5', 0, 0, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'postbbcode'";
if(doupdate_714($table,$check)) {
$dbconn->Execute("INSERT INTO ".$prefix."_modules VALUES ('', 'postbbcode', 1, 'Postbbcode', 'PostBBCode Module', 48, 'postbbcode', '0.1', 0, 1, 3)")
        or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

// some updates
$modcolumn = &$pntable['modules_column'];
$check = "pn_name = 'News'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[type] = '2',
                                             $modcolumn[version] = '1.5'
                        WHERE $modcolumn[name] ='News'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Autolinks'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[type] = '2'
                        WHERE $modcolumn[name] ='Autolinks'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Topics'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[type] = '2'
                        WHERE $modcolumn[name] ='Topics'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'legal'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[name] = 'Legal',
                                             $modcolumn[directory] = 'Legal'
                        WHERE $modcolumn[name] ='legal'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'topx'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[type] = '1'
                        WHERE $modcolumn[name] ='topx'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Polls'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '1.6'
                        WHERE $modcolumn[name] ='Polls'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'User'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '0.1'
                        WHERE $modcolumn[name] ='User'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Web_Links'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '2.0'
                        WHERE $modcolumn[name] ='Web_Links'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Downloads'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '1.31'
                        WHERE $modcolumn[name] ='Downloads'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}

$check = "pn_name = 'Admin'";
if(doupdate_714($table,$check,'*','update')) {
        $dbconn->Execute("
                         UPDATE ".$prefix."_modules
                                         SET $modcolumn[version] = '1.0'
                        WHERE $modcolumn[name] ='Admin'
                                         ")
                     or die("<b>"._NOTUPDATED.$prefix."_modules</b>");
}


///////////////////////////////////////////////////////////////////////////////
// Data for:        Global check, if New Admin Panel is present. If so, do nothing.
// Author:                WindMeUp 01/14/2003
//

if($adminlite) {
$table = $prefix.'_admin_lite_group';

if(doupdate_714($table)) {
global $encompass, $envoblocks;
///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_admin_lite_group
// Author:                WindMeUp 01/14/2003
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (1, '"._SETTADMIN."', '1', '0', 4, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (2, '"._USERADMIN."', '0', '0', 3, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (3, '"._CONTENTADMIN."', '0', '0', 2, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (4, '"._QUICKADMIN."', '0', '0', 1, 1)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group VALUES (5, '"._MISCADMIN."', '0', '0', 5, 0)")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group</b>");

///////////////////////////////////////////////////////////////////////////////
// Data for:        envo_admin_lite_group_members
// Author:                WindMeUp 01/14/2003
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Blocks').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Comments').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
if ($encompass) {
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Encompass').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
}
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Languages').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Modules').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('News').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
if ($envoblocks) {
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('NoMoreBlocks').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members</b>");
}
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Settings').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members1</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Submit_News').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members2</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('topx').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members3</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (1, NULL, ".pnModGetIDFromName('Errore').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members4</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('Permissions').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members5</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('Groups').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members6</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('User').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members7</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (2, NULL, ".pnModGetIDFromName('MailUsers').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members8</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Admin_Messages').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members9</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Autolinks').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members10</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('FAQ').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members11</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Topics').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members12</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Ephemerids').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members13</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Web_Links').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members14</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (3, NULL, ".pnModGetIDFromName('Banners').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members15</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('AddStory').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members16</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('Downloads').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members17</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('Reviews').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members18</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (4, NULL, ".pnModGetIDFromName('Polls').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members19</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (5, NULL, ".pnModGetIDFromName('MySQL_Tools').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members20</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (5, NULL, ".pnModGetIDFromName('Referers').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members21</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (0, NULL, ".pnModGetIDFromName('Quotes').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members22</b>");
$dbconn->Execute("INSERT INTO ".$prefix."_admin_lite_group_members VALUES (0, NULL, ".pnModGetIDFromName('Ratings').")")
        or die("<b>"._NOTUPDATED.$prefix."_admin_lite_group_members23</b>");


$dbconn->Execute("UPDATE $pntable[blocks] SET pn_mid = REPLACE(pn_mid, '0', '11')") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:6:\"1.0.71\";' WHERE `pn_name` = 'Version_Num' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("UPDATE $pntable[module_vars] SET pn_value = 's:4:\"C-MD\";' WHERE `pn_name` = 'Default_Theme' LIMIT 1 ") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("ALTER TABLE $pntable[blocks] CHANGE pn_position pn_position VARCHAR( 255 ) DEFAULT 'l' NOT NULL") or die ("error".$dbconn->ErrorMsg());
$dbconn->Execute("INSERT INTO $pntable[counter] VALUES('browser', 'Firefox', '0')") or die ("error".$dbconn->ErrorMsg());

}

} else {
    // Log-file entry: Selection from previous step !!
    do_upgrade_log("Note: "._NOTUPDATED.$prefix."_module. Adminlite for upgrade not selected."."\n");
}
//
// Finish global check for New Admin Panel
///////////////////////////////////////////////////////////////////////////////
?>
