<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Jim McDonald
// Purpose of file:  Table information for autolinks module
// ----------------------------------------------------------------------

function autolinks_pntables()
{
    // Initialise table array
    $pntable = array();

    // Get the name for the autolinks item table
    $autolinks = pnConfigGetVar('prefix') . '_autolinks';

    // Set the table name
    $pntable['autolinks'] = $autolinks;

    // Set the column names
    $pntable['autolinks_column'] = array('lid'     => $autolinks . '.pn_lid',
                                         'keyword' => $autolinks . '.pn_keyword',
                                         'title'   => $autolinks . '.pn_title',
                                         'url'     => $autolinks . '.pn_url',
                                         'comment' => $autolinks . '.pn_comment');

    // Return the table information
    return $pntable;
}

?>