<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file:  lophas <lophas@yahoo.com>
// Purpose of file: Collapse Menu Bocks
// ----------------------------------------------------------------------
// Modified to PostNuke by: Michael (acm3) <michael@acm3.com>

function change_user_block_status()
{

    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $bid = pnVarCleanFromInput('bid');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $uid = pnUserGetVar('uid');

    $ublockstable = $pntable['userblocks'];
    $column = &$pntable['userblocks_column'];

    $sql="SELECT $column[active] FROM $ublockstable WHERE $column[bid]='".pnVarPrepForStore($bid)."' AND $column[uid]='".pnVarPrepForStore($uid)."'";
    $result = $dbconn->Execute($sql);
    list($active)=$result->fields;
    if($active) {
        $active=0;
    }
    else {
        $active=1;
    }
    $sql="UPDATE $ublockstable SET $column[active]='".pnVarPrepForStore($active)."' WHERE $column[uid]='".pnVarPrepForStore($uid)."' AND $column[bid]='".pnVarPrepForStore($bid)."'";
    $result = $dbconn->Execute($sql);
    if ($result === false) {
        PN_DBMsgError($dbconn, __FILE__, __LINE__, "Error <br>$sql");
    }
}

switch($req) {
  case 'ChangeStatus':
    change_user_block_status();
    break;

  default:
    break;
}
pnRedirect(getenv('HTTP_REFERER'));
?>