<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------



$blocks_modules['category'] = array(
    'func_display' => 'blocks_category_block',
    'text_type' => 'Category',
    'text_type_long' => 'Categories Menu',
    'allow_multiple' => false,
    'form_content' => false,
    'form_refresh' => false,
    'show_preview' => true
);



// Security
pnSecAddSchema('Categoryblock::', 'Block title::');

function blocks_category_block($row)
{
    global $topic, $catid;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!pnSecAuthAction(0, 'Categoryblock::', "$row[title]::", ACCESS_READ)) {
        return;
    }



    if (pnConfigGetVar('multilingual') == 1)

    {

        $column = &$pntable['stories_column'];
// modified for Oracle compatibility
//$querylang = "AND ($column[alanguage]='" . pnVarPrepForStore(pnUserGetLang()) . "' OR $column[alanguage]='')";
        $querylang = "AND ($column[alanguage]='" . pnVarPrepForStore(pnUserGetLang()) . "' OR $column[alanguage]='' OR $column[alanguage] IS NULL)"; /* the OR is needed to display stories who are posted to ALL languages */

    } else {

        $querylang = '';

    }

    $column = &$pntable['stories_cat_column'];

    $result = $dbconn->Execute("SELECT $column[catid] as catid, $column[title] as title FROM $pntable[stories_cat] ORDER BY $column[title]");

    if ($result->EOF)

    {

        return;

    } else {

        $boxstuff = '<span class="pn-normal">';

        if ($catid == "") {

            // $boxstuff .= '<strong><big>&middot;</big></strong>&nbsp;<b>'._ALL_CATEGORIES.'</b><br>';
                        $boxstuff .= "";
        } else {

        $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a href=\"index.php?module=News&amp;topic=$topic\">"._ALL_CATEGORIES."</a><br>";

        }

        for(;!$result->EOF;$result->MoveNext() ) {

            $srow = $result->GetRowAssoc(false);

            if (pnSecAuthAction(0, 'AddStory::Category', "$srow[title]::$srow[catid]", ACCESS_READ)) {

                $column = &$pntable['stories_column'];

                $result2 = $dbconn->Execute("SELECT $column[time] AS unixtime

                                           FROM $pntable[stories]

                                           WHERE $column[catid]=".pnVarPrepForStore($srow['catid'])." $querylang

                                           ORDER BY $column[time] DESC");

                if (!$result2->EOF) {

                    $story = $result2->GetRowAssoc(false);

                    $story['unixtime']=$result2->UnixTimeStamp($story['unixtime']);

                    $sdate = ml_ftime(_DATEBRIEF, $story['unixtime']);

                    if ($catid == $srow['catid']) {

                        $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<span class=\"pn-title\"><b>".pnVarPrepForDisplay($srow['title'])."</b></span><br>&nbsp;&nbsp;&nbsp;<span class=\"pn-sub\">(".pnVarPrepForDisplay($sdate).")</span><br>";

                    } else {

                      $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a class=\"pn-normal\" href=\"index.php?module=News&amp;catid=$srow[catid]&amp;topic=$topic\">".pnVarPrepForDisplay($srow['title'])."</a> <span class=\"pn-sub\">(".pnVarPrepForDisplay($sdate).")</span><br>";
                    }

                }

            }

        }

    }

    $boxstuff .= '</span>';

    if (empty($row['title'])) {

        $row['title'] = _CATEGORIES;

    }

    $row['content'] = $boxstuff;

    return themesideblock($row);

}

?>
