<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Patrick Kellum
// Purpose of file: Include a file
// ----------------------------------------------------------------------



$blocks_modules['finclude'] = array(

    'func_display' => 'blocks_finclude_block',

    'func_add' =>    'blocks_finclude_add',

    'func_edit' =>   'blocks_finclude_edit',

                'func_update' => 'blocks_finclude_update',

    'text_type' => 'Include',

    'text_type_long' => 'Simple File Include',

    'allow_multiple' => true,

    'form_content' => false,

    'form_refresh' => false,

//  'support_xhtml' => true,

    'show_preview' => true

);

pnSecAddSchema('fincludeblock::', 'Block title::');

function blocks_finclude_block($row)

{

    if (!pnSecAuthAction(0, "fincludeblock::", "$row[title]::", ACCESS_READ)) {

        return;

    }

    $url         = explode('|', $row['url']);

    $file         = $url[0];

    $type         = $url[1];

    if (!file_exists($file))

    {

                    $row['content'] = "File: ".$file." does not exist.";

        return themesideblock($row);

    }

                $lines = file ($file);



    foreach ($lines as $line_num => $line) {

                        if ($type == 1) {

        $row['content'] .= $line;

                        }

                        if ($type == 0) {

                          $row['content'] .= $line."<br/>";

      }

                }

    return themesideblock($row);

}



function blocks_finclude_add($row)

{

    $row['url'] = '/path/to/file.txt|0';

    return $row;

}



function blocks_finclude_update($vars)

{

    $vars['url'] = $vars['filo'] ."|". $vars['typo'];

    return $vars;

}



function blocks_finclude_edit($row)

{

    if (!empty($row['url'])) {

        $url         = explode('|', $row['url']);

        $file         = $url[0];

        $type         = $url[1];

                }

    $output = "<tr><td class=\"pn-normal\">"._FILE." </td><td><input type=\"text\" name=\"filo\" size=\"30\" maxlength=\"255\" value=\"$file\" class=\"pn-normal\"></td></tr>";

    $output .= "<tr><td></td><td class=\"pn-normal\"><select name=\"typo\"><option value=\"0\"";

                if ($type == 0) {

                  $output .= " selected";

          }

    $output .= ">"._HTML."</option><option value=\"1\"";

                if ($type == 1) {

                  $output .= " selected";

          }

                $output .= ">"._TXT."</option></select></td></tr>";

                return $output;

}



?>
