<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Patrick Kellum
// Purpose of file: Display html content of the block
// zxvision: <blocco><name>XXXX</name></blocco> recall blocks
//           <blocco><name>XXXX</name><param>xxx#xxx#xxx</param></blocco>
//           recall block with different param (param = url of block)
// ----------------------------------------------------------------------

$blocks_modules['html'] = array (
    'func_display' => 'blocks_html_block',
    'text_type' => 'HTML',
    'text_type_long' => 'HTML',
    'allow_multiple' => true,
    'form_content' => true,
    'form_refresh' => false,
    'show_preview' => true
);

// Security
pnSecAddSchema('HTMLblock::', 'Block title::');

function blocks_html_block($row)
{
    if (!pnSecAuthAction(0, 'HTMLblock::', "$row[title]::", ACCESS_OVERVIEW)) {
        return;
    }


$contenuto = $row['content'];

if (preg_match("/<blocco>/i", $contenuto)) {
    $blocchi = envuntag($contenuto, "blocco", 1);
    $lb = count($blocchi);

    for ($i =0 ; $i < $lb; $i++){

      ob_start();

      $nome = envuntag($blocchi[$i], "name", 0);
      $pos = envuntag($blocchi[$i], "position", 0);;
      $tpl= envuntag($blocchi[$i], "template", 0);
      $param= envuntag($blocchi[$i], "param", 0);

      $row1=pnBlockGetInfoByTitle($nome);

      if ($pos != '') {
        $row1['position'] = $pos;
                      }
      if ($tpl != '') {
        $row1['blocktpl'] = $tpl;
                      }
      if ($param != '') {
        $param = str_replace('#','|', $param);
        $row1['url'] = $param;
                      }

      $modinfo = pnModGetInfo($row1['mid']);

      if (!$modinfo) {
        // Assume core
        $modinfo['name'] = 'Core';
      }

      pnBlockShow($modinfo['name'], $row1['bkey'], $row1);
      $tt = ob_get_contents();

      ob_end_clean();

      $blocchi[$i] = addcslashes($blocchi[$i], '/');
      $contenuto = preg_replace('/<blocco>'.$blocchi[$i].'<\/blocco>/i', $tt, $contenuto);
    }
}
    $row['content'] = $contenuto;
    return themesideblock($row);
}

?>
