<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com
// PHP-NUKE Web Portal System - http://www.phpnuke.org
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file: count number of guests/members online
// 20/09/2001 - modified sql to cope with there being 0 members online
// ----------------------------------------------------------------------

$blocks_modules['online'] = array(
    'func_display' => 'blocks_online_block',
    'text_type' => 'Online',
    'text_type_long' => 'Online',
    'allow_multiple' => false,
    'form_content' => false,
    'form_refresh' => false,
//  'support_xhtml' => true,
    'show_preview' => true
);

// Security
pnSecAddSchema('Onlineblock::', 'Block title::');

function blocks_online_block($row)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!pnSecAuthAction(0, 'Onlineblock::', "$row[title]::", ACCESS_READ)) {
        return;
    }

    $sessioninfocolumn = &$pntable['session_info_column'];
    $sessioninfotable = $pntable['session_info'];

   $sessioninfocolumn = &$pntable['session_info_column'];
   $sessioninfotable = $pntable['session_info'];
    $activetime = time() - (pnConfigGetVar('secinactivemins') * 60);
    $query = "SELECT count( 1 )
             FROM $sessioninfotable
             WHERE $sessioninfocolumn[lastused] > $activetime AND $sessioninfocolumn[uid] >0
                  GROUP BY $sessioninfocolumn[uid]
                 ";
   $result = $dbconn->Execute($query);
$numusers = $result->RecordCount();
   $result->Close();
    $query2 = "SELECT count( 1 )
             FROM $sessioninfotable
              WHERE $sessioninfocolumn[lastused] > $activetime AND $sessioninfocolumn[uid] = '0'
                          GROUP BY $sessioninfocolumn[ipaddr]
                         ";
    $result2 = $dbconn->Execute($query2);
        $numguests = $result2->RecordCount();
    $result2->Close();
       // Pluralise
    if ($numguests == 1) {
        $guests = _GUEST;
    } else {
        $guests = _GUESTS;
    }
    if ($numusers == 1) {
        $users = _MEMBER;
    } else {
        $users = _MEMBERS;
    }
    $content = "<p>"._CURRENTLY." ".pnVarPrepForDisplay($numguests)." ".pnVarPrepForDisplay($guests)." "._AND." ".pnVarPrepForDisplay($numusers)." ".pnVarPrepForDisplay($users)." "._ONLINE."<br>\n";

    if (pnUserLoggedIn()) {
        $content .= '<br>'._YOUARELOGGED.' <b>' .pnUserGetVar('uname') . '</b>.<br>';
                if (pnModAvailable('Messages')) {
                        // display private messages only when module is active
        $column = &$pntable['priv_msgs_column'];
        $result2 = $dbconn->Execute("SELECT count(*) FROM $pntable[priv_msgs] WHERE $column[to_userid]=" . pnUserGetVar('uid'));
        list($numrow) = $result2->fields;
                // get unread messages
                        $result3 = $dbconn->Execute("SELECT count(*) FROM $pntable[priv_msgs] WHERE $column[to_userid]=" . pnUserGetVar('uid') . " AND $column[read_msg]='0'");
                list($unreadrow) = $result3->fields;

        if ($numrow == 0) {
            $content .= '<br></p>';
        } else {
                    $content .= "<p>"._YOUHAVE." (<a href=\"modules.php?op=modload&amp;name=Messages&amp;file=index\" title=\""._PRIVATEMSGS."\">".pnVarPrepForDisplay($numrow)."</a>|<a href=\"modules.php?op=modload&amp;name=Messages&amp;file=index\" title=\""._PRIVATEMSGNEW."\">".pnVarPrepForDisplay($unreadrow)."</a>) ";
            if ($numrow==1) {
               $content .= _PRIVATEMSG ;
           }
           elseif ($numrow>1) {
               $content .= _PRIVATEMSGS ;
           }
           $content .= "</p>";
                }
        }
    } else {
                // if registration is not allowed, only login possible
                  if (pnConfigGetVar('reg_allowreg') == 1) {
                $content .= '<br>'._YOUAREANON.'<br>';
                  } else {
                $content .= '<br>'._YOUAREANONLOGIN.'<br>';
                }
    }
    if (empty($row['title'])) {
        $row['title'] = _WHOSONLINE;
    }
    $row['content'] = $content;
    return themesideblock($row);
}
?>