<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

$blocks_modules['user'] = array(
    'func_display' => 'blocks_user_block',
    'text_type' => 'User',
    'text_type_long' => "User's Custom Box",
    'allow_multiple' => false,
    'form_content' => false,
    'form_refresh' => false,
    'show_preview' => true
);
// Security
pnSecAddSchema('Userblock::', 'Block title::');
function blocks_user_block($row) {
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    if (!pnSecAuthAction(0, 'Userblock::', "$row[title]::", ACCESS_READ)) {
        return;
    }

    if ((pnUserLoggedIn()) && (pnUserGetVar('ublockon') == 1)) {
        $column = &$pntable['users_column'];
        $uid = pnUserGetVar('uid');
        $getblock = $dbconn->Execute("SELECT $column[ublock] FROM $pntable[users] WHERE $column[uid]=".pnVarPrepForStore($uid)."");
        list($ublock) = $getblock->fields;

        $username = pnUserGetVar('name');
        $row['title'] = _MENUFOR." ".pnVarPrepForDisplay($username)."";
        $row['content'] = $ublock;
        return themesideblock($row);
    }
}
?>
