<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------


include("config/dl-config.php");
/**
 * MostPopular
 */
function MostPopular($ratenum, $ratetype) {
    global $ModName, $topdownloadspercent, $totalmostpopdownloads, $datetime, $transferfile, $modurl, $screenshotwidth, $screenshotheight, $displayscreenshot, $image_dir, $popupwidth, $popupheight;

    include("header.php");

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    menu(1);

    $mostpopdownloadspercentrigger = pnConfigGetVar('mostpopdownloadspercentrigger');
    $mostpopdownloads = pnConfigGetVar('mostpopdownloads');

    OpenTable();
    echo "<table border=\"0\" ><tr><td align=\"center\" colspan=2>";
    if ($ratenum != "" && $ratetype != "") {
        $mostpopdownloads = $ratenum;
        if ($ratetype == "percent") $mostpopdownloadspercentrigger = 1;
    }
    if ($mostpopdownloadspercentrigger == 1) {
        $topdownloadspercent = $mostpopdownloads;
//BUG -> most popular are the files most downloaded not the files with most editorials
//        $table = $pntable['downloads_editorials'];
        $table = $pntable['downloads_downloads'];
        $result=$dbconn->Execute("SELECT count(*) FROM $table");
        list($totalmostpopdownloads) = $result->fields;
        $mostpopdownloads = $mostpopdownloads / 100;
        $mostpopdownloads = $totalmostpopdownloads * $mostpopdownloads;
        $mostpopdownloads = round($mostpopdownloads);
    }
    if ($mostpopdownloadspercentrigger == 1) {
        echo ""._MOSTPOPULAR." ".pnVarPrepForDisplay($topdownloadspercent)."% ("._OFALL." ".pnVarPrepForDisplay($totalmostpopdownloads)." "._DOWNLOADS.")";
    } else {
        echo ""._MOSTPOPULAR." ".pnVarPrepForDisplay($mostpopdownloads)."";
    }
    echo "<tr><td colspan=2>"._SHOWTOP.": [ <a href=\"$modurl&amp;req=MostPopular&amp;ratenum=10&amp;ratetype=num\">10</a> - "
    ."<a href=\"$modurl&amp;req=MostPopular&amp;ratenum=25&amp;ratetype=num\">25</a> - "
    ."<a href=\"$modurl&amp;req=MostPopular&amp;ratenum=50&amp;ratetype=num\">50</a> | "
    ."<a href=\"$modurl&amp;req=MostPopular&amp;ratenum=1&amp;ratetype=percent\">1%</a> - "
    ."<a href=\"$modurl&amp;req=MostPopular&amp;ratenum=5&amp;ratetype=percent\">5%</a> - "
    ."<a href=\"$modurl&amp;req=MostPopular&amp;ratenum=10&amp;ratetype=percent\">10%</a> ]<br><br></td></tr>";
    $column = &$pntable['downloads_downloads_column'];
    $table = $pntable['downloads_downloads'];
    $sql = "SELECT $column[lid], $column[cid], $column[sid], $column[url],
                             $column[title], $column[image], $column[description], $column[date],
                             $column[hits], $column[downloadratingsummary],
                             $column[totalvotes], $column[totalcomments],
                             $column[filesize], $column[version], $column[homepage]
                            FROM $table
                            ORDER BY $column[hits] DESC";

    $result=$dbconn->SelectLimit($sql,$mostpopdownloads);

    echo "<tr><td>";
//modified for Oracle compatibility
//while(list($lid, $cid, $sid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields) {
    while(!$result->EOF){
		list($lid, $cid, $sid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields;
        $result->MoveNext();

		downloads_outputitem ($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage, $modurl, $ModName);
    }
    echo "</font>";
    echo "</td></tr></table>";
    CloseTable();
    include("footer.php");
}

?>