<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

include("config/dl-config.php");

function NewDownloads($newdownloadshowdays)
{
    global $ModName, $modurl;

    include 'header.php';

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    menu(1);

    if (!pnSecAuthAction(0, $ModName.'::', '::', ACCESS_READ)) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    OpenTable();
    echo "<center><font class=\"pn-title\">"._NEWDOWNLOADS."</font></center><br>";
    $allweekdownloads = 0;
    $allmonthdownloads = 0;
    for ($counter = 0; $counter < 7; $counter++){
        $newdownloaddayRaw = (time()-(86400 * $counter));
        $newdownloadday = date("d-M-Y", $newdownloaddayRaw);
        $newdownloadView = date("F d, Y", $newdownloaddayRaw);
        $newdownloadDB = Date("Y-m-d", $newdownloaddayRaw);
        $result = $dbconn->Execute("SELECT count(*) FROM ".$pntable['downloads_downloads'].
        " WHERE ".$pntable['downloads_downloads_column']['date']." LIKE '%".$newdownloadDB."%'");
        list($totaldownloads) = $result->fields;
        $allweekdownloads = $allweekdownloads + $totaldownloads;
    }
    for ($counter = 0; $counter < 30; $counter++){
        $newdownloaddayRaw = (time()-(86400 * $counter));
        $newdownloadDB = Date("Y-m-d", $newdownloaddayRaw);
        $result = $dbconn->Execute("SELECT count(*) FROM ".$pntable['downloads_downloads'].
        " WHERE ".$pntable['downloads_downloads_column']['date']." LIKE '%".$newdownloadDB."%'");
        list($totaldownloads) = $result->fields;
        $allmonthdownloads = $allmonthdownloads + $totaldownloads;
    }
    echo "<center><font class=\"pn-title\">"._TOTALNEWDOWNLOADS.":</font> <font class=\"pn-normal\">"._LASTWEEK." - ".pnVarPrepForDisplay($allweekdownloads)." / "._LAST30DAYS." - ".pnVarPrepForDisplay($allmonthdownloads)."</font><br>"
    ."<font class=\"pn-title\">"._SHOW.": <a class=\"pn-normal\" href=\"$modurl&amp;req=NewDownloads&amp;newdownloadshowdays=7\">"._1WEEK."</a> - <a class=\"pn-normal\" href=\"$modurl&amp;req=NewDownloads&amp;newdownloadshowdays=14\">"._2WEEKS."</a> - <a class=\"pn-normal\" href=\"$modurl&amp;req=NewDownloads&amp;newdownloadshowdays=30\">"._30DAYS."</a>"
    ."</font></center><br>";
    /* List Last VARIABLE Days of Downloads */
    if (!isset($newdownloadshowdays)) {
        $newdownloadshowdays = 7;
    }
    echo "<br><center><font class=\"pn-title\">"._DTOTALFORLAST." ".pnVarPrepForDisplay($newdownloadshowdays)." "._DAYS.":</font><br><br>";
    $allweekdownloads = 0;
    for ($counter = 0; $counter < $newdownloadshowdays; $counter++) {
        $newdownloaddayRaw = (time()-(86400 * $counter));
        $newdownloadday = date("d-M-Y", $newdownloaddayRaw);
        $newdownloadView = date("F d, Y", $newdownloaddayRaw);
        $newdownloadDB = Date("Y-m-d", $newdownloaddayRaw);
        $result = $dbconn->Execute("select count(*) FROM ".$pntable['downloads_downloads'].
        " WHERE ".$pntable['downloads_downloads_column']['date']." LIKE '%".$newdownloadDB."%'");
        list($totaldownloads) = $result->fields;
        $allweekdownloads = $allweekdownloads + $totaldownloads;
        echo "<strong><big>&middot;</big></strong> <a class=\"pn-normal\" href=\"$modurl&amp;req=NewDownloadsDate&amp;selectdate=$newdownloaddayRaw\">".pnVarPrepForDisplay($newdownloadView)."</a>&nbsp<font class=\"pn-normal\">(".pnVarPrepForDisplay($totaldownloads).")</font><br>";
    }
    $counter = 0;
    $allmonthdownloads = 0;
    echo "</center>";
    CloseTable();
    include 'footer.php';
}

function NewDownloadsDate($selectdate)
{
    global $ModName, $modurl,$screenshotwidth, $screenshotheight, $displayscreenshot, $image_dir, $popupwidth, $popupheight;
;

    $dateDB = (date("d-M-Y", $selectdate));
    $dateView = (date("F d, Y", $selectdate));
    include("header.php");

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    menu(1);


    if (!pnSecAuthAction(0, $ModName.'::', '::', ACCESS_READ)) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    OpenTable();
    $newdownloadDB = Date("Y-m-d", $selectdate);
    $table1 = $pntable['downloads_downloads'];
    $table2 = $pntable['downloads_downloads_column']['date'];
    $result = $dbconn->Execute("SELECT count(*) FROM $table1 WHERE {$table2} LIKE '%$newdownloadDB%'");
    list($totaldownloads) = $result->fields;
    echo "<font class=\"pn-title\">".pnVarPrepForDisplay($dateView)." - ".pnVarPrepForDisplay($totaldownloads)." "._NEWDOWNLOADS."</font>";
    
		echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" border=\"0\"><tr><td colspan=2 align=\"center\">";
    $column = &$pntable['downloads_downloads_column'];
    $table = $pntable['downloads_downloads'];
    $result=$dbconn->Execute("SELECT $column[lid], $column[cid], $column[sid], $column[url],
                             $column[title], $column[image], $column[description], $column[date],
                             $column[hits], $column[downloadratingsummary],
                             $column[totalvotes], $column[totalcomments],
                             $column[filesize], $column[version], $column[homepage]
                            FROM $table
                            WHERE $column[date] LIKE '%$newdownloadDB%'
                            ORDER BY $column[title] ASC");
//modified for Oracle compatibility
// while(list($lid, $cid, $sid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields)		{
	while(!$result->EOF){
		list($lid, $cid, $sid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields;
      $result->MoveNext();

			downloads_outputitem ($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage, $modurl, $ModName);
			
    }
		
		echo"</td></tr>";
    echo "</table>";
    CloseTable();
    include 'footer.php';
}
?>