<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

/**
 * @usedby index
 */
function rateinfo($lid) {
    global $ModName, $dbname;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $itemname = downloads_ItemNameFromIID($lid);
    $catname = downloads_CatNameFromIID($lid);
    if (!(pnSecAuthAction(0, $ModName.'::Item', "$itemname:$catname:$lid", ACCESS_COMMENT))) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    $column = &$pntable['downloads_downloads_column'];
    $table = $pntable['downloads_downloads'];
    $dbconn->Execute("UPDATE $table
                    SET $column[hits] =$column[hits]+1
                    WHERE $column[lid]=".pnVarPrepForStore($lid)."");
                    
    $table = $pntable['downloads_downloads'];
    $result = $dbconn->Execute("SELECT $column[url]
                              FROM $table
                              WHERE $column[lid]=".pnVarPrepForStore($lid)."");
    list($url) = $result->fields;
    Header("Location: ".$url);
}

/**
 *@usedby index, navigation
 */
function addrating($ratinglid, $ratinguser, $rating, $ratinghost_name, $ratingcomments)
{
    global $ModName, $pnconfig;
    $dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];

    $anonymous = pnConfigGetVar('anonymous');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $passtest = "yes";
    include("header.php");
    include(WHERE_IS_PERSO."config.php");


    $itemname = downloads_ItemNameFromIID($ratinglid);
    $catname = downloads_CatNameFromIID($ratinglid);
    if(!isset($lid)) $lid = '';
    if (!(pnSecAuthAction(0, $ModName.'::Item', "$itemname:$catname:$lid", ACCESS_COMMENT))) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    completevoteheader();
    if (pnUserLoggedIn()) {
        $ratinguser = pnUserGetVar('uname');
    } else if ($ratinguser=="outside") {
        $ratinguser = "outside";
    } else {
        $ratinguser = pnConfigGetVar("anonymous");
    }
    $column = &$pntable['downloads_downloads_column'];
    $table = $pntable['downloads_downloads'];
    $results3 = $dbconn->Execute("SELECT $column[title]
                                FROM $table
                                WHERE $column[lid]=".pnVarPrepForStore($ratinglid)."");
//modified for Oracle compatibility
//   while(list($title)=$results3->fields)   {
   while(!$results3->EOF){
	   list($title)=$results3->fields;
        $ttitle = $title;
        $results3->MoveNext();
    }
    /* Make sure only 1 anonymous from an IP in a single day. */
    $ip = getenv("REMOTE_HOST");
    if (empty($ip)) {
       $ip = getenv("REMOTE_ADDR");
    }
    /* Check if Rating is Null */
    if ($rating=="--") {
        $error = "nullerror";
        completevote($error);
        $passtest = "no";
    }
    /* Check if Download POSTER is voting (UNLESS Anonymous users allowed to post) */
    if ($ratinguser != $anonymous && $ratinguser != "outside") {
        $column = &$pntable['downloads_downloads_column'];
        $table = $pntable['downloads_downloads'];
        $result=$dbconn->Execute("SELECT $column[submitter]
                                FROM $table
                                WHERE $column[lid]=".pnVarPrepForStore($ratinglid)."");
//modified for Oracle compatibility
//        while(list($ratinguserDB)=$result->fields) {
        while(!$result->EOF){
			list($ratinguserDB)=$result->fields;

            $result->MoveNext();
            if ($ratinguserDB==$ratinguser) {
                $error = "postervote";
                completevote($error);
                $passtest = "no";
            }
        }
    }
	/* Check if REG user is trying to vote twice. */
    if ($ratinguser!=$anonymous && $ratinguser != "outside") {
        $column = &$pntable['downloads_votedata_column'];
        $table = $pntable['downloads_votedata'];
        $result=$dbconn->Execute("SELECT $column[ratinguser] FROM $table WHERE $column[ratinglid]=".pnVarPrepForStore($ratinglid)."");

//modified for Oracle compatibility
//        while(list($ratinguserDB)=$result->fields) {
        while(!$result->EOF){
			list($ratinguserDB)=$result->fields;

            $result->MoveNext();
            if ($ratinguserDB==$ratinguser) {
                $error = "regflood";
                completevote($error);
                $passtest = "no";
            }
        }
    }
    /* Check if ANONYMOUS user is trying to vote more than once per day. */
    if ($ratinguser==$anonymous){
        $yesterdaytimestamp = (time()-(86400 * $anonwaitdays));
        $ytsDB = Date("Y-m-d H:i:s", $yesterdaytimestamp);
        $column = &$pntable['downloads_votedata_column'];
        $table = $pntable['downloads_votedata'];
        $result=$dbconn->Execute("SELECT count(*)
                                FROM $table
                                WHERE $column[ratinglid]=".pnVarPrepForStore($ratinglid)."
                                   AND $column[ratinguser]='".pnVarPrepForStore($anonymous)."'
                                   AND $column[ratinghostname] = '".pnVarPrepForStore($ip)."'
                                   AND TO_DAYS(NOW()) - TO_DAYS(".pnVarPrepForStore($column['ratingtimestamp']).") < ".pnVarPrepForStore($anonwaitdays)."");
        list($anonvotecount) = $result->fields;
        if ($anonvotecount >= 1) {
            $error = "anonflood";
            completevote($error);
            $passtest = "no";
        }
    }
    /* Check if OUTSIDE user is trying to vote more than once per day. */
    if ($ratinguser=="outside"){
        $yesterdaytimestamp = (time()-(86400 * $outsidewaitdays));
        $ytsDB = Date("Y-m-d H:i:s", $yesterdaytimestamp);
        $column = &$pntable['downloads_votedata_column'];
        $table = $pntable['downloads_votedata'];
        $result=$dbconn->Execute("SELECT count(*) FROM $table
                                WHERE $column[ratinglid]=".pnVarPrepForStore($ratinglid)."
                                   AND $column[ratinguser]='outside'
                                   AND $column[ratinghostname] = '".pnVarPrepForStore($ip)."'
                                   AND TO_DAYS(NOW()) - TO_DAYS(".pnVarPrepForStore($column['ratingtimestamp']).") < ".pnVarPrepForStore($outsidewaitdays)."");
        list($outsidevotecount) = $result->fields;
        if ($outsidevotecount >= 1) {
            $error = "outsideflood";
            completevote($error);
            $passtest = "no";
        }
    }

	/* Passed Tests */
    if ($passtest == "yes") {
        /* All is well.  Add to Line Item Rate to DB. */
         $column = &$pntable['downloads_votedata_column'];
         $table = $pntable['downloads_votedata'];
//modified for Oracle compatibility
/*		 $dbconn->Execute("INSERT INTO $table
                         ($column[ratingdbid], $column[ratinglid],
                         $column[ratinguser], $column[rating],
                         $column[ratinghostname], $column[ratingcomments],
                         $column[ratingtimestamp])
                         VALUES (NULL,'".pnVarPrepForStore($ratinglid)."', '".pnVarPrepForStore($ratinguser)."', '".pnVarPrepForStore($rating)."',
                          '".pnVarPrepForStore($ip)."', '".pnVarPrepForStore($ratingcomments)."', now())");
*/

		switch ($dbtype){
			case "oci8":
                $sequence=substr_replace($pntable['downloads_votedata'],'',0,strlen($dbname)+1).'_sq';
				$newid = $dbconn->GenId($sequence);
				$dbconn->Execute("INSERT INTO $table
                         ($column[ratingdbid], $column[ratinglid],
                         $column[ratinguser], $column[rating],
                         $column[ratinghostname], $column[ratingcomments],
                         $column[ratingtimestamp])
                         VALUES ($newid,'".pnVarPrepForStore($ratinglid)."', '".pnVarPrepForStore($ratinguser)."', '".pnVarPrepForStore($rating)."',
                          '".pnVarPrepForStore($ip)."', empty_clob(), sysdate)");
				$dbconn->updateClob($table,$column[ratingcomments],$ratingcomments,"$column[ratingdbid]=".$newid);
				break;
			default:
         $dbconn->Execute("INSERT INTO $table
                         ($column[ratingdbid], $column[ratinglid],
                         $column[ratinguser], $column[rating],
                         $column[ratinghostname], $column[ratingcomments],
                         $column[ratingtimestamp])
                         VALUES (NULL,'".pnVarPrepForStore($ratinglid)."', '".pnVarPrepForStore($ratinguser)."', '".pnVarPrepForStore($rating)."',
                          '".pnVarPrepForStore($ip)."', '".pnVarPrepForStore($ratingcomments)."', now())");
				break;
		}

        /* All is well.  Calculate Score & Add to Summary (for quick retrieval & sorting) to DB. */
        /* NOTE: If weight is modified, ALL downloads need to be refreshed with new weight. */
        /*   Running a SQL statement with your modded calc for ALL downloads will accomplish this. */
        $table = $pntable['downloads_votedata'];
        $voteresult = $dbconn->Execute("SELECT $column[rating], $column[ratinguser],
                                      $column[ratingcomments]
                                      FROM $table
                                      WHERE $column[ratinglid] = ".pnVarPrepForStore($ratinglid)."");
        $totalvotesDB = $voteresult->PO_RecordCount();

		$finalrating = calculateVote($voteresult, $totalvotesDB);
        $column = &$pntable['downloads_downloads_column'];
        $table = $pntable['downloads_downloads'];
        $dbconn->Execute("UPDATE $table
                        SET $column[downloadratingsummary] = ".pnVarPrepForStore($finalrating).",
                            $column[totalvotes] = ".pnVarPrepForStore($totalvotesDB).",
                            $column[totalcomments] = ".pnVarPrepForStore($column['totalcomments'])." + 1
                        WHERE $column[lid] = ".pnVarPrepForStore($ratinglid));

		$error = "none";
        completevote($error);
    }
    completevotefooter($ratinglid, $ttitle, $ratinguser);
    include("footer.php");
}

function completevoteheader() 
{
    global $ModName;
    
    menu(1);

    OpenTable();
}

function completevotefooter($lid, $ttitle, $ratinguser)
{
    global $ModName;
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $itemname = downloads_ItemNameFromIID($lid);
    $catname = downloads_CatNameFromIID($lid);
    if (!(pnSecAuthAction(0, $ModName.'::Item', "$itemname:$catname:$lid", ACCESS_COMMENT))) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    $column = &$pntable['downloads_downloads_column'];
    $table = $pntable['downloads_downloads'];
    $result=$dbconn->Execute("SELECT $column[url]
                            FROM $table
                            WHERE $column[lid]=$lid");
    list($url)=$result->fields;
    echo "<font class=\"pn-normal\">"._THANKSTOTAKETIME.' '.pnConfigGetVar('sitename').'. '._DLETSDECIDE."</font><br><br><br>";
    if ($ratinguser=="outside") {
        echo "<center><font class=\"pn-normal\">"._WEAPPREACIATE.' '.pnConfigGetVar('sitename')."!<br><a class=\"pn-normal\" href=\"$url\">"._RETURNTO." $ttitle</a></font><center><br><br>";
        $column = &$pntable['downloads_downloads_column'];
        $table = $pntable['downloads_downloads'];
        $result=$dbconn->Execute("SELECT $column[title]
                                FROM $table
                                WHERE $column[lid]=".pnVarPrepForStore($lid)."");
        list($title)=$result->fields;
        $ttitle = ereg_replace (" ", "_", $title);
    }
    echo "<center><font class=\"pn-normal\">";
    downloadinfomenu($lid,$ttitle);
    echo "</center></font>";
    CloseTable();
}

function completevote($error)
{
    global $ModName;

    switch ($error)
    {
        case "none":
            echo "<center><font class=\"pn-title\">"._VOTEAPPRECIATED."</font></center>";
            break;
        case "anonflood":
            echo "<center><font class=\"pn-title\">"._VOTEALREADYPAST.pnVarPrepForStore($anonwaitdays)._DAYS.".</font></center><br>";
            break;
        case "regflood":
            echo "<center><font class=\"pn-title\">"._VOTEONLYONCE."</font></center><br>";
            break;
        case "postervote":
            echo "<center><font class=\"pn-title\">"._VOTEFOROWN."</font></center><br>";
            break;
        case "nullerror":
            echo "<center><font class=\"pn-title\">"._VOTENORATING."</font></center><br>";
            break;
        case "outsideflood":
            echo "<center><font class=\"pn-title\">"._VOTEIP.pnVarPrepForStore($outsidewaitdays)._DAYS.".</font></center><br>";
            break;
    }
}

/**
 * @usedby index
 */
function ratedownload($lid, $ttitle)
{
    include 'header.php';

    global $datetime, $ModName, $modurl;
    menu(1);

    $itemname = downloads_ItemNameFromIID($lid);
    $catname = downloads_CatNameFromIID($lid);
    if (!(pnSecAuthAction(0, $ModName.'::Item', "$itemname:$catname:$lid", ACCESS_COMMENT))) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    OpenTable();
    $transfertitle = ereg_replace ("_", " ", $ttitle);
    $displaytitle = $transfertitle;
    $ip = getenv("REMOTE_HOST");
    if (empty($ip)) {
       $ip = getenv("REMOTE_ADDR");
    }
    echo "<font class=\"pn-normal\">".pnVarPrepForStore($displaytitle)."</font>"
    ."<ul>"
    ."<li><font class=\"pn-sub\">"._RATENOTE1."</font>"
    ."<li><font class=\"pn-sub\">"._RATENOTE2."</font>"
    ."<li><font class=\"pn-sub\">"._RATENOTE3."</font>"
    ."<li><font class=\"pn-sub\">"._DRATENOTE4."</font>"
    ."<li><font class=\"pn-sub\">"._RATENOTE5."</font>";
    if (pnUserLoggedIn()) {
        $name = pnUserGetVar('uname');
        echo "<li><font class=\"pn-sub\">"._YOUAREREGGED."</font>"
        ."<li><font class=\"pn-sub\">"._FEELFREE2ADD."</font>";
    } else {
        echo "<li><font class=\"pn-sub\">"._YOUARENOTREGGED."</font>"
        ."<li><font class=\"pn-sub\">"._IFYOUWEREREG."</font>";
        $name = pnConfigGetVar('anonymous');
    }
    echo "</ul>"
    ."<form action=\"$modurl&amp;req=addrating\" method=\"post\">"
    ."<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\">"
    ."<tr><td width=\"25\" nowrap></td>"
    ."<tr><td width=\"25\" nowrap></td><td width=\"550\">"
    ."<input type=\"hidden\" name=\"ratinglid\" value=\"$lid\">"
    ."<input type=\"hidden\" name=\"ratinguser\" value=\"$name\">"
    ."<input type=\"hidden\" name=\"ratinghost_name\" value=\"$ip\">"
    ."<font class=\"pn-normal\">"._RATETHISSITE.""
    ."<select name=\"rating\">"
    ."<option>--</option>"
    ."<option>10</option>"
    ."<option>9</option>"
    ."<option>8</option>"
    ."<option>7</option>"
    ."<option>6</option>"
    ."<option>5</option>"
    ."<option>4</option>"
    ."<option>3</option>"
    ."<option>2</option>"
    ."<option>1</option>"
    ."</select></font>"
    ."<font class=\"pn-sub\"><input type=\"submit\" value=\""._RATETHISSITE."\"></font>"
    ."<br><br>";
    if (pnUserLoggedIn()) {
        echo "<font class=\"pn-normal\">"._COMMENTS.":<br><textarea wrap=\"virtual\" cols=\"50\" rows=\"10\" name=\"ratingcomments\"></textarea>"
        ."<br><br><br>"
        ."</font></td>";
    } else {
        echo"<input type=\"hidden\" name=\"ratingcomments\" value=\"\">";
    }
    echo "</tr></table></form>";
    echo "<center>";

    downloadfooterchild($lid);

    echo "</center>";
    CloseTable();
    include 'footer.php';
}
?>