<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

include("config/dl-config.php");
/**
 * search
 */
function search($query, $min, $orderby, $show) {
    global $bgcolor2, $ModName, $modurl,$screenshotwidth, $screenshotheight, $displayscreenshot, $image_dir, $popupwidth, $popupheight, $pnconfig;

	$dbtype = $pnconfig['dbtype'];

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $perpage = pnConfigGetVar('perpage');
    $locale = pnConfigGetVar('locale');
    $downloadsresults = pnConfigGetVar('downloadsresults');

    if (!isset($min)) $min=0;
    if (!isset($max)) $max=$min+$downloadsresults;
    if(isset($orderby)) {
        $orderby = convertorderbyin($orderby);
    } else {
        $orderby = "title ASC";
    }
    if ($show!="") {
        $downloadsresults = $show;
    } else {
        $show=$downloadsresults;
    }
    $query = stripslashes($query);
    $column = &$pntable['downloads_downloads_column'];
    $table1 = $pntable['downloads_downloads'];
    $table2 = $pntable['downloads_downloads'];
//modified for Oracle compatibility
	switch ($dbtype){
		case "oci8":
		    $sql = "SELECT $column[lid], $column[cid], $column[sid],
                              $column[title], $column[url], $column[image], $column[description],
                              $column[date], $column[hits], $column[downloadratingsummary],
                              $column[totalvotes], $column[totalcomments],
                              $column[filesize], $column[version], $column[homepage]
                              FROM $table1
                              WHERE $column[title] LIKE '%$query%'
                                OR contains($column[description],'%$query%',1)>0 
                                ORDER BY '$table2.$orderby'";
			break;
		default:
    $sql = "SELECT $column[lid], $column[cid], $column[sid],
                              $column[title], $column[url], $column[image], $column[description],
                              $column[date], $column[hits], $column[downloadratingsummary],
                              $column[totalvotes], $column[totalcomments],
                              $column[filesize], $column[version], $column[homepage]
                              FROM $table1
                              WHERE $column[title] LIKE '%$query%'
                                OR $column[description] LIKE '%$query%'
                                ORDER BY '$table2.$orderby'";
			break;
	}

    $result = $dbconn->SelectLimit($sql, $downloadsresults, $min);
    
    $table = $pntable['downloads_downloads'];
//modified for Oracle compatibility
	switch ($dbtype){
		case "oci8":
			$fullcountresult=$dbconn->Execute("SELECT count(*) from $table
                                     WHERE $column[title] LIKE '%$query%'
                                       OR contains($column[description],'%$query%',1)>0 ");
			break;
		default:
    $fullcountresult=$dbconn->Execute("SELECT count(*) from $table
                                     WHERE $column[title] LIKE '%$query%'
                                       OR $column[description] LIKE '%$query%' ");
			break;
	}
	
    $totalselecteddownloads = $fullcountresult->PO_RecordCount();
    $nrows  = $result->PO_RecordCount();
    $resultx = $dbconn->Execute("SELECT * FROM ".$pntable['downloads_subcategories'].
                               " WHERE ".$pntable['downloads_subcategories_column']['title']." LIKE '%".$query.
                               "%' ORDER BY ".$pntable['downloads_subcategories_column']['title']." DESC");
    $nrowsx  = $resultx->PO_RecordCount();
    $x=0;
    include("header.php");
    menu(1);

    OpenTable();
    if ($query != "") {
        if ($nrows>0 OR $nrowsx>0) {
            $column = &$pntable['downloads_subcategories_column'];
            $table = $pntable['downloads_subcategories'];
            $result2 = $dbconn->Execute("SELECT $column[cid], $column[sid],
                                       $column[title] FROM $table
                                       WHERE $column[title] LIKE '%$query%'
                                        ORDER BY $column[title] DESC");
            echo "<font class=\"pn-title\">"._SEARCHRESULTS4.": $query</font><br><br>"
            ."<table bgcolor=\"$bgcolor2\"><tr><td><font class=\"pn-title\">"._USUBCATEGORIES."</font></td></tr></table>";
//modified for Oracle compatibility
//            while(list($cid, $sid, $stitle) = $result2->fields) {
            while(!$result2->EOF){
				list($cid, $sid, $stitle) = $result2->fields;
				if (downloads_authsubcat($cid, $sid, ACCESS_READ)) {
					$ctitle = downloads_CatNameFromCID($cid);
					$subnumfiles = downloads_SubCatNumItems($sid);

					$ctitle = ereg_replace($query, "<font class=\"pn-normal\">$query</font>", $ctitle);
			        $stitle = ereg_replace($query, "<font class=\"pn-normal\">$query</font>", $stitle);
			        echo "<strong><big>&middot;</big></strong>&nbsp;<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid\">$ctitle / $stitle</a> ($subnumfiles)<br>";
			        $result2->MoveNext();
				}
			}

            echo "<br><table bgcolor=\"$bgcolor2\"><tr><td><font class=\"pn-title\">"._UDOWNLOADS."</font></td></tr></table>";
            $orderbyTrans = convertorderbytrans($orderby);

            echo "<center><font class=\"pn-normal\">"._SORTDOWNLOADSBY.": "
            .""._TITLE." (<a class=\"pn-normal\" href=\"$modurl&amp;req=search&amp;query=$query&amp;orderby=titleA\">A</a>\<a href=\"$modurl&amp;req=search&amp;query=$query&amp;orderby=titleD\">D</a>) "
            .""._DATE." (<a class=\"pn-normal\" href=\"$modurl&amp;req=search&amp;query=$query&amp;orderby=dateA\">A</a>\<a href=\"$modurl&amp;req=search&amp;query=$query&amp;orderby=dateD\">D</a>) "
            .""._RATING." (<a class=\"pn-normal\" href=\"$modurl&amp;req=search&amp;query=$query&amp;orderby=ratingA\">A</a>\<a href=\"$modurl&amp;req=search&amp;query=$query&amp;orderby=ratingD\">D</a>) "
            .""._POPULARITY." (<a class=\"pn-normal\" href=\"$modurl&amp;req=search&amp;query=$query&amp;orderby=hitsA\">A</a>\<a href=\"$modurl&amp;req=search&amp;query=$query&amp;orderby=hitsD\">D</a>)"
            ."<br>"._RESSORTED.": $orderbyTrans</center><br><br><br><table>";
//modified for Oracle compatibility
//   while(list($lid, $cid, $sid, $title, $url, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage) = $result->fields) {
			while(!$result->EOF){
			   list($lid, $cid, $sid, $title, $url, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage) = $result->fields;
                $result->MoveNext();
                $title = ereg_replace($query, "$query", $title);
                downloads_outputitem ($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage, $modurl, $ModName);
echo"</td></tr><tr height=\"1\" bgcolor=\"#eeeeee\"><td colspan=2></td></tr>";

//                $catname = downloads_CatNameFromCID($cid);
//                 echo "<font class=\"pn-normal\">"._CATEGORY.": $ctitle $slash $stitle</font><br><br>";
                  $x++;
                }
            }
            echo "<tr><td colspan=2></font>";
            $orderby = convertorderbyout($orderby);
			echo"</td></tr>";
        } else {
            echo "<br><br><center><font class=\"pn-title\">"._NOMATCHES."</font><br><br><font class=\"pn-normal\">"._GOBACK."</font><br></center>";
        }
	
	downloads_outputpagelinks($query, $modurl, $orderby, $totalselecteddownloads, $perpage, $min, $max, $show, "search", "query");
	
      if ($nrows ==0)
     {
        echo "<table></table><tr><td><br><br><center><font class=\"pn-title\">"._NOMATCHES."</font><br><br><font class=\"pn-normal\">"._GOBACK."</font><br></center>";
   echo "<br><br><center><font class=\"pn-normal\">"
        .""._TRY2SEARCH." \"$query\" "._INOTHERSENGINES."<br>"
        ."<a class=\"pn-normal\" target=\"_blank\" href=\"http://www.google.com/search?q=$query\">Google</a> - "
        ."<a class=\"pn-normal\" target=\"_blank\" href=\"http://search.yahoo.com/bin/search?p=$query\">Yahoo</a>"
        ."</font></td></tr>";
    }
echo"</table>";
    CloseTable();
    include("footer.php");
}
?>