<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

// Function To Replace Spaces In Filename With Underscores
function RemoveSpaces ($spaces = "")
{
	$spaces = ereg_replace(" ","_",$spaces);
	while (eregi(" ", $spaces))
	{
		$spaces = ereg_replace(" ","_",$spaces);
	}
	return $spaces;
}

//
//shows the screenshot
//
function get_screenshot($image)
{
        global $ModName;
		// Prevent missing images from occuring if no image is associated with download file
		if (!empty($image)){
			include("config/dl-config.php");
					
			echo "<table><tr><td width=$screenshotwidth valign=\"top\"><center>";
			if($image_dir =="")
			{
				$image_dir = "upload/dl";
			}
			if($image_dir_big =="")
			{
				$image_dir_big = "big_img";
			}
						
					
			if(file_exists($image_dir."/$image_dir_big/$image"))
					{
				$fp_big = @fopen($image_dir."/$image_dir_big/$image","r");
			}
	
			if(file_exists($image_dir."/$image"))
			{
				$fp = @fopen($image_dir."/$image","r");
			}
	
			if ($fp)
			{
				if($fp_big)
				{
					echo "<a style=\"cursor: hand;\" ONCLICK=window.open('$image_dir/$image_dir_big/$image','FullSize','width=$popupwidth,height=$popupheight,toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,copyhistory=0')><img border=1 width=\"$screenshotwidth\"  height=\"$screenshotheight\" border=\"0\" alt=\""._FULLSCREENSHOT."\"";
									
				}
				else
				{
					echo "<img border=1 width=\"$screenshotwidth\"  height=\"$screenshotheight\" border=\"0\" alt=\""._SCREENSHOT."\"";
									
				}
				echo "src=\"$image_dir/$image\"></a>";
			}
	  
			else
			{
				echo "<img border=1 width=\"$screenshotwidth\"  height=\"$screenshotheight\" border=\"0\" alt=\""._SCREENSHOT."\"";
							echo "src=\"$image_dir/empty.gif\"></a>";
			}
	  
			echo"</center></td></tr></table>";
		}
}


//
//get the icon which fits to the filetype
//thanks to: Luis Carlos Bethancourt
//
function get_icon($lid)
{
         global $pntable, $dbconn, $ModName;

         $column = &$pntable['downloads_downloads_column'];
         $table  = $pntable['downloads_downloads'];
         $sql = "SELECT $column[url] FROM $table
                   WHERE $column[lid] =".$lid;
         $result=$dbconn->Execute($sql);
         list($url) = $result->fields;

         $icon_type = strrchr( $url, "." );
         $icon_type = str_replace ( ".", "_", $icon_type );
         $icon_file = "icon".$icon_type.".gif";
         if (file_exists("modules/$ModName/images/$icon_file"))
         {
                 return $icon_file;
         }
         else
         {
                 return "icon_default.gif";
         }
}

/**
 * @usedby nothing
 */
function SearchForm() {
    echo "<form action=\"modules.php\" method=\"post\">"
    ."<input type=\"hidden\" name=\"op\" value=\"modload\">\n"
    ."<input type=\"hidden\" name=\"name\" value=\"$ModName\">\n"
    ."<input type=\"hidden\" name=\"file\" value=\"index\">\n"
    ."<input type=\"hidden\" name=\"req\" value=\"search\">\n"
    ."<input type=\"hidden\" name=\"query\" value=\"$query\">\n"
    ."<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">"
    ."<tr><td><font class=\"pn-normal\"><input type=\"text\" size=\"25\" name=\"query\"> <input type=\"submit\" value=\""._SEARCH."\"></td></tr>"
    ."</table>"
    ."</form>";
}

/**
 * @usedby nothing
 */
function downloadinfomenu($lid, $ttitle) {
    global $ModName, $modurl;

    echo "<br><font class=\"pn-normal\">[ ";
    $cattitle = downloads_CatNameFromIID($lid);
    $itemsubmitter = downloads_ItemSubmitterFromLID($lid);

    if (pnUserLoggedIn()) {
		$itemuser = pnUserGetVar('uname');
	} else {
	    $itemuser = pnConfigGetVar('anonymous');
	}

    if (downloads_authitem((downloads_ItemCIDFromLID($lid)), (downloads_ItemSIDFromLID($lid)), $lid, ACCESS_COMMENT) ) {
        echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloadcomments&amp;lid=$lid&amp;ttitle=$ttitle\">"._DOWNLOADCOMMENTS."</a> |";
    }

    echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloaddetails&amp;lid=$lid&amp;ttitle=$ttitle\">"._ADDITIONALDET."</a>"
    ." | <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloadeditorial&amp;lid=$lid&amp;ttitle=$ttitle\">"._EDITORREVIEW."</a>";

    if ((downloads_authitem((downloads_ItemCIDFromLID($lid)), (downloads_ItemSIDFromLID($lid)), $lid, ACCESS_EDIT)) || ($itemuser == $itemsubmitter)) {
        echo " | <a class=\"pn-normal\" href=\"$modurl&amp;req=modifydownloadrequest&amp;lid=$lid\">"._MODIFY."</a>";
    }

    echo " | <a class=\"pn-normal\" href=\"$modurl&amp;req=brokendownload&amp;lid=$lid\">"._REPORTBROKEN."</a> ]</font>"; // get->post??
}

/**
 * @usedby mostpopular, search, toprated, viewlink
 */
function detecteditorial($lid, $ttitle, $img) {
    global $ModName, $modurl;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $column = &$pntable['downloads_editorials_column'];
    $table = $pntable['downloads_editorials'];
    $resulted2 = $dbconn->Execute("SELECT $column[adminid]
                                 FROM $table
                                 WHERE $column[downloadid]=".pnVarPrepForStore($lid)."");
    if (!$resulted2->EOF) {
        if ($img == 1) {
            echo "&nbsp;&nbsp;<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloadeditorial&amp;lid=$lid&amp;ttitle=$ttitle\"><img src=\"modules/$ModName/images/cool.gif\" alt=\""._EDITORIAL."\" border=\"0\"></a>";
        } else {
            echo " | <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloadeditorial&amp;lid=$lid&amp;ttitle=$ttitle\">"._EDITORIAL."</a>";
        }
    }
}

/**
 * @usedby mostpopular, search, toprated, viewlink
 */
function popgraphic($hits) {
    global $ModName;
    $popular = pnConfigGetVar('popular');
    if ($hits>=$popular) {
        echo "&nbsp;<img src=\"modules/$ModName/images/popular.gif\" alt=\""._POPULAR."\">";
    }
}

/**
 * @usedby search, viewdownload
 */
function convertorderbyin($orderby) 
{
    if ($orderby == "dateD") {
	$orderby = "pn_date DESC";
    }
    if ($orderby == "titleA") {
	$orderby = "pn_title ASC";
    }
    if ($orderby == "dateA") {
	$orderby = "pn_date ASC";
    }
    if ($orderby == "hitsA") {
	$orderby = "pn_hits ASC";
    }
    if ($orderby == "ratingA") {
	$orderby = "pn_downloadratingsummary ASC";
    }
    if ($orderby == "titleD") {
	$orderby = "pn_title DESC";
    }
    if ($orderby == "hitsD") {
	$orderby = "pn_hits DESC";
    }
    if ($orderby == "ratingD") {
	$orderby = "pn_downloadratingsummary DESC";
    }

    return $orderby;
}

/**
 *
 * @usedby search, viewdownload
 */
function convertorderbytrans($orderby)
{
    if(!isset($orderbyTrans)) {
	$orderbyTrans = '';
    }
    if ($orderby == "pn_hits ASC") {
	$orderbyTrans = ""._POPULARITY1."";
    }
    if ($orderby == "pn_hits DESC") {
	$orderbyTrans = ""._POPULARITY2."";
    }
    if ($orderby == "pn_title ASC") {
	$orderbyTrans = ""._TITLEAZ."";
    }
    if ($orderby == "pn_title DESC") {
	$orderbyTrans = ""._TITLEZA."";
    }
    if ($orderby == "pn_date ASC") {
	$orderbyTrans = ""._DDATE1."";
    }
    if ($orderby == "pn_date DESC") {
	$orderbyTrans = ""._DDATE2."";
    }
    if ($orderby == "pn_downloadratingsummary ASC") {
	$orderbyTrans = ""._RATING1."";
    }
    if ($orderby == "pn_downloadratingsummary DESC") {
	$orderbyTrans = ""._RATING2."";
    }

    return $orderbyTrans;
}

/**
 * @usedby viewlink, search,
 */
function convertorderbyout($orderby) {
    if ($orderby == "pn_title ASC") {
	$orderby = "titleA";
    }
    if ($orderby == "pn_date ASC") {
	$orderby = "dateA";
    }
    if ($orderby == "pn_hits ASC") {
	$orderby = "hitsA";
    }
    if ($orderby == "pn_downloadratingsummary ASC") {
	$orderby = "ratingA";
    }
    if ($orderby == "pn_title DESC") {
	$orderby = "titleD";
    }
    if ($orderby == "pn_date DESC") {
	$orderby = "dateD";
    }
    if ($orderby == "pn_hits DESC") {
	$orderby = "hitsD";
    }
    if ($orderby == "pn_downloadratingsummary DESC") {
	$orderby = "ratingD";
    }

    return $orderby;
}

/**
 * @usedby index, mostpopular, search, toprated, viewlink
 */
function visit($lid)
{

	global $ModName;
        include("config/dl-config.php");

	list($dbconn) = pnDBGetConn();
	$pntable = pnDBGetTables();

        if (pnSecAuthAction(0, $ModName."::", "::", ACCESS_ADMIN))
        {
		$column = &$pntable['downloads_newdownload_column'];
                $table = $pntable['downloads_newdownload'];
		$result = $dbconn->Execute("SELECT $column[url]
					FROM $table
					WHERE 	$column[lid]=".pnVarPrepForStore($lid)."");
		list($url) = $result->fields;
	}

	if(empty($url) && downloads_authitem(	downloads_ItemCIDFromLID($lid),
						downloads_ItemSIDFromLID($lid), $lid, ACCESS_READ))
        {
		$column = &$pntable['downloads_downloads_column'];
                $table = $pntable['downloads_downloads'];
		$dbconn->Execute("UPDATE $table
					SET 	$column[hits]=$column[hits]+1
					WHERE 	$column[lid]=".pnVarPrepForStore($lid)."");
                                        
		$table = $pntable['downloads_downloads'];
		$result = $dbconn->Execute("SELECT $column[url]
					FROM $table
					WHERE 	$column[lid]=".pnVarPrepForStore($lid)."");
		list($url) = $result->fields;
	}
        
    if(!empty($url)) {
		if($secure_download==1 && stristr($url,pnGetBaseURL().$upload_folder) )//secure download - without permission of postnuke nobody can download the file
		{
			//We have to extract the filename out of the url
      $filepos = strrpos($url,"/");
			$filename = substr($url,$filepos+1);

			//Where is the Filelocation ?
      $url = str_replace(pnGetBaseURL(),"",$url);
			$filelocation = stristr($url,$upload_folder);

			//Lets get the filetype
      $filepos = strrpos($url,".");
			$fileextension = strtolower( substr($url,$filepos));
      $filetype = "application/octet-stream";

     	while($checktype = current($filetypearray))
     	{
				if($fileextension == $checktype)
				{
					$filetype = key($filetypearray);;
				}
				next($filetypearray);
			}

			//ok... now we can send the file
			Header("Content-Type: ".$filetype."; name=".$filename);
			Header("Content-Disposition: attachment; filename=".$filename."; size=".filesize($filelocation));
			Header("Content-length: ".filesize($filelocation));
     	Header("Pragma: public");

			if(!get_cfg_var("safe_mode")) set_time_limit(10000);
			readfile($filelocation);
     	if(!get_cfg_var("safe_mode")) set_time_limit(30);
		}
    else  //unsecure download (we just tell the browser a link - everybody who knows that link can download the file)
    {
			Header("Location: ".$url);
		}
	}
  else
  {
	Header("Location: /index.php");
  }
}


/**
 * @usedby index, search, viewlink
 */
function CountSubLinks($cid)
{
    global $ModName;
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $ct=0;
    $column = &$pntable['links_links_column'];
    $result=$dbconn->Execute("SELECT COUNT(*) FROM $pntable[links_links] WHERE $column[cat_id]=".pnVarPrepForStore($cid)."");
    list($ct) = $result->fields;

    // Now get all child nodes
    $column = &$pntable['links_categories_column'];
    $result=$dbconn->Execute("SELECT $column[cat_id] FROM $pntable[links_categories] WHERE $column[parent_id]=".pnVarPrepForStore($cid)."");
//modified for Oracle compatibility
//	while(list($sid)=$result->fields) {
	while(!$result->EOF){
		list($sid)=$result->fields;

        $result->MoveNext();
        $ct+=CountSubLinks($sid);
    }
  return $ct;
}

/* Link Graphics */

/**
 * categorynewlinkgraphic
 * @usedby index, viewlink
 */
function categorynewdownloadgraphic($cat)
{
    global $ModName;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $column = &$pntable['downloads_downloads_column'];
    $table = $pntable['downloads_downloads'];
	$sql = "SELECT $column[date]
                FROM $table
                WHERE $column[cid]=".pnVarPrepForStore($cat)."
                ORDER BY $column[date]";

    $newresult = $dbconn->SelectLimit($sql,1);
    list($time)=$newresult->fields;
    echo "&nbsp;";
    setlocale (LC_TIME, pnConfigGetVar('locale'));
    ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
    $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
    $datetime = ucfirst($datetime);
    $startdate = time();
    $count = 0;
    while ($count <= 7) {
        $daysold = date("d-M-Y", $startdate);
        if ("$daysold" == "$datetime") {
            if ($count<=1) {
                echo "<img src=\"modules/$ModName/images/new_1.gif\" alt=\""._DCATNEWTODAY."\">";
            }
            if ($count<=3 && $count>1) {
                echo "<img src=\"modules/$ModName/images/new_3.gif\" alt=\""._DCATLAST3DAYS."\">";
            }
            if ($count<=7 && $count>3) {
                echo "<img src=\"modules/$ModName/images/new_7.gif\" alt=\""._DCATTHISWEEK."\">";
            }
        }
        $count++;
        $startdate = (time()-(86400 * $count));
    }
}

/**
 * newdownloadgraphic
 * @usedby mostpopular, search
 */
function newdownloadgraphic($datetime, $time) {
    global $ModName;
    echo "&nbsp;";
    setlocale (LC_TIME, pnConfigGetVar('locale'));
    ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
    $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
    $datetime = ucfirst($datetime);
    $startdate = time();
    $count = 0;
    while ($count <= 7) {
    $daysold = date("d-M-Y", $startdate);
        if ("$daysold" == "$datetime") {
            if ($count<=1) {
        echo "<img src=\"modules/$ModName/images/new_1.gif\" alt=\""._NEWTODAY."\">";
        }
            if ($count<=3 && $count>1) {
        echo "<img src=\"modules/$ModName/images/new_3.gif\" alt=\""._NEWLAST3DAYS."\">";
        }
            if ($count<=7 && $count>3) {
        echo "<img src=\"modules/$ModName/images/new_7.gif\" alt=\""._NEWTHISWEEK."\">";
        }
    }
        $count++;
        $startdate = (time()-(86400 * $count));
    }
}

/**
 * subcategorynewlinkgraphic
 *
 * Post-Nuke mod --  Create a the new function for generating the 'new' graphics for
 * sub-categoires, based on the post-nuke categorynewlinkgraphic($cid)
 * @usedby index, viewlink
 */

function subcategorynewlinkgraphic($sid) {
    global $ModName;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $column = &$pntable['links_links_column'];
    $query = buildSimpleQuery ('links_links', array ('date'), "$column[cat_id]=".pnVarPrepForStore($sid)."", "$column[date] DESC", 1);
    $newresult = $dbconn->Execute($query);
    list($time)=$newresult->fields;
    echo "&nbsp;";
    setlocale (LC_TIME, "$locale");
    ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
    $datetime = strftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
    $datetime = ucfirst($datetime);
    $startdate = time();
    $count = 0;
    while ($count <= 7) {
        $daysold = date("d-M-Y", $startdate);
        if ("$daysold" == "$datetime") {
        if ($count<=1) {
        echo "<img src=\"modules/$ModName/images/newred.gif\" alt=\""._CATNEWTODAY."\">";
    }
            if ($count<=3 && $count>1) {
        echo "<img src=\"modules/$ModName/images/newgreen.gif\" alt=\""._CATLAST3DAYS."\">";
    }
            if ($count<=7 && $count>3) {
        echo "<img src=\"modules/$ModName/images/newblue.gif\" alt=\""._CATTHISWEEK."\">";
    }
}
        $count++;
        $startdate = (time()-(86400 * $count));
    }
}

/**
 * @usedby mostpopular, search, toprated, viewlink
 */
function LinksBottomMenu($lid, $transfertitle, $totalvotes, $totalcomments){
    global $ModName, $modurl;

    if (pnSecAuthAction(0, 'Web Links::Category', '::', ACCESS_COMMENT)) {
        echo "</font><br><font class=\"pn-normal\"><a class=\"pn-normal\" href=\"${modurl}&amp;req=ratelink&amp;lid=$lid&amp;ttitle=$transfertitle\">"._RATESITE."</a>";
    }
    echo " | <a class=\"pn-normal\" href=\"${modurl}&amp;req=brokenlink&amp;lid=$lid\">"._REPORTBROKEN."</a>";
    if (pnSecAuthAction(0, 'Web Links::Category', '::', ACCESS_READ)) {
        if ($totalvotes != 0) {
            echo " | <a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlinkdetails&amp;lid=$lid&amp;ttitle=$transfertitle\">"._DETAILS."</a>";
        }
    }
    if (pnSecAuthAction(0, 'Web Links::Category', '::', ACCESS_COMMENT)) {
        if ($totalcomments != 0) {
           echo " | <a class=\"pn-normal\" href=\"${modurl}&amp;req=viewlinkcomments&amp;lid=$lid&amp;ttitle=$transfertitle\">"._COMMENTS." ($totalcomments)</a></font>";
        }
    }
}

function web_links_rateMakeStar($score, $max_score)
{
    // this code is take from harpia project http://sourceforge.net/projects/harpia

    global $ModName;

    $score /= 2;    $max_score /=2; //      5 stars. comment for 10 stars
    $basedir="modules/$ModName/images/" ;   // for $basedir/image/xxx.gif
    $rateImgFull = $basedir.'rate_full.gif';
    $rateImgHalf = $basedir.'rate_half.gif';
    $rateImgNone = $basedir.'rate_none.gif';

    // Break up score
    if (strpos($score,".")==0){
        $full_stars=$score;
    }else{
        $full_stars=substr($score,0,strpos($score,"."));
    }

    // *** Is there half star
    if (substr($score,strpos($score,".")+1)==0){
        $half_stars=0;
    }else{
        $half_stars=1;
    }

    // *** Build Star Line
    $blank_stars=$max_score-($full_stars+$half_stars);
    $star_line="";
    for ($i=1;$i<=$max_score;$i++){
        if ($i<=$full_stars){
            $star_line.="<img src='".$rateImgFull."' border='0'>";
        }elseif ($i<=($half_stars+$full_stars)){
            $star_line.="<img src='".$rateImgHalf."' border='0'>";
        }elseif ($i<=$max_score){
            $star_line.="<img src='".$rateImgNone."' border='0'>";
        }
    }
    return $star_line;
}

/**
 * @usedby rating
 */
function downloadfooter($lid,$ttitle) {
    global $ModName, $modurl;
    echo "<font class=\"pn-normal\">[ <a class=\"pn-normal\" href=\"$modurl&amp;req=getit&amp;lid=$lid\">"._DOWNLOADNOW."</a>";
    if (pnSecAuthAction(0, $ModName.'::', '::', ACCESS_COMMENT)){
        echo "| <a class=\"pn-normal\" href=\"$modurl&amp;req=ratedownload&amp;lid=$lid&amp;ttitle=$ttitle\">"._RATETHISSITE."</a>";
    }
    echo" ]</font><br><br>";
    downloadfooterchild($lid);
}

/**
 * @usedby rating
 */
function downloadfooterchild($lid) {
    global $ModName, $modurl;

    if (pnSecAuthAction(0, $ModName.'::', '::', ACCESS_COMMENT)){
        if ($useoutsidevoting == 1) {
            echo "<br><font class=\"pn-normal\">"._ISTHISYOURSITE." <a class=\"pn-normal\" href=\"$modurl&amp;req=outsidedownloadsetup&amp;lid=$lid\">"._ALLOWTORATE."</a></font>";
        }
    }
}

function drawvotestats($baton) {
    global $bgcolor1, $bgcolor2, $ModName;
    if ($baton['weight']) {         // Note on the weighing of votes
        echo '<tr><td valign="top" colspan="2"><font class="pn-normal"<br><br>'
        .$baton['weighnote'].' '.$baton['weightext'].' '._TO.' 1.</font></td></tr>';
    }
    echo '<tr><td colspan="2" bgcolor="'.$bgcolor2.'">'
    .'<font class="pn-normal">'.$baton['users'].'</font></td></tr>'
    .'<tr><td bgcolor="'.$bgcolor1.'"><font class="pn-normal">'
    ._NUMBEROFRATINGS.': '.$baton['votes'].'</font></td>'
    .'<td align="center" rowspan="5" width="200">';
    if ($baton['votes'] == '0') {
        echo '<font class="pn-normal">'.$baton['novotes'].'</font>';
    } else {
        echo '<table border="1" width="200">'   // charts table
        .'<tr><td valign="top" align="center" colspan="10" bgcolor="'.$bgcolor2.'">'
        .'<font class="pn-sub">'._BREAKDOWNBYVAL.'</font></td>'
        .'</tr><tr>';
        for ($i=1; $i<=10; $i++) {
            echo '<td bgcolor="'.$bgcolor1.'" valign="bottom">'
            .'<img border="0" alt="'.$baton['vv'][$i].' '._LVOTES.' ('.$baton['vvpercent'][$i].'% '
            ._LTOTALVOTES.')" src="modules/'.$ModName.'/images/blackpixel.gif" width="15" height="'
            .$baton['vvcharth'][$i].'"></td>';
        }
        echo '</tr><tr><td colspan="10" bgcolor="'.$bgcolor2.'">'
        .'<table cellspacing="0" cellpadding="0" border="0" width="205"><tr>';
        for ($i=1; $i<=10; $i++) {
            echo '<td width="10%" valign="bottom" align="center"><font class="pn-sub">'.$i.'</font></td>';
        }
        echo '</tr></table></td></tr></table>';
    }
    echo '</td></tr>';
    echo '<tr><td bgcolor="'.$bgcolor2.'"><font class="pn-normal">'._DOWNLOADRATING.': '.$baton['avg'].'</font></td></tr>'
    .'<tr><td bgcolor="'.$bgcolor1.'"><font class="pn-normal">'._HIGHRATING.': '.$baton['top'].'</font></td></tr>'
    .'<tr><td bgcolor="'.$bgcolor2.'"><font class="pn-normal">'._LOWRATING.': '.$baton['low'].'</font></td></tr>'
    .'<tr><td bgcolor="'.$bgcolor1.'"><font class="pn-normal">';
    if (!$baton['weight']) {
        echo _NUMOFCOMMENTS.': '.$baton['comments'].'</font></td></tr>';
    } else {
        echo '&nbsp;';
    }
    echo '</td></tr>';
}

/*
 * Get the item name given its IID
 */
function downloads_ItemNameFromIID($iid)
{
    global $ModName;
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $dlitemtable = $pntable['downloads_downloads'];
    $dlitemcolumn = &$pntable['downloads_downloads_column'];

    $query = "SELECT $dlitemcolumn[title]
              FROM $dlitemtable
              WHERE $dlitemcolumn[lid] = ".pnVarPrepForStore($iid)."";
    $result = $dbconn->Execute($query);
    list($itemname) = $result->fields;
    $result->Close();

    return $itemname;
}

function CoolSize($size) 
{
    global $ModName;
    $mb = 1024*1024;
    if ( $size > $mb ) {
        $mysize = sprintf ("%01.2f",$size/$mb) . " MB";
    } elseif ( $size >= 1024 ) {
        $mysize = sprintf ("%01.2f",$size/1024) . " Kb";
    } else {
        $mysize = $size . " bytes";
    }
    return $mysize;
}

function calculateVote($voteresult, $totalvotesDB)
{
global $ModName;
$anonvotes = 0;
$anonvoteval = 0;
$outsidevotes = 0;
$outsidevoteval = 0;
$regvoteval = 0;
$truecomments = $totalvotesDB;

$anonweight = pnConfigGetVar('anonweight');
$anonymous = pnConfigGetVar('anonymous');
$outsideweight = pnConfigGetVar('outsideweight');
$useoutsidevoting = pnConfigGetVar('useoutsidevoting');

//modified for Oracle compatibility
//while(list($ratingDB, $ratinguserDB, $ratingcommentsDB) = $voteresult->fields) {
while(!$voteresult->EOF){
	list($ratingDB, $ratinguserDB, $ratingcommentsDB) = $voteresult->fields;
	$voteresult->MoveNext();
	if ($ratingcommentsDB == "") {
		--$truecomments;
	}
	if ($ratinguserDB == $anonymous) {
		$anonvotes++;
		$anonvoteval += $ratingDB;
	}
	if ($useoutsidevoting == 1) {
		if ($ratinguserDB == 'outside') {
			++$outsidevotes;
			$outsidevoteval += $ratingDB;
		}
	} else {
		$outsidevotes = 0;
	}
	if ($ratinguserDB != $anonymous && $ratinguserDB != "outside") {
		$regvoteval += $ratingDB;
	}
}

$regvotes = $totalvotesDB - $anonvotes - $outsidevotes;

if ($totalvotesDB == 0) {
	$finalrating = 0;
} else if ($anonvotes == 0 && $regvotes == 0) {
	/* Figure Outside Only Vote */
	$finalrating = $outsidevoteval / $outsidevotes;
//	$finalrating = number_format($finalrating, 4);
} else if ($outsidevotes == 0 && $regvotes == 0) {
	/* Figure Anon Only Vote */
	$finalrating = $anonvoteval / $anonvotes;
//	$finalrating = number_format($finalrating, 4);
} else if ($outsidevotes == 0 && $anonvotes == 0) {
	/* Figure Reg Only Vote */
	$finalrating = $regvoteval / $regvotes;
//	$finalrating = number_format($finalrating, 4);
} else if ($regvotes == 0 && $useoutsidevoting == 1 && $outsidevotes != 0 && $anonvotes != 0 ) {
	/* Figure Reg and Anon Mix */
	$avgAU = $anonvoteval / $anonvotes;
	$avgOU = $outsidevoteval / $outsidevotes;
	if ($anonweight > $outsideweight ) {
		/* Anon is 'standard weight' */
		$newimpact = $anonweight / $outsideweight;
		$impactAU = $anonvotes;
		$impactOU = $outsidevotes / $newimpact;
		$finalrating = ((($avgOU * $impactOU) + ($avgAU * $impactAU)) / ($impactAU + $impactOU));
//		$finalrating = number_format($finalrating, 4);
	} else {
		/* Outside is 'standard weight' */
		$newimpact = $outsideweight / $anonweight;
		$impactOU = $outsidevotes;
		$impactAU = $anonvotes / $newimpact;
		$finalrating = ((($avgOU * $impactOU) + ($avgAU * $impactAU)) / ($impactAU + $impactOU));
//		$finalrating = number_format($finalrating, 4);
	}
} else {
	/* Registered User vs. Anonymous vs. Outside User Weight Calutions */
	$impact = $anonweight;
	$outsideimpact = $outsideweight;
	if ($regvotes == 0) {
		$regvotes = 0;
	} else {
		$avgRU = $regvoteval / $regvotes;
	}
	if ($anonvotes == 0) {
		$avgAU = 0;
	} else {
		$avgAU = $anonvoteval / $anonvotes;
	}
	if ($outsidevotes == 0 ) {
		$avgOU = 0;
	} else {
		$avgOU = $outsidevoteval / $outsidevotes;
	}

	$impactRU = $regvotes;
	$impactAU = $anonvotes / $impact;
	$impactOU = $outsidevotes / $outsideimpact;
	$finalrating = (($avgRU * $impactRU) + ($avgAU * $impactAU) + ($avgOU * $impactOU)) / ($impactRU + $impactAU + $impactOU);
//	$finalrating = number_format($finalrating, 4);
//    return $finalrating;
}
	$finalrating = number_format($finalrating, 4);
    return $finalrating;
}

/**
 * Downloads List image
 */
function list_image($image_dir, $dl_image ='') {

	//Empty value
  echo "<option value=\"$webb\"";
 	echo "></option>";
	
	$handle = @opendir("$image_dir");

  while(false !== ($bildnamn = @readdir($handle))) {
	  if ($bildnamn != "." && $bildnamn != "..") { 

	  	$skriv_ut = 0;
	    $local    = "$image_dir/$bildnamn";
			
  	  $kontroll = strrev($local);
    	$kontroll = strtolower($kontroll);
	    $kontroll = substr($kontroll,0,4);
		
			if($kontroll == "gpj."){
  	  	$skriv_ut = 1;
	    }elseif($kontroll == "fig."){
  	  	$skriv_ut = 1;
    	}elseif($kontroll == "gnp."){
	    	$skriv_ut = 1;
  	  }
    
			if($skriv_ut == 1){
    		if(file_exists($local)){
      		$webb	= $bildnamn;
	        echo "<option value=\"$webb\"";
  	      if($dl_image == "$webb"){
    	    	echo " SELECTED";
      	  }
        	echo ">$bildnamn</option>";
      	}
    	}
    } 
  }
	@closedir($handle);

}
?>