<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

/**
 * viewdownload
 */
function viewdownload($cid, $min, $orderby, $show) {
    global $ModName, $modurl,$screenshotwidth, $screenshotheight, $displayscreenshot, $image_dir, $popupwidth, $popupheight;
 
 		include("header.php");

    $transfertitle = pnVarCleanFromInput('transfertitle');
    if (!isset($transfertitle)) {
        $transfertitle = '';
    }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $perpage = pnConfigGetVar('perpage');

    $cattitle = downloads_CatNameFromCID($cid);
    if (!pnSecAuthAction(0, $ModName.'::Category', "$cattitle::$cid", ACCESS_READ)) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    if (!isset($min)) $min=0;
    if (!isset($max)) $max=$min+$perpage;
    if(isset($orderby)) {
        $orderby = convertorderbyin($orderby);
    } else {
        $orderby = $pntable['downloads_downloads_column']['title'] . ' ASC';
    }
    if ($show!="") {
        $perpage = $show;
    } else {
        $show=$perpage;
    }
    menu(1);

    OpenTable();
    $result=$dbconn->Execute("SELECT ".$pntable['downloads_categories_column']['title'].
                            " FROM ".$pntable['downloads_categories'].
                            " WHERE ".$pntable['downloads_categories_column']['cid']."=".(int)$cid);

    list($title) = $result->fields;
    $title = pnVarPrepForDisplay($title);
    echo "<center><font class=\"pn-title\">"._CATEGORY.": $title</font></center><br>";
    $carrytitle = $title;
    $column = &$pntable['downloads_subcategories_column'];
    $sorderby = $pntable['downloads_subcategories_column']['title']. ' ASC';
    $table = $pntable['downloads_subcategories'];
    $subresult=$dbconn->Execute("SELECT $column[sid], $column[title]
                               FROM $table
                               WHERE $column[cid]=".(int)$cid.
					           " ORDER BY ".$sorderby);
    if (!$subresult->EOF) {
        $scount = 0;
        echo "<center><font class=\"pn-normal\">"._DLALSOAVAILABLE." $title "._SUBCATEGORIES.":</font></center><br>"
        ."<table align=\"center\" border=\"0\"><tr>";

        $downloadscolumn = &$pntable['downloads_downloads_column'];
        $downloadstable = $pntable['downloads_downloads'];
//modified for Oracle compatibility
//        while(list($sid, $title) = $subresult->fields) {
        while(!$subresult->EOF){
			list($sid, $title) = $subresult->fields;

	    if (downloads_authsubcat($cid, $sid, ACCESS_READ)) {
                $result2 = $dbconn->Execute("SELECT count(*)
                                             FROM $downloadstable
                                             WHERE $downloadscolumn[sid]=".(int)$sid);

                list($numrows) = $result2->fields;
                echo "<td>"
								. "<img src=\"modules/$ModName/images/cat.gif\" border=\"0\" alt=\"\">&nbsp;&nbsp;"
								. "<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid\">$title</a> ($numrows)&nbsp;&nbsp;</td>";
                $scount++;
                if ($scount==4) {
                    echo "</tr><tr>";
                    $scount = 0;
                }
            }
            $subresult->MoveNext();
        }
        for ($i=$scount; $i<4; $i++) {
            echo "<td>&nbsp;</td>";
        }
        echo "</tr></table>";
    }
    echo "<hr noshade size=\"1\">";
    $orderbyTrans = convertorderbytrans($orderby);
    echo "<center><font class=\"pn-normal\">"._SORTDOWNLOADSBY.": "
        .""._TITLE."(<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=titleA\"><img src=modules/$ModName/images/arrow_down.gif height=\"8\" width=\"8\" border=\"0\" alt=\"A\"></a>\<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=titleD\"><img src=modules/$ModName/images/arrow_up.gif height=\"8\" width=\"8\" border=\"0\" alt=\"D\"></a>)"
        .""._DATE."(<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=dateA\"><img src=modules/$ModName/images/arrow_down.gif height=\"8\" width=\"8\" border=\"0\" alt=\"A\"></a>\<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=dateD\"><img src=modules/$ModName/images/arrow_up.gif height=\"8\" width=\"8\" border=\"0\" alt=\"D\"></a>)"
        .""._RATING."(<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=ratingA\"><img src=modules/$ModName/images/arrow_down.gif height=\"8\" width=\"8\" border=\"0\" alt=\"A\"></a>\<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=ratingD\"><img src=modules/$ModName/images/arrow_up.gif height=\"8\" width=\"8\" border=\"0\" alt=\"D\"></a>)"
        .""._POPULARITY."(<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=hitsA\"><img src=modules/$ModName/images/arrow_down.gif height=\"8\" width=\"8\" border=\"0\" alt=\"A\"></a>\<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=hitsD\"><img src=modules/$ModName/images/arrow_up.gif height=\"8\" width=\"8\" border=\"0\" alt=\"D\"></a>)"
        ."<br>"._RESSORTED.":$orderbyTrans</font></center><br><br>";
    $column = &$pntable['downloads_downloads_column'];
    $table = $pntable['downloads_downloads'];
    $sql = "SELECT $column[lid], $column[url], $column[title], $column[image],
                   $column[description], $column[date], $column[hits],
                   $column[downloadratingsummary], $column[totalvotes],
                   $column[totalcomments], $column[filesize],
                   $column[version], $column[homepage]
            FROM $table
            WHERE $column[cid]=".pnVarPrepForStore($cid)."
            AND $column[sid]=0 ORDER BY $orderby";

    $result=$dbconn->SelectLimit($sql,$perpage,$min);

    $table = $pntable['downloads_downloads'];
    $fullcountresult=$dbconn->Execute("SELECT $column[lid], $column[title],
                                              $column[description], $column[date],
                                              $column[hits], $column[downloadratingsummary],
                                              $column[totalvotes], $column[totalcomments]
                                       FROM $table
                                       WHERE $column[cid]=".(int)$cid." AND $column[sid]=0");
    $totalselecteddownloads = $fullcountresult->PO_RecordCount();

    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" border=\"0\"><tr><td colspan=2 align=\"center\">";
//modified for Oracle compatibility
//    while(list($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields)  {
	while(!$result->EOF){
		list($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields;
        $result->MoveNext();

        downloads_outputitem ($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage, $modurl, $ModName);
    }

    downloads_outputpagelinks($cid, $modurl, $orderby, $totalselecteddownloads, $perpage, $min, $max, $show, "viewdownload", "cid");

    echo "</td></tr></table>";
    CloseTable();
    include("footer.php");
}

function viewsdownload($sid, $min, $orderby, $show)
{
    global $ModName, $modurl, $screenshotwidth, $screenshotheight, $displayscreenshot, $image_dir, $popupwidth, $popupheight;
 		include("header.php");

    $transfertitle = pnVarCleanFromInput('transfertitle');
    if (!isset($transfertitle)) {
        $transfertitle = '';
    }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    menu(1);

    $perpage = pnConfigGetVar('perpage');

    $column = &$pntable['downloads_subcategories_column'];
    $table = $pntable['downloads_subcategories'];
    $result = $dbconn->Execute("SELECT $column[cid], $column[title]
                              FROM $table
                              WHERE $column[sid]=".(int)$sid);
    list($cid, $stitle) = $result->fields;

    $column = &$pntable['downloads_categories_column'];
    $table = $pntable['downloads_categories'];
    $result2 = $dbconn->Execute("SELECT $column[cid], $column[title]
                               FROM $table
                               WHERE $column[cid]=".(int)$cid);
    list($cid, $title) = $result2->fields;

// DJD - Fix - Auth used to be called with Cat name instead of SubCat Name 04/06/2002

    if (downloads_authsubcat($cid, $sid, "ACCESS_READ")) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    if (!isset($min)) $min=0;
    if (!isset($max)) $max=$min+$perpage;
    if(isset($orderby)) {
        $orderby = convertorderbyin($orderby);
    } else {
        $orderby = "title ASC";
    }
    if ($show != "") {
        $perpage = $show;
    } else {
        $show = $perpage;
    }

    OpenTable();

    echo "<center><font class=\"pn-title\"><a class=\"pn-normal\" href=\"$modurl\">"._MAIN."</a> / <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid\">".pnVarPrepForDisplay($title)."</a> / ".pnVarPrepForDisplay($stitle)."</center></font>";
    $orderbyTrans = convertorderbytrans($orderby);

    echo "<br><center><font class=\"pn-normal\">"._SORTDOWNLOADSBY.": "
    .""._TITLE." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=titleA\">A</a>\<a href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=titleD\">D</a>)"
    ." "._DATE." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=dateA\">A</a>\<a href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=dateD\">D</a>)"
    ." "._RATING." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=ratingA\">A</a>\<a href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=ratingD\">D</a>)"
    ." "._POPULARITY." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=hitsA\">A</a>\<a href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=hitsD\">D</a>)"
    ."<br>"._RESSORTED.": $orderbyTrans</center></font><br><br>";

    $column = &$pntable['downloads_downloads_column'];
    $table = $pntable['downloads_downloads'];
    $sql = "SELECT $column[lid], $column[url], $column[title], $column[image],
                   $column[description], $column[date], $column[hits],
                   $column[downloadratingsummary], $column[totalvotes],
                   $column[totalcomments], $column[filesize],
                   $column[version], $column[homepage]
            FROM $table
            WHERE $column[sid]=".(int)$sid."
            ORDER BY $orderby";

    $result=$dbconn->SelectLimit($sql,$perpage,$min);
//
// Temporary Fixed       eugeniobaldi 01/07/11
//                            ORDER BY  {$column[$orderby]} LIMIT $min,$perpage");
    $table = $pntable['downloads_downloads'];
    $fullcountresult=$dbconn->Execute("SELECT $column[lid], $column[title], $column[image],
                                              $column[description], $column[date],
                                              $column[hits], $column[downloadratingsummary],
                                              $column[totalvotes], $column[totalcomments]
                                       FROM $table
                                       WHERE $column[sid]=".(int)$sid);

    $totalselecteddownloads = $fullcountresult->PO_RecordCount();

		echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" border=\"0\"><tr><td colspan=2 align=\"center\">";
    //echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" border=\"0\">";
//modified for Oracle compatibility
//    while(list($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage) = $result->fields) {
    while(!$result->EOF){
		list($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage) = $result->fields;
        $result->MoveNext();
				downloads_outputitem ($lid, $url, $title, $image, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage, $modurl, $ModName);

    }
    echo "</td></tr>";
    
    echo "<tr><td colspan=2>";
    downloads_outputpagelinks($sid, $modurl, $orderby, $totalselecteddownloads, $perpage, $min, $max, $show, "viewsdownload", "sid");
    echo "</td></tr></table>";

    CloseTable();
    include 'footer.php';
}
?>