<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: TiMax  www.maxdev.com
// Based on pncUserHack module by Chestnut
// Purpose of file: Manage dynamic user data
// ----------------------------------------------------------------------

if (!eregi("admin.php", $PHP_SELF)) {
    die ("Access Denied");
}

modules_get_language();
modules_get_manual();

if (!pnSecAuthAction(0, 'Dyn_users::', '::', ACCESS_ADMIN)) {
    include 'header.php';
    echo _MODIFYUSERSNOAUTH;
    include 'footer.php';
}

/**
 * Users Functions
 */

$admintitle = "<center><font class=\"pn-title\"><b><a href=\"admin.php?module=Dyn_users&op=main\">"._USERADMIN."</a></b></font></center>";


function user_dynamic_data()
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    include ("header.php");
    GraphicAdmin();

    OpenTable();
    echo $GLOBALS['admintitle'];
    CloseTable();
    OpenTable();
    echo "<center><font size=\"3\" class=\"pn-title\">"._DYNAMICDATA."</b></font></center><br>\n"
            ."<table class=\"pn-normal\" border=\"1\" width=\"100%\">\n"
            ."<tr><th>"._FIELDACTIVE."</th>\n"
            ."<th colspan=\"2\">"._FIELDLABEL."</th>\n"
            ."<th>"._FIELDWEIGHT."</th>\n"
            ."<th>"._FIELDTYPE."</th>\n"
            ."<th>"._FIELDLENGTH."</th>\n"
            ."<th>"._DELETE."</th>\n"
            ."<th>"._FIELDVALIDATION."</th>\n"
            ."</tr>\n";

    $column = &$pntable['user_property_column'];
    $result = $dbconn->Execute("SELECT $column[prop_id], $column[prop_label],$column[prop_dtype],
                              $column[prop_length], $column[prop_weight], $column[prop_validation]
                              FROM $pntable[user_property] ORDER BY $column[prop_weight]");
    if($dbconn->ErrorNo()<>0) {
       echo $dbconn->ErrorNo(). "List User Properties: ".$dbconn->ErrorMsg(). "<br>";
       error_log ($dbconn->ErrorNo(). "List User Properties: ".$dbconn->ErrorMsg(). "<br>");
       return;
    }
    $active_count = 0;
    $true_count = 0;
    $total_count = $result->PO_RecordCount();
    $prop_weight = 0;
    while(list($prop_id,$prop_label,$prop_dtype,$prop_length,$prop_weight,$prop_validation) = $result->fields) {
        $result->MoveNext();

        $true_count++;
        if ($prop_weight<>0) {
            $active_count++;
            $next_prop_weight = $active_count + 1;
        }

                $prop_validation = unserialize($prop_validation);

        $eval_cmd = "\$prop_label_text=$prop_label;";
        @eval($eval_cmd);

        switch (TRUE) {
            case ($prop_dtype == _UDCONST_MANDATORY):
                $img_cmd = '<img src="images/global/green_dot.gif" border=0 ALT="'._REQUIREDSTAR.'">';
                break;
            case ($prop_weight <> 0):
                $img_cmd = "<a href=admin.php?module=".$GLOBALS['module']."&amp;op=deactivate_property&amp;property=$prop_id&amp;weight=$prop_weight>"
                .'<img src="images/global/green_dot.gif" border=0 ALT="'._FIELD_DEACTIVATE.'">'
                .'</a>';
                break;
            default:
                $img_cmd = "<a href=admin.php?module=".$GLOBALS['module']."&amp;op=activate_property&amp;property=$prop_id&amp;weight=$prop_weight>"
                .'<img src="images/global/red_dot.gif" border=0 ALT="'._FIELD_ACTIVATE.'">'
                .'</a>';
        }

        switch ($prop_dtype) {
            case _UDCONST_MANDATORY:
                $data_type_text = _UDT_MANDATORY;
                $data_length_text = _FIELD_NA;
                                $prop_required_text = _FIELD_NA;
                break;
            case _UDCONST_CORE:
                $data_type_text = _UDT_CORE;
                $data_length_text = _FIELD_NA;
                if ($prop_weight==0) {
                        $prop_required_text = _FIELD_NA;
                } elseif ($prop_validation['REQUIRED'] == 1) {
                        $prop_required_text = '<b>'._REQUIREDSTAR.'</b>';
                } else {
                        $prop_required_text = _UANO;
                }
                break;
            case _UDCONST_STRING:
                $data_type_text = _UDT_STRING;
                $data_length_text = $prop_length;
                if ($prop_weight==0) {
                    $prop_required_text = _FIELD_NA;
                } elseif ($prop_validation['REQUIRED'] == 1) {
                    $prop_required_text = '<b>'._REQUIREDSTAR.'</b>';
                } else {
                    $prop_required_text = _UANO;
                }
                break;
            case _UDCONST_TEXT:
                $data_type_text = _UDT_TEXT;
                $data_length_text = _FIELD_NA;
                if ($prop_weight==0) {
                    $prop_required_text = _FIELD_NA;
                } elseif ($prop_validation['REQUIRED'] == 1) {
                    $prop_required_text = '<b>'._REQUIREDSTAR.'</b>';
                } else {
                    $prop_required_text = _UANO;
                }
                                break;
            case _UDCONST_FLOAT:
                $data_type_text = _UDT_FLOAT;
                $data_length_text = _FIELD_NA;
                if ($prop_weight==0) {
                    $prop_required_text = _FIELD_NA;
                } elseif ($prop_validation['REQUIRED'] == 1) {
                    $prop_required_text = '<b>'._REQUIREDSTAR.'</b>';
                } else {
                    $prop_required_text = _UANO;
                }
                                break;
            case _UDCONST_INTEGER:
                $data_type_text = _UDT_INTEGER;
                $data_length_text = _FIELD_NA;
                if ($prop_weight==0) {
                    $prop_required_text = _FIELD_NA;
                } elseif ($prop_validation['REQUIRED'] == 1) {
                    $prop_required_text = '<b>'._REQUIREDSTAR.'</b>';
                } else {
                    $prop_required_text = _UANO;
                }
                                break;
            default:
                $data_length_text = "";
                $data_type_text = "";
                $prop_required_text = "";
        }

        switch (TRUE) {
            case ($active_count == 0):
                $arrows = "&nbsp";
                break;
            case ($active_count == 1):
                $arrows = "<a href=admin.php?module=".$GLOBALS['module']."&amp;op=increase_weight&amp;property=$prop_id&amp;weight=$prop_weight>"
                .'<img src=images/global/down.gif border=0>'
                .'</a>';
                break;
            case ($true_count == $total_count):
                $arrows = "<a href=admin.php?module=".$GLOBALS['module']."&amp;op=decrease_weight&amp;property=$prop_id&amp;weight=$prop_weight>"
                .'<img src=images/global/up.gif border=0>'
                .'</a>';
                break;
            default:
                $arrows = '<img src=images/global/up.gif>&nbsp;<img src=images/global/down.gif>';
                $arrows = "<a href=admin.php?module=".$GLOBALS['module']."&amp;op=decrease_weight&amp;property=$prop_id&amp;weight=$prop_weight>"
                .'<img src=images/global/up.gif border=0>'
                .'</a>&nbsp;'
                ."<a href=admin.php?module=".$GLOBALS['module']."&amp;op=increase_weight&amp;property=$prop_id&amp;weight=$prop_weight>"
                .'<img src=images/global/down.gif border=0>'
                .'</a>';

        }

        if (($prop_dtype == _UDCONST_MANDATORY) || ($prop_dtype == _UDCONST_CORE)) {
            $del_text = _FIELD_NA;
        } else {
            $del_text = "<a href=admin.php?module=".$GLOBALS['module']."&amp;op=delete_property&amp;property=$prop_id>"
            ._DELETE
            .'</a>';
        }
        if ($prop_required_text != _FIELD_NA) {
                $prop_required_text = "<a href=admin.php?module=".$GLOBALS['module']."&amp;op=required_change&amp;prop_id=".pnVarPrepForDisplay($prop_id).">".$prop_required_text."</a>";
                        $prop_required_text .= " - ";
                        $prop_required_text .= "<a href=admin.php?module=".$GLOBALS['module']."&amp;op=editdynafield&amp;prop_id=".$prop_id.">"._UAEDITDYNAFIELD."</a>\n";
        }
        print "<tr><td width=\"5%\" align=\"center\">"
        ."$img_cmd"
        ."</td>"
        ."<td width=\"12%\">".$prop_label."</td>"
        ."<td width=\"12%\">".$prop_label_text."</td>"
        ."<td width=\"10%\" align=\"center\">".$arrows."</td>"
        ."<td width=\"10%\" align=\"center\">".$data_type_text."</td>"
        ."<td width=\"20%\" align=\"center\">".$data_length_text."</td>"
        ."<td width=\"10%\" align=\"center\">".$del_text."</td>"
        ."<td align=\"center\">".$prop_required_text."</td>"
        ."</tr>";
    }
    print "</table>";
    CloseTable();

    print "<br>";

    OpenTable();

    print "<center><font size=\"3\" class=\"pn-title\">"._ADDFIELD."</b></font></center><br>"
    ."<form action=\"admin.php\" method=\"post\">"
    ."<table class=\"pn-normal\">"
    ."<tr>"
    ."<th align=\"left\">"._FIELDLABEL.":</th>"
    ."<td>"
    ."<input type=\"text\" name=\"label\" value=\"\" size=\"20\" maxlength=\"20\" class=\"pn-normal\">"
    ."&nbsp;"._ADDINSTRUCTIONS."</td>"
    ."</tr>"
    ."<tr>"
    ."<th align=\"left\">"._FIELDTYPE.":</th>"
    ."<td>"
    ."<select name=\"dtype\" class=\"pn-normal\">"
    ."<option value=\""._UDCONST_STRING."\">"._UDT_STRING."</option>" . "\n"
    ."<option value=\""._UDCONST_TEXT."\">"._UDT_TEXT."</option>" . "\n"
    ."<option value=\""._UDCONST_FLOAT."\">"._UDT_FLOAT."</option>" . "\n"
    ."<option value=\""._UDCONST_INTEGER."\">"._UDT_INTEGER."</option>" . "\n"
    ."</select>"
    ."</td>"
    ."</tr>"
    ."<tr>"
    ."<th align=\"left\">"._FIELDLENGTH.":</th>"
    ."<td>"
    ."<input type=\"text\" name=\"prop_len\" value=\"\" size=\"3\" maxlength=\"3\" class=\"pn-normal\">"
    ."&nbsp;"._STRING_INSTRUCTIONS."</td>"
    ."</tr>"
    ."<tr><td></td><td>"
    ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS["module"]."\">"
    ."<input type=\"hidden\" name=\"op\" value=\"addDynamic\">"
    ."<input type=\"submit\" value=\""._SUBMIT."\">"
    ."</td></tr>"
    ."</table>"
    ."<input type=\"hidden\" name=\"prop_weight\" value=\"".$next_prop_weight."\">"
    ."<input type=\"hidden\" name=\"validation\" value=\"\">"
    ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
    ."<input type=\"hidden\" name=\"op\" value=\"add_property\">"
    ."</form>";
    CloseTable();
    include ("footer.php");
}

function add_property()
{
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }
    global $label, $dtype, $prop_weight, $validation, $prop_len;

    addVar($label, $dtype, $prop_weight, $validation, $prop_len );
    pnRedirect("admin.php?module=Dyn_users&op=getDynamic");
}

function delete_property_confirm($var) {
    removeVar($var['label']);

}

function delete_property($var)
{
   list($dbconn) = pnDBGetConn();
   $pntable = pnDBGetTables();

   include("header.php");

   GraphicAdmin();
   OpenTable();
   echo $GLOBALS['admintitle'];
   CloseTable();

   OpenTable();
   echo "<center><font class=\"pn-title\"><b>"._DELETEFIELD."</b></font><br><br>";

   $column = &$pntable['user_property_column'];

   $result = $dbconn->Execute("SELECT $column[prop_id], $column[prop_label], $column[prop_weight]
           FROM $pntable[user_property]
           WHERE $column[prop_id] = '$var[property]'");

   if(!$result->EOF) {
       list($pid, $plabel, $pweight) = $result->fields;
   } else {
     echo _FIELD_NOEXIST;
     CloseTable();
     include 'footer.php';
     exit;
   }
   if ($pweight != 0) {
      echo _FIELD_DEACTIVATE;
   }
   if (!pnSecAuthAction(0, 'Dyn_users::', '::', ACCESS_ADMIN)) {
      echo _MODIFYUSERSDELNOAUTH;
      CloseTable();
      include 'footer.php';
      exit;
   }
   echo ""._FIELD_DEL_SURE." ".pnVarPrepForDisplay($plabel)."?<br><br>"
   ."[ <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=delPropConf&amp;label=".$plabel."\">"._YES
   ."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=getDynamic\">"._NO."</a> ]</center>";
   CloseTable();
   include("footer.php");
}

function addVar($name, $type, $weight, $validation, $length=0)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $propertiestable = $pntable['user_property'];
    $columns = &$pntable['user_property_column'];

    if (empty($name) || ($name == 'uid') || ($name == 'email') ||
    ($name == 'password') || ($name == 'uname')) {
        return false;
    }

    $query = "SELECT $columns[prop_label] from $propertiestable
              WHERE $columns[prop_label] = '" . pnVarPrepForStore($name) ."'";
    $result = $dbconn->Execute($query);

    if ($result->PO_RecordCount() != 0) {
        return false;
    }

    if (($type != _UDCONST_STRING) && ($type != _UDCONST_TEXT)
        && ($type != _UDCONST_FLOAT) && ($type != _UDCONST_INTEGER)) {
        return false;
    }

    // further checks
    if (($type == _UDCONST_STRING) && (!is_numeric($length) || ($length <=0))) {
        return false;
    }

    if (!is_numeric($weight)) {
        return false;
    }

    $query = "INSERT INTO $propertiestable
                  ($columns[prop_label],
                   $columns[prop_dtype],
                   $columns[prop_length],
                   $columns[prop_weight],
                   $columns[prop_validation])
                  VALUES ('".pnVarPrepForStore($name)."',
                          '".pnVarPrepForStore($type)."',
                          '".pnVarPrepForStore($length)."',
                          '".pnVarPrepForStore($weight)."',
                          '".pnVarPrepForStore($validation)."')";
    $dbconn->Execute($query);

    if($dbconn->ErrorNo() != 0) {
      return false;
    }

    return true;
}

function removeVar($name)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $propertiestable = $pntable['user_property'];
    $datatable = $pntable['user_data'];
    $propcolumns = &$pntable['user_property_column'];
    $datacolumns = &$pntable['userdata_column'];

    if (empty($name) || ($name == 'uid') || ($name == 'email') ||
    ($name == 'password') || ($name == 'uname')) {
        return false;
    }

    $query = "SELECT $propcolumns[prop_id] from $propertiestable
              WHERE $propcolumns[prop_label] = '" . pnVarPrepForStore($name) ."'";
    $result = $dbconn->Execute($query);

    if ($result->PO_RecordCount() == 0) {
        return false;
    }

    list ($id) = $result->fields;


    $query = "DELETE from $propertiestable
              WHERE $propcolumns[prop_label] = '" . pnVarPrepForStore($name) ."'";
    $dbconn->Execute($query);

    if($dbconn->ErrorNo() != 0) {
      return false;
    }

    $query = "DELETE from $datatable
              WHERE $datacolumns[uda_propid] = '" . pnVarPrepForStore($id) ."'";
    $dbconn->Execute($query);


    pnRedirect("admin.php?module=Dyn_users&op=getDynamic");
}

function increase_weight($var)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!empty($var['property']) && !empty($var['weight'])) {
        $new_weight = $var['weight'] + 1;
        $column = &$pntable['user_property_column'];
        $result = $dbconn->Execute("UPDATE $pntable[user_property] SET $column[prop_weight]=".pnVarPrepForStore($new_weight)."
                                    WHERE $column[prop_id]='".$var['property']."' AND $column[prop_weight]='".$var['weight']."'");
        if($dbconn->ErrorNo()<>0) {
           echo $dbconn->ErrorNo(). "Increase Weight 1".$dbconn->ErrorMsg(). "<br>";
           error_log ($dbconn->ErrorNo(). "Increase Weight 1: ".$dbconn->ErrorMsg(). "<br>");
           return;
        }

        $result = $dbconn->Execute("UPDATE $pntable[user_property] SET $column[prop_weight]=".$var['weight']."
                                    WHERE $column[prop_id]<>'".$var['property']."' AND $column[prop_weight]='".pnVarPrepForStore($new_weight)."'");
        if($dbconn->ErrorNo()<>0) {
           echo $dbconn->ErrorNo(). "Increase Weight 2".$dbconn->ErrorMsg(). "<br>";
           error_log ($dbconn->ErrorNo(). "Increase Weight 2: ".$dbconn->ErrorMsg(). "<br>");
           return;
        }
    }
    pnRedirect("admin.php?module=Dyn_users&op=getDynamic");
}

function decrease_weight($var)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!empty($var['property']) && !empty($var['weight'])) {
        $new_weight = $var['weight'] - 1;
        $column = &$pntable['user_property_column'];
        $result = $dbconn->Execute("UPDATE $pntable[user_property] SET $column[prop_weight]=".pnVarPrepForStore($new_weight)."
                                    WHERE $column[prop_id]='".$var['property']."' AND $column[prop_weight]='".$var['weight']."'");
        if($dbconn->ErrorNo()<>0) {
           echo $dbconn->ErrorNo(). "Decrease Weight 1".$dbconn->ErrorMsg(). "<br>";
           error_log ($dbconn->ErrorNo(). "Decrease Weight 1: ".$dbconn->ErrorMsg(). "<br>");
           return;
        }

        $result = $dbconn->Execute("UPDATE $pntable[user_property] SET $column[prop_weight]=".$var['weight']."
                                    WHERE $column[prop_id]<>'".$var['property']."' AND $column[prop_weight]='".pnVarPrepForStore($new_weight)."'");
        if($dbconn->ErrorNo()<>0) {
           echo $dbconn->ErrorNo(). "Decrease Weight 2".$dbconn->ErrorMsg(). "<br>";
           error_log ($dbconn->ErrorNo(). "Decrease Weight 2: ".$dbconn->ErrorMsg(). "<br>");
           return;
        }
    }
    pnRedirect("admin.php?module=Dyn_users&op=getDynamic");
}

function activate_property ($var)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!empty($var['property'])) {
        $max_weight = 0;
        $column = &$pntable['user_property_column'];
        $result = $dbconn->Execute("SELECT MAX($column[prop_weight]) max_weight FROM $pntable[user_property]");

        if(!$result->EOF) {
            list($max_weight) = $result->fields;
        }
        $max_weight++;
        $result = $dbconn->Execute("UPDATE $pntable[user_property] SET $column[prop_weight]=".pnVarPrepForStore($max_weight)."
                                    WHERE $column[prop_id]='".$var['property']."'");
        if($dbconn->ErrorNo()<>0) {
           echo $dbconn->ErrorNo(). "Activate User Property 1".$dbconn->ErrorMsg(). "<br>";
           error_log ($dbconn->ErrorNo(). "Activate User Property 1: ".$dbconn->ErrorMsg(). "<br>");
           return;
        }
    }
    pnRedirect("admin.php?module=Dyn_users&op=getDynamic");
}

function deactivate_property($var)
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (!empty($var['property'])) {

        $column = &$pntable['user_property_column'];

        $result = $dbconn->Execute("UPDATE $pntable[user_property] SET $column[prop_weight]=0
                                    WHERE $column[prop_id]='".$var['property']."'");
        if($dbconn->ErrorNo()<>0) {
           echo $dbconn->ErrorNo(). "Deactivate User Property 1".$dbconn->ErrorMsg(). "<br>";
           error_log ($dbconn->ErrorNo(). "Deactivate User Property 1: ".$dbconn->ErrorMsg(). "<br>");
           return;
        }
        $result = $dbconn->Execute("UPDATE $pntable[user_property] SET $column[prop_weight]=$column[prop_weight]-1
                                    WHERE $column[prop_weight]>'".$var['weight']."'");

        if($dbconn->ErrorNo()<>0) {
           echo $dbconn->ErrorNo(). "Deactivate User Property 2: ".$dbconn->ErrorMsg(). "<br>";
           error_log ($dbconn->ErrorNo(). "Deactivate User Property 2: ".$dbconn->ErrorMsg(). "<br>");
           return;
        }
    }
    pnRedirect("admin.php?module=Dyn_users&op=getDynamic");
}


##########################################################
// Added by Chestnut ! - 20030213 17h51 (pncUserHack v1.6)
// Check the required fields and return an array to the
// Add_user Form - Search Sign %%@ function get required fields @%%

function getfieldrequired()
{

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
        $propcolumn = &$pntable['user_property_column'];
        $propresult = $dbconn->Execute("SELECT                $propcolumn[prop_label], $propcolumn[prop_validation]
                                                                        FROM                $pntable[user_property]
                                                                        WHERE                $propcolumn[prop_dtype]!='-1'
                                                                        AND                        $propcolumn[prop_weight]!='0'
                                                                        ORDER BY        $propcolumn[prop_weight]");
        if (!$propresult->EOF) {
                $fieldrequired = array();
                while(list($prop_label, $prop_validation) = $propresult->fields) {
                       $propresult->MoveNext();
                        $prop_validation = unserialize($prop_validation);
                       if ($prop_validation['REQUIRED'] == 1) {
                                $prop_label_text = "";
                               $eval_cmd = "\$prop_label_text = $prop_label;";
                               @eval($eval_cmd);
                               if (empty($prop_label_text)) {
                    $prop_label_text = $prop_label;
                }
                $fieldrequired[$prop_label]['FIELD'] = $prop_label;
                $fieldrequired[$prop_label]['LIBEL'] = $prop_label_text;
                $fieldrequired[$prop_label]['VALIDATION'] = $prop_validation;
            }
        }
    }

    return $fieldrequired;

}

function getfieldlist()
{

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
        $propcolumn = &$pntable['user_property_column'];
        $propresult = $dbconn->Execute("SELECT                $propcolumn[prop_label], $propcolumn[prop_validation]
                                                                        FROM                $pntable[user_property]
                                                                        WHERE                $propcolumn[prop_dtype]!='-1'
                                                                        AND                        $propcolumn[prop_weight]!='0'
                                                                        ORDER BY        $propcolumn[prop_weight]");
        if (!$propresult->EOF) {
                $fieldrequired = array();
                while(list($prop_label, $prop_validation) = $propresult->fields) {
                       $propresult->MoveNext();
                        $prop_validation = unserialize($prop_validation);
                       //if ($prop_validation['REQUIRED'] == 1) {
                                $prop_label_text = "";
                               $eval_cmd = "\$prop_label_text = $prop_label;";
                               @eval($eval_cmd);
                               if (empty($prop_label_text)) {
                    $prop_label_text = $prop_label;
                }
                $fieldrequired[$prop_label]['FIELD'] = $prop_label;
                $fieldrequired[$prop_label]['LIBEL'] = $prop_label_text;
                $fieldrequired[$prop_label]['VALIDATION'] = $prop_validation;
            //}
        }
    }

    return $fieldrequired;

}

function getdynamiclist()
{

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $propcolumn = &$pntable['user_property_column'];
    $propresult = $dbconn->Execute("SELECT      $propcolumn[prop_label], $propcolumn[prop_validation]
                                    FROM        $pntable[user_property]
                                    WHERE       $propcolumn[prop_dtype]='1'
                                    AND         $propcolumn[prop_weight]!='0'
                                    ORDER BY    $propcolumn[prop_weight]");
    if (!$propresult->EOF) {
                $fieldrequired = array();
                while(list($prop_label, $prop_validation) = $propresult->fields) {
                       $propresult->MoveNext();
                        $prop_validation = unserialize($prop_validation);
                       //if ($prop_validation['REQUIRED'] == 1) {
                                $prop_label_text = "";
                               $eval_cmd = "\$prop_label_text = $prop_label;";
                               @eval($eval_cmd);
                               if (empty($prop_label_text)) {
                    $prop_label_text = $prop_label;
                }
                $fieldrequired[$prop_label]['FIELD'] = $prop_label;
                $fieldrequired[$prop_label]['LIBEL'] = $prop_label_text;
                $fieldrequired[$prop_label]['VALIDATION'] = $prop_validation;
            //}
        }
    }

    return $fieldrequired;

}

function pncGetFieldType()
{

        $listtype[] = "TEXT";
        $listtype[] = "TEXTAREA";
        $listtype[] = "CHECKBOX";
        $listtype[] = "RADIO";
        $listtype[] = "SELECT";

        return $listtype;
}

##########################################################
// Added by Chestnut ! - 20030214 13h41 (pncUserHack v1.6)
// Register the User Information, Difference with the
// original is that it checks if the field is in the
// normal table or in the dynamic data table and register
// the value to the right place.

function pncAdminUserSetVar($name, $value, $uid)
{
    global $psnconfirm;
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if (empty($name)) {
    //  $psnconfirm = 'Name empty';
        $fncreturn = false;
    }

    if (    $name != "_UREALNAME"
        &&  $name != "_UFAKEMAIL"
        &&  $name != "_YOURHOMEPAGE"
        &&  $name != "_TIMEZONEOFFSET"
        &&  $name != "_YOURAVATAR"
        &&  $name != "_YICQ"
        &&  $name != "_YAIM"
        &&  $name != "_YYIM"
        &&  $name != "_YMSNM"
        &&  $name != "_YLOCATION"
        &&  $name != "_YOCCUPATION"
        &&  $name != "_YINTERESTS"
        &&  $name != "_SIGNATURE"
        &&  $name != "_EXTRAINFO") {

        $isdynamic = 1;

    } else {

        $isdynamic = 0;
        $fieldname['_UREALNAME'] = "name";
        $fieldname['_UFAKEMAIL'] = "uname";
        $fieldname['_YOURHOMEPAGE'] = "url";
        $fieldname['_TIMEZONEOFFSET'] = "timezone_offset";
        $fieldname['_YOURAVATAR'] = "user_avatar";
        $fieldname['_YICQ'] = "user_icq";
        $fieldname['_YAIM'] = "user_aim";
        $fieldname['_YYIM'] = "user_yim";
        $fieldname['_YMSNM'] = "user_msnm";
        $fieldname['_YLOCATION'] = "user_from";
        $fieldname['_YOCCUPATION'] = "user_occ";
        $fieldname['_YINTERESTS'] = "user_intrest";
        $fieldname['_SIGNATURE'] = "user_sig";
        $fieldname['_EXTRAINFO'] = "bio";

    }

    if ($isdynamic == 1) {

        $propertiestable = $pntable['user_property'];
        $datatable = $pntable['user_data'];
        $propcolumns = &$pntable['user_property_column'];
        $datacolumns = &$pntable['user_data_column'];

    // Confirm that this is a known value
        $query = "SELECT    $propcolumns[prop_id],
                            $propcolumns[prop_dtype]
                  FROM      $propertiestable
                  WHERE     $propcolumns[prop_label] = '" . pnVarPrepForStore($name) ."'";
        $result = $dbconn->Execute($query);

        if ($result->EOF) {
            $psnconfirm ='Confirm that this is a known value';
            $fncreturn = false;
        }

        list ($id, $type) = $result->fields;
        // check for existence of the variable in user data
        $query = "SELECT    $datacolumns[uda_id]
                  FROM      $datatable
                  WHERE     $datacolumns[uda_propid] = '" . pnVarPrepForStore($id) ."'
                  AND       $datacolumns[uda_uid] = '" . pnVarPrepForStore($uid) ."'";
        $result = $dbconn->Execute($query);

        // jgm - this won't work in databases that care about typing
        // but this should get fixed when we move to the dynamic user
        // variables setup
        // TODO: do some checking with $type to maybe do conditional sql

        if ($result->EOF) {
        // record does not exist
            if (is_array($value)) $value = serialize($value);
            $query = "INSERT INTO $datatable
                    ($datacolumns[uda_propid],
                    $datacolumns[uda_uid],
                    $datacolumns[uda_value])
                    VALUES ('".pnVarPrepForStore($id)."',
                            '".pnVarPrepForStore($uid)."',
                            '".pnVarPrepForStore($value)."')";
            $dbconn->Execute($query);

            if($dbconn->ErrorNo() != 0) {
                $psnconfirm ='record does not exist, inscription capout';
                $fncreturn = false;
            }

        } else {
            // existing record
            $query = "UPDATE $datatable
                      SET $datacolumns[uda_value] = '" . pnVarPrepForStore($value) . "'
                      WHERE $datacolumns[uda_propid] = '" . pnVarPrepForStore($id) ."'
                      AND $datacolumns[uda_uid] = '" . pnVarPrepForStore($uid) ."'";
            $dbconn->Execute($query);

            if($dbconn->ErrorNo() != 0) {
                $psnconfirm ='existait dj';
                $fncreturn = false;
            }
        }

    } else {
        // Non dynamic
        $usertable = $pntable['users'];
        $usercolumn = $pntable['users_column'];

        $query = "  UPDATE  $usertable
                    SET     ".$usercolumn[$fieldname[$name]]." = '" . pnVarPrepForStore($value) . "'
                    WHERE   $usercolumn[uid] = '" . pnVarPrepForStore($uid) ."'";
        $dbconn->Execute($query);

        if ($dbconn->ErrorNo() != 0) {
            $fncreturn = false;
        }
    }

    return $fncreturn;
}

##########################################################
// Added by Chestnut ! - 20030214 13h41 (pncUserHack v1.6)
// Change the field validation to make it required or
// not.
// To be change in the future for the advance dynamic
// creation page.

function required_propchange($prop_id) {

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $propertiestable = $pntable['user_property'];
        $columns = &$pntable['user_property_column'];

        $sql = "SELECT        $columns[prop_validation]
                        FROM        $propertiestable
                        WHERE        $columns[prop_id]='".pnVarPrepForStore($prop_id)."'";
        $validresult = $dbconn->Execute($sql);

    if($dbconn->ErrorNo()<>0) {
        echo $dbconn->ErrorNo(). "Change Required Property ".$dbconn->ErrorMsg(). "<br>";
        return;
    }

        list($validdef) = $validresult->fields;

        $validdef = unserialize($validdef);
        if ($validdef['REQUIRED'] == '1') {
            $validdef['REQUIRED'] = '0';
    } else {
            $validdef['REQUIRED'] = '1';
    }


    $result = $dbconn->Execute("UPDATE $propertiestable
                                                                SET pn_prop_validation='".pnVarPrepForStore(serialize($validdef))."'
                                WHERE $columns[prop_id]='".pnVarPrepForStore($prop_id)."'");
    if($dbconn->ErrorNo()<>0) {
        echo $dbconn->ErrorNo(). "Change Required Property ".$dbconn->ErrorMsg(). "<br>";
        error_log ($dbconn->ErrorNo(). "Change Required Property : ".$dbconn->ErrorMsg(). "<br>");
        return;
    }
    pnRedirect("admin.php?module=Dyn_users&op=getDynamic");

}

##########################################################
// Added by Chestnut ! - 20030214 13h41 (pncUserHack v1.6)
// Fetching the HTML to display the dynamic field.
//

function getfieldHTMLDef($dynafield, $dynavalue) {

        if (!isset($dynavalue)) {
                $dynavalue = "";
        }

        switch($dynafield['TYPE']) {
                case "TEXT":
                        $varaffiche = "<table><tr><td>\n";
                        $varaffiche .= "<input type=text name=\"dynafield[".$dynafield['NAME']."]\" value=\"".$dynavalue."\" size=\"40\">\n";
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
                case "TEXTAREA":
                        $varaffiche = "<table><tr><td>\n";
                        $varaffiche .= "<textarea cols=50 rows=10 name=\"dynafield[".$dynafield['NAME']."]\">".$dynavalue."</textarea>\n";
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
                case "CHECKBOX":
                        $varaffiche = "<table><tr><td>\n";
                        $varaffiche .= "<input type=\"CHECKBOX\" name=\"dynafield[".$dynafield['NAME']."]\">&nbsp;".$dynavalue."&nbsp;";
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
                case "RADIO":
                        $listfill = explode('@@',$dynafield['LISTFILL']);
                        $count = count($listfill);
                        $compteur = 1;
                        $varaffiche = "";
                        $varaffiche .= "<table><tr><td>\n";
                        while(list($key,$val) = each($listfill)) {
                                if ($dynavalue == $compteur) {
                                        $checked = "checked";
                                } else {
                                        $checked = "";
                                }
                                if ($val != "") {
                                        $varaffiche .= "<input type=RADIO name=\"dynafield[".$dynafield['NAME']."]\" value=\"".$compteur."\" $checked> ".$val."<br>\n";
                                        $compteur++;
                                }
                                //$compteur++;
                        }
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
                case "SELECT":
            $listfill = explode('@@',$dynafield['LISTFILL']);
            $count = count($listfill);
            $compteur = 1;
            if ($dynafield['LISTOPTION']==1) {
                $multiple = " multiple";
                $size = "size=\"5\"";
            } else {
                $multiple = "";
                $size = "size=\"1\"";
            }

            $varaffiche = "<table><tr><td>\n";
            if ($multiple."" != "") {
                $varaffiche .= "<SELECT NAME=\"dynafield[".$dynafield['NAME']."][]\"".$multiple." ".$size.">\n";
            } else {
                $varaffiche .= "<SELECT NAME=\"dynafield[".$dynafield['NAME']."]\" ".$size.">\n";
            }

            if ($multiple."" == "") $varaffiche .= "<option value=\"\"".$selected."></option>\n";

            $getdyna = $dynavalue;
            $parselist = $listfill;
            while(list($key,$val) = each($listfill)) {
                if ($dynafield['LISTOPTION'] == 1) {
                    if ($val."" != "") {
                        $getdyna = $dynavalue;
                        $check = $key;
                        if (!empty($getdyna) && is_array($getdyna)) {
                             $cherche = array_search($check, $getdyna);
                            if ($cherche !== null && $cherche !== false) {
                                $selected = " selected";
                                $varaffiche .= "<option value=\"".$compteur."\"".$selected.">".$val."</option>\n";
                            } else {
                                $selected = "";
                                $varaffiche .= "<option value=\"".$compteur."\"".$selected.">".$val."</option>\n";
                            }
                        } else {
                            $selected = "";
                            $varaffiche .= "<option value=\"".$compteur."\"".$selected.">".$val."</option>\n";
                        }
                        $compteur++;
                    }
                } else {
                                        if ($val."" != "") {
                                            if ($dynavalue == $compteur) {
                                $selected = " selected";
                            } else {
                                $selected = "";
                            }
                            $varaffiche .= "<option value=\"".$compteur."\"".$selected.">".$val."</option>\n";
                            $compteur++;
                                        }
                }
            }
            $varaffiche .= "</select>";
            $varaffiche .= "</td><td>\n";
            if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
            if ($dynafield['ADMINONLY'] == 1) $varaffiche .= " <b>"._FORYOUREYESONLY."</b>";
            if ($dynafield['NOTE']."" != "") $varaffiche .= ""._UANOTE."".nl2br($dynafield['NOTE']);
            $varaffiche .= "</td></tr></table>";
            $varaffiche .= "\n";
            break;
                default:
                        $varaffiche = "<table><tr><td>\n";
                        $varaffiche .= "<input type=text name=\"dynafield[".$dynafield['NAME']."]\" value=\"".$dynavalue."\" size=\"40\">\n";
                        $varaffiche .= "</td><td>\n";
                        if ($dynafield['REQUIRED'] == 1) $varaffiche .= " (<b>"._REQUIREDSTAR."</b>)";
                        if ($dynafield['ADMINONLY'] == 1) $varaffiche .= "<br><b>"._FORYOUREYESONLY."</b>";
                        if ($dynafield['NOTE']."" != "") $varaffiche .= "<br>"._UANOTE."".nl2br($dynafield['NOTE']);
                        $varaffiche .= "</td></tr></table>";
                        $varaffiche .= "\n";
                        break;
        }

        return $varaffiche;
}

function editdynafield($prop_id)
{
        include 'header.php';
        GraphicAdmin();
        OpenTable();
        echo $GLOBALS['admintitle'];
        CloseTable();
        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();
        $column = &$pntable['user_property_column'];

        $sql = "SELECT        $column[prop_label], $column[prop_validation]
                        FROM        $pntable[user_property]
                        WHERE        $column[prop_id]='".pnVarPrepForStore($prop_id)."'";
        $result = $dbconn->Execute($sql);
        if($dbconn->ErrorNo()<>0) {
               echo $dbconn->ErrorMsg(). "<br>";
        }
        list($prop_label, $prop_validation) = $result->fields;

        $prop_validation = unserialize($prop_validation);

        OpenTable();
        echo "<center>"._UACURRENTDYNACONFIG."</center>\n<br><br>\n";
        echo "<form action=\"admin.php\" method=\"post\"><center><table>\n<tr>\n";
        $prop_label_text = "";
        $eval_cmd = "\$prop_label_text = $prop_label;";
        @eval($eval_cmd);
        if (empty($prop_label_text)) {
                $prop_label_text = $prop_label;
        }
        echo "<td>\n<b>".$prop_label."</b>\n</td>\n<td>".$prop_label_text."</td>\n";
        echo "</tr>\n<tr><td colspan=2>&nbsp;</td>\n";
        echo "</tr>\n<tr><td>\n"._UAEDITREQUIRED."</td>\n<td>";
        echo "<select name=\"changeto_required\">";
        if ($prop_validation['REQUIRED'] == 1) {
                $selected = "selected";
        } else {
                $selected = "";
        }
        echo "<option value=\"1\" $selected>"._YES."</option>\n";
        if ($prop_validation['REQUIRED'] == 0) {
                $selected = "selected";
        } else {
                $selected = "";
        }
        echo "<option value=\"0\" $selected>"._NO."</option>\n";
        echo "</select>\n";
        echo "</td></tr>\n<tr><td>\n"._UAEDITFORYOUREYESONLY."</td>\n<td>";
        echo "<select name=\"changeto_adminonly\">";
        if ($prop_validation['ADMINONLY'] == 1) {
                $selected = "selected";
        } else {
                $selected = "";
        }
        echo "<option value=\"1\" $selected>"._YES."</option>\n";
        if ($prop_validation['ADMINONLY'] == 0) {
                $selected = "selected";
        } else {
                $selected = "";
        }
        echo "<option value=\"0\" $selected>"._NO."</option>\n";
        echo "</select>\n";
        echo "</td></tr>\n<tr><td>\n";
        echo _UAEDITFIELDTYPE."\n</td>\n<td>";

        $listtype = pncGetFieldType();

        echo "<select name=\"changeto_type\">\n";
        foreach ($listtype as $type) {
                if ($type == $prop_validation['TYPE']) {
                        $selected = "selected";
                } else {
                        $selected = "";
                }
                echo "<option value=\"".pnVarPrepForDisplay($type)."\" $selected>".pnVarPrepForDisplay($type)."</option>\n";
        }
        echo "</select>\n";
        echo "</td></tr>\n<tr><td>\n"._UAEDITMULTIPLE."</td>\n<td>";
        echo "<select name=\"changeto_multiple\">";
        if ($prop_validation['LISTOPTION'] == 1) {
                $selected = "selected";
        } else {
                $selected = "";
        }
        echo "<option value=\"1\" $selected>"._YES."</option>\n";
        if ($prop_validation['LISTOPTION'] == 0) {
                $selected = "selected";
        } else {
                $selected = "";
        }
        echo "<option value=\"0\" $selected>"._NO."</option>\n</td></tr>\n<tr><td>\n";
        echo ""._FIELDLIST.":<br>\n"._UAEDITLISTOPTION."<b>@@</b></td>\n<td>";
        echo "<textarea cols=50 rows=5 name=\"changeto_listfill\">".pnVarPrepForDisplay($prop_validation['LISTFILL'])."</textarea>\n</td></tr>\n";
        echo "<tr><td>\n"._UAEDITNOTE."</td>\n<td>";
        echo "<textarea cols=50 wrap=\"virtual\" rows=5 name=\"changeto_note\">".pnVarPrepForDisplay($prop_validation['NOTE'])."</textarea>\n";
        echo "</td></tr>\n<tr><td>\n"._UAEDITVALIDATION."</td>\n<td>";
        echo "<textarea cols=50 rows=2 name=\"changeto_validation\">".pnVarPrepForDisplay($prop_validation['VALIDATION'])."</textarea>\n";
        echo "</td></tr>\n";
        echo "</table></center>\n";
        echo "<input type=\"hidden\" name=\"prop_id\" value=\"".pnVarPrepForDisplay($prop_id)."\">"
            ."<input type=\"hidden\" name=\"module\" value=\"Dyn_users\">"
            ."<input type=\"hidden\" name=\"op\" value=\"pncEditSaveField\">"
            ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
            ."<br><br><center><input type=\"submit\" value=\""._UAEDITSUBMIT."\"></center></form>\n";

        CloseTable();

        OpenTable();
        echo "<center>\n"._UAEDITPREVIEW."\n<br><br>\n";

        $prop_validation['NAME'] = $prop_label;
        $affiche = getfieldHTMLDef($prop_validation, $dynavalue="");

        echo "<form>\n";
        echo $affiche;
        echo "</form>\n";

        echo "</center>\n";
        CloseTable();

        echo "<center><a href=\"admin.php?module=".$GLOBALS['module']."&op=getDynamic\">"._UAEDITBACKTODYNAPAGE."</a></center>\n";
        echo "<br><br>\n";

        include 'footer.php';
}

function pncEditSaveField($var)
{
        list($prop_id,
             $changeto_required,
             $changeto_adminonly,
             $changeto_type,
             $changeto_multiple,
             $changeto_listoption,
             $changeto_listfill,
             $changeto_note,
             $changeto_validation) = pnVarCleanFromInput('prop_id',
                                                         'changeto_required',
                                                         'changeto_adminonly',
                                                         'changeto_type',
                                                         'changeto_multiple',
                                                         'changeto_listoption',
                                                         'changeto_listfill',
                                                         'changeto_note',
                                                         'changeto_validation');

        $newproperty['REQUIRED'] = $changeto_required;
        $newproperty['ADMINONLY'] = $changeto_adminonly;
        $newproperty['TYPE'] = $changeto_type;
        $newproperty['LISTOPTION'] = $changeto_multiple;
        $newproperty['LISTFILL'] = $changeto_listfill;
        $newproperty['NOTE'] = $changeto_note;
        $newproperty['VALIDATION'] = $changeto_validation;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $column = &$pntable['user_property_column'];
    $sql = "UPDATE  $pntable[user_property]
            SET     $column[prop_validation] = '".pnVarPrepForStore(serialize($newproperty))."'
            WHERE   $column[prop_id] = '".pnVarPrepForStore($prop_id)."'";
    $dbconn->Execute($sql);
    if($dbconn->ErrorNo()<>0) {
        echo $dbconn->ErrorMsg(). "<br>";
    } else {
                pnredirect('admin.php?module=Dyn_users&op=editdynafield&prop_id='.$prop_id);
        }

}

function CreateFieldDef() {

        include 'header.php';
        GraphicAdmin();
        OpenTable();
        echo $GLOBALS['admintitle'];
        CloseTable();

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
        $column = &$pntable['user_property_column'];

    $sql = "SELECT  $column[prop_label], $column[prop_dtype], $column[prop_validation]
            FROM    $pntable[user_property]";
    $result = $dbconn->Execute($sql);

        while(list($prop_label, $prop_dtype, $prop_validation) = $result->fields) {
                $result->MoveNext();
                //echo $prop_label."<br>";
                if ($prop_dtype == _UDCONST_MANDATORY) {
                                $dynadefinition['REQUIRED']     = 1;
                                $dynadefinition['ADMINONLY']    = 0;
                                $dynadefinition['TYPE']         = "TEXT";
                                $dynadefinition['LISTOPTION']   = 0;
                                $dynadefinition['LISTFILL']     = "";
                                $dynadefinition['NOTE']         = "";
                                $dynadefinition['VALIDATION']   = "";
                                /*break;*/
                } elseif ($prop_dtype == _UDCONST_CORE) {
                switch ($prop_label) {
                       case "_TIMEZONEOFFSET":
                            $dynadefinition['REQUIRED']   = 0;
                            $dynadefinition['ADMINONLY']  = 0;
                            $dynadefinition['TYPE']       = "SELECT";
                            $dynadefinition['LISTOPTION'] = 0;
                            $dynadefinition['LISTFILL']   = "";
                            $dynadefinition['NOTE']       = "";
                            $dynadefinition['VALIDATION'] = "var: timezoneoffset";
                                                break;
                                        case "_YOURAVATAR":
                                                $dynadefinition['REQUIRED']                = 0;
                                                $dynadefinition['ADMINONLY']        = 0;
                                                $dynadefinition['TYPE']                        = "SELECT";
                                                $dynadefinition['LISTOPTION']        = 0;
                                                $dynadefinition['LISTFILL']                = "";
                                                $dynadefinition['NOTE']                        = "";
                                                $dynadefinition['VALIDATION']        = "path: images/avatar";
                                                break;
                                        case "_SIGNATURE":
                                                $dynadefinition['REQUIRED']                = 0;
                                                $dynadefinition['ADMINONLY']        = 0;
                                                $dynadefinition['TYPE']                        = "TEXTAREA";
                                                $dynadefinition['LISTOPTION']        = 0;
                                                $dynadefinition['LISTFILL']                = "";
                                                $dynadefinition['NOTE']                        = "";
                                                $dynadefinition['VALIDATION']        = "";
                                                break;
                    case "_EXTRAINFO":
                        $dynadefinition['REQUIRED']     = 0;
                        $dynadefinition['ADMINONLY']    = 0;
                        $dynadefinition['TYPE']         = "TEXTAREA";
                        $dynadefinition['LISTOPTION']   = 0;
                        $dynadefinition['LISTFILL']     = "";
                        $dynadefinition['NOTE']         = "";
                        $dynadefinition['VALIDATION']   = "";
                        break;
                    default:
                        $dynadefinition['REQUIRED']     = 0;
                        $dynadefinition['ADMINONLY']    = 0;
                        $dynadefinition['TYPE']         = "TEXT";
                        $dynadefinition['LISTOPTION']   = 0;
                        $dynadefinition['LISTFILL']     = "";
                        $dynadefinition['NOTE']         = "";
                        $dynadefinition['VALIDATION']   = "";
                        break;
                }

        } else {
                $dynadefinition['REQUIRED']     = 0;
                $dynadefinition['ADMINONLY']    = 0;
                $dynadefinition['TYPE']         = "TEXT";
                $dynadefinition['LISTOPTION']   = 0;
                $dynadefinition['LISTFILL']     = "";
                $dynadefinition['NOTE']         = "";
                $dynadefinition['VALIDATION']   = "";
                /*break;*/
        }

                //$dynadefinition = serialize($dynadefinition);

                $sql = "UPDATE        $pntable[user_property]
                                SET                $column[prop_validation] = '".pnVarPrepForStore(serialize($dynadefinition))."'
                                WHERE        $column[prop_label] = '".pnVarPrepForStore($prop_label)."'";
                $dbconn->Execute($sql);
            if($dbconn->ErrorNo()<>0) {
                $createerror[] = "Field ".$prop_label." was not updated : ".$dbconn->ErrorMsg(). "<br>";
            } else {
                        $createsuccess[] = "Field ".$prop_label." was updated. ".$dynadefinition['TYPE']."<br>";
                }
        }


        OpenTable();
        if (is_array($createsuccess) && !empty($createsuccess)) {
                foreach($createsuccess as $element) {
                        echo pnVarPrepHTMLDisplay($element);
                }
        }
        CloseTable();

        if (is_array($createerror) && !empty($createerror)) {
                OpenTable();
                foreach($createerror as $element) {
                        echo pnVarPrepHTMLDisplay($element);
                }
                CloseTable();
        }

        OpenTable();

        $sql = "SELECT        $column[prop_label], $column[prop_validation]
                        FROM        $pntable[user_property]";
        $result = $dbconn->Execute($sql);
        if($dbconn->ErrorNo()<>0) {
               echo $dbconn->ErrorMsg(). "<br>";
        }
        while(list($fieldname, $entry) = $result->fields) {
                $result->MoveNext();

                echo pnVarPrepForDisplay($fieldname)." : ";
                $entry = unserialize($entry);
                if (is_array($entry) && !empty($entry)) {
                        echo "----->".$entry['TYPE']." - ".$entry['REQUIRED']."<br>";
                } else {
                        echo "----->".$entry['TYPE']." - ".$entry['REQUIRED']."<br>";
                }
        }

        CloseTable();

        include 'footer.php';

}

function Dyn_users_admin_main($var)
{
        switch($var['op']) {

        case "getDynamic":
            user_dynamic_data();
            break;

        case "add_property":
            add_property();
            break;

        case "delete_property":
            delete_property($var);
            break;

        case "delPropConf":
            delete_property_confirm($var);
            break;

        case "deactivate_property":
            deactivate_property ($var);
            break;

        case "activate_property":
            activate_property ($var);
            break;

        case "increase_weight":
            increase_weight ($var);
            break;

        case "decrease_weight":
            decrease_weight ($var);
            break;

        case "required_change":
             required_propchange($var['prop_id']);
             break;

        case "editdynafield":
             editdynafield($var['prop_id']);
             break;

        case "pncEditSaveField":
            pncEditSaveField($var);
            break;

        case "CreateFieldDef":
            CreateFieldDef();
            break;

        default:
            user_dynamic_data();
            break;
        }
}
?>