<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Richard Tirtadji <rtirtadji@hotmail.com>,
//                          Hutdik Hermawan <hutdik76@hotmail.com>
// Purpose of file: FAQ system, based on PHP-Nuke Add-On http://nukeaddon.com/
// ----------------------------------------------------------------------

if (!eregi("admin.php", $PHP_SELF)) {
    die ("Access Denied");
}

$ModName = $module;
if (pnSecAuthAction(0, 'FAQ::', '::', ACCESS_ADMIN)) {

modules_get_language();
modules_get_manual();

include_once ("modules/$ModName/faq-categories.php");

/**
 * Faq Admin Function
 */

function faq_admin_main()
{

    include 'header.php';

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $authid = pnSecGenAuthKey();

    $currentlang = pnUserGetLang();

    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"pn-pagetitle\">"._FAQADMIN."</font></center>";
    CloseTable();

    $lang = languagelist();
    $column = &$pntable['faqcategories_column'];
    $result = $dbconn->Execute("SELECT count($column[id_cat])
                              FROM $pntable[faqcategories]");
    list($count) = $result->fields;
    if ($count > 0) {
        OpenTable();
        echo "<center><font class=\"pn-title\">"._ACTIVEFAQS."</font><br/><br/>"
        ."<font class=\"pn-normal\"><b>[<a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatUnanswered\">"
        ._VIEWUNANSWERED."</a>]</b></font></center><br>"
        ."<table border=\"0\" width=\"100%\" cellpadding=\"3\" cellspacing=\"1\" align=\"center\"><tr>"
        ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\"><b>"._ID."</b></td>"
        ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\"><b>"._CATEGORIES."</b></td>"
        ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\"><b>"._SUBCATEGORIES."</b></td>"
        ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\"><b>"._LANGUAGE."</b></td>"
        ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\"><b>"._FUNCTIONS."</b></td></tr>";

        $column = &$pntable['faqcategories_column'];
        $result = $dbconn->Execute("SELECT $column[id_cat], $column[categories], $column[language]
                                  FROM $pntable[faqcategories]
                                  WHERE $column[parent_id]=0
                                  ORDER BY $column[id_cat]");
//modified for Oracle compatibility
//		while(list($id_cat, $categories, $language) = $result->fields) {
		while(!$result->EOF){
			list($id_cat, $categories, $language) = $result->fields;
            $result->MoveNext();

           echo "<tr>";
           echo "<td align=\"center\" bgcolor=\"".$GLOBALS['bgcolor3']."\">".pnVarPrepForDisplay($id_cat)."</td>"
            ."<td bgcolor=\"".$GLOBALS['bgcolor3']."\" align=\"center\">".pnVarPrepForDisplay($categories)."</td>"
            ."<td bgcolor=\"".$GLOBALS['bgcolor3']."\"></td>";
            if (!empty($language)) {
                echo "<td bgcolor=\"".$GLOBALS['bgcolor3']."\" align=\"center\">".pnVarPrepForDisplay($lang[$language])."</td>";
            } else {
                echo "<td bgcolor=\"".$GLOBALS['bgcolor3']."\" align=\"center\">".pnVarPrepForDisplay(_ALL)."</td>";
            }
            echo "<td bgcolor=\"".$GLOBALS['bgcolor3']."\" align=\"center\">[ <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatGo&amp;id_cat=$id_cat\">"
            ._CONTENT."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatEdit&amp;id_cat=$id_cat\">"
//see comment line 200 in faq-categories.php
/*          ._EDIT."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatDel&amp;id_cat=$id_cat&amp;ok=0&amp;authid=$authid\">"._DELETE."</a> ]</td>";
*/
            ._EDIT."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatDel&amp;id_cat=$id_cat&amp;ok=0\">"._DELETE."</a> ]</td>";
            echo "</tr>";

            $column = &$pntable['faqcategories_column'];
            $subresult = $dbconn->Execute("SELECT $column[id_cat], $column[categories], $column[language]
                                         FROM $pntable[faqcategories]
                                         WHERE $column[parent_id]=".(int)pnVarPrepForStore($id_cat)."
                                         ORDER BY $column[id_cat]");
//modified for Oracle compatibility
//			 while(list($sid_cat, $scategories, $language) = $subresult->fields) {
			 while(!$subresult->EOF){
				 list($sid_cat, $scategories, $language) = $subresult->fields;
                 $subresult->MoveNext();

                echo "<tr>";
                echo "<td bgcolor=\"".$GLOBALS['bgcolor3']."\" align=\"center\">".pnVarPrepForDisplay($sid_cat)."</td>"
                ."<td bgcolor=\"".$GLOBALS['bgcolor3']."\">&nbsp;</td>"
                ."<td bgcolor=\"".$GLOBALS['bgcolor3']."\" colspan=1 align=\"center\">".pnVarPrepForDisplay($scategories)."</td>";
                if (!empty($language)) {
                    echo "<td bgcolor=\"".$GLOBALS['bgcolor3']."\" align=\"center\">".pnVarPrepForDisplay($lang[$language])."</td>";
                } else {
                    echo "<td bgcolor=\"".$GLOBALS['bgcolor3']."\" align=\"center\">".pnVarPrepForDisplay(_ALL)."</td>";
                }
                echo "<td bgcolor=\"".$GLOBALS['bgcolor3']."\" align=\"center\">[ <a href=\"admin.php?module=".$GLOBALS['module']
                ."&op=FaqCatGo&amp;id_cat=$sid_cat\">"
                ._CONTENT."</a> | <a href=\"admin.php?module=".$GLOBALS['module']
                ."&op=FaqCatEdit&amp;id_cat=$sid_cat\">"
                ._EDIT."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatDel&amp;id_cat=$sid_cat&amp;ok=0&amp;authid=$authid\">"
                ._DELETE."</a> ]</td>";
                echo "</tr>";
            }
        }

        echo "</table>";
        CloseTable();
    }
    faq_admin_FaqCatNew();
    include 'footer.php';
}

function faq_admin_FaqCatGo($var)
{
    include 'header.php';
	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $authid = pnSecGenAuthKey();

    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"pn-pagetitle\">"._FAQADMIN."</font></center>";
    CloseTable();

    OpenTable();
    echo "<center><font class=\"pn-title\">"._QUESTIONS."</font></center><br>"
    ."<table border=\"0\" width=\"100%\" cellpadding=\"3\" cellspacing=\"1\" align=\"center\"><tr>"
    ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\"><font class=\"pn-normal\"><b>"._CONTENT."</b></font></td>"
    ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\"><font class=\"pn-normal\"><b>"._FUNCTIONS."</b></font></td></tr>";
    $column = &$pntable['faqanswer_column'];
//modified for Oracle compatibility
	switch ($dbtype){
		case "oci8":
			$query2 = "SELECT $column[id], $column[question], $column[answer]  FROM $pntable[faqanswer]  WHERE  $column[id_cat]='".pnVarPrepForStore($var['id_cat'])."' AND  DBMS_LOB.getlength($column[answer]) != 0   ORDER BY $column[id]";
			break;
		default:
			$query2 = "SELECT $column[id], $column[question], $column[answer] FROM $pntable[faqanswer] WHERE $column[id_cat]='".pnVarPrepForStore($var['id_cat'])."' AND  $column[answer]<>'' ORDER BY $column[id]";
			break;
		}
	$result = $dbconn->Execute($query2);

//modified for Oracle compatibility
//	while(list($id, $question, $answer) = $result->fields) {
	while(!$result->EOF){
		list($id, $question, $answer) = $result->fields;
        $result->MoveNext();
    echo "<tr><td bgcolor=\"".$GLOBALS['bgcolor3']."\" width=\"85%\"><i>".pnVarPrepHTMLDisplay(nl2br($question))."</i><br><br>".pnVarPrepHTMLDisplay(nl2br($answer)).""
        ."</td><td bgcolor=\"".$GLOBALS['bgcolor2']."\" width=\"15%\" align=\"center\"><font class=\"pn-normal\">"
	    ."<b>[<a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatGoEdit&amp;id=$id\">"
//see comment line 200 in faq-categories.php
/*        ._EDIT."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatGoDel&amp;id=$id&amp;ok=0&amp;authid=$authid\">"._DELETE."</a> ]</b></font></td></tr>";
*/
        ._EDIT."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatGoDel&amp;id=$id&amp;ok=0\">"._DELETE."</a> ]</b></font></td></tr>";
    }
    echo "</table>";
    CloseTable();
//fix
    OpenTable();
    echo "<center><font class=\"pn-title\"><b>"._ADDQUESTION."</b></font></center><br>"
    ."<form action=\"admin.php\" method=\"post\">"
    ."<table border=\"0\" width=\"100%\"><tr><td>"
    ."<font class=\"pn-normal\">"._QUESTION.":</font></td><td><textarea name=\"question\" cols=\"60\" rows=\"5\"></textarea></td></tr><tr><td>"
    ."<font class=\"pn-normal\">"._ANSWER.":</font></td><td><textarea name=\"answer\" cols=\"60\" rows=\"10\"></textarea>"
    ."</td></tr></table>"
    ."<input type=\"hidden\" name=\"id_cat\" value=\"".$var['id_cat']."\">"
    ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
    ."<input type=\"hidden\" name=\"op\" value=\"FaqCatGoAdd\">"
    ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
    ."<input type=\"submit\" value="._SAVE."><font class=\"pn-normal\"><b> <a href=\"admin.php?module=" .$GLOBALS['ModName']."&amp;op=main&type=admin\">"._GOBACKFAQ."</a></b></font>"
	."</form>";
    CloseTable();
    include 'footer.php';
}

function faq_admin_FaqCatGoEdit($var)
{
    include 'header.php';

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $currentlang = pnUserGetLang();

    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"pn-pagetitle\">"._FAQADMIN."</font></center>";
    CloseTable();

    $column = &$pntable['faqanswer_column'];
    $result = $dbconn->Execute("SELECT $column[question], $column[answer], $column[id_cat], $column[submittedby]
                              FROM $pntable[faqanswer]
                              WHERE $column[id]='".pnVarPrepForStore($var['id'])."'");
    list($question, $answer, $id_cat, $uid) = $result->fields;
    if (is_numeric($uid)) {
    	$uid = pnUserGetVar('uname', $uid);
    } 
    OpenTable();
    echo "<center><font class=\"pn-title\"><b>"._EDITQUESTIONS."</b></font></center>"
    ."<form action=\"admin.php\" method=\"post\">"
    ."<input type=\"hidden\" name=\"id\" value=\"".$var['id']."\">"
    ."<table border=\"0\" width=\"100%\"><tr><td>"
    ."<font class=\"pn-normal\">"._FAQFROM.":</font></td><td><font class=\"pn-normal\">".pnVarPrepHTMLDisplay($uid)."</font></td></tr><tr><td><font class=\"pn-normal\">"
    ._CATEGORY
    ."</font></td><td>";

    echo "<select name=\"id_cat\">";
    $column = &$pntable['faqcategories_column'];
    $result = $dbconn->Execute("SELECT $column[id_cat], $column[categories]
                              FROM $pntable[faqcategories]
                              WHERE $column[parent_id] = 0
                              ORDER BY $column[id_cat]");
//modified for Oracle compatibility
//	while(list($nid_cat, $ncategories) = $result->fields) {
	while(!$result->EOF){
		list($nid_cat, $ncategories) = $result->fields;
        $result->MoveNext();

        if( $nid_cat == $id_cat )
        {
            echo "<option value=\"$nid_cat\" selected>".pnVarPrepForDisplay($ncategories)."</option>";
        } else {
            echo "<option value=\"$nid_cat\">".pnVarPrepForDisplay($ncategories)."</option>";
        }

        $column = &$pntable['faqcategories_column'];
        $cresult = $dbconn->Execute("SELECT $column[id_cat], $column[categories]
                                   FROM $pntable[faqcategories]
                                   WHERE $column[parent_id]=".pnVarPrepForStore($nid_cat)."");
//modified for Oracle compatibility
//		while(list($cid_cat, $ccategories) = $cresult->fields ) {
		while(!$cresult->EOF){
			list($cid_cat, $ccategories) = $cresult->fields;
            $cresult->MoveNext();

            if($cid_cat == $id_cat)
            {
                echo "<option value=\"$cid_cat\" selected> ".pnVarPrepForDisplay($ncategories)." --> ".pnVarPrepForDisplay($ccategories)."</option>";
            } else {
                echo "<option value=\"$cid_cat\"> ".pnVarPrepForDisplay($ncategories)." --> ".pnVarPrepForDisplay($ccategories)."</option>";
            }
        }
    }
    echo "</select></td></tr><tr><td>"
    ."<font class=\"pn-normal\">"._QUESTION.":</font></td><td><textarea name=\"question\" cols=\"60\" rows=\"5\">".pnVarPrepHTMLDisplay($question)."</textarea></td></tr><tr><td>"
    ."<font class=\"pn-normal\">"._ANSWER.":</font></td><td><textarea name=\"answer\" cols=\"60\" rows=\"10\">".pnVarPrepHTMLDisplay($answer)."</textarea>"
    ."</td></tr>"
    ."<tr><td>";
    //echo "</select>";

    echo "</td></tr></table>"
    ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
    ."<input type=\"hidden\" name=\"op\" value=\"FaqCatGoSave\">"
    ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
    ."<input type=\"submit\" value="._SAVE."> <font class=\"pn-normal\"><b> <a href=\"admin.php?module="
	.$GLOBALS['ModName']."&amp;op=main&type=admin\">"._GOBACKFAQ."</a></b></font>"
    ."</form>";
    CloseTable();
    include 'footer.php';
}

function faq_admin_FaqCatGoSave($var)
{
	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];

    list($id,
         $id_cat,
         $question,
         $answer)= pnVarCleanFromInput('id',
                                       'id_cat',
                                       'question',
                                       'answer');

    if (!isset($id) || !is_numeric($id)) {
        include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }
    if (!isset($id_cat) || !is_numeric($id_cat)) {
        include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }

	//make sure question is filled in. - skooter
    if (empty($question)){
   	    include 'header.php';
		OpenTable();
		echo "<center><br><b>";
        echo _QUESTIONBLANK;
		echo  "</b><br><br>"._GOBACK."</center>";
		CloseTable();
		include 'footer.php';
		exit;
	}
    
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }
    
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $column = &$pntable ['faqanswer_column'];
//modified for Oracle compatibility
	switch ($dbtype){
		case "oci8":
		    $dbconn->Execute("UPDATE $pntable[faqanswer] SET $column[id_cat]=".(int)pnVarPrepForStore($id_cat)."  WHERE $column[id]	=".(int)pnVarPrepForStore($id) );
			$dbconn->updateClob($pntable[faqanswer],$column[question],$question,"$column[id]=".(int)pnVarPrepForStore($id));
			$dbconn->updateClob($pntable[faqanswer],$column[answer],$answer,"$column[id]=".(int)pnVarPrepForStore($id));
			break;
		default:
    $dbconn->Execute("UPDATE $pntable[faqanswer]
                     SET $column[question]='".pnVarPrepForStore($question)."',
                         $column[answer]='".pnVarPrepForStore($answer)."',
                         $column[id_cat]=".(int)pnVarPrepForStore($id_cat)."
                    WHERE $column[id]	=".(int)pnVarPrepForStore($id));
			break;
	}

	//changing redirect to take back to category list that admin is editing - skooter
    pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=FaqCatGo&id_cat='.$id_cat);
}

function faq_admin_FaqCatGoAdd($var)
{
	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];

    list($id_cat,
         $question,
         $answer) = pnVarCleanFromInput('id_cat',
                                        'question',
                                        'answer');
    if (!isset($id_cat) || !is_numeric($id_cat)) {
        include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }

	//make sure question is filled in - skooter
    if (empty($question)){
   	    include 'header.php';
		OpenTable();
		echo "<center><br><b>";
        echo _QUESTIONBLANK;
		echo  "</b><br><br>"._GOBACK."</center>";
		CloseTable();
		include 'footer.php';
		exit;
	}
    
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $column = &$pntable ['faqanswer_column'];
    $uid = pnUserGetVar('uid');
//modified for Oracle compatibility
	switch ($dbtype){
		case "oci8":
			$sequence=substr_replace($pntable['faqanswer'],'',0,strlen($dbname)+1).'_sq';
			$new_sid = $dbconn->GenId($sequence);
			$dbconn->Execute("INSERT INTO $pntable[faqanswer]
                              ($column[id], $column[id_cat], $column[question], $column[submittedby], $column[answer] )
                       values ($new_sid, ".(int)pnVarPrepForStore($id_cat).", empty_clob(),'".pnVarPrepForStore($uid)."',  empty_clob())");
			$dbconn->updateClob($pntable[faqanswer],$column[question],$question,"$column[id]=".	$new_sid);
			$dbconn->updateClob($pntable[faqanswer],$column[answer],$answer,"$column[id]=".	$new_sid);
			break;
		default:
		    $newid = $dbconn->GenId($pntable['faqanswer']);
		    $uid = pnUserGetVar('uid');
		    $dbconn->Execute("INSERT INTO $pntable[faqanswer]
                              ($column[id], $column[id_cat], $column[question], $column[submittedby], $column[answer] )
                       values ($newid, ".(int)pnVarPrepForStore($id_cat).", '".pnVarPrepForStore($question)."', '".pnVarPrepForStore($uid)."', '".pnVarPrepForStore($answer)."')");
			break;
	}  
    pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=FaqCatGo&id_cat='.$id_cat);
}

function faq_admin_FaqCatGoDel($var)
{
	$authid = pnVarCleanFromInput('authid');

    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }
    list($ok,$id) = pnVarCleanFromInput('ok','id');

	if (!isset($id) || !is_numeric($id)) {
        include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }

	list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    if($ok==1) {
		$dbconn->Execute("DELETE FROM $pntable[faqanswer] WHERE {$pntable['faqanswer_column']['id']}=".(int)pnVarPrepForStore($id));

        pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=main');

    } else {
        include 'header.php';
        GraphicAdmin();
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._FAQADMIN."</b></font></center>";
        CloseTable();

        OpenTable();
        echo "<br><center><b><font class=\"pn-normal\">"._QUESTIONDEL."</b></font><br><br>";
	$authid = pnSecGenAuthKey();

	echo "<font class=\"pn-normal\">[ <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatGoDel&amp;id=".$var['id']."&amp;ok=1&amp;authid=$authid\">" ._YES."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=main\">"._NO."</a> ]</font></center><br><br>";

	CloseTable();
	include 'footer.php';
	}
}

function faq_admin_FaqCatUnanswered()
{
	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
    include 'header.php';

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $authid = pnSecGenAuthKey();

    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"pn-title\"><b>"._FAQADMIN."</b></font></center>";
    CloseTable();

    OpenTable();
    echo "<center><font class=\"pn-normal\"><b>"._UNANSWEREDQUESTIONS."</b></font></center><br>"
    ."<table border=1 width=\"100%\" align=\"center\"><tr>"
    ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\">"._QUESTION."</td>"
    ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\">"._FAQFROM."</td>"
    ."<td bgcolor=\"".$GLOBALS['bgcolor2']."\" align=\"center\">"._FUNCTIONS."</td></tr>";

    $column = &$pntable['faqanswer_column'];

//modified for Oracle compatibility
	switch ($dbtype){
		case "oci8":
			$sqlquery="SELECT $column[id], $column[question], $column[submittedby], $column[answer] FROM $pntable[faqanswer] WHERE DBMS_LOB.getlength($column[answer]) = 0 ORDER BY $column[id]";
			break;
		default:
			$sqlquery="SELECT $column[id], $column[question], $column[submittedby], $column[answer]  FROM $pntable[faqanswer] WHERE $column[answer]='' ORDER BY $column[id]";
			break;
/*
    $result = $dbconn->Execute("SELECT $column[id], $column[question], $column[submittedby], $column[answer]
                              FROM $pntable[faqanswer]
                              WHERE $column[answer]=''
                              ORDER BY $column[id]");
    while(list($id, $question, $uid, $answer) = $result->fields) {
	    if (is_numeric($uid)) {
    		$uid = pnUserGetVar('uname', $uid); */
	    } 
	$result = $dbconn->Execute($sqlquery);
//	$result = $dbconn->Execute("SELECT $column[id], $column[question], $column[answer]  FROM $pntable[faqanswer] WHERE $column[answer]='' ORDER BY $column[id]");

//modified for Oracle compatibility
	while(!$result->EOF){
		list($id, $question, $uid, $answer) = $result->fields;


		$result->MoveNext();
    echo "<tr><td bgcolor=\"".$GLOBALS['bgcolor1']."\" width=\"70%\"><font class=\"pn-normal\"><i>".pnVarPrepHTMLDisplay($question)."</i>"
        ."</font></td><td bgcolor=\"".$GLOBALS['bgcolor1']."\" width=\"20%\"><font class=\"pn-normal\"><i>".pnVarPrepHTMLDisplay($uid)."</i>"
        ."</font></td><td align=\"center\" width=\"10%\"><font class=\"pn-normal\">[ <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatGoEdit&amp;id=$id\">"
        ._ANSWER."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=FaqCatGoDel&amp;id=$id&amp;ok=0&amp;authid=$authid\">"._DELETE."</a> ]</font></td></tr>";
    }

    echo "</table>";
    CloseTable();

    OpenTable();
    echo "<center><font class=\"pn-normal\">" . _GOBACK . "</font></center>";
    CloseTable();

    include 'footer.php';
}

} else {
    echo "Access Denied";
}
?>
