<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// Outbox by Chesnut
// Massimiliano Tiraboschi aka TiMax clean code, integration in MD-Pro
// ----------------------------------------------------------------------

if (!defined("LOADED_AS_MODULE")) {
    die ("You can't access this file directly...");
}

$ModName = $GLOBALS['name'];

include 'modules/'.$ModName.'/functions.php';

modules_get_language();

if (!pnUserLoggedIn()) {
    pnRedirect('user.php');
} else {
    include 'header.php';


    $userdata = pnUserGetVar('uid');
    $column = &$pntable['priv_msgs_column'];

    $sql = "SELECT $column[msg_id] AS msg_id, $column[msg_image] AS msg_image,
             $column[subject] AS subject, $column[from_userid] AS from_userid,
             $column[to_userid] AS to_userid, $column[msg_time] AS msg_time,
             $column[msg_text] AS msg_text, $column[read_msg] AS read_msg
             FROM $pntable[priv_msgs]
             WHERE $column[to_userid]='".(int)pnVarPrepForStore($userdata)."'
             ORDER BY $column[msg_time] DESC";

    $resultID = $dbconn->Execute($sql);
    if($dbconn->ErrorNo()<>0) {
        error_log("DB Error: " . $dbconn->ErrorMsg());
        echo  $dbconn->ErrorMsg() . "<br>";
        forumerror(0005);
    }
    OpenTable();
    echo "<center>"._PRIVATEMESSAGES."</center>";
    

    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"0\" align=\"center\" valign=\"top\" width=\"100%\"><tr><td>"
        ."<table border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">"
        ."<form name=\"prvmsg\" action=\"modules.php\" method=\"post\">"
        ."<input type=\"hidden\" name=\"op\" value=\"modload\">"
        ."<input type=\"hidden\" name=\"name\" value=\"$ModName\">"
        ."<input type=\"hidden\" name=\"file\" value=\"replypmsg\">"
        ."<tr bgcolor=\"$bgcolor2\" align=\"left\">"
        ."<td bgcolor=\"$bgcolor2\" align=\"center\" valign=\"middle\" width=\"5%\"><input name=\"allbox\" onclick=\"CheckAll();\" type=\"checkbox\" value=\""._CHECKALL."\"></td>"
        ."<td bgcolor=\"$bgcolor2\" align=\"center\" valign=\"middle\" width=\"5%\"><img src=\"images/global/download.gif\" border=\"0\" alt=\""._MSGSTATUS."\"></td>"
        ."<td bgcolor=\"$bgcolor2\" align=\"center\" valign=\"middle\" width=\"5%\">&nbsp;</td>"
        ."<td width=\"15%\">"._FROM."</td>"
        ."<td width=\"55%\" >"._SUBJECT."</td>"
        ."<td width=\"15%\">"._DATE."</td>"
        ."</tr>";
    if (!$total_messages = $resultID->PO_RecordCount()) {
        echo "<td bgcolor=\"$bgcolor3\" colspan=\"6\" align=\"center\">"._DONTHAVEMESSAGES."</td></tr>\n";
    } else {
        $display=1;
    }
    $count=0;
    while(!$resultID->EOF) {
        $myrow = $resultID->GetRowAssoc(false);
        $resultID->MoveNext();
        // get a Unix timestamp for this date/time  -- Alarion :: 08/21/2001
        $myrow['msg_time'] = mktime( substr($myrow['msg_time'], 11, 2),     // hour
                                     substr($myrow['msg_time'], 14, 2),    // minute
                                     '0',                                // second
                                     substr($myrow['msg_time'], 5, 2),     // month
                                     substr($myrow['msg_time'], 8, 2),     // day
                                     substr($myrow['msg_time'], 0, 4));    // year
        echo "<tr align=\"left\">";
        echo "<td bgcolor=\"$bgcolor1\" valign=\"top\" width=\"2%\" align=\"center\"><input type=\"checkbox\" onclick=\"CheckCheckAll();\" name=\"msg_id[$count]\" value=\"$myrow[msg_id]\"></td>";
        if ($myrow['read_msg'] == "1") {
            echo "<td valign=\"top\" width=\"5%\" align=\"center\" bgcolor=\"$bgcolor1\">&nbsp;</td>";
        } else {
            echo "<td valign=\"top\" width=\"5%\" align=\"center\" bgcolor=\"$bgcolor1\"><img src=\"images/global/email.gif\" border=\"0\" alt=\""._NOTREADMSG."\"></td>";
        }

                echo "<td bgcolor=\"$bgcolor1\" valign=\"top\" width=\"5%\" align=\"center\">";
                if($myrow['msg_image'] != "") {
                        echo "<img src=\"images/smilies/".$myrow['msg_image']."\" border=\"0\">";
                }
                echo "</td>";

        $posterdata = get_userdata_from_id($myrow['from_userid']);
        echo "<td bgcolor=\"$bgcolor1\" valign=\"middle\" width=\"10%\">".pnVarPrepForDisplay($posterdata['pn_uname'])."</td>"
            ."<td bgcolor=\"$bgcolor1\" valign=\"middle\"><font class=\"pn-normal\"><a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=$ModName&amp;file=readpmsg&amp;start=$count&amp;total_messages=$total_messages\">".pnVarPrepForDisplay($myrow['subject'])."</a></font></td>";

        echo "<td bgcolor=\"$bgcolor1\" valign=\"middle\" align=\"left\" width=\"25%\"><font class=\"pn-normal\">".ml_ftime(_DATETIMEBRIEF, GetUserTime($myrow['msg_time']))."</font></td></tr>";
        $count++;
    }
    if (isset($display)) {
        echo "<tr bgcolor=\"$bgcolor2\" align=\"left\">";
        echo "<td colspan=6 align='left'>";
        echo "<INPUT TYPE=\"submit\" NAME='send' VALUE=\""._SENDAMSG."\">   ";
        echo "<INPUT TYPE=\"submit\" NAME='delete' VALUE=\""._DELETE."\">";
        echo "</td></tr>";

        echo "<input type='hidden' name='total_messages' value='$total_messages'>";
        echo "</form>";
    }
    else {
        echo "<tr bgcolor=\"$bgcolor2\" align=\"left\">";
        echo "<td colspan=6 align='left'><b>|&nbsp;<a href='modules.php?op=modload&amp;name=$ModName&amp;file=replypmsg&amp;send=1'>"._SENDAMSG."</a>&nbsp;|</b></td></tr>";
        echo "</form>";
    }
    echo "</table></td></tr></table>";
        $column = &$pntable['priv_msgs_column'];
        $sql = "SELECT count(*) FROM $pntable[priv_msgs] WHERE $column[to_userid]='".pnVarPrepForStore($userdata)."'";
        $ctrinbox = $dbconn->Execute($sql);
        list($nbinbox) = $ctrinbox->fields;
            if($dbconn->ErrorNo()<>0) {
                error_log("DB Error: " . $dbconn->ErrorMsg());
                echo  $dbconn->ErrorMsg() . "<br>blup";
                //forumerror(0005);
            }
        $column = &$pntable['priv_msgs_outbox_column'];
        $sql = "SELECT count(*) FROM $pntable[priv_msgs_outbox] WHERE $column[from_userid]='".pnVarPrepForStore($userdata)."'";
        $ctroutbox = $dbconn->Execute($sql);
        list($nboutbox) = $ctroutbox->fields;
            if($dbconn->ErrorNo()<>0) {
                error_log("DB Error: " . $dbconn->ErrorMsg());
                echo  $dbconn->ErrorMsg() . "<br>blup2";
                //forumerror(0005);
            }
        echo '<br><table width="98%"><tr>';
        echo '<td align="right"><a href="modules.php?op=modload&amp;name='.$ModName.'&amp;file=index">'._INBOXMSG.':</a> '.pnVarPrepForDisplay($nbinbox).' | <a href="modules.php?op=modload&amp;name='.$ModName.'&amp;file=outbox">'._OUTBOXMSG.':</a> '.pnVarPrepForDisplay($nboutbox).'';
      echo '</td></tr></table>';
      CloseTable();
        echo "
    <script type=\"text/javascript\">\n\n
    <!--\n\n
    function CheckAll() {\n
      for (var i=0;i<document.prvmsg.elements.length;i++) {\n
        var e = document.prvmsg.elements[i];\n
        if ((e.name != 'allbox') && (e.type=='checkbox'))\n
        e.checked = document.prvmsg.allbox.checked;\n
      }\n
    }\n\n

    function CheckCheckAll() {\n
      var TotalBoxes = 0;\n
      var TotalOn = 0;\n
      for (var i=0;i<document.prvmsg.elements.length;i++) {\n
        var e = document.prvmsg.elements[i];\n
        if ((e.name != 'allbox') && (e.type=='checkbox')) {\n
          TotalBoxes++;\n
          if (e.checked) {\n
            TotalOn++;\n
          }\n
        }\n
      }\n
      if (TotalBoxes==TotalOn) {\n
        document.prvmsg.allbox.checked=true;\n
      } else {\n
        document.prvmsg.allbox.checked=false;\n
      }\n
    }\n\n

    -->\n
    </script>\n\n";
}

include 'footer.php';

?>