<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//
// This module has been originally developed for MD-Pro, but I think
// that it could work well even with Envolution, PostNuke and even PHP-Nuke.
// I would like to test it by myself, but unfortunately I haven't enough time.
//
// Simply, I needed something more powerful and professional than the well known
// MySqlTools module bundled with MD-Pro, so I started writing my own module.
// This is the result, and I hope you will like it. I'd like to thank all the
// guys at MD-Pro developement staff, and also Michaelius for the idea of
// MySql tools that has been of great help until now :D
// I used his code for inspiration, but I hope I've written something better and
// more flexible.
//
// ----------------------------------------------------------------------
// MD-MyAdmin module for database administration
// Copyright (C) 2004 by Enrico Fedele
// Original Author of file: Enrico Fedele
// Author email: faithfulsoft@tiscali.it
// Purpose of file: kinda of PHP-MyAdmin for MD-Pro
// Official Home Page: www.moviemaniac.altervista.org
// ----------------------------------------------------------------------

if (!eregi("admin.php", $PHP_SELF)) {
    die ("Access Denied");
}

modules_get_language();
modules_get_manual();
$ModName = basename( dirname( __FILE__ ) );

        // Load the database definition
    $ospntablefile = 'modules/' . $ModName . '/pntables.php';
    @include_once $ospntablefile;
    $tablefunc = $ModName . '_' . 'pntables';
    if (function_exists($tablefunc)) {
        global $pntable;
        $pntable = array_merge($pntable, $tablefunc());
    }

function ShowTables() {
        global $ModName, $bgcolor2;
        if (!pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN)) {

                  include 'header.php';
                  OpenTable();
                  echo _BADAUTHKEY;
                  CloseTable();
                  include 'footer.php';
   } else {

                $prefix = pnConfigGetVar('prefix');

                include 'header.php';
                echo"<script src=\"modules/".$ModName."/includes/functions.js\" type=\"text/javascript\" language=\"javascript\"></script>
                                <a name=\"top\" id=\"top\"></a>";
                OpenTable();
                GraphicAdmin();

                echo "<br>\n
                                <form action=\"admin.php\" enctype=\"multipart/form-data\" method=\"post\" name=\"tablesForm\">
                                <input type=\"hidden\" name=\"module\" value=\"".$ModName."\">\n
                                <input type=\"hidden\" name=\"op\" value=\"HandleRequest\">\n
                                ".OptMenu("up");

                list($dbconn) = pnDBGetConn();
                $dbname = pnConfigGetVar('dbname');

                $query = "SHOW TABLE STATUS FROM ".$dbname." LIKE '".$prefix."%'";
                $result=$dbconn->Execute($query);
                if ($dbconn->ErrorNo() != 0) {
                        echo "<div align=\"center\">"._DATABASE_ERROR."<br>"._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."</div>\n";
                        include "footer.php";
                        return;
                }
                echo"        <table width=\"100%\" border=\"0\" cellspacing=\"3\" cellpadding=\"2\">\n
                                        <tr bgcolor=\"$bgcolor2\">\n
                                                <td></td>\n
                                                <td><b>"._HEAD0."</b></td>\n
                                                <td><b>"._HEAD30."</b></td>\n
                                                <td><b>"._HEAD1."</b></td>\n
                                                <td><b>"._HEAD31."</b></td>\n
                                                <td><b>"._HEAD32."</b></td>\n
                                                <td><b>"._HEAD33."</b></td>\n
                                        </tr>\n";

                while (!$result->EOF){
                        list($Name,$Type,$Row_format,$Rows,$Avg_row_length,$Data_length,$Max_data_length,$Index_length,$Data_free,$Auto_increment,$Create_time,$Update_time,$Check_time,$Collation,$Checksum,$Create_options,$Comment)=$result->fields;
                        $result->MoveNext();
                        $Size=round(($Data_length+$Index_length)/1024,3);
                        echo "<tr>\n
                                        <td><input name=\"selected_tbl[]\" type=\"checkbox\" value=\"".$Name."\" /></td>\n
                                        <td><a href=\"admin.php?module=".$ModName."&amp;file=admin&amp;op=AnalyzeTable&amp;table=".$Name."\"><b>".$Name."</b></a></td>\n
                                        <td>".$Type."</td>\n
                                        <td>".$Size." KB.</td>\n
                                        <td>".$Auto_increment."</td>\n
                                        <td>".get_date($Create_time)."</td>\n
                                        <td>".get_date($Check_time)."</td>\n
                                </tr>\n";

                }        //        Closes while
                echo"        </table>\n";

                echo OptMenu("down")."</form>\n";

                $result->Close();

                CloseTable();
                include 'footer.php';
        }
}

function AnalyzeTable($table) {
        global $ModName, $bgcolor2;

        if (!pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN)) {

                include 'header.php';
                OpenTable();
                echo _BADAUTHKEY;
                CloseTable();
                include 'footer.php';
        } else {

                list($dbconn) = pnDBGetConn();
                $dbname = pnConfigGetVar('dbname');

                $query = "SHOW TABLE STATUS FROM ".$dbname." LIKE '".$table."'";
                $result=$dbconn->Execute($query);

                include 'header.php';

                OpenTable();
                GraphicAdmin();

                $result=$dbconn->Execute($query);
                if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                        echo "<div align=\"center\">"._DATABASE_ERROR."<br>"._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."</div>\n";
                        include "footer.php";
                        return;
                }
                //        Then we list all table's informations
                list($Name,$Type,$Row_format,$Rows,$Avg_row_length,$Data_length,$Max_data_length,$Index_length,$Data_free,$Auto_increment,$Create_time,$Update_time,$Check_time,$Collation,$Checksum,$Create_options,$Comment)=$result->fields;

                echo "        <div align=\"center\" style=\"width:90%; position:relative; left:5%; font-weight:bold;\">\n
                                        <font class=\"pn-title\">"._ANA_REPORT_0.$table."</font>\n
                                </div>
                                <br><br>
                                <table width=\"90%\" align=\"center\">\n
                                        <tr><td width=\"80%\"><b>"._ANA_REPORT_1."</b></td><td>".$Name."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_2."</b></td><td>".$Type."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_3."</b></td><td>".$Row_format."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_4."</b></td><td>".$Rows."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_5."</b></td><td>".get_size($Avg_row_length)."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_6."</b></td><td>".get_size($Data_length)."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_7."</b></td><td>".get_size($Max_data_length)."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_8."</b></td><td>".get_size($Index_length)."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_9."</b></td><td>".get_size($Data_free)."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_10."</b></td><td>".$Auto_increment."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_11."</b></td><td>".get_date($Create_time)."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_12."</b></td><td>".get_date($Update_time)."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_13."</b></td><td>".get_date($Check_time)."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_14."</b></td><td>".$Collation."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_15."</b></td><td>".$Checksum."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_16."</b></td><td>".$Create_options."</td></tr>\n
                                        <tr><td><b>"._ANA_REPORT_17."</b></td><td>".$Comment."</td></tr>\n
                                </table>\n
                                <br><br>
                                <div align=\"center\"><A HREF=\"javascript:history.go(-1)\">"._BACK."</a></div>";
                $result->Close();
                CloseTable();
                include 'footer.php';
   }        //        Closes permissions check

}        //        Closes AnalyzeTable function

function HandleRequest($DoWhat,$tables,$DropTbl) {        //        This function handles calls to database handling functions
        global $ModName;

        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))) {

                          include 'header.php';
                          OpenTable();
                          echo _BADAUTHKEY;
                          CloseTable();
                          include 'footer.php';
        } else {

                if ($DoWhat!="backup"){
                        include "header.php";

                        OpenTable();
                        GraphicAdmin();
                }
                if($tables!=NULL) {
                        if ($DoWhat=="compact")
                                CompactTbls($tables);
                        if ($DoWhat=="repairQ")
                                RepairTbls($tables,"QUICK");
                        if ($DoWhat=="repairE")
                                RepairTbls($tables,"EXTENDED");
                        if ($DoWhat=="repairF")
                                RepairTbls($tables,"USE_FRM");
                        if ($DoWhat=="autoincrement")
                                ResetAutoIncrement($tables);
                        if ($DoWhat=="backup")
                                SaveDB($tables,$DropTbl);
                } else {
                                if ($DoWhat=="backup"){
                                include "header.php";

                                OpenTable();
                                GraphicAdmin();
                                }

                                echo"<div align=\"center\"><font class=\"pn-title\">"._HEAD35."</font>\n<br><br>\n
                                                <A HREF=\"javascript:history.go(-1)\">"._BACK."</a>\n
                                        </div>\n";

                                if ($DoWhat=="backup"){
                                        CloseTable();
                                        include "footer.php";
                                }
                }
                if ($DoWhat!="backup"){
                        CloseTable();
                        include "footer.php";
                }
        }
}

function CompactTbls($tables) {        //        This function Compacts selected tables
        global $ModName, $bgcolor2;
        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))) {
                echo"<div align=\"center\"><font class=\"pn-title\">"._ACCESS_OP_DENIED."</font>\n<br><br>\n
                                <A HREF=\"javascript:history.go(-1)\">"._BACK."</a>\n
                        </div>\n";
        } else {

                list($dbconn) = pnDBGetConn();
                $pntable = pnDBGetTables();
                $dbname = pnConfigGetVar('dbname');

                $stats_column = &$pntable['statistics_column'];
                $stats_table = $pntable['statistics'];

                echo"        <div align=\"center\"><A HREF=\"javascript:history.go(-1)\">"._BACK."</a></div>\n<br><br>\n
                                <div align=\"center\" style=\"width:90%; position:relative; left:5%; font-weight:bold;\">\n
                                        <font class=\"pn-title\">"._COMP_REPORT_0."</font>\n
                                </div>\n
                                <table width=\"90%\" align=\"center\" border=\"0\" cellspacing=\"3\" cellpadding=\"2\">\n
                                        <tr bgcolor=\"$bgcolor2\">\n
                                                <td><b>"._HEAD0."</b></td>\n
                                                <td><b>"._HEAD1."</b></td>\n
                                                <td><b>"._HEAD2."</b></td>\n
                                                <td><b>"._HEAD3."</b></td>\n
                                        </tr>";

                while (list(,$table) = each ($tables)) {
                        $query = "SHOW TABLE STATUS FROM ".$dbname." LIKE '".$table."'";        //        we gather all the informations about the table
                        $result = $dbconn->Execute($query);

                        if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                                $j++;
                                $CatOptReport.= "<div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                        <b>".$j."</b> - "._CAT_TAB_OPT_REPORT1.$table."<br>
                                        "._DATABASE_ERROR."<br>
                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."
                                        </div>\n";
                        }        //        closes error check                        list(,,,,,$Data_length,,$Index_length,$Data_free)=$result->fields;

                        list(,,,,,$Data_length,,$Index_length,$Data_free,,,,,,,,)=$result->fields;
                        $size=get_size($Data_length+$Index_length);
                        $gain+=$Data_free;        //        Increments the total gain counter
                        $result->Close();

                        if($Data_free!=0) {        //        If there's no unused space, we do not execute the query, 'couse it is not needed
                                $query = "OPTIMIZE TABLE ".$table;        //        we optimize the table
                                $result=$dbconn->Execute($query);
                                if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                                        $j++;
                                        $CatOptReport.= "<div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                                <b>".$j."</b> - "._CAT_TAB_OPT_REPORT1.$table."<br>
                                                "._DATABASE_ERROR."<br>
                                                "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."
                                                </div>\n";
                                }        //        closes error check
                                list(,,,$msg_text)=$result->fields;
                                $result->Close();
                        } else {
                                $msg_text=""._HEAD4."";
                        }        //        Closes Data_free check
                        echo "<tr>\n
                                        <td><a href=admin.php?module=".$ModName."&amp;file=admin&amp;op=AnalyzeTable&amp;table=".$table."><b>".$table."</b></a></td>\n";
                        if($Data_free!=0){
                                echo"<td><b>".$size."</b></td>\n
                                        <td><b>".$msg_text."</b></td>\n
                                        <td><b>".get_size($Data_free)."</b></td>\n";
                        } else {
                                echo"<td>".$size."</td>\n
                                        <td>".$msg_text."</td>\n
                                        <td>".get_size($Data_free)."</td>\n";
                        }
                        echo"</tr>\n";
                }        //        Closes while
                echo"         </table>\n<br><br>\n
                                <div align=\"center\" style=\"width:60%; position:relative; left:20%;\">\n
                                        "._HEAD5.get_size($gain)."\n
                                </div>\n";

                $query = "INSERT INTO ".$stats_table." (".$stats_column[gain].",".$stats_column[date].")
                                                VALUES ('".pnVarPrepForStore($gain)."',now())";

                $result=$dbconn->Execute($query);
                if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                        echo "<div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                        "._HEAD6."<br>\n
                                        "._DATABASE_ERROR."<br>\n
                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."\n
                                        </div>\n";
                } else {
                        $result->Close();
                }        //        closes error check

                $query = "SELECT SUM(".$stats_column[gain]."), COUNT(*) FROM ".$stats_table."";
                $result=$dbconn->Execute($query);

                if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                        echo "<div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                        "._HEAD7."<br>\n
                                        "._DATABASE_ERROR."<br>\n
                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."\n
                                        </div>\n";
                } else {
                        //$times=$result->RecordCount();
                        list($total,$times)=$result->fields;
                        echo"<div align=\"center\" style=\"width:60%; position:relative; left:20%; font-weight:bold;\">\n
                                        "._HEAD8.get_size($total)."<br>\n
                                        "._HEAD9.$times._HEAD10."\n
                                </div>\n";
                        $result->Close();
                }        //        closes error check                        list(,,,,,$Data_length,,$Index_length,$Data_free)=$result->fields;
                echo"<br>\n
                                <div align=\"center\"><A HREF=\"javascript:history.go(-1)\">"._BACK."</a></div>\n
                        <br>\n";
                if($CatOptReport!=NULL) {
                        echo $CatOptReport;
                }
        }        //        Closes Permission Check
}

function RepairTbls($tables,$option) {        //        This function Repairs selected tables
        global $ModName, $bgcolor2;
        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))) {
                echo"<div align=\"center\"><font class=\"pn-title\">"._ACCESS_OP_DENIED."</font>\n<br><br>\n
                                <A HREF=\"javascript:history.go(-1)\">"._BACK."</a>\n
                        </div>\n";
        } else {

                list($dbconn) = pnDBGetConn();
                $pntable = pnDBGetTables();
                $dbname = pnConfigGetVar('dbname');

                $stats_column = &$pntable['statistics_column'];
                $stats_table = $pntable['statistics'];

                echo"        <div align=\"center\"><A HREF=\"javascript:history.go(-1)\">"._BACK."</a></div>\n<br><br>\n
                                <div align=\"center\" style=\"width:90%; position:relative; left:5%; font-weight:bold;\">\n
                                        <font class=\"pn-title\">"._REP_REPORT_0."</font>\n
                                </div>\n
                                <table width=\"90%\" align=\"center\" border=\"0\" cellspacing=\"3\" cellpadding=\"2\">\n
                                        <tr bgcolor=\"$bgcolor2\">\n
                                                <td><b>"._HEAD0."</b></td>\n
                                                <td><b>"._HEAD11."</b></td>\n
                                                <td><b>"._HEAD12."</b></td>\n
                                                <td><b>"._HEAD13."</b></td>\n
                                        </tr>\n";

                while (list(,$table) = each ($tables)) {
                        $query = "REPAIR TABLE ".$table." ".$option;
                        $result=$dbconn->Execute($query);

                        if ($dbconn->ErrorNo() != 0) {        //        In case something goes wrong during the optimization of a table, we create a report
                                $j++;
                                $CatRepReport.= "<div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                                                        <b>".$j."</b> - "._CAT_TAB_REP_REPORT1.$table."<br>\n
                                                                        "._DATABASE_ERROR."<br>\n
                                                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."\n
                                                                        </div>\n";
                        } else {        //        otherwise optimization was succesful, and we save a query

                                list($tbl,$opt,$msg_type,$msg_text)=$result->fields;        //        We display the messages returned by MySql
                                echo"<tr>\n<ul>\n
                                                <td><a href=admin.php?module=".$ModName."&amp;file=admin&amp;op=AnalyzeTable&amp;table=".$tbl."><b>".$tbl."</b></a></td>\n
                                                <td>".$opt."</td>\n
                                                <td>".$msg_type."</td>\n
                                                <td>".$msg_text."</td>\n
                                        </tr>\n";
                                $result->Close();
                        }        //        Closes error check
                }        //        Closes While
                echo"</table>\n
                        <br>\n
                                <div align=\"center\"><A HREF=\"javascript:history.go(-1)\">"._BACK."</a></div>\n
                        <br>\n";
                if (!$CatRepReport==NULL) {        //        if there has been some error, then we display error messages
                        echo"</ol>\n"._CAT_TAB_REP_REPORT4."</div>\n<br><div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                        <font class=\"pn-title\">"._CAT_TAB_REP_REPORT2."</font>\n
                                        </div>\n
                                <br>".$CatRepReport."";
                } else {
                        echo"</ol>\n"._CAT_TAB_REP_REPORT3."</div>\n";
                }        //        Closes Errors report check
        }        //        Closes permission check
}        //        Closes RepairTbls functions

function ResetAutoIncrement($tables) {        //        This function resets categoryes counters to correct values
        global $ModName, $bgcolor2;

        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))) {
                echo"<div align=\"center\"><font class=\"pn-title\">"._ACCESS_OP_DENIED."</font>\n<br><br>\n
                                <A HREF=\"javascript:history.go(-1)\">"._BACK."</a>\n
                        </div>\n";
        } else {

                list($dbconn) = pnDBGetConn();
                $pntable = pnDBGetTables();
                $dbname = pnConfigGetVar('dbname');

                echo"        <div align=\"center\"><A HREF=\"javascript:history.go(-1)\">"._BACK."</a></div>\n<br><br>\n
                                <div align=\"center\" style=\"width:90%; position:relative; left:5%; font-weight:bold;\">\n
                                        <font class=\"pn-title\">"._REP_REPORT_0."</font>\n
                                </div>\n
                                <table width=\"90%\" align=\"center\" border=\"0\" cellspacing=\"3\" cellpadding=\"2\">\n
                                        <tr bgcolor=\"$bgcolor2\">\n
                                                <td><b>"._HEAD0."</b></td>\n
                                                <td><b>"._HEAD14."</b></td>\n
                                                <td><b>"._HEAD15."</b></td>\n
                                                <td><b>"._HEAD2."</b></td>\n
                                        </tr>\n";

                while (list(, $table) = each ($tables)) {

                        $query = "SELECT * FROM ".$table;
                        $result=$dbconn->Execute($query);

                        if ($dbconn->ErrorNo() != 0) {        //        In case something goes wrong during the connection, we generate a report
                                $j++;
                                $CatAutIncReport.= "<div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                                                        <b>".$j."</b> - "._CAT_TAB_INC_REPORT1.$table."<br>
                                                                        "._DATABASE_ERROR."<br>
                                                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."
                                                                        </div>\n";
                        } else {        //        connection went OK, so we can read the last entry and update the table

                                $result->MoveLast();        //        We move the pointer to the last record of the table
                                list($max)=$result->fields;        //        We now that the first field is the Auto Increment field
                                $result->Close();        //        We close the result

                                $max+=1;        //        We prepare the new auto increment value

                                $query = "SHOW TABLE STATUS FROM ".$dbname." LIKE '".$table."'";
                                $result = $dbconn->Execute($query);

                                if ($dbconn->ErrorNo() != 0) {        //        In case something goes wrong during the optimization of a table, we create a report
                                        $j++;
                                        $CatAutIncReport.= "<div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                                                                <b>".$j."</b> - "._CAT_TAB_INC_REPORT1.$table."<br>
                                                                                "._DATABASE_ERROR."<br>
                                                                                "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."
                                                                                </div>\n";
                                } else {        //        table was updated succesfully, so we can display some feedback

                                        list(,,,,,,,,,$old)=$result->fields;        //        we retrieve the old "next autoindex" value
                                        $result->Close();        //        We close the result of the analysis query

                                        $query="ALTER TABLE ".$table." AUTO_INCREMENT=".$max."";
                                        //$query="UPDATE ".$table." AUTO_INCREMENT=".$max."";
                                        $result=$dbconn->Execute($query);

                                        if ($dbconn->ErrorNo() != 0) {        //        In case something goes wrong during the optimization of a table, we create a report
                                                $j++;
                                                $CatAutIncReport.= "<div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                                                                        <b>".$j."</b>- "._CAT_TAB_INC_REPORT1.$table."<br>
                                                                                        "._DATABASE_ERROR."<br>
                                                                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."
                                                                                        </div>\n";
                                        } else {        //        table was updated succesfully, so we can display some feedback
                                                $gain=$old-$max;
                                                if (!$gain==0) {
                                                        echo "<tr>
                                                                        <td><a href=admin.php?module=".$ModName."&amp;file=admin&amp;op=AnalyzeTable&amp;table=".$table."><b>".$table."</b></td>\n
                                                                        <td>".$max."</td>\n
                                                                        <td>".$old."</td>\n
                                                                        <td><a href=\"#note\">"._HEAD17."</a></td>\n
                                                                </tr>\n";
                                                } else {
                                                        echo "<tr>
                                                                        <td><a href=admin.php?module=".$ModName."&amp;file=admin&amp;op=AnalyzeTable&amp;table=".$table."><b>".$table."</b></td>\n
                                                                        <td>".$max."</td>\n
                                                                        <td>".$old."</td>\n
                                                                        <td><a href=\"#note\">"._HEAD16."</a></td>\n
                                                                </tr>\n";
                                                }
                                                $result->Close();
                                        }
                                }
                        }
                }        //        closes while

                echo"</table>\n
                                <br>\n
                                        <div align=\"center\"><A HREF=\"javascript:history.go(-1)\">"._BACK."</a></div>\n
                                <br><br>\n";

                if (!$CatAutIncReport==NULL) {        //        if there has been some error, then we display error messages
                        echo"</ol>\n"._CAT_TAB_INC_REPORT4."</div>\n<br><div align=\"justify\" style=\"width:60%; position:relative; left:20%;\">\n
                                        <font class=\"pn-title\">"._CAT_TAB_INC_REPORT2."</font>\n
                                        </div>\n
                                <br>".$CatAutIncReport."";
                } else {
                        echo"</ol>\n"._CAT_TAB_INC_REPORT3."</div>\n";
                }        //        Closes Errors report check

                echo"<br><a name=\"note\" id=\"note\">"._HEAD18."</a>\n";
        }
}        //        Closes ResetCatCounters function

function Details(){        //        This function displays details about module's usage
        global $ModName, $bgcolor2;

        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))) {
                echo"<div align=\"center\"><font class=\"pn-title\">"._ACCESS_OP_DENIED."</font>\n<br><br>\n
                                <A HREF=\"javascript:history.go(-1)\">"._BACK."</a>\n
                        </div>\n";
        } else {

                list($dbconn) = pnDBGetConn();
                $pntable = pnDBGetTables();

                $stats_column = &$pntable['statistics_column'];
                $stats_table = $pntable['statistics'];

                include 'header.php';
                OpenTable();
                GraphicAdmin();


                $query="SELECT * FROM ".$stats_table;

                $result=$dbconn->Execute($query);
                if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                        echo "<div align=\"center\">"._DATABASE_ERROR."<br>
                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."<br>
                                        "._HEAD20.$query."</div>\n
                                  <br><a href=\"javascript:history.go(-1)\">"._BACK."</a>";
                        include "footer.php";
                        return;
                }
                echo"        <table width=\"80%\" border=\"0\" cellspacing=\"3\" cellpadding=\"2\" align=\"center\">
                                        <tr bgcolor=\"$bgcolor2\">
                                                <td><b>"._HEAD36."</b></td>\n
                                                <td><b>"._HEAD37."</b></td>\n
                                        </tr>\n";
                $count=1;
                while(!$result->EOF){
                        list($savings,$date)=$result->fields;
                        echo"<tr>\n
                                        <td>".get_date($date)."</td>\n
                                        <td>".get_size($savings)."</td>\n
                                </tr>\n";
                        $count+=1;
                        $total+=$savings;
                        $result->MoveNext();
                }
                echo"<tr bgcolor=\"$bgcolor2\">\n
                                <td><b>"._HEAD9.$count._HEAD10."</b></td>\n
                                <td><b>"._HEAD8.get_size($total)."</b></td>\n
                        </tr>
                        </table>\n
                        <br><br>\n
                        <div align=\"center\">\n
                                <A HREF=\"javascript:history.go(-1)\">"._BACK."</a>\n
                        </div>\n";
                $result->Close();
        }

}        //        Closes Details function

function SaveDB($tables,$DropTbl) {
        global $ModName, $dbhost, $dbuname, $dbpass, $dbname;
        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))){

                  include 'header.php';
                  OpenTable();
                  echo _BADAUTHKEY;
                  CloseTable();
                  include 'footer.php';
        } else {

                list($dbconn) = pnDBGetConn();
                $dbhost =  pnConfigGetVar('dbhost');
                $dbuname = pnConfigGetVar('dbuname');
                $dbpass = pnConfigGetVar('dbpass');
                $dbname = pnConfigGetVar('dbname');

                $datalong= ml_ftime(_DATETIMELONG, (GetUserTime(time())));
                $datashort= ml_ftime(_LINKSDATESTRING, (GetUserTime(time())));

                @set_time_limit(600);
                $filename=str_replace(" ","_",""._DO_WHAT_5."_".$dbname."_".$datashort.".sql");        //        adjust file name for mozilla compatibility
                header("Content-disposition: filename=".$filename."");
                header("Content-type: application/octetstream");
                header("Pragma: no-cache");
                header("Expires: 0");

                $client = getenv("HTTP_USER_AGENT");        // doing some DOS-CRLF magic...
                if(ereg('[^(]*\((.*)\)[^)]*',$client,$regs)){
                        $os = $regs[1];
                        if (eregi("Win",$os))        // this looks better under WinX
                                $crlf="\r\n";
                }
        }

        $dbconn->SelectDB($dbname);
        if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                echo "<div align=\"center\">"._DATABASE_ERROR."<br>"._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."</div>\n";
                include "footer.php";
                return;
        }

        $num_tables=count($tables);

        if($num_tables == 0){
                echo ""._HEAD23."";
        } else {

                print BackUpHeader(1,$dbname,$datalong,$crlf);

           while(list(,$table) = each ($tables)){

                        print BackUpHeader(2,$table,'',$crlf);

                        echo GetTableDef($table, $DropTbl, $crlf).";$crlf$crlf";

                        print BackUpHeader(3,$table,'',$crlf);

                        GetTableCont($table, $crlf);

                }        //        Close swhile
        }        //        Closes if
}

function BackUpHeader($id,$param1,$param2,$crlf){
        global $ModName;

        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))){
                  echo _BADAUTHKEY;
        } else {


                if($id==1){
                        $header.= "# ===============================================================$crlf";
                        $header.= "# $crlf";
                        $header.= "# "._HEAD24."$crlf";
                        $header.= "# http://www.moviemnaiac.altervista.org (faithfulsoft@tiscali.it)$crlf";
                        $header.= "# $crlf";
                        $header.= "# "._HEAD25."$param1 $crlf";
                        $header.= "# "._HEAD26." $param2$crlf";
                        $header.= "# "._HEAD27."$crlf";
                        $header.= "# $crlf";
                        $header.= "# ===============================================================$crlf$crlf";
                } elseif($id==2) {

                        $header.="$crlf";
                        $header.="# ----------------------------------------------------------------$crlf";
                        $header.="$crlf";
                        $header.="#$crlf";
                        $header.="# "._HEAD28." '$param1'$crlf";
                        $header.="#$crlf";
                        $header.="$crlf";

                } elseif($id==3) {
                        $header.="#$crlf";
                        $header.="# "._HEAD29." '$param1'$crlf";
                        $header.="#$crlf";
                        $header.="$crlf";
                }
        return $header;
        }
}

function GetTableCont($table, $crlf){        //        This function retrieves each table's content
        global $ModName;

        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))){
                  echo _BADAUTHKEY;
        } else {

                list($dbconn) = pnDBGetConn();

                $query="SELECT * FROM ".$table;

                $result=$dbconn->Execute($query);
                if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                        echo "<div align=\"center\">"._DATABASE_ERROR."<br>
                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."<br>
                                        "._HEAD20.$query."</div>\n
                                  <br><a href=\"javascript:history.go(-1)\">"._BACK."</a>";
                        include "footer.php";
                        return;
                }

                while(!$result->EOF){
                        $row=$result->GetRowAssoc(false);

                        $table_list = $num."(";

                        while(list($cname,$ccontent) = each ($result)){
                                $table_list .= $cname.", ";
                        }

                        $table_list = substr($table_list,0,-2);
                        $table_list .= ")";

                        if(isset($GLOBALS["showcolumns"]))
                                $insert = "INSERT INTO $table $table_list VALUES (";
                        else
                                $insert = "INSERT INTO $table VALUES (";

                        while(list($fname,$fcontent) = each ($row)){
                                if(!isset($fcontent))
                                        $insert .= " NULL,";
                                elseif($fcontent != "")
                                        $insert .= " '".addslashes($fcontent)."',";
                                else
                                        $insert .= " '',";

                        }

                        $insert = ereg_replace(",$", "", $insert);
                        $insert .= ")";

                        echo trim($insert).";".$crlf;        //        Calls my_handler function

                        $result->MoveNext();
                }        //        Closes while
                return (true);
        }
}        //        Closes GetTableCont

function GetTableDef($table, $DropTbl, $crlf){        //        This function returns the Create statement for each table
        global $ModName;

        if (!(pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN))){
                  echo _BADAUTHKEY;
        } else {

                list($dbconn) = pnDBGetConn();

                $create = "";

                if($DropTbl)        //        If the user chose to insert drop table instruction
                        $create .= "DROP TABLE IF EXISTS $table;$crlf";

                $create .= "CREATE TABLE $table ($crlf";

                $query="SHOW FIELDS FROM ".$table;
                $result=$dbconn->Execute($query);
                if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                        echo "<div align=\"center\">"._DATABASE_ERROR."<br>
                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."<br>
                                        "._HEAD20.$query."</div>\n
                                  <br><a href=\"javascript:history.go(-1)\">"._BACK."</a>";
                        include "footer.php";
                        return;
                }

                while(!$result->EOF){
                        $row=$result->GetRowAssoc(false);
                        $create .= "   $row[field] $row[type]";

                        if(isset($row["default"]) && (!empty($row["default"]) || $row["default"] == "0"))
                                $create .= " DEFAULT '$row[default]'";
                        if($row["null"] != "YES")
                                $create .= " NOT NULL";
                        if($row["extra"] != "")
                                $create .= " $row[extra]";

                                $create .= ",$crlf";

                        $result->MoveNext();
                }        //        Closes while
                $result->Close();

                $create = ereg_replace(",".$crlf."$", "", $create);

                $query="SHOW INDEX FROM ".$table;        //        returns table index information in a format that closely resembles the SQLStatistics call in ODBC
                $result=$dbconn->Execute($query);

                if ($dbconn->ErrorNo() != 0) {        //        Check in case there was an error while connecting
                        echo "<div align=\"center\">"._DATABASE_ERROR."<br>
                                        "._ERROR_N.$dbconn->ErrorNo().": ".$dbconn->ErrorMsg()."<br>
                                        "._HEAD20.$query."</div>\n
                                  <br><a href=\"javascript:history.go(-1)\">"._BACK."</a>";
                        include "footer.php";
                        return;
                }

                while(!$result->EOF){
                        $row=$result->GetRowAssoc(false);
                        $kname=$row['key_name'];

                        if(($kname != "PRIMARY") && ($row['non_unique'] == 0))
                                $kname="UNIQUE|$kname";
                        if(!isset($index[$kname]))
                                $index[$kname] = array();

                        $index[$kname][] = $row['column_name'];

                        $result->MoveNext();
                }        //        Closes while
                $result->Close();

                while(list($x, $columns) = @each($index)){
                        $create .= ",$crlf";

                        if($x == "PRIMARY")
                                $create .= "   PRIMARY KEY (" . implode($columns, ", ") . ")";
                        elseif (substr($x,0,6) == "UNIQUE")
                                $create .= "   UNIQUE ".substr($x,7)." (" . implode($columns, ", ") . ")";
                        else
                                $create .= "   KEY $x (" . implode($columns, ", ") . ")";
                }        //        Closes while

                $create .= "$crlf)";
                return (stripslashes($create));
        }
}        //        Closes GetTableDef

function get_date($time){        // Returns Localized Date and Time
    setlocale (LC_TIME, pnConfigGetVar('locale'));
    ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
    $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
    $datetime = ucfirst($datetime);
        return ($datetime);
}

function get_size($size) {

        if ($size<1024)
                $size=Round($size,3)." bytes";
        elseif ($size < 1048576)
                $size=Round($size/1024,3)." KB.";
        elseif ($size < 1073741824)
                $size=Round($size/1048576,3)." MB.";
        elseif (1073741824 < $size)
                $size=Round($size/1073741824,3)." GB.";
        elseif (1099511627776 < $size)
                $size=Round($size/1099511627776,3)." TB.";

        return $size;
}

function OptMenu($side) {
        global $ModName;

        if($side=="down")
                $OptMenu.="<br><br>\n";

        $OptMenu.="<table width=\"90%\">
                        <tr>";

        $OptMenu.="<td width=\"40%\"><a href=\"#\" onclick=\"setCheckboxes('tablesForm', true); return false;\">"._SELECT_ALL."</a>\n
                                        &nbsp;/&nbsp;
                                        <a href=\"#\" onclick=\"setCheckboxes('tablesForm', false); return false;\">"._DESELECT_ALL."</a>\n
                                </td>\n";
        if($side=="up")
                $OptMenu.="<td width=\"60%\" colspan=\"2\">\n
                                        <a href=\"#note\">"._IF_SELECTED."</a> \n
                                        <select name=\"DoWhat\" id=\"DoWhat\">\n
                                                <option value=\"compact\" selected=\"selected\">"._DO_WHAT_0."</option>\n
                                                <option value=\"repairQ\">"._DO_WHAT_1."</option>\n
                                                <option value=\"repairE\">"._DO_WHAT_2."</option>\n
                                                <option value=\"repairF\">"._DO_WHAT_3."</option>\n
                                                <option value=\"autoincrement\">"._DO_WHAT_4."</option>\n
                                                <option value=\"backup\">"._DO_WHAT_5."</option>\n
                                        </select>\n
                                        &nbsp;&nbsp;&nbsp;&nbsp;
                                        <input type=\"hidden\" name=\"authid\" value=\"".pnSecGenAuthKey()."\">\n
                                        <input type=\"submit\" value=\""._EXECUTE."\">\n";
        $OptMenu.="                </td>\n
                        </tr>\n
                        <tr>\n
                                <td>\n";
        if($side=="up")
                $OptMenu.="<a href=\"admin.php?module=".$ModName."&amp;file=admin&amp;op=Details\">"._HEAD38."</a>\n
                                </td>\n
                                <td width=\"10px\">\n
                                        <input name=\"DropTbl\" type=\"checkbox\" checked=\"checked\" />\n
                                </td>\n
                                <td align=\"left\">\n
                                         "._HEAD39."
                                </td>\n
                        </tr>\n
                </table>\n
                                        <br><br>\n";
        if($side=="down")
                $OptMenu.="<a href=\"admin.php?module=".$ModName."&amp;file=admin&amp;op=Details\">"._HEAD38."</a>\n
                                </td>\n
                                <td>\n
                                        <a href=\"#top\">"._TOP."</a>\n
                                </td>\n
                        </tr>\n
                </table>\n";
        return $OptMenu;
}

function MySQL_Tools_admin_main($var){
        global $ModName;
        if (!pnSecAuthAction(0, $ModName.'::', '::', ACCESS_ADMIN)) {
           include("header.php");
           echo _DOWNLOADSACCESSNOAUTH;
           include("footer.php");
        } else {        //        If register_globals is off, then extract all HTTP variables into the global namespace.

                $register_globals = ini_get("register_globals");
                if (empty($register_globals) || !strcasecmp($register_globals, "off") || !strcasecmp($register_globals, "false")) {
                        global $HTTP_GET_VARS,$HTTP_POST_VARS,$HTTP_COOKIE_VARS,$HTTP_POST_FILES;
                        extract($HTTP_GET_VARS);
                        extract($HTTP_POST_VARS);
                        extract($HTTP_COOKIE_VARS);

                        foreach($HTTP_POST_FILES as $key => $value) {
                                ${$key."_name"} = $value["name"];
                                ${$key."_size"} = $value["size"];
                                ${$key."_type"} = $value["type"];
                                ${$key} = $value["tmp_name"];
                        }//closes foreach
                }//closes if

                $op = pnVarCleanFromInput('op');
                extract($var);

                switch ($op){
                           case "AnalyzeTable":
                                        AnalyzeTable($table);
                                        break;

                           case "Details":
                                        Details();
                                        break;

                                case "HandleRequest":
                                        HandleRequest($DoWhat,$selected_tbl,$DropTbl);
                                        break;

                                default:
                                        ShowTables();
                                        break;
                }        //        closes switch
        }
}

?>