<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Magnus Hammar & Bjarne Var&ouml;ystrand
// Purpose of file: Display a new adminlayout with more options
// Customized and integrated in MD-Pro by TiMax  http://www.maxdev.com timax@maxdev.com
// ----------------------------------------------------------------------
// to do ....... work around permissions ..

   function db_num_rows($result)
   {
      return $result->PO_RecordCount();
   }

   function db_fetch_row($result)
   {
      list($dbconn) = pnDBGetConn();
      $row = $result->fields;
      if($dbconn->ErrorNo()<>0)
         die($dbconn->ErrorNo(). " : ".$dbconn->ErrorMsg().'<br>db_fetch_row()');
      return $row;
   }

   function db_fetch_array($result)
   {
      $row = $result->GetRowAssoc(false);
      $result->MoveNext();
      if($dbconn->ErrorNo()<>0)
         die($dbconn->ErrorNo(). " : ".$dbconn->ErrorMsg().'<br>db_fetch_array()');
      return $row;
   }

   function db_select($sql)
   {
      list($dbconn) = pnDBGetConn();
      $result = $dbconn->Execute($sql);
      if($dbconn->ErrorNo()<>0)
         die($dbconn->ErrorNo(). " : ".$dbconn->ErrorMsg()."<br>$sql");
      return $result;
   }

   function db_select_one_row($sql)
   {
      $result = db_select($sql);
      $return = db_fetch_row($result);
      return $return;
   }

   function db_select_one_array($sql)
   {
      $result = db_select($sql);
      $return = db_fetch_array($result);
      return $return;
   }

   function db_select_all_row($sql)
   {
      $result = db_select($sql);
      while ($return[]=db_fetch_row($result));
      return $return;
   }

   function db_insert($sql)
   {
      list($dbconn) = pnDBGetConn();
      $dbconn->Execute($sql);
      if($dbconn->ErrorNo()<>0)
         die($dbconn->ErrorNo(). " : ".$dbconn->ErrorMsg()."<br>$sql");
   }

   function db_insert_auto($sql)
   {
      die ("auto increment not allowed");
      return false;
   }

   function db_update($sql)
   {
      list($dbconn) = pnDBGetConn();
      $result = $dbconn->Execute($sql);
      if($dbconn->ErrorNo()<>0)
         die($dbconn->ErrorNo(). " : ".$dbconn->ErrorMsg()."<br>$sql");
      return $dbconn->Affected_Rows();
   }

   function db_delete($sql)
   {
      list($dbconn) = pnDBGetConn();
      $result = $dbconn->Execute($sql);
      if($dbconn->ErrorNo()<>0)
         die($dbconn->ErrorNo(). " : ".$dbconn->ErrorMsg()."<br>$sql");
      return $dbconn->Affected_Rows();
   }
?>
