<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Magnus Hammar & Bjarne Var&ouml;ystrand
// Purpose of file: Display a new adminlayout with more options
// Customized and integrated in MD-Pro by TiMax  http://www.maxdev.com timax@maxdev.com
// ----------------------------------------------------------------------
// to do ....... work around permissions ..

if (!eregi("admin.php", $GLOBALS['PHP_SELF'])) {
        die ("Access Denied to file ".__FILE__);
}
// -------------------------------------------------------------------------------------------------------------------------------
// How many tabs do we want to show in a row?
//
$numberOfTabsToShow = 5;
// -------------------------------------------------------------------------------------------------------------------------------
// How many modules do we want to show in a row?
//
$displayNumberOfModules = 4;
// -------------------------------------------------------------------------------------------------------------------------------
// All these images MUST be placed in a folder called "pnimages" in the same dir as this file.
//
$tabImages['tab']                            = "tab.gif";		// Regular tab
$tabImages['tab_before_selected_tab']        = "tab.gif";		// Image before selected tab
$tabImages['tab_at_the_end']                 = "tab.gif";		// Image at the end of a row of tabs
$tabImages['tab_empty']                      = "tab.gif";		// Image to fill the rest of the row
$tabImages['tab_selected']                   = "tab_sel.gif";	// Image to show when tab is selected
$tabImages['tab_selected_at_the_end']        = "tab_sel.gif";	// Image to show if the selectedtab is the last tab in a row
$tabImages['footer_bottom']					 = "";				// Image to show in footer
// -------------------------------------------------------------------------------------------------------------------------------
// Allow user to create and edit tabs
//
define('allow_editable_tabs','1');
//
// -------------------------------------------------



function adminlite_header($func,$numberOfTabsToShow,$tabImages) {
$ModName = basename(dirname(__FILE__));
echo "<style type=\"text/css\">
        <!--
        .AdminLiteLinks {
                text-decoration: none;
                font-weight: bold;
				font-size: 12px;
                color: #FFFFFF;
        }
        .AdminLiteLinks a {
                text-decoration: none;
                font-weight: normal;
				font-size: 12px;
        }
        .AdminLiteLinks a:visited {
                text-decoration: none;
                font-weight: normal;
				font-size: 12px;
        }
		.AdminLiteLinks a:hover {
                text-decoration: none;
                font-weight: bold;
				font-size: 12px;
        }
		.AdminLiteLinks a:active {
                text-decoration: none;
                font-weight: bold;
				font-size: 12px;
				color: #FFFFFF;
        }
        -->
        </style>
        <center>

        <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
        <tr>
        <td>
			<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" background=\"modules/NS-Admin/skins/$ModName/pnimages/appleback.gif\">
        		<tr>
        			<td align=\"center\">"; 

        printAllTabs($numberOfTabsToShow,$tabImages,basename(dirname(__FILE__)),$func);
        
        echo "</td>
        		</tr>
        	</table>
        
        	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" background=\"modules/NS-Admin/skins/$ModName/pnimages/mainbar.gif\">
        		<tr>
        			<td align=\"left\" ><img src=\"modules/NS-Admin/skins/$ModName/pnimages/leftbar.gif\"></td>
        			<td align=\"right\"><img src=\"modules/NS-Admin/skins/$ModName/pnimages/rightbar.gif\"></td>
        		</tr>
        	</table>";
}
/************************************************************************/


function printTab($useBgImage,$width,$height,$useLink){
        // ------------------------------------------------------
        // This function prints the tab cells.
        //
        echo "<td class=\"AdminLiteLinks\" align=\"center\" valign=\"center\" background=\"".$useBgImage."\" width=\"".$width."\" height=\"".$height."\" nowrap>".$useLink."</td>";
        //
        // ------------------------------------------------------
}


function adminlite_footer($gID,$images,$ModName) {
$useSkin = basename(dirname(__FILE__));

echo "</td><!--FOOTER START --></tr>

        <tr>
        <td background=\"modules/$ModName/skins/$useSkin/pnimages/appleback.gif\" align=\"center\" valign=\"bottom\">
			<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" background=\"modules/$ModName/skins/$useSkin/pnimages/mainbar.gif\">
        		<tr>
        			<td align=\"left\" ><img src=\"modules/$ModName/skins/$useSkin/pnimages/leftbar.gif\"></td>
        			<td align=\"right\"><img src=\"modules/$ModName/skins/$useSkin/pnimages/rightbar.gif\"></td>
        		</tr>
        	</table>";

        // This function prints the logout and edit admin buttons.
        // place the functuion where you want to display the buttons.
        printEditLogoutButton($gID);
        
echo "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" background=\"modules/$ModName/skins/$useSkin/pnimages/mainbar.gif\">
        		<tr>
        			<td align=\"left\" ><img src=\"modules/$ModName/skins/$useSkin/pnimages/leftbar.gif\"></td>
        			<td align=\"right\"><img src=\"modules/$ModName/skins/$useSkin/pnimages/rightbar.gif\"></td>
        		</tr>
        	</table>
			</td>
        </tr>

        <!--
        <tr>
        <td><img src=\"modules/$ModName/skins/".$useSkin."/pnimages/".$images['footer_bottom']."\" border=\"0\" alt=\"\"></td>
        </tr>
        -->
        </table></center>"; 
}

?>