<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------

if (!eregi("admin.php", $PHP_SELF)) {
    die ("Access Denied");
}

$ModName = $module;
modules_get_language();
modules_get_manual();

/**
 * Banners Administration Functions
 */

function BannersAdmin()
{
    include 'header.php';
    $bgcolor2 = $GLOBALS['bgcolor2'];
    list($clientname) = pnVarCleanFromInput('clientname');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();


    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"pn-title\"><b>"._BANNERSADMIN."</b></font></center>";
    CloseTable();
    if (!pnSecAuthAction(0, 'Banners::', '::', ACCESS_EDIT)) {
        echo _BANNERSNOAUTH;
        include 'footer.php';
        return;
    }

    /* Check if Banners variable is active, if not then print a message */
    if (pnConfigGetVar('banners') == 0) {
        OpenTable();
        echo "<center><br><i><b>"._IMPORTANTNOTE."</b></i><br><br>"
            .""._BANNERSNOTACTIVE."<br>"
            .""._TOACTIVATE."<br><br></center>";
        CloseTable();
    }

    // Banners List
    echo "<a name=\"top\"></a>";
    if (pnSecAuthAction(0, 'Banners::Banner', '::', ACCESS_READ)) {
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._ACTIVEBANNERS."</b></font></center><br>"
            ."<table width=100% border=0>"
            ."<tr>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._ID."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._IMPRESSIONS."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._IMPLEFT."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLICKS."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLICKSPERCENT."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._BNMODULE."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._BNLANG."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLIENTNAME."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._FUNCTIONS."</b></td>"
            ."</tr>";

        $column = $pntable['banner_column'];
        $column2 = $pntable['bannerclient_column'];
        $result = $dbconn->Execute("SELECT $column[bid],
                                         $column[cid],
                                         $column[imptotal], 
                                         $column[impmade],
                                         $column[clicks],
                                         $column[date],
                                         $column[module],
                                         $column[lang],
                                         $column2[name]
                                  FROM $pntable[banner], $pntable[bannerclient]
                                  WHERE $column[cid] = ".pnVarPrepForStore($column2['cid'])." 
                                  ORDER BY $column[bid]");
        $lang = languagelist();
        $handle = opendir('language');
        while ($f = readdir($handle))
        {
           if (is_dir("language/$f") && (!empty($lang[$f])))
           {
              $langlist[$f] = $lang[$f];
           }
        }
        $langlist['*'] = _BNALL;
        asort($langlist);
        while(list($bid, $cid, $imptotal, $impmade, $clicks, $date, $bnmodule, $bnlang, $name) = $result->fields) {

            $result->MoveNext();
            // jgm - Get and use $clientname
            if(!isset($clientname)) {
                $clientname = '';
            }
            if (pnSecAuthAction(0, 'Banners::Banner', "$clientname::$bid", ACCESS_READ)) {
                if($impmade==0) {
                    $percent = 0;
                } else {
                    $percent = substr(100 * $clicks / $impmade, 0, 5);
                }
                if($imptotal==0) {
                    $left = _UNLIMITED;
                } else {
                    $left = $imptotal-$impmade;
                }
                echo "<tr>"
                    ."<td bgcolor=\"$bgcolor2\" align=center>" . pnVarPrepForDisplay($bid) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=center>" . pnVarPrepForDisplay($impmade) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=center>" . pnVarPrepForDisplay($left) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=center>" . pnVarPrepForDisplay($clicks) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=center>" . pnVarPrepForDisplay($percent) . "%</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=center>" . pnVarPrepForDisplay($bnmodule) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=center>" . pnVarPrepForDisplay($langlist[$bnlang]) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=center>" . pnVarPrepForDisplay($name) . "</td>";
                if (pnSecAuthAction(0, 'Banners::Banner', "$clientname::$bid", ACCESS_EDIT)) {
                    echo "<td bgcolor=\"$bgcolor2\" align=center><a href=\"admin.php?module="
                    .$GLOBALS['module']."&amp;op=BannerEdit&amp;bid=$bid\">"._EDIT."</a>";
                    if (pnSecAuthAction(0, 'Banners::Banner', "$clientname::$bid", ACCESS_DELETE)) {
                        echo " | <a href=\"admin.php?module=".$GLOBALS['module']
                        ."&amp;op=BannerDelete&amp;bid=$bid&amp;ok=0\">"._DELETE."</a></td>";
                    } else {
                        echo "</td>";
                    }
                } else {
                    echo "<td bgcolor=\"$bgcolor2\">&nbsp;</td>";
                }
                echo "</tr>";
            }
        }
        echo "</table>";
        CloseTable();
    }

/* Finished Banners List */
    if (pnSecAuthAction(0, 'Banners::Banner', '::', ACCESS_READ)) {
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._FINISHEDBANNERS."</b></font></center><br>"
            ."<table width=\"100%\" border=\"0\"><tr>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._ID."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._IMP."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLICKS."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLICKSPERCENT."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._DATESTARTED."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._DATEENDED."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLIENTNAME."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._FUNCTIONS."</b></td><tr>";
         $column = $pntable['bannerfinish_column'];
         $column2 = $pntable['bannerclient_column'];
         $result = $dbconn->Execute("SELECT $column[bid],
                                          $column[cid],
                                          $column[impressions],
                                          $column[clicks],
                                          $column[datestart],
                                          $column[dateend],
                                          $column2[name]
                                   FROM $pntable[bannerfinish],
                                        $pntable[bannerclient]
                                   WHERE $column[cid] = ".pnVarPrepForStore($column2['cid'])."
                                   ORDER BY $column[bid]");
        while(list($bid, $cid, $impressions, $clicks, $datestart, $dateend, $name) = $result->fields) {

            $result->MoveNext();
            // jgm - get and use clientname
            if (pnSecAuthAction(0, 'Banners::Banner', "$clientname::$bid", ACCESS_READ)) {
                $percent = substr(100 * $clicks / $impressions, 0, 5);
                echo "<tr>"
                    ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($bid) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($impressions) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($clicks) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($percent) . "%</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($datestart) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($dateend) . "</td>"
                    ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($name) . "</td>";
                if (pnSecAuthAction(0, 'Banners::Banner', "$clientname::$bid", ACCESS_DELETE)) {
                    echo "<td bgcolor=\"$bgcolor2\" align=\"center\"><a href=\"admin.php?module="
                    .$GLOBALS['module']."&amp;op=BannerFinishDelete&amp;bid=$bid&amp;authid=" . pnSecGenAuthKey() . "\">"._DELETE."</a></td>";
                } else {
                    echo "<td bgcolor=\"$bgcolor2\">&nbsp;</td>";
                }
                echo "</tr>";
            }
        }
       echo "</table>";
       CloseTable();
    }

    /* Clients List */
    if (pnSecAuthAction(0, 'Banners::Client', '::', ACCESS_READ)) {
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._ADVERTISINGCLIENTS."</b></font></center><br>"
            ."<table width=\"100%\" border=\"0\"><tr>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._ID."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLIENTNAME."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._ACTIVEBANNERS2."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CONTACTNAME."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CONTACTEMAIL."</b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._FUNCTIONS."</b></td><tr>";
        $column = $pntable['bannerclient_column'];
        $result = $dbconn->Execute("SELECT $column[cid],
                                         $column[name],
                                         $column[contact], 
                                         $column[email] 
                                  FROM $pntable[bannerclient]
                                  ORDER BY $column[cid]");

        while(list($cid, $name, $contact, $email) = $result->fields) {
            $result2 = $dbconn->Execute("SELECT COUNT(*) 
                                       FROM $pntable[banner] 
                                       WHERE {$pntable['banner_column']['cid']}=".pnVarPrepForStore($cid)."");
            list($numrows) = $result2->fields;
            echo "<tr>"
                ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($cid) . "</td>"
                ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($name) . "</td>"
                ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($numrows) . "</td>"
                ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($contact) . "</td>"
                ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($email) . "</td>";
            if (pnSecAuthAction(0, 'Banners::Client', "$name::$cid", ACCESS_EDIT)) {
                echo "<td bgcolor=\"$bgcolor2\" align=\"center\"><a href=\"admin.php?module="
                .$GLOBALS['module']."&amp;op=BannerClientEdit&amp;cid=$cid\">"._EDIT."</a>";
                if (pnSecAuthAction(0, 'Banners::Client', "$name::$cid", ACCESS_DELETE)) {
                    echo " | <a href=\"admin.php?module=".$GLOBALS['module']
                    ."&amp;op=BannerClientDelete&amp;cid=$cid\">"._DELETE."</a></td></tr>";
                } else {
                    echo "</td></tr>";
                }
            } else {
                echo "<td bgcolor=\"$bgcolor2\">&nbsp;</td></tr>";
            }
            $result->MoveNext();
        }
        echo "</table>";
        CloseTable();
    }

    /* Add Banner */
    if (pnSecAuthAction(0, 'Banners::Banner', '::', ACCESS_ADD)) {
        $column = $pntable['bannerclient_column'];
        $result = $dbconn->Execute("SELECT $column[cid], $column[name] 
                                  FROM $pntable[bannerclient]");
        if(!$result->EOF) {
            OpenTable();
            echo "<font class=\"pn-title\"><b>"._ADDNEWBANNER."</b></font></center><br><br>";

            while(list($cid, $name) = $result->fields) {
				$arrclients[] = array("id" => $cid, "name" => $name);
                $result->MoveNext();
            }

            // Modified by JorgeGorka
            // Now admins can choose the module and the language where they want to show the banner
            // Use the new pnHTML api to be standard
            $output = new pnHTML();
		    
			// Title
//    		$output->Title(_ADDNEWBANNER);
            
		    // Start form
    		//-- $output->FormStart(pnModURL('NS-Banners', 'admin', 'main'));
    		$output->FormStart('admin.php');
			
		    // Add an authorisation ID
    		$output->FormHidden('authid', pnSecGenAuthKey());

    		$output->TableStart();

		    // Client Name
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_CLIENTNAME));
		    $row[] = $output->FormSelectMultiple('cid', $arrclients, 0, 1);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
		    //$output->Linebreak(2);

            // Select module
            $modarray = pnModGetUserMods();
            $arrmodules[] = array("id" => "*", "name" => _ALL);
            foreach ($modarray as $k ) {
                $arrmodules[] = array("id" => $k["name"], "name" => $k["name"].' [ '.$k["displayname"].' ]');
            }
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANNERMODULE));
		    $row[] = $output->FormSelectMultiple('bnmodule', $arrmodules, 0, 1);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

            // Select id (which module, which section, which news, etc....default all)
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANNERMODULEITEM));
		    $row[] = $output->FormText('bnmoduleid', '', 5, 5);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANNERMODULENOTICE));
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

            // Select language
            // First set a variable with all the languages installed
            // there should be an API function for doing that
            $lang = languagelist();
            $sel_lang[$currentlang] = ' selected';
            $handle = opendir('language');
            while ($f = readdir($handle))
            {
                if (is_dir("language/$f") && (!empty($lang[$f])))
                {
                        $langlist[$f] = $lang[$f];
                }
            }
            asort($langlist);
            $arrlang[] = array("id" => "*", "name" => _ALL);
            foreach( $langlist as $k => $v) {
                $arrlang[] = array("id" => $k, "name" => $v);
            }
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANNERLANG));
		    $row[] = $output->FormSelectMultiple('bnlang', $arrlang, 0, 1);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_PURCHASEDIMPRESSIONS));
		    $row[] = $output->FormText('imptotal', '', 12, 11);
		    $row[] = $output->Text('0 = '.pnVarPrepForDisplay(_UNLIMITED));
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

// For flash banners
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_DPWIDTH));
		    $row[] = $output->FormText('dpwidth', '', 4, 4);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_DPHEIGHT));
		    $row[] = $output->FormText('dpheight', '', 4, 4);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);
// End for flash

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANTYPE));
		    $row[] = $output->FormText('type', '', 2, 2);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_IMAGEURL));
		    $row[] = $output->FormText('imageurl', '', 50, 250);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_CLICKURL));
		    $row[] = $output->FormText('clickurl', '', 50, 250);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $output->TableEnd();

			// hidden fields
			$output->FormHidden('module',$GLOBALS['module']);
			$output->FormHidden('op','BannersAdd');
			$output->FormHidden('authid',pnSecGenAuthKey());

		    // End form
    		$output->Linebreak(2);
    		$output->FormSubmit(_ADDBANNER);
    		$output->FormEnd();

            // Return the output that has been generated by this function
            echo $output->GetOutput();

/********************************
            echo ""._PURCHASEDIMPRESSIONS.": <input type=\"text\" name=\"imptotal\" size=\"12\" maxlength=\"11\"> 0 = "._UNLIMITED."<br>"
                .""._BANTYPE.": <input type=\"text\" name=\"type\" size=\"2\" maxlength=\"2\"><br>"
                .""._IMAGEURL.": <input type=\"text\" name=\"imageurl\" size=\"50\" maxlength=\"250\"><br>"
                .""._CLICKURL.": <input type=\"text\" name=\"clickurl\" size=\"50\" maxlength=\"250\"><br>"
                ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
                ."<input type=\"hidden\" name=\"op\" value=\"BannersAdd\">"
                ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
                ."<input type=\"submit\" value=\""._ADDBANNER."\">"
                ."</form>";
*******************************/

            CloseTable();
        }
    }

    /* Add Client */
    if (pnSecAuthAction(0, 'Banners::Client', '::', ACCESS_ADD)) {
        OpenTable();
        echo"<font class=\"pn-title\"><b>"._ADDCLIENT."</b></center><br><br>
            <form action=\"admin.php\" method=\"post\">
            "._CLIENTNAME.": <input type=\"text\" name=\"name\" size=\"30\" maxlength=\"60\"><br>
            "._CONTACTNAME.": <input type=\"text\" name=\"contact\" size=\"30\" maxlength=\"60\"><br>
            "._CONTACTEMAIL.": <input type=\"text\" name=\"email\" size=\"30\" maxlength=\"60\"><br>
            "._CLIENTLOGIN.": <input type=\"text\" name=\"login\" size=\"12\" maxlength=\"10\"><br>
            "._CLIENTPASSWD.": <input type=\"text\" name=\"passwd\" size=\"12\" maxlength=\"10\"><br><br>
            "._EXTRAINFO.":<br><textarea name=\"extrainfo\" id=\"extrainfo\" cols=\"60\" rows=\"10\"></textarea><br>"
            ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
            ."<input type=\"hidden\" name=\"op\" value=\"BannerAddClient\">"
            ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
            ."<input type=\"submit\" value=\""._ADDCLIENT2."\">"
            ."</form>";
        CloseTable();
    }
// Access Banner Settings
    OpenTable();
    echo "<font class=\"pn-title\"><b>"._BANNERSCONF."</b></font><br><br>";
    echo "<a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=getConfig\">"._BANNERSCONF."</a>";
    CloseTable();
    include ("footer.php");
}

function BannersAdd() {

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    list($name,
         $cid,
	     $type,
         $imptotal,
         $imageurl,
         $clickurl,
         $bnmodule,
         $bnmoduleid,
         $bnlang,
		 $dpwidth,
		 $dpheight,
         $clientname) = pnVarCleanFromInput('name',
                                            'cid',
		 			                        'type',
                                            'imptotal',
                                            'imageurl',
                                            'clickurl',
                                            'bnmodule',
                                            'bnmoduleid',
                                            'bnlang',
											'dpwidth',
											'dpheight',
                                            'clientname');
    // jgm - get and use clientname
    if(!isset($clientname)) {
        $clientname = '';
    }
    if (!(pnSecAuthAction(0, 'Banners::Banner', "$clientname::", ACCESS_ADD))) {
        include 'header.php';
        echo _BANNERSADDBANNERNOAUTH;
        include 'footer.php';
        exit;
    }
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $column = $pntable['banner_column'];
    $result = $dbconn->Execute("INSERT INTO $pntable[banner] 
                                ($column[bid], $column[cid], $column[type], $column[imptotal], 
                                $column[impmade], $column[clicks], $column[imageurl],
                                $column[clickurl], $column[date], 
                                $column[module], $column[moduleid], 
								$column[width], $column[height],
								$column[lang])
                              VALUES (NULL, '".pnVarPrepForStore($cid)."', '".pnVarPrepForStore($type)."', '".pnVarPrepForStore($imptotal)."', '1', '0', 
                                '".pnVarPrepForStore($imageurl)."', '".pnVarPrepForStore($clickurl)."', now(),
                                '".pnVarPrepForStore($bnmodule)."', '".pnVarPrepForStore($bnmoduleid)."',
                                '".pnVarPrepForStore($dpwidth)."', '".pnVarPrepForStore($dpheight)."',
								'".pnVarPrepForStore($bnlang)."')");
    if($dbconn->ErrorNo()<>0) {
        error_log("Error: " . $dbconn->ErrorMsg());
    }
    pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=BannersAdmin');
}

function BannerAddClient()
{
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    list($name,
         $contact,
         $email,
         $login,
         $passwd,
         $extrainfo) = pnVarCleanFromInput('name',
                                           'contact',
                                           'email',
                                           'login',
                                           'passwd',
                                           'extrainfo');

    if (!(pnSecAuthAction(0, 'Banners::Client', '::', ACCESS_ADD))) {
        include 'header.php';
        echo _BANNERSADDCLIENTNOAUTH;
        include 'footer.php';
        exit;
    }


    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $column = $pntable['bannerclient_column'];
    $result = $dbconn->Execute("INSERT INTO $pntable[bannerclient] 
                               ($column[cid], $column[name], $column[contact], 
                                $column[email], $column[login], $column[passwd], 
                                $column[extrainfo]) 
                                VALUES (NULL, '".pnVarPrepForStore($name)."', '".pnVarPrepForStore($contact)."', '".pnVarPrepForStore($email)."', '".pnVarPrepForStore($login)."', 
                                '".pnVarPrepForStore($passwd)."', '".pnVarPrepForStore($extrainfo)."')");
    if($dbconn->ErrorNo()<>0) {
        error_log("Error: " . $dbconn->ErrorMsg());
    }
    pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=BannersAdmin');
}

function BannerFinishDelete()
{    
    $bid = pnVarCleanFromInput('bid');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $bannercolumn = &$pntable['banner_column'];
    $bannerclientcolumn =  &$pntable['bannerclient_column'];

    $result = $dbconn->Execute("SELECT $bannerclientcolumn[name]
                              FROM $pntable[banner], $pntable[bannerclient]
                              WHERE $bannercolumn[bid] = 1
                                AND $bannercolumn[cid] = ".pnVarPrepForStore($bannerclientcolumn['cid'])."");
    list($clientname) = $result->fields;
    $result->Close();

    if (!pnSecAuthAction(0, 'Banners::Banner', "$clientname::$bid", ACCESS_DELETE)) {
        include 'header.php';
        echo _BANNERSDELBANNERNOAUTH;
        include 'footer.php';
        return;
    }

    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $result = $dbconn->Execute("DELETE FROM $pntable[bannerfinish] 
                              WHERE {$pntable[bannerfinish_column][bid]}=".pnVarPrepForStore($bid)."");
    if($dbconn->ErrorNo()<>0) {
        error_log("Error: " . $dbconn->ErrorMsg());
    }

    pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=BannersAdmin');
}

function BannerDelete()
{
    //global $bgcolor2;

    list($bid,
         $ok) = pnVarCleanFromInput('bid',
                                    'ok');
    if (!isset($ok)) {
        $ok = 0;
    }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $bannercolumn = &$pntable['banner_column'];
    $bannerclientcolumn =  &$pntable['bannerclient_column'];

    $result = $dbconn->Execute("SELECT $bannerclientcolumn[name]
                              FROM $pntable[banner], $pntable[bannerclient]
                              WHERE $bannercolumn[bid] = 1
                                AND $bannercolumn[cid] = ".pnVarPrepForStore($bannerclientcolumn['cid'])."");
    list($clientname) = $result->fields;
    $result->Close();

    if (!pnSecAuthAction(0, 'Banners::Banner', "$clientname::$bid", ACCESS_DELETE)) {
        include 'header.php';
        echo _BANNERSDELBANNERNOAUTH;
        include 'footer.php';
        return;
    }

    if($ok == 1) {
        if (!pnSecConfirmAuthKey()) {
            include 'header.php';
            echo _BADAUTHKEY;
            include 'footer.php';
            exit;
        }

        $column = $pntable['banner_column'];
        $result = $dbconn->Execute("DELETE FROM $pntable[banner] 
                                  WHERE {$pntable['banner_column']['bid']}='".pnVarPrepForStore($bid)."'");
        if($dbconn->ErrorNo()<>0) {
            error_log("Error: " . $dbconn->ErrorMsg());
        } 

        pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=BannersAdmin');
    } else {
        include("header.php");
    	$bgcolor2 = $GLOBALS['bgcolor2'];
        GraphicAdmin();
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._BANNERSADMIN."</b></font></center>";
        CloseTable();
        $column = $pntable['banner_column'];
        $column2 = $pntable['bannerclient_column'];
        $result = $dbconn->Execute("SELECT $column[cid], $column[imptotal], 
                                    $column[impmade], $column[clicks], 
                                    $column[imageurl], $column[clickurl],
                                    $column2[name]
                                  FROM $pntable[banner], $pntable[bannerclient] 
                                  WHERE $column[bid]=".pnVarPrepForStore($bid)." 
                                    AND $column[cid] = ".pnVarPrepForStore($column2['cid'])."");
        list($cid, $imptotal, $impmade, $clicks, $imageurl, $clickurl, $name) = $result->fields;
        OpenTable();
        echo "<center><b>"._DELETEBANNER."</b><br><br>"
            ."<a href=\"$clickurl\"><img src=\"$imageurl\" border=\"1\" alt=\"\"></a><br>"
            ."<a href=\"$clickurl\">$clickurl</a><br><br>"
            ."<table width=\"100%\" border=\"0\"><tr>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._ID."<b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._IMPRESSIONS."<b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._IMPLEFT."<b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLICKS."<b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLICKSPERCENT."<b></td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._CLIENTNAME."<b></td><tr>";
        $percent = substr(100 * $clicks / $impmade, 0, 5);
        if($imptotal==0) {
            $left = _UNLIMITED;
        } else {
            $left = $imptotal-$impmade;
        }
        echo "<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($bid) . "</td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($impmade) . "</td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($left) . "</td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($clicks) . "</td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($percent) . "%</td>"
            ."<td bgcolor=\"$bgcolor2\" align=\"center\">" . pnVarPrepForDisplay($name) . "</td><tr>";
        echo "</td></tr></table><br>"
        .""._SURETODELBANNER."<br><br>"
        ."[ <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=BannersAdmin\">"
        ._NO."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=BannerDelete&amp;bid=$bid&amp;ok=1&amp;authid=" . pnSecGenAuthKey() . "\">"
        ._YES."</a> ]</center><br><br>";
        CloseTable();
        include("footer.php");
    }
}

function BannerEdit($bid) {
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    include("header.php");
    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"pn-title\"><b>"._BANNERSADMIN."</b></font></center>";
    CloseTable();

    $column = $pntable['banner_column'];
    $column2 = $pntable['bannerclient_column'];
    $result = $dbconn->Execute("SELECT $column[cid], $column[type], $column[imptotal], 
                                $column[impmade], $column[clicks], $column[imageurl],
                                $column[clickurl], $column[module], $column[moduleid],
								$column[width], $column[height], $column[lang],
                                $column2[name]
                              FROM $pntable[banner], $pntable[bannerclient]
                              WHERE $column[bid]=".pnVarPrepForStore($bid)."
                                AND $column[cid] = ".pnVarPrepForStore($column2['cid'])."");
    list($cid, $type, $imptotal, $impmade, $clicks, $imageurl, $clickurl, $bnmodule, $bnmoduleid, $dpwidth, $dpheight, $bnlang, $name) = $result->fields;


    if (!pnSecAuthAction(0, 'Banners::Banner', "$name::$bid", ACCESS_EDIT)) {
        echo _BANNERSEDITBANNERNOAUTH;
        include 'footer.php';
        return;
    }
    if($imptotal==0) {
        $impressions = _UNLIMITED;
    } else {
        $impressions = $imptotal;
    }
    OpenTable();
    echo"<font class=\"pn-title\">"
        ."<center><b>"._EDITBANNER."</b><br><br>"
        ."<img src=\"$imageurl\" border=\"1\" alt=\"\"></center><br><br>";
        $result = $dbconn->Execute("SELECT $column2[cid], $column2[name] 
                                  FROM $pntable[bannerclient]");
            while(list($ccid, $name) = $result->fields) {
				$arrclients[] = array("id" => $ccid, "name" => $name);
                $result->MoveNext();
            }

            // Modified by JorgeGorka
            // Now admins can choose the module and the language where they want to show the banner
            // Use the new pnHTML api to be standard
            $output = new pnHTML();
		    
			// Title
//    		$output->Title(_ADDNEWBANNER);
            
		    // Start form
    		//-- $output->FormStart(pnModURL('NS-Banners', 'admin', 'main'));
    		$output->FormStart('admin.php');
			
		    // Add an authorisation ID
    		$output->FormHidden('authid', pnSecGenAuthKey());

    		$output->TableStart();

		    // Client Name
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_CLIENTNAME));
		    $row[] = $output->FormSelectMultiple('cid', $arrclients, 0, 1);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
		    //$output->Linebreak(2);

            // Select module
            $modarray = pnModGetUserMods();
            $arrmodules[] = array("id" => "*", "name" => _ALL);
            foreach ($modarray as $k ) {
                $arrmodules[] = array("id" => $k["name"], "name" => $k["name"].' [ '.$k["displayname"].' ]');
            }
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANNERMODULE));
		    $row[] = $output->FormSelectMultiple('bnmodule', $arrmodules, 0, 1, pnVarPrepForDisplay($bnmodule));
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

            // Select id (which module, which section, which news, etc....default all)
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANNERMODULEITEM));
		    $row[] = $output->FormText('bnmoduleid',  pnVarPrepForDisplay($bnmoduleid), 5, 5);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANNERMODULENOTICE));
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

            // Select language
            // First set a variable with all the languages installed
            // there should be an API function for doing that
            $lang = languagelist();
            $sel_lang[$currentlang] = ' selected';
            $handle = opendir('language');
            while ($f = readdir($handle))
            {
                if (is_dir("language/$f") && (!empty($lang[$f])))
                {
                        $langlist[$f] = $lang[$f];
                }
            }
            asort($langlist);
            $arrlang[] = array("id" => "*", "name" => _ALL);
            foreach( $langlist as $k => $v) {
                $arrlang[] = array("id" => $k, "name" => $v);
            }
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANNERLANG));
		    $row[] = $output->FormSelectMultiple('bnlang', $arrlang, 0, 1, pnVarPrepForDisplay($bnlang));
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_ADDIMPRESSIONS));
		    $row[] = $output->FormText('impadded',  '0', 12, 11);
		    $row[] = $output->TextHTML(_PURCHASED.': <b>'.pnVarPrepForDisplay($impressions).'</b> '._BNMADE.': <b>'.pnVarPrepForDisplay($impmade).'</b>');
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

// For flash banners
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_DPWIDTH));
		    $row[] = $output->FormText('dpwidth',  pnVarPrepForDisplay($dpwidth), 4, 4);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_DPHEIGHT));
		    $row[] = $output->FormText('dpheight',  pnVarPrepForDisplay($dpheight), 4, 4);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);
// End for flash

            $arrtype[] = array("id" => "0", "name" => _DPNORMAL);
            $arrtype[] = array("id" => "1", "name" => _DPBLOCK);
		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_BANTYPE));
//		    $row[] = $output->FormText('type',  pnVarPrepForDisplay($type), 2, 2);
		    $row[] = $output->FormSelectMultiple('type', $arrtype, 0, 1, pnVarPrepForDisplay($type));
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_IMAGEURL));
		    $row[] = $output->FormText('imageurl', $imageurl, 50, 250);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $row = array();
		    $output->SetOutputMode(_PNH_RETURNOUTPUT);
		    $row[] = $output->Text(pnVarPrepForDisplay(_CLICKURL));
		    $row[] = $output->FormText('clickurl', $clickurl, 50, 250);
		    $output->SetOutputMode(_PNH_KEEPOUTPUT);
		    $output->SetInputMode(_PNH_VERBATIMINPUT);
		    $output->TableAddrow($row, 'left');
		    $output->SetInputMode(_PNH_PARSEINPUT);
//            $output->Linebreak(1);

		    $output->TableEnd();

			// hidden fields
			$output->FormHidden('bid',$bid);
			$output->FormHidden('imptotal',$imptotal);
			$output->FormHidden('module',$GLOBALS['module']);
			$output->FormHidden('op','BannerChange');
			$output->FormHidden('authid',pnSecGenAuthKey());

		    // End form
    		$output->Linebreak(2);
    		$output->FormSubmit(_SAVECHANGES);
    		$output->FormEnd();

            // Return the output that has been generated by this function
            echo $output->GetOutput();

    CloseTable();
    include("footer.php");
}

function BannerChange() {

    list($bid,
         $cid,
         $type,
         $imptotal,
         $impadded,
         $imageurl,
         $clickurl,
         $bnmodule,
         $bnmoduleid,
		 $dpwidth,
		 $dpheight,
         $bnlang) = pnVarCleanFromInput('bid',
                                          'cid',
                                          'type',
                                          'imptotal',
                                          'impadded',
                                          'imageurl',
                                          'clickurl',
                                          'bnmodule',
                                          'bnmoduleid',
										  'dpwidth',
										  'dpheight',
                                          'bnlang');
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $imp = $imptotal+$impadded;

    $bannercolumn = &$pntable['banner_column'];
    $bannerclientcolumn =  &$pntable['bannerclient_column'];

    $result = $dbconn->Execute("SELECT $bannerclientcolumn[name]
                              FROM $pntable[banner], $pntable[bannerclient]
                              WHERE $bannercolumn[bid] = 1
                                AND $bannercolumn[cid] = ".pnVarPrepForStore($bannerclientcolumn['cid'])."");
    list($clientname) = $result->fields;
    $result->Close();

    if (!pnSecAuthAction(0, 'Banners::Banner', "$clientname::$bid", ACCESS_EDIT)) {
        include 'header.php';
        echo _BANNERSEDITBANNERNOAUTH;
        include 'footer.php';
        return;
    }

    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $sql = "UPDATE $pntable[banner]
                              SET $bannercolumn[cid]='".pnVarPrepForStore($cid)."',
                                  $bannercolumn[type]='".pnVarPrepForStore($type)."',
                                  $bannercolumn[imptotal]='".pnVarPrepForStore($imp)."', 
                                  $bannercolumn[imageurl]='".pnVarPrepForStore($imageurl)."', 
                                  $bannercolumn[clickurl]='".pnVarPrepForStore($clickurl)."',
                                  $bannercolumn[module]='".pnVarPrepForStore($bnmodule)."',
                                  $bannercolumn[moduleid]='".pnVarPrepForStore($bnmoduleid)."',
                                  $bannercolumn[width]='".pnVarPrepForStore($dpwidth)."',
                                  $bannercolumn[height]='".pnVarPrepForStore($dpheight)."',
                                  $bannercolumn[lang]='".pnVarPrepForStore($bnlang)."'
                              WHERE $bannercolumn[bid]=".pnVarPrepForStore($bid)."";
    //echo $sql;
    $result = $dbconn->Execute($sql);
    if($dbconn->ErrorNo()<>0) {
        error_log("Error: " . $dbconn->ErrorMsg());
    } 

    pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=BannersAdmin');
}

function BannerClientDelete()
{
    list($cid,
         $ok) = pnVarCleanFromInput('cid',
                                    'ok');
    if (!isset($ok)) {
        $ok = 0;
    }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();


    $bannerclientcolumn =  &$pntable['bannerclient_column'];

    $result = $dbconn->Execute("SELECT $bannerclientcolumn[name]
                              FROM $pntable[bannerclient]
                              WHERE $bannerclientcolumn[cid] = ".pnVarPrepForStore($cid)."");
    list($clientname) = $result->fields;
    $result->Close();

    if (!pnSecAuthAction(0, 'Banners::Client', "$clientname::$cid", ACCESS_DELETE)) {
        include 'header.php';
        echo _BANNERSDELCLIENTNOAUTH;
        include 'footer.php';
        return;
    }

    if ($ok==1) {
        if (!pnSecConfirmAuthKey()) {
            include 'header.php';
            echo _BADAUTHKEY;
            include 'footer.php';
            exit;
        }

        $result = $dbconn->Execute("DELETE FROM $pntable[banner] 
                                  WHERE {$pntable['banner_column']['cid']}='".pnVarPrepForStore($cid)."'");
        if($dbconn->ErrorNo()<>0) {
            error_log("Error: " . $dbconn->ErrorMsg());
        }
        $result = $dbconn->Execute("DELETE FROM $pntable[bannerclient] 
                                  WHERE {$pntable['bannerclient_column']['cid']}='".pnVarPrepForStore($cid)."'");
        if($dbconn->ErrorNo()<>0) {
            error_log("Error: " . $dbconn->ErrorMsg());
        }

        pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=BannersAdmin');
    } else {
        include("header.php");
        GraphicAdmin();
        OpenTable();
        echo "<center><font class=\"pn-title\"><b>"._BANNERSADMIN."</b></font></center>";
        CloseTable();

        $column = $pntable['bannerclient_column'];
        $result = $dbconn->Execute("SELECT $column[cid], $column[name] 
                                  FROM $pntable[bannerclient] 
                                  WHERE $column[cid]=".pnVarPrepForStore($cid)."");

        list($cid, $name) = $result->fields;
        OpenTable();
        echo "<center><b>"._DELETECLIENT.": $name</b><br><br>
            "._SURETODELCLIENT."<br><br>";
        $column = $pntable['banner_column'];
        $result = $dbconn->Execute("SELECT $column[imageurl], $column[clickurl] 
                                   FROM $pntable[banner] 
                                   WHERE $column[cid]=".pnVarPrepForStore($cid)."");
        if($result->EOF) {
            echo ""._CLIENTWITHOUTBANNERS."<br><br>";
        } else {
            echo "<b>"._WARNING."!!!</b><br>
                "._DELCLIENTHASBANNERS.":<br><br>";
        }

        while(list($imageurl, $clickurl) = $result->fields) {
            echo "<a href=\"$clickurl\"><img src=\"$imageurl\" border=\"1\" alt=\"\"></a><br>
                <a href=\"$clickurl\">$clickurl</a><br><br>";
            $result->MoveNext();
        }
        echo ""._SURETODELCLIENT."<br><br>
        [ <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=BannersAdmin\">"
        ._NO."</a> | <a href=\"admin.php?module=".$GLOBALS['module']."&amp;op=BannerClientDelete&amp;cid=$cid&amp;ok=1&amp;authid=" . pnSecGenAuthKey() . "\">"
        ._YES."</a> ]</center><br><br></center>";
        CloseTable();
        include("footer.php");
    }
}

function BannerClientEdit()
{
    list($cid,
    	 $clientname) = pnVarCleanFromInput('cid',
    	 				    'clientname');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    include("header.php");

    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"pn-title\"><b>"._BANNERSADMIN."</b></font></center>";
    CloseTable();

    $column = $pntable['bannerclient_column'];
    $result = $dbconn->Execute("SELECT $column[name],
                                     $column[contact],
                                     $column[email],
                                     $column[login],
                                     $column[passwd],
                                     $column[extrainfo] 
                              FROM $pntable[bannerclient] 
                              WHERE $column[cid]=".pnVarPrepForStore($cid)."");
    list($name, $contact, $email, $login, $passwd, $extrainfo) = $result->fields;

    if(!isset($clientname)) {
        $clientname = '';
    }
    if (!pnSecAuthAction(0, 'Banners::Client', "$clientname::$cid", ACCESS_EDIT)) {
        echo _BANNERSEDITCLIENTNOAUTH;
        include 'footer.php';
        return;
    }

    OpenTable();
    echo "<center><font class=\"pn-title\"><b>"._EDITCLIENT."</b></font></center><br><br>"
        ."<form action=\"admin.php\" method=\"post\">"
        .""._CLIENTNAME.": <input type=\"text\" name=\"name\" value=\"$name\" size=\"30\" maxlength=\"60\"><br>"
        .""._CONTACTNAME.": <input type=\"text\" name=\"contact\" value=\"$contact\" size=\"30\" maxlength=\"60\"><br>"
        .""._CONTACTEMAIL.": <input type=\"text\" name=\"email\" size=30 maxlength=\"60\" value=\"$email\"><br>"
        .""._CLIENTLOGIN.": <input type=\"text\" name=\"login\" size=12 maxlength=\"10\" value=\"$login\"><br>"
        .""._CLIENTPASSWD.": <input type=\"text\" name=\"passwd\" size=12 maxlength=\"10\" value=\"$passwd\"><br><br>"
        .""._EXTRAINFO."<br><textarea name=\"extrainfo\" id=\"extrainfo\" cols=\"60\" rows=\"10\">$extrainfo</textarea><br>"
        ."<input type=\"hidden\" name=\"cid\" value=\"$cid\">"
        ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
        ."<input type=\"hidden\" name=\"op\" value=\"BannerClientChange\">"
        ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
        ."<input type=\"submit\" value=\""._SAVECHANGES."\">"
        ."</form>";
    CloseTable();

    include 'footer.php';
}

function BannerClientChange()
{
    list($cid,
         $name,
         $contact,
         $email,
         $extrainfo,
         $login,
         $passwd) = pnVarCleanFromInput('cid',
                                        'name',
                                        'contact',
                                        'email',
                                        'extrainfo',
                                        'login',
                                        'passwd');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $column = $pntable['bannerclient_column'];

    // NB - authorisation is against *OLD* client name
    $bannerclientcolumn =  &$pntable['bannerclient_column'];

    $result = $dbconn->Execute("SELECT $bannerclientcolumn[name]
                              FROM $pntable[bannerclient]
                              WHERE $bannerclientcolumn[cid] = ".pnVarPrepForStore($cid)."");
    list($clientname) = $result->fields;
    $result->Close();

    if (!pnSecAuthAction(0, 'Banners::Client', "$clientname::$cid", ACCESS_EDIT)) {
        include 'header.php';
        echo _BANNERSEDITCLIENTNOAUTH;
        include 'footer.php';
        return;
    }

    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    $result = $dbconn->Execute("UPDATE $pntable[bannerclient] 
                              SET $column[name]='".pnVarPrepForStore($name)."', $column[contact]='".pnVarPrepForStore($contact)."',
                                $column[email]='".pnVarPrepForStore($email)."', $column[extrainfo]='".pnVarPrepForStore($extrainfo)."', 
				$column[login]='".pnVarPrepForStore($login)."', $column[passwd]='".pnVarPrepForStore($passwd)."' WHERE $column[cid]=".pnVarPrepForStore($cid)."");
    if($dbconn->ErrorNo()<>0) {
        error_log("Error: " . $dbconn->ErrorMsg());
    }

    pnRedirect('admin.php?module='.$GLOBALS['module'].'&op=BannersAdmin');
}

function banners_admin_getConfig()
{
    include 'header.php';
    $bgcolor2 = $GLOBALS["bgcolor2"];

    // prepare vars
    $sel_banners['0'] = '';
    $sel_banners['1'] = '';
    $sel_banners[pnConfigGetVar('banners')] = ' checked';

    GraphicAdmin();
    OpenTable();
    print '<center><font size="3" class="pn-title">'._BANNERSCONF.'</b></font></center><br>'
          .'<form action="admin.php" method="post">'
        .'<table border="0"><tr><td class="pn-normal">'
        ._ACTBANNERS.'</td><td class="pn-normal">'
        ."<input type=\"radio\" name=\"xbanners\" value=\"1\" class=\"pn-normal\" ".$sel_banners['1'].">"._YES.' &nbsp;'
        ."<input type=\"radio\" name=\"xbanners\" value=\"0\" class=\"pn-normal\" ".$sel_banners['0'].">"._NO.' &nbsp;'
        ."<input type=\"radio\" name=\"xbanners\" value=\"2\" class=\"pn-normal\" ".$sel_banners['2'].">"._DPMODULES
        .'</td></tr><tr><td class="pn-normal">'
        ._YOURIP.':</td><td>'
        ."<input type=\"text\" name=\"xmyIP\" value=\"".pnConfigGetVar('myIP')."\" size=\"30\" class=\"pn-normal\">"
        .'</td></tr></table>'
        ."<input type=\"hidden\" name=\"module\" value=\"".$GLOBALS['module']."\">"
        ."<input type=\"hidden\" name=\"op\" value=\"setConfig\">"
        ."<input type=\"hidden\" name=\"authid\" value=\"" . pnSecGenAuthKey() . "\">"
        ."<input type=\"submit\" value=\""._SUBMIT."\">"
        ."</form>";
    CloseTable();

    include 'footer.php';
}

function banners_admin_setConfig($var)
{
    if (!pnSecConfirmAuthKey()) {
        include 'header.php';
        echo _BADAUTHKEY;
        include 'footer.php';
        exit;
    }

    // Escape some characters in these variables.
    // hehe, I like doing this, much cleaner :-)
    $fixvars = array();

    // todo: make FixConfigQuotes global / replace with other function
    foreach ($fixvars as $v) {
	//$var[$v] = FixConfigQuotes($var[$v]);
    }

    // Set any numerical variables that havn't been set, to 0. i.e. paranoia check :-)
    $fixvars = array();

    foreach ($fixvars as $v) {
        if (empty($var[$v])) {
            $var[$v] = 0;
        }
    }

    // all variables starting with x are the config vars.
    while(list ($key, $val) = each ($var)) {
        if (substr($key, 0, 1) == 'x') {
            pnConfigSetVar(substr($key, 1), $val);
        }
    }
    pnRedirect('admin.php');
}

function banners_admin_main($var)
{
    list($op,
    	 $bid) = pnVarCleanFromInput('op',
    	 			     'bid');

   extract($var);

    if (!(pnSecAuthAction(0, 'Banners::Banner', '::', ACCESS_READ))) {
        include 'header.php';
        echo _BANNERSNOAUTH;
        include 'footer.php';
    } else {
        switch($op) {

            case "BannersAdmin":
                BannersAdmin();
                break;

            case "BannersAdd":
                BannersAdd();
                break;

            case "BannerAddClient":
                BannerAddClient();
                break;

            case "BannerFinishDelete":
                BannerFinishDelete();
                break;

            case "BannerDelete":
                BannerDelete();
                break;

            case "BannerEdit":
                BannerEdit($bid);
                break;

            case "BannerChange":
                BannerChange();
                break;

            case "BannerClientDelete":
                BannerClientDelete();
                break;

            case "BannerClientEdit":
                BannerClientEdit();
                break;
    
            case "BannerClientChange":
                BannerClientChange();
                break;
            
            case "getConfig":
                 banners_admin_getConfig();
                 break;

            case "setConfig":
                 banners_admin_setConfig($var);
                 break;

            default:
               BannersAdmin();
               break;
       }
   }
}
?>
