<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original        Author of this file: Francisco Burzi
// Purpose of this file:
// ----------------------------------------------------------------------


if (!defined("LOADED_AS_MODULE")) {
         die ("You can't access this file directly...");
     }

list ($save, $op, $mode, $order, $thold, $sid, $tid) = pnVarCleanFromInput('save', 'op', 'mode', 'order', 'thold', 'sid', 'tid');
if ((empty($sid) && empty($tid)) ||
    (!is_numeric($sid) && !is_numeric($tid))) {
        include 'header.php';
        OpenTable();
        echo _MODARGSERROR;
        CloseTable();
        include 'footer.php';
}


$ModName = $GLOBALS['name'];

modules_get_language();

$pntable = pnDBGetTables();

include_once("modules/$ModName/funcs.php");
$page = "modules/News/article.php";


if (isset($save) &&  (pnUserLoggedIn())) {
    $uid = pnUserGetVar('uid');
    $column = &$pntable['users_column'];
    $sql = "UPDATE $pntable[users] SET ";
    $sql .= "$column[umode]='" . pnVarPrepForStore($mode) . "', ";
    $sql .= "$column[uorder]='" . pnVarPrepForStore($order) . "', ";
    $sql .= "$column[thold]='" . pnVarPrepForStore($thold) . "'";
    $sql .= " WHERE $column[uid]='" . pnVarPrepForStore($uid) . "'";
    $dbconn->Execute($sql);
}

if ($op == "Reply") {
    pnRedirect('modules.php?op=modload&name=NS-Comments&file=index'
                      .'&req=Reply&pid=0&sid='.$sid.'&mode='
                      .$mode.'&order='.$order.'&thold='.$thold);
}

// Get the article we're looking at
$results = getArticles("{$pntable['stories_column']['sid']}=$sid", "", "");
$info =        genArticleInfo($results[0]);

// FIXED: <furbo> "View any story with know sid number" security bug
if (!pnSecAuthAction(0, 'AddStory::Story', "$info[aid]:$info[cattitle]:$info[sid]", ACCESS_READ) ||
    !pnSecAuthAction(0, 'AddStory::Category', "$info[cattitle]::$info[catid]", ACCESS_READ) ||
    !pnSecAuthAction(0, 'Topics::Topic', "$info[topicname]::$info[tid]", ACCESS_READ))
{
   include "header.php";
   echo ""._NOTAUTHSTORY." ".$info[title]."";
   include "footer.php";
   exit;
}


$links = genArticleLinks($info);
$preformat = genArticlePreformat($info,        $links);

$column        = &$pntable['stories_column'];
$dbconn->Execute("UPDATE $pntable[stories] SET $column[counter]=$column[counter]+1 WHERE $column[sid]=$sid");

// set theme overrides prior to        header
$themeOverrideCategory = $info['catthemeoverride'];
$themeOverrideStory        = $info['themeoverride'];

$artpage = 1;
include        ("header.php");
$artpage = 0;

// Backwards compatibility
formatTimestamp(GetUserTime($info['time']));
$notes = $info['notes'];

echo "<table border=\"0\"><tr><td valign=\"top\">\n";

//CyberOto [---Begin-----------------------------]
//If we have a --colspan= then remove it
$pos = strpos("-".$info['fulltext'],"&lt;!--colspan=");
if($pos > 0)
{
        //all calculating is based on what PN return :-) &lt;!--colspan=X--&gt;
        $pos_e = strpos($info['hometext'], "--&gt;");
        $pos_e += 1; // +1 because we add a char in front of string -> string='-'+string
        $pos_b = $pos + 15; //Actual pos is 14 (+1) see above
        $length = $pos_e - $pos_b; // how many colaspns ?
        $pos_end = ($pos_e + $length) + 4; //End position of [colspan=X]
        $preformat['fulltext'] = substr($info['fulltext'], 0, $pos-1).substr($info['fulltext'], $pos_end); //remove tag
}
//CyberOto [---End-------------------------------]
if ($GLOBALS['postnuke_theme']) {
        themearticle($info['aid'], $info['informant'], $info['time'], $info['catandtitle'],        $preformat['maintext'],        $info['topic'],        $info['topicname'],        $info['topicimage'], $info['topictext'], $info,        $links,        $preformat);
} else {
        themearticle($info['aid'], $info['informant'], $info['time'], $info['catandtitle'],        $preformat['maintext'],        $info['topic'],        $info['topicname'],        $info['topicimage'], $info['topictext']);
}


if(pnConfigGetVar('nobox') == 0)
{
    echo "</td><td>&nbsp;</td><td valign=\"top\">\n";

        $column        = &$pntable['blocks_column'];
        $myquery = buildSimpleQuery        ('blocks', array ('active', 'position', 'weight'), "$column[bkey]='login'");
        $result        = $dbconn->Execute($myquery);
//modified for Oracle conpatibility
//                while(list($active,        $position, $weight)        = $result->fields) {
                while(!$result->EOF){
                                list($active, $position, $weight) = $result->fields;

                $result->MoveNext();
                if($active == '1' && $position == 'r'){
                        $row = array();
            //pnBlockShow('Core', 'login', array('position' => 'r')); // TiMax all people don't like it

        }
    }

        // Only        do topic things        if the story had a topic
        if (!empty($info['tid']))
        {
                $boxtitle =        _RELATED;
                $boxstuff =        "<font class=\"pn-normal\">";

                $column        = &$pntable['related_column'];
                $myquery = buildSimpleQuery        ('related',        array ('name', 'url'), "$column[tid]=$info[tid]");
                $result        = $dbconn->Execute($myquery);
//modified for Oracle conpatibility
//                                while(list($name, $url)        = $result->fields){
                                while(!$result->EOF){
                                                list($name, $url) = $result->fields;
                        $result->MoveNext();
                        $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a class=\"pn-normal\" href=\"$url\" target=\"new\">$name</a><br>\n";
                }

                $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a class=\"pn-normal\" ";
                $boxstuff .= "href=\"modules.php?op=modload&amp;name=Search&amp;file=index&amp;";
                $boxstuff .= "action=search&amp;overview=1&amp;active_stories=1&amp;";
                $boxstuff .= "stories_topics[0]=$info[tid]\"";
                $boxstuff .= ">"._MOREABOUT." $info[topictext]</a><br>\n";

                $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a class=\"pn-normal\" ";
                $boxstuff .= "href=\"modules.php?op=modload&amp;name=Search&amp;file=index&amp;";
                $boxstuff .= "action=search&amp;overview=1&amp;active_stories=1&amp;";
                $boxstuff .= "stories_author=$info[informant]\"";
                $boxstuff .= ">"._NEWSBY." $info[informant]</a><br>\n";

        //$boxstuff .= $boxlink;

                $boxstuff .= "</font><br><div align=\"center\"><font class=\"pn-normal\">"._MOSTREAD."        $info[topictext]:<br>\n";

                // Last        story on this topic
                $column        = &$pntable['stories_column'];
                $results = getArticles("$column[topic]=$info[tid]",        "$column[counter] DESC", 1);

                // Solve for bug #524506
                $ta_row        = $results[0];
                $ta_info = genArticleInfo($ta_row);
                $ta_links =        genArticleLinks($ta_info);
                $ta_preformat =        genArticlePreformat($ta_info, $ta_links);

                $boxstuff .= "$ta_preformat[title]</font></div><br>";
                $boxstuff .= "<table border=\"0\"><tr><td align=\"left\">\n";
                $boxstuff .= "</td><td align=\"right\">\n";
                $boxstuff .= "</td></tr></table>\n";

                $tbl = 180;
                $box['title'] =        $boxtitle;
                $box['content']        = $boxstuff;
                $box['position'] = 'l';
                themesideblock($box);
                  pnBlockShow('News', 'rating', array('position' => 'l'));
        }
}


$tbl = 0;
echo "</td></tr></table>\n";
// added display hook - bug #174 - ferenc veres

echo pnModCallHooks('item', 'display', $sid, "modules.php?op=modload&amp;name=News&amp;file=article&amp;sid=$sid");
if ($info['withcomm'] == 0) {
    if ($GLOBALS['mode'] != "nocomments") {
            if (pnSecAuthAction(0, 'AddStory::Story', "$info[aid]:$info[cattitle]:$info[sid]", ACCESS_READ)) {
                include("modules/NS-Comments/index.php");
             }
    }
}

include        ("footer.php");


?>