<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Purpose of this file: Rating block for articles.
// Author: Cavit Dolgun
// E-Mail: dolgun@hotmail.com
// Website: http://www.austurks.com
// Integrated in MD-Pro Massimiliano Tiraboschi aka TiMax
// ----------------------------------------------------------------------

$blocks_modules['rating'] = array(
    'func_display' => 'blocks_rating_block',
    'text_type' => 'Rating',
    'text_type_long' => "Rating",
    'allow_multiple' => false,
    'form_content' => false,
    'form_refresh' => false,
    'show_preview' => true
);

pnSecAddSchema('Rating::', 'Block title::');

function blocks_rating_block($row)
{

        if($GLOBALS['ModName'] != "News" || $GLOBALS['file'] != "article" || $GLOBALS['sid'] == "") {
                return;
        }
    $imagepath = "modules/News/pnimages/stars-";


    if (!pnSecAuthAction(0, 'Rating::', "$row[title]::", ACCESS_READ)) {
                return;
    }

        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();
        $result = $dbconn->Execute("SELECT COUNT(*) AS total,ROUND(AVG(pn_rating))AS image,ROUND(AVG(pn_rating),1) AS rating FROM $pntable[stories_ratings] WHERE pn_sid=$GLOBALS[sid]");
        $srow = $result->GetRowAssoc(false);
        $content = $srow['rating'];

    if (empty($row['title'])) {
        $row['title'] = _RATETHIS;
    }

    if ($content == 0) {
        $content = "<center>"._RATINGARTECLE."</center><br>\n";
    }
        else {

                $content = "<center>"._AVERRATING." $srow[rating]<br>\n";
                $content .= ""._TOTARATING." $srow[total]<br><br></center>\n";
                $content .="<center><img src=\"$imagepath$srow[image].gif\" border=\"1\" alt=\"$srow[image] "._STARRATING."\"></center><br>";

        }

        if (pnSecAuthAction(0, 'Rating::', "$row[title]::", ACCESS_COMMENT)) {
                $svar = "artrate".$GLOBALS['sid'];
                $lastrate = pnSessionGetVar("$svar");
                if($lastrate == false) {

                  $content .= "<form method=\"post\" action=\"modules.php\">\n"
                                           ."<input type=\"hidden\" name=\"artid\" value=\"$GLOBALS[sid]\">\n"
                                           ."<input type=\"hidden\" name=\"op\" value=\"modload\">\n"
                                           ."<input type=\"hidden\" name=\"name\" value=\"News\">\n"
                                           ."<input type=\"hidden\" name=\"file\" value=\"rating\">\n"
                                           ."<input type=\"radio\" name=\"rating\" value=\"1\"> <img src=\"modules/News/pnimages/stars-1.gif\" width=\"105\" width=\"30\" alt=\"1 "._STARRATING."\"><br>\n"
                                           ."<input type=\"radio\" name=\"rating\" value=\"2\">\n"
                                           ."<img src=\"modules/News/pnimages/stars-2.gif\" width=\"105\" width=\"30\" alt=\"2 "._STARRATING."\"> <br>\n"
                                           ."<input type=\"radio\" name=\"rating\" value=\"3\">\n"
                                           ."<img src=\"modules/News/pnimages/stars-3.gif\" width=\"105\" width=\"30\" alt=\"3 "._STARRATING."\"> <br>\n"
                                           ."<input type=\"radio\" name=\"rating\" value=\"4\">\n"
                                   ."<img src=\"modules/News/pnimages/stars-4.gif\" width=\"105\" width=\"30\" alt=\"4 "._STARRATING."\"> <br>\n"
                                           ."<input type=\"radio\" name=\"rating\" value=\"5\">\n"
                                       ."<img src=\"modules/News/pnimages/stars-5.gif\" width=\"105\" width=\"30\" alt=\"5 "._STARRATING."\"> <br>\n"
                                   ."<center><input name=\"rate\" type=\"submit\" id=\"rate\" value=\""._SUBRATING."\"></center>\n"
                                   ."</form>\n";
                }
        } else {
        }
    $row['content'] = $content;
    return themesideblock($row);
}
?>
