<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Yassen Yotov


function news_init()

{

        pnModSetVar('News', 'links', "5");
        pnModSetVar('News', 'rows', "1");
        pnModSetVar('News', 'toplinkspos', "0");
        pnModSetVar('News', 'bottomlinkspos', "1");

        return true;

}



function news_upgrade($oldversion)

{

        switch($oldversion) {

        case 1.2:

                        news_upgrade(1.3);

                break;

        case 1.3:

                        news_upgrade(1.4);

                break;

        case 1.4:

                        news_upgrade(1.45);

                break;

        case 1.45:

                        pnModSetVar('News', 'links', "5");
                        pnModSetVar('News', 'rows', "1");
                        pnModSetVar('News', 'toplinkspos', "0");
                        pnModSetVar('News', 'bottomlinkspos', "1");
                        return true;

                break;



                default:

                        pnModSetVar('News', 'links', "5");
                        pnModSetVar('News', 'rows', "1");
                        pnModSetVar('News', 'toplinkspos', "0");
                        pnModSetVar('News', 'bottomlinkspos', "1");
                        return true;
                break;

}



function news_delete()

{

        pnModDelVar('News', 'links');
        pnModDelVar('News', 'rows');
        pnModDelVar('News', 'toplinkspos');
        pnModDelVar('News', 'bottomlinkspos');

        return true;

}

?>
