<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of this file: Francisco Burzi
// Purpose of this file:
// ----------------------------------------------------------------------


if ((empty($catid)) && (empty($topic))) {
    $index = 1;
} else {
    $index = 0;
}

// Check if the entered topic, catid and allstories vars are numeric
if ((isset($GLOBALS['topic']) && !empty($GLOBALS['topic']) && !is_numeric($GLOBALS['topic'])) or
        (isset($GLOBALS['catid']) && !empty($GLOBALS['catid']) && !is_numeric($GLOBALS['catid'])) or
        (isset($GLOBALS['allstories']) && !empty($GLOBALS['allstories']) && !is_numeric($GLOBALS['allstories']))    )
{
        include 'header.php';
        OpenTable();
        echo _MODARGSERROR;
        CloseTable();
        include 'footer.php';
}
//End of check
$ModName = 'News';
$GLOBALS['index'] = 1;

modules_get_language();

include_once("modules/$ModName/funcs.php");

automatednews();

function news_user_main()
{
     global $topicname,
                         $topicimage,
                        $topictext,
                        $catid,
                        $topic,
                        $themeOverrideCategory,
                        $ModName,
                        $postnuke_theme,
                        $allstories,
                        $startrow;

        $topic = pnVarCleanFromInput('topic');
        $catid = pnVarCleanFromInput('catid');
        list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();
        $currentlang = pnUserGetLang();

    if (pnConfigGetVar('multilingual') == 1) {
        $column = &$pntable['stories_column'];
//modified for Oracle compatibility
//        $querylang = "AND ($column[alanguage]='$currentlang' OR $column[alanguage]='')";
        $querylang = "AND ($column[alanguage]='$currentlang' OR $column[alanguage]='' OR $column[alanguage] IS NULL)";
    } else {
        $querylang = '';
    }

    if ((!empty($catid)) && ($catid > 0)) {
        $column = &$pntable['stories_cat_column'];
        $result = $dbconn->Execute("SELECT $column[themeoverride]
                                  FROM $pntable[stories_cat]
                                  WHERE $column[catid]='".(int)pnVarPrepForStore($catid)."'");
        //list($themeOverrideCategory) = $result->fields;
        if ($result) $themeOverrideCategory = $result->fields[0];
    }

    include 'header.php';

        if (isset($topic) && !empty($topic) && is_numeric($topic)) {
                OpenTable();

                $column = &$pntable['topics_column'];
                $result = $dbconn->Execute("SELECT $column[topicid], $column[topicname], " .
                                                                "$column[topicimage], $column[topictext] FROM " .
                                                                "$pntable[topics] WHERE $column[topicid]='".pnVarPrepForStore($topic)."'");
                list($topicid, $topicname, $topicimage, $topictext) = $result->fields;
                echo "<center>";
                if (!empty($topicimage)) {
                        echo "<img src=\"".pnConfigGetVar('tipath')."$topicimage\"" . "border=\"0\" alt=\"\"><br><br>";
                }
                echo "<font class=\"pn-title\">" . _THISISTOPIC . pnVarPrepForDisplay($topictext) . "<br>" . _FOLLOWINGNEWS . "</font></center><br><br>";

                CloseTable();
        } else if (!empty($catid) && $catid > 0 && is_numeric($catid)) {
                OpenTable();
                $column = &$pntable['stories_cat_column'];
                $result = $dbconn->Execute("SELECT $column[title] FROM $pntable[stories_cat]
                                                                        WHERE $column[catid]=".(int)pnVarPrepForStore($catid)."");
                list($title) = $result->fields;
                echo "<center><br><font class=\"pn-title\">" . _THISISCATEGORY. pnVarPrepForDisplay($title) . "<br>" . _FOLLOWINGNEWSCATEGORY . "</font></center><br><br>";
                CloseTable();
        }

    if (pnUserLoggedIn()) {
        $storynum = pnUserGetVar('storynum');
    }
    if (empty($storynum)) {
        $storynum = pnConfigGetVar('storyhome');
    }
        if ((!empty($catid)) or (!empty($topic))) {
                  if ((!empty($catid)) && ($catid > 0))
                {
                        $topic = 0;
                $column = &$pntable['stories_cat_column'];
                $result = $dbconn->Execute("SELECT $column[title]
                                  FROM $pntable[stories_cat]
                                  WHERE $column[catid]=".pnVarPrepForStore($catid)."");
                        list($Category) = $result->fields;
                        echo("<font class=\"pn-normal\"> <b>$Category</b></font><br><br>");
                }
                  elseif(!empty($allstories) && $allstories == 1) {
                           $storynum = 999;
                        $column = &$pntable['topics_column'];
                        $result = $dbconn->Execute("SELECT $column[topicid], $column[topicname], $column[topicimage], $column[topictext] FROM $pntable[topics] WHERE $column[topicid]=".pnVarPrepForStore($topic)." ORDER BY $column[topicname] ");
//modified for Oracle compatibility
//                                                while(list($topicid, $topicname, $topicimage, $topictext) = $result->fields){
                        while(!$result->EOF){
                                                        list($topicid, $topicname, $topicimage, $topictext) = $result->fields;
                                $result->MoveNext();
                                echo("<font class=\"pn-normal\">"._TOPICNAME.": <b>$topictext</b></font><br><br>");
                        }
                   } else {
                        $column = &$pntable['topics_column'];
                        $result = $dbconn->Execute("SELECT $column[topicid], $column[topicname], $column[topicimage], $column[topictext] FROM $pntable[topics] WHERE $column[topicid]=".pnVarPrepForStore($topic)." ORDER BY $column[topicname] ");
//modified for Oracle compatibility
//                        while(list($topicid, $topicname, $topicimage, $topictext) = $result->fields){
                        while(!$result->EOF){
                                                        list($topicid, $topicname, $topicimage, $topictext) = $result->fields;

                                $result->MoveNext();
                                echo("<font class=\"pn-normal\">"._TOPICNAME.": <b>$topictext</b></font><br><br>");
                        }

                    echo "<a class=\"pn-normal\" href=\"index.php?module=News&amp;catid=$catid&amp;topic=$topic&amp;allstories=1\">"._SEEALL."</a><br><br>";
                   }
           }
    $allstories = 0;
    $storcol = &$pntable['stories_column'];
    $storcatcol = &$pntable['stories_cat_column'];
    $topiccol = &$pntable['topics_column'];
    if (!empty($catid) && !empty($topic)) { // show only one category and one topic
        $result = $dbconn->Execute("UPDATE $pntable[topics] SET $topiccol[counter]=$topiccol[counter]+1 WHERE $topiccol[topicid]='".(int)pnVarPrepForStore($topic)."'");
        if($dbconn->ErrorNo() != 0) {
            error_log("DB Error updating $pntable[topics]: "
                    . $dbconn->ErrorNo() . ": "
                    . $dbconn->ErrorMsg());
        }

        $dbconn->Execute("UPDATE $pntable[stories_cat] SET $storcatcol[counter]=$storcatcol[counter]+1 WHERE $storcatcol[catid]='".(int)pnVarPrepForStore($catid)."'");
        if($dbconn->ErrorNo()<>0) {
            error_log("DB Error updating $pntable[stories_cat]: "
                    . $dbconn->ErrorNo() . ": "
                    . $dbconn->ErrorMsg());
        }

        $whereclause = "$topiccol[topicid]='".pnVarPrepForStore($topic)."' AND $storcol[catid]='".pnVarPrepForStore($catid)."' ";
    } else if (!empty($catid)) { // show only one category
        $dbconn->Execute("UPDATE $pntable[stories_cat] SET $storcatcol[counter]=$storcatcol[counter]+1 WHERE $storcatcol[catid]='".(int)pnVarPrepForStore($catid)."'");
        if($dbconn->ErrorNo() != 0) {
            error_log("DB Error updating $pntable[stories_cat]: "
                    . $dbconn->ErrorNo() . ": "
                    . $dbconn->ErrorMsg());
        }

        $whereclause = "$storcol[catid]='".pnVarPrepForStore($catid)."' ";

    } else if (!empty($topic)) { // show only one category
        $dbconn->Execute("UPDATE $pntable[topics] SET $topiccol[counter]=$topiccol[counter]+1 WHERE $topiccol[topicid]='".(int)pnVarPrepForStore($topic)."'");
        if($dbconn->ErrorNo() != 0) {
            error_log("DB Error updating $pntable[topics]: "
                    . $dbconn->ErrorNo() . ": "
                    . $dbconn->ErrorMsg());
        }
        $whereclause = "($topiccol[topicid]='".(int)pnVarPrepForStore($topic)."' OR $topiccol[topicid]=0) ";
    } else {
        $whereclause = "$storcol[ihome]=0";
    }
    $num_record = getArticles($whereclause, "", 0, 0, true);

        if (empty($startrow))
        {
                $startrow=0;
        }

            switch (pnConfigGetVar('storyorder')) {
            case '1':
                    $storyorder = "$storcol[time] DESC";
                    break;
            default:
                    $storyorder = "$storcol[sid] DESC";
                    break;
    }
        $articles = getArticles($whereclause, $storyorder, $storynum, $startrow);

        $pagelinks = pnModGetVar(_CONFIG_MODULE, 'links');
        $toplinks = pnModGetVar(_CONFIG_MODULE, 'toplinkspos');
        $bottomlinks = pnModGetVar(_CONFIG_MODULE, 'bottomlinkspos');
        if(empty($pagelinks)) {$pagelinks = 5;}

        pagelinks($toplinks, $pagelinks, $storynum, $num_record );
//triduo ***Begin***********************

        $x=0;     //colonna attuale   column
        $colsXrow = pnModGetVar(_CONFIG_MODULE, 'rows'); //numero di colonne per rigo, number of columns per row
        if($colsXrow==0) {$colsXrow=1;} //if we ensure that pnModGetVar('rows') returns a value>0 we can delete that instruction - this can be ensured by new install and not upgrade
        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $output->SetOutputMode(_PNH_RETURNOUTPUT);
        echo $output->TableStart('','','0');
        foreach ($articles as $row) {

        // $info is array holding raw information.
        // Used below and also passed to the theme - jgm
        $info = genArticleInfo($row);

        // Need to at least have overview permissions on this story
        // February 19, 2002 -- Rabbitt (aka Carl P. Corliss) -- Added Topics permission check
        if (pnSecAuthAction(0, 'AddStory::', "$info[aid]:$info[cattitle]:$info[sid]", ACCESS_OVERVIEW) &&
            pnSecAuthAction(0, 'Topics::Topic',"$info[topicname]::$info[tid]",ACCESS_OVERVIEW)) {

                        //triduo 07092002 lets the publisher specify the colspan for each article
                        //triduo it. permette all'editore di specificare la larghezza in colonne per ogni articolo
                        $colspan=1;
                        $pos = strpos("-".$info['hometext'],"&lt;!--colspan="); //search for the <!--colspan=x--> descriptor.
                        //when string found at char 0 then $pos=1 as string='-'+string   //se si trova la stringa alla prima posizione restituira' 1 giacche stringa='-'+stringa
                        if($pos>0)
                        {
                                //all calculating is based on what PN return :-) &lt;!--colspan=X--&gt;
                                $pos_e = strpos($info['hometext'], "--&gt;");
                                $pos_e += 1; // +1 because we add a char in front of string -> string='-'+string
                                $pos_b = $pos + 15; //Actual pos is 14 (+1) see above
                                $length = $pos_e - $pos_b; // how many colaspns ?
                                $colspan = substr("-".$info['hometext'], $pos_b, $length); //Get number(s)
                                $pos_end = ($pos_e + $length) + 4; //End position of [colspan=X]
                                $info['hometext'] = substr($info['hometext'], 0, $pos-1).substr($info['hometext'], $pos_end); //remove tag
                        }

                        //------------------------
                        // $links is an array holding pure URLs to
            // specific functions for this article.
            // Used below and also passed to the theme - jgm
            $links = genArticleLinks($info);
            $preformat = genArticlePreformat($info, $links);
                        if($colsXrow==1)
                        {
                                echo $output->TableRowStart('center','Top')
                                        .$output->TableColStart('1','center','Top','');
                                $x=0;
                        }
                        else
                        {
                                if($x<$colsXrow)
                                {
                                        if($x==0)
                                        {  //starts a new row comincia un nuovo rigo
                                                echo $output->TableRowStart('center','Top');
                                                if($colspan>$colsXrow) { $colspan=$colsXrow; }
                                        }
                                        else
                                        {
                                                echo $output->TableColEnd();
                                                //If the new article width is larger that the available cells, then I add a new row
                                                if(($x+$colspan)>$colsXrow)
                                                {
                                                        $tillEnd=$colsXrow-$x;
                                                        echo $output->TableColStart($tillEnd,'center','top','1')
                                                                .$output->Text('&nbsp')
                                                                .$output->TableColEnd()
                                                                .$output->TableRowEnd()
                                                                .$output->TableRowStart('center','Top');
                                                        $x=0;
                                                }
                                        }
                                        echo $output->TableColStart($colspan,'center', 'top','1');
                                        $x+=$colspan;
                                }
                        }

            if ($GLOBALS['postnuke_theme']) {
             themeindex($info['aid'], $info['informant'], $info['longdatetime'], $info['catandtitle'], $info['counter'], $info['topic'], $preformat['hometext'], $info['notes'], $preformat['more'], $info['topicname'], $info['topicimage'], $info['topictext'], $info, $links, $preformat);
        } else {
             themeindex($info['aid'], $info['informant'], $info['longdatetime'], $info['catandtitle'], $info['counter'], $info['topic'], $preformat['hometext'], $info['notes'], $preformat['more'], $info['topicname'], $info['topicimage'], $info['topictext']);
        }

        if($x>=$colsXrow)  { //last row column //ultima colonna del rigo
            echo $output->TableColEnd()
                .$output->TableRowEnd();
            $x=0;
         }
      }
  }
if($x>0&&$x<$colsXrow)  {
    echo $output->TableColEnd()
        .$output->TableRowEnd();
    echo $output->TableColEnd()
        .$output->TableRowEnd();
}
    echo $output->TableEnd();
    pagelinks($bottomlinks, $pagelinks, $storynum, $num_record );
    include 'footer.php';
    return $output->GetOutput();
}

?>
