// I18N constants

// LANG: "en", ENCODING: UTF-8 | ISO-8859-1
// Author: Mihai Bazon, http://dynarch.com/mishoo
// Translated in Italian by: putino - webmaster@mdaddons.com

// FOR TRANSLATORS:
//
//   1. PLEASE PUT YOUR CONTACT INFO IN THE ABOVE LINE
//      (at least a valid email address)
//
//   2. PLEASE TRY TO USE UTF-8 FOR ENCODING;
//      (if this is not possible, please include a comment
//       that states what encoding is necessary.)

ContextMenu.I18N = {
	// Items that appear in menu.  Please note that an underscore (_)
	// character in the translation (right column) will cause the following
	// letter to become underlined and be shortcut for that menu option.

	"Cut"                                                   : "Taglia",
	"Copy"                                                  : "Copia",
	"Paste"                                                 : "Incolla",
	"Image Properties"                                      : "Propriet _Immagine...",
	"Modify Link"                                           : "_Modifica Link...",
	"Check Link"                                            : "_Verifica Link...",
	"Remove Link"                                           : "_Rimuovi Link...",
	"Cell Properties"                                       : "Priopriet C_elle...",
	"Row Properties"                                        : "Propriet Rig_he...",
	"Insert Row Before"                                     : "I_nserisci Riga Prima",
	"Insert Row After"                                      : "In_serisci Riga Dopo",
	"Delete Row"                                            : "Cancella Riga",
	"Table Properties"                                      : "Propriet _Tabella...",
	"Insert Column Before"                                  : "Inserisci _Colonna Prima",
	"Insert Column After"                                   : "Inserisci C_olonna Dopo",
	"Delete Column"                                         : "Cancella Colonna",
	"Justify Left"                                          : "Giustifica a Sinistra",
	"Justify Center"                                        : "Giustifica al Centro",
	"Justify Right"                                         : "Giustifica a Destra",
	"Justify Full"                                          : "Giustifica tutto",
	"Make link"                                             : "Crea lin_k...",
	"Remove the"                                            : "Rimuovi il",
	"Element"                                               : "Elemento...",

	// Other labels (tooltips and alert/confirm box messages)

	"Please confirm that you want to remove this element:"  : "Per piacere conferma che vuoi rimuovere questo elemento:",
	"Remove this node from the document"                    : "Rimuovi questo nodo dal documento",
	"How did you get here? (Please report!)"                : "Come sei arrivato qui? (Per piacere riporta!)",
	"Show the image properties dialog"                      : "Mostra la finestra di propriet immagine",
	"Modify URL"                                            : "Modifica URL",
	"Current URL is"                                        : "L'URL al momento ",
	"Opens this link in a new window"                       : "Apri questo link in una nuova finestra",
	"Please confirm that you want to unlink this element."  : "Per piacere conferma che vuoi levare il link da questo elemento.",
	"Link points to:"                                       : "Il link punta a:",
	"Unlink the current element"                            : "Togli il link all'elemento corrente",
	"Show the Table Cell Properties dialog"                 : "Mostra la finestra Priopriet Cella Tabella",
	"Show the Table Row Properties dialog"                  : "Mostra la finestra Propriet Riga Tabella",
	"Insert a new row before the current one"               : "Inserisci una nuova riga prima di quella corrente",
	"Insert a new row after the current one"                : "Inserisci una nuova riga dopo di quella corrente",
	"Delete the current row"                                : "Cancella la riga corrente",
	"Show the Table Properties dialog"                      : "Mostra la finestra Propriet Tabella",
	"Insert a new column before the current one"            : "Inserisci una nuova colonna prima di quella corrente",
	"Insert a new column after the current one"             : "Inserisci una nuova colonna dopo di quella corrente",
	"Delete the current column"                             : "Cancella la colonna corrente",
	"Create a link"                                         : "Crea un link"
};
