<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------
// 11-30-2001:ahumphr - created file as part of modularistation

include("config/wl-config.php");

/**
 * MostPopular
 */
function MostPopular($ratenum, $ratetype) {
    global $web_links_show_star, $datetime, $ModName, $modurl;;

    include("header.php");

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $locale = pnConfigGetVar('locale');
    $mostpoplinkspercentrigger = pnConfigGetVar('mostpoplinkspercentrigger');
    $mostpoplinks = pnConfigGetVar('mostpoplinks');
    $mainvotedecimal = pnConfigGetVar('mainvotedecimal');

    menu(1);

    OpenTable();

    echo "<table border=\"0\" align=\"center\">";
		echo "<tr><td align=\"center\" colspan=\"2\">";

    if ($ratenum != "" && $ratetype != "") {
        $mostpoplinks = $ratenum;
        if ($ratetype == "percent") $mostpoplinkspercentrigger = 1;
    }

    if ($mostpoplinkspercentrigger == 1) {
		
        $toplinkspercent = $mostpoplinks;
        $result=$dbconn->Execute("SELECT COUNT(*) FROM $pntable[links_links]");
        list($totalmostpoplinks) = $result->fields;
        
				$mostpoplinks = $mostpoplinks / 100;
        $mostpoplinks = $totalmostpoplinks * $mostpoplinks;
        $mostpoplinks = round($mostpoplinks);
        $mostpoplinks = max(1, $mostpoplinks); // ensure we show at least one result!!
        echo "<center><b>"._MOSTPOPULAR." $toplinkspercent% ("._OFALL." $totalmostpoplinks "._LINKS.")</b></center></td></tr>";
    } else {
		    echo "<center><b>"._MOSTPOPULAR." $mostpoplinks</b></center></td></tr>";
    }

		//menu
    echo "<tr><td colspan=\"2\"><center>"._SHOWTOP.": [ <a href=\"${modurl}&amp;req=MostPopular&amp;ratenum=10&amp;ratetype=num\">10</a> - "
        ."<a href=\"${modurl}&amp;req=MostPopular&amp;ratenum=25&amp;ratetype=num\">25</a> - "
        ."<a href=\"${modurl}&amp;req=MostPopular&amp;ratenum=50&amp;ratetype=num\">50</a> | "
        ."<a href=\"${modurl}&amp;req=MostPopular&amp;ratenum=1&amp;ratetype=percent\">1%</a> - "
        ."<a href=\"${modurl}&amp;req=MostPopular&amp;ratenum=5&amp;ratetype=percent\">5%</a> - "
        ."<a href=\"${modurl}&amp;req=MostPopular&amp;ratenum=10&amp;ratetype=percent\">10%</a> ]</center><br><br></td></tr>";
    
		$column = &$pntable['links_links_column'];
    $myquery = buildSimpleQuery ('links_links', array ('lid', 'cat_id', 'title', 'image', 'description', 'date', 'hits', 'linkratingsummary', 'totalvotes', 'totalcomments'), '', "$column[hits] DESC", $mostpoplinks);
    $result=$dbconn->Execute($myquery);

//modified for Oracle compatibility
//		while(list($lid, $cid, $title, $image, $description, $time, $hits, $linkratingsummary, $totalvotes, $totalcomments)=$result->fields) {
	while(!$result->EOF){
		list($lid, $cid, $title, $image, $description, $time, $hits, $linkratingsummary, $totalvotes, $totalcomments)=$result->fields;
	
        $result->MoveNext();
        $linkratingsummary = number_format($linkratingsummary, $mainvotedecimal);
				
// Screenshots added
		if($displayscreenshot==1) {

			$fp = @fopen("$image_dir/$image","r");
//modified for little bug			
//			if ($fp) {
			if ($image) {
				echo"<tr><td width=90>
							<center>
								<a href=\"${modurl}&amp;req=visit&amp;lid=".(int)$lid."\" target=\"new\">
								<img border=1 width=\"$screenshotwidth\"  height=\"$screenshotheight\" border=\"0\" alt=\"".$title."\""; 
				if($image_dir > "" ) {
					echo"src=\"$image_dir/$image\">";
				}
				else {
					echo"src=\"$image_dir/$image\">";
				}
				echo"</center></td><td>"; 
			}
			else {
				echo"<tr><td width=90><center>"._NOPICTURE."</center></td><td>";
			}
		}
//Screenshot end
			
								
        echo "<a href=\"${modurl}&amp;req=visit&amp;lid=".pnVarPrepForDisplay($lid)."\" target=\"new\">".pnVarPrepForDisplay($title)."</a>";
        newlinkgraphic($datetime, $time);
        popgraphic($hits);
        echo "<br>";
        echo ""._WL_DESCRIPTION.": ".pnVarPrepHTMLDisplay($description)."<br>";
        setlocale (LC_TIME, $locale);
        ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
        $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
        $datetime = ucfirst($datetime);
        echo ""._ADDEDON.": $datetime "._HITS.": <b>".pnVarPrepForDisplay($hits)."</b>";
        $transfertitle = str_replace (" ", "_", $title);
        /* voting & comments stats */
        if ($totalvotes == 1) {
            $votestring = _VOTE;
        } else {
            $votestring = _VOTES;
        }
        if ($linkratingsummary!="0" || $linkratingsummary!="0.0") {
            echo " "._RATING.": ".pnVarPrepForDisplay($linkratingsummary)." (".pnVarPrepForDisplay($totalvotes)." ".pnVarPrepForDisplay($votestring).")";
            if ($web_links_show_star) {
                echo " ".web_links_rateMakeStar($linkratingsummary, 10);
            }
        }
        LinksBottomMenu($lid, $transfertitle, $totalvotes, $totalcomments);
        detecteditorial($lid, $transfertitle);
        echo "<br>";
        echo ""._CATEGORY.": ".CatPath($cid,1,1,1)."<br><br></td></tr>";
    }

    echo "</table>";
    CloseTable();
    include("footer.php");
}
?>