<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Original Author of file: Sebastien Bernard
// Purpose of file: Display the wiki encoded wiki text content of the block
// ----------------------------------------------------------------------

$blocks_modules['wiki'] = array (
    'func_display' => 'blocks_wiki_block',
    'text_type' => 'WIKI',
    'text_type_long' => 'WIKI',
    'allow_multiple' => true,
    'form_content' => true,
    'form_refresh' => false,
	'allow_delete' => true,
    'show_preview' => true
);
// Security
pnSecAddSchema('WIKIblock::', 'Block title::');

function blocks_wiki_block($row)
{
    if (!pnSecAuthAction(0, 'WIKIblock::', "$row[title]::", ACCESS_OVERVIEW)) {
        return;
    }
	pnModAPILoad('Wiki', 'user');
	$row['content'] =  wiki_userapitransform($row['content']);
	themesideblock($row);
}
?>