<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------

// <security msg="check for direct call">

if (!function_exists(pnModGetVar))
{
global $pnModGetVar;
    die ("You can't access this file directly...");
}
// </security>

function postbbcode_buildbbcodes()
{
   $ourBBCodes = array(
      array('/\[b\](.*?)\[\/b\]/si','<b>\\1</b>'),
      array('/\[h1\](.*?)\[\/h1\]/si', '<h1>\\1</h1>'),
      array('/\[h2\](.*?)\[\/h2\]/si', '<h2>\\1</h2>'),
      array('/\[h3\](.*?)\[\/h3\]/si', '<h3>\\1</h3>'),
      array('/\[h4\](.*?)\[\/h4\]/si', '<h4>\\1</h4>'),
      array('/\[i\](.*?)\[\/i\]/si','<i>\\1</i>'),
      array('/\[u\](.*?)\[\/u\]/si', '<u>\\1</u>'),
      array('/\[s\](.*?)\[\/s\]/si', '<strike>\\1</strike>'),
      array('/\[ot\](.*?)\[\/ot\]/si', '<font color=gray>\\1</font>'),
      array('/\[u\](.*?)\[\/u\]/si', '<u>\\1</u>'),
      array('/\[tt\](.*?)\[\/tt\]/si', '<tt>\\1</tt>'),
      array('/\[br\]/si', '<br>'),
      array('/\[img\](.*?)\[\/img\]/si', '<img src="\1" border="0">'),
      array('/\[img\s*align=["]*([a-z]+).*\](.*?)\[\/img\]/si', '<img src="\2" align="\1" border="0">'),
      array('#\[url\]([a-z]+?://){1}(.*?)\[/url\]#si', '<a href="\1\2" target="_blank">\1\2</a>'),
      array('#\[url\](.*?)\[/url\]#si', '<a href="http://\1" target="_blank">\1</a>'),
      array('#\[url=([a-z]+?://){1}(.*?)\](.*?)\[/url\]#si', '<a href="\1\2" target="_blank">\3</a>'),
      array('#\[url=(.*?)\](.*?)\[/url\]#si', 'http://\1" target="_blank">\2</a>'),
      array('#\[email\](.*?)\[/email\]#si', '<a href="mailto:\1">\1</a>'),
      array('#\[color=(.*?)\](.*?)\[/color\]#si', '<font color="\1">\2</font>'),
      //array('#\[size=([0-9]*?)\](.*?)\[/size\]#si', '<font size="+\1">\2</font>'),
      array('/\[list\](.*?)\[\/list\]/si', '<ul>\1</ul>'),
      array('/\[list=1\](.*?)\[\/list\]/si', '<ol>\1</ol>'),
      array('/\[list=([Aa])\](.*?)\[\/list\]/si', '<ul type="\1">\2</ul>'),
      array('/\[\*\](.*?)\[\/\*\]/si', '<li>\1</li>'),
      array('/\[\*\]/si', '<li>'),
      array('/\[code\](.*?)\[\/code\]/si', '<pre>\1</pre>'),
      array('/\[quote\](.*?)\[\/quote\]/si', '<blockquote>\1</blockquote>'),
      array('/\[small\](.*?)\[\/small\]/si', '<small>\1</small>'),
      array('/\[big\](.*?)\[\/big\]/si', '<big>\1</big>'),
      /* -- non standard -- */
      array('/\[box\](.*?)\[\/box\]/si', '<table border="1" cellpadding="4" cellspacing="0"><tr><td>\1</td></tr></table>'),
      array('/\[box\s*color=([a-z]+)\](.*?)\[\/box\]/si', '<table bgcolor="\1" border="1" cellpadding="4" cellspacing="0"><tr><td>\2</td></tr></table>')
   );
   return $ourBBCodes;
}
?>
