<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Filename: modules/subjects/pnadmin.php
// Original Author of file: Jaroslaw Gilewski (http://www.yagi.com.pl)
// Rewriten for pnAPI by EasyWeb Team (EWT)
// Support:        Russian - http://www.postnuke.ru
//                        English - http://home.postnuke.ru
//          Polish - http://www.yagi.com.pl
// Purpose of file: Administration part of the subjects
// ----------------------------------------------------------------------

//main admin function
function subjects_admin_main() {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
                $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

        if (!pnModAPIFunc('subjects', 'user','auth', array('perm'=>ACCESS_ADMIN))) {
                $output->Text(_SUB_NOAUTH);
                return $output->GetOutput();
        }

        $output->Text(subjects_admin_header());
        return $output->GetOutput();
}

// ----------------------------------------------------------------------
//subjects main admin page header function
function subjects_admin_header() {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

        $html_output.="<center><a class=\"pn-title\" href=\""
                .pnModURL('subjects','admin', 'main')."\"><b>"
                ._SUB_SUBJECTSMODULEADMIN."</b></a></center><br>";
    //please!!! don't remove this line
   // $html_output.="<center><font class=\"pn-sub\">"._SUB_AUTHOR."&nbsp;<a HREF=\"http://www.yagi.com.pl\" target=\"_blank\"><b>YaGi</b></a>&nbsp;&nbsp;&nbsp;"._SUB_SUPPORT."&nbsp;<a HREF=\""._SUB_EWTURL."\" title=\""._SUB_EWTTITLE."\" target=\"_blank\"><b>"._SUB_EWT."</b></a></font></center><br>";

        if (pnModAPIFunc('subjects', 'user','auth', array('perm'=>ACCESS_ADMIN))) {
        $html_output.="<center>|&nbsp;<a href=\""
                        .pnModURL('subjects','admin', 'modifyconfig')."\">"
                        ._SUB_MODIFYCONFIG."</a>&nbsp;|&nbsp;";
    }
        if (pnModAPIFunc('subjects', 'user','auth', array('perm'=>ACCESS_EDIT,'everyone'=>'subject'))) {
                $html_output.="<a href=\""
                        .pnModURL('subjects','admin', 'subjectsadmin')."\">"
                        ._SUB_SUBJECTSADMIN."</a>&nbsp;|&nbsp;";
    }
        if (pnModAPIFunc('subjects', 'user','auth', array('perm'=>ACCESS_ADMIN,'everyone'=>'category'))) {
        $html_output.="<a href=\""
                        .pnModURL('subjects','admin', 'categoriesadmin')
                        ."\">"._SUB_SUBCATEGORIESADMIN."</a>&nbsp;|&nbsp;";
    }
        if (pnModAPIFunc('subjects', 'user','auth', array('perm'=>ACCESS_EDIT,'everyone'=>'subject'))) {
                $html_output.="<a href=\"".pnGetBaseURL()."modules/subjects/pnlang/".pnUserGetLang()."/manual.html\" target=\"_blank\">"._SUB_ONLINEMANUAL."</a>&nbsp;|&nbsp;";
        }
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

    $output->Text($html_output);
    return $output->GetOutput();
}

// ----------------------------------------------------------------------
//subjects admin page
function subjects_admin_subjectsadmin() {

	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
                $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

    list($dbconn) = pnDBGetConn();
        $pntable = pnDBGetTables();

        $subjectsconfig['wysiwygeditor']=pnModGetVar('subjects', 'wysiwygeditor');
        $subjectsconfig['textareawidth']=pnModGetVar('subjects', 'textareawidth');
        $subjectsconfig['textareaheight']=pnModGetVar('subjects', 'textareaheight');
        $pagespath=pnModGetVar('subjects', 'pagespath');


    $html_output="";

    $html_output.=subjects_admin_header();

    $column = &$pntable['subjects_column'];
    $column2 = &$pntable['subcategories_column'];
//modified for Oracle compatibility
	switch ($dbtype){
	    case "oci8":
			$sql = "SELECT $column[subid], $column[catid], $column2[catname],
                        $column[subname], $column[sublanguage], $column[subactive]
                        FROM $pntable[subjects], $pntable[subcategories]
                        WHERE $column[catid]=$column2[catid](+) 
                        ORDER BY nvl($column2[catorder],0), $column[suborder]";
			break;
		default:
        $sql = "SELECT $column[subid], $column[catid], $column2[catname],
                        $column[subname], $column[sublanguage], $column[subactive]
                        FROM $pntable[subjects]
                        LEFT JOIN $pntable[subcategories]
                        ON $column[catid]=$column2[catid]
            ORDER BY $column2[catorder], $column[suborder]";
			break;
	}
        $result = $dbconn->Execute($sql);
    if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
    }

    if (!$result->EOF) {
        //edit subjects
                if (pnModAPIFunc('subjects', 'user','auth', array('perm'=>ACCESS_EDIT,'everyone'=>'subject'))) {
                        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
            $html_output.="<center><font class=\"pn-title\"><b>"._SUB_SUBJECTS."</b></font></center><hr>"
                                ."<table width=\"90%\" align=\"center\" border=\"1\" cellspacing=\"0\" cellpadding=\"2\"><tr>"
                ."<th align=\"center\"><b>"._SUB_SUBJECTNAME."</b></td>"
                ."<th align=\"center\"><b>"._SUB_ABBREVSUBJECTACTIVE."</b></td>"
                ."<th align=\"center\"><b>"._SUB_SUBJECTLANGUAGE."</b></td>"
                ."<th align=\"center\"><b>"._SUB_ABBREVPAGESATTACHED."</b></td>"
                ."<th align=\"center\"><b>"._SUB_ORDER."</b></td>"
                ."<th align=\"center\"><b>"._SUB_FUNCTIONS."</b></td></tr><tr>"
                ."<td height=\"1\"></td>"
                ."<td height=\"1\"></td>"
                ."<td height=\"1\"></td>"
                ."<td height=\"1\"></td>"
                ."<td height=\"1\"></td>"
                ."<td height=\"1\"></td>"
                ."</tr><tr>";
            $currcatid = 0;
//modified for Oracle compatibility
//			while(list($subid, $catid, $catname, $subname, $sublanguage, $subactive) = $result->fields) {
			while(!$result->EOF){
				list($subid, $catid, $catname, $subname, $sublanguage, $subactive) = $result->fields;
			
                if($currcatid != $catid){
                    $html_output.="<td colspan=\"6\" align=\"center\"><b>$catname</b></td></tr><tr>";
                    $currcatid = $catid;
                }
                                if (pnModAPIFunc('subjects', 'user','auth',
                                                array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid))) {
                   $column = &$pntable['subpages_column'];
                   $sql2 = "SELECT COUNT(*)
                                                        FROM $pntable[subpages]
                            WHERE $column[subid]=$subid AND $column[parentpageid]=0";
                                   $result2 = $dbconn->Execute($sql2);
                                   if ($dbconn->ErrorNo() != 0) {
                                                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql2);
                                                return $output->GetOutput();
                                        }

                                        list($pagesattached) = $result2->fields;
                                        $result2->Close();

                    $html_output.="<td><b>$subname</b></td>";
                    if($subactive)
                        $html_output.="<td align=\"center\"><img src=\"modules/subjects/pnimages/active.gif\" width=\"12\" height=\"12\" border=\"0\"></td>";
                    else
                        $html_output.="<td align=\"center\"><img src=\"modules/subjects/pnimages/nonactive.gif\" width=\"12\" height=\"12\" border=\"0\"></td>";
                    $html_output.="<td align=\"center\">$sublanguage</td>"
                        ."<td align=\"center\">$pagesattached</td>"
                        ."<td align=\"center\" align=\"center\">";

                                        if (pnModAPIFunc('subjects', 'user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid))) {
                        $html_output.="<a href=\""
                                                        .pnModURL('subjects','admin','subjectreorder', array('subid'=>"$subid",'move'=>"up"))
                                                        ."\"><img src=\"modules/subjects/pnimages/up.gif\" width=\"12\" height=\"12\" border=\"0\" alt=\""._SUB_UP."\"></a>&nbsp;"
                                                        ."<a href=\""
                                                        .pnModURL('subjects','admin','subjectreorder', array('subid'=>"$subid",'move'=>"down"))
                                                        ."\"><img src=\"modules/subjects/pnimages/down.gif\" border=\"0\" width=\"12\" height=\"12\" alt=\""._SUB_DOWN."\"></a>";
                                        }

                    $html_output.="</td>"
                        ."<td><a href=\""
                                                .pnModURL('subjects','admin', 'subjectedit', array('subid'=>"$subid"))
                                                ."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" alt=\""._EDIT."\"></a>";

                                        if (pnModAPIFunc('subjects', 'user','auth',
                                                        array('perm'=>ACCESS_DELETE,'catid'=>$catid,'subid'=>$subid)))
                        $html_output.="  <a href=\""
                                                        .pnModURL('subjects','admin', 'subjectdelete', array('subid'=>"$subid", 'ok'=>"0"))
                                                        ."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" alt=\""._DELETE."\"></a>";
                    if ($pagesattached > 0)
                        $html_output.="  <a href=\""
                                                        .pnModURL('subjects','admin', 'pagesadmin', array('subid'=>"$subid"))
                                                        ."\"><img src=\"modules/subjects/pnimages/pages.gif\" border=\"0\" alt=\""._SUB_PAGES."\"></a>";
                    $html_output.="</td></tr><tr>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."</tr><tr>";
                }
                $result->MoveNext();
            }
            $result->Close();
            $html_output.="</table>";
            $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
        }
    }

    //add a new subject

        if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADD,'everyone'=>'subject'))) {

                $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

                $html_output.="<center><font class=\"pn-title\"><b><br>"
                        ._SUB_ADDSUBJECT."</b></font></center><hr>";
                $html_output.="<form action=\""
                        .pnModURL('subjects','admin','subjectadd')
                        ."\" method=\"post\" name=\"subject_form\">"
            ."<b>"._SUB_SUBJECTNAME."</b> "._SUB_REQUIREDFILED."<br>"
            ."<input type=\"text\" name=\"subname\" size=\"50\" maxlength=\"50\"><br><br>";

        $column = &$pntable['subcategories_column'];
                $sql = "SELECT $column[catid], $column[catname], $column[keywords]
                                FROM $pntable[subcategories]
                ORDER BY $column[catorder]";

                $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }

        if (!$result->EOF) {
            $html_output.="<b>"._SUB_SUBCATEGORY.":</b>&nbsp;"
                                ."<select name=\"catid\" onChange=\"ChangeKeyWordsCats();\">"
                ."<option value=\"0\"></option>";
                        $JavaScript="  var keywords_cat = new Array();\n"
                                ."  keywords_cat[0]=\"".pnVarPrepForDisplay(pnConfigGetVar('metakeywords'))."\";\n";
//modified for Oracle compatibility
//            while(list($catid, $catname, $keywords) = $result->fields) {
            while(!$result->EOF){
				list($catid, $catname, $keywords) = $result->fields;
                                if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADD,'catid'=>$catid))) {
                                        $html_output.="<option value=\"$catid\">$catname</option>\n";
                                        $JavaScript.="keywords_cat[$catid]=\"".pnVarPrepForDisplay($keywords)."\";\n";
                                }
                $result->MoveNext();
            }
            $html_output.="</select>&nbsp;&nbsp;";

                         $html_output.="\n<script type=\"text/javascript\">\n"
                                .$JavaScript
                                ."function ChangeKeyWordsCats() {\n"
                                ."  var ind=subject_form.catid.options[subject_form.catid.options.selectedIndex].value;\n"
                                ."  subject_form.keywords.value=keywords_cat[ind];\n"
                                ."}\n"
                                ."</script>\n";
       }
        $result->Close();

                $html_output.="<b>"._SUB_SUBJECTLANGUAGE.":</b>&nbsp;";
                $html_output.=pnModAPIFunc('subjects', 'user', 'lang_dropdown');
                $html_output.="&nbsp;&nbsp;<b>"._SUB_SUBJECTACTIVE."</b>&nbsp;"
            ."<input type=\"checkbox\" name=\"subactive\" checked><br><br>";
                        $html_output.="<b>"._SUB_SUBJECTTEXT."</b><br>"
            ."<textarea name=\"subtext\" id=\"subtext\" cols=\"96\" rows=\"3\" ></textarea><br><br>"

                        ."<b>"._SUB_KEYWORDS."</b><br>"
            ."<textarea name=\"keywords\" id=\"keywords\" cols=\"96\" rows=\"3\" >"
                                . pnVarPrepForDisplay(pnConfigGetVar('metakeywords'))
                        ."</textarea><br><br>"

            ."<b>"._SUB_SUBJECTIMG."</b><br>"
            ."<input type=\"text\" name=\"subimage\" size=\"40\"><br>"
            ."<font class=\"pn-sub\">"._SUB_SUBIMAGEDIR." $pagespath</font><br><br>"
            ."<input type=\"submit\" value=\""._SUB_ADDSUBJECTBUTTON."\">"
            ."</form>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }

    //add a new page

        if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADD,'everyone'=>'page'))) {

                $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

                $html_output.="<center><font class=\"pn-title\"><b>"._SUB_ADDPAGE."</b></font></center><hr>";
                $html_output.="<form action=\""
                        .pnModURL('subjects','admin','pageadd')
                        ."\" method=\"post\" name=\"page_form\">"

            ."<b>"._SUB_PAGESUBJECT."</b> "._SUB_REQUIREDFILED."<br>";

        $column = &$pntable['subjects_column'];
        $column2 = &$pntable['subcategories_column'];
//modified for Oracle compatibility
		switch ($dbtype){
		    case "oci8":
				$sql = "SELECT $column[subid], $column[subname], $column[catid], $column2[catname],     $column[keywords] 
                    FROM $pntable[subjects] ,$pntable[subcategories]
                    WHERE $column[catid]=$column2[catid](+) 
                    ORDER BY nvl($column2[catorder],0), $column[suborder]";
				break;
			default:
                $sql = "SELECT $column[subid], $column[subname], $column[catid], $column2[catname], $column[keywords]
                FROM $pntable[subjects]
                LEFT JOIN $pntable[subcategories]
                ON $column[catid]=$column2[catid]
                ORDER BY $column2[catorder], $column[suborder]";
				break;
		}

        $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }

        $currcatid = 0;

                $JavaScript="  var keywords_subj = new Array();\n";
//modified for Oracle compatibility
//        while(list($subid, $subname, $catid, $catname, $keywords) = $result->fields) {
        while(!$result->EOF){
			list($subid, $subname, $catid, $catname, $keywords) = $result->fields;
            if($currcatid != $catid){
                $html_output.="<b>$catname</b><br>";
                $currcatid = $catid;
            }
                        if (pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_ADD,'catid'=>$catid,'subid'=>$subid))) {
                                $html_output.="<input type=\"radio\" name=\"subid\" value=\"$subid\" onClick=\"ChangeKeyWordsSubj($subid)\"> $subname<br>";
                                $JavaScript.="keywords_subj[$subid]=\"".pnVarPrepForDisplay($keywords)."\";\n";
                        }
            $result->MoveNext();
        }
                $result->Close();

                $html_output.="\n<script type=\"text/javascript\">\n"
                        .$JavaScript
                        ."function ChangeKeyWordsSubj(subid) {\n"
                        ."  page_form.keywords.value=keywords_subj[subid];\n"
                        ."}\n"
                        ."</script>\n";


        $html_output.="<br><br><b>"._SUB_PAGETITLE."</b> "._SUB_REQUIREDFILED."<br>"
            ."<input type=\"text\" name=\"pagetitle\" size=\"60\"><br><br>"
            ."<b>"._SUB_PAGETEXT."</b><br>"
            ."<textarea name=\"pagetext\" id=\"pagetext\" cols=\"96\" rows=\"3\"></textarea><br><br>"

                        ."<b>"._SUB_KEYWORDS."</b><br>"
            ."<textarea name=\"keywords\" id=\"keywords\" cols=\"96\" rows=\"3\" >"
                        ."</textarea><br><br>"

            ."<b>"._SUB_PAGECONTENT."</b><br>"

                        . pnModAPIFunc('subjects','user','wysiwygcheckstart',
                                array('title'=>_SUB_ADDPAGE,
                                        'editform'=>"newpageform",
                                        'editcontrol'=>"pagecontent"))
            ."<textarea name=\"pagecontent\" id=\"pagecontent\" cols=\"".$subjectsconfig['textareawidth']."\" rows=\"".$subjectsconfig['textareaheight']."\"></textarea>"
                        . pnModAPIFunc('subjects','user','wysiwygcheckend')
                        . "<br><font class=\"pn-sub\">"._SUB_SUBPAGEBREAKS."</font><br>"
            ."<font class=\"pn-sub\">"._SUB_PAGESINDEX."</font><br><br>"
            ."<b>"._SUB_PAGEFILE."</b><br>"
            ."<input type=\"text\" name=\"pagefile\" size=\"60\"><br>"
            ."<font class=\"pn-sub\">"._SUB_PAGEFILEDIR." $pagespath.</font><br>"
            ."<font class=\"pn-sub\">"._SUB_PAGEFILECHMOD."</font><br><br>"
            ."<b>"._SUB_PAGEIMG."</b><br>"
            ."<input type=\"text\" name=\"pageimage\" size=\"40\"><br>"
            ."<font class=\"pn-sub\">"._SUB_PAGEIMAGEDIR." $pagespath</font><br><br>"
            ."<b>"._SUB_PAGEAUTHOR."</b><br>"
            ."<input type=\"text\" name=\"pageauthor\" size=\"50\"><br><br>"
            ."<b>"._SUB_PAGEAUTHOREMAIL."</b><br>"
            ."<input type=\"text\" name=\"pageauthoremail\" size=\"50\"><br><br>"
            ."<b>"._SUB_PAGEAUTHORURL."</b><br>"
            ."<input type=\"text\" name=\"pageauthorurl\" size=\"50\" value=\"http://\"><br><br>";

                $html_output.=pnModAPIFunc('subjects', 'user', 'datetime_dropdown');

        $html_output.="<b>"._SUB_PAGEACTIVE."</b>&nbsp;&nbsp;"
            ."<input type=\"checkbox\" name=\"pageactive\" checked><br><br>"
            ."<b>"._SUB_REVIEWACTIVE."</b>&nbsp;&nbsp;"
            ."<input type=\"checkbox\" name=\"reviewactive\" checked><br><br>"
            ."<input type=\"submit\" value=\""._SUB_ADDPAGEBUTTON."\">";
        $html_output.="</form>";

                $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }

     $output->Text($html_output);
     return $output->GetOutput();
}

// ----------------------------------------------------------------------
//add subject to database
function subjects_admin_subjectadd() {
	
	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
                $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

    list($catid, $subname, $sublanguage, $subtext, $subimage, $subactive, $keywords) =
                pnVarCleanFromInput('catid', 'subname', 'sublanguage', 'subtext', 'subimage', 'subactive', 'keywords');

    $pntable = pnDBGetTables();
    list($dbconn) = pnDBGetConn();

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADD,'catid'=>$catid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_SUBJECTSADDNOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $subname = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subname")));
    $subtext = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subtext")));
    $subimage = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subimage")));
    $keywords = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$keywords")));
        $keywords = substr($keywords, 0, 255);

    if(isset($subactive)) $subactive=1;
    else $subactive=0;

    if(!isset($catid)) $catid=0;

    if(trim ($subname) == ""){

                $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

                $html_output.="<center><font class=\"pn-normal\"><b>"
                        ._SUB_ADDSUBJECTERROR."</b></font></center><br><br>"
                        ."<ul><li>"._SUB_FILLTHEFIELD." <b>"._SUB_SUBJECTNAME."</b>.</ul>"
                        ."<br><center>"._SUB_PRESSBACK."</center>";

                $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

                $output->Text($html_output);
                return $output->GetOutput();

    } else {

        $column = &$pntable['subjects_column'];
                $sql = "SELECT max($column[suborder]) FROM $pntable[subjects]";
        $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        list($suborder) = $result->fields;
                $result->Close();

        $suborder = $suborder + 1;

        $column = &$pntable['subjects_column'];

//modified for Oracle compatibility
		switch ($dbtype){
		    case "oci8":
				$sequence=substr_replace($pntable['subjects'],'',0,strlen($dbname)+1).'_sq';
				$nextid = $dbconn->GenId($sequence);
			    $sql = "INSERT INTO $pntable[subjects] ($column[subid], $column[catid],
                          $column[subname], $column[sublanguage], $column[subtext], $column[subimage],
                                              $column[subactive], $column[suborder], $column[keywords])
                        VALUES ($nextid, $catid, '$subname', '$sublanguage', empty_clob(), '$subimage', $subactive, $suborder, '$keywords')";
                $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBINSERTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
				$dbconn->updateClob($pntable[subjects],$column[subtext],$subtext,$column[subid].'='. $nextid);
				break;
			default:
				$nextid = $dbconn->GenId($pntable['subjects']);
                $sql = "INSERT INTO $pntable[subjects] ($column[subid], $column[catid],
                          $column[subname], $column[sublanguage], $column[subtext], $column[subimage],
                                              $column[subactive], $column[suborder], $column[keywords])
                        VALUES ($nextid, $catid, '$subname', '$sublanguage', '$subtext', '$subimage', $subactive, $suborder, '$keywords')";
                $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBINSERTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
				break;
		}

                pnRedirect(pnModURL('subjects','admin','subjectsadmin'));
                return true;
    }
}

// ----------------------------------------------------------------------
//edit subject form
function subjects_admin_subjectedit() {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
                $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

    $subid = pnVarCleanFromInput('subid');
    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');


    $column = &$pntable['subjects_column'];
        $sql = "SELECT $column[subid], $column[catid],
            $column[subname], $column[subtext], $column[subimage],
                $column[subactive], $column[sublanguage], $column[keywords]
            FROM $pntable[subjects]
            WHERE $column[subid]=$subid";
        $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }

    list($subid, $catid, $subname, $subtext, $subimage, $subactive, $sublanguage, $keywords) = $result->fields;
    $result->Close();

    if(!isset($subid)) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTDOESNOTEXIST;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_NOAUTHSUB;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $html_output.=subjects_admin_header();
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
    $html_output.="<center><font class=\"pn-title\"><b>"._SUB_EDITSUBJECT."</b></font></center><hr>";
        $html_output.="<form action=\""
                .pnModURL('subjects','admin','subjectchange')."\" method=\"post\" name=\"editsubj\">"
        ."<b>"._SUB_SUBJECTNAME."</b> "._SUB_REQUIREDFILED."<br>"
        ."<input type=\"text\" name=\"subname\" size=\"50\" maxlength=\"50\" value=\"".pnVarPrepHTMLDisplay($subname)."\"><br><br>";

    $column = &$pntable['subcategories_column'];
        $sql = "SELECT $column[catid], $column[catname]
            FROM $pntable[subcategories]
            ORDER BY $column[catorder]";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }

    if (!$result->EOF) {
        $html_output.="<b>"._SUB_SUBCATEGORY.":</b>&nbsp;"
            ."<select name=\"catid\">";
                if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADD)))
            $html_output.="<option value=\"0\"></option>";
//modified for Oracle compatibility
//		while(list($catid2, $catname) = $result->fields) {
		while(!$result->EOF){
			list($catid2, $catname) = $result->fields;
                        $b_show=false;
            if($catid == $catid2) {
                            $b_show=true;
              $sel = "selected";
                        }
            else
                          if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADD, 'catid'=>$catid2))) {
                              $b_show=true;
                $sel = "";
                          }
                        if ($b_show)
                    $html_output.="<option value=\"$catid2\" $sel>$catname</option>\n";
            $result->MoveNext();
        }
        $html_output.="</select>&nbsp;&nbsp;";
    }
        $result->Close();

        $html_output.="<b>"._SUB_SUBJECTLANGUAGE.":</b>&nbsp;";
        $html_output.=pnModAPIFunc('subjects', 'user', 'lang_dropdown', array('lang'=>"$sublanguage"));
    $html_output.="&nbsp;&nbsp;<b>"._SUB_SUBJECTACTIVE."</b>&nbsp;";

        if($subactive)
        $html_output.="<input type=\"checkbox\" name=\"subactive\" value=\"$subactive\" checked><br><br>";
    else
        $html_output.="<input type=\"checkbox\" name=\"subactive\" value=\"$subactive\"><br><br>";

        $html_output.="<b>"._SUB_SUBJECTTEXT."</b><br>"
                . pnModAPIFunc('subjects','user','wysiwygcheckstart',
                        array('title'=>_SUB_SUBJECTTEXT,
                                'editform'=>"editsubj",
                                'editcontrol'=>"subtext"))
        ."<textarea name=\"subtext\" id=\"subtext\" cols=\"96\" rows=\"3\" >$subtext</textarea><br><br>"
                . pnModAPIFunc('subjects','user','wysiwygcheckend')

                ."<b>"._SUB_KEYWORDS."</b><br>"
        ."<textarea name=\"keywords\" id=\"keywords\" cols=\"96\" rows=\"3\" >"
                        . pnVarPrepForDisplay($keywords)
                ."</textarea><br><br>"

        ."<b>"._SUB_SUBJECTIMG."</b><br>"
        ."<input type=\"text\" name=\"subimage\" size=\"40\" value=\"$subimage\"><br>"
        ."<font class=\"pn-sub\">"._SUB_SUBIMAGEDIR." $pagespath</font><br><br>";
    if($subimage != '')
        $html_output.="<img src=\"$pagespath/$subimage\" border=\"0\" alt=\"\"><br><br>";
    $html_output.="<input type=\"hidden\" name=\"subid\" value=\"$subid\">"
        ."<input type=\"submit\" value=\""._SUB_SAVECHANGES."\">";

    $html_output.="</form>";
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

        $output->Text($html_output);
        return $output->GetOutput();
}

// ----------------------------------------------------------------------
//change subject in database
function subjects_admin_subjectchange() {

	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
                $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

    list($subid, $catid, $subname, $sublanguage, $subtext, $subimage, $subactive, $keywords) =
                pnVarCleanFromInput('subid', 'catid', 'subname', 'sublanguage', 'subtext', 'subimage', 'subactive','keywords');

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');


        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTEDITNOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $subname = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subname")));
        $subtext = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subtext")));
    $subimage = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subimage")));
    $keywords = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$keywords")));
        $keywords = substr($keywords, 0, 255);

    if (isset($subactive)) $subactive=1;
    else $subactive=0;

    if (!isset($catid)) $catid=0;

    if (trim ($subname) == "") {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-normal\"><b>"
                        ._SUB_EDITSUBJECTERROR."</b></font></center><br><br>"
            ."<ul><li>"._SUB_FILLTHEFIELD." <b>"._SUB_SUBJECTNAME."</b>.</ul>"
            ."<br><center>"._SUB_PRESSBACK."</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
        } else{
        $column = &$pntable['subjects_column'];
//modified for Oracle compatibility
		switch ($dbtype){
		    case "oci8":
				$sql="UPDATE $pntable[subjects]
	              SET $column[catid]=$catid, $column[subname]='$subname', $column[sublanguage]='$sublanguage',
		          $column[subtext]=empty_clob(), $column[subimage]='$subimage',
                  $column[subactive]='$subactive', $column[keywords]='$keywords'
			      WHERE $column[subid]=$subid";
		        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }
				$dbconn->updateClob($pntable[subjects],$column[subtext],$subtext,$column[subid].'='.$subid);
				break;
			default:
                $sql="UPDATE $pntable[subjects]
              SET $column[catid]=$catid, $column[subname]='$subname', $column[sublanguage]='$sublanguage',
              $column[subtext]='$subtext', $column[subimage]='$subimage',
                          $column[subactive]='$subactive', $column[keywords]='$keywords'
              WHERE $column[subid]=$subid";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }
				break;
		}

                pnRedirect(pnModURL('subjects','admin','subjectsadmin'));
                return true;
    }
}

// ----------------------------------------------------------------------
//delete subject and all its pages and subpages from database
function subjects_admin_subjectdelete() {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
                $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

        list($subid, $ok) = pnVarCleanFromInput('subid', 'ok');
        if (empty($ok)) $ok=0;

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');


    $column = &$pntable['subjects_column'];
        $sql = "SELECT $column[subname], $column[catid]
            FROM $pntable[subjects]
            WHERE $column[subid]=$subid";
        $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($subname,$catid) = $result->fields;
    $result->Close();

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_DELETE,'catid'=>$catid,'subid'=>$subid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTSDELNOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    if ($ok==1) {
        $column = &$pntable['subpages_column'];
                $sql = "SELECT $column[pageid]
                FROM $pntable[subpages]
                WHERE $column[parentpageid]='0' AND
                $column[subid]='$subid'";
                $result=$dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }

//modified for Oracle compatibility
//        while(list($pageid) = $result->fields) {
        while(!$result->EOF){
			list($pageid) = $result->fields;
          subjects_admin_subpagesdelete($pageid);
          $result->MoveNext();
        }
        $result->Close();

        $sql = "DELETE FROM $pntable[subjects]
                WHERE {$pntable[subjects_column][subid]}='$subid'";
                $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBDELETEERROR . ": " . $sql);
                        return $output->GetOutput();
                }

                pnRedirect(pnModURL('subjects','admin','subjectsadmin'));
        return true;
    } else {
                $html_output.=subjects_admin_header();

        $column = &$pntable['subjects_column'];
                $sql = "SELECT $column[subname]
                FROM $pntable[subjects]
                WHERE $column[subid]=$subid";
        $result= $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        list($subname) = $result->fields;
        $result->Close();

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_DELSUBJECT."</b></font><br><br>";
        $html_output.="<font class=\"pn-normal\"><b>$subname</b></font><br><br>";
        $html_output.="<table><tr><td>\n";
                $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','admin','subjectsadmin'),
               'value'=>_NO));
                $html_output.="</td><td>\n";
                $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','admin','subjectdelete', array('subid'=>"$subid",'ok'=>"1")),
               'value'=>_YES));

        $html_output.="</td></tr></table>\n";
        $html_output.="</center>\n";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }
}

// ----------------------------------------------------------------------
//subject reordering
function subjects_admin_subjectreorder() {

	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
	
        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }
    list($subid, $move) = pnVarCleanFromInput('subid', 'move');

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

    $column = &$pntable['subjects_column'];
        $sql = "SELECT $column[catid], $column[subname], $column[suborder]
            FROM $pntable[subjects]
            WHERE $column[subid]=$subid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($catid, $subname, $suborder) = $result->fields;
    $result->Close();

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTSEDITNOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    if($move == 'up'){
        $column = &$pntable['subjects_column'];
        $column2 = &$pntable['subcategories_column'];
//modified for Oracle compatibility
		switch ($dbtype){
		    case "oci8":
				$sql = "SELECT $column[subid], $column[suborder]
                  FROM $pntable[subjects] , $pntable[subcategories]
                  WHERE $column[catid]=$column2[catid](+) AND
                  $column[suborder] < $suborder AND $column[catid] = $catid
                  ORDER BY nvl($column2[catorder],0), $column[suborder] DESC";
				break;
			default:
                $sql = "SELECT $column[subid], $column[suborder]
                FROM $pntable[subjects]
                LEFT JOIN $pntable[subcategories]
                ON $column[catid]=$column2[catid]
                WHERE $column[suborder] < $suborder AND
                      $column[catid] = $catid
                ORDER BY $column2[catorder], $column[suborder] DESC";
				break;
		}
        $result = $dbconn->SelectLimit($sql,1);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        if (!$result->EOF) list($subid2, $suborder2) = $result->fields;
        $result->Close();
    }

    if($move == 'down'){
        $column = &$pntable['subjects_column'];
        $column2 = &$pntable['subcategories_column'];
		switch ($dbtype){
		    case "oci8":
				$sql = "SELECT $column[subid], $column[suborder]
                  FROM $pntable[subjects], $pntable[subcategories]
                  WHERE $column[catid] =$column2[catid](+)  AND
                  $column[suborder] > $suborder AND $column[catid] = $catid
                  ORDER BY nvl($column2[catorder],0), $column[suborder]";
				break;
			default:
                $sql = "SELECT $column[subid], $column[suborder]
                FROM $pntable[subjects]
                LEFT JOIN $pntable[subcategories]
                ON $column[catid]=$column2[catid]
                WHERE $column[suborder] > $suborder AND
                      $column[catid] = $catid
                ORDER BY $column2[catorder], $column[suborder]";
				break;
		}

        $result = $dbconn->SelectLimit($sql,1);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        if (!$result->EOF) list($subid2, $suborder2) = $result->fields;
        $result->Close();
    }

    if(isset($subid2)) {
        $column = &$pntable['subjects_column'];
                $sql = "UPDATE $pntable[subjects]
                        SET $column[suborder]=$suborder2
                        WHERE $column[subid]=$subid";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN ._DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }

                $sql = "UPDATE $pntable[subjects]
                        SET $column[suborder]=$suborder
                        WHERE $column[subid]=$subid2";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN ._DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }

    }
                pnRedirect(pnModURL('subjects','admin','subjectsadmin'));
                return true;
}

// ----------------------------------------------------------------------
//subjects catgories admin page
function subjects_admin_categoriesadmin() {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

        if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

    $html_output.=subjects_admin_header();

    $column = &$pntable['subcategories_column'];
        $sql = "SELECT $column[catid], $column[catname]
            FROM $pntable[subcategories]
            ORDER BY $column[catorder]";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }

    if (!$result->EOF) {
        //edit subjects
                if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'everyone'=>'catid'))) {
            $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
            $html_output.="<center><font class=\"pn-title\"><b>"._SUB_SUBCATEGORIES."</b></font></center><hr>"
                ."<table width=\"90%\" align=\"center\" border=\"1\" cellspacing=\"0\" cellpadding=\"2\"><tr>"
                ."<th align=\"center\"><b>"._SUB_SUBCATEGORYNAME."</b></td>"
                ."<th align=\"center\"><b>"._SUB_ORDER."</b></td>"
                ."<th align=\"center\"><b>"._SUB_FUNCTIONS."</b></td></tr><tr>"
                ."<td height=\"1\"></td>"
                ."<td height=\"1\"></td>"
                ."<td height=\"1\"></td>"
                ."</tr><tr>";

//modified for Oracle compatibility
//			while(list($catid, $catname) = $result->fields) {
			while(!$result->EOF){
				list($catid, $catname) = $result->fields;
                                if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid))) {

                                        $html_output.="<td><b>$catname</b></td>"
                                                ."<td align=\"center\" align=\"center\">";

                                        if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT))) {
                                                $html_output.="<a href=\""
                                                        .pnModURL('subjects','admin','categoryreorder', array('catid'=>"$catid",'move'=>"up"))
                                                        ."\"><img src=\"modules/subjects/pnimages/up.gif\" width=\"12\" height=\"12\" border=\"0\" alt=\""._SUB_UP."\"></a>&nbsp;"
                                                        ."<a href=\""
                                                        .pnModURL('subjects','admin','categoryreorder', array('catid'=>"$catid",'move'=>"down"))."\"><img src=\"modules/subjects/pnimages/down.gif\"  width=\"12\" height=\"12\" border=\"0\" alt=\""._SUB_DOWN."\"></a>";
                                        }

                                        $html_output.="</td>"
                                                ."<td><a href=\""
                                                .pnModURL('subjects','admin','categoryedit', array('catid'=>"$catid"))."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" alt=\""._EDIT."\"></a>"
                                                ."  <a href=\"";

                                        if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_DELETE,'catid'=>$catid))) {
                                                $html_output.=
                                                        pnModURL('subjects','admin','categorydelete', array('catid'=>"$catid",'ok'=>"0"))
                                                        ."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" alt=\""._DELETE."\"></a>";
                                        }

                                        $html_output.="</td></tr><tr>"
                                                ."<td height=\"1\"></td>"
                                                ."<td height=\"1\"></td>"
                                                ."<td height=\"1\"></td>"
                                                ."</tr><tr>";
                                }
                $result->MoveNext();
            }
            $html_output.="</table>";
            $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
        }
    }
        $result->Close();


    //add a new category

        if (pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADD))) {

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<br><center><font class=\"pn-title\"><b>"._SUB_ADDSUBCATEGORY."</b></font></center><hr>"
            ."<form action=\""
                        .pnModURL('subjects','admin','categoryadd')
                        ."\" method=\"post\" name=\"addcat\">"
            ."<b>"._SUB_SUBCATEGORYNAME."</b> "._SUB_REQUIREDFILED."<br>"
            ."<input type=\"text\" name=\"catname\" size=\"50\" maxlength=\"50\"><br><br>"
            ."<b>"._SUB_SUBCATEGORYTEXT."</b><br>"
                        . pnModAPIFunc('subjects','user','wysiwygcheckstart',
                                array('title'=>_SUB_SUBCATEGORYTEXT,
                                        'editform'=>"addcat",
                                        'editcontrol'=>"cattext"))
            ."<textarea name=\"cattext\" id=\"cattext\" cols=\"96\" rows=\"3\" ></textarea><br><br>"
                        . pnModAPIFunc('subjects','user','wysiwygcheckend')
            ."<b>"._SUB_KEYWORDS."</b><br>"
            ."<textarea name=\"keywords\" id=\"keywords\" cols=\"96\" rows=\"3\" >"
                                . pnVarPrepForDisplay(pnConfigGetVar('metakeywords'))
                        ."</textarea><br><br>";
            $html_output.="<input type=\"submit\" value=\""._SUB_ADDSUBCATEGORYBUTTON."\">"
                        ."</form>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }

        $output->Text($html_output);
        return $output->GetOutput();
}
// ----------------------------------------------------------------------
//add category to database
function subjects_admin_categoryadd() {

	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    list($catname, $cattext, $keywords) = pnVarCleanFromInput('catname', 'cattext', 'keywords');

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
      //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADD))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_NOAUTHSUB;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $catname = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$catname")));
    $cattext = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$cattext")));
    $keywords= stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$keywords")));
        $keywords= substr($keywords, 0, 255);

    if(trim ($catname) == ""){
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-normal\"><b>"._SUB_ADDSUBCATEGORYERROR."</b></font></center><br><br>"
            ."<ul><li>"._SUB_FILLTHEFIELD." <b>"._SUB_SUBCATEGORYNAME."</b>.</ul>"
            ."<br><center>"._SUB_PRESSBACK."</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();

    } else {
        $column = &$pntable['subcategories_column'];
        $sql = "SELECT max($column[catorder]) FROM $pntable[subcategories]";
                $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        list($catorder) = $result->fields;
                $result->Close();

        $catorder = $catorder + 1;

        $column = &$pntable['subcategories_column'];
//modified for Oracle compatibility
		switch ($dbtype){
		    case "oci8":
				$sequence=substr_replace($pntable['subcategories'],'',0,strlen($dbname)+1).'_sq';
				$nextid = $dbconn->GenId($sequence);
                $sql = "INSERT INTO $pntable[subcategories] ($column[catid],
                                        $column[catname], $column[cattext], $column[catorder], $column[keywords])
                      VALUES ($nextid, '$catname', empty_clob(), $catorder, '$keywords')";
		        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN ._DBINSERTERROR  . ": " . $sql);
                        return $output->GetOutput();
                }
				$dbconn->updateClob($pntable[subcategories],$column[cattext],$cattext,$column[catid].'='.$nextid);
				break;
			default:
        $nextid = $dbconn->GenId($pntable['subcategories']);
                $sql = "INSERT INTO $pntable[subcategories] ($column[catid],
                                        $column[catname], $column[cattext], $column[catorder], $column[keywords])
                VALUES ($nextid, '$catname', '$cattext', $catorder, '$keywords')";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN ._DBINSERTERROR  . ": " . $sql);
                        return $output->GetOutput();
                }
				break;
		}
                pnRedirect(pnModURL('subjects','admin','categoriesadmin'));
                return true;
    }
}

// ----------------------------------------------------------------------
//edit category form
function subjects_admin_categoryedit() {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    $catid = pnVarCleanFromInput('catid');

    if(!isset($catid)) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBCATEGORYDOESNOTEXIST;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBCATEGORIESEDITNOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

        $column = &$pntable['subcategories_column'];
        $sql = "SELECT $column[catid], $column[catname], $column[cattext], $column[keywords]
            FROM $pntable[subcategories]
            WHERE $column[catid]=$catid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($catid, $catname, $cattext, $keywords) = $result->fields;
    $result->Close();


    $html_output.=subjects_admin_header();

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
    $html_output.="<center><font class=\"pn-title\"><b>"._SUB_EDITSUBCATEGORY."</b></font></center><hr>";
        $html_output.="<form action=\""
                .pnModURL('subjects','admin','categorychange')."\" method=\"post\" name=\"editcat\">"
        ."<b>"._SUB_SUBCATEGORYNAME."</b> "._SUB_REQUIREDFILED."<br>"
        ."<input type=\"text\" name=\"catname\" size=\"50\" maxlength=\"50\" value=\"".pnVarPrepHTMLDisplay($catname)."\"><br><br>"
        ."<b>"._SUB_SUBCATEGORYTEXT."</b><br>"
                . pnModAPIFunc('subjects','user','wysiwygcheckstart',
                        array('title'=>_SUB_SUBCATEGORYTEXT,
                                'editform'=>"editcat",
                                'editcontrol'=>"cattext"))
        ."<textarea name=\"cattext\" id=\"cattext\" cols=\"96\" rows=\"3\" >$cattext</textarea><br><br>"
                . pnModAPIFunc('subjects','user','wysiwygcheckend')
            ."<b>"._SUB_KEYWORDS."</b><br>"
            ."<textarea name=\"keywords\" id=\"keywords\" cols=\"96\" rows=\"3\" >"
                                . pnVarPrepForDisplay($keywords)
                        ."</textarea><br><br>";
        $html_output.="<input type=\"hidden\" name=\"catid\" value=\"$catid\">"
        ."<input type=\"submit\" value=\""._SUB_SAVECHANGES."\">"
                ."</form>";
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

        $output->Text($html_output);
        return $output->GetOutput();

}
// ----------------------------------------------------------------------
//change category in database
function subjects_admin_categorychange() {

	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    list($catid, $catname, $cattext, $keywords) = pnVarCleanFromInput('catid', 'catname', 'cattext', 'keywords');

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'catid'=>$catid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBCATEGORIESEDITNOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $catname = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$catname")));
    $cattext = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$cattext")));
    $keywords= stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$keywords")));

    if(trim ($catname) == ""){
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-normal\"><b>"._SUB_EDITSUBCATEGORYERROR."</b></font></center><br><br>"
            ."<ul><li>"._SUB_FILLTHEFIELD." <b>"._SUB_SUBCATEGORYNAME."</b>.</ul>"
            ."<br><center>"._SUB_PRESSBACK."</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
        } else {
        $column = &$pntable['subcategories_column'];
//modified for Oracle compatibility
		switch ($dbtype){
		    case "oci8":
				$sql = "UPDATE $pntable[subcategories]
                SET $column[catname]='$catname', $column[cattext]=empty_clob(), $column[keywords]='$keywords'
                WHERE $column[catid]=$catid";
		        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }
				$dbconn->updateClob($pntable[subcategories],$column[cattext],$cattext,$column[catid].'='.$catid);
				break;
			default:
                $sql = "UPDATE $pntable[subcategories]
                SET $column[catname]='$catname', $column[cattext]='$cattext', $column[keywords]='$keywords'
                WHERE $column[catid]=$catid";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }
				break;
		}

                pnRedirect(pnModURL('subjects','admin','categoriesadmin'));
                return true;
    }
}
// ----------------------------------------------------------------------
//delete category and all its pages and subpages from database
function subjects_admin_categorydelete() {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

        if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    list($catid, $ok) = pnVarCleanFromInput('catid', 'ok');
        if (empty($ok)) $ok=0;

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_DELETE,'catid'=>$catid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBCATEGORIESDELNOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

        if ($ok==1) {
        $column=&$pntable['subjects_column'];
        $sql = "UPDATE $pntable[subjects]
                SET $column[catid]='0',
                    $column[subactive]='0'
                WHERE $column[catid]='$catid'";
        $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN ._DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
        }

        $column=&$pntable['subcategories_column'];
        $sql = "DELETE FROM $pntable[subcategories]
                 WHERE $column[catid]='$catid'";
        $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBDELETEERROR . ": " . $sql);
                        return $output->GetOutput();
        }

        pnRedirect(pnModURL('subjects','admin','categoriesadmin'));
        return true;

    } else {
        $html_output.=subjects_admin_header();

        $column = &$pntable['subcategories_column'];
                $sql = "SELECT $column[catname]
                FROM $pntable[subcategories]
                WHERE $column[catid]=$catid";
        $result= $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        list($catname) = $result->fields;
        $result->Close();

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_DELSUBCATEGORY."</b></font><br><br>";
        $html_output.="<font class=\"pn-normal\"><b>$catname</b></font><br><br>";
        $html_output.="<table><tr><td>\n";
                $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','admin','categoriesadmin'),
               'value'=>_NO));
        $html_output.="</td><td>\n";
                $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','admin','categorydelete', array('catid'=>"$catid",'ok'=>"1")),
               'value'=>_YES));
        $html_output.="</td></tr></table>\n";
        $html_output.="</center>\n";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }
}
// ----------------------------------------------------------------------
//category reordering
function subjects_admin_categoryreorder() {

    $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }
    list($catid, $move) = pnVarCleanFromInput('catid', 'move');

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBCATEGORIESEDITNOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $column = &$pntable['subcategories_column'];
        $sql = "SELECT $column[catorder]
            FROM $pntable[subcategories]
            WHERE $column[catid]=$catid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($catorder) = $result->fields;
    $result->Close();

    if ($move == 'up') {
        $column = &$pntable['subcategories_column'];
                $sql = "SELECT $column[catid], $column[catorder]
                FROM $pntable[subcategories]
                WHERE $column[catorder] < $catorder
                ORDER BY $column[catorder] DESC";
        $result = $dbconn->SelectLimit($sql,1);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        if (!$result->EOF) list($catid2, $catorder2) = $result->fields;
        $result->Close();
    }

    if ($move == 'down'){
        $column = &$pntable['subcategories_column'];
                $sql = "SELECT $column[catid], $column[catorder]
                FROM $pntable[subcategories]
                WHERE $column[catorder] > $catorder
                ORDER BY $column[catorder]";
        $result = $dbconn->SelectLimit($sql,1);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        if (!$result->EOF) list($catid2, $catorder2) = $result->fields;
        $result->Close();
    }

    if(isset($catid2))
    {
        $column = &$pntable['subcategories_column'];
                $sql = "UPDATE $pntable[subcategories]
                SET $column[catorder]=$catorder2
                WHERE $column[catid]=$catid";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }

                $sql = "UPDATE $pntable[subcategories]
                 SET $column[catorder]=$catorder
                 WHERE $column[catid]=$catid2";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    }

        pnRedirect(pnModURL('subjects','admin','categoriesadmin'));
        return true;
}

// ----------------------------------------------------------------------
//pages admin page
function subjects_admin_pagesadmin() {

        $subid = pnVarCleanFromInput('subid');

        $output = new pnHTML();
    $output->SetInputMode(_PNH_VERBATIMINPUT);

        if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_EDIT,'subid'=>$subid))) {
                 $output->Text(_SUB_NOAUTHSUB);
             return $output->GetOutput();
        }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

    $html_output.=subjects_admin_header();

    $column = &$pntable['subjects_column'];
        $sql = "SELECT $column[subid], $column[subname], $column[catid]
            FROM $pntable[subjects]
            WHERE $column[subid] = $subid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }

    if (!$result->EOF) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        list($subid, $subname, $catid) = $result->fields;
        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_SUBJECTPAGES." $subname</b></font></center><hr>";

        //show current subject pages for edit
        $column = &$pntable['subpages_column'];
                $sql2 = "SELECT $column[pageid], $column[pagetitle], $column[pageauthor],
                                                $column[pagedatetime], $column[pageactive], $column[reviewactive]
                 FROM $pntable[subpages]
                 WHERE $column[subid]=$subid AND $column[parentpageid]=0
                 ORDER BY $column[pageorder]";
        $result2 = $dbconn->Execute($sql2);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql2);
                        return $output->GetOutput();
                }

        if (!$result2->EOF) {
//                        if (!pnModAPIFunc('subjects','user','auth',
//                                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid))) {

                $html_output.="<table width=\"90%\" align=\"center\" border=\"1\" cellspacing=\"0\" cellpadding=\"2\"><tr>"
                    ."<th align=\"center\"><b>"._SUB_PAGETITLE.", "._SUB_PAGEAUTHOR."</b></td>"
                    ."<th align=\"center\"><b>"._SUB_PAGEDATETIME."</b></td>"
                    ."<th align=\"center\"><b>"._SUB_ABBREVPAGEACTIVE."</b></td>"
                    ."<th align=\"center\"><b>"._SUB_ABBREVREVIEWACTIVE."</b></td>"
                    ."<th align=\"center\"><b>"._SUB_ORDER."</b></td>"
                    ."<th align=\"center\"><b>"._SUB_FUNCTIONS."</b></td></tr><tr>"
                    ."<td height=\"1\"></td>"
                    ."<td height=\"1\"></td>"
                    ."<td height=\"1\"></td>"
                    ."<td height=\"1\"></td>"
                    ."<td height=\"1\"></td>"
                    ."<td height=\"1\"></td>"
                    ."</tr><tr>";
//modified for Oracle compatibility
//                while(list($pageid, $pagetitle, $pageauthor, $pagedatetime, $pageactive, $reviewactive) = $result2->fields) {
                while(!$result2->EOF){
					list($pageid, $pagetitle, $pageauthor, $pagedatetime, $pageactive, $reviewactive) = $result2->fields;
                    $html_output.="<td><b>$pagetitle</b><br>$pageauthor</td>";
                    setlocale (LC_TIME, pnConfigGetVar('locale'));
                    eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $pagedatetime, $pagedate);
                    $pagedate = ml_ftime(""._LINKSDATESTRING."", mktime($pagedate[4],$pagedate[5],$pagedate[6],$pagedate[2],$pagedate[3],$pagedate[1]));
                    $pagedate = ucfirst($pagedate);
                    $html_output.="<td align=\"center\">$pagedate</td>";

                    if($pageactive)
                        $html_output.="<td align=\"center\"><img src=\"modules/subjects/pnimages/active.gif\" width=\"12\" height=\"12\" border=\"0\"></td>";
                    else
                        $html_output.="<td align=\"center\"><img src=\"modules/subjects/pnimages/nonactive.gif\" width=\"12\" height=\"12\" border=\"0\"></td>";

                    if($reviewactive)
                        $html_output.="<td align=\"center\"><img src=\"modules/subjects/pnimages/active.gif\" width=\"12\" height=\"12\" border=\"0\"></td>";
                    else
                        $html_output.="<td align=\"center\"><img src=\"modules/subjects/pnimages/nonactive.gif\" width=\"12\" height=\"12\" border=\"0\"></td>";

                                        if (pnModAPIFunc('subjects','user','auth',
                                                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$pageid))) {
                        $html_output.="<td align=\"center\" align=\"center\">";

                                                if (pnModAPIFunc('subjects','user','auth',
                                                                array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid)))
                            $html_output.="<a href=\""
                                                                .pnModURL('subjects','admin','pagereorder', array('pageid'=>"$pageid",'move'=>"up"))
                                                                ."\"><img src=\"modules/subjects/pnimages/up.gif\" border=\"0\" alt=\""._SUB_UP."\"></a>&nbsp;<a href=\""
                                                                .pnModURL('subjects','admin','pagereorder', array('pageid'=>"$pageid",'move'=>"down"))
                                                                ."\"><img src=\"modules/subjects/pnimages/down.gif\" border=\"0\" alt=\""._SUB_DOWN."\"></a>";
                                                else $html_output.="&nbsp;";

                        $html_output.="</td>"
                            ."<td><a href=\""
                                                        .pnModURL('subjects','admin','pageedit', array('pageid'=>"$pageid"))
                                                        ."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" alt=\""._EDIT."\"></a>";

                                                if (pnModAPIFunc('subjects','user','auth',
                                                                array('perm'=>ACCESS_DELETE,'catid'=>$catid,'subid'=>$subid,'pageid'=>$pageid)))
                            $html_output.="  <a href=\""
                                                                .pnModURL('subjects','admin','pagedelete', array('pageid'=>"$pageid",'ok'=>"0"))."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" alt=\""._DELETE."\"></a> ";
                    }
                    else {
                        $html_output.="<td>&nbsp;</td>"
                            ."<td>&nbsp;</td>";
                    }
                    $html_output.="</td></tr><tr>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."<td height=\"1\"></td>"
                        ."</tr><tr>";
                    $result2->MoveNext();
                }
                $html_output.="</table>";
//            }
        }
        $result2->Close();

        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }
    $result->Close();

     $output->Text($html_output);
     return $output->GetOutput();
}

// ----------------------------------------------------------------------
//add page to database
function subjects_admin_pageadd() {

	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    list($subid, $pagetitle, $pagetext, $pagecontent, $pagefile,
         $pageimage, $pageauthor, $pageauthoremail, $pageauthorurl,
         $pageday, $pagemonth, $pageyear, $pagehour, $pagemin,
         $pageactive, $reviewactive, $keywords) =
                pnVarCleanFromInput('subid', 'pagetitle', 'pagetext', 'pagecontent', 'pagefile',
                                                        'pageimage', 'pageauthor', 'pageauthoremail', 'pageauthorurl',
                                                        'pageday', 'pagemonth', 'pageyear', 'pagehour', 'pagemin',
                                                        'pageactive', 'reviewactive', 'keywords');

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

    if (!isset($subid)) $subid=0;

    $column = &$pntable['subjects_column'];
        $sql = "SELECT $column[subname], $column[catid]
            FROM $pntable[subjects]
                        WHERE $column[subid]=$subid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($subname,$catid) = $result->fields;
    $result->Close();

        if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_ADD,'catid'=>$catid,'subid'=>$subid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTSADDPAGENOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $pagetitle = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pagetitle")));
    $pagetext = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pagetext")));
    $pagecontent = stripslashes($pagecontent);
    $pagefile = stripslashes($pagefile);
    $pageimage = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pageimage")));
    $pageauthor = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pageauthor")));
    $pageauthoremail = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pageauthoremail")));
    $pageauthorurl = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pageauthorurl")));
    $keywords = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$keywords")));
        $keywords = substr($keywords, 0, 255);
    if($pageauthorurl == "http://") $pageauthorurl = "";
    $pagedatetime = "$pageyear-$pagemonth-$pageday $pagehour:$pagemin:00";

        if (isset($pageactive))  $pageactive=1;
    else $pageactive=0;

    if (isset($reviewactive)) $reviewactive=1;
    else $reviewactive=0;

    if($pagefile != ""){
      $dirpart = explode("/", $pagefile);
      if(is_array($dirpart)){
        $dirname = '';
        for($i = 0; $i < count($dirpart) - 1; $i++)
        {
          $tmpdirname = $dirname;
          $dirname .= $dirpart[$i].'/';
          if(!file_exists("$pagespath/$dirname")){
            $dirname = $tmpdirname;
            break;
          }
        }
      } else
        $dirname = "";
    }

    if($subid == "" || trim($pagetitle) == "" ||
       ($pagefile != "" &&
        (($pagecontent != "" && !file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$dirname")) ||
         ($pagecontent != "" && file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$pagefile")) ||
         ($pagecontent == "" && !file_exists("$pagespath/$pagefile"))))) {

                $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-normal\"><b>"
                        ._SUB_ADDPAGEERROR."</b></font></center><br><br>"
                        ."<ul>";

        if($subid == "") $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_PAGESUBJECT."</b>.";
        if(trim($pagetitle) == "") $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_PAGETITLE."</b>.";

        if($pagefile != "" && $pagecontent != "" && !file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$dirname"))
            $html_output.="<li>$pagespath/$dirname - "
                                ._SUB_CANNOTWRITEDIR."<br>"._SUB_CHMODDIR;

        if($pagefile != "" && $pagecontent != "" && file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$pagefile"))
            $html_output.="<li><b>$pagespath/$pagefile</b> - "
                                ._SUB_CANNOTWRITEFILE."<br>"._SUB_CHMODFILE;

        if($pagefile != "" && $pagecontent == "" && !file_exists("$pagespath/$pagefile"))
            $html_output.="<li><b>$pagespath/$pagefile</b> - "._SUB_FILENOTEXISTS.".";

        $html_output.="</ul><br><center>"._SUB_PRESSBACK."</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();

        } else {
        $column = &$pntable['subpages_column'];
                $sql = "SELECT max($column[pageorder])
                FROM $pntable[subpages]
                WHERE $column[subid]=$subid AND $column[parentpageid]=0";
        $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        list($pageorder) = $result->fields;
        $result->Close();

        $pageorder = $pageorder + 1;

        if($pagefile != "" && ($pagecontent != "" ||
           !file_exists("$pagespath/$pagefile"))){
            $pathpart = explode("/", $pagefile);
            if(is_array($pathpart)){
                $filename = '';
                for ($i=0;$i<count($pathpart)-1;$i++)
                {
                    $filename .= $pathpart[$i].'/';
                    if(!file_exists("$pagespath/$filename"))
                        mkdir("$pagespath/$filename", 0777);
                }
                $filename .= $pathpart[count($pathpart)-1];
            } else
                $filename = $pathpart;

            $handle = fopen("$pagespath/$filename", 'w');
            if ($handle){
                fwrite($handle, $pagecontent);
                fclose($handle);
                $pagecontent = "";
            } else
                $pagefile = "";
        }

                $pagecontent = (pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pagecontent")));
                $pagefile = (pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pagefile")));

        $column = &$pntable['subpages_column'];
//modified for Oracle compatibility
		switch ($dbtype){
		    case "oci8":
				$sequence=substr_replace($pntable['subpages'],'',0,strlen($dbname)+1).'_sq';
				$nextid = $dbconn->GenId($sequence);
				$sql = "INSERT INTO $pntable[subpages] ($column[pageid], $column[parentpageid],
                    $column[subid], $column[pagetitle],
                    $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
                    $column[pagetext], $column[pagecontent],
                    $column[pagefile], $column[pageimage], $column[pageactive],
                    $column[reviewactive], $column[pageorder],
                    $column[pagedatetime], $column[pagecounter], $column[username], $column[keywords])
			         VALUES ($nextid, '0', '$subid','$pagetitle', '$pageauthor', '$pageauthoremail', '$pageauthorurl', empty_clob(),empty_clob(),'$pagefile','$pageimage','$pageactive', '$reviewactive', '$pageorder', '$pagedatetime', '0', '$username', '$keywords')";
		        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBINSERTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
				$dbconn->updateClob($pntable[subpages],$column[pagetext],$pagetext,$column[pageid].'='.$nextid);
				$dbconn->updateClob($pntable[subpages],$column[pagecontent],$pagecontent,$column[pageid].'='.$nextid);
				break;
			default:
        $nextid = $dbconn->GenId($pntable['subpages']);
                $sql = "INSERT INTO $pntable[subpages] ($column[pageid], $column[parentpageid],
                    $column[subid], $column[pagetitle],
                    $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
                    $column[pagetext], $column[pagecontent],
                    $column[pagefile], $column[pageimage], $column[pageactive],
                    $column[reviewactive], $column[pageorder],
                                        $column[pagedatetime], $column[pagecounter], $column[username], $column[keywords])
                 VALUES ($nextid, '0', '$subid','$pagetitle', '$pageauthor', '$pageauthoremail', '$pageauthorurl',
                         '$pagetext','$pagecontent','$pagefile','$pageimage','$pageactive', '$reviewactive', '$pageorder', '$pagedatetime', '0', '$username', '$keywords')";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBINSERTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
				break;
		}

            pnRedirect(pnModURL('subjects','admin','subjectsadmin'));
                return true;
    }
}

// ----------------------------------------------------------------------
//add subpage to database
function subjects_admin_subpageadd() {

	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];
	$dbname = $pnconfig['prefix'];

     $output = new pnHTML();
     $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    list($parentpageid, $subpagetitle, $subpagetext, $subpagecontent, $subpagefile, $subpageactive, $keywords) =
                pnVarCleanFromInput('parentpageid', 'subpagetitle', 'subpagetext', 'subpagecontent', 'subpagefile', 'subpageactive', 'keywords');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

    $column = &$pntable['subpages_column'];
        $sql = "SELECT $column[subid]
            FROM $pntable[subpages]
                        WHERE $column[pageid]= $parentpageid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($subid) = $result->fields;
    $result->Close();

    $column = &$pntable['subjects_column'];
        $sql = "SELECT $column[subname], $column[catid]
            FROM $pntable[subjects]
                        WHERE $column[subid]=$subid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($subname, $catid) = $result->fields;
    $result->Close();

        list($mainpageid, $mainpagetitle) = subjects_admin_getmainpageinfo($parentpageid);

        if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_ADD,'catid'=>$catid,'subid'=>$subid,'pageid'=>$mainpageid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTSADDPAGENOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $pagetitle = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subpagetitle")));
    $pagetext = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subpagetext")));
    $pagecontent = stripslashes($subpagecontent);
    $pagefile = stripslashes($subpagefile);
    $keywords = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$keywords")));
        $keywords = substr($keywords, 0, 255);

    if (isset($subpageactive)) $pageactive=1;
    else $pageactive=0;

    if($pagefile != "") {
      $dirpart = explode("/", $pagefile);
      if(is_array($dirpart)){
        $dirname = '';
        for($i = 0; $i < count($dirpart) - 1; $i++)
        {
          $tmpdirname = $dirname;
          $dirname .= $dirpart[$i].'/';
          if(!file_exists("$pagespath/$dirname")){
            $dirname = $tmpdirname;
            break;
          }
        }
      } else
        $dirname = "";
    }

    if($subid == "" || trim($pagetitle) == "" ||
       ($pagefile != "" &&
        (($pagecontent != "" && !file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$dirname")) ||
         ($pagecontent != "" && file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$pagefile")) ||
         ($pagecontent == "" && !file_exists("$pagespath/$pagefile"))))) {

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-normal\"><b>"._SUB_ADDPAGEERROR."</b></font></center><br><br>";

        if($subid == "") $html_output.=""._SUB_FILLTHEFIELD." <b>"._SUB_PAGESUBJECT."</b>.";

        if(trim($pagetitle) == "") $html_output.=""._SUB_FILLTHEFIELD." <b>"._SUB_PAGETITLE."</b>.";

        if($pagefile != "" && $pagecontent != "" && !file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$dirname")) {
            $html_output.="<b>$pagespath/$dirname</b> - "._SUB_CANNOTWRITEDIR."<br>"
                .""._SUB_CHMODDIR;
        }

        if($pagefile != "" && $pagecontent != "" && file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$pagefile")) {
            $html_output.="<b>$pagespath/$pagefile</b> - "._SUB_CANNOTWRITEFILE."<br>"
                .""._SUB_CHMODFILE;
        }

        if($pagefile != "" && $pagecontent == "" && !file_exists("$pagespath/$pagefile")) {
            $html_output.="<b>$pagespath/$pagefile</b> - "._SUB_FILENOTEXISTS.".";
        }

        $html_output.="<br><center>"._SUB_PRESSBACK."</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();

    } else {
                $column = &$pntable['subpages_column'];
                $sql = "SELECT max($column[pageorder])
              FROM $pntable[subpages]
              WHERE $column[subid]=$subid AND $column[parentpageid]=$parentpageid";
                $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
                list($pageorder) = $result->fields;
                $result->Close();
                $pageorder = $pageorder + 1;

                if($pagefile != "" && ($pagecontent != "" ||
         !file_exists("$pagespath/$pagefile"))) {
          $pathpart = explode("/", $pagefile);

                        if(is_array($pathpart)) {
              $filename = '';
              for ($i=0;$i<count($pathpart)-1;$i++)
              {
                  $filename .= $pathpart[$i].'/';
                  if(!file_exists("$pagespath/$filename"))
                      mkdir("$pagespath/$filename", 0777);
              }
              $filename .= $pathpart[count($pathpart)-1];
                        } else
                                $filename = $pathpart;

                        $handle = fopen("$pagespath/$filename", 'w');

                        if ($handle){
              fwrite($handle, $pagecontent);
              fclose($handle);
              $pagecontent = "";
                        } else
                                $pagefile = "";
                }

                $pagecontent = (pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subpagecontent")));
                $pagefile = (pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$subpagefile")));
                $username=pnUserGetVar('uname');
                $pageauthor = pnUserGetVar('name');
                $pageauthoremail = pnUserGetVar('femail');
                $pageauthorurl = pnUserGetVar('url');

                $column = &$pntable['subpages_column'];
//modified for Oracle compatibility
				switch ($dbtype){
				    case "oci8":
						$sequence=substr_replace($pntable['subpages'],'',0,strlen($dbname)+1).'_sq';
						$nextid = $dbconn->GenId($sequence);
				        $sql="INSERT INTO $pntable[subpages] ($column[pageid], $column[parentpageid],
                            $column[subid], $column[pagetitle], $column[pagetext], $column[pagecontent],
                            $column[pagefile], $column[pageactive],
                            $column[reviewactive], $column[pageorder],
                            $column[pagecounter],
		                    $column[pageauthor], $column[pageauthoremail],
                            $column[pageauthorurl], $column[username], $column[keywords])
                            VALUES ($nextid, '$parentpageid', '$subid','$pagetitle',empty_clob(),empty_clob(),'$pagefile','$pageactive', '0', '$pageorder', '0', '$pageauthor', '$pageauthoremail', '$pageauthorurl', '$username', '$keywords')";
	                    $dbconn->Execute($sql);
						if ($dbconn->ErrorNo() != 0) {
							$output->Text(_SUB_TELLADMIN . _DBINSERTERROR . ": " . $sql);
	                        return $output->GetOutput();
			            }
						$dbconn->updateClob($pntable[subpages],$column[pagetext],$pagetext,$column[pageid].'='.$nextid);
						$dbconn->updateClob($pntable[subpages],$column[pagecontent],$pagecontent,$column[pageid].'='.$nextid);
						break;
					default:
                $nextid = $dbconn->GenId($pntable['subpages']);
                $sql="INSERT INTO $pntable[subpages] ($column[pageid], $column[parentpageid],
                        $column[subid], $column[pagetitle], $column[pagetext], $column[pagecontent],
                        $column[pagefile], $column[pageactive],
                        $column[reviewactive], $column[pageorder],
                        $column[pagecounter],
                                                $column[pageauthor], $column[pageauthoremail],
                                                $column[pageauthorurl], $column[username], $column[keywords])
                      VALUES ($nextid, '$parentpageid', '$subid','$pagetitle','$pagetext','$pagecontent','$pagefile','$pageactive', '0', '$pageorder', '0', '$pageauthor', '$pageauthoremail', '$pageauthorurl', '$username', '$keywords')";
                $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBINSERTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
						break;
				}

                pnRedirect(pnModURL('subjects','admin','pageedit',array('pageid'=>"$parentpageid")));
                return true;
    }
}

// ----------------------------------------------------------------------
//edit page/subpage form
function subjects_admin_pageedit()
{

     $output = new pnHTML();
     $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    $pageid = pnVarCleanFromInput('pageid');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
        $subjectsconfig['wysiwygeditor']=pnModGetVar('subjects', 'wysiwygeditor');
        $subjectsconfig['textareawidth']=pnModGetVar('subjects', 'textareawidth');
        $subjectsconfig['textareaheight']=pnModGetVar('subjects', 'textareaheight');
        //TiMax
        $pagespath=pnModGetVar('subjects', 'pagespath');

    $column = &$pntable['subpages_column'];
    $subcolumn = &$pntable['subjects_column'];
        $sql = "SELECT $column[pageid], $column[parentpageid], $column[subid],
              $subcolumn[subname], $column[pagetitle],
              $column[pagetext], $column[pagecontent], $column[pagefile], $column[pageimage],
              $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
              $column[pagedatetime], $column[pageactive], $column[reviewactive], $column[keywords], $subcolumn[catid]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[pageid]=$pageid AND
                                  $column[subid]=$subcolumn[subid]";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($pageid, $parentpageid, $subid, $subname, $pagetitle, $pagetext, $pagecontent, $pagefile, $pageimage,
         $pageauthor, $pageauthoremail, $pageauthorurl, $pagedatetime, $pageactive, $reviewactive, $keywords, $catid) = $result->fields;
    $result->Close();

    if(!isset($pageid)) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_PAGEDOESNOTEXIST;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }
        if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$parentpageid))) {
                $output->Text(_SUB_NOAUTHSPAGE);
                return $output->GetOutput();
        }
        if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$pageid))) {
                $output->Text(_SUB_NOAUTHSPAGE);
                return $output->GetOutput();
        }

    //get subject info for the page and make a page context (ex. MainPage/SubPage/SubSubPage/...)
    if ($parentpageid == 0){
        $mainpageid = $pageid;
        $mainpagetitle = $pagetitle;
        $mainpageimage = $pageimage;
        $mainpageauthor = $pageauthor;
        $mainpageauthoremail = $pageauthoremail;
        $mainpageauthorurl = $pageauthorurl;
        $mainpageid = $pageid;
        $mainpagetitle = $pagetitle;
        $mainpagedatetime = $pagedatetime;
    } else {
        $pagecontext = "";
        $context_parentpageid = $parentpageid;
        while($context_parentpageid > 0) {
            $column = &$pntable['subpages_column'];
                        $sql = "SELECT $column[pageid], $column[parentpageid], $column[pagetitle], $column[pageimage],
                      $column[pageauthor], $column[pageauthoremail], $column[pageauthorurl],
                      $column[pagedatetime]
                    FROM $pntable[subpages] WHERE $column[pageid]=$context_parentpageid";
            $result = $dbconn->Execute($sql);
                        if ($dbconn->ErrorNo() != 0) {
                                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                                return $output->GetOutput();
                        }
            list($context_pageid, $context_parentpageid, $context_pagetitle, $context_pageimage,
                 $context_pageauthor, $context_pageauthoremail, $context_pageauthorurl, $context_pagedatetime) = $result->fields;
            $result->Close();

            if($context_parentpageid != 0)
                $pagecontext = "<a href=\""
                                        .pnModURL('subjects','admin','pageedit', array('pageid'=>"$context_pageid"))
                                        ."\">$context_pagetitle</a> <strong><big>&middot;</big></strong> ".$pagecontext;
            else {
                $mainpageauthor = $context_pageauthor;
                $mainpageauthoremail = $context_pageauthoremail;
                $mainpageauthorurl = $context_pageauthorurl;
                $mainpageid = $context_pageid;
                $mainpagetitle = $context_pagetitle;
                $mainpageimage = $context_pageimage;
                $mainpagedatetime = $context_pagedatetime;
            }
        }
    }

        if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$parentpageid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUB_NOAUTHPAGE;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    //get page content from the file (if there is a path)
    if($pagefile != ''){
      if(file_exists("$pagespath/$pagefile"))
        $pagecontent = join('', file("$pagespath/$pagefile"));
      else
        $filenotexists = 1;
    }

    $html_output.=subjects_admin_header();

    $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

    if ($parentpageid == 0)
        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_EDITPAGE."</b></font></center><hr>";
    else
        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_EDITSUBPAGE."</b></font></center><hr>";

    $html_output.="<form name=\"editpageform\" action=\""
                .pnModURL('subjects','admin','pagechange')."\" method=\"post\">";

    if($parentpageid == 0) {
        $html_output.="<b>"._SUB_PAGESUBJECT."</b> "._SUB_REQUIREDFILED."<br>";
        $column = &$pntable['subjects_column'];
                $sql = "SELECT $column[subid], $column[subname]
                FROM $pntable[subjects] ORDER BY $column[suborder]";
        $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }

//modified for Oracle compatibility
//        while(list($subid2, $subname2) = $result->fields) {
        while(!$result->EOF){
			list($subid2, $subname2) = $result->fields;
            if ($subid2==$subid)
                $html_output.="<input type=\"radio\" name=\"subid\" value=\"$subid2\" checked><a href=\"".pnModURL('subjects','admin','pagesadmin', array('subid'=>"$subid"))."\"><b>$subname</b></a><br>";
            else
                                if (pnModAPIFunc('subjects','user','auth',
                                                array('perm'=>ACCESS_ADD,'catid'=>$catid,'subid'=>$subid2)))
                                        $html_output.="<input type=\"radio\" name=\"subid\" value=\"$subid2\">$subname2<br>";
            $result->MoveNext();
        }
        $result->Close();

    } else {
        $html_output.="<b>"._SUB_PAGESUBJECT."</b><br><strong><big>&middot;</big></strong>&nbsp;<a href=\""
                        .pnModURL('subjects','admin','pagesadmin', array('subid'=>"$subid"))
                        ."\"><b>$subname</b></a><br><br>"
                        ."<b>"._SUB_PAGE."</b><br><strong><big>&middot;</big></strong>&nbsp;<a href=\""
                        .pnModURL('subjects','admin','pageedit', array('pageid'=>"$mainpageid"))
                        ."\"><b>$mainpagetitle</b></a>";

        if($pagecontext != "")
           $html_output.=" <strong><big>&middot;</big></strong> $pagecontext";
        else
           $html_output.=" <strong><big>&middot;</big></strong> ";

        $html_output.="<input type=\"hidden\" name=\"subid\" value=\"$subid\">"
            ."<input type=\"hidden\" name=\"parentpageid\" value=\"$pageid\">";
    }

    $html_output.="<br><br><b>"._SUB_PAGETITLE."</b> "._SUB_REQUIREDFILED."<br>"
        ."<input type=\"text\" name=\"pagetitle\" size=\"60\" value=\"".pnVarPrepHTMLDisplay($pagetitle)."\"><br><br>"
        ."<b>"._SUB_PAGETEXT."</b><br>"
        ."<textarea name=\"pagetext\" id=\"pagetext\" cols=\"96\" rows=\"3\">$pagetext</textarea><br><br>"

                ."<b>"._SUB_KEYWORDS."</b><br>"
        ."<textarea name=\"keywords\" id=\"keywords\" cols=\"96\" rows=\"3\" >"
                        . pnVarPrepForDisplay($keywords)
                ."</textarea><br><br>"

        ."<b>"._SUB_PAGECONTENT."</b><br>"

                . pnModAPIFunc('subjects','user','wysiwygcheckstart',
                        array('title'=>_SUB_EDITPAGE,
                                'num'=>'1',
                                'editform'=>"editpageform",
                                'editcontrol'=>"pagecontent"))
        ."<textarea name=\"pagecontent\" id=\"pagecontent\" cols=\"".$subjectsconfig['textareawidth']."\" rows=\"".$subjectsconfig['textareaheight']."\">$pagecontent</textarea>"
                . pnModAPIFunc('subjects','user','wysiwygcheckend');

    $html_output.="<br><font class=\"pn-sub\">"._SUB_SUBPAGEBREAKS."</font><br>"
        ."<font class=\"pn-sub\">"._SUB_PAGESINDEX."</font><br><br>"
        ."<b>"._SUB_PAGEFILE."</b>";

    if($filenotexists)
      $html_output.="<b><font color=\"red\"> ("._SUB_FILENOTEXISTS.")</font></b>";

    $html_output.="<br><input type=\"text\" name=\"pagefile\" size=\"60\" value=\"$pagefile\"><br>"
        ."<font class=\"pn-sub\">"._SUB_PAGEFILEDIR." $pagespath.</font><br>"
        ."<font class=\"pn-sub\">"._SUB_PAGEFILECHMOD."</font><br><br>";

    if($parentpageid == 0) {
        $html_output.="<b>"._SUB_PAGEIMG."</b><br>"
            ."<input type=\"text\" name=\"pageimage\" size=\"40\" value=\"$pageimage\"><br>"
            ."<font class=\"pn-sub\">"._SUB_PAGEIMAGEDIR." $pagespath</font><br><br>"
            ."<b>"._SUB_PAGEAUTHOR."</b><br>"
            ."<input type=\"text\" name=\"pageauthor\" size=\"50\" value=\"".pnVarPrepHTMLDisplay($pageauthor)."\"><br><br>"
            ."<b>"._SUB_PAGEAUTHOREMAIL."</b><br>"
            ."<input type=\"text\" name=\"pageauthoremail\" size=\"50\" value=\"$pageauthoremail\"><br><br>"
            ."<b>"._SUB_PAGEAUTHORURL."</b><br>"
            ."<input type=\"text\" name=\"pageauthorurl\" size=\"50\" value=\"$pageauthorurl\"><br><br>";

        eregi("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $pagedatetime, $datetime);
        $dt['year'] = $datetime[1];
        $dt['mon'] = $datetime[2];
        $dt['mday'] = $datetime[3];
        $dt['hours'] = $datetime[4];
        $dt['minutes'] = $datetime[5];

                $html_output.=pnModAPIFunc('subjects', 'user', 'datetime_dropdown', array('datetime'=>$dt));

    }

    $html_output.="<b>"._SUB_PAGEACTIVE."</b><br>";

        if($pageactive)
        $html_output.="<input type=\"checkbox\" name=\"pageactive\" value=\"$pageactive\" checked><br><br>";
    else
        $html_output.="<input type=\"checkbox\" name=\"pageactive\" value=\"$pageactive\"><br><br>";

        if($parentpageid == 0){
        $html_output.="<b>"._SUB_REVIEWACTIVE."</b><br>";
        if($reviewactive)
            $html_output.="<input type=\"checkbox\" name=\"reviewactive\" value=\"$reviewactive\" checked><br><br>";
        else
            $html_output.="<input type=\"checkbox\" name=\"reviewactive\" value=\"$reviewactive\"><br><br>";
    }

    $html_output.="<input type=\"hidden\" name=\"pageid\" value=\"$pageid\">"
        ."<input type=\"submit\" value=\""._SUB_SAVECHANGES."\">";
    $html_output.="</form>";
    $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

    //show subpages edit list
    $subpageseditlist = subjects_admin_subpageseditlist($pageid);
    if(isset($subpageseditlist)){
         $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
             $html_output.="<center><font class=\"pn-title\"><b>"._SUB_SUBPAGES."</b></font></center><br>";
             $html_output.="<table width=\"90%\" align=\"center\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\"><tr>"
                 ."<th align=\"center\"><b>"._SUB_PAGETITLE."</b></td>"
                 ."<th align=\"center\"><b>"._SUB_ABBREVPAGEACTIVE."</b></td>"
                 ."<th align=\"center\"><b>"._SUB_ORDER."</b></td>"
                 ."<th align=\"center\"><b>"._SUB_FUNCTIONS."</b></td></tr><tr>"
                 ."<td height=\"1\"></td>"
                 ."<td height=\"1\"></td>"
                 ."<td height=\"1\"></td>"
                 ."<td height=\"1\"></td>"
                 ."</tr><tr>";
             $html_output.=$subpageseditlist;
             $html_output.="</table>";
         $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }

    //add new subpage
        if (pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_ADD,'catid'=>$catid,'subid'=>$subid,'pageid'=>$parentpageid))) {

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

        $html_output.="<center><font class=\"pn-title\"><b>"._SUB_ADDSUBPAGE."</b></font></center><hr>"
            ."<b>"._SUB_PAGESUBJECT."</b><br><strong><big>&middot;</big></strong>&nbsp;<a href=\""
                        .pnModURL('subjects','admin','pagesadmin', array('subid'=>"$subid"))
                        ."\"><b>$subname</b></a><br><br>"
            ."<b>"._SUB_PAGE."</b><br><strong><big>&middot;</big></strong>&nbsp;<a href=\""
                        .pnModURL('subjects','admin','pageedit', array('pageid'=>"$mainpageid"))."\"><b>$mainpagetitle</b></a>";

        if($pagecontext != "")
           $html_output.=" <strong><big>&middot;</big></strong> $pagecontext $pagetitle  <strong><big>&middot;</big></strong>";
        else
           $html_output.=" <strong><big>&middot;</big></strong> ";

        $html_output.="</ul>"
            ."<form name=\"newsubpageform\" action=\""
                        .pnModURL('subjects','admin','subpageadd')
                        ."\" method=\"post\">"
            ."<b>"._SUB_PAGETITLE."</b> "._SUB_REQUIREDFILED."<br>"
            ."<input type=\"text\" name=\"subpagetitle\" size=\"60\"><br><br>"
            ."<b>"._SUB_PAGETEXT."</b><br>"
            ."<textarea name=\"subpagetext\" id=\"subpagetext\" cols=\"96\" rows=\"3\"></textarea><br><br>"

                        ."<b>"._SUB_KEYWORDS."</b><br>"
                        ."<textarea name=\"keywords\" id=\"keywords\" cols=\"96\" rows=\"3\" >"
                                . pnVarPrepForDisplay($keywords)
                        ."</textarea><br><br>"

            ."<input type=\"hidden\" name=\"parentpageid\" value=\"$pageid\">"
            ."<b>"._SUB_PAGECONTENT."</b><br>"

                        . pnModAPIFunc('subjects','user','wysiwygcheckstart',
                                array('title'=>_SUB_ADDPAGE,
                                'num'=>'2',
                                'editform'=>"newsubpageform",
                                'editcontrol'=>"subpagecontent"))
            ."<textarea name=\"subpagecontent\" id=\"subpagecontent\" cols=\"".$subjectsconfig['textareawidth']."\" rows=\"".$subjectsconfig['textareaheight']."\"></textarea>"
                        . pnModAPIFunc('subjects','user','wysiwygcheckend');


        $html_output.="<br><font class=\"pn-sub\">"._SUB_SUBPAGEBREAKS."</font><br>"
            ."<font class=\"pn-sub\">"._SUB_PAGESINDEX."</font><br><br>"
            ."<b>"._SUB_PAGEFILE."</b><br>"
            ."<input type=\"text\" name=\"subpagefile\" size=\"60\"><br>"
            ."<font class=\"pn-sub\">"._SUB_PAGEFILEDIR." $pagespath.</font><br>"
            ."<font class=\"pn-sub\">"._SUB_PAGEFILECHMOD."</font><br><br>"
            ."<b>"._SUB_PAGEACTIVE."</b><br>"
            ."<input type=\"checkbox\" name=\"subpageactive\" checked><br><br>"
            ."<input type=\"submit\" value=\""._SUB_ADDSUBPAGEBUTTON."\">";

        $html_output.="</form>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
    }

     $output->Text($html_output);
     return $output->GetOutput();
}

// ----------------------------------------------------------------------
//change page/subpage in database
function subjects_admin_pagechange() {

	global $pnconfig;
	$dbtype = $pnconfig['dbtype'];

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

        if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    list($pageid, $subid, $pagetitle, $pagetext, $pagecontent, $pagefile,
         $pageimage, $pageauthor, $pageauthoremail, $pageauthorurl,
         $pageday, $pagemonth, $pageyear, $pagehour, $pagemin,
         $pageactive, $reviewactive, $keywords) =
                pnVarCleanFromInput('pageid', 'subid', 'pagetitle', 'pagetext', 'pagecontent', 'pagefile',
                                                        'pageimage', 'pageauthor', 'pageauthoremail', 'pageauthorurl',
                                                        'pageday', 'pagemonth', 'pageyear', 'pagehour', 'pagemin',
                                                        'pageactive', 'reviewactive', 'keywords');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

        $column = &$pntable['subjects_column'];
        $sql = "SELECT $column[subname],$column[catid]
            FROM $pntable[subjects]
            WHERE $column[subid] = $subid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($subname,$catid) = $result->fields;
    $result->Close();

        list($mainpageid, $mainpagetitle) = subjects_admin_getmainpageinfo($pageid);

        if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$mainpageid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTSEDITPAGENOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    $pagetitle = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pagetitle")));
    $pagetext = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pagetext")));
    $pagecontent = stripslashes($pagecontent);
    $pagefile = stripslashes($pagefile);
    $pageimage = stripslashes($pageimage);
    $pageauthor = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pageauthor")));
    $pageauthoremail = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pageauthoremail")));
    $pageauthorurl = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pageauthorurl")));
    $keywords = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$keywords")));
        $keywords = substr($keywords, 0, 255);
    if($pageauthorurl == "http://") $pageauthorurl = "";
    $pagedatetime = "$pageyear-$pagemonth-$pageday $pagehour:$pagemin:00";

    if (isset($pageactive)) $pageactive=1;
    else $pageactive=0;

    if (isset($reviewactive)) $reviewactive=1;
    else $reviewactive=0;

    if($pagefile != "") {
      $dirpart = explode("/", $pagefile);
      if(is_array($dirpart)) {
        $dirname = '';
        for($i = 0; $i < count($dirpart) - 1; $i++)
        {
          $tmpdirname = $dirname;
          $dirname .= $dirpart[$i].'/';
          if(!file_exists("$pagespath/$dirname")){
            $dirname = $tmpdirname;
            break;
          }
        }
      } else
        $dirname = "";
    }

    if(trim($pagetitle) == "" ||
       ($pagefile != "" &&
        (($pagecontent != "" && !file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$dirname")) ||
         ($pagecontent != "" && file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$pagefile")) ||
         ($pagecontent == "" && !file_exists("$pagespath/$pagefile"))))) {

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<center><font class=\"pn-normal\"><b>"
                        ._SUB_EDITPAGEERROR."</b></font></center><br><br><ul>";

        if(trim($pagetitle) == "")
            $html_output.="<li>"._SUB_FILLTHEFIELD." <b>"._SUB_PAGETITLE."</b>.";

                if($pagefile != "" && $pagecontent != "" && !file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$dirname"))
            $html_output.="<li><b>$pagespath/$dirname</b> - "._SUB_CANNOTWRITEDIR."<br>"
                .""._SUB_CHMODDIR;

                if($pagefile != "" && $pagecontent != "" && file_exists("$pagespath/$pagefile") && !is_writeable("$pagespath/$pagefile"))
            $html_output.="<li><b>$pagespath/$pagefile</b> - "._SUB_CANNOTWRITEFILE."<br>"
                .""._SUB_CHMODFILE;

                if($pagefile != "" && $pagecontent == "" && !file_exists("$pagespath/$pagefile"))
            $html_output.="<li><b>$pagespath/$pagefile</b> - "._SUB_FILENOTEXISTS.".";

                $html_output.="<ul><br><center>"._SUB_PRESSBACK."</center>";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

                $output->Text($html_output);
                return $output->GetOutput();
    } else if ($pagefile!="") {
                if($pagefile != "" && ($pagecontent != "" ||
         file_exists("$pagespath/$pagefile")))
                        $pathpart = explode("/", $pagefile);

                if(is_array($pathpart)) {
            $filename = '';
            for ($i=0;$i<count($pathpart)-1;$i++)
            {
                $filename .= $pathpart[$i].'/';
                if(!file_exists("$pagespath/$filename"))
                    mkdir("$pagespath/$filename", 0777);
            }
            $filename .= $pathpart[count($pathpart)-1];
        } else
            $filename = $pathpart;

        $handle = fopen("$pagespath/$filename", 'w');
        if ($handle) {
            fwrite($handle, $pagecontent);
            fclose($handle);
            $pagecontent = "";
        } else
            $pagefile = "";
        }

        $pagecontent = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pagecontent")));
        $pagefile = stripslashes(pnModAPIFunc('subjects', 'user', 'fixquotes', array('what'=>"$pagefile")));

        $column = &$pntable['subpages_column'];
//modified for Oracle compatibility
		switch ($dbtype){
		    case "oci8":
				$sql = "UPDATE $pntable[subpages]
					  SET $column[subid]='$subid', $column[pagetitle]='$pagetitle',
		            $column[pagetext]=empty_clob(), $column[pagecontent]=empty_clob(),
			        $column[pagefile]='$pagefile', $column[pageimage]='$pageimage', 	$column[pageauthor]='$pageauthor',
	                $column[pageauthoremail]='$pageauthoremail', $column[pageauthorurl]='$pageauthorurl',
		            $column[pagedatetime]='$pagedatetime', $column[pageactive]='$pageactive',
			        $column[reviewactive]='$reviewactive', $column[keywords]='$keywords'
		              WHERE $column[pageid]=$pageid";
				$dbconn->Execute($sql);
		        if ($dbconn->ErrorNo() != 0) {
			        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
				    return $output->GetOutput();
		        }
				$dbconn->updateClob($pntable[subpages],$column[pagetext],$pagetext,$column[pageid].'='.$pageid);
				$dbconn->updateClob($pntable[subpages],$column[pagecontent],$pagecontent,$column[pageid].'='.$pageid);
				break;
			default:
        $sql = "UPDATE $pntable[subpages]
              SET $column[subid]='$subid', $column[pagetitle]='$pagetitle',
                $column[pagetext]='$pagetext', $column[pagecontent]='$pagecontent',
                $column[pagefile]='$pagefile', $column[pageimage]='$pageimage', $column[pageauthor]='$pageauthor',
                $column[pageauthoremail]='$pageauthoremail', $column[pageauthorurl]='$pageauthorurl',
                $column[pagedatetime]='$pagedatetime', $column[pageactive]='$pageactive',
                $column[reviewactive]='$reviewactive', $column[keywords]='$keywords'
              WHERE $column[pageid]=$pageid";
        $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                return $output->GetOutput();
        }
				break;
		}

        if($mainpageid == $pageid)
                  pnRedirect(pnModURL('subjects','admin','pagesadmin',array('subid'=>"$subid")));
        else
                pnRedirect(pnModURL('subjects','admin','pageedit',array('pageid'=>"$mainpageid")));

        return true;
}

// ----------------------------------------------------------------------
//delete page with its subpages from database
function subjects_admin_pagedelete() {

         $output = new pnHTML();
     $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

    list($pageid, $ok) = pnVarCleanFromInput('pageid', 'ok');
        if (empty($ok)) $ok=0;

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');

    $column = &$pntable['subpages_column'];
    $subcolumn = &$pntable['subjects_column'];
        $sql = "SELECT $subcolumn[subid], $subcolumn[subname], $subcolumn[catid]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[pageid]='$pageid' AND
              $column[subid]=$subcolumn[subid]";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($subid, $subname, $catid) = $result->fields;
    $result->Close();

        list($mainpageid, $mainpagetitle) = subjects_admin_getmainpageinfo($pageid);

        if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_DELETE,'catid'=>$catid,'subid'=>$subid,'pageid'=>$mainpageid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTSDELPAGENOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    if ($ok==1) {
        subjects_admin_subpagesdelete($pageid);
        if($mainpageid == $pageid)
                        pnRedirect(pnModURL('subjects','admin','pagesadmin',array('subid'=>"$subid")));
        else
                        pnRedirect(pnModURL('subjects','admin','pageedit',array('pageid'=>"$mainpageid")));
                return true;

    } else {

        $html_output.=subjects_admin_header();

        $column = &$pntable['subpages_column'];
                $sql = "SELECT $column[pagetitle]
                FROM $pntable[subpages]
                WHERE $column[pageid]=$pageid";
        $result = $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        list($pagetitle) = $result->fields;
        $result->Close();

        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');

        if($mainpageid == $pageid)
          $html_output.="<center><font class=\"pn-title\"><b>"._SUB_DELPAGE."</b></font><br><br>";
        else
          $html_output.="<center><font class=\"pn-title\"><b>"._SUB_DELSUBPAGE."</b></font><br><br>";

        $html_output.="<font class=\"pn-normal\"><b>$pagetitle</b></font><br><br>";
        $html_output.="<table><tr><td>\n";

        if($mainpageid == $pageid)
                        $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','admin','pagesadmin', array('subid'=>"$subid")),
               'value'=>_NO));
        else
                        $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','admin','pageedit', array('pageid'=>"$mainpageid")),
               'value'=>_NO));
        $html_output.="</td><td>\n";
                $html_output.=pnModAPIFunc('subjects', 'user', 'mytextform', array(
               'url'=>pnModURL('subjects','admin','pagedelete', array('pageid'=>"$pageid",'ok'=>"1")),
               'value'=>_YES));

        $html_output.="</td></tr></table>\n";
        $html_output.="</center>\n";
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }
}
// ----------------------------------------------------------------------
//page/subpage reordering
function subjects_admin_pagereorder() {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

        if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }

        list($pageid, $move) = pnVarCleanFromInput('pageid', 'move');

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
    $pagespath=pnModGetVar('subjects', 'pagespath');

    $column = &$pntable['subpages_column'];
    $subcolumn = &$pntable['subjects_column'];
        $sql = "SELECT $column[pageid], $column[parentpageid], $column[pagetitle],
              $column[subid], $subcolumn[subname],
              $column[pageorder]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[pageid]='$pageid' AND
              $column[subid]=$subcolumn[subid]";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
        list($pageid, $parentpageid, $pagetitle, $subid, $subname, $pageorder) = $result->fields;
    $result->Close();

        list($mainpageid, $mainpagetitle) = subjects_admin_getmainpageinfo($pageid);

        if (!pnModAPIFunc('subjects','user','auth',
                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$mainpageid))) {
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.=_SUBJECTSEDITPAGENOAUTH;
        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');
                $output->Text($html_output);
                return $output->GetOutput();
    }

    if($move == 'up'){
        $column = &$pntable['subpages_column'];
                $sql = "SELECT $column[pageid], $column[pageorder]
                FROM $pntable[subpages]
                WHERE $column[pageorder] < $pageorder AND
                  $column[parentpageid] = $parentpageid AND
                  $column[subid] = $subid
                ORDER BY $column[pageorder] DESC";
        $result = $dbconn->SelectLimit($sql,1);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        if (!$result->EOF) list($pageid2, $pageorder2) = $result->fields;
        $result->Close();
    }

    if($move == 'down'){
        $column = &$pntable['subpages_column'];
                $sql = "SELECT $column[pageid], $column[pageorder]
                FROM $pntable[subpages]
                WHERE $column[pageorder] > $pageorder AND
                  $column[parentpageid] = $parentpageid AND
                  $column[subid] = $subid
                                ORDER BY $column[pageorder]";
        $result = $dbconn->SelectLimit($sql,1);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                        return $output->GetOutput();
                }
        if (!$result->EOF) list($pageid2, $pageorder2) = $result->fields;
        $result->Close();
    }

    if(isset($pageid2)) {
        $column = &$pntable['subpages_column'];
                $sql = "UPDATE $pntable[subpages]
                SET $column[pageorder]=$pageorder2
                WHERE $column[pageid]=$pageid";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }

                $sql = "UPDATE $pntable[subpages]
                 SET $column[pageorder]=$pageorder
                 WHERE $column[pageid]=$pageid2";
        $dbconn->Execute($sql);
                if ($dbconn->ErrorNo() != 0) {
                        $output->Text(_SUB_TELLADMIN . _DBUPDATEERROR . ": " . $sql);
                        return $output->GetOutput();
                }
    }

    if($parentpageid == 0)
                pnRedirect(pnModURL('subjects','admin','pagesadmin',array('subid'=>"$subid")));
    else
                pnRedirect(pnModURL('subjects','admin','pageedit',array('pageid'=>"$mainpageid")));

        return true;

}

// ----------------------------------------------------------------------
//delete subpages from database /** pageid */
function subjects_admin_subpagesdelete($pageid) {

    if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

        list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

    $column = &$pntable['subpages_column'];
        $sql = "SELECT $column[pageid]
            FROM $pntable[subpages]
            WHERE $column[parentpageid]=$pageid";
    $result=$dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
//modified for Oracle compatibility
//	while(list($parentpageid) = $result->fields){
	while(!$result->EOF){
		list($parentpageid) = $result->fields;
      subjects_admin_subpagesdelete($parentpageid);
      $result->MoveNext();
    }
    $result->Close();
        $sql="DELETE FROM $pntable[subreviews]
                      WHERE {$pntable[subreviews_column][pageid]}='$pageid'";
    $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBDELETEERROR . ": " . $sql);
                return $output->GetOutput();
        }
        $sql="DELETE FROM $pntable[subpages]
                      WHERE $column[pageid]='$pageid'";
    $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBDELETEERROR . ": " . $sql);
                return $output->GetOutput();
        }
}
// ----------------------------------------------------------------------
//sub pages edit list /** $pageid, $level */
function subjects_admin_subpageseditlist($pageid, $level=0) {

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
                $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

    $column = &$pntable['subpages_column'];
    $subcolumn = &$pntable['subjects_column'];
        $sql = "SELECT $column[pageid], $column[parentpageid], $column[pagetitle],
              $column[pageactive], $subcolumn[subname], $subcolumn[catid]
            FROM $pntable[subpages], $pntable[subjects]
            WHERE $column[subid] = $subcolumn[subid] AND $column[parentpageid] = $pageid
            ORDER BY  $column[pageorder]";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }

        list($mainpageid, $mainpagetitle) = subjects_admin_getmainpageinfo($pageid);

    if (!$result->EOF) {
//modified for Oracle compatibility
//		while(list($pageid, $parentpageid, $pagetitle, $pageactive, $subname, $catid) = $result->fields) {
		while(!$result->EOF){
			list($pageid, $parentpageid, $pagetitle, $pageactive, $subname, $catid) = $result->fields;
            $ret .= "<tr><td><b>";
            for($i = 0; $i < $level; $i++) $ret .= "&nbsp;&nbsp;&nbsp;&nbsp;";
            if($level > 0) $ret .= "<strong>&middot;</strong>&nbsp;";
            $ret .= "$pagetitle</b></td>";

            if($pageactive)
                $ret .= "<td align=\"center\"><img src=\"modules/subjects/pnimages/active.gif\" width=\"12\" height=\"12\" border=\"0\"></td>";
            else
                $ret .= "<td align=\"center\"><img src=\"modules/subjects/pnimages/nonactive.gif\" width=\"12\" height=\"12\" border=\"0\"></td>";

                        if (pnModAPIFunc('subjects','user','auth',
                                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$mainpageid))) {

                $ret .= "<td align=\"center\"align=\"center\">"
                    ."<a href=\""
                                        .pnModURL('subjects','admin','pagereorder', array('pageid'=>"$pageid",'move'=>"up"))
                                        ."\"><img src=\"modules/subjects/pnimages/up.gif\"  width=\"12\" height=\"12\" border=\"0\" alt=\""._SUB_UP."\"></a>&nbsp;"
                    ."<a href=\""
                                        .pnModURL('subjects','admin','pagereorder', array('pageid'=>"$pageid",'move'=>"down"))
                                        ."\"><img src=\"modules/subjects/pnimages/down.gif\" width=\"12\" height=\"12\" border=\"0\" alt=\""._SUB_DOWN."\"></a>"
                    ."</td>"
                    ."<td>";

                                        if (pnModAPIFunc('subjects','user','auth',
                                                        array('perm'=>ACCESS_EDIT,'catid'=>$catid,'subid'=>$subid,'pageid'=>$pageid))) {

                                                $ret .= "<a href=\""
                                                        .pnModURL('subjects','admin','pageedit', array('pageid'=>"$pageid"))
                                                        ."\"><img src=\"modules/subjects/pnimages/edit.gif\" border=\"0\" alt=\""._EDIT."\"></a>";
                                        }
                                        if (pnModAPIFunc('subjects','user','auth',
                                                        array('perm'=>ACCESS_DELETE,'catid'=>$catid,'subid'=>$subid,'pageid'=>$pageid))) {
                                                $ret .= "  <a href=\""
                                                        .pnModURL('subjects','admin','pagedelete', array('pageid'=>"$pageid",'ok'=>"0"))
                                                        ."\"><img src=\"modules/subjects/pnimages/del.gif\" border=\"0\" alt=\""._DELETE."\"></a>";
                                        }

                                        $ret .= "</td>";
            } else {
                $ret .= "<td align=\"center\" align=\"center\">&nbsp;</td>"
                       ."<td align=\"center\">&nbsp;</td>";
            }
            $ret .= "</tr><tr>"
                   ."<td height=\"1\"></td>"
                   ."<td height=\"1\"></td>"
                   ."<td height=\"1\"></td>"
                   ."<td height=\"1\"></td>"
                   ."</tr><tr>";

            $ret .= subjects_admin_subpageseditlist($pageid, $level + 1);
            $result->MoveNext();
        }
    }
    $result->Close();

    return $ret;
}
// ----------------------------------------------------------------------
//get main page info for page/subpage /** pageid */
function subjects_admin_getmainpageinfo($pageid)
{

        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $html_output="";
    if (!pnModAPILoad('subjects', 'user')) {
                $output->Text(_LOADFAILED);
        return $output->GetOutput();
        }

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();
    $html_output="";
    //TiMax
     $pagespath=pnModGetVar('subjects', 'pagespath');

    $column = &$pntable['subpages_column'];
        $sql = "SELECT $column[parentpageid], $column[pagetitle]
            FROM $pntable[subpages]
            WHERE $column[pageid] = $pageid";
    $result = $dbconn->Execute($sql);
        if ($dbconn->ErrorNo() != 0) {
                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                return $output->GetOutput();
        }
    list($parentpageid, $pagetitle) = $result->fields;
    $result->Close();

    if($parentpageid == 0){
        $mainpageid = $pageid;
        $mainpagetitle = $pagetitle;
    } else {
        while($parentpageid > 0){
                        $sql = "SELECT $column[pageid], $column[parentpageid], $column[pagetitle]
                    FROM $pntable[subpages]
                    WHERE $column[pageid]=$parentpageid";
            $result = $dbconn->Execute($sql);
                        if ($dbconn->ErrorNo() != 0) {
                                $output->Text(_SUB_TELLADMIN . _DBSELECTERROR . ": " . $sql);
                                return $output->GetOutput();
                        }
            list($mainpageid, $parentpageid, $pagetitle) = $result->fields;
            $result->Close();
        }
    }
    return array($mainpageid, $mainpagetitle);
}

// ----------------------------------------------------------------------
//Module's settings
function subjects_admin_updateconfig() {

        list ($actiontype,
                $wysiwygeditor,
                $pagesperlistview,
                $textareawidth,
                $textareaheight,
                $sortbypanel,
                $pagespath,
				$showreturnfooter) = pnVarCleanFromInput('actiontype',
                                                                                        'wysiwygeditor',
                                                                                        'pagesperlistview',
                                                                                        'textareawidth',
                                                                                        'textareaheight',
                                                                                        'sortbypanel',
                                                                                        'pagespath',
																						'showreturnfooter');

        if ($actiontype=="Save") {
                // set the module vars
                pnModSetVar('subjects', 'wysiwygeditor', $wysiwygeditor);
                pnModSetVar('subjects', 'pagesperlistview', $pagesperlistview);
                pnModSetVar('subjects', 'textareawidth', $textareawidth);
                pnModSetVar('subjects', 'textareaheight', $textareaheight);
                pnModSetVar('subjects', 'sortbypanel', $sortbypanel);
                pnModSetVar('subjects', 'pagespath', $pagespath);
				pnModSetVar('subjects', 'showReturnFooter', $showreturnfooter);
        }

        if ($actiontype=="RestoreDefaults") {
                // set the defaults
                pnModSetVar('subjects', 'wysiwygeditor', 1);
                pnModSetVar('subjects', 'pagesperlistview', 10);
                pnModSetVar('subjects', 'textareawidth', 96);
                pnModSetVar('subjects', 'textareaheight', 20);
                pnModSetVar('subjects', 'sortbypanel', 1);
                pnModSetVar('subjects', 'pagespath', 'upload/sub');
				pnModSetVar('subjects', 'showReturnFooter', 1);
        }

        pnRedirect(pnModURL('subjects','admin','modifyconfig'));
        return true;

}

// ----------------------------------------------------------------------
//Module's settings GUI
function subjects_admin_modifyconfig() {

        $wysiwygeditor = pnModGetVar('subjects', 'wysiwygeditor');
        $pagesperlistview = pnVarPrepHTMLDisplay(pnModGetVar('subjects', 'pagesperlistview'));
        $sortbypanel=pnModGetVar('subjects', 'sortbypanel');

        $pagespath = pnVarPrepHTMLDisplay(pnModGetVar('subjects', 'pagespath'));


        $output = new pnHTML();
        $output->SetInputMode(_PNH_VERBATIMINPUT);

        if (!pnModAPILoad('subjects', 'user')) {
        $output->Text(_LOADFAILED);
        return $output->GetOutput();
    }
        $html_output="";

        if (!pnModAPIFunc('subjects','user','auth',array('perm'=>ACCESS_ADMIN))) {
        $output->Text(_SUB_NOAUTH);
        return $output->GetOutput();
        }

        $html_output.=subjects_admin_header();
        $html_output.=pnModAPIFunc('subjects', 'user', 'tablestart');
        $html_output.="<form action=\"".pnModURL('subjects','admin','updateconfig')."\" method=\"post\">"
                . "<TABLE BORDER=\"0\" CELLPADDING=\"1\" CELLSPACING=\"1\" ALIGN=\"CENTER\" VALIGN=\"TOP\" WIDTH=\"100%\">"
                . "<TR>"
                . "<TD>"
                        . "<TABLE BORDER=\"0\" CELLPADDING=\"3\" CELLSPACING=\"1\" WIDTH=\"100%\">"
                        . "<TR ALIGN=\"LEFT\"><TD ALIGN=\"CENTER\" COLSPAN=\"3\">"
                                . "<font class=\"pn-title\"><b>"._SUB_MODIFYCONFIG."</b></font></TD>"
                        . "</TR>"
                        . "<TR ALIGN=\"LEFT\"><TD ALIGN=\"CENTER\" COLSPAN=\"3\">"
                                . "<FONT class=\"pn-normal\"><I>"._SUB_MODIFYCONFIG_NOTE."</I></FONT></TD>"
                        . "</TR>"
                        . "<TR ALIGN=\"LEFT\"><TD ALIGN=\"right\" COLSPAN=\"3\">"
                                . "<HR><FONT class=\"pn-pagetitle\"><B>"._SUB_CONFIG_PARTONE."</B></FONT><HR></TD>"
                        . "</TR>"
                        . "<TR ALIGN=\"LEFT\">"
                                . "<TD>"
                                        . "<b>"._SUB_CONFIG_WYSIWYG_SWITCH."</b>"
                                . "</TD>"
                                . "<TD colspan=\"2\" ALIGN=\"LEFT\">";
                                        if ($wysiwygeditor==2) {
                                                $intro_select=" checked";
                                                $yes_select="";
                                                $no_select="";
                                        } elseif ($wysiwygeditor==1) {
                                                $intro_select="";
                                                $yes_select=" checked";
                                                $no_select="";
                                        } else {
                                                $intro_select="";
                                                $yes_select="";
                                                $no_select=" checked";
                                        }
                                        $html_output.="<input type=\"radio\" name=\"wysiwygeditor\" value=\"0\""
                                        . $no_select.">"._SUB_NO. "<br>"
                                        . "<input type=\"radio\" name=\"wysiwygeditor\" value=\"1\""
//                                        . $yes_select.">"._SUB_YES_SUBJECTSWYSIWYG. "<br>"
                    . $yes_select." disabled>"._SUB_YES_SUBJECTSWYSIWYG. "<br>"
                                        . "<input type=\"radio\" name=\"wysiwygeditor\" value=\"2\""
                                        . $intro_select.">"._SUB_YES_WYSIWYG_PN0723
                                        . "</TD>"
                        . "</TR>"
                        . "<TR ALIGN=\"LEFT\">"
                                . "<TD>"
                                        . "<b>"._SUB_CONFIG_TEXTAREA."</b>"
                                . "</TD>"
                                . "<TD colspan=\"2\"><INPUT TYPE=\"TEXT\" NAME=\"textareawidth\" SIZE=\"3\" MAXLENGTH=\"3\" "
                                        . "VALUE=\"".pnModGetVar('subjects','textareawidth')."\">&nbsp;x&nbsp;"
                                        . "<INPUT TYPE=\"TEXT\" NAME=\"textareaheight\" SIZE=\"3\" MAXLENGTH=\"3\" "
                                        . "VALUE=\"".pnModGetVar('subjects','textareaheight')."\"> "._SUB_CONFIG_TEXTAREA2
                                . "</TD>"
                        . "</TR>"
                        . "<TR ALIGN=\"LEFT\"><TD ALIGN=\"right\" COLSPAN=\"3\">"
                                . "<HR><FONT class=\"pn-pagetitle\"><B>"._SUB_CONFIG_PARTTHREE."</B></FONT><HR></TD>"
                        . "</TR>"
                        . "<TR ALIGN=\"LEFT\">"
                                . "<TD>"
                                        . "<b>"._SUB_CONFIG_LISTPAGESNUMBER."</b>"
                                . "</TD>"
                                . "<TD colspan=\"2\">"
                                        . "<INPUT TYPE=\"TEXT\" NAME=\"pagesperlistview\" SIZE=\"3\" MAXLENGTH=\"10\" "
                                        . "VALUE=\"".$pagesperlistview."\">"
                                . "</TD>"
                        . "</TR>"

                        . "<TR ALIGN=\"LEFT\">"
                                . "<TD>"
                                        . "<b>"._SUB_ORDERPANEL."</b>"
                                . "</TD>"
                                . "<TD colspan=\"2\" ALIGN=\"LEFT\">";
                                        if ($sortbypanel==2) {
                                                $bottom_select=" checked";
                                                $top_select="";
                                                $no_select="";
                                        } elseif ($sortbypanel==1) {
                                                $bottom_select="";
                                                $top_select=" checked";
                                                $no_select="";
                                        } else {
                                                $bottom_select="";
                                                $top_select="";
                                                $no_select=" checked";
                                        }
                                        $html_output.="<input type=\"radio\" name=\"sortbypanel\" value=\"1\""
                    . $top_select.">"._SUB_ORDERPANEL_TOP. "&nbsp;&nbsp;"
                                        . "<input type=\"radio\" name=\"sortbypanel\" value=\"2\""
                                        . $bottom_select.">"._SUB_ORDERPANEL_BOTTOM. "&nbsp;&nbsp;"
                                        . "<input type=\"radio\" name=\"sortbypanel\" value=\"0\""
                                        . $no_select.">"._SUB_ORDERPANEL_NO
                                        . "</TD>"
                        . "</TR>";
						/* Burke - add the ability to turn of the Return Footers */
						$showReturnFooter = pnModGetVar('subjects','showReturnFooter');
						$html_output.="<TR>"
							."<TD align='left'><b>"._SHOWRETURNFOOTER."</b></TD>"
							."<TD colspan='2' align='left'>"
							."<input type='checkbox' name='showreturnfooter' id='showreturnfooter' value='1'";
							if ($showReturnFooter){
								$html_output.=" checked";
							}
							$html_output .= "/>"
							."</TD></TR>";
						/* End Burke */
                        $html_output .= "<TR ALIGN=\"LEFT\"><TD ALIGN=\"right\" COLSPAN=\"3\">"
                                . "<HR><FONT class=\"pn-pagetitle\"><B>"._SUB_CONFIG_USERCONFIG."</B><HR></FONT></TD>"
                        . "</TR>"
                        . "<TR ALIGN=\"LEFT\">"
                                //. "<TD>"
                                  //      . ""
                               // . "</TD>"
                                . "<TD colspan=\"3\">"
                                        . "<INPUT TYPE=\"TEXT\" NAME=\"pagespath\" SIZE=\"50\" MAXLENGTH=\"100\" "
                                        . "VALUE=\"".$pagespath."\"><BR><b>"._SUB_CONFIG_PATHTOPAGESDIR."</b>"
                                . "</TD>"
                        . "</TR>"


                        . "<TR ALIGN=\"LEFT\">"
                                . "<TD ALIGN=\"CENTER\" COLSPAN=\"3\"><br><br>"
                                        . "<input type=\"radio\" name=\"actiontype\" value=\"Save\" checked>&nbsp;"
                                                ._SUB_CONFIG_SAVECHANGES."&nbsp;"
                                        . "<input type=\"radio\" name=\"actiontype\" value=\"RestoreDefaults\">&nbsp;"
                                                ._SUB_CONFIG_RESTOREDEFAULTS."<br><br>"
                                        . "<INPUT TYPE=\"SUBMIT\" NAME=\"submit\" VALUE=\""._SUB_CONFIG_SUBMIT."\">"
                                . "</TD>"
                        . "</TR>"
                        . "</TABLE>"
                . "</TD></TR>"
                . "</TABLE>"
                . "</form>";

        $html_output.=pnModAPIFunc('subjects', 'user', 'tableend');

        $output->Text($html_output);
        return $output->GetOutput();
}
?>
