<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// http://www.maxdev.com/
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
// Filename: modules/subjects/pnuserapi.php
// Original Author of file: EasyWeb Team (EWT)
// Support:        Russian - http://www.postnuke.ru
//                        English - http://home.postnuke.ru
//       Polish - http://www.yagi.com.pl
// Purpose of file: subject module's common user functions
// TiMax www.maxdev.com - timax@maxdev.com  
// 11/09/2004 add some security fix for sql injection
// ----------------------------------------------------------------------

//Table start function
function subjects_userapi_tablestart() {
  return "<table border=\"0\" width=\"100%\" cellpadding=\"5\" cellspacing=\"0\"><tr><td>";
}

//Table end function
function subjects_userapi_tableend() {
  return /*"</td></tr><tr><td>&nbsp;*/"</td></tr></table>";
}

//Fixing problem with quotes
function subjects_userapi_fixquotes($args)  {
   extract($args);
   $what = ereg_replace("'","''",$what);
   while (eregi("\\\\'", $what)) {
        $what = ereg_replace("\\\\'","'",$what);
    }
    return $what;
}

//Language DropDown Menu
function subjects_userapi_lang_dropdown($args) {
        $html_output="";
          extract($args);
          if (isset($lang)) $currentlang=$lang;
          else $currentlang = pnUserGetLang();
      $html_output.="<select name=\"sublanguage\" class=\"pn-text\">";
      $lang = languagelist();
      $html_output.= "<option value=\"\">"._SUB_ALL.'</option>';
      $handle = opendir('language');
      while ($f = readdir($handle))
      {
         if (is_dir("language/$f") && @$lang[$f])
         {
            $langlist[$f] = $lang[$f];
         }
      }
      asort($langlist);
      foreach ($langlist as $k=>$v)
      {
         $html_output.='<option value="'.$k.'"';
         if ( $currentlang == $k)
         {
            $html_output.=' selected';
         }
         $html_output.='>'. pnVarPrepForDisplay($v) . '</option> ';
      }
      $html_output.="</select>";

          return $html_output;

}

//Date & Time fields
function subjects_userapi_datetime_dropdown($args) {

        extract($args);
        if (!isset($datetime)) $today = getdate();
        else $today = $datetime;

        $html_output="";

        $day = $today['mday'];
        if ($day < 10) $day = "0$day";

        $month = $today['mon'];
        if ($month < 10) $month = "0$month";

        $year = $today['year'];

        $hour = $today['hours'];
        if ($hour < 10) $hour = "0$hour";

        $min = $today['minutes'];
        if ($min < 10) $min = "0$min";

        $html_output.="<b>"._SUB_PAGEDATETIME."</b><br>";

        $pageday = 1;
        $html_output.="&nbsp;&nbsp;&nbsp;"._SUB_PAGEDAY.": <select name=\"pageday\">";
        while ($pageday <= 31) {
            if ($day==$pageday) $sel = "selected";
            else $sel = "";
            $html_output.="<option name=\"pageday\" $sel>$pageday</option>";
            $pageday++;
        }
        $html_output.="</select>";

        $pagemonth = 1;
        $html_output.=" "._SUB_PAGEMONTH.": <select name=\"pagemonth\">";
        while ($pagemonth <= 12) {
            if ($month==$pagemonth) $sel = "selected";
            else $sel = "";
            $html_output.="<option name=\"pagemonth\" $sel>$pagemonth</option>";
            $pagemonth++;
        }
        $html_output.="</select>";

        $pageyear = $year;
        $html_output.=" "._SUB_PAGEYEAR
                .": <input type=\"text\" name=\"pageyear\" value=\"$pageyear\" size=\"5\" maxlength=\"4\">";

                $html_output.="&nbsp;&nbsp;&nbsp;"._SUB_PAGEHOUR.": <select name=\"pagehour\">";
        $pagehour = 0;
        while ($pagehour <= 23) {
            if ($hour==$pagehour) $sel = "selected";
            else $sel = "";
            $dummy = $pagehour;
            if ($pagehour < 10) $pagehour = "0$pagehour";
            $html_output.="<option name=\"pagehour\" $sel>$pagehour</option>";
            $pagehour = $dummy;
            $pagehour++;
        }
     $html_output.="</select>";

        $html_output.=" : <select name=\"pagemin\">";
                $pagemin = 0;
                $page_interval=2;
        while ($pagemin <= 59) {
            if ($min < $pagemin && abs($min - $pagemin) <= $page_interval) $sel = "selected";
            else $sel = "";
            if (($pagemin == 0) || ($pagemin < 10)) $pagemin = "0$pagemin";
            $html_output.="<option name=\"pagemin\" $sel>$pagemin</option>";
            $pagemin = $pagemin + $page_interval;
        }
        $html_output.="</select>";


        $html_output.="<br><br>";


        return $html_output;
}
function subjects_userapi_mytextform($args) {
    extract($args);

    $form = "";

    if ( (isset($url)) || (isset($value)) ) {

      if (!isset($usetable)) $usetable = false;
      if (!isset($extraname)) $extraname="postnuke";

      $form .= "<form action=\"$url\" method=\"post\">";
      if ($usetable){
          $form .= "<table border=\"0\" width=\"100%\" align=\"center\"><tr><td>\n";
      }
      $form .= "<input type=\"submit\" value=\"$value\" class=\"pn-normal\" style=\"text-align:center\">";
      $form .= "<input type=\"hidden\" name=\"$extraname\" value=\"$extraname\"></form>\n";
       if ($usetable){
          $form .= "</td></tr></table>\n";
      }
    }
    return $form;
}

function subjects_userapi_wysiwygcheckstart($args) {
        extract ($args);
        switch (pnModGetVar('subjects','wysiwygeditor')) {
                case '0':   $html_output =  "\n<script language=\"JavaScript\" type=text/javascript>"
                                                . "VISUAL=1;"
                                                . "</SCRIPT>";
                                        break;
                case '1':        $html_output =  "\n<script language=\"JavaScript\" type=text/javascript>"
                                                ."\n<!--"
                                                ."VISUAL=1;"
                                                ."\n  function WYSIWYGOpen".$num."() {"
                                                ."\n    msg = open(\"".pnModURL('subjects','admin','wysiwygeditor',
                                                                                                array('title'=>urlencode($title),
                                                                                                        'editform'=>urlencode($editform),
                                                                                                        'editcontrol'=>urlencode($editcontrol)))
                                                ."\", \"DisplayWindow\", \"height=420, width=620, status=yes, toolbar=no, directories=no, menubar=no, location=no\");"
                                                ."\n  }"
                                                ."\n-->"
                                                ."\n</script>";
                                        break;
        }
        return $html_output;
}

function subjects_userapi_wysiwygcheckend($args) {
$html_output="";
        extract ($args);
        switch (pnModGetVar('subjects','wysiwygeditor')) {
                case '1':   $html_output =        "<input type=\"button\" value=\""._SUB_WYSIWYG."\" "
                                                . "onclick=\"WYSIWYGOpen".$num."()\">";
        }
        return $html_output;
}

// ----------------------------------------------------------------------
//check permissions function
/*
this function is for 'inheritance' permissions model
by Kayak (http://www.postnuke.ru/user.php?op=userinfo&uname=Kayak)
*/
//If you've choosen permissions model #2 just comment this function and uncomment the next following. To comment tis function just replace seconnd '/' in line 230 and first '/' in line 308 with '*'.
//
function subjects_userapi_auth($args) {

		global $pnconfig;
		$dbtype = $pnconfig['dbtype'];

        extract($args);

        if (empty($perm)) return false;
        if (empty($catid)) $catid=0;
        if (empty($subid))  $subid=0;
        if (empty($pageid))  $pageid=0;
//
        if (empty($everyone))  $everyone="";
        else {
                switch ($everyone) {
                        case 'category':
                                if (pnSecAuthAction(0,'subjects::category','::', $perm)) return true;
                        case 'subject':
                                if (pnSecAuthAction(0,'subjects::category','::', $perm)) return true;
                                if (pnSecAuthAction(0,'subjects::subject','::', $perm)) return true;
                        case 'page':
                                if (pnSecAuthAction(0,'subjects::category','::', $perm)) return true;
                                if (pnSecAuthAction(0,'subjects::subject','::', $perm)) return true;
                                if (pnSecAuthAction(0,'subjects::page','::', $perm)) return true;
                        default:
                                return pnSecAuthAction(0, 'subjects::', '::', $perm);
                }
        }
//
        if (pnSecAuthAction(0, 'subjects::', '::', $perm))        return true;

        if ($pageid) {
                if ( (empty($subid)) || (empty($catid)) ) {
                        list($dbconn) = pnDBGetConn();
                        $pntable = pnDBGetTables();
                        $column = &$pntable['subpages_column'];
                        $column2 = &$pntable['subjects_column'];
//modified for Oracle compatibility
						switch ($dbtype){
						    case "oci8":
								$sql = "SELECT " . $column2[catid]
			                        ."," . $column[subid]
				                    . " FROM " . $pntable[subpages]
					                . " , " . $pntable[subjects]
						            . " WHERE " . $column2[subid] . " (+)=" . $column[subid]
							        . " AND " . $column[pageid] . "=" . $pageid;
								break;
							default:
                        $sql = "SELECT " . $column2[catid]
                                                ."," . $column[subid]
                                . " FROM " . $pntable[subpages]
                                . " LEFT JOIN " . $pntable[subjects]
                                        . " ON " . $column2[subid] . "=" . $column[subid]
                                . " WHERE $column[pageid]='".(int)pnVarPrepForStore($pageid)."'";
								break;
						}
                        $result = $dbconn->Execute($sql);
                        if ($dbconn->ErrorNo() == 0) {
                                list($catid, $subid) = $result->fields;
                                $result->Close();
                        }
                }
                if ( (!empty($catid)) &&
                         (pnSecAuthAction(0, 'subjects::category', "::$catid", $perm)) ) return true;
                if (pnSecAuthAction(0, 'subjects::subject',  "::$subid", $perm)) return true;
                if (pnSecAuthAction(0, 'subjects::page',     "::$pageid",$perm)) return true;
                return false;

        } elseif ($subid) {
                if (empty($catid)) {
                        list($dbconn) = pnDBGetConn();
                        $pntable = pnDBGetTables();
                        $column = &$pntable['subjects_column'];
                        $sql = "SELECT " . $column[catid]
                                . " FROM " . $pntable[subjects]
                                . " WHERE $column[subid]='".(int)pnVarPrepForStore($subid)."'";
                        $result = $dbconn->Execute($sql);
                        if ($dbconn->ErrorNo() == 0) {
                                list($catid) = $result->fields;
                                $result->Close();
                        }
                }
                if (pnSecAuthAction(0, 'subjects::category', "::$catid", $perm)) return true;
                if (pnSecAuthAction(0, 'subjects::subject',  "::$subid", $perm)) return true;
                return false;

        } elseif ($catid) {
                if (pnSecAuthAction(0, 'subjects::category', "::$catid", $perm)) return true;
                return false;
        }

        return false;
}
//

// ----------------------------------------------------------------------
//check permissions function
/*
this function is for 'per item' permissions model
contributed by baev (http://www.postnuke.ru/user.php?op=userinfo&uname=baev)
*/

// Uncomment this function if permissions model #2 choosen (just change '*' with '/' in lines 317 and 352) and comment previous function (see how in line 229).
/*
function subjects_userapi_auth($args) {

          extract($args);

        if (empty($perm)) return false;
        if (empty($catid)) $catid=0;
        if (empty($subid))  $subid=0;
        if (empty($pageid))  $pageid=0;

if ($pageid!='0'){
                if (pnSecAuthAction(0, 'subjects::page',     "::$pageid",$perm)) {
                return true;
                }else {
                return false;
                }
 }elseif ($subid!='0'){
                if (pnSecAuthAction(0, 'subjects::subject',  "::$subid", $perm)) {
                return true;
                }else {
                return false;
                }
}elseif ($catid!='0'){
 if (pnSecAuthAction(0, 'subjects::category', "::$catid", $perm)){
 return true;
 }else {
 return false;
 }
 }elseif  (pnSecAuthAction(0, 'subjects::', '::', $perm)){
         return true;
         }else {
         return false;
         }
}
*/
?>
