<?php
// ----------------------------------------------------------------------
// MD-Pro Content Management System
// Copyright (C) 2003 by the MaxDev Development Team.
// (Link: http://www.maxdev.com/)http://www.maxdev.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - http://www.postnuke.com 
// PHP-NUKE Web Portal System - http://www.phpnuke.org 
// Thatware - http://www.thatware.org
//----------------------------------------------------------------------
// Portions of this code were developed by members of the MaxDev Development Team for:
// Envolution 1.25 FLS - http://www.envolution.com.
// ----------------------------------------------------------------------
// LICENSE and CREDITS
// This program is free software and it's released under the terms of the
// GNU General Public License(GPL) - (Link: http://www.gnu.org/licenses/gpl.html)http://www.gnu.org/licenses/gpl.html
// Please READ carefully the Docs/License.txt file for further details
// Please READ the Docs/credits.txt file for complete credits list
// ----------------------------------------------------------------------
//
include 'includes/pnAPI.php';
pnInit();
include 'includes/legacy.php';

// eugenio themeover 20020413
// pnThemeLoad();

include 'modules/NS-User/tools.php';
include 'modules/NS-User/password.php';

$currentlangfile = 'language/' . pnVarPrepForOS(pnUserGetLang()) . '/user.php';
$defaultlangfile = 'language/' . pnVarPrepForOS(pnConfigGetVar('language')) . '/user.php';

if (file_exists($currentlangfile)) {
    include $currentlangfile;

} elseif (file_exists($defaultlangfile)) {

    include $defaultlangfile;
}

global $stop, $minage, $module;

if (!pnUserLoggedIn() && empty($op)) {
    $module='NS-User';
    $op='getlogin';
}

if (isset($op) && ($op == 'userinfo')) {
    $module='NS-User';
}

// New module way
// $module / $op control

if (pnUserLoggedIn() and (!isset($op) or ($op == 'adminMain'))) {
    $module = 'NS-User';
    $op     = 'main';
}

if (file_exists($file='modules/' . pnVarPrepForOS($module) . '/user.php'))
{
    user_menu();
    include $file;
    if (substr($module,0,3)=='NS-') {
        $function = substr($module,3).'_user_';
    } else {
        $function = $module.'_user_';
    }
    $function_op = $function.$op;
    $function_main = $function.'main';
    $var = array_merge($GLOBALS['HTTP_GET_VARS'], $GLOBALS['HTTP_POST_VARS']);

    if (function_exists($function_op)) {
        $function_op($var);
    } elseif (function_exists($function_main)) {
        $function_main($var);
    } else {
        die("error : user_execute($file,$function_op)");
    }
}

$caselist = array();
$moddir = opendir('modules/');

while ($modulename = readdir($moddir)) {
    if (@is_dir("modules/" . pnVarPrepForOS($modulename) . "/user/case/")) {
        $casedir = opendir("modules/" . pnVarPrepForOS($modulename) . "/user/case/");
        while ($func = readdir($casedir)) {
            if (eregi('^case.', $func)) {
                $caselist[$func]['path'] = "modules/" . pnVarPrepForOS($modulename) . "/user/case";
                $caselist[$func]['module'] = $modulename;
            }
        }
        closedir($casedir);
    }
}

closedir($moddir);
ksort($caselist);
foreach ($caselist as $k=>$v) {
    $ModName = $v['module'];
    include $v['path'] . '/' . pnVarPrepForOS($k);
}
?>
